Welcome to the AutoCAD LT Help System

The AutoCAD LT Help System contains complete information for using AutoCAD LT.


Microsoft Office 97 Compatible

AutoCAD LT 97 is a Microsoft Office 97 Compatible product, which means that many of its basic features (toolbars, menus, and accelerator keys) are similar to those used by Microsoft Office. If you are already using Microsoft Office or an Office 97 Compatible product, then you will see that many tasks can be completed in a similar manner in AutoCAD LT. These similarities will make it easier for you to use Office 97 Compatible products together.

Look for the Microsoft Office 97 Compatible logo when purchasing software. For more information about the Microsoft Office 97 Compatible program, and for a complete listing of Microsoft Office 97 Compatible products, please see the Microsoft web site at http://www.microsoft.com/office/compatible or call Microsoft Customer Service at 1-800-426-9400. Customers outside the United States should contact their local Microsoft office.

Office Compatible Features Supported by AutoCAD LT 97

The following features provide a similar interface with other Microsoft Office Compatible products and make AutoCAD LT 97 easier to learn and use.

  • Wizards. AutoCAD LT contains wizards that automate setting up your drawing. For example, the Quick Setup wizard adjusts the settings of your drawing based on the size of the object you are drawing and the units you want to use.
  • Toolbars. The standard AutoCAD LT toolbar is organized like the Microsoft Office toolbar. For example, you can print a document by using the Print button. Toolbar buttons are available in small and large sizes. In addition, moving the pointer over any button activates a tooltip, which displays the button's function.
  • Menus. The menus in AutoCAD LT are organized like the menus in Microsoft Office programs. Functions common to Office and AutoCAD LT are grouped into the File, Edit, View, Insert, Format, Tools, and Help menus. You can easily switch between Office applications.
  • Shortcut Keys. The shortcut keys in AutoCAD LT match those of Microsoft Office. For example, to cut an object to the Windows Clipboard, press CTRL+X; to copy it, press CTRL+C; to paste it, press CTRL+V; and to select all objects, press CTRL+A. Other accelerator keys are listed next to their corresponding commands on the pull-down menu.
  • Pop-up menus. You can display convenient pop-up menus when you right-click in different areas of the screen. Different shortcut menus are displayed depending on whether your cursor is in a text window or in the graphics area.
  • Microsoft Intellimouse. AutoCAD LT supports the Microsoft Intellimouse for scrolling in text windows and dialog boxes and for panning and zooming in the graphics area.
  • Property Painter. In AutoCAD LT, as in other Microsoft Office Compatible products, you can paint the properties of one object onto another object. For example, you can apply the layer, linetype, and color of a line to that of another line or to a selection set of lines and other objects. Furthermore, several types of AutoCAD LT 97 objects have additional properties that can be transferred to other objects of the same type. For example, you can paint the dimension style of one dimension object to another and the text style of one text object to another.
  • Spelling checker. AutoCAD LT users can verify and correct the spelling of all text in their drawings. The spelling checker is found on the standard toolbar.
  • Electronic mailing. You can automatically send your drawings to others with electronic mail. From the File menu, choose Send to attach your drawing to an email message and send it through Microsoft Mail or any MAPI-compliant mail program.
  • Information Sharing. Integration among applications is an important benefit of Office Compatibility. You can transfer information between AutoCAD LT 97 and Microsoft Office or other Office Compatible programs using the Windows Clipboard or object linking and embedding.
  • Windows Clipboard. You can easily cut, copy, and paste all or part of your drawing from AutoCAD LT to other Office Compatible programs using the Cut, Copy, and Paste commands on the toolbar and Edit menu. You can paste text and graphics from Office Compatible programs into an AutoCAD LT drawing as well.
  • Object linking and embedding. You can use object linking and embedding (OLE 2.0) to include an AutoCAD LT drawing in a file created in another Office Compatible program, such as Microsoft Word. You can also include objects from other programs in your AutoCAD LT 97 drawing: for example, a bill of materials from Excel or text from a Word file.
(c)1997 Autodesk, Inc.


Copyright

AutoCAD LT 97 Help System

Copyright � 1997 Autodesk, Inc.
All Rights Reserved

This publication, or parts thereof, may not be reproduced in any form, by any method, for any purpose. AUTODESK, INC. MAKES NO WARRANTY, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, REGARDING THESE MATERIALS AND MAKES SUCH MATERIALS AVAILABLE SOLELY ON AN "AS-IS" BASIS. IN NO EVENT SHALL AUTODESK, INC. BE LIABLE TO ANYONE FOR SPECIAL, COLLATERAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES IN CONNECTION WITH OR ARISING OUT OF PURCHASE OR USE OF THESE MATERIALS. THE SOLE AND EXCLUSIVE LIABILITY TO AUTODESK, INC., REGARDLESS OF THE FORM OF ACTION, SHALL NOT EXCEED THE PURCHASE PRICE OF THE MATERIALS DESCRIBED HEREIN. Autodesk, Inc. reserves the right to revise and improve its products as it sees fit. This publication describes the state of this product at the time of its publication, and may not reflect the product at all times in the future.

Autodesk Trademarks

The following are registered trademarks of Autodesk, Inc., in the USA and/or other countries: 3D Plan, 3D Props, 3D Studio, 3D Studio MAX, 3DSurfer, ADE, ADI, Advanced Modeling Extension, AME, Animator -Pro, ATC, AutoCAD, AutoCAD Data Extension, AutoCAD Development System, AutoCAD LT, Autodesk, Autodesk Animator, the Autodesk logo, Autodesk University, AutoLISP, AutoShade, AutoSketch, AutoSolid, AutoSurf, AutoVision, Design Companion, Education by Design, Generic, Generic CADD, Generic Software, Generic 3D Drafting, Geodyssey, Heidi, HOOPS, Inside Track, MaterialSpec, Mechanical Desktop, Multimedia -Explorer, NAAUG, Office Series, Opus, Solution 3000, PartSpec, Regis, TinkerTech, Texture Universe, Woodbourne, WorkCenter, and World-Creating Toolkit.

The following are trademarks of Autodesk, Inc., in the USA and/or other countries: 3D Studio VIZ, ACAD, Advanced User Interface, AME Link, Animation Partner, Animation Player, Animation Pro Player, A Studio in Every Computer, ATLAST, AUGI, AutoCAD Simulator, AutoCAD SQL Extension, AutoCAD SQL Interface, AutoCAD Map, AutoCDM, Autodesk Animator Clips, Autodesk Animator Theatre, Autodesk Device Interface, Autodesk PhotoEdit, Autodesk Software Developer's Kit, Autodesk View DwgX, Autodesk WalkThrough, Autodesk World, AutoEDM, AutoFlix, AutoLathe, AutoSnap, BIPED, Bringing Information Down to Earth, Carpe Datum, Character Studio, Concept Studio, Content Explorer, DesignBlocks, DESIGNX, DesignScape, Design Your World, DXF, DWG Unplugged, Exegis, FLI, FLIC, GDX Driver, GenCADD, Generic 3D, Home Series, HyperWire, Kinetix, MAX DWG, Multiped, NetHead, ObjectARX, Octoped, PeopleTracker, Physique, Picture This Home, PlantSpec, PolarSnap, Power and Light, Powered with Autodesk Technology, Quadruped, RadioRay, SketchTools, Smoke and Mirrors, Suddenly Everything Clicks, Supportdesk, Topper, Transforms Ideas Into Reality, and WHIP!.

Third-Party Trademarks

All other brand names, product names or trademarks belong to their respective holders.

Third-Party Software Program Credits

ACIS � Copyright � 1994, 1997 Spatial Technology, Inc., Three-Space Ltd., and Applied Geometry Corp. All rights reserved. Copyright � 1997 Microsoft Corporation. All rights reserved.

International CorrectSpell� Spelling Correction System � 1995 by INSO Corporation. All rights reserved. Reproduction or disassembly of embodied algorithms or database prohibited.

InstallShield� 3.0. Copyright � 1997 InstallShield Software Corporation. All rights reserved.

Portions Copyright � 1991-1996 Arthur D. Applegate. All rights reserved.

Portions of this software are based on the work of the Independent JPEG Group.

Typefaces from the Bitstream � typeface library copyright 1992.

Typefaces from Payne Loving Trust � 1996. All rights reserved.

The license management portion of this product is based on �lan License Manager � 1989, 1990 �lan Computer Group, Inc. All rights reserved.

GOVERNMENT USE

Use, duplication, or disclosure by the U. S. Government is subject to restrictions as set forth in FAR 12.212 (Commercial Computer Software-Restricted Rights) and DFAR 267.7202 (Rights in Technical Data and Computer Software), as applicable.


User Guide

User's Guide

The User's Guide provides quick access to conceptual descriptions, procedures, and associated commands.


Conversion of AutoCAD LT Objects

The table describes how objects specific to AutoCAD LT 97 are handled when converted to AutoCAD LT for Windows 95 format. Information contained in system variables that are new in AutoCAD LT 97 is lost when the drawing is saved in AutoCAD LT for Windows 95 format.

Conversion of AutoCAD LT 97 objects to AutoCAD for Windows 95 format

Feature | Conversion
Dimension | Dimension text converted to multiple text objects. Additions to the dimstyle table and associated SETVARs are ignored.
Ellipse | Converted to a collection of polylines and circles.
Groups | Listed by the LIST command.
Hatch pattern | Associativity lost.
Leader | Converted to lines (straight leaders) or polylines (spline leaders). Depending on their type, arrows are converted to filled or unfilled circles and polygons, or to polylines (open arrows).
Linetype | Global linetype scale set by CELTSCALE ignored.
Linetype table | Shape definitions ignored.
Multiline | Converted to a collection of lines, polylines, arcs, filled arcs, and filled polygons. Color and linetype may be differentiated for each polyline. Color may be differentiated for each filled polygon.
Multiline styles | Ignored.
Mtext (paragraph text) | Converted to multiple text objects. Any individual formatting may be lost.
OLE object | Ignored.
Overlay | Ignored.
Preview | Ignored.
Ray | Converted to a line object whose length is defined by the boundary of the extents of the other objects and limits in the drawing. If the ray does not cross the imaginary bounding box that defines the extents, the ray is discarded in the Windows 3.1 version.
Spline | Converted to a collection of polylines.
TrueType font | Converted to txt.shx fonts.
New system variables | Ignored.
Tolerance | Converted to polylines and text.
Xline | Converted to a line object whose length is defined by the boundary of the extents of the other objects and the limits in the drawing. If the construction line does not cross the imaginary bounding box that defines the extents, the construction line is discarded in the Windows 95 version.


User Guide

Commands

You run commands by choosing a menu item, clicking a tool on a toolbar, or entering a command at the command line.

This reference provides detailed information about the AutoCAD LT commands and the options they make available.


About

3DPOLY Command

Creates a polyline of line segments in 3D space

Draw menu: 3D Polyline
Command line: 3dpoly

From point: Specify a point
Close / Undo / <Endpoint of line>: Specify a point or enter an option

Endpoint of Line (3DPOLY)

Draws a straight line from the previous point to the specified new point. The prompt is repeated until you press ENTER to end the command.

Close (3DPOLY)

Draws a closing line from the endpoint back to the first point and ends the command. To be closed, a 3D polyline must contain at least two lines.

Undo (3DPOLY)

Deletes the last line created. You can continue drawing from the previous point.


About

'ABOUT Command

Displays information about AutoCAD LT

Help menu: About AutoCAD LT
Command line: about

The ABOUT command displays the AutoCAD LT version number, serial number, license information, and the contents of the AutoCAD LT message file aclt.msg.


Aperture

'APERTURE Command

Controls the size of the object snap target box

Command line: aperture

Object snap target height (1-50 pixels) <current> : Enter a value (1-50) or press ENTER

The number of pixels controls the size of the object snap box. The higher the number, the larger the target box.

Object snap applies only to objects inside or crossing the target.

The APERTURE command controls the object snap target box, not the pickbox displayed at the Select Objects prompt. The object selection pickbox is controlled by the PICKBOX system variable.

Related Commands: OSNAP sets the object snap target size with a slider. DDSELECT sets the object selection pickbox size.
System Variables: APERTURE controls the object snap target size. PICKBOX controls the object selection pickbox size. AUTOSNAP controls the display of the AutoSnap marker and SnapTip and turns the AutoSnap magnet on or off.


Arc

ARC Command

Creates an arc

Draw toolbar:
Draw menu: Arc
Command line: arc

Center / Start point: Specify a point, enter C, or press ENTER to start tangent to last line, arc, or polyline

Center

Specifies the center of the circle of which the arc is a part.

Center: Specify a point
Start point: Specify a point
Angle / End point: Specify a point or enter an option

Angle

Draws an arc counterclockwise from the start point (2) using the center point (1) and a specified included angle. If the angle is negative, AutoCAD LT draws a clockwise arc.

Included angle: Specify an angle

End Point

Using the center point (1), draws an arc counterclockwise from the start point (2) to a point that falls on an imaginary ray drawn from the center point through an endpoint (3).

Start Point

Specifies the starting point of an arc.

Center / End / <Second point>: Specify a point or enter an option

Center

Specifies the center of the circle of which the arc is a part.

Center: Specify a point (2)
Angle / End point: Specify a point or enter an option

  • Angle Draws an arc counterclockwise from the start point (1) to an endpoint (3), with a specified included angle. If the angle is negative, AutoCAD LT draws a clockwise arc.

    • Included angle: Specify an angle

  • End Point Draws an arc counterclockwise from the start point (1) to an endpoint (3) that falls on an imaginary ray drawn from the center point (2) through the point you specify.

    • As shown in the illustration, the arc does not necessarily pass through the point you specify to define the ray.

End

Specifies the endpoint of the arc.

End point: Specify a point
Included angle: Specify an angle

Second Point

Draws an arc using three specified points on the arc's circumference. The first point is the start point (1) and the third is the endpoint (3) of the arc. The second point (2) is a point on the circumference of the arc.

End point: Specify a point (3)

You can specify a three-point arc either clockwise or counterclockwise.

Tangent to Last Line, Arc, or Polyline

Draws an arc tangent to the last line, arc, or polyline drawn when you press ENTER at the Center/Start Point prompt.

End point: Specify a point (1)


Area

AREA Command

Calculates the area and perimeter of objects or of defined areas

Standard toolbar:
Tools menu: Inquiry > Area
Command line: area

First point / Object / Add / Subtract: Specify a point or enter an option

The AREA command will not process multiple objects in a single operation.

First Point

Calculates the area and perimeter you define by selecting points. All points must lie in a plane parallel to the XY plane of the current UCS.

Next point: Specify a point (2) or press ENTER

Select points to define a polygon and then press ENTER to complete definition of the perimeter.

If you do not close the polygon, AutoCAD LT calculates the area as if a line were drawn from the last point entered to the first. When calculating the perimeter, AutoCAD LT adds in that line length.

Object

Calculates the area and perimeter of the selected object. You can calculate the area of circles, ellipses, splines, polylines, and polygons.

Select object: Use an object selection method

If you select an open polyline, AutoCAD LT calculates the area as if a line were drawn from the last point entered to the first. When calculating the perimeter, however, AutoCAD LT ignores that line.

The centerline of a wide polyline is used to make area and perimeter (or length) calculations.

Add

Turns on Add mode and keeps a running balance of additions and subtractions.

First point / Object / Subtract: Specify a point (1) or enter an option

First Point

Calculates the area and perimeter you define by selecting points. All points must lie in a plane parallel to the XY plane of the current UCS.

(ADD mode) Next point: Specify a point (2) or press ENTER

Specify points to define a polygon. Press ENTER and AutoCAD LT calculates the area and perimeter.

If you do not close the polygon, AutoCAD LT closes it by defining a line from the last point to the first. To calculate the perimeter, AutoCAD LT adds in that line length. Further, AutoCAD LT calculates the total of all the areas defined by selecting points or objects since Add mode was turned on.

Object

Calculates the area and perimeter of the selected object.

(ADD mode) Select object: Use an object selection method or press ENTER to end selection

AutoCAD LT calculates the area and perimeter of the object and of all the areas defined by selecting points or objects since Add mode was turned on.

If you select an open polyline, AutoCAD LT calculates the area as if a line were drawn from the last point entered to the first. When calculating the perimeter, however, AutoCAD LT ignores that line.

For wide lines, or objects with wide lines, the centerline of a wide polyline is used to make area and perimeter calculations.

Subtract

Turns on Subtract mode and keeps a running balance of subtracted areas and perimeters.

Subtract

Similar to the Add option, but subtracts areas and perimeters. All prompts are preceded by (SUBTRACT mode).

Related Commands: BOUNDARY creates a polyline from an enclosed area. LIST displays database information for selected objects.
System Variables: AREA stores the sum of areas collected. PERIMETER displays the perimeter of the object last found by AREA.


Array

ARRAY Command

Creates multiple copies of objects in a pattern

Modify toolbar:
Modify menu: Array
Command line: array

Select objects: Use an object selection method
Rectangular or Polar array (R/P) <current>: Enter an option or press ENTER

Each object in an array can be manipulated independently.

If multiple objects are selected when constructing an array, AutoCAD LT counts the objects as one array item.

Rectangular

Creates an array defined by a number of rows and columns of copies of the selected object.

Number of rows (---): Enter a nonzero integer or press ENTER
Number of columns (|||): Enter a nonzero integer or press ENTER

If you specify one row, you must specify more than one column and vice versa.

The selected object, or cornerstone element, is assumed to be in the lower-left corner, and the array is generated up and to the right.

Unit cell or distance between rows (---): Specify a distance or two points

To add rows downward, specify a negative value for the distance between rows. AutoCAD LT skips the next prompt if you specify two points for the opposite corners of a rectangle.

Distance between columns (|||): Specify a distance

To add columns to the left, specify a negative value for the distance between columns. AutoCAD LT constructs rectangular arrays along a baseline defined by the current snap rotation. This angle is normally 0, so the rows and columns are orthogonal with respect to the X and Y drawing axes. The Rotate option of the SNAP command changes the angle and creates a rotated array. The SNAPANG system variable stores the SNAP rotation angle.

Note: If you specify a very large number of rows and columns for the array, AutoCAD LT may take a long time to create the copies. By default, the number of array elements that can be generated in one command is limited to 100,000. This value can be changed by adding a registry entry called MaxArray under the General section of the Fixed Profile. The DWORD value of MaxArray can be any decimal number from a minimum of 100 to a maximum of 10,000,000. If you specify a number outside of this range, AutoCAD LT automatically resets the number to the default value.

Polar

Creates an array defined by specifying a center point about which the selected object is replicated.

Center point of array: Specify a point (1)
Number of items: Enter a positive integer or press ENTER

If you enter a value for the number of items, you must specify either the angle to fill or the angle between items. If you press ENTER, you must specify both.

Angle to fill (+=ccw, -=cw) 360: Specify an angle or press ENTER

A positive value specifies counterclockwise (ccw) rotation. A negative value specifies clockwise (cw) rotation. AutoCAD LT sees 0 as no response. Entering 0 is permitted only if the number of items was not specified. If an Angle to fill was specified without providing the number of items, AutoCAD LT prompts as follows:

Angle between items: Specify an angle

If you specified the number of items and entered 0 as the angle to fill or pressed ENTER, AutoCAD LT prompts for a positive or negative value to indicate the direction of the array:

Angle between items (+=ccw, -=cw): Specify an angle

AutoCAD LT determines the distance from the array's center point to a reference point on the last object selected. AutoCAD LT uses the center point of a circle or arc, the insertion base point of a block or shape, the starting point of text, and one endpoint of a line.

Rotate objects as they are copied? <Y>: Enter y or n, or press ENTER

In a polar array, the reference point of the last object in the selection set is used for all objects. If the selection set was defined by a window or crossing box, the last object in the selection set is arbitrary. Removing an object from the selection set and adding it back forces that object to be the last object selected. The selection set can also be made into a block that can be replicated.

Related Commands: BLOCK creates blocks from a group of objects. BMAKE defines a block using a dialog box interface. WBLOCK writes objects to a new drawing file. SNAP locks points entered by a pointing device into alignment with an imaginary rectangular grid, the rotation and X and Y spacing of which can be changed.

System Variables: SNAPANG stores the snap and grid rotation for the current viewport.


Attachurl

ATTACHURL Command

Attaches a URL to objects or areas

Internet Utilities toolbar:
Tools menu: Internet > Attach URL
Command line: attachurl

URL by (Area/<Objects>): Enter an option or press ENTER

The ATTACHURL command enables you to attach a URL to objects or areas in your drawing. When you view the DWF file with a Web browser and the WHIP! plug-in you can select the object or area, which will connect you to the Web site identified by the attached URL.

You need to decide when to attach URLs by object or area. For contiguous geometry, attaching by area is most effective. Attaching by area is also effective for placing URLs in places where there is no geometry. In cases where geometry is distributed throughout the drawing, attaching by object is most effective.

Objects

Select objects: Use an object selection method
Enter URL:Enter a valid URL

For example, entering www.autodesk.com will attach the object to the Autodesk Web site.

When you attach a URL to objects, AutoCAD LT places a rectangular URL area around each object. The URL is attached as xdata (extended data) to objects in the drawing. For each object with a URL attached there is xdata, so when you attach many individual objects to a URL, your AutoCAD LT database will have many bits of xdata attached to each relevant object.

Area

When you attach a URL to an area, AutoCAD LT creates a rectangle around the area you specify and stores the rectangle on a special layer called URLLAYER. Do not delete this layer. For each URL attached there is xdata, just as when you attach a URL to objects, but the xdata is attached as large areas.

First corner:Specify a point (1)
Other corner: Specify a point (2)
Enter URL:Enter a valid URL

Warning: The AutoCAD LT Internet Utilities attach URLs to an area by creating a rectangle on a layer named URLLAYER and then attaching the URL string as xdata. You can destroy the hyperlink information in your drawing if you tamper with URLLAYER. You should not freeze, lock, or change the visibility of URLLAYER; nor should you edit or delete the rectangles on URLLAYER or attach URLs to them using the ATTACHURL command. If you turn off the visibility of URLLAYER for normal viewing of your drawing, it should be turned back on before using the DWFOUT command.


Attdef

ATTDEF Command

Creates an attribute definition

Command line: attdef

Attribute modes -- Invisible:N Constant:N Verify:N Preset:N
Enter (ICVP) to change, ENTER when done: Enter i, c, v, or p, or press ENTER
Attribute tag: Enter any characters except spaces or exclamation marks
Attribute prompt: Enter the text for the prompt line or press ENTER
Default attribute value: Enter the appropriate text or press ENTER
Attribute value: Enter a value

An attribute is informational text associated with a block. An attribute definition is a template for creating an attribute. Use ATTDEF to work on the command line and DDATTDEF to work in the Attribute Definition dialog box.

Attribute Mode

Sets four optional modes. Entering i, c, v, or p toggles among the modes. The AFLAGS system variable stores the current mode settings and can be used to set the default modes.

  • Invisible. Specifies that attribute values will not appear when you insert the block. The ATTDISP command overrides Invisible mode.
  • Constant. Gives attributes a fixed value for block insertions.
  • Verify. Prompts for verification that the attribute value is correct when you insert the block.
  • Preset. Sets the attribute to its default value when you insert the block.

Attribute Tag

Enter a name for the attribute. The attribute tag identifies each occurrence of an attribute in the drawing. The tag can contain any characters except spaces or exclamation marks. AutoCAD LT changes lowercase letters to uppercase.

Attribute Prompt

Enter a prompt. The prompt you enter is displayed when you insert a block that contains an attribute definition into your drawing. If you press ENTER, AutoCAD LT uses the attribute tag as the prompt. If you turn on Constant mode, this prompt is not displayed.

Default Attribute Value

Enter the default attribute value. The default attribute value appears when a block is inserted into your drawing. A default value is not required. If Constant mode is turned on, AutoCAD LT skips this prompt and displays the Attribute Value prompt instead.

Justify / Style / Start Point: Enter an option or press ENTER

Attribute Value

Specifies the value for a constant attribute.

Justify / Style / Start Point: Enter an option or press ENTER

Related Commands: DDATTDEF uses dialog boxes to create an attribute definition for text to be associated with a block. ATTDISP globally controls the visibility of attributes. DDATTE and ATTEDIT edit attributes independently of the block definition with which they're associated. DDATTEXT and ATTEXT extract attribute data.
System Variables: ATTDIA causes the INSERT command to use dialog boxes for entry of attribute values. ATTMODE controls the attribute display mode. ATTREQ determines whether the INSERT command uses default attribute settings during insertion of blocks.


Attdisp

'ATTDISP Command

Globally controls attribute visibility

View menu: Display > Attribute Display
Command line: attdisp

Normal / ON / OFF current : Enter an option or press ENTER

The drawing regenerates after you change the visibility. AutoCAD LT stores the current settings for visibility of attributes in the ATTMODE system variable.

An attribute is informational text associated with a block.

Normal

Retains the current visibility of each attribute. Visible attributes are displayed. Invisible attributes are not displayed.

On

Makes all attributes visible.

Off

Makes all attributes invisible.

Related Commands: DDATTE and ATTEDIT edit attributes independently of the block definition with which they're associated. DDATTEXT and ATTEXT extract attribute data. DDATTDEF and ATTDEF create an attribute definition for text to be associated with a block. The Mode option of DDATTDEF and ATTDEF determines the visibility of newly created objects.

System Variables: ATTDIA causes the INSERT command to use dialog boxes for entry of attribute values. ATTMODE controls the attribute display mode. ATTREQ determines whether the INSERT command uses default attribute settings during insertion of blocks.


Attedit

ATTEDIT Command

Changes attribute information independent of its block definition

Attribute toolbar:
Modify menu: Object > Attribute > Global
Command line: attedit

Edit attributes one at a time? <Y>: Enter y or press ENTER to edit attributes one at a time, or enter n to edit attributes globally

Editing Attributes One at a Time

Attributes to be edited one at a time must be visible and parallel to the current UCS.

Block name specification: Enter a name list or press ENTER
Attribute tag specification: Enter a name list or press ENTER
Attribute value specification: Enter a name list or press ENTER

Attribute values are case sensitive.

Select Attributes: Select only those attributes parallel to the current UCS

AutoCAD LT marks the first attribute in the selection set with an X. You can change any properties of the attribute you select.

Value / Position / Height / Angle / Style / Layer / Color / Next <N>: Enter the property to change, or press ENTER for the next attribute

If the original attribute was defined with aligned or fit text, the prompt does not include Angle. The Height option is omitted for aligned text. For each of the options, except Next, AutoCAD LT prompts for a new value. The X remains on the current attribute until you move to the next attribute.

Value

Changes or replaces an attribute value.

Change or Replace? <R>: Enter c or r, or press ENTER

Replace

Substitutes a new attribute value for the entire attribute value.

New Attribute value: Enter a new attribute value or press ENTER

If you press ENTER, the attribute value is set to a null string.

Position

Changes the text insertion point.

Enter text insertion point: Specify a point or press ENTER

AutoCAD LT prompts for a new starting, center, or end point, depending on the position of the attribute. If the attribute is aligned, AutoCAD LT prompts for both ends of a new text baseline.

Height

Changes the text height.

New height <current>: Enter a value, specify a point, or press ENTER

If you specify a point, the height becomes the distance between the specified point and the start point of the text.

Angle

Changes the rotation angle.

New rotation angle <current>: Enter a value, specify a point, or press ENTER

If you specify a point, the text is rotated along an imaginary line between the specified point and the start point of the text.

Style

Changes the text style.

Enter a new style or press ENTER for no change: Enter a style name or press ENTER

Layer

Changes the layer of the attributes.

New layer <current>: Enter a layer name or press ENTER

Color

Changes the color of the attribute.

New color <current>: Enter a color or press ENTER

You can enter a color name, a color number between 1 and 255, or bylayer or byblock.

Next

Moves to the next attribute in the selection set. If there are no more attribute selected, the ATTEDIT command ends.

Editing Attribute Values Globally

Global editing applies to both visible and invisible attributes.

Editing attributes globally limits you to replacing a single text string with another text string. If you edit attributes one at a time, you can edit any or all of the attributes.

Edit only attributes visible on screen? <Y>: Enter y or press ENTER to edit only visible attributes, or enter n to edit all attributes

Visible Attributes Only

Block name specification <*>: Enter a name list or press ENTER
Attribute tag specification: Enter a name list or press ENTER
Attribute value specification: Enter a name list or press ENTER

Attribute values are case sensitive. Because null attributes are not visible and cannot be selected for editing, to select null attribute values, enter a backslash (\).

Select Attributes: Select only attributes parallel to the current UCS
String to change: Enter a string to change or press ENTER
New string: Enter replacement string or press ENTER

Either string can be null. The ? and * characters are interpreted literally, not as wild-card characters.

All Attributes

Changes to attributes are not reflected immediately. AutoCAD LT regenerates the drawing at the end of the command.

Block name specification <*>: Enter a name list or press ENTER
Attribute tag specification: Enter a name list or press ENTER
Attribute value specification: Enter a name list or press ENTER

Attribute values are case sensitive. Because null attributes are not visible and cannot be selected for editing, to select null attribute values, enter a backslash (\).

String to change: Enter string to change or press ENTER
New string: Enter replacement string or press ENTER

Either string can be null. The ? and * characters are interpreted literally, not as wild-card characters.

Change

Modifies a few characters of the attribute value.

String to change: Enter string to change or press ENTER
New string: Enter replacement string or press ENTER

Either string can be null. The ? and * characters are interpreted literally, not as wild-card characters.

Related Commands: ATTDISP globally controls the visibility of attributes. DDATTEXT and ATTEXT extract attribute data. ATTDEF and DDATTDEF create an attribute definition for text to be associated with a block. DDATTE uses dialog boxes to edit attributes independently of the block definitions with which they're associated.

System Variables: ATTDIA causes the INSERT command to use dialog boxes for entry of attribute values. ATTMODE controls the attribute display mode. ATTREQ determines whether the INSERT command uses default attribute settings during insertion of blocks.


attext

ATTEXT Command

Extracts attribute data

Command line: attext

CDF, SDF or DXF
Attribute extract (or Objects)? < C> : Enter an option or press ENTER

An attribute is informational text associated with a block. Use ATTEXT to extract attribute data at the command line and DDATTEXT to extract attribute data using the Attribute Extraction dialog box.

CDF: Comma-Delimited File

Generates a file containing one record for each block reference in the drawing. Commas separate the fields of each record. Single quotation marks enclose the character fields.

In the Select Template File dialog box, enter the name of an existing attribute extraction template file.

In the Create Extract File dialog box, enter a name for the output file. AutoCAD LT adds a .txt extension to extraction files in CDF or SDF format.

SDF: Space-Delimited File

Generates a file containing one record for each block reference in the drawing. The fields of each record have a fixed width; therefore, field separators or character string delimiters are not used.

In the Select Template File dialog box, enter the name of an existing attribute extraction template file.

In the Create Extract File dialog box, enter a name for the output file. AutoCAD LT adds a .txt extension to extraction files in CDF or SDF format.

DXF: Drawing Interchange File

Produces a subset of the AutoCAD LT drawing interchange file format containing only block reference, attribute, and end-of-sequence objects. DXF-format extraction does not require an attribute extraction template. AutoCAD LT adds the file extension .dxx to distinguish the output file from normal DXF files.

In the Create Extract File dialog box, enter a name for the output file. AutoCAD LT adds a .txt extension to output files in CDF or SDF format.

Objects

Selects objects whose attributes you want to extract.

Select object: Use an object selection method

Select Template File Dialog Box

Select the drive and look in the directory that contains the file you want to use as an attribute template.

File Name

Select or enter the name of the file you want to use as a template for the output file.

Files of Type

Select the type of files that you want to see listed in the File Name box.

Find File

To use search criteria to find attribute template files on multiple drives and directories, choose Find File. The Browse/Search dialog box is displayed.

Create Extract File Dialog Box

Select the drive and specify the directory in which you want to place the output file.

File Name

Select or enter the name of the output file you want to create.

Files of Type

Select the type of files that you want to see listed in the File Name box.

Related Commands: DDATTEXT uses dialog boxes to extract attribute data. DDATTE and ATTEDIT edit attributes independently of their associated block definitions. DDATTDEF and ATTDEF create an attribute definition for text to be associated with a block.
System Variables: ATTDIA causes the INSERT command to use dialog boxes for entry of attribute values. ATTMODE controls the attribute display mode. ATTREQ determines whether the INSERT command uses default attribute settings during insertion of blocks.


Audit

AUDIT Command

Evaluates the integrity of a drawing

File menu: Drawing Utilities > Audit
Command line: audit

Fix any errors detected? <N>: Enter y or n, or press ENTER

AUDIT is a diagnostic tool for examining the current drawing and correcting errors. For every error detected, AutoCAD LT provides a description of the error and recommends corrective action.

For easy access, AUDIT places all objects for which it reports errors in the previous selection set. However, editing commands affect only the objects belonging to the current paper space or model space.

When the AUDITCTL system variable is on, AUDIT creates an ASCII file containing a description of the problems and the actions taken. This report file is placed in the same directory as the current drawing and given the file extension .adt.

If a drawing contains errors that AUDIT can't fix, use the RECOVER command to retrieve the drawing and correct its errors.

Related Commands: RECOVER repairs a damaged drawing. OPEN alerts you if a drawing is damaged.
System Variables: AUDITCTL controls whether an audit report file is generated.


Base

'BASE Command

Sets the insertion base point for the current drawing

Draw menu: Block > Base
Command line: base

Base point <current>: Specify a point or press ENTER

Use BASE if the current drawing is to be inserted into or externally referenced by other drawings and needs a base point other than 0,0,0.

When you insert or externally reference the current drawing in other drawings, AutoCAD LT uses this base point as the insertion base point.

Related Commands: INSERT inserts a drawing into the current drawing. BLOCK creates a block definition from selected objects and sets a base point. XREF links a drawing to the current drawing by creating an external reference to the other drawing.
System Variables: INSBASE stores the insertion base point.


Bhatch

BHATCH Command

Fills an enclosed area with an associative hatch pattern

Draw toolbar:
Draw menu: Hatch
Command line: bhatch

The Boundary Hatch dialog box is displayed.

If you enter -bhatch at the Command prompt, AutoCAD LT presents options on the command line.

BHATCH computes a polyline boundary from objects that make up an enclosed area. You can then fill the boundary with an associative hatch, a hatch that updates when its boundaries are modified. Hatches are stored as single hatch objects, which can reduce the amount of disk space a drawing occupies and also can reduce regen times.

The hatch entity limit is set by the MaxHatch environment setting, which is stored in the AutoCAD LT General section of the aclt.ini file. The MaxHatch environment setting is changed through the GETENV and SETENV commands. Its default value is 10000; however, if you must create very dense hatches, you can edit the MaxHatch=10000 line, assigning any value from 100 to 10000000 (10 million). A number specified outside this range is replaced by the default value (10000).

Boundary Hatch Dialog Box

Pattern Type

Specifies a pattern type:

  • Pattern. Opens the Hatch Pattern Palette dialog box, which displays the pattern images. Fourteen hatch patterns conform to International Standards Organization (ISO) standards. These patterns are at the end of the pattern list in the Hatch Pattern Palette dialog box. When you select an ISO pattern, you can specify a pen width, which determines the line weight in the pattern.
  • Predefined. Specifies a pattern from those defined in the aclt.pat or acltiso.pat file.
  • User-Defined. Defines a pattern of lines using the current linetype.
  • Custom. Specifies a custom pattern in a .pat file other than the aclt.pat or acltiso.pat file.
Pattern Properties

Sets properties for the chosen pattern:

  • ISO Pen Width. Scales an ISO-related pattern based on the selected pen width. This option is available only if a predefined ISO hatch pattern is selected.
  • Pattern. Specifies a predefined pattern name. AutoCAD LT stores the pattern name in the HPNAME system variable. This option is not available if User-defined or Custom is selected under Pattern Type.
  • Custom Pattern. Specifies a custom pattern name. AutoCAD LT stores the pattern name in the HPNAME system variable. This option is available only if Custom is selected under Pattern Type.
  • Scale. Expands or contracts a predefined or custom hatch pattern. AutoCAD LT stores the scale in the HPSCALE system variable. This option is not available if User-defined is selected under Pattern Type.
  • Angle. Specifies an angle for the hatch pattern relative to the X axis of the current UCS. AutoCAD LT stores the angle in the HPANG system variable.
  • Spacing. Specifies the spacing of lines in a user-defined hatch pattern. AutoCAD LT stores the spacing in the HPSPACE system variable. This option is available only if User-defined is selected under Pattern Type.
  • Double. Specifies a second set of lines to be drawn at 90 degrees to the original lines in a user-defined hatch pattern. AutoCAD LT stores this information in the HPDOUBLE system variable. This option is available only if User-defined is selected under Pattern Type.

Boundary

Defines a boundary:

  • Pick Points. Determines a boundary from existing objects that form an enclosed area. If Island Detection is selected in the Advanced Options dialog box, AutoCAD LT detects objects within the outermost boundary as islands that are hatched or not hatched as specified by the hatch style. The Boundary Hatch dialog box closes, and AutoCAD LT prompts for point specification.

    • Select internal point: Specify a point, enter u, or press ENTER to end point specification

    To undo the last selection, enter u or undo.

  • Select Objects. Specifies specific objects for hatching. The Boundary Hatch dialog box closes and AutoCAD LT prompts for object selection.

    • When you use the Select Objects option, AutoCAD LT does not detect interior objects automatically. You must select the objects within the selected boundary to ensure that those objects are hatched according to the current hatch style.

    Each time you choose Select Objects, AutoCAD LT clears the previous selection set.

  • Remove Islands. Removes from the boundary objects defined as islands by the Pick Points option. You cannot remove the outer boundary.

  • View Selections. Displays the currently defined boundary set. This option is not available when no selection or boundary has been made.
  • Advanced. Displays the Advanced Options dialog box. In large drawings, the default method of defining a boundary may be slow, because AutoCAD LT examines everything visible in the current viewport. To improve the speed of hatching, redefine the boundary set in the Advanced Options dialog box.
  • Preview Hatch. Displays the hatching before applying it. The dialog box closes and the selected area is hatched. After viewing the hatch, click Continue to redisplay the Boundary Hatch dialog box. This option is not available if you do not select an area.
  • Inherit Properties. Applies the properties of an existing hatch to the current Pattern Type and Pattern Properties options. The Boundary Hatch dialog box closes, and you are prompted to select an object.

    Select hatch object: Select a hatch block

After you select an object, the Boundary Hatch dialog box is displayed with the hatch pattern properties updated to match the hatch pattern settings you selected.

Attributes

The following two options define whether the hatch is associative or exploded.

  • Associative. Controls associative hatching. If you select this option, the new hatch is associative and is updated automatically when its boundaries are modified.
  • Exploded. Specifies that the hatch pattern be created from individual line segments rather than as a hatch block. AutoCAD LT stores this information by preceding the pattern name with an asterisk in the HPNAME system variable. You can also use the EXPLODE command to split hatch blocks into individual line objects.
Apply

Applies the specified hatching to the drawing. The Apply option is not available when no selection or boundary is made.

Advanced Options Dialog Box

Define Boundary Set

Defines the set of objects analyzed when AutoCAD LT defines a boundary from a specified pick point.

Specifying a boundary set can produce the boundary faster because AutoCAD LT examines fewer objects. When there's no existing boundary set, the From Existing Boundary Set option is not available. Select an option:

  • Make New Boundary Set. Selects a set of objects. When you choose Make New Boundary Set, all dialog boxes close to allow object selection. AutoCAD LT includes only the hatchable objects you select when it constructs the new boundary set. If there's already a boundary set, it's discarded and replaced by the new one. If you do not select any hatchable objects, AutoCAD LT retains any current set. Until you exit BHATCH or define a new boundary set, AutoCAD LT uses only the objects you have selected to construct boundaries.
  • From Everything on Screen. Creates a boundary set from everything visible on the screen. Selecting this option when there's a current boundary set discards the current set and uses everything visible in the current viewport.
  • From Existing Boundary Set. Selects the current boundary set.
  • Island Detection. Specifies whether objects within the outermost boundary are used as boundary objects. These internal objects are known as islands.

Boundary Style

  • Style. Specifies the method used to hatch objects within the outermost hatch boundary: Normal, Outer, or Ignore. If there are no internal objects selected, specifying a hatching style has no effect. Because you can define a precise set of boundaries, it's often best to use the Normal style.
  • Normal. Hatches inward from the area boundary. If AutoCAD LT encounters an internal intersection, it turns off hatching until it encounters another intersection. Thus, areas separated from the outside of the hatched area by an odd number of intersections are hatched, and areas separated by an even number of intersections are not.

  • Outer. Hatches inward from the area boundary. AutoCAD LT turns hatching off if it encounters an internal intersection and doesn't turn it back on. Because this process starts from both ends of each hatch line, only the outermost level of the structure is hatched, and the internal structure is left blank.

  • Ignore. Ignores all internal objects and hatches through them.

    • Note: Hatching concave curves with the Outer and Ignore styles can cause hatching discrepancies.

    The image tile above the Style list shows an example of the selected hatching style, a group of four nested objects: text within a triangle within a square within a circle. For these image tile examples, assume that all these objects are boundary objects.

Boundary Options

  • Retain Boundaries. Specifies whether the temporary boundary objects will be added to the drawing.

BHATCH (Command Line)

If you enter -bhatch at the Command prompt, AutoCAD LT presents options on the command line.

Properties / Select / Remove islands / Advanced / <Internal point> : Specify a point or enter an option

Properties (-BHATCH)

Specifies new hatch pattern properties. For more information, see the HATCH command.

Pattern (? or name / U, style) <current> : Enter a predefined pattern name, enter u, enter ?, or press ENTER

Pattern Name (Predefined)

Specifies a predefined pattern or a custom pattern name. Enter the pattern name followed by an optional hatch style code. Precede the pattern name with an asterisk (*) to fill the area with individual lines instead of a hatch block.

Scale for pattern <current> : Specify a scale or press ENTER
Angle for pattern <current> : Specify an angle or press ENTER

U (User-Defined Pattern Name)

Specifies a user-defined pattern. Enter u, followed by an optional hatch style code. Precede the u with an asterisk (*) to fill the area with individual lines instead of a hatch block.

Angle for crosshatch lines <current> : Specify an angle for the pattern or press ENTER
Spacing between lines <current> : Specify the distance between pattern lines or press ENTER
Double hatch area? <current> : Enter y to specify a second set of lines to be drawn at 90 degrees to the original lines, or press ENTER

Select (-BHATCH)

Selects specific objects for hatching.

Select objects: Use an object selection method

Remove Islands (-BHATCH)

Removes from the boundary set objects defined as islands by the Internal Point option.

Select island to remove: Select an island

Advanced (-BHATCH)

Refines the method AutoCAD LT uses to create the hatch boundary.

Boundary set / Retain boundary / Island detection / Associativity / Style / <eXit>: Enter an option or press ENTER

Boundary Set

Defines the set of objects analyzed when AutoCAD LT defines a boundary from a specified point.

New / <Everything> : Enter an option or press ENTER

Everything

Creates a boundary set from everything visible on the screen or in the current viewport. Selecting this option when there's a current boundary set discards the current set and uses everything visible on the screen or in the current viewport.

New

Creates a boundary from a selection set you define. Selecting this option when there's a current boundary set discards the current set and uses everything visible in the current viewport.

Select objects: Use an object selection method

Retain Boundary

Specifies whether or not the derived (temporary) boundary objects will be added to the drawing after hatching is completed.

Retain derived boundaries? <current> : Enter y or n, or press ENTER

Island Detection

Specifies whether objects within the outermost boundary are used as boundary objects.

Do you want island detection? <current> : Enter y or n, or press ENTER

Specifying no island detection prompts for the ray casting method.

Specify ray: Nearest / +X / -X / +Y / -Y / Angle <current> : Enter an option or press ENTER

  • Nearest. Runs a line from the point you specify to the nearest object and then traces the boundary in a counterclockwise direction.
  • +X. Runs a line in the positive X direction from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.The illustration indicates that the valid internal points for positive X direction ray casting are nearest the right-hand edges of the circle. The X indicates the area that causes a boundary definition error.
  • -X. Runs a line in the negative X direction from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.
    • The illustration indicates that the valid internal points for negative X direction ray casting are nearest the left-hand edges of the circle. The X indicates the area that causes a boundary definition error.
  • +Y. Runs a line in the positive Y direction from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.

    • The illustration indicates that the valid internal points for positive Y direction ray casting are nearest the upper edges of the circle. The X indicates the area that causes a boundary definition error.

  • -Y. Runs a line in the negative Y direction from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.

    • The illustration indicates that the valid internal points for negative Y direction ray casting are nearest the lower edges of the circle. The X indicates the area that causes a boundary definition error.

Angle

Runs a line at the specified angle from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.

Ray casting angle: Specify an angle

Style

Ignore / Outer / <Normal>: Enter an option or press ENTER

Specifies the method used to hatch objects within the outermost hatch boundary. If there are no internal objects selected, specifying a hatching style has no effect. Because you can define a precise set of boundaries, it's often best to use the Normal style.

  • Ignore. Ignores all internal objects and hatches through them. AutoCAD stores the Ignore style code by adding ,I to the pattern name in the HPNAME system variable.
  • Outer. Hatches inward from the area boundary. AutoCAD turns hatching off if it encounters an internal intersection and doesn't turn it back on. Because this process starts from both ends of each hatch line, only the outermost level of the structure is hatched, and the internal structure is left blank. AutoCAD LT stores the Outer style code by adding ,O to the pattern name in the HPNAME system variable.
  • Normal. Ignores all internal objects and hatches through them. AutoCAD stores the Ignore style code by adding ,I to the pattern name in the HPNAME system variable.

Associativity

Specifies that the new hatch pattern updates when its boundaries are modified. Hatching created with BHATCH is, by default, associative.

Do you want associativity? <current> : Enter y or n, or press ENTER

eXit

Returns to the initial prompt of the -BHATCH command.

Internal Point (-BHATCH)

Determines a boundary from existing objects that form an enclosed area. If Island Detection is turned on, AutoCAD LT detects objects within the outermost boundary as islands and hatches them or not, depending on the current hatch style. Hatching applied is associative.

Related Commands: HATCH fills selected objects with a nonassociative hatch pattern. HATCHEDIT modifies an existing associative hatch block. BOUNDARY creates a polyline from an enclosed area.
System Variables: HPANG sets the hatching angle. HPDOUBLE specifies whether a user-defined hatch is double hatched. HPNAME sets the hatch pattern name. HPSCALE sets the hatch pattern scale. HPSPACE sets the spacing of a user-defined hatch pattern. SNAPBASE specifies the starting point for the hatch pattern.


Blipmode

'BLIPMODE Command

Controls the display of marker blips

Command line: blipmode

ON / OFF <ON>: Enter on or off, or press ENTER

When Blip mode is on, a temporary mark in the shape of a plus sign (+) appears where you specify a point. BLIPMODE is off by default.

To remove marker blips, use REDRAW, REGEN, ZOOM, PAN, or other commands that redraw or regenerate the drawing.

Related Commands: DDRMODES sets drawing aids, including Blip mode.
System Variables: BLIPMODE stores the Blip mode setting.


Block

BLOCK Command

Creates a block definition from selected objects

Command line: block

Block name ( or ? ): Enter a name or ?

Block Name

Names the block. Block names can be up to 31 characters in length and can contain letters, digits, and the special characters dollar sign ($), hyphen (-), and underscore (_). AutoCAD LT converts letters to uppercase. If you enter the name of an existing block, AutoCAD LT displays the following prompt:

Redefine it? <N>: Enter y or n, or press ENTER

By redefining a block, you automatically update all references to that block.

Insertion base point: Specify a point (1)

The point specified is used as the base point for subsequent insertions of the block. Typically, a base point is the center of the block or its lower-left corner. The base point is also the point about which the block can be rotated during insertion. A block with 0 rotation is oriented according to the UCS in effect when it was created. Entering a 3D point inserts the block at a specific elevation. Omitting the Z coordinate uses the current elevation.

Select objects: Use an object selection method

AutoCAD LT constructs a block using the name provided, the insertion base point, and the objects selected and then erases the selected objects from the drawing. You can restore deleted objects by entering the OOPS command immediately.

? List Previously Defined Blocks

Block(s) to list <*>: Enter a name list or press ENTER

Lists the block names in the text window. External references (xrefs) are indicated with the notation Xref: resolved. Externally dependent blocks (blocks in an xref) are indicated with the notation xdep: XREFNAME, where XREFNAME is the name of an externally referenced drawing. The following terms are used in the list:

User Blocks

Number of user-defined blocks in the list.

External References

Number of xrefs in the list.

Dependent Blocks

Number of externally dependent blocks in the list.

Unnamed Blocks

Number of unnamed (anonymous) blocks in the drawing.

Related Commands: ATTDEF and DDATTDEF create an attribute definition for text to be associated with a block. DDINSERT and INSERT place a previously defined block or drawing in the current drawing. OOPS restores erased objects. WBLOCK writes selected objects to a new drawing file. XREF controls xrefs (external references). CONTENT displays the Content Explorer, which manages all objects that can be inserted into your drawings. BMOD modifies the description of a block definition or of the current drawing.


Bmake

BMAKE Command

Defines a block or drawing file from selected objects

Draw toolbar:
Draw menu: Block > Make
Command line: bmake

The Create Block dialog box is displayed. After the block is specified, the selected objects are removed from the drawing if Delete Selected Objects After Block Creation is selected.

Create Block Dialog Box

Save as Internal Block

Creates a block definition in the current drawing.

Save as DWG File

Creates a new drawing file from selected objects.

Name

Specifies the name of the block or drawing file to be created. A block name can be up to 31 characters. You can use letters, numbers, and special characters, such as $, -, and _.

Select Objects

Picks the objects to include in the new block. When you have finished selecting objects, press ENTER to display the dialog box. The objects you select are deleted from the drawing unless you selected Retain Objects.

Delete Selected Objects after Block Creation

If the check box is checked, AutoCAD LT automatically deletes the selected objects after they have been included in the block.

Base Point

Indicates where the insertion point for the block is. You can specify a base point by choosing Select Point and selecting a point on screen, or you can enter coordinates in the X, Y, and Z text boxes.

Description

Accepts a textual description up to 256 ASCII characters long for display in Content Explorer. This description can be modified with BMOD.

Apply

Creates the specified block or drawing file. After choosing Apply, you can continue creating additional blocks or drawings.

Related Commands: ATTDEF and DDATTDEF create an attribute definition for text to be associated with a block. DDINSERT and INSERT place a previously defined block or drawing in the current drawing. OOPS restores erased objects. WBLOCK writes selected objects to a new drawing file. XREF controls xrefs (external references). CONTENT displays the Content Explorer, which manages all objects that can be inserted into your drawings. BMOD modifies the description of a block definition or of the current drawing.


Bmod

BMOD Command

Modifies the description of a block definition or of the current drawing

Modify menu: Object > Block Description
Command line: bmod

The Modify Block Description dialog box is displayed.

Block Description Dialog Box
Internal Blocks

Lists the names of all block definitions in the current drawing. Click one of them to display a preview and its description.

Filter

Limits the listing of internal blocks with standard wild-card characters.

Export

Creates a new drawing file from the selected block.

Refresh Icon

Updates the preview image of the currently selected block.

Description

Displays the block description. Click inside this area to edit the text. The description can be up to 256 characters long.

Save Description

Applies changes to the currently selected block definition. Alternatively, you can select a different block name to edit its description, and any changes you make to the previous block description are stored automatically.

Close

Closes the BMOD dialog box.

Related Commands: BMAKE defines a block or drawing file from selected objects. CONTENT finds drawing files, inserts blocks, and defines xrefs.


Bmpout

BMPOUT Command

Saves selected objects to a file in device-independent bitmap format

Command line: bmpout

The Create BMP File dialog box is displayed.

Select objects: Use an object selection method

AutoCAD LT creates a bitmap file that contains the objects you select.

Create BMP File Dialog Box

Save in

Specifies a drive and directory in which to place the bitmap file.

File Name

Provides a field for you to enter a file name with a .bmp extension.

Save as Type

Specifies the type of file you are saving. In this case, Bitmap (*.bmp) is the only option.

Related Commands: EXPORT saves objects to other file formats.


Boundary

BOUNDARY Command

Creates a polyline from an enclosed area

Draw toolbar:
Draw menu: Boundary
Command line: boundary

The Boundary Creation dialog box is displayed.

If you enter -boundary at the Command prompt, AutoCAD LT presents options on the command line.

Advanced options / Internal point: Specify a point or enter a

Boundary Creation Dialog Box

Define Boundary Set

Defines the set of objects that AutoCAD LT uses to define a boundary based on a pick point.

  • From Everything on Screen. Creates a boundary set from everything visible on the screen. Selecting this option when there's a current boundary set discards the current set and uses everything visible in the current viewport.
  • From Existing Boundary Set. Selects the current boundary set.
  • Make New Boundary Set. Selects a set of objects. When you choose Make New Boundary Set, all dialog boxes close to allow object selection. AutoCAD LT includes only the hatchable objects you select when it constructs the new boundary set. If there's already a boundary set, it's discarded and replaced by the new one. If you do not select any hatchable objects, AutoCAD LT retains any current set. Until you exit BHATCH or define a new boundary set, AutoCAD LT uses only the objects you have selected to construct boundaries.
Island Detection

Uses objects within the outermost boundary as boundary objects.

Pick Points

Accepts all selections in the dialog box. The dialog box closes so that you can select the internal points that define the boundary object. Press ENTER when you finish selecting internal points.

Advanced Options (-BOUNDARY)

Refines the method AutoCAD LT uses to create the boundary.

Boundary set / Island detection / <eXit>: Enter an option or press ENTER

Boundary Set

Defines the set of objects analyzed when AutoCAD LT defines a boundary from a specified point.

New / Everything: Enter an option or press ENTER

Island Detection

Specifies whether objects within the outermost boundary are used as boundary objects.

Do you want island detection? <current>: Enter y or n, or press ENTER

Specifying no island detection prompts for the ray casting method.

Specify ray:
Nearest / +X / -X / +Y / -Y / Angle <current>: Enter an option or press ENTER

  • Nearest. Runs a line from the point you specify to the nearest object and then traces the boundary in a counter clockwise direction.
  • +X. Runs a line in the positive X direction from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.The illustration indicates that the valid internal points for positive X direction ray casting are nearest the right-hand edges of the circle. The X indicates the area that causes a boundary definition error.
  • -X. Runs a line in the negative X direction from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.

    • The illustration indicates that the valid internal points for negative X direction ray casting are nearest the left-hand edges of the circle. The X indicates the area that causes a boundary definition error.

  • +Y. Runs a line in the positive Y direction from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.

    • The illustration indicates that the valid internal points for positive Y direction ray casting are nearest the upper edges of the circle. The X indicates the area that causes a boundary definition error.

  • -Y. Runs a line in the negative Y direction from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.
  • Angle. Runs a line at the specified angle from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.

    Ray casting angle: Specify an angle

Exit

Returns to the initial prompt of the BOUNDARY command.

Internal Point

Creates a boundary from existing objects that form an enclosed area. Select a point inside the area.

Related Commands: PLINE creates 2D polylines. BHATCH fills an enclosed area with a hatch pattern.


Break

BREAK Command

Erases parts of objects or splits an object in two

Modify toolbar:
Modify menu: Break
Command line: break

Select object: Use an object selection method or specify the first break point on an object
Enter second point (or F for first point): Specify the second break point or enter f

AutoCAD LT erases the portion between the first and second points. If the second point is not on the object, AutoCAD LT selects the nearest point on the object; therefore, to break off one end of a line, arc, or polyline, specify the second point beyond the end to be removed.

To split an object in two without erasing a portion, enter the same point for both the first and second points. You can do this by entering @ to specify the second point.

If you select an object using a method other than picking, or if you enter f at the prompt for the second point, AutoCAD LT prompts:

Enter first point: Specify a point

Enter second point: Specify a point

Lines, arcs, circles, polylines, ellipses, splines, donuts, and several other object types can be split into two objects or have one end removed.

AutoCAD LT converts a circle to an arc by removing a piece moving counterclockwise from the first to the second point.


Browser

BROWSER Command

Launches the default web browser defined in your system's registry

Help Menu: Connect to Internet
Command line: browser

Location <http://www.autodesk.com/acltuser>: Press ENTER or enter a new location; it is not necessary to enter http:// before the location

Pressing ENTER displays your Web browser, which automatically connects to the location you specified.

Note: BROWSER requires that you have Netscape Navigator 3.0 (or later) or Microsoft Internet Explorer 3.0 (or later) installed.

Related Commands: SAVEURL saves your drawing to the FTP (File Transfer Protocol) site you specify. DWFOUT saves your drawing as a DWF (drawing Web format) file.
System Variables: INETLOCATION stores the Internet location last used by your default Web browser. You can also specify an Internet location on the Files tab of the Preferences dialog box; see Menu, Automatic Save, and Default Internet Location in the Preferences dialog box.


BUPDATE

BUPDATE Command

Adds or removes block icons displayed in Content Explorer

File menu: Drawing Utilities > Update Block Icons
File menu: Drawing Utilities > Remove Block Icons
Command line: bupdate

Remove icons/<Add icons>: Enter an option or press ENTER

Add Icons

Adds block icon to existing block definitions in the current drawing. You can add block icon if the drawing was created in an earlier release of AutoCAD LT or if the block icons were removed with BUPDATE or the Remove option of LTUPDATE. Block icons of block definitions can be viewed and selected in Content Explorer.

Remove Icons

Removes block icon of block definitions stored in the current drawing. Removing block icon decreases the file size of the drawing.


Chamfer

CHAMFER Command

Bevels the edges of objects

Modify toolbar:
Modify menu: Chamfer
Command line: chamfer

Polyline / Distance / Angle / Trim / Method / <Select first line> : Use an object selection method or enter an option

If the TRIMMODE system variable is set to 1, CHAMFER trims the intersecting lines to the endpoints of the chamfer line. If the selected lines do not intersect, AutoCAD LT extends or trims them so that they do.

If TRIMMODE is set to 0, the chamfer is created without trimming the selected lines.

If both objects to be chamfered are on the same layer, AutoCAD LT creates the chamfer on that layer. Otherwise, AutoCAD LT creates the chamfer line on the current layer. This is also true for chamfer color and linetype.

Polyline

Chamfers an entire 2D polyline.

Select 2D polyline: Use an object selection method

AutoCAD LT chamfers the intersecting line segments at each vertex of the polyline. Chamfers become new segments of the polyline.

If the polyline includes segments that are too short to accommodate the chamfer distance, those segments are not chamfered.

Distance

Sets the distance of the chamfer from the endpoint of the selected edge.

Enter first chamfer distance <current>: Specify a distance or press ENTER
Enter second chamfer distance <current>: Specify a distance or press ENTER

If you set both distances to zero, AutoCAD LT extends or trims the two lines so that they end at the same point.

After you specify the chamfer distance, use CHAMFER again to select the lines to chamfer.

Angle

Sets the chamfer distances using a chamfer distance for the first line and an angle for the second.

Enter first chamfer distance <current>: Specify a distance or press ENTER
Enter angle from the first line <current>: Specify an angle or press ENTER

Trim

Controls whether AutoCAD LT trims the selected edges to the chamfer line endpoints.

Trim / No Trim <Trim>: Enter n for No Trim or press ENTER

Method

Controls whether AutoCAD LT uses two distances or a distance and an angle to create the chamfer.

Distance / Angle / <Distance>: Enter a for angle or press ENTER

Select First Line

Specifies the first of two edges required to define a 2D chamfer.

Select second line: Use an object selection method

If the two lines you select are polyline segments, they must be adjacent to each other. If they're separated by one line or arc segment, AutoCAD LT deletes the segment and replaces it with a chamfer line.

Related Commands: FILLET rounds and fillets the edges of objects.
System Variables: CHAMFERA sets the first chamfer distance. CHAMFERB sets the second chamfer distance. CHAMFERC sets the chamfer length. CHAMFERD sets the chamfer angle. CHAMMODE controls whether CHAMFER uses two distances or a distance and an angle to create a chamfer. TRIMMODE controls whether selected edges are trimmed to the endpoints of the chamfer line.


Change

CHANGE Command

Changes the properties of existing objects

Command line: change

Select objects: Use an object selection method
Properties / Change point: Specify a new point (1), enter p, or press ENTER

The UCS must be aligned with the object you want to change.

If you select lines and other changeable objects in the same selection set, you get varying results depending upon the object selection sequence. Selecting lines only in a selection set, or selecting objects other than lines in a selection set, is the easiest way to use CHANGE.

Properties

Modifies the properties of existing objects. Use -LAYER or LAYER, -LINETYPE or LINETYPE, COLOR, or ELEV to specify the current drawing properties.

Change what property (Color / Elev / LAyer / LType / LtScale / Thickness)? Enter an option

If you select several objects with different values for the property you want to change, Varies is displayed as the current value.You can change several properties. AutoCAD LT redisplays the Change What Property prompt after each option is completed.

  • Color. Changes the color of the selected objects.

    • New color <current>: Enter a color name or number (1-255), enter bylayer or byblock, or press ENTER
    For example, to change a color to red, enter red or 1. If you enter bylayer, the object assumes the color of the layer on which it is located. If you enter byblock, the object inherits the color of the block of which it is a component.

  • Elev. Changes a 2D object's Z axis elevation.

    • New elevation <current>: Enter a numeric value

    You can change the elevation of an object only if all its points have the same Z value.

  • Layer. Changes the layer of the selected objects.

    • New layer <current>: Enter a layer name or press ENTER

  • Ltype. Changes the linetype of the selected objects.

    • New linetype <current>: Enter a linetype name or press ENTER

    If the linetype you enter is not loaded, AutoCAD LT tries to load it from the standard linetype library file, aclt.lin. If this procedure fails, use the LINETYPE command to load the linetype.

  • LtScale. Changes the linetype scale factor of the selected objects.

    • New linetype scale <current>: Specify a scale or press ENTER

  • Thickness. Changes a 2D object's Z direction thickness.

    • New thickness <current>: Enter a distance or press ENTER

    Changing the thickness of a 3D polyline, dimension, or floating viewport object has no effect.

Change Point

Lines Only

When you specify a new endpoint for a line or a group of lines, the endpoints of the selected lines closest to the Change Point move to the new point unless Ortho mode is on. If Ortho mode is on, AutoCAD LT modifies the selected lines so that they become parallel to either the X or the Y axis, rather than moving their endpoints to the specified coordinate.

Objects Other than Lines

AutoCAD LT displays different prompts depending on the objects you selected.

Attribute Definitions

Changes the text and text properties of an attribute.

Enter text insertion point: Specify a point or press ENTER

Specifying a new location repositions the text. Pressing ENTER leaves the text at its original position.

Text style: <current>
New style or ENTER for no change: Enter a name or press ENTER

If the text has a fixed height, AutoCAD LT skips the next prompt.

New height <current>: Specify a height or press ENTER
New rotation angle <current>: Specify an angle or press ENTER
New text <current>: Enter text or press ENTER
New tag <current>: Enter a tag or press ENTER
New prompt <current>: Enter a prompt or press ENTER
New default value <current>: Enter the value or press ENTER

Blocks

Changes the location or rotation of a block.

Enter block insertion point: Specify a point (1) or press ENTER

Specifying a new location repositions the block. Pressing ENTER leaves the block in its original position.

New rotation angle <current>: Enter an angle or press ENTER

AutoCAD LT rotates the block about its insertion point to the specified angle.

Circles

Changes the circle radius.

Enter circle radius: Specify the new radius or press ENTER

If more than one circle was selected, AutoCAD LT moves on to the next circle and repeats the prompt.

Text

Changes text content and properties.

Enter text insertion point: Specify a point or press ENTER

Specifying a new location repositions the text. Pressing ENTER leaves the text in its original position.

Text style: <current>
New style or ENTER for no change: Enter a name or press ENTER

If the text has a fixed height, AutoCAD LT skips the next prompt.

New height <current> : Specify a height or press ENTER
New rotation angle <current> : Specify an angle or press ENTER
New text <:current>: Enter text or press ENTER

AutoCAD LT highlights the next object and displays the prompts relating to it.

Related Commands: CHPROP, DDCHPROP, and DDMODIFY change the properties of existing objects but do not require that the UCS be aligned with the object you want to change. They cannot be used to change the elevation of an object. PAINTER copies the properties of one object to one or more objects. You can both view and change the properties of selected objects with the Object Properties Toolbar.


Chprop

CHPROP Command

Changes the color, layer, linetype, linetype scale factor, and thickness of an existing object

Command line: chprop

Select objects: Use an object selection method
Change what property (Color / LAyer/ LType / ltScale / Thickness)? Enter an option

If you select several objects with different values for the property you want to change, varies is displayed as the current value.

Color

Changes the color of the selected objects.

New color <current>: Enter a color name or number (1-255), enter bylayer or byblock, or press ENTER

For example, to change a color to red, enter red or 1. If you enter bylayer, the object assumes the color of the layer on which it is located. If you enter byblock, the object inherits the color of the block of which it is a component.

Layer

Changes the layer of the selected objects.

New layer <current>: Enter a layer name or press ENTER

Ltype

Changes the linetype of the selected objects.

New linetype <current>: Enter a linetype name or press ENTER

If the linetype you enter is not loaded, AutoCAD LT tries to load it from the standard linetype library file, aclt.lin. If this procedure fails, use the LINETYPE command to load the linetype.

Ltscale

Changes the linetype scale factor of the selected objects.

New linetype scale <current>: Specify a scale or press ENTER

Thickness

Changes a 2D object's Z direction thickness.

New thickness <current>: Enter a distance or press ENTER

Changing the thickness of a 3D polyline, dimension, or floating viewport object has no effect.

Related Commands: The CHANGE command changes elevation as well as other properties and requires that the UCS be aligned with the object to change. CHPROP, DDCHPROP, and DDMODIFY do not have this restriction. Use other commands (-LAYER or LAYER, -LINETYPE or LINETYPE, LTSCALE, COLOR, and ELEV) to set the properties of new objects. You can both view and edit a selected object's properties with the Object Properties Toolbar.


Circle

CIRCLE Command

Creates a circle

Draw toolbar:
Draw menu: Circle
Command line: circle

3P / TTR / <Center point>: Enter an option or specify a point

You can create a circle by beginning with the center point or one of three points on the circumference, or you can select objects to which the circle is tangent.

3P

Draws a circle based on three points on the circumference.

First point: Specify a point (1) or enter a value
Second point: Specify a point (2) or enter a value
Third point: Specify a point (3) or enter a value

TTR (Tangent, Tangent, Radius)

Draws a circle with a specified radius that is tangent to two objects.

Enter Tangent spec: Select the first object
Enter second Tangent spec: Select the second object
Radius <current>: Specify a distance or press ENTER

Sometimes more than one circle matches the criteria specified. AutoCAD LT draws the circle of the specified radius whose tangent points are closest to the object selection points, as shown below.

Center Point

Draws a circle based on a center point and a diameter or a radius.

Diameter / <Radius> <current>: Specify a point, enter a value, enter d, or press ENTER

Radius

Defines the circle's radius. Enter a value or specify a point (2). The distance between this point and the center point determines the radius of the circle.

Diameter

Draws a circle using the center point and a specified distance for the diameter.

Diameter <current>: Specify a point (1), enter a value, or press ENTER

Related Commands: The Isocircle option of the ELLIPSE command draws an isometric circle.
System Variables: CIRCLERAD stores the default value for a circle radius.


Color

'COLOR Command

Sets the color for new objects

Command line: color

New object color <current>: Enter a value (1-255), a color name, byblock, or bylayer

Enter the color number, or enter a standard color name: yellow, green, cyan, blue, magenta, or white.

If you enter byblock, AutoCAD LT draws new objects in the default color (white or black, depending on your configuration) until they are grouped into a block. When the block is inserted in the drawing, the objects in the block inherit the current setting of the COLOR command.

Warning: If you used a mixture of color methods to draw the objects that make up a block, inserting that block or changing its color produces complex results.

If you enter bylayer, new objects assume the color of the layer upon which they are drawn. See the LAYER command for information about assigning a color to a layer.

Related Commands: CHANGE, DDCHPROP, and CHPROP change the color of an existing object. DDMODIFY displays object properties. LAYER and -LAYER control layers. The Color option of the LAYER command controls the colors associated with specific layers.
System Variables: CECOLOR sets the color for new objects.


Content

CONTENT Command

Finds drawing files, inserts blocks, and attaches xrefs

Insert toolbar:
Insert menu: Content Explorer
Command line: content

The Content Explorer window is displayed.
Tree View
Content View

Content Explorer provides easy ways to find, preview, and insert blocks and drawing files. The Tree View is the left side of the Content Explorer when it's expanded. The tabs on the right side, or Content View, display thumbnail previews or descriptions of

  • Drawing files in a folder
  • Block definitions in a drawing

You can insert blocks or attach external references either by dragging or by specifying location, scaling, and rotation values.

Custom tabs that you create act as bookmarks for folders you use frequently, and you can save sets of tabs for later use.

You can move and copy drawing files between folders either by dragging from the current tab to other tabs or by using a dialog box.

Content Explorer Window

File Menu
  • Block Insert. Changes the operation of Content Explorer to Block Insert mode.

  • Xref Attach. Changes the operation of Content Explorer to Xref Attach mode.

  • Move Content. Moves selected drawing files to a different folder. Select the name of the destination tab name from the Move Contents dialog box.
  • Copy Content. Copies selected drawing files to a different folder. Select the name of the destination tab from the Copy Contents dialog box.
  • Close. Exits Content Explorer.
View Menu

  • Toolbar. Displays or hides the toolbar.
  • Status Bar. Displays or hides the status bar.
  • Always on Top. Controls whether Content Explorer is always on top of other windows.
  • Tree View. Displays or hides the Tree View.

  • Find. Displays the Find window to locate files by specifying criteria.

  • Icons and Names. Displays both names and icons for block definitions and drawings.
  • Names Only. Displays names only for block definitions and drawings.
  • Description. Displays a description of the selected drawing or block definition. This description is limited to 256 ASCII characters and can be modified with BMOD.

  • Preview. Displays a thumbnail preview of the selected drawing or block definition.

  • Refresh. Updates the information displayed in Content Explorer. Refreshes only the Tree View and the current tab.
Tab Menu
  • Create. Displays the Create Tab dialog box to creates a new tab as a bookmark to the current folder.

  • Rename. Displays the Rename Tab dialog box to rename the current tab.
  • Delete. Deletes the current tab. Does not delete the associated folder or its contents.
  • Open Tab Set. Displays the Open dialog box to restore a saved tab set.
  • Save As Tab Set. Displays the Save As dialog box to save a set of tabs in a .set file.
  • Merge Tab Set. Combines a tab set selected from the Merge dialog box with the current tabs.

Tree View

The expanded left side of the Content Explorer window, which displays a hierarchical list of folders and drawing files. Select a folder to display its drawing files in Content View. Select a file to display its blocks in Content View.

Content View

The default Content Explorer window, and the right side when Content Explorer is expanded, which displays icon images of blocks in a drawing or files in a folder. Content View includes at least two tabs:

  • Current Dwg. Displays internal block definitions in the current drawing.
  • Tree View. Displays internal block definitions in the current drawing currently selected in Tree View.

In Block Insert mode, you can drag a block reference or a drawing file to insert it as a block reference in the current drawing file or in a drawing file listed in Tree View. Double-click the block or file to specify insertion location, scale, and rotation values.

In Xref Attach mode, you can drag a drawing file to insert it as an external reference (xref) in the current drawing file or in a drawing file in Tree View. Double-click the file to specify insertion location, scale, and rotation values.

Preview and icon images in Content Explorer do not display text, wide polylines, 2D solids, raster images, or object colors.

Note: Content Explorer does not support the special capabilities of the My Briefcase folder. My Briefcase is treated in the same way as any other folder.


Convert

CONVERT Command

Converts 2D polylines and associative hatches to the optimized AutoCAD LT 97 format

Command line: convert

Hatch / Polyline / <All>: Enter h for hatches, p for polylines, or a for both
Select / <All>: Enter s to select objects or a to convert all objects in the drawing

AutoCAD displays one or both of the following messages:

number hatch objects converted
number 2d polyline objects converted

Two-dimensional polylines and associative hatches are created in AutoCAD LT 97 using an optimized format that saves memory and disk space. Use CONVERT to update hatches or polylines created in previous versions of AutoCAD.

Hatches do not update automatically when a drawing from a previous release is opened in AutoCAD LT 97. Hatch pattern rotation information may not update properly if the UCS has changed since the hatch was created. When you are updating hatches with CONVERT, it is recommended that you use the Select option so you can check your results.

In most cases, polylines do not need to be updated with CONVERT. By default, the PLINETYPE system variable specifies that polylines are updated automatically when an older drawing is opened. Polylines might be created in the old format by third-party applications, and they might be contained in an older drawing that was inserted as a block and then exploded.

Note: Polylines containing curve-fit or splined segments always retain the old format, as do polylines that store extended data on their vertices. AutoCAD LT's editing commands make no distinction between the two formats.

Related Commands: BHATCH fills an enclosed area with a hatch pattern. HATCH fills a specified boundary with a pattern. PEDIT edits polylines and three-dimensional polygon meshes. PLINE creates two-dimensional polylines.
System Variables: PLINETYPE specifies whether AutoCAD uses optimized two-dimensional polylines.


Copy

COPY Command

Duplicates objects

Modify toolbar:
Modify menu: Copy
Command line: copy

Select objects: Use an object selection method
Base point or displacement / Multiple: Specify a point or enter m

Base Point or Displacement

Second point of displacement: Specify a point or press ENTER

If you specify two points, AutoCAD LT uses the first point as a base point and places a single copy relative to that base point. The two points you specify define a displacement to determine how far the selected objects are moved and in what direction.

If you press ENTER at the second point, the first point is interpreted as relative X, Y, Z displacement. In this case, the first point is usually entered at the keyboard.

Note: The @ symbol should not be entered as part of this displacement coordinate.

Multiple

Makes multiple copies using one COPY command. AutoCAD LT prompts for an insertion base point for the selection object.

Base point: Specify a point
Second point of displacement: Specify a point or press ENTER

If you specify a point, AutoCAD LT places a copy at that point relative to the base point. The Second point of displacement prompt is repeated, for placement of multiple copies of the object. If you press ENTER, the command ends.

Related Commands: ARRAY creates multiple copies of objects in a rectangular or polar pattern.
System Variables: GRIPS controls the grips used to manipulate objects. COPYCLIP copies objects to the Windows clipboard.


Copyclip

COPYCLIP Command

Copies objects to the Windows Clipboard

Standard toolbar:
Edit menu: Copy
Command line: copyclip

Select objects: Use an object selection method

AutoCAD LT saves a copy of the selected objects to the Clipboard in all available formats.

Related Commands: BMPOUT saves selected objects to a file in device-independent bitmap format. COPYLINK copies the current viewport for linking to other OLE applications. CUTCLIP copies selected objects to the Windows Clipboard and erases the objects from the drawing. WMFOUT saves selected objects to a Windows metafile. COPY duplicates objects.


Copyhist

COPYHIST Command

Copies the text in the command line history window to the Clipboard

Command line: copyhist

AutoCAD LT copies the text to the Clipboard.

The command line history window is the window above the command line. You can use its scroll bars to view the contents. You can drag the top edge of the window to change its size.


Copylink

COPYLINK Command

Copies the current view to the Windows Clipboard for linking to other OLE applications

Edit menu: Copy Link
Command line: copylink

AutoCAD LT copies the current view to the Clipboard. The contents of the Clipboard can be pasted into a document as an OLE object.

Related Commands: COPYCLIP copies objects to the Windows Clipboard. CUTCLIP copies selected objects to the Windows Clipboard and erases the objects from the drawing. OLELINKS edits links, updates objects, and changes source files. PASTESPEC inserts data from the Windows Clipboard and controls the format of the data.


Cutclip

CUTCLIP Command

Copies objects to the Windows Clipboard and erases the objects from the drawing

Standard toolbar:
Edit menu: Cut
Command line: cutclip

Select objects: Use an object selection method

AutoCAD LT copies the current selection set to the Clipboard and removes the objects from the drawing. CUTCLIP does not create Paste Link information.

Related Commands: COPYCLIP copies objects to the Windows Clipboard. COPYLINK copies the current view to the Windows Clipboard for linking to other OLE applications.


DDATTDEF

DDATTDEF Command

Creates an attribute definition

Draw menu: Block > Define Attribute
Command line: ddattdef

The Attribute Definition dialog box is displayed.

An attribute is informational text associated with a block. An attribute definition specifies an attribute's properties and which prompts appear when the block is inserted.

After you complete the Attribute Definition dialog box, the attribute tag appears in the drawing. AutoCAD LT erases the attribute tag from the drawing when the attribute tag is included in a block definition using the BMAKE or BLOCK command. When you insert the block, AutoCAD LT displays the attribute value at the same location in the block with the same text style and alignment.

Attribute Definition Dialog Box

Mode

Sets options for attribute values associated with a block when you insert the block in a drawing.

These options are stored in the AFLAGS system variable.

  • Invisible. Makes the attribute value invisible. The attribute value is not displayed or printed. To display invisible attributes, use the ATTDISP command.
  • Constant. Assigns a fixed attribute value. The attribute value is inserted automatically into the drawing when the block is inserted.
  • Verify. Instructs AutoCAD LT to prompt you to verify that the attribute value is correct before the block is inserted in the drawing.
  • Preset. Sets the attribute to its default value when you insert a block containing a preset attribute.
Attribute

Sets attribute data.

  • Tag. Identifies each occurrence of an attribute in the drawing. Enter the attribute tag using any combination of characters, except spaces.
  • Prompt. Enter the prompt that you want displayed when you insert the block containing this attribute definition. If you do not enter a prompt, the attribute tag is used as a prompt. To create a leading blank for the value, start the text string with a backslash (\). To use a backslash as the first character, enter two backslashes.

    • Note: This text box is unavailable if you select Constant in the Mode area.

  • Value. Enter the default attribute value (maximum of 256 characters). To create a leading blank for the value, start the text string with a backslash (\). To use a backslash as the first character, enter two backslashes.
Insertion Point

Specifies the location of the attribute when the block is inserted in a drawing. Select a point in the drawing or enter X, Y, and Z coordinate values.

  • Pick Point. Choose Pick Point to close the dialog box so that you can select an insertion point with the mouse. After you select a point, the dialog box is redisplayed.
  • X. Enter the X value for the insertion point.
  • Y. Enter the Y value for the insertion point.
  • Z. Enter the Z value for the insertion point.
Text Options

Sets the justification, style, height, and rotation of the attribute text.

  • Justification. Select the justification for the attribute text.
  • Text Style. Select the text style for the attribute text. Currently loaded text styles are displayed. To load or create a text style, see STYLE.
  • Height. Enter a value for the height of the attribute text. Alternatively, choose Height to specify a height with your pointing device. The height is measured from the origin to the location you pick using your pointing device. After you specify a height, the dialog box is redisplayed.

    • Note: The Height and Rotation options are not available for all justification settings.

  • Rotation. Enter a value for the rotation angle of the attribute text. Alternatively, choose Rotation to specify a rotation angle with your pointing device. The rotation angle is measured from the origin to the location you pick using your pointing device. After you specify a rotation, the dialog box is redisplayed.
  • To specify a rotation angle on the screen, choose Rotation. The rotation angle is measured from the origin to the location of the cursor when you push the mouse button.
Align Below Previous Attribute

Select to place the attribute tag directly below the latest defined attribute.

Note: If you have not previously defined an attribute definition, this check box is unavailable.

Related Commands: ATTDEF creates attributes on the command line. ATTDISP overrides the visibility of attributes. ATTEDIT edits attributes on the command line. CHANGE modifies an attribute definition. DDATTE edits a block's variable attributes. DDATTEXT extracts attribute data. DDEDIT edits text and attribute definitions.
System Variables: AFLAGS stores the Mode settings.


DDATTE

DDATTE Command

Edits the variable attributes of a block

Modify II toolbar:
Modify menu: Object > Attribute >Single
Command line: ddatte

Select block: Select a block with attributes
The Edit Attributes dialog box is displayed.

An attribute is informational text associated with a block. DDATTE edits individual, nonconstant attribute values that are associated with a specific block. ATTEDIT edits attribute values and properties individually or globally, independent of the block.

To change attribute properties such as position, height, and style, use ATTEDIT.

Edit Attributes Dialog Box

Block Name

Displays the name of the selected block.

Edit Fields

Enter new values for all defined attributes.

Related Commands: DDATTDEF and ATTDEF create attributes. ATTDISP controls attribute visibility. ATTEDIT edits attribute values or properties independently of the block definition with which they are associated. DDEDIT edits text and attribute definitions. DDATTEXT and ATTEXT extract attribute data.
System Variables: ATTMODE sets the current attribute display mode. ATTREQ disables the prompts for attribute values.


DDATTEXT

DDATTEXT Command

Extracts attribute data

Tools menu: Attribute Extraction
Command line: ddattext

The Attribute Extraction dialog box is displayed.

An attribute is informational text associated with a block. Use DDATTEXT to extract attribute data from a drawing into a separate file.

Attribute Extraction Dialog Box

File Format

Select the file format for the attribute data extracted from the current drawing.

  • Comma Delimited File (CDF). Generates a file containing one record for each block reference. Character fields are enclosed in single quotation marks and separated by commas.
  • Space Delimited File (SDF). Generates a file containing one record for each block reference. Character fields of each record have a fixed width. Field separators are not used.
  • Drawing Interchange File (DXF). Produces a subset of the drawing interchange file format containing only block reference, attribute, and end-of-sequence objects. No attribute template file is required. The output file has a .dxx extension to distinguish it from normal DXF files.
Select Objects

Selects objects from which to extract attribute data. When you have finished selecting objects, the Attribute Extraction dialog box is redisplayed.

Attribute Template File

Specifies the file to use as a template for the output extract file in CDF and SDF formats. Enter the path and file name to use, or choose Attribute Template File to display the Attribute Template File dialog box.

Note: If you selected Drawing Interchange File in File Format, Attribute Template File is unavailable.

Output File

Specifies the file name and location for the extracted attribute data. Enter the path and file name for the extracted attribute data, or choose Output File to display the Output File dialog box.

Attribute Template File Dialog Box
File Name

Select or enter the name of the file you want to use as a template for the output file.

List Files of Type

Select the type of files you want displayed in the File Name list box.

Directories

Select the directory for the attribute template file.

Drives

Select the drive for the attribute template file.

Find File...

To use search criteria to find attribute template files on multiple drives and directories, choose Find File. The Browse/Search dialog box is displayed.

Output File Dialog Box
File Name

Select or enter the name for the output file.

Files of Type

Select the type of files you want displayed in the File Name list box.

Save in

Select the drive and directory for the output file.

Related Commands: ATTEXT extracts attribute data on the command line. DDATTDEF and ATTDEF create attributes. ATTDISP controls attribute visibility. DDATTE and ATTEDIT edit attributes. DDEDIT edits text and attribute definitions. EXPORT saves objects to other file formats.
System Variables: ATTDIA controls the display of attribute dialog boxes. ATTMODE sets the current attribute display mode. ATTREQ enables and disables the prompts for attribute values.


DDCHPROP

DDCHPROP Command

Changes the color, layer, linetype, linetype scale factor, and thickness of an object

Command line:ddchprop

Select objects: Use an object selection method
The Change Properties dialog box is displayed.

Change Properties Dialog Box
Color

Changes the color of the selected objects with the Select Color dialog box.

Layer

Changes the layer of the selected objects with the Layer Control dialog box.

Linetype

Changes the linetype of the selected objects with the Select Linetype dialog box.

Linetype Scale

Changes the value for the linetype scale factor of the selected objects.

Thickness

Changes the value for the distance to extrude the selected object or objects. Entering a positive value extrudes the objects above their current elevation. Entering a negative value extrudes objects below their current elevation.

Related Commands: CHANGE and CHPROP change an object's properties on the command line. LAYER creates and names drawing layers and assigns properties to them. LINETYPE loads linetypes on the command line.


DDCOLOR

DDCOLOR Command

Sets the color for new objects

Object Properties toolbar:
Format menu: Color
Command line: ddcolor

The Select Color dialog box is displayed.

Select Color Dialog Box
Standard Colors

Specifies a standard color for new objects. If you select color numbers 1�9 under Standard Colors, the name or number of the color is displayed under Color.

Gray Shades

Specifies a shade of gray for new objects. The gray shades are color numbers 250�255.

Logical Colors

Determines how color assignments are made.

  • BYLAYER. Causes all new objects to assume the color of the layer upon which they are drawn.
  • BYBLOCK. Causes all new objects to assume the color of any block into which they are grouped. Before the new objects are grouped into a block, they are drawn in the default color (white or black).
Full Color Palette

Specifies a color for new objects. The number of colors that AutoCAD displays under Full Color Palette depends on the number of colors available to your display device. The full color palette contains color numbers 10�249.

Color

Specifies a standard color name, the BYLAYER and BYBLOCK logical colors, or an AutoCAD Color Index (ACI) number between 1 and 255. The color swatch shows the object's current color.

Related Commands: CHANGE, CHPROP, and DDCHPROP set the color of existing objects. COLOR sets the color for new objects from the command line.
System Variables: CECOLOR sets the color for new objects.


DDEDIT

DDEDIT Command

Edits line text, paragraph text, dimension text, and attribute definitions

Modify II toolbar:
Modify menu: Object >Text
Command line: ddedit

<Select an annotation object> / Undo: Select text, select an attribute definition, or enter u

Using DDEDIT, you can edit text in a dialog box. One of three dialog boxes will be displayed depending on the type of text you select.

Select an Annotation Object (DDEDIT)

If you select text that was created using TEXT or DTEXT (line text), AutoCAD LT displays the Edit Text dialog box. If you select text created using MTEXT (paragraph text), AutoCAD LT displays the Multiline Text Editor dialog box.

If you select an attribute definition, AutoCAD LT displays the Edit Attribute Definition dialog box. DDEDIT continues to prompt for an annotation object after each edit operation. To end the command, press ENTER.

Edit Text Dialog Box

Text

Modify the existing text or enter the new text you want to appear in the drawing.

Multiline Text Editor Dialog Box

For a complete listing of all the options in the Multiline Text Editor dialog box, see the MTEXT command.

Edit Attribute Definition Dialog Box

Tag

Enter a new value for the tag of the attribute definition.

Prompt

Enter a new value for the prompt of the attribute definition.

Default

Enter a new default value for the attribute definition.

Undo (DDEDIT)

Returns the text or attribute definition to its previous value. You can use this option immediately after completing an edit.

Related Commands: DDATTE edits a block's variable attributes. ATTEDIT edits attributes independently of the block definition with which they're associated.


DDGRIPS

'DDGRIPS Command

Enables grips and sets their color

Tools menu: Grips
Command line: ddgrips

The Grips dialog box is displayed.

Grips Dialog Box
Select Settings

Sets the display of grips.

  • Enable Grips. This setting is stored in the GRIPS system variable.
  • Enable Grips Within Blocks. Enables grips within blocks. Grips will be displayed on objects within a selected block. If this option is not selected, the block is assigned one grip at its insertion point. This setting is stored in the GRIPBLOCK system variable.
Grip Colors

Sets the color of grips.

  • Unselected. Sets the color of unselected (unfilled) grips with the Select Color dialog box. This value is stored in the GRIPCOLOR system variable.
  • Selected. Sets the color of selected (filled) grips with the Select Color dialog box. This value is stored in the GRIPHOT system variable.
Grip Size

Sets the size of grips. To adjust the size of grips, move the slider box to the left or right. This value is stored in the GRIPSIZE system variable.

System Variables: GRIPS activates grips. GRIPBLOCK assigns grips to objects within blocks. GRIPCOLOR changes the color of unselected grips. GRIPHOT changes the color of selected grips. GRIPSIZE changes the size of grips.


DDIM

DDIM Command

Creates and modifies dimension styles

Dimensioning toolbar:
Dimension menu: Dimension Style
Command line:ddim

The Dimension Styles dialog box is displayed.

A dimension style is a saved set of dimension settings that determines the appearance of the dimension. By creating dimension styles, you can set all relevant dimensioning system variables and control the layout and appearance of any dimension.

Dimension styles can have families of settings. For example, within a dimension style you may create a variation for radial dimensions and another variation for angular dimensions. AutoCAD LT uses the appropriate dimension style family member for the type of dimension you create. If there are no differences in settings for a dimension type, the parent dimension style settings are used.

Dimension Styles Dialog Box

You can define all dimension style settings in this dialog box except the settings saved in the DIMSHO and DIMASO system variables.

Dimension Style

Use the options under Dimension Style to load, save, add, rename, or make current a dimension style.

  • Current. Displays the name of the current dimension style. From the list, select the name of a dimension style to make it the current style.

    • Note: This list also displays the names of dimension styles associated with external references. To make changes to an externally referenced dimension style, you must copy the style and give it a new name.

  • Name. Displays the name of the selected dimension style. Enter a new name when renaming a style or creating a new style.

    • Note: You cannot change or rename the STANDARD dimension style.

  • Save. Saves a new or changed dimension style with the name entered in Name.
  • Rename. Renames the dimension style selected in Current to the name entered in Name.
Family

Select the family type for the selected dimension style. To set variables for a specific family member, use the family type using the Geometry, Format, and Annotation dialog boxes.

  • Parent. Changes all dimension style family types.
  • Linear. Changes the linear family type.
  • Radial. Changes the radial family type.
  • Angular. Changes the angular family type.
  • Diameter. Changes the diameter family type.
  • Ordinate. Changes the ordinate family type.
  • Leader. Select to make changes to the leader family type.
Geometry

Defines the appearance of lines, arrowheads, and center marks, and changes the overall scale of the dimension with the Geometry dialog box.

Format

Defines the location of dimension text, arrowheads, leader lines, and the dimension line with the Format dialog box.

Annotation

Defines the appearance of dimension text with the Annotation dialog box.

Geometry Dialog Box

Controls the appearance of the geometry and overall scale of the dimension.

Dimension Line

Controls the appearance of the dimension line.

Suppress

Suppresses the display of dimension lines when they continue outside the extension lines.

  • 1st. Suppresses the display of the first dimension line. The DIMSD1 system variable is set to On.
  • 2nd. Suppresses the display of the second dimension line. The DIMSD2 system variable is set to On.
  • Spacing. Sets the spacing between the dimension lines of a baseline dimension. The value is stored in the DIMDLI system variable.
  • Color. Sets the color of the dimension line with the Select Color dialog box. The value is stored in the DIMCLRD system variable.
Extension

Sets the distance to extend the dimension line past the extension line when oblique strokes (tick marks) are set as the arrowheads of the dimension. The value is stored in the DIMDLE system variable.

Suppress

Suppresses the display of extension lines.

  • 1st. Suppresses the display of the first extension line. The DIMSE1 system variable is set to On.
  • 2nd. Suppresses the display of the second extension line. The DIMSE2 system variable is set to On.
  • Extension. Sets the distance to extend the extension lines above the dimension line. The value is stored in the DIMEXE system variable.
  • Origin Offset. Sets the distance to offset the extension lines from the points on the drawing that define the dimension. The value is stored in the DIMEXO system variable.
  • Color. Sets the color of the extension line with the Select Color dialog box. The value selected is stored in the DIMCLRE system variable.

Arrowheads (Geometry Dialog Box)

Controls the appearance of the arrowheads in a dimension.

  • 1st. Select the type of arrowhead for the first arrowhead. The value is stored in the DIMBLK1 system variable. If you select a different type of arrowhead in 2nd, this value is stored in DIMBLK2.

    • Note: To select a user-created block as the arrowhead, choose User Arrow. The User Arrow dialog box is displayed.

  • 2nd. Select the type of arrowhead for the second arrowhead. If you selected a different type of arrowhead in 1st, this value is stored in the DIMBLK1 system variable.

    • Note: To select a user-created block as the arrowhead, choose User Arrow. The User Arrow dialog box is displayed.

  • Size. Enter a value for the size of the arrowheads. The value is stored in the DIMASZ system variable.

Center (Geometry Dialog Box)

Controls the appearance of center marks and lines for diameter and radial dimensions.

  • Mark. Creates a center mark.
  • Line. Creates a center line.
  • None. Does not create a center mark or center line.
  • Size. Specifies a value for the size of the center mark or center line. This value is stored in the DIMCEN system variable.
Scale (Geometry Dialog Box)

Sets the dimension scale in the drawing.

  • Overall Scale. Enter a value for the scale factor for all dimensioning that specifies sizes, distances, and spacing. The scale factor affects text and arrowhead sizes, but does not affect tolerances, measured lengths, coordinates, or angles. The value is stored in the DIMSCALE system variable.
  • Scale to Paper Space. Determines a scale factor based on the scaling between the current model space viewport and paper space. The DIMSCALE system variable is set to 0. If the TILEMODE system variable is set to 1 or if you are working in paper space but not a model space viewport, the DIMSCALE system variable is set to the default value of 1.0.

User Arrow Dialog Box

  • Arrow Name. Enter the name of the alternate block you want to use as the arrowhead for the dimension.

Format Dialog Box

  • User Defined. Select to have AutoCAD LT prompt you for the dimension text position when you create a dimension. AutoCAD LT ignores any horizontal justification setting. The DIMUPT system variable is set to 1. If this option is not selected, AutoCAD LT uses the settings under Horizontal Justification to determine the location of dimension text. The DIMUPT system variable is set to 0.
  • Force Line Inside. Select to have AutoCAD LT dimension lines between the measured points of the dimension even when arrowheads are placed outside the measured points. The DIMTOFL system variable is set to 1.

Fit
Controls the placement of text and arrowheads inside or outside the extension lines based on the space available between the extension lines. If space is available, text and arrows are placed inside the extension lines.

  • Text and Arrows. Places the text and arrows outside the extension lines if they will not fit between the extension lines. When you move the dimension text, the dimension line moves with it.
  • Text Only. Places the arrows inside and the text outside the extension lines if they will not both fit between the extension lines. If there is still not enough space for the text, it is placed outside the extension lines with the arrowheads. When you move the dimension text, the dimension line moves with it.
  • Arrows Only. Places the text inside and the arrowheads outside the extension lines if they will not both fit between the extension lines. If there is still not enough space for the text, it is placed outside the extension lines with the arrowheads. When you move the dimension text, the dimension line moves with it.
  • Best Fit. Places the text, arrowheads, or text and arrowheads inside the extension lines if space is available. When you move the dimension text, the dimension line moves with it.
  • Leader. Creates a leader line to the text if it does not fit between the extension lines. When you move the dimension text, it is independent of the dimension line.
  • No Leader. Places text above the dimension line without a leader line if it does not fit between the extension lines. When you move the dimension text, it is independent of the dimension line.
Horizontal Justification

Controls the horizontal justification of dimension text along the dimension line and the extension line.

  • 1st Extension Line. Left-justifies the dimension text with the first extension line along the dimension line. The offset distance between the extension line and the dimension text is twice the arrowhead size plus the text gap value.
  • 2nd Extension Line. Right-justifies the dimension text with the second extension line along the dimension line. The offset distance between the extension line and the dimension text is twice the arrowhead size plus the text gap value.
  • Over 1st Extension Line. Positions the dimension text over or along the first extension line.
  • Over 2nd Extension Line. Positions the dimension text over or along the second extension line.
Text

Controls the position of dimension text inside and outside the extension lines.

  • Inside Horizontal. Places text that is between extension lines in a horizontal position. The DIMTIH system variable is set to On.
  • Outside Horizontal. Places text that is outside the extension lines in a horizontal position. The DIMTOH system variable is set to On.
Vertical Justification

Controls the vertical justification of dimension text along the dimension line.

  • Centered. Centers the dimension text between the extension lines. The DIMTAD system variable is set to 0.
  • Above. Places the dimension text above the dimension line. The DIMTAD system variable is set to 1.
  • Outside. Places the dimension text on the side of the dimension line farthest from the first defining point. The DIMTAD system variable is set to 2.
  • JIS. Places the dimension text in conformance to a Japanese Industrial Standards (JIS) representation. The DIMTAD system variable is set to 3.

Annotation Dialog Box

Controls the appearance of dimension text.

Primary Units (Annotation Dialog Box)
  • Units. Specifies the primary measurement units with the Primary Units dialog box.
  • Prefix. Enter the characters of the prefix for the dimension text. You can use control codes to add special symbols to the prefix. For a list of available control codes, see DTEXT. The prefix you enter is displayed instead of any default prefixes. This setting is stored in the DIMPOST system variable.
  • Suffix. Enter the characters of the suffix for the dimension text. You can use control codes to add special symbols to the suffix. For a list of available control codes, see DTEXT. If you specify tolerances for the dimension, the suffix is added to the tolerance. This setting is stored in the DIMPOST system variable.
Tolerance (Annotation Dialog Box)

Creates tolerances for dimension text

Method

Select the type of tolerance you want to add to the dimension text.

  • None. Does not add a tolerance. The DIMTOL system variable is set to 0.
  • Symmetrical. Adds a plus/minus expression of tolerance in which a single value of variation is applied to the dimension measurement. A ± symbol followed by a tolerance value is displayed after the dimension. Enter the tolerance value in Lower Value. The DIMTOL system variable is set to 1. The DIMLIM system variable is set to 0.
  • Deviation. Adds a plus/minus expression of tolerance in which different plus and minus values of variation are applied to the dimension measurement. A + symbol is added to the tolerance value entered in Upper Value and a - symbol is added to the tolerance value entered in Lower Value. The DIMTOL system variable is set to 1. The DIMLIM system variable is set to 0.
  • Limits. Creates a limit dimension in which a maximum and a minimum value are displayed, one over the other. The maximum value is the dimension value plus the value entered in Upper Value. The minimum value is the dimension value minus the value entered in Lower Value. The DIMTOL system variable is set to 0. The DIMLIM system variable is set to 1.
  • Basic. Creates a basic dimension in which a box is drawn around the full extents of the dimension. The distance between the text and the box is stored as a negative value in the DIMGAP system variable.
Upper Value

Enter the maximum or upper tolerance value. This value is stored in the DIMTP system variable.

Lower Value

Enter the minimum or lower tolerance value. This value is stored in the DIMTM system variable.

Justification

Select an option to set the text justification of symmetrical and deviation tolerances.

  • Top. Aligns the tolerance value with the top of the dimension text. The DIMTOLJ system variable is set to 2.
  • Middle. Aligns the tolerance value with the middle of the dimension text. The DIMTOLJ system variable is set to 1.
  • Bottom. Aligns the tolerance value with the bottom of the dimension text. The DIMTOLJ system variable is set to 0.
Height

Enter the value for the ratio of the height of the tolerance text to the height of the dimension text. For example, if you enter 0.75, the height of the tolerance text is three-quarters the height of the dimension text. This value is stored in the DIMTFAC system variable.

Alternate Units (Annotation Dialog Box)

Controls the display of the alternate measurement units of dimension text. You cannot add alternate measurement units to the Angular dimension style family.

  • Enable Units. Adds alternate measurement units to dimension text.
  • Units. Specifies the alternate measurement units with the Alternate Units dialog box.
  • Prefix. Enter the characters of the prefix for the alternate dimension text. You can use control codes to add special symbols to the prefix. For a list of available control codes, see DTEXT. The prefix you enter is displayed instead of any default prefixes. This setting is stored in the DIMAPOST system variable.
  • Suffix. Enter the characters of the suffix for the alternate dimension text. You can use control codes to add special symbols to the suffix. For a list of available control codes, see DTEXT. If you specify tolerances for the dimension, the suffix is added to the tolerance. This setting is stored in the DIMAPOST system variable.
Text (Annotation Dialog Box)

Controls the properties of dimension text.

  • Style. Select the text style for the dimension text. To create or change text styles, see DDSTYLE. This value is stored in the DIMTXSTY system variable.
  • Height. Enter the value for the size of the dimension text. This value is stored in the DIMTXT system variable.
  • Gap. Enter the value for the size of the gap that separates the dimension text from the dimension lines. This value is stored in the DIMGAP system variable.
  • Color. Sets the color of the dimension text with the Select Color dialog box. The value is stored in the DIMCLRT system variable.
Round Off (Annotation Dialog Box)

Enter the value to which you want to round off the dimension values. For example, if you enter a value of 0.25, the dimension values are rounded to the nearest 0.25 unit. This value is stored in the DIMRND system variable.

Note: You cannot round off angular dimensions.

Primary Units Dialog Box

Controls the primary measurement units.

  • Units. Select the unit format in which you want dimension values displayed. This values is stored in the DIMUNIT system variable. You cannot set the dimension units for the Angular family member.
  • Dimension. Controls the precision and suppression of zeros for the dimension.
  • Zero Suppression. Controls the display of leading and trailing zeros and zero feet and inches. This value is stored in the DIMZIN system variable.
    • Leading. Eliminates display of leading zeros in all decimal dimensions. For example, the value 0.500 becomes .500.
    • Trailing. Eliminates display of trailing zeros in all decimal dimensions. For example, the value 12.500 becomes 12.5 and the value 30.00 becomes 30.
    • 0 Feet. Does not display a foot value of zero when the dimension is less than 1 foot in length. For example, the value 0'-6 1/2" becomes 6 1/2".
    • 0 Inches. Does not display an inch value of zero when the dimension is an integral number of feet. For example, the value 1'-0" becomes 1'.
  • Angles. Select the unit format for angular dimension values. This value is stored in the DIMAUNIT system variable.
  • Tolerance. Controls the precision and suppression of zeros for tolerance text.
  • Precision. Select a value for the number of decimal places of precision measured for the tolerance text. When the Parent dimension family member is selected, the precision is based on the units or angle format you selected. This value is stored in the DIMTDEC system variable.
  • Zero Suppression. Controls the display of leading and trailing zeros and zero feet and inches. This value is stored in the DIMZIN system variable.
    • Leading. Eliminates display of leading zeros in all decimal dimensions. For example, the value 0.500 becomes .500.
    • Trailing. Eliminates display of trailing zeros in all decimal dimensions. For example, the value 12.500 becomes 12.5 and the value 30.00 becomes 30.
    • 0 Feet. Does not display a foot value of zero when the dimension is less than 1 foot in length. For example, the value 0'-6 1/2" becomes 6 1/2".
    • 0 Inches. Does not display an inch value of zero when the dimension is an integral number of feet. For example, the value 1'-0" becomes 1'.
  • Scale. Controls the global scale factor for linear dimension measurements
  • Linear. Enter a value for the global scale factor for linear dimension measurements. All linear distances measured by dimensions are multiplied by this value. Angular dimensions and tolerances are not multiplied by this value. This value is stored in the DIMLFAC system variable.
  • Paper Space Only. Applies the value entered in Linear only to dimensions created in paper space. This sets the length scale factor for objects in a model space viewport. This option is not available when the Leader or Angular family member types are selected.

Alternate Units Dialog Box

Controls the alternate measurement units.

  • Units. Select the unit format for alternate dimension values. This value is stored in the DIMALTU system variable. You cannot set the dimension units for the Angular family member.
  • Dimension. Controls the precision and suppression of zeros for the dimension.
  • Zero Suppression. Controls the display of leading and trailing zeros and zero feet and inches. This value is stored in the DIMZIN system variable.
    • Leading. Eliminates display of leading zeros in all decimal dimensions. For example, the value 0.500 becomes .500.
    • Trailing. Eliminates display of trailing zeros in all decimal dimensions. For example, the value 12.500 becomes 12.5 and the value 30.00 becomes 30.
    • 0 Feet. Does not display a foot value of zero when the dimension is less than 1 foot in length. For example, the value 0'-6 1/2" becomes 6 1/2".
    • 0 Inches. Does not display an inch value of zero when the dimension is an integral number of feet. For example, the value 1'-0" becomes 1'.
  • Angles. Select the unit format for angular dimension values. This value is stored in the DIMAUNIT system variable.
  • Tolerance. Controls the precision and suppression of zeros for tolerance text.
  • Precision. Select a value for the number of decimal places of precision measured for the tolerance text. When the Parent dimension family member is selected, the precision is based on the units or angle format you selected. This value is stored in the DIMTDEC system variable.
  • Zero Suppression. Controls the display of leading and trailing zeros and zero feet and inches. This value is stored in the DIMZIN system variable.
    • Leading. Eliminates display of leading zeros in all decimal dimensions. For example, the value 0.500 becomes .500.
    • Trailing. Eliminates display of trailing zeros in all decimal dimensions. For example, the value 12.500 becomes 12.5 and the value 30.00 becomes 30.
    • 0 Feet. Does not display a foot value of zero when the dimension is less than 1 foot in length. For example, the value 0'-6 1/2" becomes 6 1/2".
    • 0 Inches. Does not display an inch value of zero when the dimension is an integral number of feet. For example, the value 1'-0" becomes 1'.
  • Scale. Controls the global scale factor for linear dimension measurements
  • Linear. Enter a value for the global scale factor for linear dimension measurements. All linear distances measured by dimensions are multiplied by this value. Angular dimensions and tolerances are not multiplied by this value. This value is stored in the DIMLFAC system variable.
  • Paper Space Only. Applies the value entered in Linear only to dimensions created in paper space. This sets the length scale factor for objects in a model space viewport. This option is not available when the Leader or Angular family member types are selected.

Related Commands: DIMSTYLE creates and modifies dimension styles at the Command prompt. For creating and modifying dimension objects, refer to the dimensioning commands, which begin with the prefix DIM. LIST lists database information for selected objects. You can use it to query the overridden dimensioning system variables.


DDINSERT

DDINSERT Command

Inserts a block or another drawing

Insert menu: Block
Command line: ddinsert

The Insert dialog box is displayed.

The last block you inserted during the current editing session becomes the default block for subsequent DDINSERT commands. The position of the inserted block depends on the orientation of the UCS.

Insert Dialog Box

Block

Specifies the name of a block you want to insert in the drawing or the name of a file you want to insert in the drawing as a block.

  • Block. Enter the name of the block you want to insert. Choose Block to select from a list of defined blocks using the Defined Blocks dialog box.
  • File. Enter the name of a drawing file you want to insert as a block. Choose File to select from a list of available drawing files using the Select Drawing File dialog box.

    • Note: You can create a block from the drawing file you select by entering a block name in the Block text box. The drawing in the drawing file is copied to a new block with the name you entered. The drawing file remains unchanged. To do this, Explode must be off. You can use this method to rename a file whose name contains embedded space.

Options

Specifies options for inserting the block.

  • Specify Parameters on Screen. Select to use the pointing device to define the insertion point, scale, and rotation angle of the block on screen. Clear to set the insertion point, scale, and rotation angle with the options that follow.
  • Insertion Point. Specifies the X,Y,Z coordinate location of the insertion point of the block. The Z box displays the current elevation.
  • Scale. Specifies the X, Y, and Z scale factors of the inserted block. Entering negative values inserts a mirror image of a block.
  • Rotation. Specifies the rotation angle for the block in the current UCS.
Explode

Select to insert the block or file as the individual objects that make up the block or file. Component objects of a block drawn on layer 0 remain on that layer. Objects having color BYBLOCK are white. Objects with linetype BYBLOCK have continuous lines.

Note: When Explode is selected, you can specify a uniform scale factor only.

Defined Blocks Dialog Box

Pattern

Displays the names of blocks in the current drawing. Use letters and wild-card characters to sort the list of block names in the current drawing.

Selection

Enter the name of the block you want to insert in the drawing, or select the block from the Pattern list box.

Related Commands: INSERT places a named block or drawing into the current drawing. EXPLODE breaks a compound object into its component objects.
System Variables: INSNAME stores the name of the most recently inserted block.


DDMODIFY

DDMODIFY Command

Controls object properties

Object Properties toolbar:
Modify menu: Properties
Command line:ddmodify

Select object to modify: Use an object selection method

AutoCAD LT displays the appropriate dialog box for the type of object you selected:

Arc | MText
Associative Hatch | Point
Attribute Definition | Polyline
Block Insertion | Ray
Circle | Solid
Dimension | Spline
Ellipse | Text
External Reference | Tolerance
Leader | Viewport
Line | Xline
AutoCAD Object

Modify Arc Dialog Box

Properties

Controls the properties of the arc.

  • Color. Changes the color of the arc with the Select Color dialog box.
  • Layer. Changes the layer of the arc with the Select Layer dialog box.
  • Linetype. Changes the linetype of the arc with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected arc. You cannot change this value with DDMODIFY.
  • Thickness. Specifies the thickness of the arc.
  • Linetype Scale. Specifies the linetype scale factor for the arc.
Center

Controls the location of the center point of the arc.

  • Pick Point. Closes the dialog box so that you can define a new center point for the arc on the screen. After you select a new center point, the Modify Arc dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the center point.
  • Y. Specifies the Y value for the coordinate of the center point.
  • Z. Specifies the Z value for the coordinate of the center point.
Radius

Specifies the radius of the arc.

Start Angle

Specifies the start angle of the arc.

End Angle

Specifies the end angle of the arc.

Total Angle

Displays the total angle of the arc.

Arc Length

Displays the total length of the arc.

Modify Associative Hatch Dialog Box

Properties

Controls the properties of the associative hatch.

  • Color. Changes the color of the associative hatch with the Select Color dialog box.
  • Layer. Changes the layer of the associative hatch with the Select Layer dialog box.
  • Linetype. Changes the linetype of the associative hatch with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected associative hatch. You cannot change this value with DDMODIFY.
  • Thickness. Specifies the thickness of the associative hatch.
  • Linetype Scale. Specifies the linetype scale factor for the associative hatch.
Hatch Edit

Changes the appearance of the hatch with the Hatch Edit dialog box.

Modify Attribute Definition Dialog Box

Properties

Controls the properties of the attribute definition.

Tag

Displays the current tag of the attribute definition. You can enter a new tag.

Prompt

Displays the current prompt of the attribute definition. You can enter a new prompt.

Default

Displays the current default value of the attribute definition. You can enter a new value.

Origin

Controls the location of the origin of the attribute definition.

Height

Specifies the height of the text in the attribute definition.

Note: Changing this value affects only the selected attribute definition, not the default height defined in the text style. To revert to the default value, select the original style in the Style list box.

Rotation

Specifies the rotation of the text in the attribute definition.

Width Factor

Specifies the width factor for the text in the attribute definition. A value greater than 1 expands the width of each character in the font. A value less than 1 compresses the width of each character in the font.

Note: Changing this value affects only the selected attribute definition, not the default width factor defined in the text style. To revert to the default value, select the original style in the Style list box.

Obliquing

Specifies the angle that you want to oblique (italicize) the text in the attribute definition.

Note: Changing this value affects only the selected text object, not the default obliquing value defined in the text style. To revert to the default value, select the original style in the Style list box.

Justify

Specifies the justification for the selected text object. For a description of each justification setting, see DTEXT.

Note: Changing this value affects only the selected text object, not the default justification defined in the text style. To revert to the default value, select the original style in the Style list box.

Style

Specifies the style for the selected attribute definition. All settings changed previously will be set to the default values of this style.

Upside Down

Causes the text to be displayed upside down.

Note: Changing this value affects only the selected text object, not the default value defined in the text style. To revert to the default value, select the original style in the Style list box.

Backward

Causes the text to be displayed backward (reversed).

Note: Changing this value affects only the selected text object, not the default value defined in the text style. To revert to the default value, select the original style in the Style list box.

Invisible

Makes the attribute value invisible. The attribute value is not displayed or printed.

Constant

Assigns a fixed attribute value. The attribute value is inserted automatically into the drawing when the block is inserted.

Verify

Causes AutoCAD LT to prompt you to verify that an attribute value is correct before the block is inserted in the drawing.

Preset

Sets the attribute to its default value when you insert a block containing a preset attribute.

Properties

Color

Changes the color of the attribute definition with the Select Color dialog box.

Layer

Changes the layer of the attribute definition with the Select Layer dialog box.

Linetype

Changes the linetype of the attribute definition with the Select Linetype dialog box.

Handle

Displays the handle of the selected attribute definition. You cannot change this value with DDMODIFY.

Thickness

Specifies the thickness of the attribute definition.

Linetype Scale

Specifies the linetype scale factor for the attribute definition.

Origin

Pick Point

Closes the dialog box so you can define a new origin for the attribute definition. After you select a new origin, the Modify Attribute Definition dialog box is redisplayed.

X

Specifies the X value for the coordinate of the origin.

Y

Specifies the Y value for the coordinate of the origin.

Z

Specifies the Z value for the coordinate of the origin.

Modify Block Insertion Dialog Box

Properties

Controls the properties of the block insertion.

  • Color. Changes the color of the block insertion with the Select Color dialog box.
  • Layer. Changes the layer of the block insertion with the Select Layer dialog box.
  • Linetype. Changes the linetype of the block insertion with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected block insertion. You cannot change this value.
  • Thickness. Specifies the thickness of the block insertion.
  • Linetype Scale. Specifies the linetype scale factor for the block insertion.
Insertion Point

Controls the location of the insertion point of the block insertion.

  • Pick Point. Closes the dialog box so you can define a new insertion point for the block insertion. After you select a new insertion point, the Modify Block Insertion dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the insertion point.
  • Y. Specifies the Y value for the coordinate of the insertion point.
  • Z. Specifies the Z value for the coordinate of the insertion point.
X-scale

Specifies the scale factor for the block insertion in the X (horizontal) direction.

Y-scale

Specifies the scale factor for the block insertion in the Y (vertical) direction.

Z-scale

Specifies the scale factor for the block insertion in the Z direction.

Rotation

Specifies the rotation angle for the block insertion.

Columns

Displays the number of columns.

Rows

Displays the number of rows.

Col Spacing

Displays the current setting for column spacing.

Row Spacing

Displays the current setting for row spacing.

Attributes

Displays the attributes of the block insertion.

Modify Circle Dialog Box

Properties

Controls the properties of the circle.

  • Color. Changes the color of the circle with the Select Color dialog box.
  • Layer. Changes the layer of the circle with the Select Layer dialog box.
  • Linetype. Changes the linetype of the circle with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected circle. You cannot change this value with DDMODIFY.
  • Thickness. Specifies the thickness of the circle.
  • Linetype Scale. Specifies the linetype scale factor for the circle.
Center
  • Pick Point. Closes the dialog box so you can define a new center point for the circle on screen. After you select a new center point, the Modify Circle dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the center point.
  • Y. Specifies the Y value for the coordinate of the center point.
  • Z. Specifies the Z value for the coordinate of the center point.
Radius

Enter the radius of the circle.

Diameter

Displays the value of the diameter of the circle based on the radius you enter.

Circumference

Displays the value of the circumference of the circle based on the radius you enter.

Area

Displays the value of the area of the circle based on the radius you enter.

Modify Dimension Dialog Box

Properties

Controls the properties of the dimension.

  • Color. Changes the color of the dimension with the Select Color dialog box.
  • Layer. Changes the layer of the dimension with the Layer Control dialog box.
  • Linetype. Changes the linetype of the dimension with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected dimension. You cannot change this value with DDMODIFY.
  • Thickness. You cannot change the thickness of a dimension.
  • Linetype Scale. Specifies the linetype scale factor for the dimension.
Contents

The current dimension value is indicated between the brackets. To replace the current dimension value, enter new text before, after, or between the brackets.

Full Editor

Opens the Multiline Text Editor dialog box.

Style

Specifies a text style to apply to the dimension text.

Modify Ellipse Dialog Box

Properties

Controls the properties of the ellipse.

  • Color. Changes the color of the ellipse with the Select Color dialog box.
  • Layer. Changes the layer of the ellipse with the Select Layer dialog box.
  • Linetype. Changes the linetype of the ellipse with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected ellipse. You cannot change this value with DDMODIFY.
  • Thickness. Specifies the thickness of the ellipse.
  • Linetype Scale. Specifies the linetype scale factor for the ellipse.
Center

Controls the location of the center point of the ellipse.

  • Pick Point. Closes the dialog box so you can define a new center point for the ellipse on the screen. After you select a new center point, the Modify Ellipse dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the center point.
  • Y. Specifies the Y value for the coordinate of the center point.
  • Z. Specifies the Z value for the coordinate of the center point.
Major Radius

Specifies the major radius of the ellipse.

Minor Radius

Specifies the minor radius of the ellipse.

Radius Ratio

Specifies the ratio of the major radius to the minor radius.

Start Angle

Specifies the start angle of the ellipse.

End Angle

Specifies the end angle of the ellipse.

Major Axis Vector

Displays the X, Y, and Z values of the vector that defines the major axis direction of the ellipse.

Area

Displays the area of the ellipse.

Modify External Reference Dialog Box

Properties

Controls the properties of the external reference.

  • Color. Changes the color of the external reference with the Select Color dialog box.
  • Layer. Changes the layer of the external reference with the Select Layer dialog box.
  • Linetype. Changes the linetype of the external reference with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected external reference. You cannot change this value with DDMODIFY.
  • Thickness. Thickness is unavailable when modifying xrefs.
  • Xref Name. Specifies the name of the currently selected xref.
  • Path. Specifies the path of the currently selected xref.
  • Linetype Scale. Linetype Scale is unavailable when modifying xrefs.
Insertion Point

Controls the location of the insertion point of the external reference.

  • Pick Point. Closes the dialog box so you can define a new insertion point for the external reference. After you select a new insertion point, the Modify External Reference dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the insertion point.
  • Y. Specifies the Y value for the coordinate of the insertion point.
  • Z. Specifies the Z value for the coordinate of the insertion point.
X-scale

Specifies the scale factor for the external reference in the X (horizontal) direction.

Y-scale

Specifies the scale factor for the external reference in the Y (vertical) direction.

Z-scale

Specifies the scale factor for the external reference in the Z direction.

Rotation

Specifies the rotation angle for the external reference.

Columns

Specifies the number of columns to use when creating a rectangular array using the selected xref.

Rows

Specifies the number of rows to use when creating a rectangular array using the selected xref.

Row Spacing

Controls the array row spacing.

Modify Leader Dialog Box

Properties

Controls the properties of the leader line.

  • Color. Changes the color of the leader with the Select Color dialog box.
  • Layer. Changes the layer of the leader with the Select Layer dialog box.
  • Linetype. Changes the linetype of the leader with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected leader. You cannot change this value with DDMODIFY.
  • Linetype Scale. Specifies the linetype scale factor for the leader.
Style

Applies a text style to the text in the leader.

Type

Specifies the leader type.

  • Straight. Makes the leader a straight line.
  • Spline. Makes the leader a spline.
Arrow

Displays arrows on the leader.

Note: To modify the text in a leader, use DDMODIFY and select the text rather than the leader line. The Modify Mtext dialog box is displayed.

Modify Line Dialog Box

Properties

Controls the properties of the line.

  • Color. Changes the color of the line with the Select Color dialog box.
  • Layer. Changes the layer of the line with the Select Layer dialog box.
  • Linetype. Changes the linetype of the line with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected line. You cannot change this value.
  • Thickness. Specifies the thickness of the line.
  • Linetype Scale. Specifies the linetype scale factor for the line.
From Point

Controls the location of the From (first) point of the line.

  • Pick Point. Closes the dialog box so you can define a new From point for the line on the screen. After you select a new From point, the Modify Line dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the From point.
  • Y. Specifies the Y value for the coordinate of the From point.
  • Z. Specifies the Z value for the coordinate of the From point.
To Point

Controls the location of the To (second) point of the line.

  • Pick Point. Closes the dialog box so you can define a new From point for the line on the screen. After you select a new From point, the Modify Line dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the To point.
  • Y. Specifies the Y value for the coordinate of the To point.
  • Z. Specifies the Z value for the coordinate of the To point.
Delta XYZ

Displays the change in coordinate values from the start point to the end point of the line.

Length

Displays the length of the line.

Angle

Displays the angle of the line.

Modify MText Dialog Box

Properties

Controls the properties of the mtext object.

  • Color. Changes the color of the mtext object with the Select Color dialog box.
  • Layer. Changes the layer of the mtext object with the Select Layer dialog box.
  • Linetype. This option is unavailable.
  • Handle. Displays the handle of the selected mtext object. You cannot change this value.
  • Thickness. This option is unavailable.
  • Linetype Scale. This option is unavailable.
Insertion Point

Controls the location of the insertion point of the mtext object.

  • Pick Point. Closes the dialog box so you can define a new insertion point for the mtext object. After you select a new insertion point, the Modify MText dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the insertion point.
  • Y. Specifies the Y value for the coordinate of the insertion point.
  • Z. Specifies the Z value for the coordinate of the insertion point.
Contents

Displays the current contents of the mtext object.

Full Editor

Edits the contents of the mtext object with the Edit MText dialog box.

Style

Controls the style used by the selected text.

Justify

Determines both text justification and text flow for new or selected text in relation to the text boundary. Text justification is modified to one of nine available positions based on the current justification point, not on the justification points of the current text object.

Direction

Determines whether the text is oriented vertically, horizontally, or according to the direction set by the current style (ByStyle). Vertical is only available if the selected font supports dual orientation.

Width

Specifies the width of the paragraph text object. If you specify a width of zero, word wrap is turned off, and the multiline text object is displayed on a single line.

Text Height

Specifies the height of the multiline text object. Characters with individual height formatting are not affected by this setting.

Rotation

Specifies the rotation angle of the text boundary.

Modify Point Dialog Box

Properties

Controls the properties of the point.

  • Color. Changes the color of the point with the Select Color dialog box.
  • Layer. Changes the layer of the point with the Select Layer dialog box.
  • Linetype. Changes the linetype of the point with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected point. You cannot change this value.
  • Thickness. Specifies the thickness of the point.
  • Linetype Scale. Specifies the linetype scale factor for the point.
Location

Controls the location of the point.

  • Pick Point. Closes the dialog box so you can define a new location on the screen for the point. After you select a new location, the Modify Point dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the point.
  • Y. Specifies the Y value for the coordinate of the point.
  • Z. Specifies the Z value for the coordinate of the point.

Modify Polyline Dialog Box

Properties

Controls the properties of the polyline.

  • Color. Changes the color of the polyline with the Select Color dialog box.
  • Layer. Changes the layer of the polyline with the Select Layer dialog box.
  • Linetype. Changes the linetype of the polyline with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected polyline. You cannot change this value with DDMODIFY.
  • Thickness. Specifies the thickness of the polyline.
  • Linetype Scale. Specifies the linetype scale factor for the polyline.
Polyline Type

Displays the polyline type of the selected polyline.

Vertex Listing

Displays the X, Y, and Z coordinates for each vertex in the polyline.

  • Vertex. Displays the number of the vertex for which the X, Y, Z coordinate is displayed.
  • Next. Displays the values for the next vertex.
Fit/Smooth

Specifies the type of line curve fitting.

  • None. Does not apply line fitting.
  • Quadratic. Applies quadratic line fitting.
  • Cubic. Applies cubic line fitting.
  • Curve Fit. Applies curve fitting.
Polyline

Controls the appearance of the polyline.

  • Closed. Closes the ends of the polyline.
  • LT Gen. Controls how linetype patterns are assigned to a 2D polyline. If LT Gen is selected, the linetype pattern is maintained across vertices rather than beginning and ending at each vertex with a down stroke (dash). This is especially important if vertices are close together.

    • Note: On splined or curved polylines with short segments, the linetype may appear continuous because the pattern cannot be fully displayed between the vertices.

Modify Ray Dialog Box

Properties

Controls the properties of the ray.

  • Color. Changes the color of the ray with the Select Color dialog box.
  • Layer. Changes the layer of the ray with the Select Layer dialog box.
  • Linetype. Changes the linetype of the ray with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected ray. You cannot change this value.
  • Thickness. Thickness is not defined for rays.
  • Linetype Scale. Specifies the linetype scale factor for the ray.
Start Point

Controls the location of the Start point of the ray.

  • Pick Point. Closes the dialog box so you can specify a new Start point for the on screen for the ray. After you select a new Start point, the Modify Ray dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the Start point.
  • Y. Specifies the Y value for the coordinate of the Start point.
  • Z. Specifies the Z value for the coordinate of the Start point.
Second Point

Controls the location of the Second point of the ray, which defines the angle at which the ray travels.

  • Pick Point. Closes the dialog box so you can specify a new Second point for the on screen for the ray. After you select a new Second point, the Modify Ray dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the Second point.
  • Y. Specifies the Y value for the coordinate of the Second point.
  • Z. Specifies the Z value for the coordinate of the Second point.
Direction Vector

Displays the relative change in the X, Y, Z, coordinate values from any point on the ray to another point on the ray.

Modify Solid Dialog Box

Properties

Controls the properties of the solid.

  • Color. Changes the color of the solid with the Select Color dialog box.
  • Layer. Changes the layer of the solid with the Select Layer dialog box.
  • Linetype. Changes the linetype of the solid with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected solid. You cannot change this value with DDMODIFY.
  • Thickness. Specifies the thickness of the solid.
  • Linetype Scale. Specifies the linetype scale factor for the solid.
Point

Controls the location of each point of the solid. For each point, enter new X, Y, and Z values.

  • Pick Point. Closes the dialog box so you can specify a new point. After you select a new point, the Modify Solid dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the point.
  • Y. Specifies the Y value for the coordinate of the point.
  • Z. Specifies the Z value for the coordinate of the point.

Modify Spline Dialog Box

Properties

Controls the properties of the spline.

  • Color. Changes the color of the spline with the Select Color dialog box.
  • Layer. Changes the layer of the spline with the Select Layer dialog box.
  • Linetype. Changes the linetype of the spline with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected spline. You cannot change this value with DDMODIFY.
  • Thickness. This option is not available.
  • Linetype Scale. Specifies the linetype scale factor for the spline.
Control Points

Displays the X, Y, Z coordinate and the weight of each control point on the spline. Additional weight assigned to a control point reduces the distance between the spline and that control point.

  • Vertex. Displays the number of the vertex for which the X, Y, Z coordinate is displayed.
  • Next. Displays values for the next vertex.
  • Weight. Displays the weight at the current control point. Weight refers to the distance between the spline and a given control point. The larger the integer value, the more the spline is pulled toward the control point.
Degree

Displays the degree of the spline curve.

Properties

Displays the properties of the spline curve.

Data Points

Displays the X, Y, Z coordinate of each data point on the spline.

  • Vertex. Displays the number of the vertex for which the X, Y, Z coordinate is displayed.
  • Next. Displays the values for the next vertex.

Modify Text Dialog Box

Properties

Controls the properties of the text object.

  • Color. Changes the color of the text object with the Select Color dialog box.
  • Layer. Changes the layer of the text object with the Select Layer dialog box.
  • Linetype. Changes the linetype of the text object with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected text object. You cannot change this value with DDMODIFY.
  • Thickness. Specifies the thickness of the text object.
  • Linetype Scale. Specifies the linetype scale factor for the text object.
Text

Displays the current text. Edit the text or enter new text.

Origin

Controls the location of the origin of the text object.

  • Pick Point. Closes the dialog box so you can specify a new origin for the text object on screen. After you select a new origin, the Modify Text dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the origin.
  • Y. Specifies the Y value for the coordinate of the origin.
  • Z. Specifies the Z value for the coordinate of the origin.
Height

Specifies the height of the text.

Note: Changing this value affects only the selected text object, not the default height defined in the text style. To revert to the default value, select the original style in the Style list box.

Rotation

Specifies the rotation of the text.

Width Factor

Specifies the width factor for the text. A value greater than 1 expands the width of each character in the font. A value less than 1 compresses the width of each character in the font.

Note: Changing this value affects only the selected text object, not the default width factor defined in the text style. To revert to the default value, select the original style in the Style list box.

Obliquing

Specifies the angle that you want to oblique (italicize) the font.

Note: Changing this value affects only the selected text object, not the default obliquing value defined in the text style. To revert to the default value, select the original style in the Style list box.

Justify

Specifies the justification for the selected text object. For a description of each justification setting, see DTEXT.

Note: Changing this value affects only the selected text object, not the default justification defined in the text style. To revert to the default value, select the original style in the Style list box.

Style

Specifies the style for the selected text object. All settings changed previously will be set to the default values.

Upside Down

Causes the text to be displayed upside down.

Note: Changing this value affects only the selected text object, not the default defined in the text style. To revert to the default value, select the original style in the Style list box.

Backward

Causes the text to be displayed backward (reversed).

Note: Changing this value affects only the selected text object, not the default defined in the text style. To revert to the default value, select the original style in the Style list box.

Modify Tolerance Dialog Box

When you select a geometric tolerance, AutoCAD LT displays the Modify Tolerance dialog box.

Properties

Controls the properties of the tolerance object.

  • Color. Changes the color of the tolerance symbol with the Select Color dialog box.
  • Layer. Changes the layer of the tolerance symbol with the Select Layer dialog box.
  • Linetype. Changes the linetype of the tolerance symbol with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected tolerance symbol. You cannot change this value with DDMODIFY.
  • Thickness. This option is not available.
  • Linetype Scale. Specifies the linetype scale factor for the tolerance symbol.
Edit

Displays the tolerance symbols and text. You can enter new symbols and text.

Style

Specifies a text style for the tolerance symbols and text.

Modify Viewport Dialog Box

Properties

Controls the properties of the floating viewport.

  • Color. Changes the color of the floating viewport with the Select Color dialog box.
  • Layer. Changes the layer of the floating viewport with the Select Layer dialog box.
  • Linetype. This option is not available.
  • Handle. Displays the handle of the selected floating viewport. You cannot change this value with DDMODIFY.
  • Thickness. This option is not available.
  • Linetype Scale. This option is not available.
  • View Center. Displays the selected viewport's X, Y, and Z coordinates.
  • Vport ID. Displays the identification number of the viewport.
  • Width. Displays the width of the selected viewport.
  • Height. Displays the height of the selected viewport.
  • Status. Displays the status of the selected viewport. The status settings indicate whether a viewport is on (meaning its objects are visible) and active (meaning it's the current viewport.)

Modify Xline Dialog Box

Properties

Controls the properties of the xline.

  • Color. Changes the color of the xline with the Select Color dialog box.
  • Layer. Changes the layer of the xline with the Select Layer dialog box.
  • Linetype. Changes the linetype of the xline with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected xline. You cannot change this value with DDMODIFY.
  • Thickness. This option is not available.
  • Linetype Scale. Specifies the linetype scale factor for the xline.
Root Point

Controls the location of the root point of the xline.

  • Pick Point. Closes the dialog box so you can specify a new root point for the xline. After you select a new root point, the Modify Xline dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the root point.
  • Y. Specifies the Y value for the coordinate of the root point.
  • Z. Specifies the Z value for the coordinate of the root point.
Second Point

Controls the location of the second point of the xline.

  • Pick Point. Closes the dialog box so you can specify a new second point for the xline. After you select a second root point, the Modify Xline dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the second point.
  • Y. Specifies the Y value for the coordinate of the second point.
  • Z. Specifies the Z value for the coordinate of the second point.
Direction Vector

Displays the relative change in the X, Y, Z coordinate values from any point on the xline to another point on the xline.

Modify AutoCAD Object Dialog Box

Several types of objects can be created in AutoCAD that cannot be created in AutoCAD LT for Windows 97. However, these AutoCAD objects can be displayed, edited, and saved in AutoCAD LT:

  • 3D faces
  • 3D meshes
  • 3D (ACIS) solids
  • Bodies
  • Multilines
  • Pface (polygon) meshes
  • Regions
  • Shapes
  • Traces
Properties

Controls the properties of the AutoCAD objects. Not all properties are available for modification with some AutoCAD objects.

  • Color. Changes the color of the AutoCAD object with the Select Color dialog box.
  • Layer. Changes the layer of the AutoCAD object with the Select Layer dialog box.
  • Linetype. Changes the linetype of the AutoCAD object with the Select Linetype dialog box.
  • Handle. Displays the handle of the AutoCAD object. You cannot change this value.
  • Thickness. Specifies the thickness of the AutoCAD object.
  • Linetype Scale. Specifies the linetype scale factor for the AutoCAD object.

Related Commands: DDCHPROP and CHPROP change an existing object's color, layer, linetype, and thickness. DDCOLOR and COLOR set the color of new objects. -LAYER and LAYER control layer settings. LINETYPE creates, loads, and sets linetypes. ELEV sets elevation and extrusion thickness of new objects. STYLE creates text styles and changes existing style settings.
System Variables: CECOLOR sets the color of new objects. CELTSCALE sets the current linetype scale factor of new objects. CELTYPE sets the linetype of new objects. CLAYER sets the current layer. ELEVATION stores the current 3D elevation. THICKNESS sets the current 3D thickness.


DDPTYPE

'DDPTYPE Command

Specifies the display mode and size of point objects

Format menu: Point Style
Command line: ddptype

The Point Style Dialog box is displayed.

The PDMODE and PDSIZE system variables control the appearance of point objects.

Point Style Dialog Box

The Point Style dialog box shows the current point display mode and size. Change the point display mode by selecting an icon. The specified appearance of existing points changes the next time AutoCAD LT regenerates the drawing.

Point Display Mode

Select the icon image of the point display mode you want to use. The point display mode is stored in the PDMODE system variable.

Point Size

Enter the value for the point display size. The point display size is stored in the PDSIZE system variable. Subsequent point objects you draw use the new value. The next regeneration updates existing point objects.

Set Size Relative to Screen

Select to set the point display size as a percentage of the screen size. The point display does not change when you zoom in or out.

Set Size in Absolute Units

Select to set the point display size as the actual units you specified in the Point Size text box. The point display enlarges or reduces when you zoom in or out.

Related Commands: POINT creates point objects. DIVIDE uses points as markers in an object it has divided into equal parts. MEASURE places markers on an object at specified intervals.
System Variables: PDMODE sets the point display mode. PDSIZE sets the point display size.


DDRENAME

DDRENAME Command

Changes the names of named objects

Format menu: Rename
Command line: ddrename

The Rename dialog box is displayed.

Blocks, layers, linetypes, and other special objects are stored by name and called named objects. Use DDRENAME to change the names of these objects. You can also use DDRENAME to view a list of all blocks and symbol table entries in the current drawing.

You can use the wild-card characters * and ? to rename groups of objects. You can't rename some standard objects, such as layer 0 and the CONTINUOUS linetype.

Rename Dialog Box

Named Objects

Displays the types of named objects. When you select an object type, a list of objects of that type will be displayed in Items.

Items

Displays named objects of the type specified in Named Objects. Select the name you want to change.

Old Name

Displays the name you selected in Items. You can also enter the name of an object here.

Rename To

Enter the new name you want to assign. Then choose Rename To to update the Items list.

Related Commands: RENAME performs the same operations from the command line.


DDRMODES

'DDRMODES Command

Sets drawing aids

Tools menu: Drawing Aids
Command line: ddrmodes

The Drawing Aids dialog box is displayed.

DDRMODES controls the settings for AutoCAD LT drawing aids including Grid and Snap.

Drawing Aids Dialog Box

Modes

Controls several drawing modes.

  • Ortho. Turns Orthogonal mode and PolarSnap on and off. With Ortho mode, cursor input is restricted to either horizontal or vertical locations relative to the previous point. With PolarSnap, you can set a specified snap angle distance.
  • Solid Fill. Turns Fill mode on and off. Fill mode controls the solid filling of wide polylines, donuts, and 2D solids.
  • Quick Text. Turns on Quick Text mode. Quick Text mode displays text and attributes as simple rectangles.
  • Blips. Turns Blip mode on and off. Blip mode controls the display of marker blips on the screen.
  • Highlight. Turns highlighting of selected objects on and off.
Snap

Controls Snap mode settings.

  • On. Turns Snap mode on and off.
  • X Spacing. Enter a value for the snap spacing in the X direction.
  • Y Spacing. Enter a value for the snap spacing in the Y direction.
  • Snap Angle. Enter a value by which you want to rotate the snap grid.
  • X Base. Enter a value for the X basepoint for the snap grid.
  • Y Base. Enter a value for the Y basepoint for the snap
Grid

Controls Grid mode settings.

  • On. Turns Grid mode on and off.
  • X Spacing. Enter a value for the grid spacing in the X direction.
  • Y Spacing. Enter a value for the grid spacing in the Y direction.
Isometric Snap/Grid

Controls ISO mode settings.

  • On. Changes the Snap and Grid orientation to isometric. This setting facilitates drawing a 2D representation of a 3D isometric view of an object using Snap, Grid, and the Isocircle option of the ELLIPSE command.
  • Left. Select a simulated XY plane.
  • Top. Select a simulated XZ plane.
  • Right. Select a simulated YZ plane.

Related Commands: BLIPMODE controls the display of marker blips. FILL controls the filling of hatches, two-dimensional solids, and wide polylines. GRID displays a dot grid at the specified spacing(s). ISOPLANE selects the current isometric plane. ORTHO constrains cursor movement to the horizontal or vertical directions. QTEXT displays text and attributes as simple rectangles. SNAP restricts cursor movement to specific intervals.
System Variables: HIGHLIGHT controls object selection highlighting.


DDSELECT

'DDSELECT Command

Sets object selection modes

Tools menu: Selection
Command line:ddselect

The Object Selection Settings dialog box is displayed.

Object Selection Settings Dialog Box (DDSELECT)

DDSELECT controls the settings for object selection modes, pickbox size, and object sorting criteria for overlapping objects.

Selection Modes

Sets the selection mode. Select any combination of the options.

Noun/Verb Selection

With Noun/Verb selection on, you can select objects before entering a command. This setting is stored in the PICKFIRST system variable. If either GRIPS or Noun/Verb Selection is enabled, the graphics cursor changes to a combination of the pickbox and crosshairs.

You can use the following commands to edit objects with Noun/Verb Selection:

ARRAY | DDMODIFY | MOVE
BLOCK | DVIEW | ROTATE
CHANGE | ERASE | SCALE
CHPROP | EXPLODE | STRETCH
COPY | LIST | WBLOCK
DDCHPROP | MIRROR |

Use Shift to Add

Controls how you add objects to a selection set. With this option turned on, hold down SHIFT to add more objects to the selection set. If you do not hold down SHIFT when selecting an object, you will overwrite the old selection set rather than adding to it. This setting is stored in the PICKADD system variable.

To clear a selection set quickly, draw a selection window in a blank area of the drawing. If Use Shift to Add is cleared, objects are added to the selection set as you select them. In either case, to remove objects, hold down SHIFT while selecting them again.

Press and Drag

Controls how you draw a selection window or crossing window. This setting is stored in the PICKDRAG system variable. With this option turned on, hold down the pick button and drag the cursor diagonally to create a selection window. Release the button to complete the window's opposite corner.

If Press and Drag is cleared, two separate points are required to define the selection window.

Implied Windowing

Creates a selection window. With this option turned on, you pick the first corner point in an empty area of the screen and AutoCAD LT prompts for the other corner point. Specifying the selection window from left to right selects objects that are completely inside the window's boundaries. Drawing from right to left selects objects within and crossing the window's boundaries. If Implied Windowing is off, picking an empty area of the screen will not result in an automatic window or crossing selection. Instead, AutoCAD LT reports that no objects were found. You can override this selection setting by using the Window, Crossing, or Auto options at the Select options prompt. Implied windowing can also be set using the PICKAUTO system variable.

Default Selection Modes

Resets the selection modes to their default settings (Noun/Verb Selection and Implied Windowing turned on).

Pickbox Size (DDSELECT)

Adjusts the size of the pickbox using a slider bar. This setting is stored in the PICKBOX system variable.

Object Sort Method Dialog Box (DDSELECT)

Provides options for processing overlapping objects in the order in which they were created in the drawing. You can use these options if your drawing or application depends on the order in which objects were created. Selecting additional sorting methods can increase processing time, which is related to performance enhancements for object selection in large drawings.

  • Object Selection. Causes objects that are selected with a windowing method to be placed in the selection set in reverse order from that in which they were created.
  • Object Snap. Causes Object Snap mode to select objects in the order in which they were created, from last to first.
  • Redraws. Causes REDRAW to draw objects in their order in the drawing database, from last to first.
  • Slide Creation. Causes MSLIDE to draw objects in their order in the drawing database, from last to first.
  • Regens. Causes REGEN to draw objects in their order in the drawing database, from last to first.
  • Plotting. Causes PLOT to process objects in their order in the drawing database, from last to first.
  • PostScript Output. Causes PSOUT to process objects in their order in the drawing database, from last to first.

Related Commands: SELECT builds a selection set.
System Variables: PICKADD controls additive selection of objects. PICKAUTO controls automatic windowing selection. PICKBOX sets the object selection target box size. PICKDRAG controls the method of drawing a selection window. PICKFIRST lets you select an object, then use a command.


STYLE

'STYLE Command

Creates named text styles

Format menu: Text Style
Command line: style

The Text Style dialog box is displayed.

If you enter -style at the Command prompt, STYLE presents options on the command line.

The STYLE command also modifies existing styles and sets the current style for subsequent TEXT, DTEXT, and MTEXT commands.

Text Style Dialog Box

Add or modify styles.

Style Name

Displays text style names, adds new styles, renames and deletes existing styles. Style names can be up to 31 characters long. They can contain letters, numbers, and the special characters dollar sign ($), underscore (_), and hyphen (-). AutoCAD LT converts the name to uppercase characters.

The list contains defined style names and displays the current style by default. To change the current style, select another style from the list, or choose New to create a new style.

  • New. Displays the New Text Style dialog box and automatically supplies the name "stylen" (where n is the number of the supplied style) for the current settings. You can accept the default or enter a name in the box and choose OK to apply the current style settings to the new style name.
  • Rename. Displays the Rename Text Style dialog box. The text style listed in the box is renamed when you enter a new name and choose OK.

    Note: You can also use DDRENAME or RENAME to change the name of an existing text style. If any existing text object uses the old style name, the text object takes the new name automatically.

  • Delete. Deletes a text style. Select a name from the list to make it current, and then choose Delete.
Font (STYLE)

Changes the style's font.

  • Font Name. Lists the font family name for all registered TrueType fonts and all AutoCAD LT compiled shape (SHX) fonts in the AutoCAD LT Fonts directory. When you select a name from the list, AutoCAD LT reads the file for the specified font. The file's character definitions are loaded automatically unless the file is already in use by another text style. You can define several styles that use the same font.
  • Font Style. Specifies font character formatting, such as italic, bold, or regular. When Use Big Font is selected, this option changes to Big Font Name and is used to select a Big Font file name.
  • Height. Sets the text height based on the value you enter. If you enter 0.0, AutoCAD LT prompts for the text height each time you enter text using this style. Entering a height greater than 0.0 sets the text height for this style. TrueType fonts may be displayed at a smaller height than SHX fonts with the same height setting.

Use the Big Font option to specify an Asian-language Big Font file; Use Big Font is available only if an SHX file is specified under Font Name; only SHX files are valid file types for creating Big Fonts.

Note: The text height you specify may not be accurately represented by uppercase letters in TrueType fonts supplied with AutoCAD LT.

Effects (STYLE)

Modifies characteristics of the font, such as whether it is displayed upside down or not, backwards, or vertically aligned, as well as its height, width factor, and obliquing angle.

  • Upside Down. Displays the characters upside down.
  • Backwards. Displays the characters backwards.
  • Vertical. Displays the characters aligned vertically. Vertical is available only if the selected font supports dual orientation. Vertical orientation is not available for TrueType fonts.
  • Width Factor. Sets the character spacing. Entering a value less than 1.0 condenses the text. Entering a value greater than 1.0 expands it.
  • Oblique Angle. Sets the obliquing angle of the text. Entering a value between -85 and 85 italicizes the text.

Note: TrueType fonts using these effects might appear bold on the screen. Onscreen appearance has no effect on plotted output; fonts are plotted as specified by applied character formatting.

Preview (STYLE)

Displays sample text that changes dynamically as you change fonts and modify the effects. To change the sample text, enter characters in the box below the character preview image.

  • Preview Button. Updates the sample text in the character preview image according to any changes you've made in the dialog box.

Note: Height has no effect in the character preview image, because a very large text height might show little or no text.

Apply (STYLE)

Applies style changes made in the dialog box to text of the current style in the drawing.

Cancel (STYLE)

Cancel changes to Close whenever a change is made to any of the options under Style Name.

Close (STYLE)

Cancel changes to Close whenever a change is made to any of the options under Style Name. Changing, renaming, or deleting the current style and creating a new style are operations that take place immediately and cannot be canceled.

Using the Command Line

Text style name (or ?) <current>: Enter a style name, enter ?, or press ENTER

At the Text Style Name prompt, you can enter a text style name of up to 31 characters. The name can contain letters, numbers, and the special characters dollar sign ($), hyphen (-), and underscore (_). To define a style that uses Big Fonts, you can use long file names that do not contain commas; commas are used to separate SHX files and Big Font files for defining a Big Font file. Pressing ENTER displays the following prompt (full font names are displayed only if the current font is a TrueType font):

Existing style. Full font name = <current>: Specify full font name or font file name <complex.shx,bigfont.shx>

Enter a TrueType font family name or an SHX font file name. If you do not enter a file extension, AutoCAD LT searches for an SHX file. If the file is not located, the Windows operating system substitutes the first located registered TrueType font.

All long file names except those containing commas are accepted at the prompt. The comma is reserved for the Big Font naming convention: an SHX file followed by a comma (,), followed by the Big Font file name. A space is interpreted as part of the font name, not as a carriage return.

Entering a tilde (~) displays the Select Font File dialog box.

In the Select Font File dialog box, valid types include SHX and TTF. AutoCAD LT reads the specified font file. The file's character definitions are loaded automatically unless the file is already in use by another text style. You can define several styles that use the same font file.

Height <current>: Specify a distance or press ENTER

If you enter a height of 0.0, AutoCAD LT prompts you for the text height each time you enter text using this style. Entering a height greater than 0.0 sets the text height for this style.

Width factor <current>: Specify a distance or press ENTER

Entering a value less than 1.0 condenses the text. Entering a value greater than 1.0 expands it.

Obliquing angle <current>: Specify an angle or press ENTER

Entering a value between -85 and 85 obliques the text.

Backwards : Enter y or n or press ENTER
Upside-down <N>: Enter y or n or press ENTER
Vertical <N>: Enter y or n or press ENTER

Vertical is available only if the selected font supports dual orientation.

Entering ? displays the following prompt:

Text style(s) to list <*>: Enter the name of a style, enter *, or press ENTER

At the Text Style(s) to List prompt, entering the name of a style displays the name, font file, height, width factor, obliquing angle, and generation of the style and exits the command. Entering an asterisk (*) or pressing ENTER displays the height, width factor, obliquing angle, and generation of each style and exits the command.

If you change the orientation or font file of an existing text style, all text objects with that style use the new values when the drawing is regenerated. If REGENAUTO is on, the change causes an automatic regeneration.

You can use DDRENAME or RENAME to change the name of an existing text style. If any existing text object uses the old style name, the text object takes the new name automatically.


DDUCS

DDUCS Command

Manages defined User Coordinate Systems

Standard toolbar:
Tools menu: UCS, then named UCS
Command line: dducs

The UCS Control dialog box is displayed.

UCS Control Dialog Box

The primary function of DDUCS is to restore saved UCSs.

UCS Names

Displays the names of defined and saved coordinate systems. Select a coordinate system to view information about that system or to restore, delete, or rename it. *WORLD* indicates the World Coordinate System. *PREVIOUS* indicates the previous coordinate system.

*WORLD* Coordinate System (WCS) is always the first entry. If you define other coordinate systems during the current editing session, a *PREVIOUS* entry appears next. You can step back through these coordinate systems by selecting *PREVIOUS* and OK repeatedly. If you don't name the current coordinate system, *NO NAME* is the next entry.

The current coordinate system is identified by the word Current, displayed to the right of the system name.

Current

Restores the selected coordinate system. Makes the selected coordinate system current. To add a UCS name to this list, use the Save option of the UCS command.

Delete

Deletes a user-defined coordinate system. To delete the selected coordinate system, select Delete. You cannot delete the entries *WORLD* or *PREVIOUS*.

List...

Lists a coordinate system's origin point and the direction of its X, Y, and Z axes relative to the current UCS. Select a UCS name and choose List .

Rename To

Renames a coordinate system. To rename the selected coordinate system, enter the new name in the Rename To text box. Then select Rename To. You cannot rename the entries *WORLD* or *PREVIOUS*.

Related Commands: UCS defines or modifies the current user coordinate system. DDUCSP selects a preset user coordinate system.
System Variables: UCSICON controls visibility and placement of the UCS icon in viewports. UCSNAME displays the name of the current coordinate system. UCSORG displays the origin point of the current coordinate system for the current space. UCSXDIR displays the X direction of the current UCS for the current space. UCSYDIR displays the Y direction of the current UCS for the current space.


DDUCSP

DDUCSP Command

Selects a preset user coordinate system

Standard toolbar:
Tools menu: UCS, then Preset UCS
Command line: dducsp

The UCS Orientation dialog box is displayed.

A user coordinate system (UCS) is a user-controlled coordinate system for convenient placement of objects. DDUCSP provides choices among preset UCS orientations.

UCS Orientation Dialog Box

The image tiles illustrate the ways you can change the current UCS. After you select an image tile, AutoCAD LT changes the current UCS based on the setting of the Relative to Current UCS or Absolute to WCS options. Relative to Current UCS and Absolute to WCS are not used if you restore the UCS to the WCS (World Coordinate System) or the previous UCS, or set the UCS to the current view.

Images of Preset User Coordinate Systems

To change the position of the UCS, select an image of a preset user coordinate system (UCS). The orientation of the UCS is determined by the following:

  • Relative to Current UCS. Select to reorient the UCS relative to the current UCS orientation.
  • Absolute to WCS. Select to reorient the UCS relative to the fixed World Coordinate System (WCS).

Related Commands: DDUCS renames, restores, deletes, or lists defined coordinate systems. UCS defines or modifies the current user coordinate system.
System Variables: UCSICON controls visibility and placement of the UCS icon viewports. UCSNAME displays the name of the current coordinate system. UCSXDIR displays the X direction of the current UCS of the current space. UCSYDIR displays the Y direction of the current UCS for the current space.


DDUNITS

'DDUNITS Command

Controls coordinate and angle display formats and determines precision

Format menu: Units
Command line: ddunits

The Units Control dialog box is displayed.

Units Control Dialog Box

Specifies the display format for units of measure.

  • Scientific. Displays units of measure in scientific format.
  • Decimal. Displays units of measure in decimal format.
  • Engineering. Displays units of measure in engineering format. When you select Engineering, each drawing unit represents one inch.
  • Architectural. Displays units of measure in architectural format. When you select Architectural, each drawing unit represents one inch.
  • Fractional. Displays units of measure in fractional format.
Precision

Specifies the number of decimal places or fractional size displayed for linear measurements.

Angles

Specifies the display format for angular measurements.

  • Decimal Degrees. Displays angular measurements in decimal degrees. Angular measurements are displayed as decimal numbers.
  • Deg/Min/Sec. Displays angular measurements in degrees, minutes, and seconds. Angular measurements are displayed with the letter d appearing after the degree measurement, an apostrophe (') symbol appearing after the minute measurement, and a quotation mark (") appearing after the second measurement. For example, a measurement of 123 degrees, 45 minutes, and 56.7 seconds is entered and displayed as 123d45'56.7".
  • Grads. Displays angular measurements in grads. The letter g appears after the measurement.
  • Radians. Displays angular measurements in radians. The letter r appears after the measurement.
  • Surveyor. Displays angular measurements in surveyor units.
Precision

Specifies the number of decimal places displayed for angular measurements.

Direction

Sets the direction of angles in measurements. Displays the Direction Control dialog box.

Direction Control Dialog Box

The Direction Control settings determine what orientation is defined as angle 0 and in which direction, clockwise or counterclockwise, positive angles are measured when entered.When AutoCAD LT prompts for an angle, you can locate a point in the desired direction or enter an angle.

Angle 0 Direction

Sets the direction of the zero angle. The following options affect the entry of angles, the display format, and the entry of polar, cylindrical, and spherical coordinates.

  • East. Specifies the compass direction East.
  • North. Specifies the compass direction North
    • .
  • West. Specifies the compass direction West.
  • South. Specifies the compass direction South.
  • Other. Specifies a direction different from the points of the compass.

Angle

Specifies a value for the zero angle. You can specify the angle by entering a value.

Pick

Defines the angle in the graphics area based on the angle of an imaginary line that connects any two points you specify.

Counter-Clockwise

Sets the positive angle direction to counterclockwise. This option affects the entry of angles and the display format.

Clockwise

Sets the positive angle direction to clockwise. This option affects the entry of angles and the display format.

Note: Clockwise and Counter-Clockwise control the direction of positive and negative angles. The default direction for positive angles is counterclockwise. Selecting Clockwise reverses the positive and negative angles in arcs, rotation, and polar arrays.

Related Commands: UNITS sets coordinate and angle display formats and precision from the command line.
System Variables: ANGBASE stores the angle 0 direction, with respect to the current UCS. ANGDIR stores the setting for clockwise or counterclockwise direction, with respect to the current UCS. AUNITS stores the Angular Units mode. AUPREC stores the number of decimal places for angular units. LUNITS stores the setting for Linear Units mode. LUPREC stores the number of decimal places or the denominator for linear units. UNITMODE stores the setting for fractional, feet and inches, and surveyor's angles as previously set or in input format.


DDVIEW

DDVIEW Command

Saves and restores views by name

Standard toolbar:
View menu: Named Views
Command line: ddview

The View Control dialog box is displayed.

View Control Dialog Box
Views

Lists the *CURRENT* view name and any other views you have named. Views in model space are indicated by the word MSPACE to the right. Views in paper space are indicated by PSPACE. Select the view that you want to restore, delete, or list information about and use one of the following options:

Restore

Redisplays the selected view in the graphics area.

Note: To restore model or paper space views, you must be in the space in which the view was created.

New

Defines a new view with the Define New View dialog box.

Delete

Deletes the selected view.

Description

Lists information about the selected view. The View Description dialog box is displayed.

Define New View Dialog Box

New Name

Enter the name of the view you want to save.

Current Display

Defines the current display in the graphics area as the new view.

Define Window

Uses the values displayed in First Corner and Other Corner to define the view window.

  • Window. Closes the dialog box so you can define a new window size. This option is available only if you select Define Window.
  • First Corner. Displays the X and Y coordinate values for the first corner of the view window.
  • Other Corner. Displays the X and Y coordinate values for the corner diagonally opposite the first corner of the view window.
Save View

Saves the view and redisplays the View Control dialog box.

Related Commands: MSPACE switches from a paper space viewport to a model space viewport. PSPACE switches from a model space viewport to a paper space viewport. VIEW saves and restores named views on the command line.
System Variables: TILEMODE enables or disables paper space.


DELAY

'DELAY Command

Provides a timed pause within a script

Command line: delay

Delay time in milliseconds: Enter a value

Entering delay 1000 in your script delays the start of execution of the next command for about one second. The maximum delay is 32767, slightly less than 33 seconds.


DETACHURL

DETACHURL Command

Detaches URLs from blocks or objects

Tools menu: Internet > Detach URL
Command line: detachurl

To remove the hyperlink to a Web site identified by the attached URL, use DETACHURL to detach a URL from objects in a drawing. AutoCAD LT automatically detaches the URL xdata (extended data) from the associated objects.


DIM

DIM or DIM1 Command

Accesses Dimensioning mode

Command line: dim or dim1

Dim: Enter a Dimensioning mode command

Using DIM and DIM1 sets the command line in Dimensioning mode and enables you to use the dimensioning subcommands from earlier releases of AutoCAD LT. In this release of AutoCAD LT, you can use the dimensioning commands at the Command prompt. DIM and DIM1 are provided only for compatibility with previous releases.

To remain in Dimensioning mode after you use a dimensioning command, use DIM. To execute a dimensioning command and return immediately to the command line, use DIM1.

The Dim prompt indicates you're in Dimensioning mode, in which a special set of dimensioning commands replaces most of the AutoCAD LT dimensioning commands. To exit Dimensioning mode, enter e or exit or press ESC.

Dimensioning Mode Commands (DIM)

The following commands are available from the DIM prompt:

Command
Description
EXIT or ESC | Exits Dimensioning mode and returns you to normal command mode
REDRAW | Redraws the current viewport
STYLE | Changes the current text style
UNDO or U | Erases the most recently produced dimension objects and cancels any new dimension system variable setting. When you exit from Dimensioning mode, UNDO reverses the effects of the entire dimensioning session

The following table shows which AutoCAD LT commands are equivalent to the rest of the Dimensioning mode commands. For more information, see the equivalent AutoCAD LT command.

Dimensioning mode command | Equivalent AutoCAD LT command
ALIGNED | DIMALIGNED
ANGULAR | DIMANGULAR
BASELINE | DIMBASELINE
CENTER | DIMCENTER
CONTINUE | DIMCONTINUE
DIAMETER | DIMDIAMETER
HOMETEXT | DIMEDIT Home
HORIZONTAL | DIMLINEAR Horizontal
LEADER | LEADER
NEWTEXT | DIMEDIT Text
OBLIQUE | DIMEDIT Oblique
ORDINATE | DIMORDINATE
OVERRIDE | DIMOVERRIDE
RADIUS | DIMRADIUS
RESTORE | DIMSTYLE Restore
ROTATED | DIMLINEAR
SAVE | DIMSTYLE Save
STATUS | DIMSTYLE Status
TEDIT | DIMTEDIT
TROTATE | DIMEDIT Rotate
UPDATE | DIMSTYLE Apply
VARIABLES | DIMSTYLE Variables
VERTICAL | DIMLINEAR Vertical


DIMALIGNED

DIMALIGNED Command

Creates an aligned linear dimension

Dimension toolbar:
Dimension menu: Aligned
Command line: dimaligned

First extension line origin or ENTER to select: Specify a point for manual extension lines, or press ENTER for automatic extension lines

Object Selection Automatic Extension Lines (DIMALIGNED)

Automatically determines the origin points of the first and second extension lines.

Select object to dimension: Select an object

For polylines, only the individual line and arc segments are dimensioned. You cannot select objects in a nonuniformly scaled block reference. If you select a line or an arc, its endpoints are used as the origins of the extension lines, which are offset by the distance specified under Origin Offset in the DDIM Geometry dialog box. AutoCAD LT stores this value in the DIMEXO system variable.

If you select a circle, the endpoints of its diameter are used as the origins of the extension line. The point used to select the circle defines the origin of the first extension line.

Point Selection Manual Extension Lines (DIMALIGNED)

After you specify the first extension line origin point, AutoCAD LT prompts for the origin point of the second extension line.

Specify a second Extension Line Origin: Specify a point (2)

After the origin points of the extension lines have been established, AutoCAD LT displays the following prompt:

Dimension line location (Mtext/Text / Angle): Specify a point or enter an option

Point Specification

If you specify a point, AutoCAD LT uses the point to locate the dimension line and determines the direction to draw the extension lines. After you specify the location, the DIMALIGNED command ends.

Mtext

Customizes the text. AutoCAD LT measures the distance and displays the dimension text as angle brackets (< >) in the Multiline Text Editor dialog box. Enter or delete characters for customized text, or choose OK to accept the default measured length. If you edit the text, you can use Unicode character strings to express special characters. Enclose format strings for alternate units in square brackets ([ ]). Enclose format strings for prefixes and suffixes in angle brackets (< >). AutoCAD LT draws the dimension measurement in place of the < > characters.

The units settings and the current text style determine the appearance of the dimension text. After you specify the text, AutoCAD LT redisplays the Dimension Line Location prompt.

Text

Customizes the text. AutoCAD LT measures the distance and displays it as the default value at the command line. Enter or delete characters for customized text, or choose OK to accept the default measured length. To include the default length in your custom text, represent the length as angle brackets (< >).

Enter or delete characters for customized text, or choose OK to accept the default measured length.

If you edit the text, you can use Unicode character strings to express special characters. Enclose format strings for alternate units in square brackets ([ ]). Strings for prefixes and suffixes should precede or follow angle brackets (< >). AutoCAD LT draws the dimension measurement in place of the < > characters.

The units settings and current text style determine the appearance of the dimension text.

After you specify the text, AutoCAD LT displays the Dimension Line Location prompt.

Angle

Changes the angle of the dimension text.

Enter text angle: Specify an angle

After you specify the angle, AutoCAD LT displays the Dimension Line Location prompt.

Commands: DDIM controls dimension styles and settings such as units and style.
System Variables: DIMEXO stores the dimension extension line offset.


DIMANGULAR

DIMANGULAR Command

Creates an angular dimension

Dimension toolbar:
Dimension menu: Angular
Command line: dimangular

Select arc, circle, line, or ENTER: Select an arc, circle, or line object, or press ENTER to specify three points

Three Point Specification (DIMANGULAR)

Angle vertex: Specify a point (1)
First angle endpoint: Specify a point (2)
Second angle endpoint: Specify a point (3)

The angle vertex can be the same as one of the angle endpoints. If you need extension lines, the endpoints are used as origin points.

AutoCAD LT draws the dimension line as an arc between the extension lines. The extension lines are drawn from the angle endpoints to the intersection of the dimension line.

Arc Selection (DIMANGULAR)

If you select an arc, AutoCAD LT determines the defining points for a three-point angular dimension. The center of the arc is the angle vertex. The arc endpoints become the origin points of the extension lines.

AutoCAD LT draws the dimension line as an arc between the extension lines. The extension lines are drawn from the angle endpoints to the intersection of the dimension line.

Second angle endpoint: Specify a point
Dimension arc line location (Mtext/Text/Angle): Specify a point or enter an option

  • Point Specification. If you specify a point, AutoCAD LT uses the point to locate the dimension line and determine the direction to draw the extension lines. After you specify the location, the DIMANGULAR command ends.
  • Mtext. Customizes the text. AutoCAD measures the distance and displays the dimension text as angle brackets (< >) in the Multiline Text Editor dialog box. Enter or delete characters for customized text, or choose OK to accept the default measured length. If you edit the text, you can use Unicode character strings to express special characters. Enclose format strings for alternate units in square brackets ([ ]). Enclose format strings for prefixes and suffixes in angle brackets (< >). Enclose format strings for alternate units in square brackets ([ ]). AutoCAD draws the dimension measurement in place of the < > characters.
  • Text. Enables you to customize the text. AutoCAD LT measures the distance and displays the dimension text as angle brackets (< >) in the Edit MText dialog box.

    Enter or delete characters for customized text, or choose OK to accept the default measured length.

    If you edit the text, you can use Unicode character strings to express special characters. Enclose format strings for alternate units in square brackets ([ ]). Strings for prefixes and suffixes should precede or follow angle brackets (< >). AutoCAD LT draws the dimension measurement in place of the < > characters.

    The units settings and current text style determine the appearance of the dimension text. Alternate units have no effect on angular dimensions.

    After you specify the text, AutoCAD LT redisplays the Dimension Line Location prompt.

  • Angle. Changes the angle of the dimension text.

    Enter text angle: Specify an angle

    After you specify the angle, AutoCAD LT redisplays the Dimension Line Location prompt.

Circle Selection (DIMANGULAR)

If you select a circle, the selection point is used as the origin of the first extension line. The center of the circle is the angle vertex.

Second angle endpoint: Specify a point (2)

The second angle endpoint is the origin of the second extension line and does not have to lie on the circle.

Line Selection (DIMANGULAR)

If you select a line, you must select a second line to determine the angle between them.

Second line: Select a line

AutoCAD LT determines the angle by using each line as a vector for the side of the angle and the intersection of the lines for the angle vertex. The dimension line spans the angle between the two lines. If the dimension line doesn't intersect a line or lines being dimensioned, AutoCAD LT adds extension lines as needed to extend one or both lines. The arc is always less than 180 degrees.

After the extension line origins and angle vertex have been specified, AutoCAD displays the following prompt:

Dimension line location (Mtext / Text / Angle): Specify a point or enter an option

If you specify a point, AutoCAD uses the point to locate the dimension line and determine the direction to draw the extension lines. After you specify the location, DIMANGULAR ends.

Related Commands: DDIM controls dimension styles and settings such as units and style. To modify the appearance of a dimension and the dimension text, use DDEDIT, DIMEDIT, and DIMTEDIT.


DIMBASELINE

DIMBASELINE Command

Continues a linear, angular, or ordinate dimension from the baseline of the previous or selected dimension
Dimensioning toolbar:
Dimension menu: Baseline
Command line: dimbaseline

The prompts that follow depend on the most recent dimension created in the current session of AutoCAD LT: no prior dimension, linear, ordinate, or angular.

DIMBASELINE creates a series of related dimensions measured from the same baseline. AutoCAD LT uses a baseline increment value to offset each new dimension line and to avoid overlaying the previous dimension line. The baseline increment value is specified under Dimension Line in the DDIM Geometry dialog box and stored in the DIMDLI system variable. Baseline dimensioning is also called parallel dimensioning.

No Prior Dimension (DIMBASELINE)

If no dimension has been created in the current session, AutoCAD LT prompts you to select a linear, ordinate, or angular dimension to use as the base for the baseline dimension.

Select base dimension: Select a linear, ordinate, or angular dimension

After you select a base dimension, AutoCAD LT displays additional prompts depending on the type of dimension you select: linear, ordinate, or angular. To end the command, press ENTER or ESC. The units settings, tolerance settings, and current text style determine the appearance of the text.

Linear Dimension

If the previous dimension was linear, AutoCAD LT prompts

Specify a second Extension Line Origin (<select>/Undo): Specify a point or press ENTER to select a base dimension

AutoCAD LT uses the first extension line origin of the base dimension for the first extension line origin of the baseline dimension. After you specify a point, AutoCAD LT draws the baseline dimension and redisplays the Specify a Second Extension Line Origin prompt. To end the command, press ESC.

If you press ENTER at the Specify a Second Extension Line Origin prompt, AutoCAD LT prompts you to select a linear, ordinate, or angular dimension to use as the basis for the baseline dimension.

Select base dimension: Select a linear, ordinate, or angular dimension

After you select a base dimension, AutoCAD LT redisplays the Specify a Second Extension Line Origin prompt. To end the command, press ESC. The units settings, tolerance settings, and current style determine the appearance of the text.

Ordinate or Angular Dimension

If the previous dimension was angular or ordinate, AutoCAD LT prompts

Specify a point on an object or (<select>/Undo): Specify a point, snap to an object, or press ENTER to select a base dimension

AutoCAD LT uses the first extension line origin of the base dimension for the first extension line origin of the baseline dimension. After you specify a point, AutoCAD LT draws the baseline dimension and redisplays the Specify a Point prompt.

If you press ENTER at the Specify a Point prompt, AutoCAD LT prompts you to select a linear, ordinate, or angular dimension to use as the basis for the baseline dimension.

Select base dimension: Select a linear, ordinate, or angular dimension

After you select a base dimension, AutoCAD LT redisplays the Specify a Point prompt. To end the command, press ESC. The units settings, tolerance settings, and current text style determine the appearance of the text.

Related Commands: DDIM controls dimension styles and settings such as units and style. To modify the appearance of dimension and the dimension text, use DDEDIT, DIMEDIT, and DIMTEDIT.
System Variables: DIMDLI specifies a distance for spacing between dimension lines of a baseline dimension.


DIMCENTER

DIMCENTER Command

Creates the center mark or the center lines of circles and arcs

Dimension toolbar:
Dimension menu: Center Mark
Command line: dimcenter

Select arc or circle: Use an object selection method

You can choose between center marks and center lines and specify their size in the Geometry dialog box of the DDIM command. To do this at the Command prompt, use the DIMCEN dimensioning system variable.

Related Commands: DDIM controls dimension styles and settings such as center marks and center lines.
System Variables: DIMCEN stores the value and controls the generation of center marks or center lines.


DIMCONTINUE

DIMCONTINUE Command

Continues a linear, angular, or ordinate dimension from the second extension line of the previous dimension or a selected dimension

Dimension toolbar:
Dimension menu: Continue
Command line: dimcontinue

DIMCONTINUE draws a series of related dimensions, such as several shorter dimensions that add up to the total measurement. Continued dimensioning is also known as chain dimensioning.

Note: When you create linear continued dimensions, the first extension line is suppressed and the placement of text and arrowheads might include a leader line. These appear as overrides for the continued dimension (the DIMSE1 system variable is on and the DIMFIT system variable is 4).

The prompts that follow depend on the most recent dimension created in the current session of AutoCAD LT: no prior dimension, linear, ordinate, or angular.

No Prior Dimension (DIMCONTINUE)

If no dimension has been created in the current session, AutoCAD LT prompts you to select a linear, ordinate, or angular dimension to use as the basis for the continued dimension.

Select continued dimension: Select a linear, ordinate, or angular dimension

After you select a continued dimension, AutoCAD LT displays additional prompts depending on the type of dimension you select: linear, ordinate, or angular. To end the command, press ENTER or ESC. The units settings, tolerance settings, and current text style determine the appearance of the text.

Linear Dimension

If the previous dimension was linear, AutoCAD LT prompts

Specify a Second Extension Line Origin or (<select>/Undo): Specify a point (1) or press ENTER to select a continued dimension

AutoCAD LT uses the first extension line origin of the continued dimension for the first extension line origin of the next dimension. After you specify a point, AutoCAD LT draws the dimension and redisplays the Specify a Second Extension Line Origin prompt. To end the command, press ESC. If you press ENTER at the Specify a Second Extension Line Origin prompt, AutoCAD LT prompts you to select a linear, ordinate, or angular dimension to use as the continued dimension.

Select continued dimension: Select a linear, ordinate, or angular dimension

After you select a continued dimension, AutoCAD LT redisplays the Specify a Second Extension Line Origin prompt. To end the command, press ESC. The units settings, tolerance settings, and current style determine the appearance of the text.

Ordinate or Angular Dimension

If the previous dimension was angular or ordinate, AutoCAD LT prompts

Specify a point on an object or (<select>/Undo): Specify a point, snap to an object, or press ENTER to select a continued dimension

AutoCAD LT uses the first extension line origin of the continued dimension for the first extension line origin of the next dimension. After you specify a point, AutoCAD LT draws the dimension and redisplays the Specify a Point prompt. If you press ENTER at the Select Next Feature prompt, AutoCAD LT prompts you to select a linear, ordinate, or angular dimension to use as the continued dimension.

Select continued dimension: Select a linear, ordinate, or angular dimension

After you select a continued dimension, AutoCAD LT redisplays the Select Next Feature prompt. To end the command, press ESC. The units settings, tolerance settings, and current text style determine the appearance of the text.

Related Commands: DDIM controls dimension styles and settings such as units and style. DDEDIT controls how single line text is displayed. To modify the appearance of dimension and the dimension text use DDEDIT, DIMEDIT, and DIMTEDIT.
System Variables: DIMFIT controls how the dimension line, text, and arrowheads are positioned within the measured points.


DIMDIAMETER

DIMDIAMETER Command

Creates diameter dimensions for circles and arcs

Dimensioning toolbar:
Dimension menu: Diameter
Command line: dimdiameter

Select arc or circle: Select an arc or a circle

DIMDIAMETER creates different types of diameter dimensions depending on the size of the circle or arc, the options in the DDIM Format dialog box, and the position of the cursor. AutoCAD LT stores the values of the options in the dimensioning system variables DIMUPT, DIMTOFL, DIMFIT, DIMTIH, DIMTOH, DIMJUST, and DIMTAD.

The position of the cursor determines the location of the dimension line. As you move the cursor, the dimension moves around or inside the circle or arc. AutoCAD LT draws a hook line, also called a landing or dogleg, that is one arrowhead long (as shown in the first two illustrations).

Different types of diameter dimensions

AutoCAD LT measures the diameter and displays the text with a diameter symbol in front of it. The next prompt is

Dimension line location (Mtext / Text / Angle): Specify a point or enter an option

If you specify a point, AutoCAD LT uses the point to locate the dimension line. After you specify the location, DIMDIAMETER ends.

Mtext (DIMDIAMETER)

Customizes the text. AutoCAD LT measures the coordinate and displays the dimension text as angle brackets (< >) in the Multiline Text Editor dialog box. Enter or delete characters for customized text, or choose OK to accept the default measured length. If you edit the text, you can use Unicode character strings to express special characters. Enclose format strings for prefixes and suffixes in angle brackets (< >). Enclose format strings for alternate units in square brackets ([ ]). AutoCAD LT draws the dimension measurement in place of the < > characters.

The units settings, tolerance settings, and current text style determine how the text is displayed. After you specify the text, AutoCAD redisplays the Dimension Line Location prompt.

Text (DIMDIAMETER)

Customizes the text. AutoCAD LT measures the distance and displays it as the default value at the command line. Enter or delete characters for customized text, or choose OK to accept the default measured length. To include the default length in your custom text, represent the length as angle brackets (< >).

The units settings, tolerance settings, and current text style determine how the text is displayed. After you specify the text, AutoCAD LT redisplays the Dimension Line Location prompt.

Angle (DIMDIAMETER)

Changes the angle of the dimension text.

Enter text angle: Specify an angle

After you specify the angle, AutoCAD LT redisplays the Dimension Line Location prompt.

Center Marks and Center Lines

You control center marks or lines with the options in the DDIM Geometry dialog box. When a dimension line is drawn inside the arc or circle, AutoCAD LT does not create a center mark or line. AutoCAD LT stores the value in the DIMCEN dimensioning system variable.

Related Commands: DDIM controls dimension styles and settings such as units and style. To modify the appearance of dimension and the dimension text use DDEDIT, DIMEDIT, and DIMTEDIT.
System Variables: DIMCEN controls the creation of center marks and lines. DIMFIT controls how text fits within the extension lines. DIMJUST controls the horizontal justification of dimension text. DIMTAD controls the vertical justification of dimension text. DIMTIH and DIMTOH control the position of dimension text inside and outside the extension lines. DIMTOFL controls drawing a dimension line between the extension lines even when the text is placed outside the extension lines. DIMUPT controls user-positioned text.


DIMEDIT

DIMEDIT Command

Edits dimensions

Dimension Toolbar
Command line: dimedit

Dimension Edit (Home / New / Rotate / Oblique) <Home>: Enter an option or press ENTER

DIMEDIT affects dimension text and extension lines on one or more dimension objects. The Home, New, and Rotate options affect dimension text. The Oblique option controls the angle of extension lines.

Home (DIMEDIT)

Moves dimension text back to its default position.

Select objects: Select one or more dimension objects

The selected dimension text is returned to its default position and rotation as specified in its dimension style.

New (DIMEDIT)

Changes dimension text using the Multiline Text Editor dialog box.

Enter the new dimension text, or choose OK to accept the default measured length.You can use Unicode character strings to express special characters. Enclose format strings for alternate units in square brackets ([ ]). Strings for prefixes and suffixes should precede or follow angle brackets (< >). AutoCAD LT draws the dimension measurement in place of the < > characters. Accepting the default (< >) for the new text string uses the actual dimension measurement as the text.

Select objects: Select one or more dimension objects

AutoCAD LT changes the original dimension text to the text you entered in the Multiline Text Editor dialog box.

Rotate (DIMEDIT)

Rotates dimension text. This option is similar to the Angle option of the DIMTEDIT command.

Enter text angle: Specify an angle

To place the text in its default orientation, enter an angle of zero. The default orientation of the dimension text is determined by the Inside horizontal and Outside horizontal settings in the Format dialog box of DDIM or alternately the DIMTIH and DIMTOH dimensioning system variables.

Select objects: Select one or more dimension objects

Oblique (DIMEDIT)

Adjusts the obliquing angle of the extension lines for linear dimensions. AutoCAD LT creates linear dimensions with extension lines perpendicular to the direction of the dimension line. This option is useful when extension lines conflict with other features of the drawing.

Enter obliquing angle (press ENTER for none): Enter an angle or press ENTER

Related Commands: DIMTEDIT repositions and rotates text in a dimension without affecting other dimension subobjects. DDEDIT modifies the contents of dimension text.
System Variables: DIMTIH and DIMTOH control the position of dimension text inside and outside the extension lines.


DIMLINEAR

DIMLINEAR Command

Creates linear dimensions

Dimension toolbar:
Dimension menu: Linear
Command line: dimlinear

First extension line origin or ENTER to select: Specify a point (1) or press ENTER for automatic extension lines

Point Specification

If you specify a point for the first extension line, AutoCAD LT prompts for the Specify a Second Extension Line Origin.

Specify a Second Extension Line Origin: Specify a point (2)

Object Selection - Automatic Extension Lines

If you press ENTER and select an object, AutoCAD LT automatically determines the origin points of the first and second extension lines.

For polylines and other explodable objects, only the individual line and arc segments are dimensioned. You cannot select objects in a nonuniformly scaled block reference. If you select a line or an arc, its endpoints are used as the origins of the extension lines. The extension lines are offset from the endpoints by the distance specified under Extension in the DDIM Geometry dialog box. AutoCAD LT stores the value in the DIMEXO system variable.

If you select a circle, the endpoints of its diameter are used as the origin points. When the point used to select the circle is close to the north or south quadrant point, AutoCAD LT draws a horizontal dimension. When the point used to select the circle is close to the east or west quadrant point, AutoCAD LT draws a vertical dimension.

After the origin points of the extension lines have been specified, the next prompt is

Dimension line location (Mtext / Text / Angle / Horizontal / Vertical / Rotated): Specify a point (3) or enter an option

If you specify a point, AutoCAD LT uses the point to locate the dimension line and determine the direction to draw the extension lines. After you specify the location, AutoCAD LT draws the dimension.

Object Selection, Mtext

Customizes the text. AutoCAD measures the distance and displays the dimension text as angle brackets (< >) in the Multiline Text Editor dialog box. Enter or delete characters for customized text, or choose OK to accept the default measured length. If you edit the text, you can use Unicode character strings to express special characters. Enclose format strings for prefixes and suffixes in angle brackets (< >). Enclose format strings for alternate units in square brackets ([ ]). AutoCAD draws the dimension measurement in place of the < > characters.

The units settings, tolerance settings, and current text style determine how the text is displayed. After you specify the text, AutoCAD LT redisplays the Dimension Line Location prompt.

Object Selection, Text

Customizes the text. AutoCAD measures the distance and displays it as the default value at the command line. Enter or delete characters for customized text, or choose OK to accept the default measured length. To include the default length in your custom text, represent the length as angle brackets (< >).

The units settings, tolerance settings, and current text style determine how the text is displayed. After you specify the text, AutoCAD redisplays the Dimension Line Location prompt.

Object Selection, Angle

Changes the angle of the dimension text.

Enter text angle: Specify an angle

After you specify the angle, the Dimension Line Location prompt is redisplayed.

Object Selection, Horizontal

Creates horizontal linear dimensions.

Dimension line location (Text / Angle): Specify a point or enter an option

If you specify a point, AutoCAD LT draws the dimension. For information on the options, see Text and Angle.

Object Selection, Vertical

Creates vertical linear dimensions.

Dimension line location (Text / Angle): Specify a point or enter an option

If you specify a point, AutoCAD LT draws the dimension. For information on the options, see Text and Angle.

Object Selection, Rotated

Creates rotated linear dimensions.

Dimension line angle <current>: Specify an angle or press ENTER

After you specify the angle, AutoCAD LT redisplays the Dimension Line Location prompt.

Related Commands: DDIM controls dimension styles and settings such as units and style. To modify the appearance of dimension and the dimension text use DDEDIT, DIMEDIT, and DIMTEDIT.
System Variables: DIMEXO stores the dimension extension line offset.


DIMORDINATE

DIMORDINATE Command

Creates ordinate point dimensions

Dimension toolbar:
Dimension menu: Ordinate
Command line: dimordinate

Select feature: Specify a point or snap to an object
Leader endpoint (Xdatum / Ydatum / Mtext / Text): Specify a point or enter an option

AutoCAD LT uses the point as the start point of the leader line and then prompts for the endpoint.

If you specify a point, AutoCAD LT uses the difference between the feature location and the leader endpoint to determine whether it is an X or Y ordinate dimension. If the difference in the Y coordinate is greater, the dimension measures the X coordinate. Otherwise, it measures the Y coordinate.

Ordinate point dimensions, also known as datum dimensions, display the X or Y ordinate of a feature along with a simple leader line. AutoCAD LT uses the current UCS to determine the measured X or Y ordinate, then it draws the leader line in a direction orthogonal to the axes of the current UCS. The absolute value of the coordinate is used according to the prevailing standards for ordinate point dimensions. When you are creating ordinate point dimensions, it's recommended that you turn on Ortho mode.

Xdatum (DIMORDINATE)

Measures the X ordinate and determines the orientation of the leader line and dimension text. AutoCAD LT then prompts for the endpoint.

Leader endpoint: Specify a point

AutoCAD LT draws the dimension, and DIMORDINATE ends.

Ydatum (DIMORDINATE)

Measures the Y ordinate and determines the orientation of the leader line and dimension text. AutoCAD LT then prompts for the endpoint.

Leader endpoint: Specify a point

AutoCAD LT draws the dimension.

Mtext (DIMORDINATE)

Customizes the text. AutoCAD LT measures the ordinate and displays the dimension text as angle brackets (< >) in the Multiline Text Editor dialog box.

Enter or delete characters for customized text, or choose OK to accept the default measured length.

If you edit the text, you can use Unicode character strings to express special characters. Strings for prefixes and suffixes should be enclosed in angle backets (< >). Enclose format strings for alternate units in square brackets ([ ]). AutoCAD LT LT draws the dimension measurement in place of the < > characters.

The units settings and the current text style determine how the text is displayed. The text aligns with the leader line, regardless of the alignment settings for dimension text. After you specify the text, AutoCAD LT prompts for the endpoint of the leader line.

Leader endpoint (Xdatum / Ydatum / Mtext / Text): Specify a point or enter an option

If you specify a point, AutoCAD LT draws the dimension.

Text (DIMORDINATE)

Customizes the text. AutoCAD LT measures the distance and displays it as the default value at the command line.

Enter or delete characters for customized text, or choose OK to accept the default measured length. To include the default length in your custom text, represent the length as angle brackets (< >).

The units settings and the current text style determine how the text is displayed. The text aligns with the leader line, regardless of the alignment settings for dimension text.

After you specify the text, AutoCAD LT prompts for the endpoint of the leader line.

Leader endpoint (Xdatum / Ydatum / Mtext / Text): Specify a point

AutoCAD LT draws the dimension.

Related Commands: DDIM controls dimension styles and settings such as units and style. To modify the appearance of dimension and the dimension text use DDEDIT, DIMEDIT, and DIMTEDIT. ORTHO constrains cursor movement to the horizontal or vertical directions or aligns movement with the current grid rotation angle. MTEXT creates multiline text.


DIMOVERRIDE

DIMOVERRIDE Command

Overrides dimension system variables

Command line: dimoverride

Dimension variable to override (or Clear to remove overrides): Enter a variable name or c

DIMOVERRIDE overrides dimensioning system variable settings that are associated with a dimension object but doesn't affect the current dimension style.

Dimension Variable to Override (DIMOVERRIDE)

Overrides the value for the dimensioning system variable that you specify.

Dimension variable to override: Enter a name or press ENTER
Current value <current> New value: Enter a value or press ENTER

If you enter a dimensioning system variable name, AutoCAD LT redisplays the Current value <current> New value prompt. If you enter a new value, AutoCAD LT displays the Dimension variable to override prompt. If you press ENTER, AutoCAD LT prompts

Select objects: Select one or more dimension objects

AutoCAD LT applies the overrides to the selected dimension object.

Clear to Remove Overrides (DIMOVERRIDE)

Clears any overrides on a dimension object.

Select objects: Select one or more dimension objects

AutoCAD LT clears the overrides, and the dimension object returns to the settings defined by its dimension style.

Related Commands: DDIM controls dimension styles and settings such as units and style.


DIMRADIUS

DIMRADIUS Command

Creates radial dimensions for circles and arcs

Dimension toolbar:
Dimension menu: Radius
Command line: dimradius

Select arc or circle: Select an arc or a circle

A radial dimension consists of a radius dimension line with an arrowhead at the arc or circle end. AutoCAD LT draws a center mark if the center mark value for extension lines is not zero.

DIMRADIUS draws a radial dimension depending on the size of the circle or arc, the options in the DDIM Format dialog box, and the position of the cursor. AutoCAD LT stores the values of the options in the dimensioning system variables DIMUPT, DIMTOFL, DIMFIT, DIMTIH, DIMTOH, DIMJUST, and DIMTAD.

The position of the cursor determines the location of the text. As you move the cursor, the dimension moves around or inside the circle or arc. AutoCAD LT draws a hook line, also called a dogleg, or a landing, that is one arrowhead long.

AutoCAD LT measures the radius and displays the text with the letter R in front of it.

Dimension line location (Mtext / Text / Angle): Specify a point or enter an option

If you specify a point, AutoCAD LT uses the point to locate the dimension line. After you specify the location, AutoCAD LT draws the dimension.

Mtext

Customizes the text. AutoCAD LT measures the coordinate and displays the dimension text as angle brackets (<>) in the Multiline Text Editor dialog box.

Enter or delete characters for customized text, or choose OK to accept the default measured length.

If you edit the text, you can use Unicode character strings to express special characters. Enclose format strings for prefixes and suffixes in angle brackets (< >). Enclose format strings for alternate units in square brackets ([ ]). AutoCAD LT draws the dimension measurement in place of the < > characters.

The units settings, tolerance settings, and current text style determine how the text is displayed. After you specify the text, AutoCAD redisplays the Dimension Line Location prompt.

Text

Customizes the text. AutoCAD measures the distance and displays it as the default value at the command line.

Enter or delete characters for customized text, or choose OK to accept the default measured length. To include the default length in your custom text, represent the length as angle brackets (< >).

The units settings, tolerance settings, and current text style determine how the text is displayed. After you specify the text, AutoCAD redisplays the Dimension Line Location prompt.

Angle

Changes the angle of the dimension text.

Enter text angle: Specify an angle

After you specify the angle, AutoCAD LT redisplays the Dimension Line Location prompt.

Center Marks and Center Lines

You control center marks or lines with the options in the DDIM Geometry dialog box. When a dimension line is drawn inside the arc or circle, AutoCAD LT does not create a center mark or line. AutoCAD LT stores the value of center marks and lines in the DIMCEN dimensioning system variable.

Commands: DDIM controls dimension styles and settings such as units and style. To modify the appearance of dimension and the dimension text use DDEDIT, DIMEDIT, and DIMTEDIT. MTEXT creates multiline text.
System Variables: DIMCEN controls the creation of center marks and lines. DIMFIT controls how text fits within the extension lines. DIMJUST controls the horizontal justification of dimension text. DIMTAD controls the vertical justification of dimension text. DIMTIH and DIMTOH control the position of dimension text inside and outside the extension lines. DIMTOFL controls drawing a dimension line between the extension lines even when the text is placed outside the extension lines. DIMUPT controls user-positioned text.


DIMSTYLE

DIMSTYLE Command

Creates and modifies dimension styles on the command line

Dimension menu: Update
Command line: dimstyle

Dimension style: stylename
Dimension style overrides: variable value
Dimension style edit (Save / Restore / STatus / Variables / Apply / ? ) <Restore>: Enter an option or press ENTER

A dimension style is a saved set of dimension settings that determines the appearance of a dimension. By creating a dimension style, you can set relevant dimensioning system variables and control the layout and appearance of any dimension. You can create and modify dimension styles using a set of dialog boxes associated with DDIM.

? - List Dimension Styles (DIMSTYLE)

Lists the named dimension styles in the active drawing.

Dimension style(s) to list <*>: Enter a name list or press ENTER

Save (DIMSTYLE)

Saves the current settings of dimensioning system variables to a dimension style.

? / Name for new dimension style: Enter ? or enter a name

? - List Dimension Styles

Lists the named dimension styles in the active drawing.

Dimension style(s) to list <*>: Enter a name list or press ENTER

After listing the named dimension styles, AutoCAD LT returns to the ?/Name for New Dimension Style prompt.

New Dimension Style

Saves the current settings of dimensioning system variables to a new dimension style using the name you enter. The new dimension style becomes the current one and remains current until you change any dimensioning system variables or until you save or restore another style.

If you enter the name of an existing dimension style, AutoCAD LT prompts.

That name is already in use, redefine it? <N>: Enter y or press ENTER

If you enter y, AutoCAD LT regenerates associative dimensions that use the redefined dimension style.

To display the difference between the dimension style name you enter and the current style, enter a tilde (~) followed by a style name, as in the following example:.

? / Name for new dimension style: ~standard
Differences between STANDARD and current settings:

STANDARD | Current Settings
DIMBLK1 | _OBLIQUE
DIMBLK2 | _OBLIQUE
DIMSAH | Off/On

After displaying the differences, AutoCAD LT redisplays the ?/Name for New Dimension Style prompt.

Restore (DIMSTYLE)

Restores dimensioning system variable settings to those of an existing dimension style.

? / Enter dimension style name or ENTER to select dimension: Enter ?, enter a name, or press ENTER

? - List Dimension Styles

Lists the named dimension styles in the active drawing.

Dimension style(s) to list <*>: Enter a name list or press ENTER

After listing the dimension styles, AutoCAD LT returns to the ?/Enter Dimension Style Name prompt.

Dimension Style Name

Sets the named dimension style you enter as the current dimension style. The style remains current until you change any dimensioning system variables or save or restore another style.

To display the difference between the dimension style name you enter and the current style, enter a tilde (~) followed by a style name, as in the following example:.

? / Enter dimension style name or ENTER to select dimension: ~standard
Differences between STANDARD and current settings:

STANDARD | Current Settings
DIMBLK1 | _OBLIQUE
DIMBLK2 | _OBLIQUE
DIMSAH | Off/On

After displaying the differences, AutoCAD LT redisplays the ?/Enter Dimension Style Name prompt.

Select a Dimension

Makes the dimension style of the dimension object you select the current dimension style. The style remains current until you change any dimensioning system variables or save or restore another style.

Status (DIMSTYLE)

Displays the current values of all dimensioning system variables. After listing the variables, DIMSTYLE ends.

Variables (DIMSTYLE)

Lists the dimensioning system variable settings for a dimension style without modifying the current settings.

? / Enter dimension style name or ENTER to select dimension: Enter ?, enter a name, or press ENTER to select a dimension

? - List Dimension Styles

Lists the named dimension styles in the active drawing.

Dimension style(s) to list <*>: Enter a name list or press ENTER

After listing the dimension styles, AutoCAD LT returns to the ?/Enter Dimension Style Name prompt.

Dimension Style Name

Lists the settings of dimensioning system variables for the dimension style name you entered. After listing the variables, DIMSTYLE ends.

To display the difference between the dimension style name you enter and the current style, enter a tilde (~) followed by the style name, as in the following example:

? / Name for new dimension style: ~standard
Differences between STANDARD and current settings:

STANDARD | Current Settings
DIMBLK1 | _OBLIQUE
DIMBLK2 | _OBLIQUE
DIMSAH | Off/On

After showing the differences, AutoCAD LT returns to the ?/Name for New Dimension Style prompt.

Select a Dimension

Lists the settings of dimensioning system variables for the dimension object you select.

Select dimension: Select a dimension object

You can choose the dimension style by name or by selecting a dimension that refers to the style.

Apply (DIMSTYLE)

Updates the selected dimension objects so that they use the current dimensioning system variables settings, including the dimension style and any overrides.

Select objects: Select one or more dimension objects

Note: Any references to dimension styles in the dimension objects you select are lost.

AutoCAD LT does not update the dimension line spacing (DIMDLI) between existing baseline dimensions.

Related Commands: DDIM controls dimension styles and settings such as units and style.
System Variables: DIMSTYLE stores the name of the current dimension style.


DIMTEDIT

DIMTEDIT Command

Moves and rotates dimension text

Dimension toolbar:
Dimension menu: Align Text
Command line: dimtedit

Select dimension: Select a dimension object

After you select a single associative dimension, AutoCAD LT prompts for the new location of the dimension text.

Enter text location (Left / Right / Home / Angle): Specify a point or enter an option

If you move the cursor to position the dimension text and DIMSHO is on, the dimension updates dynamically as it drags. Vertical placement is set in the DDIM Format dialog box and determines whether text appears above, below, or in the middle of the dimension line. See Vertical Justification.

Left

Left justifies the dimension text along the dimension line. This option works only with linear, radial, and diameter dimensions.

Right

Right justifies the dimension text along the dimension line. This option works only with linear, radial, and diameter dimensions.

Home

Returns the dimension text to its default position.

Angle

Changes the angle of the dimension text.

Text angle: Specify an angle

The center point of the text doesn't change. If the text moves or the dimension regenerates, AutoCAD LT keeps the orientation set by the text angle. If you enter an angle of 0 degrees, the text returns to its default orientation. When the Inside Horizontal option is selected for text in the DDIM Format dialog box, the dimension text aligns with the dimension line. The Inside Horizontal option has no effect on dimension text when the angle you specify is other than 0.

Related Commands: DDIM controls dimension styles and settings such as units and style.
System Variables: DIMSHO controls redefinition of dimensions while dragging.


DIST

'DIST Command

Measures the distance and angle between two points

Inquiry toolbar:
Tools menu: Inquiry > Distance
Command line: dist

First point: Specify a point
Second point: Specify another point
Distance = <calculated distance>
Angle in XY plane = <angle > Angle from XY plane = <angle>
Delta X = <change in X>, Delta Y = <change in Y>, Delta Z = <change in Z>

With DIST, AutoCAD LT reports the true 3D distance between points. The angle in the UCS XY plane is relative to the current UCS X axis. The angle from the UCS XY plane is relative to the current XY plane. DIST assumes the current elevation value if the Z coordinate is omitted from the first point or second point.

The distance is displayed using the current units format.

Related Commands: DDUNITS and UNITS set drawing units.
System Variables: DISTANCE stores the last distance measured by the DIST command.


DIVIDE

DIVIDE Command

Places evenly spaced point objects or blocks along the length or perimeter of an object

Draw menu: Point, then Divide
Command line: divide

Select object to divide: Select an object
<Number of segments> / Block: Enter a value (2-32767) or b

DIVIDE marks off a specified number of equal lengths on a selected object by placing point objects or blocks along the length or perimeter of the object.

Valid objects that can be used by DIVIDE are:

  • Arcs
  • Circles
  • Ellipses and elliptical arcs
  • All polylines
  • Splines

Number of Segments (DIVIDE)

Places point objects at equal intervals along the selected object.

The illustration shows a polyline divided into five parts. Point Display mode (PDMODE) has been set such that the points can be seen.

Block (DIVIDE)

Places blocks at equal intervals along the selected object.

Block name to insert: Enter the name of a block currently defined in the drawing

The block you specify must be defined within the current drawing.

Align block with object? <Y>: Enter n or press ENTER

Entering y specifies that the X axes of the inserted blocks be tangent to, or collinear with, the divided object at the dividing points. Entering n specifies that the blocks are to be aligned according to their normal orientation.

Number of segments. Enter a value (2-32767)

The illustration shows an arc divided into five equal parts using a block containing a vertically oriented ellipse.

Related Commands: POINT creates a point object.
System Variables: PDMODE and PDSIZE control the appearance of point objects.


DLINE

DLINE Command

Draws a double line using straight line segments and arcs

Draw menu: Double Line
Command line: dline or dl

Break / Caps / Dragline / Offset / Snap / Undo / Width / <start point>: Specify a point, enter an option, or press ENTER

Break

Determines whether AutoCAD LT creates a gap at the intersection of two double lines, or a double line with a line or arc.

Break Dline's at start and end points? OFF/<ON>: Enter an option or press ENTER

Caps

Specifies the type of endcaps of a double line.

Draw which endcaps? Both / End / None / Start / <Auto>: Enter an option or press ENTER

AutoCAD LT caps the specified ends whether or not they snap to an object.

Dragline

Draws a double line by locating points centered on or offset from the double line. You can also draw along the left and right legs of the double line.

Set dragline position to the Left / Center / Right / <Offset from center=current>: Enter an option or press ENTER

A negative value offsets the double line to the left of the located points, the rubber band line. A positive number offsets the double line to the right of the located points.

Offset

This option locates the start of a double line at a specified distance and angle from a base point. First, you locate the base point, then a point to define the direction of the offset, and finally, the offset distance.

Offset from: Locate a point
Offset toward: Locate a point
Enter the offset distance: Enter a distance value or locate a point

Snap

This option starts or ends a double line by snapping to an existing object. When Snap is on, the Break option determines whether to break the object at the intersection of the double line.

Set snap size or snap On / Off. Size / OFF / <ON>: Enter an option or press ENTER

The Size option specifies the size of a search area, in pixels. The double line starts or terminates by snapping to the object it finds within the search area and adjusts each of its legs to form a clean junction with the object.Selecting the Size option displays the following prompt:

New snap size (1-10) <current>: Enter a number from 1 through 10

Undo

This option removes, in reverse order, the points located for the current double line. A closed double line cannot be undone with this option. You can use the UNDO command to undo each segment individually.

Width

This option sets the width of a double line. The width is the perpendicular distance from one leg of the double line to the other.

New DLINE width <current width>: Enter a width value or locate two points


DONUT

DONUT Command

Draws filled circles and rings

Draw menu: Donut
Command line: donut

Inside diameter <current>: Specify a distance or press ENTER

If you specify an inside diameter of zero, the donut is a filled circle.

Outside diameter <current>: Specify a distance or press ENTER
Center of doughnut: Specify a point (1)

AutoCAD sets the location of the donut based on the center point. After you specify the diameters, AutoCAD prompts for the locations at which to draw donuts. AutoCAD draws a donut at each point specified. Press ENTER to end the command.

A donut is constructed of a closed polyline composed of wide arc segments. How the interior of a donut is filled depends on the current setting of the FILL command.


DRAWORDER

DRAWORDER Command

Changes the display order of images and other objects

Tools menu: Display Order
Command line: draworder

Select objects: Use an object selection method
Above object / Under object / Top / <Bottom>: Enter an option or press ENTER

Above Object

Moves the selected object above a specified reference object.

Under object

Moves the selected object below a specified reference object.

Top

Moves the selected object to the top of the order of objects in the drawing.

Bottom

Moves the selected object to the bottom of the order of objects in the drawing.

Select reference object: Use an object selection method

When you select multiple objects for reordering, the relative display order of the objects selected is maintained. The method of selection has no impact on drawing order. The command terminates when an object is reordered. The command does not continue to prompt for additional objects to reorder.

Note: To see any changes made to the display order, you must regenerate the drawing. DRAWORDER automatically turns on all DDSELECT Object Sort Method options. This can result in slower regeneration and redrawing.


DSVIEWER

DSVIEWER Command

Opens the Aerial View window

View menu: Aerial View
Command line: dsviewer

The Aerial View window is a navigation tool. It displays a view of the entire drawing in a separate window so that you can quickly locate and move to a specific area. With the Aerial View window open, you can zoom and pan without choosing a menu option or entering a command. In paper space, the Aerial View window shows only paper space entities, including viewport borders. Real-time updating of the AutoCAD window from the Aerial View window is not available in paper space.

The Aerial View window opens and displays the entire drawing. The current view is marked by a wide outline box.

View Menu

Changes the magnification of the Aerial View by zooming into and out of the drawing or by displaying the entire drawing in the Aerial View window.

When the entire drawing is displayed in the Aerial View, the Zoom Out menu item and button are unavailable. When the current view nearly fills the Aerial View window, the Zoom In menu item and button are unavailable. It is possible for both of these conditions to exist at the same time, causing both to be unavailable such as after a Zoom Extents.

Zoom In

Increases the magnification of the drawing in the Aerial View, by zooming in by a factor of 2, centered on the current view box.

Zoom Out

Decreases the magnification of the drawing in the Aerial View, by zooming out by a factor of 2, centered on the current view box.

Global

Displays the entire drawing and the current view in the Aerial View window.

Mode Menu

Switches between Pan and Zoom modes. You can also switch between Pan and Zoom modes by right-clicking in the Aerial View window.

Pan

Switches to Pan mode. Pan mode moves the current view without changing its size.

Zoom

Switches to Zoom mode. Zoom mode changes the current view by allowing you to pick two points that determine the new corners of the current view.

Options Menu

Provides toggles for automatic viewport display and dynamic updating of the drawing.

Auto Viewport

When on, displays the model space view of the active viewport automatically. When Auto Viewport is off, AutoCAD does not update the Aerial View to match the active viewport.

Dynamic Update

Controls whether or not AutoCAD updates the Aerial View while you edit the drawing.

RealTime Zoom

Controls whether or not the AutoCAD window updates in real time when you zoom using the Aerial View.


DTEXT

DTEXT Command

Displays text on screen as it is entered

Draw toolbar:
Draw menu: Single Line Text
Command line: dtext

Justify / Style / <Start point>: Specify a point or enter an option

AutoCAD LT can create text with a variety of character patterns, or fonts. These fonts can be stretched, compressed, obliqued, mirrored, or aligned in a vertical column by applying a style to the font. Text can be rotated, justified, and made any size. With DTEXT, you can enter several lines of text and BACKSPACE to edit the text. The prompts are the same as those for the TEXT command, except that you can enter several lines without restarting the command. To end a line, press ENTER after entering characters at the Text prompt. To end DTEXT, press ENTER at the Text prompt. Each line of text is a separate object.

If DTEXT was the last command entered, and you press ENTER at the Justify/Style/ prompt, AutoCAD LT skips the prompts for height and rotation angle and immediately displays the Text prompt. The text is placed directly beneath the previous line of text. The point specified at the Start Point prompt is stored as the Insertion Point object snap.

Start Point (DTEXT)

Justifies text along its baseline from a specified start point.

Height <current>: Specify a point (1), enter a value, or press ENTER

The Height prompt is displayed only if the current text style doesn't have a fixed height.

Rotation angle <current>: Specify a point, enter a value, or press ENTER
Text: Enter characters or press ENTER

Justify (DTEXT)

Controls text justification.

Align / Fit / Center / Middle / Right: Enter an option

You can also enter any of these Justify options at the Justify/Style/<Start point> prompt.

Align

Specifies both text height and text orientation by designating the endpoints of the baseline.

First text line point: Specify a point (1)
Second text line point: Specify a point (2)
Text: Enter characters or press ENTER

The longer the text string, the shorter the characters. The size of the characters adjusts in proportion to their height.

Fit

Specifies that text will fit within an area and at an orientation defined with two points and a height.

First text line point: Specify a point (1)
Second text line point: Specify a point (2)
Height <current>: Specify a height or press ENTER
Text: Enter characters or press ENTER

The height is the distance in drawing units that the uppercase letters extend from the baseline. Designated text height is the distance between the start point and a point you specify. The longer the text string, the narrower the characters. The height of the characters remains constant. The Fit option is available only for horizontally oriented text.

Center

Aligns text from the horizontal center of the baseline, which you specify with a point.

Center point: Specify a point (1)
Height <current>: Specify a height or press ENTER
Rotation angle <current>: Specify an angle or press ENTER
Text: Enter characters or press ENTER

The rotation angle specifies the orientation of the text baseline with respect to the center point. You can designate the angle by specifying a point. The text baseline runs from the start point toward the specified point. If you specify a point to the left of the center point, AutoCAD LT draws the text upside down.

Middle

Aligns text at the horizontal center of the baseline and the vertical center of the height you specify with a point. Middle-aligned text does not rest on the baseline.

Middle point: Specify a point (1)
Height <current>: Specify a height or press ENTER
Rotation angle <current>: Specify an angle or press ENTER
Text: Enter characters or press ENTER

Right

Right-justifies the text at the baseline of a specified point.

End point: Specify a point (1)
Height <current>: Specify a height or press ENTER
Rotation angle <current>: Specify an angle or press ENTER
Text: Enter characters or press ENTER

Style (DTEXT)

Sets the text style, which determines the appearance of the text characters. Text you enter uses the current text style.

Style name (or ?) <current>: Enter an existing text style name, enter ?, or press ENTER

To view a list of the current text styles, associated font files, height, and other parameters, enter ?.


DVIEW

DVIEW Command

Defines parallel projection or perspective views

View menu: 3D Dynamic View
Command line: dview

Select objects: Select objects or press ENTER

After you've selected objects or pressed ENTER to use DVIEWBLOCK, AutoCAD LT prompts

CAmera / TArget / Distance / POints / PAn / Zoom / TWist / CLip / Hide / Off / Undo / <eXit>: Specify a point with your pointing device, enter an option, or press ENTER

To help you view a model from any point in space, DVIEW uses a camera-target metaphor. The line of sight, or viewing direction, is the line between the camera and the target.

DVIEW uses objects you select or a special block named DVIEWBLOCK to display a preview image. The preview image shows the changes you make in the view. When you end the command, AutoCAD LT regenerates the drawing based on the view you set.

Transparent ZOOM, DSVIEWER, PAN, and scrollbars are not available in DVIEW. When you define a perspective view, ZOOM and PAN, along with transparent ZOOM, DSVIEWER, PAN, and scrollbars, are not available while that view is current.

Select Objects (DVIEW)

When you select objects, they are dragged in the preview image as you change views. Selecting too many objects slows image dragging and updating.

Preview with DVIEWBLOCK (DVIEW)

If you press ENTER at the Select Objects prompt, AutoCAD LT uses DVIEWBLOCK for the preview image. You can create your own DVIEWBLOCK block in a 1x1x1-unit area, with its origin at the lower-left corner. The following illustration shows an example of using the default DVIEWBLOCK to set the view (moving the graphics cursor adjusts the view).

Point Specification (DVIEW)

Rolls the view under the camera. The point you select with your pointing device is a starting point for the dragging operation. Your viewing direction changes about the target point as you move the cursor.

Enter direction and magnitude angles: Enter angles from 0 through 360 degrees or specify a point with your pointing device

Enter both angles, separated by a comma. The angles must be positive. The direction angle indicates the front of the view, and the magnitude angle determines how far the view rolls.

Exit (DVIEW)

Ends DVIEW.

Camera (DVIEW)

Specifies a new camera position by rotating the camera about the target point. Two angles determine the amount of rotation.

Toggle angle in / Enter angle from XY plane <current>: Enter t, enter an angle, or press ENTER

After you've toggled the angle input mode or specified the angle from the XY plane, AutoCAD LT prompts:

Toggle angle from / Enter angle in XY plane from X axis <current>: Enter t, enter an angle, or press ENTER

The illustrations show how the camera rotates to the left from its initial position, leaving its angle from the XY plane unchanged.

Toggle Angle In

Switches between two angle input modes. Entering an angle on the command line locks the cursor movement so you see only the positions available for that angle. The toggle option unlocks the cursor movement for the angle, and you can use the cursor to rotate the camera.

Enter Angle from the XY Plane

Sets the camera's position at an angle above or below the XY plane. An angle of 90 degrees looks down from above, and an angle of -90 degrees looks up from below. A camera angle of 0 degrees places the camera parallel to the XY plane of the UCS.

Toggle Angle From

Switches between two angle input modes. Entering an angle on the command line locks the cursor movement so you see only the positions available for that angle. The toggle option unlocks the cursor movement for the angle, and you can use the cursor to rotate the camera.

Enter Angle in XY Plane from X Axis

Sets the camera's position at an angle in the XY plane relative to the X axis of the current UCS. This angle measures from -180 to 180 degrees. With rotation angle of 0 degrees, you look down the X axis of the UCS toward the origin.

Target (DVIEW)

Specifies a new position for the target by rotating it around the camera. The effect is like turning your head to see different views of the drawing from one vantage point. Two angles determine the amount of rotation.

Toggle angle in / Enter angle from XY plane <current>: Enter t, enter an angle, or press ENTER

After you've toggled the angle input mode or specified the angle from the XY plane, AutoCAD LT prompts:

Toggle angle from / Enter angle in XY plane from X axis <current>: Enter t, enter an angle, or press ENTER

The following illustrations show the effect of rotating the target point from left to right, leaving its angle from the XY plane unchanged.

Enter Angle from XY Plane

Sets the target's position at an angle above or below the XY plane. An angle of 90 degrees looks down from above, and an angle of -90 degrees looks up from below. A target angle of 0 degrees places the target parallel to the XY plane of the UCS.

Enter Angle in XY Plane from X Axis

Sets the target's position at an angle of rotation in the XY plane relative to the X axis of the current UCS. This angle measures from -180 to 180 degrees. With rotation angle of 0 degrees, you look down the X axis of the UCS toward the origin.

Distance (DVIEW)

Moves the camera in or out along the line of sight relative to the target. This option turns on perspective viewing, which causes objects farther from the camera to appear smaller than those closer to the camera. A special perspective icon replaces the coordinate system icon. AutoCAD LT prompts for the new camera-to-target distance.

New camera / target distance <current>: Enter a distance or press ENTER

A slider bar is displayed along the top of the graphics window and is labeled from 0x to 16x, with 1x representing the current distance. Move the slider bar cursor to the right to increase the distance between the camera and target. Move the cursor to the left to decrease that distance. To turn off perspective viewing, use the Off option. If the target and camera points are close together, or if you specify a long-focal-length lens, you might see very little of your drawing when you specify a new distance. If you see little or none of your drawing, try the maximum scale value (16x) or enter a large distance. To magnify the drawing without turning perspective viewing on, use the DVIEW Zoom option. The illustration shows the effect of moving the camera along the line of sight relative to the target, where the field of view remains constant.

Camera-to-target distance

Points (DVIEW)

Locates the camera and target points using X,Y,Z coordinates. You can use XYZ point filters. You must specify these points in a nonperspective view. If perspective viewing is on, AutoCAD LT turns it off while you specify new camera and target locations and then redisplays the preview image in perspective view.

Enter target point <current>: Specify a point or press ENTER

To help you define a new line of sight, AutoCAD LT draws a rubber-band line from the current camera position to the crosshairs. Then AutoCAD LT prompts you for a new camera location.

Enter camera point <current>: Specify a point, enter direction and magnitude angles, or press ENTER

A rubber-band line connects the target point to the crosshairs to help you place the camera relative to the target. The illustration shows the change in view as the camera and target points are swapped. Lens and distance settings are the same in each case.

Swapping camera and target points

For information on entering direction and magnitude angles, see Point Specification.

Pan (DVIEW)

Shifts the image without changing the level of magnification.

Displacement base point: Specify a point

Second point: Specify a point

Zoom (DVIEW)

If perspective viewing is off, Zoom dynamically increases or decreases the apparent size of objects in the current viewport.

Adjust zoom scale factor <current>: Specify a scale or press ENTER

A slider bar is displayed along the top of the graphics window and labeled from 0x to 16x, with 1x representing the current scale. Move the slider bar cursor to the right to increase the scale. Move the cursor to the left to decrease the scale.

If perspective viewing is on, Zoom adjusts the camera lens length, which changes the field of view and causes more or less of the drawing to be visible at a given camera and target distance. The default lens length is 50mm, simulating what you would see with a 35mm camera and a 50mm lens. Increasing the lens length is similar to switching to a telephoto lens. Decreasing the lens length widens the field of view, as with a wide-angle lens.

Adjust lenslength <current>: Specify a value or press ENTER

A slider bar is displayed along the top of the graphics window and labeled from 0x to 16x, with 1x representing the current lens length. Move the slider bar cursor to the right to increase the lens length. Move the cursor to the left to decrease the lens length.

Twist (DVIEW)

Twists or tilts the view around the line of sight. AutoCAD LT measures the twist angle counterclockwise, with 0 degrees to the right.

New view twist <current>: Specify a value or press ENTER

Clip (DVIEW)

Clips the view, obscuring portions of the drawing that are behind or in front of the front clipping plane. The front and back clipping planes are invisible walls that you can position perpendicular to the line of sight between the camera and target.

Back / Front / <Off>: Enter an option or press ENTER

Off

Disables front and back clipping. If perspective viewing is on, front clipping remains on at the camera position.

Back

Obscures objects located behind the back clipping plane.

ON / OFF / <Distance from target> <current>: Specify a distance, enter an option, or press ENTER

  • Distance from Target. Positions the back clipping plane and turns on back clipping. A positive distance places the clipping plane between the target and the camera. A negative distance places it beyond the target. Use the slider bar to drag the clipping plane.
  • On. Turns on back clipping at the current clipping distance.
  • Off. Turns off back clipping.
Front

Obscures objects located between the camera and the front clipping plane.

Eye / ON / OFF / <Distance from target> <current>: Specify a distance, enter an option, or press ENTER

  • Distance from Target. Positions the front clipping plane and turns on front clipping. A positive distance places the clipping plane between the target and the camera. A negative distance places it beyond the target. Use the slider bar to drag the clipping plane.
  • Eye. Positions the front clipping plane at the camera.
  • On. Turns on front clipping. This option is available only when perspective viewing is off.
  • Off. Turns off front clipping. This option is available only when perspective viewing is off.

Hide (DVIEW)

Performs hidden line suppression on the selected objects to aid visualization. Circles, 2D solids, wide polyline segments, and extruded objects have opaque surfaces and can hide other objects. This hidden line suppression is quicker than that performed by HIDE, but it can't be plotted.

Off (DVIEW)

Turns off perspective viewing. The Distance option turns on perspective viewing.

Undo (DVIEW)

Reverses the effects of the last DVIEW operation. You can undo multiple DVIEW operations.


DWFOUT

DWFOUT Command

Exports a drawing web format file

File: Export
Command line: dwfout

The Create DWF File dialog box is displayed.

When the FILEDIA system variable is set to 0 (Off), DWFOUT displays prompts on the command line.

Create DWF File Dialog Box

The Options button displays the Export Options dialog box. Use this dialog box to set the level of decimal precision and to specify whether to use file compression.

File Name

Select or enter the name you want to assign to the postscript file (extension .eps).

Save as Type

The default file type is DWF.

Save in

Select the drive and directory that you want to contain the DWF file.

Export Option Dialog Box

Controls the export options for DWF files.

Precision

Saves the file using a specified number of decimal places: Low precision is 16 bits, Medium precision is 20 bits, and High precision is 32 bits. For simple drawings there's little visual difference between the precision settings. However, for more complex drawings and fine details, you'll need higher precision. Higher precision results in larger DWF files. Low precision produces DWF files approximately 40% smaller than medium precision, which produces a DWF file about 30% smaller than high precision. With low precision, you can get as much as an 8-to-1 reduction in DWF file size compared to the original DWG.

High precision is always used when you select ASCII file format.

Use File Compression

Reduces the size of binary format files. Compression cannot be used on ASCII format files. We recommend that you always use file compression unless you are generating a DWF file that is to be read by another application that does not know how to decompress DWF files.

Note: DWFOUT does not provide support for drawings created in paper space (TILEMODE=0). Only data that exist in the active model space viewport are output to the DWF file. Set TILEMODE to 1 before generating DWF files.

DWFOUT (Command Line)

Enter file name <default>: Enter a file name or press ENTER to accept the default
Enter precision (Low /High/ <Medium>): Enter an option or press ENTER
Use file compression? (No/ <Yes>): Enter an option or press ENTER

Enter Precision

Saves the file using a specified number of decimal places: Low precision is 16 bits, Medium precision is 20 bits, and High precision is 32 bits. For simple drawings there's little visual difference between the precision settings. However, for more complex drawings and fine details, you'll need higher precision. Higher precision results in larger DWF files. Low precision produces DWF files approximately 40% smaller than medium precision, which produces a DWF file about 30% smaller than high precision. With low precision, you can get as much as an 8-to-1 reduction in DWF file size compared to the original DWG.

High precision is always used when you select ASCII file format.

Use File Compression?

Reduces the size of binary format files. Compression cannot be used on ASCII format files. We recommend that you always use file compression unless you are generating a DWF file that is to be read by another application that does not know how to decompress DWF files.


DWFOUT

DXFIN Command

Imports a drawing interchange file

Command line: dxfin

In the Select DXF File dialog box, enter the name of the file to convert.

Use DXFIN in an empty drawing to load a complete DXF file. To create an empty drawing, use the NEW command with the Start from Scratch option in the Create New Drawing dialog box. If you use DXF and the drawing is not new, AutoCAD issues the following error message:

DXFIN requires a new drawing. You can DXFIN the file into a new drawing, save the drawing, and use INSERT* to include the entities from that drawing into the current drawing.

If AutoCAD detects any errors while reading the DXF file, the command is terminated. If a partial DXF file is read, objects that refer to missing symbol tables are generated using standard definitions.

If you encounter problems loading a DXF file you've created, try increasing the precision. For more information, see DXFOUT.

Auditing DXF Files

To guard against importing corrupt data, you can have AutoCAD perform an automatic audit after importing DXF files into your drawing. The default is no automatic auditing. To turn on automatic auditing with DXFIN, select Audit After DXFIN or DXBIN on the General tab of PREFERENCES.

The audit only displays the errors AutoCAD finds; it does not correct them. To correct problems, use AUDIT or edit the DXF file manually.


DWFOUT

DXFOUT Command

Creates a drawing interchange file of the current drawing

Command line: dxfout

In the Create DXF File dialog box, enter a file name.

In the Save As Type list, select the DXF version to save to. In the File Name box, enter the name of the file to create. AutoCAD exports the objects to the specified file format using the specified file name.

The following output types are available:

  • AutoCAD LT DXF
  • AutoCAD LT95/R13 DXF
  • AutoCAD LT2/R12 DXF

The Options button displays the Export Options dialog box. Use this dialog box to set the level of decimal precision and output format, and to specify whether to save selected objects or the entire drawing.

Using the Command Line

When the FILEDIA system variable is set to 0 (Off), DXFOUT displays prompts on the command line.


ELEV

'ELEV Command

Sets elevation and extrusion thickness of new objects

Command line:elev

New current elevation <current>: Specify a distance or press ENTER
New current thickness <current>: Specify a distance or press ENTER

Elevation sets the default Z value for all point prompts. The current elevation is maintained separately in model space and paper space.

Thickness is the distance that a 2D object is extruded above or below its elevation. A positive value extrudes along the positive Z axis; a negative value extrudes along the negative Z axis.

Related Commands: DDUCS and UCS control construction plane orientation, elevation, and extrusion direction.
System Variables: ELEVATION sets the current elevation. THICKNESS sets the current extrusion thickness.


ELLIPSE

ELLIPSE Command

Creates an ellipse or an elliptical arc

Draw toolbar:
Draw menu: Ellipse
Command line: ellipse

Arc / Center / Isocircle / <Axis endpoint 1>: Specify a point (1) or enter an option

Arc (ELLIPSE)

Creates an elliptical arc. The angle of the first axis determines the angle of the elliptical arc. The first axis can be either the major or the minor axis of the elliptical arc.

<Axis endpoint 1> / Center / Isocircle : Specify a point or enter c or i

Axis Endpoint 1 (ELLIPSE, Arc)

Defines the endpoint of the first axis.

Axis endpoint 2: Specify a point
<Other axis distance> / Rotation: Specify a point or enter r

Center (ELLIPSE, Arc)

Creates the elliptical arc by starting at a specified center point.

Center of ellipse: Specify a point
Axis endpoint: Specify a point
<Other axis distance> / Rotation: Specify a point or enter r

Isocircle (ELLIPSE, Arc)

Creates an isometric circle in the current isometric drawing plane.

Center of circle: Specify a point
Circle radius / Diameter: Specify a point or enter d

Center (ELLIPSE)

Creates an ellipse by starting at a specified center point.

Center of ellipse: Specify a point
Axis endpoint: Specify a point
<Other axis distance> / Rotation: Specify a distance by entering a value or locating a point (3), or enter r

Other Axis Distance (ELLIPSE, Center)

Defines the second axis using the distance from the midpoint of the first axis to the endpoint of the second axis.

Parameter / <start angle>: Specify a point (1) or enter p

Specifying a point determines the start angle of the elliptical arc.

Parameter / Included / <end angle>: Specify a point (2) or enter an option

Specifying a point for the end angle creates the elliptical arc.The Included option defines an included angle beginning at the start angle.

Included angle <current>: Specify an angle or press ENTER

Rotation (ELLIPSE, Center)

Creates the ellipse with the appearance of rotating a circle about the first axis.

Rotation around major axis: Specify a point or enter an angle value
Parameter / <start angle>: Specify a point or enter p

Move the crosshairs around the center of the ellipse and pick a point. If you enter a value, the higher the value, the greater the eccentricity of the ellipse. Entering 0 defines a circle.

Specifying a point determines the start angle of the elliptical arc.

Parameter / Included / <end angle>: Specify a point or enter an option

Specifying a point for the end angle creates the elliptical arc.

The Included option defines an included angle beginning at the start angle.

Included angle <current>: Specify an angle or press ENTER

Parameter

Parameter requires the same input as Start Angle, but AutoCAD LT creates the elliptical arc using the following parametric vector equation:

p(u) = c + a* cos(u) + b* sin(u)

where c is the center of the ellipse and a and b are its major and minor axes, respectively.

Angle / <start parameter>: Enter a valid numeric angle, second point, or option keyword
Angle / Included / <end parameter>: Enter a valid numeric angle, second point, or option keyword

Isocircle

Creates an isometric circle in the current isometric drawing plane.

Center of circle: Specify a point
Circle radius / Diameter: Specify a distance or enter d

Note: The Isocircle option is not available if the Isometric option of SNAP is Off.

Circle Radius

Creates a circle using the specified radius.

Diameter

Creates a circle using the specified diameter.

Circle diameter: Specify a distance

Axis Endpoint 1

Defines the first axis by its two endpoints. The angle of the first axis determines the angle of the ellipse. The first axis can be either the major or the minor axis of the ellipse.

Axis endpoint 2: Specify a point (2)
Other axis distance / Rotation: Specify a distance by entering a value or locating a point (3), or enter r

Other Axis Distance (ELLIPSE, Axis Endpoint 1)

Defines the second axis using the distance from the midpoint of the first axis to the endpoint of the second axis (3).

Rotation (ELLIPSE, Axis Endpoint 1)

Creates the ellipse with the appearance of rotating a circle about the first axis.

Rotation around major axis: Specify a point (1) or enter an angle value (0-89.4)

Move the crosshairs around the center of the ellipse and pick a point. If you enter a value, the higher the value, the greater the eccentricity of the ellipse. Entering 0 defines a circular ellipse.

System Variables: PELLIPSE creates a polyline ellipse if set to 1 or a true ellipse if set to 0.


ERASE

ERASE Command

Removes objects from a drawing

Modify toolbar:
Modify menu: Erase
Command line: erase

Select objects: Use an object selection method

AutoCAD LT removes the objects from the drawing.

Related Commands: OOPS restores previously erased objects. U reverses the effect of the previous command. UNDO reverses the effect of multiple commands and provides control over the undo feature. REDO reverses the immediately previous UNDO or U command.


EXPLODE

EXPLODE Command

Breaks a compound object into its component objects

Modify toolbar:
Modify menu: Explode
Command line: explode

Select objects: Use an object selection method

Results differ depending on the type of compound object you're exploding. See the following list of objects that can be exploded and the results for each.

Exploding Compound Objects

The color and linetype of any exploded object might change. Other results depend on the type of compound object you are exploding.

2D Polyline

AutoCAD LT discards any associated width or tangent information and places the resulting lines and arcs along the center of the polyline.

3D Polyline

A 3D polyline explodes into lines. Although the linetype of a 3D polyline has no effect on the polyline, it does affect the resulting line objects.

Arc

If within a nonuniformly scaled block, an arc explodes into elliptical arcs.

Block

AutoCAD LT removes one grouping level at a time. If a block contains a polyline or a nested block, exploding the block exposes the polyline or nested block object, which must then be exploded to expose its individual objects.

Blocks with equal X, Y, and Z scales explode into their component objects. Blocks with unequal X, Y, and Z scales (nonuniformly scaled blocks) might explode into unexpected objects.

Exploding a block that contains attributes deletes the attribute values and redisplays the attribute definitions.

Blocks inserted with external references and their dependent blocks cannot be exploded.

Circle

If within a nonuniformly scaled block, a circle explodes into ellipses.

Related Commands: BLOCK creates a block from a group of objects. LIST displays the properties of objects.


EXPORT

EXPORT Command

Saves objects to other file formats

File menu: Export
Command line: export

The Export Data dialog box is displayed.

AutoCAD LT exports the objects to the specified file format using the specified file name.

Export Data Dialog Box

Note: The DXX file format available from this command creates an abbreviated DXF file format identical to that generated by DDATTEXT.

File Name

Select or enter the name you want to assign to the exported file.

Save as Type

Select the type of file to which you want to export the objects. The following options are available.

  • DXF. AutoCAD LT R4/R14 DXF File
  • DXF. AutoCAD LT 95/R13 DXF File
  • DXF. AutoCAD LT R2/R12 DXF File
  • DWF. AutoCAD drawing web format file
  • DWG. AutoCAD LT Block in DWG format
  • WMF. Windows Metafile
  • EPS. Encapsulated PostScript file
  • DXX. Attribute extract DXF file
  • BMP. Windows bitmap

Save In

Select the drive and directory where you want to place the exported file.

Options

The Options button displays a dialog box you can use to set export options. Options is available when you select a file type of DWF, DXF, or EPS.

Import/Export Options

Controls Save As options, export options for DXF and PostScript files, and import options for Windows Metafiles. The title and contents of this dialog box vary depending on whether you access it from SAVEAS, DXFOUT, PSOUT, or WMFIN. The following options are available.

DXF Out

Sets Drawing Interchange File output options.

Format

Specifies whether an ASCII or binary DXF file is created.

  • ASCII. ASCII DXF files can be read with any text editor and are compatible with a wider range of applications.
  • Binary. Binary-format DXF files contain the same information as ASCII files, but in a more compact form. The read/write speed of binary-format files is also faster.
Select Objects

Controls whether the DXF file consists of selected objects or the entire drawing. When this option is selected, the output file includes only selected objects and the block reference portions of any included blocks. The block symbol tables are not included.

Decimal Places of Accuracy (0 to 16)

Saves the file using the specified number of bits of precision. Entering a value from 0 to 16 creates the file at the specified level of precision.

Note: By default, DXFOUT uses a precision of 6. Though this is adequate in most cases, it might need to be increased for certain drawings and for certain applications. If you encounter problems loading a .dxf file you've created, try increasing the precision. The only disadvantage of higher precision is increased file size. Lower precision is useful for specialized purposes, but is not recommended in general.

Postscript Out

Prolog Section Name

Assigns a name for a prolog section to be read from the aclt.psf file when using the PSOUT command. The prolog name is optional and is used to customize PostScript output in a number of ways.

What to Plot
  • Display. Exports the view in the current viewport in model space or the current view in paper space.
  • Extents. Exports the portion of the current space of the drawing that contains objects.
  • Limits. Exports the entire drawing area as defined by the drawing limits. If the current viewpoint isn't the plan view (0,0,1), this option is the same as the Extents option.
  • View. Exports a view saved previously with the VIEW command. When View is selected, the View button becomes available. Use this button to select a name from a list of available views.
  • Window.Exports any portion of your drawing. When Window is selected, the Window button becomes available. You can use this button to specify a window using X,Y coordinates. If you don't select coordinates, AutoCAD prompts you for a window selection when you exit the EXPORT or PSOUT command.

First corner: Specify a point
Other corner: Specify a point

Preview
  • None. Specifies no screen preview image in the file.
  • EPSI. Includes an EPSI screen preview image. Use the Pixels area to specify a screen preview image of 128 x 128, 256 x 256, or 512 x 512.
  • TIFF. Includes a TIFF screen preview image. Use the Pixels area to specify a screen preview image of 128 x 128, 256 x 256, or 512 x 512. If you include a TIFF screen preview, you can't print the .eps file directly to a PostScript printer and produce the image output.
Size Units

Sets the paper size units to inches or millimeters. The list of available paper sizes changes to match the option that you select.

Scale

Creates an explicit scale by specifying how many drawing units are to be output per unit (millimeters or inches). For example, to produce output at a scale of 1 drawing unit per millimeter, enter 1 for both Output Units and Drawing Units.

If you use Fit to Paper, AutoCAD scales the output so that the portion of the drawing output is made as large as possible for the specified paper size.

Paper Size

Specifies a paper size for the exported PostScript image. Select a size from the list, or enter an explicit width and height value. Use the Size Units option to specify whether the paper sizes display in inches or millimeters.

If you enter a unique size by specifying the width and height of the paper, it appears with the name USER in the list of paper sizes the next time you create an EPS file.

WMF In

Sets Windows Metafile input options (see WMFIN).

Wire Frame (No Fills)

WMFIN imports objects as wireframes. If you clear this option, objects are imported as filled objects.

Wide Lines

WMFIN maintains the relative line widths of lines and borders. If you clear this option, lines are imported with zero width.

Related Commands: DXFOUT saves drawings as .dxf files. DWFOUT saves drawings as .dwf files. WBLOCK saves drawings as blocks. WMFOUT saves drawings as .wmf files. PSOUT saves drawings as .eps files. ATTEXT saves drawings as .dxx files. BMPOUT saves drawings as .bmp files. IMPORT imports drawings in other file formats into AutoCAD LT.


EXTEND

EXTEND Command

Extends an object to meet another object

Modify toolbar:
Modify menu: Extend
Command line:extend

Select boundary edges: (Projmode = UCS, Edgemode = No extend)
Select objects: Use an object selection method or press ENTER

Objects that can be extended include arcs, elliptical arcs, lines, open 2D and 3D polylines, and rays.

Select Objects for Boundary

Select the objects that define the boundary edges to which you want to extend the object or press ENTER to select all objects as potential boundaries. Valid boundary objects include 2D and 3D polylines, arcs, circles, ellipses, floating viewports, lines, rays, regions, splines, text, and xlines.

If you select a 2D polyline as a boundary object, AutoCAD LT ignores its width and extends objects to the center line of the polyline.

Extending a spline-fit polyline adds a new vertex to the control frame for the polyline.

If you extend a tapered polyline segment, AutoCAD LT corrects the width of the extended end to continue its original taper to the new endpoint. If this causes the segment to have a negative ending width, the ending width becomes zero.

<Select object to extend> / Project / Edge / Undo: Select an object, enter an option, or press ENTER

Select Object to Extend (EXTEND)

Specifies the object to extend. AutoCAD LT repeats the prompt so that you can extend multiple objects. Pressing ENTER ends the command.

Project (EXTEND)

Specifies the projection method AutoCAD LT uses when extending objects in different 3D planes.

None / Ucs / View <current>: Enter an option or press ENTER

  • None. Specifies no projection. AutoCAD LT extends only objects that would intersect the boundary edge in 3D space.
  • UCS. Specifies projection onto the XY plane of the current UCS. AutoCAD LT extends objects that do not intersect with the boundary objects in 3D space.
  • View. Specifies projection along the current view direction.
Edge (EXTEND)

Determines whether the object is extended to the implied edge of a boundary object or only to an object that would actually intersect it in 3D space.

Selected boundary Object to extend

Extend/ No extend<current>: Enter an option or press ENTER

  • Extend. Extends the boundary object along its natural path to intersect another object or its implied edge in 3D space.

    Result: Extend

  • No extend. Specifies that the object is to extend only to a boundary object that actually intersects it in 3D space.

    Result: No extend

Undo (EXTEND)

Reverses the most recent changes made by the EXTEND command.

Related Commands: LENGTHEN lengthens an object. TRIM trims objects at a specified cutting edge.
System Variables: EDGEMODE determines whether an object is extended to another object's implied edge or only to an object that intersects it in 3D space. PROJMODE specifies the Projection method AutoCAD LT uses when extending objects.


FILL

'FILL Command
Controls the filling of hatches, two-dimensional solids, and wide polylines

Command line: fill

ON / OFF <ON>: Enter off or press ENTER

Some displays and plotters take a long time to fill the interior of objects; turn off Fill mode to improve performance.

ON

Turns on Fill mode. For the filling of an object to be visible, its extrusion direction must be parallel to the current viewing direction, and hidden lines must not be suppressed.

OFF

Turns off Fill mode. Only the outlines of objects are displayed and plotted. Changing Fill mode affects existing objects after the drawing is regenerated.

Related Commands: DDRMODES sets Fill mode and other drawing aids.
System Variables: FILLMODE stores the FILL command setting.


FILLET

FILLET Command
Rounds and fillets the edges of objects

Modify toolbar:
Modify menu: Fillet
Command line: fillet

Polyline / Radius / Trim / <Select first object>: Use an object selection method or enter an option

The FILLET command rounds the edges of two arcs, circles, elliptical arcs, lines, polylines, rays, splines, or xlines with an arc of a specified radius. FILLET also rounds the edges of solids.

If the TRIMMODE system variable is set to 1, FILLET trims the intersecting lines to the endpoints of the fillet arc. If the selected lines do not intersect, AutoCAD LT extends them so that they do.

If both objects are on the same layer, AutoCAD LT creates the fillet on that layer. Otherwise, AutoCAD LT creates the fillet line on the current layer. The same applies to fillet color and linetype.

You cannot fillet line segments that intersect outside the drawing limits when limits checking is on.

Polyline (FILLET)

Inserts fillet arcs at each vertex of a 2D polyline where two line segments meet.

Select 2D polyline: Use an object selection method

If one arc segment separates two line segments that converge as they approach the arc segment, the arc segment is removed and replaced by a fillet arc.

Note: You cannot fillet polyline segments from different polylines.

Radius (FILLET)

Defines the radius of the fillet arc.

Enter fillet radius <current>: Specify a distance or press ENTER

The value you enter becomes the current radius for subsequent FILLET commands. Changing this value does not affect existing fillet arcs.

Trim (FILLET)

Controls whether AutoCAD LT trims the selected edges to the fillet arc endpoints.

Trim / No Trim <current>: Enter an option or press ENTER

Trim

Trims the selected edges to the fillet arc endpoints.

No Trim

Does not trim the selected edges.

Select First Object (FILLET)

Selects the first of two objects required to define a 2D fillet.

Select second object: Use an object selection method

If you select lines or arcs, AutoCAD LT extends then until they intersect, or trims them at the intersection.

If the selected objects are straight line segments of a 2D polyline, they must be adjacent or separated by only one other segment. If they are separated, FILLET deletes the segment that separates them and replaces it with an arc.

More than one fillet can exist between arcs and circles. AutoCAD LT chooses the fillet with endpoints closest to the object selection points

Circles are not trimmed; the fillet arc meets the circle smoothly.

You can fillet two lines with different extrusion directions only if the Z values of the endpoints of both lines are equal in the current UCS.

Related Commands: CHAMFER bevels the edges of objects.
System Variables: FILLETRAD stores the current fillet radius. TRIMMODE controls whether selected lines are trimmed to the fillet arc endpoints.


GETENV

GETENV Command

Shows values of specified registry variables

Command line: getenv

Variable name: Enter the variable name

The values of AutoCAD LT system registry variables can be displayed from within AutoCAD LT with SETENV. The two most likely registry variables are MaxArray and MaxHatch.

Note: SETENV is case-sensitive, so MaxArray and MaxHatch must be entered exactly as shown. For example, to display the current value for MaxHatch, enter

Command: getenv
Variable name: MaxHatch
10000


GRAPHSCR

'GRAPHSCR Command
Switches from the text screen to the graphics screen

Command line: graphscr

This command is ignored on dual-screen systems.

Related Commands: TEXTSCR changes from the graphics to the text display.


GRID

'GRID Command
Displays a dot grid

Status bar: Double-click Grid
Command line: grid

Grid spacing (X) or ON / OFF / Snap / Aspect <current>: Specify a value or enter an option

The grid is used only for visual reference. It is not plotted, nor is it considered to be part of the drawing.

Grid Spacing

Sets the grid to the specified value. Specifying a value by entering x sets the grid spacing to the specified value multiplied by the snap interval.

ON

Turns on the grid using the current spacing.

OFF

Turns the grid off.

Snap

Sets the grid spacing to the snap interval specified by the SNAP command.

Aspect

Changes the grid to a different spacing in the X and Y directions.

Horizontal Spacing(X) <current>: Enter a value or press ENTER
Vertical Spacing(X) <current>: Enter a value or press ENTER

Entering x following either value defines it as a multiple of the snap interval rather than the drawing units.

The Aspect option is not available when the current snap style is isometric.

Related Commands: SNAP specifies a minimum interval for point entry. DDRMODES sets drawing aids.
System Variables: GRIDMODE turns the grid on or off in the current viewport. GRIDUNIT sets the grid spacing in the current viewport.


HATCH

HATCH Command
Fills an area with a nonassociative hatch pattern

Command line: hatch

Enter pattern name or ? / Solid / User defined <ASNI31>: Enter the name of a predefined or custom pattern name, enter s, enter u, enter ?, or press ENTER

A nonassociative hatch is not updated when its boundaries are modified. A hatch boundary consists of an object or objects that completely enclose an area. If the boundary is made up of multiple objects, their endpoints must coincide for the hatch to be created properly. You can also define a polyline hatch boundary with the direct hatch option.

Unless you specify otherwise, HATCH combines the lines that make up the hatch into a block.

Hatches are stored as single hatch objects, which can reduce the amount of disk space a drawing occupies, and also can reduce regen times.

The hatch entity limit is set by the MaxHatch environment setting, which is stored in the AutoCAD LT General section of the aclt.ini file. Its default value is 10000; however, if you must create very dense hatches, you can edit the MaxHatch environment setting through the SETENV command.

List Pattern Names (HATCH)

Lists and provides a brief description of the hatch patterns defined in the aclt.pat and acltiso.pat files.

Pattern(s) to list <*>: Enter a name list or press ENTER

Pattern Name (HATCH)

Specifies a pattern defined in the aclt.pat and acltiso.pat files. Enter the name followed by an optional hatch style code. Precede the name with an asterisk (*) to fill the area with individual lines instead of a hatch block.

Scale for pattern <current>: Specify a value or press ENTER

If the drawing is in model space and you enter a scale factor followed by xp, AutoCAD LT calculates a scale factor relative to paper space.

Angle for pattern <current>: Specify an angle or press ENTER
Select hatch boundaries or press ENTER for direct hatch option,
Select objects: Select objects or press ENTER to define a polyline boundary

Select Objects

Select objects that define the boundary of the hatching area and objects internal to the hatching boundary. Selecting part of a block for hatching selects the entire block.

Direct Hatch

Specify points that define the boundary of the hatching area.

Retain polyline? <current>: Enter y to retain the hatching boundary after the area is hatched or n to discard it

From point: Specify a start point for the polyline boundary
Arc / Close / Length / Undo / <next point>: Specify a point, enter an option, or press ENTER

These options are also found in the PLINE command. When you've completed the polyline boundary, HATCH prompts to create additional polyline boundaries.

From point or ENTER to specify hatch: Specify a point or press ENTER

If you specify a point, AutoCAD LT prompts for additional points. Pressing ENTER ends the command and creates the hatch.

Solid (HATCH)

Specifies a solid fill.

Select hatch boundaries or ENTER for direct hatch option,
Select objects: Select objects or press ENTER to define a polyline boundary

Select Objects

Uses the selected objects to define the outer boundary of the fill area and objects internal to the fill boundary. Selecting part of a block for solid fill selects the entire block.

Direct Hatch

Uses specified points to define the boundary of the fill area.

Retain polyline? <current>: Enter y to retain the fill boundary or n to discard it after the area is filled
From point: Specify a start point for the polyline boundary
Arc / Close / Length / Undo / <Next Point>: Specify a point, enter an option, or press ENTER

These options are also found in the PLINE command. When you've completed the polyline boundary, HATCH prompts to create additional polyline boundaries.

From point or ENTER to specify hatch: Specify a point or press ENTER

If you specify a point, AutoCAD prompts for additional points. Press ENTER to end the command and create the solid fill.

The boundary of a solid fill hatch must be closed and must not intersect itself. In addition, if the hatch area contains more than one loop, the loops must not intersect. These limitations do not apply to standard hatch patterns.

User-Defined Pattern Name (HATCH)

Specifies a pattern of lines using the current linetype. Enter u, followed by an optional hatch style code. Precede the u with an asterisk (*) to fill the area with individual lines instead of a hatch block.

Angle for crosshatch lines <current>: Specify an angle or press ENTER
Spacing between lines <current>: Specify the distance between the lines or press ENTER
Double hatch area? <current>: Enter y to specify a second set of lines to be drawn at 90 degrees to the original lines or press ENTER
Select hatch boundaries or ENTER for direct hatch option,
Select objects: Select objects or press ENTER to define a polyline boundary

Select Objects

Select objects that define the boundary of the hatching area and objects internal to the hatching boundary. Selecting part of a block for hatching selects the entire block.

Direct Hatch

Specify points that define the boundary of the hatching area.

Retain polyline? <current>: Enter y to retain the hatching boundary after the area is hatched or n to discard it
From point: Specify a start point for the polyline boundary
Arc / Close / Length / Undo / <Next point>: Specify a point, enter an option, or press ENTER

These options are also found in the PLINE command. When you've completed the polyline boundary, HATCH prompts to define additional polyline boundaries.

From point or ENTER to apply hatch: Specify a point or press ENTER

If you specify a point, AutoCAD LT prompts for additional points. Pressing ENTER ends the command and creates the hatch.

Hatch Style Codes (HATCH)

Hatching styles control the method that AutoCAD LT uses to hatch internal boundary objects. Specify a hatch style by following the pattern name with a comma, and the hatch style code. You can list the hatch style codes by the pattern name, a comma, and ? (question mark). To hatch only the outermost area of a structure with several internal boundaries using the MUDST pattern, enter mudst,o at the Pattern prompt. To opt for a user-defined pattern and use the Ignore style, enter u,i. AutoCAD LT stores the style by adding the comma and code to the pattern name in the HPNAME system variable.

n (Normal) | Hatches inward from the outermost area boundary. If and when it encounters an internal boundary, turns off hatching until it encounters another boundary. Thus, areas separated from the outside of the hatched area by an odd number of boundaries are hatched, while areas separated by an even number of boundaries are not.
o (Outer) | Fills outermost areas only. This style also hatches inward from the area boundary, but it turns off hatching if it encounters an internal boundary and does not turn it back on again. Because this process starts from both ends of each hatch line, only the outermost area of the structure is hatched, and the internal structure is left blank.
i (Ignore) | Ignores internal structure. This style hatches through all internal objects.
? (List Styles) | Lists hatch styles.

Note: Hatching concave curves using the Outer and Ignore style options can cause discrepancies.

Related Commands: BHATCH fills an enclosed area with an associative hatch pattern.
System Variables: HPANG sets the hatching angle. HPDOUBLE specifies whether a user-defined hatch is double-hatched. HPNAME sets the hatch pattern name. HPSCALE sets the hatch pattern scale. HPSPACE sets the spacing of a user-defined hatch pattern. SNAPBASE specifies the starting point of the hatch pattern.


HATCHEDIT

HATCHEDIT Command
Modifies an existing associative hatch block

Modify II toolbar:
Modify menu: Object > Hatch
Command line: hatchedit

Select associative hatch: Use an object selection method
The Hatchedit dialog box is displayed.

If you enter -hatchedit at the Command prompt, HATCHEDIT displays the following options.

Disassociate / <Properties>: Enter an option or press ENTER

Hatchedit Dialog Box

Pattern Type

Displays a list of pattern types.

  • Pattern. Displays the Hatch Pattern Palette dialog box, which displays all the predefined hatch patterns.
  • Predefined. Lists patterns from those defined in the aclt.pat and acltiso.pat files.
  • User-Defined. Defines a pattern of lines using the current linetype.
  • Custom. Lists custom patterns in .pat files other than the aclt.pat and acltiso.pat files.
Pattern Properties

Sets properties specific to the chosen pattern type. For an explanation of the pattern properties, see the Boundary Hatch dialog box.

Boundary
  • Pick Points. Determines a boundary from existing objects that form an enclosed area. If Island Detection is selected in the Advanced Options dialog box, AutoCAD LT detects objects within the outermost boundary as islands that are hatched or not hatched as specified by the hatch style. The Boundary Hatch dialog box closes, and AutoCAD LT prompts for point specification.

    • Select internal point: Specify a point, enter u, or press ENTER to end point specification

    To undo the last selection, enter u or undo.

  • Select Objects. Specifies specific objects for hatching. The Boundary Hatch dialog box closes and AutoCAD LT prompts for object selection.

    • When you use the Select Objects option, AutoCAD LT does not detect interior objects automatically. You must select the objects within the selected boundary to ensure that those objects are hatched according to the current hatch style.

    Each time you choose Select Objects, AutoCAD LT clears the previous selection set.

  • Remove Islands. Removes from the boundary objects defined as islands by the Pick Points option. You cannot remove the outer boundary.

  • View Selections. Displays the currently defined boundary set. This option is not available when no selection or boundary has been made.
  • Advanced. Displays the Advanced Options dialog box. In large drawings, the default method of defining a boundary may be slow, because AutoCAD LT examines everything visible in the current viewport. To improve the speed of hatching, redefine the boundary set in the Advanced Options dialog box.
  • Preview Hatch. Displays the hatching before applying it. The dialog box closes and the selected area is hatched. After viewing the hatch, click Continue to redisplay the Boundary Hatch dialog box. This option is not available if you do not select an area.
  • Inherit Properties. Applies the properties of an existing hatch to the current Pattern Type and Pattern Properties options. The Boundary Hatch dialog box closes, and you are prompted to select an object.

    Select hatch object: Select a hatch block

    After you select an object, the Boundary Hatch dialog box is displayed with the hatch pattern properties updated to match the hatch pattern settings you selected.

Attributes

Defines whether the hatch is associative or exploded.

  • Associative. Controls associative hatching. If you select this option, the new hatch is associative, updated automatically when its boundaries are modified.
  • Exploded. Explodes hatching into individual line segments.
Apply

Applies the modifications to the hatch.

HATCHEDIT (Command Line)

Disassociate

Removes the associative quality from an associative hatch.

Properties

Specifies new hatch properties for the selected hatch. For an explanation of setting pattern properties on the command line, see BHATCH.

Related Commands: BHATCH fills an enclosed area with an associative hatch pattern. HATCH fills an area with a nonassociative hatch pattern.
System Variables: HPANG sets the hatching angle. HPDOUBLE specifies whether a user-defined hatch is double-hatched. HPNAME sets the hatch pattern name. HPSCALE sets the hatch pattern scale. HPSPACE sets the spacing of a user-defined hatch pattern. SNAPBASE specifies the starting point of the hatch pattern.


HELP

'HELP Command

Displays online help

Standard Toolbar:
Help menu: AutoCAD LT Help Topics
Command line: help or ? or press F1

To display help for a pull-down menu, select the menu name to open the menu, and then press F1. Pressing F1 or entering 'help while a command is active displays help for that command. Choosing the Help button in a dialog box displays help for that dialog box.


HIDE

HIDE Command
Regenerates a 3D model with hidden lines suppressed

View menu: Hide
Command line: hide

When you use the VPOINT, DVIEW, or VIEW command to create a 3D view of your drawing, AutoCAD LT produces a wireframe display in the current viewport. All lines are present, including those hidden by other objects. The HIDE command eliminates the hidden lines from the screen.

The HIDE command treats circles, 2D solids, wide polyline segments, and the extruded edges of objects with nonzero thickness as opaque surfaces that hide objects. If extruded, circles, 2D solids, and wide polyline segments are treated as solid objects with top and bottom faces. You cannot use HIDE on objects whose layers have been frozen; however, you can use the HIDE command on objects whose layers have been turned off.

Related Commands: DVIEW defines parallel projection or perspective views on the screen as you change views. VIEW saves and restores named views. VPOINT sets the viewing direction for a 3D visualization of the current drawing.


ID

'ID Command

Displays the coordinates of a location

Standard toolbar:
Tools menu: Inquiry > ID Point
Command line: id

Point: Specify a point

AutoCAD LT displays the UCS coordinate of the location on the command line.

ID lists the X, Y, and Z values of the specified point and stores the coordinate of the specified point as the last point. You can reference the last point by entering @ at the next prompt that requests a point.

The ID command is a good way to determine the coordinate values of a feature.

System Variables: LASTPOINT stores coordinate information about the last point specified.


IMAGE

IMAGE Command
Lists and modifies paths of images inserted into an AutoCAD LT drawing file

Command line: image

The Image dialog box is displayed.

IMAGE lists any raster or bit-mapped bitonal, 8-bit gray, 8-bit color, or 24-bit color image files that have been inserted into the current drawing file. Supported formats include BMP, TIF, RLE, JPG, GIF, and TGA. With IMAGE you can also display complete details of a selected image and you can modify the path information of a selected image.

You must use AutoCAD to insert or manipulate the images in the AutoCAD LT file, including attaching and detaching them.

Image Dialog Box

You can use F3 and F4 to toggle between List View and Tree View.

List View

Lists the image definitions attached to the drawing. Each image name is listed only once regardless of how many times the image is attached (inserted). You can sort the list of images by name, status, type, file date, size, or the saved path and file name. By default, the list is sorted alphabetically by image name.

  • To select multiple images, hold down SHIFT while clicking items.
  • To sort the list alphabetically or numerically by a specific column, click that column's heading.
  • To change the width of the column, click the line between the column headings, hold down the pick button, and slide the cursor to the right or left. Settings are saved, and they are restored when the dialog box is reopened.
  • To change the image name, select it and then press F2. Names of images that reside in xrefs cannot be edited. Image names can include up to 31 characters and can contain letters, digits, and the special characters hyphen (-) and underscore (_). After you enter a name, AutoCAD LT converts the characters to uppercase. The image name can be identical to the file name, but changing the image name does not change the file name.
Tree View

Displays all the image definitions and the levels of nesting of images within external references (xrefs). Images attached directly to the drawing are shown at the top of the tree. Externally referenced drawings are listed at the top level with images attached to them shown at the next level. Images nested in block references are shown at the top level. Tree view lists the image names only, not file names. Tree view lists the image name only once regardless of how many times the image is attached (inserted).

You can edit an image name by selecting it and then pressing F2; however, you cannot select more than one image at a time.

Details

Opens the Image File Details dialog box, which contains information about the selected image file. The dialog box displays the image name, saved path, active path, file creation date and time, file size and type, color, color depth, width and height in pixels, resolution, default size in units, and a preview image.

Browse

Opens a standard file dialog box. The path you select is inserted under Image Found At.

Save Path

Stores the new path information. Pressing ESC while editing the path restores the old path. If the referenced image cannot be found in the new path, the image's status changes to Not Found. If you do not choose Save Path after editing the path, AutoCAD LT uses the original image path the next time the drawing is loaded.

Related Commands: BMPOUT saves your current drawing as a Windows bitmap file.


Imageframe

IMAGEFRAME Command

Controls whether image frames are displayed or hidden from view

Command line: imageframe

ON / OFF <current>: Enter an option or press ENTER

Raster images can be displayed with or without a frame around the image. Because you select an image by clicking its frame, setting IMAGEFRAME to Off prevents you from accidentally selecting an image.

ON

Turns on all raster image frames so that they are displayed and can be selected.

OFF

Turns off all image frames so that they are not displayed and cannot be selected.


IMPORT

IMPORT Command
Imports various file formats into AutoCAD LT

Insert toolbar:
Insert menu: File
Command line: import

The Import File dialog box is displayed.

Select the format type you want to import and the name of the file. AutoCAD LT imports the file into the AutoCAD LT drawing.

Import File Dialog Box
Look in

Select the drive and directory that contain the file you want to import.

File Name

Select or enter the name of the file you want to import.

Files of Type

Select the type of file you want to import.

Preview

Preview the selected drawing.

Find File...

To use search criteria to find the files you want to import on multiple drives and directories, choose Find File. The Browse/Search dialog box is displayed.

Related Commands: EXPORT saves objects to other file formats.


INETCFG

INETCFG Command

Configures the default browser information for Internet access

Internet Utilities toolbar:
Tools menu: Configure Internet
Command line: inetcfg

The Internet Configuration dialog box is displayed.

Internet Configuration Dialog Box

You specify the address of the Internet site with the drawing you want to open in this dialog box.

Options

Use Options to specify how your computer is connected to the Internet, whether by direct connection or proxy server, and to enter your login, user names, and passwords.

FTP Login
  • Anonymous Login. Select to log in anonymously and enter the user name anonymous with no password. Clear to log in to a secured server and enter your user name and password.

    Note: The FTP password is not remembered across AutoCAD LT sessions.

  • HTTP Secure Access. Enter your user name and password if your regularly access HTTP addresses that require authentication. If you leave these values blank, and the address requires authentication, you will be prompted.

    Note: The HTTP password is not remembered across AutoCAD LT sessions.

    Connection
  • Direct Connection. Select if you have a connection to the Internet through an ISP (Internet service provider).
  • Proxy Server. Select if you have a connection through a machine that serves as a gateway between a company�s internal intranet and the external Internet. If you do not know if you are using a proxy server you can usually look at the proxy settings in your browser by selecting Options or you can contact your network system administrator.
    Proxy Information
  • Proxy Server Name. Enter the proxy server name that you found by using Options in your browser or that your network system administrator supplied you.
  • FTP Port. The default port is automatically set. To select another port, enter its number.
  • HTTP Port. The default port is automatically set. To select another port, enter its number.


INSERT

INSERT Command

Places a named block or drawing in the current drawing

Command line: insert

Block name (or ?) <current>: Enter a name, enter ? or ~, or press ENTER

Block Name

Specify the block name. If you enter a block name without a path name or drive letter, AutoCAD LT searches for a currently defined block by that name. If no such block definition exists in the current drawing, AutoCAD LT searches the library path for a file of the same name. If AutoCAD LT finds such a file, the file name is used for the block name when AutoCAD LT inserts the block. AutoCAD LT uses the same block definition for subsequent insertions of that block.

If you load a file as a block, you can give the block a new name:

Block name (or ?) <current>: block name=file name

The name of the last block inserted during the editing session appears as the current block.

Insertion point: Specify a point or enter an insertion point

Insertion Point Options

The insertion point options preset the scale and rotation of a block before you specify its position. This is useful when you are dragging a block, when you normally use a scale factor of 1 and a rotation of 0.

  • Scale. Sets the scale factor for the X, Y, and Z axes. The scale for the Z axis is the absolute value of the specified scale factor.
  • Xscale. Sets the X scale factor.
  • Yscale. Sets the Y scale factor.
  • Zscale. Sets the Z scale factor.
  • Rotate. Sets the rotation angle.
  • PScale. Sets the scale factor for the X, Y, and Z axes of a block that is to be dragged into position.
  • PXscale. Sets the scale factor for the X axis of a block that is to be dragged into position.
  • PYscale. Sets the scale factor for the Y axis of a block that is to be dragged into position.
  • PZscale. Sets the scale factor for the Z axis of a block that is to be dragged into position.
  • PRotate. Sets the rotation angle of the block as it is dragged into position.

After you specify a point or enter an option at the Insertion point prompt, AutoCAD LT prompts as follows:

X scale factor <1> / Corner / XYZ: Enter a value or an option, or press ENTER to confirm an X scale factor of 1

Draws a copy of the block with its base point at the specified insertion point and AutoCAD LT rotates the block by the rotation angle, using the insertion point as the center of rotation.

X scale factor (INSERT)

Multiplies the X dimensions of the block by the scale factor supplied.

Y scale factor <default=X>: Specify a scale or press ENTER
Rotation angle <0>: Specify an angle or press ENTER

Corner (INSERT)

Defines the X and Y scales at the same time, using the insertion point and another point as the corners of a box. The X and Y dimensions of the box become the X and Y scale factors.

The insertion point is the first corner.

Other corner: Specify a point
Rotation angle <0>: Specify an angle or press ENTER

XYZ (INSERT)

Scales the block in all three dimensions.

X scale factor <1> / Corner: Specify a scale, enter c, or press ENTER

  • X scale factor. Defines X, Y, and Z scale factors for the block.

    Y scale factor <default=X>: Specify a scale or press ENTER
    Z scale factor <default=X>: Specify an angle or press ENTER
    Rotation angle <0>: Specify an angle or press ENTER

  • Corner. Defines the X and Y scales at the same time, using the insertion point and another point as the corners of a box, and then defines the Z scale.

    Other corner: Specify a point
    Z scale factor <default = X>: Specify a scale or press ENTER
    Rotation angle <0>: Specify an angle or press ENTER

    • ? List Block Names

    Entering ? lists the currently defined block definitions in the drawing. Entering a tilde (~) displays the Select Drawing File dialog box. Preceding the name of the block with an asterisk (*) separates the block's objects during insertion. Use the EXPLODE command to separate the objects in a block after it has been inserted.

    Related Commands: BASE specifies a base insertion point in drawings that will be inserted as blocks into other drawings. BLOCK creates a named set of objects that can be inserted into a drawing. DDINSERT inserts a block into a drawing by use of a dialog box. EXPLODE separates the objects in a block. WBLOCK creates a drawing from a block. XREF attaches a drawing to the current drawing and reflects updates made to the attached drawing.
    System Variables: INSNAME stores the current block name used by the DDINSERT and INSERT commands.


INSERTOBJ

INSERTOBJ Command
Inserts a linked or embedded object

Insert toolbar:
Insert menu: OLE Object
Command line: insertobj

AutoCAD LT displays the Insert Object dialog box.

A linked object remains associated with its source. When you edit a linked object in AutoCAD LT, the source file changes. When you edit the object in the source file, the linked AutoCAD LT object changes.

An embedded object is no longer associated with its source. You edit the embedded data from inside the AutoCAD LT drawing by using the original application. This editing does not change the original file.

Linked or embedded objects appear on the screen in AutoCAD LT and can be printed or plotted using Windows system drivers.

If you open an AutoCAD LT drawing that contains an embedded object, the Save option on the File menu is replaced by Update. Choosing Update inserts the object into the drawing or updates it.

Insert Object Dialog Box

Create New

Opens the application that's highlighted in the Object Type box so that you can create a new object to insert.

Create from File

Inserts as an object the contents of the file you select. Selecting this option changes the dialog box to display a directory path and browse button. To link the object to AutoCAD LT, select Link.

Object Type

When Create New is selected, lists applications on your system that support OLE. To create an object to embed, double-click a listed application.

Display as Icon

Displays the source application's icon in the AutoCAD LT drawing.

Related Commands: COPYLINK copies the current view of the AutoCAD LT drawing to the Clipboard. OLELINKS updates, modifies, and cancels existing links. PASTECLIP inserts data from the Windows Clipboard into a drawing. PASTESPEC inserts data from the Windows Clipboard and controls the format of the pasted data.


inserturl

INSERTURL Command

Inserts a DWG file from an Internet address

Internet Utilities toolbar:
Insert Menu: File from Internet
Command line: inserturl

The Insert DWG from URL dialog box is displayed.

To insert AutoCAD LT drawings as block references directly from the Internet into the current AutoCAD LT drawing, use INSERTURL. You can enter a URL using http, ftp, or file formats.

Note: AutoCAD LT Internet Utilities cannot transfer files using ftp when you are connected to the Internet through a proxy server.

Insert DWG from URL Dialog Box

You specify the address of the Internet site with the drawing you want to insert in this dialog box.

Options

Use Options to specify how your computer is connected to the Internet, whether by direct connection or proxy server, and to enter your login, user names, and passwords.

FTP Login
  • Anonymous Login. Select to log in anonymously and enter the user name anonymous with no password. Clear to log in to a secured server and enter your user name and password.

    Note: The FTP password is not remembered across AutoCAD LT sessions.

  • HTTP Secure Access. Enter your user name and password if you regularly access HTTP addresses that require authentication. If you leave these values blank, and the address requires authentication, you will be prompted.

    Note: The HTTP password is not remembered across AutoCAD LT sessions.

  • Direct Connection. Select if you have a connection to the Internet through an ISP (Internet service provider).
  • Proxy Server. Select if you have a connection through a machine that serves as a gateway between a company�s internal intranet and the external Internet. If you do not know if you are using a proxy server you can usually look at the proxy settings in your browser by selecting Options or you can contact your network system administrator.
Proxy Information
  • Proxy Server Name. Enter the proxy server name that you found by using Options in your browser or that your network system administrator supplied you.
  • FTP Port. The default port is automatically set. To select another port, enter its number.
  • HTTP Port. The default port is automatically set. To select another port, enter its number.


ISOPLANE

'ISOPLANE Command
Specifies the current isometric plane

Command line: isoplane

Left / Top / Right / <Toggle>: Enter an option or press ENTER

The isometric plane affects the cursor movement keys only when Snap mode is on and the snap style is Isometric. If the snap style is Isometric, Ortho mode uses the appropriate axis pair even if Snap mode is off. The current isometric plane also determines the orientation of isometric circles drawn by ELLIPSE.

Left

Selects the left-hand plane, defined by the 90-degree and 150-degree axis pair.

Top

Selects the top face of the cube, called the top plane, defined by the 30-degree and 150-degree axis pair.

Right

Selects the right-hand plane, defined by the 90-degree and 30-degree axis pair.

Toggle

Switches to the next plane in a clockwise fashion from left, to top, to right using the arrow keys.

Related Commands: DDRMODES sets drawing aids, including the current drawing plan. SNAP sets the Isometric snap style. You can cycle through the isometric planes by pressing CTRL+E or F5.
System Variables: SNAPISOPAIR stores the current isometric plane setting.


LAYER

LAYER Command

Manages layers

Object Properties toolbar:
Format menu: Layer
Command line: layer

The Layer tab of the Layer & Linetype Properties dialog box is displayed.

If you enter -layer at the command prompt, LAYER presents options on the command line.

LAYER creates new layers, makes a layer current, sets the color and linetype for designated layers, turns layers on and off, locks or unlocks layers, freezes or thaws layers, and lists defined layers.

The Layer & Linetype Properties Dialog Box

In the Layer & Linetype Properties dialog box, you can make a layer current, add new layers to the Layer Name list, delete layers from the Layer Name list, and rename an existing layer. You can change the colors and linetypes of multiple layers. You can turn layers on and off, freeze and thaw layers, and lock and unlock layers globally or by viewport.

Show

Determines which layers are displayed in the layer name list. You can filter layers based on whether they're xref-dependent, or whether they contain objects. You can also filter layers based on their name, state, color, linetype, or whether they're frozen in the current viewport or in new viewports.

  • All. Shows all layers in the drawing, including those from xref-dependent drawings.
  • All in Use. Shows all layers in use.
  • All unused. Shows all unused layers.
  • All Xref dependent. Shows all layers that are xref-dependent.
  • All not xref dependent. Shows all layers that are not xref-dependent.
  • All that pass filter. Shows all layers that match the settings specified in the Set Layer Filters dialog box.
  • Set Filter dialog box. Displays the Set Filter dialog box.

Current

Sets the selected layer to be the current layer. The layer name is stored in the CLAYER system variable.

List of Layers

Displays layers and their properties. To modify a property, click on its icon. To quickly select all layers, right-click your pointing device and use the cursor menu.

  • On/Off. When a layer is on, it is visible and available for plotting. When a layer is off, it is invisible and excluded from plotting.
  • Freeze/Thaw. A frozen layer is invisible and excluded from regeneration and plotting. A thawed layer is visible and available for regeneration and plotting. You can freeze layers in all viewports, in the current viewport, or in new viewports as they are created.
  • Freeze in All Viewports. Freezes selected layers in all viewports. You can freeze layers to speed up ZOOM, PAN, and VPOINT; improve object selection performance; and reduce regeneration time for complex drawings. AutoCAD LT does not display, plot, or regenerate objects on frozen layers. Freeze the layers you want to be invisible for long periods. When you thaw a frozen layer, AutoCAD LT regenerates and displays the objects on that layer. If you will be switching between visible and invisible states frequently, use the On/Off setting.
  • Freeze in Current Viewport. Freezes selected layers in the current floating viewport. You can freeze or thaw layers in the current floating viewport without affecting layer visibility in other viewports. Frozen layers are invisible; they are not regenerated or plotted. This feature is useful, for example, if you want to create an annotation layer that is visible only in a particular viewport. Thawing restores the layer's visibility.
  • Freeze in New Viewports. Freezes selected layers in new floating viewports. For example, freezing the DIMENSIONS layer in all new viewports restricts the display of dimensions on that layer in any newly created floating viewports, but does not affect the DIMENSIONS layer in already existing viewports. If you then create a viewport that requires dimensions, you can override the default setting by changing the current viewport setting.
  • Lock/Unlock. A locked layer cannot be edited; an unlocked layer can be edited.
  • Color. Changes the color associated with a layer. Clicking the color name displays the Select Color dialog box.
  • Linetype. Changes the linetype associated with a layer. Clicking any linetype name displays the Select Linetype dialog box.

New

Creates a new layer. After you choose New, Layer1 is displayed in the list and you can edit it immediately. Once a layer name is activated for editing, you can use the comma key just like the New button to create multiple layers more quickly. If a layer is selected in the layer list when a new layer is created, the new layer inherits the properties of the selected layer (Color, On/Off state, and so forth). To create layers with default settings, make sure that no layers are selected in the list or that a layer with default settings is selected prior to beginning layer creation.

  • Delete. Deletes selected layers from the drawing file definition. Only layers that are not referenced in any way can be deleted. Referenced layers include layers 0 and defpoints, layers containing objects, the current layer, and xref-dependent layers. Warning: Be careful about deleting layers if you are working on a drawing in a shared project, or one based on a set of layering standards.
Details

Displays an extension of the dialog box with alternate access to properties and additional settings.

  • Name. Displays the highlighted layer name, which can be edited. The layer name can include up to 31 characters. Layer names can contain letters, digits, and the special characters dollar sign ($), hyphen (-), and underscore (_). Layer names cannot include blank spaces.
  • Color. Displays a list of colors available to apply to the currently selected layer. To assign a color other than those displayed in the list, choose Other.
  • Linetype. Displays linetypes available to apply to the currently selected layer. To load additional linetypes, select the Linetype tab, then choose Load.
  • Retain Changes to Xref-Dependent Layers. Saves changes to xref-dependent layers. When the drawing is reloaded, the properties currently assigned to xref-dependent layers are retained. This box corresponds to the VISRETAIN system variable.
  • On. Turns selected layers on or off. Turned-off layers are regenerated with the drawing but are not displayed or plotted. You can turn layers off rather than freezing layers if you are frequently changing layers from visible to invisible. By turning layers off to make their objects invisible, you avoid regenerating the drawing every time you restore visibility. When you turn a layer on that has been turned off, AutoCAD LT only redraws the objects on that layer.
  • Freeze in All Viewports. Freezes selected layers in all viewports. You can freeze layers to speed up ZOOM, PAN, and VPOINT; improve object selection performance; and reduce regeneration time for complex drawings. AutoCAD LT does not display, plot, or regenerate objects on frozen layers. Freeze layers that you want to be invisible for long periods. When you thaw a frozen layer, AutoCAD LT regenerates and displays the objects on that layer. If you are switching between visible and invisible states frequently, use the On/Off setting.
  • Freeze in Current Viewport. Freezes selected layers in the current floating viewport. You can freeze or thaw layers in the current floating viewport without affecting layer visibility in other viewports. Frozen layers are invisible; they are not regenerated or plotted. This feature is useful, for example, if you want to create an annotation layer that is visible only in a particular viewport. Thawing restores the layer's visibility.
  • Freeze in New Viewports. Freezes selected layers in new floating viewports. For example, freezing the DIMENSIONS layer in all new viewports restricts the display of dimensions on that layer in any newly created floating viewports but does not affect the DIMENSIONS layer in already existing viewports. If you then create a viewport that requires dimensions, you can override the default setting by changing the current viewport setting.
  • Lock. Determines whether objects on selected layers can be edited. Locking layers is useful when you want to edit objects that are associated with particular layers but also want to view objects on other layers. While you cannot edit objects on a locked layer, they are still visible if the layer is on and thawed. You can make a locked layer current, and you can add objects to it.

Set Layer Filters Dialog Box

Filter layers based on criteria you select. Filtered layers are displayed in the Layer & Linetype Properties dialog box.

Layer Names

Specifies which layers to filter.

On/Off

Specifies whether filtered layers are on, off, or both.

Freeze/Thaw

Specifies whether filtered layers are frozen, thawed, or both.

Current Viewport

Specifies whether filtered layers in the current viewport are frozen, thawed, or both.

New Viewport

Specifies whether filtered layers in the new viewport are frozen, thawed, or both.

Lock/Unlock

Specifies whether filtered layers are locked, unlocked, or both.

Colors

Specifies the layer colors to filter.

Linetypes

Specifies the layer linetypes to filter.

Apply This Filter to the Layer Control in the Object Properties Toolbar

When selected, displays only layers that pass this filter in the layer list box in the Object Properties toolbar. When this option in not selected, all layers are displayed.

Reset

Resets all filters to their default values.

LAYER (Command Line)

The command line version of LAYER creates new layers, sets the current layer, sets the color and linetype for designated layers, turns layers on and off, locks or unlocks layers, freezes or thaws layers, and lists defined layers.

? / Make / Set / New / ON / OFF / Color/ Ltype / Freeze / Thaw / LOck / Unlock: Enter an option

? List Layers (-LAYER)

Displays a list of the currently defined layers, showing their names, states, color numbers, and linetypes, and whether any are externally dependent.

Layer name(s) to list <*>: Enter a name list or press ENTER

Make (-LAYER)

Creates a layer and makes it current. New objects are placed on the current layer as they are drawn.

New current layer <current>: Enter a name or press ENTER

If no layer exists for the name you enter, AutoCAD LT creates a new layer by that name. That layer is turned on and is assigned color number 7 and the CONTINUOUS linetype. If the layer exists but is turned off, AutoCAD LT turns it on.

Set (-LAYER)

Makes a new layer current but does not create the layer if it doesn't already exist. If the layer exists but is turned off, AutoCAD LT turns it on and makes it current.

New current layer <current>: Enter a name

New (-LAYER)

Creates one or more layers. You can create two or more layers by entering names separated by commas.

New layer name(s): Enter a name list

On (-LAYER)

Makes selected layers visible and available for plotting.

Layer name(s) to turn On: Enter a name or a list of names separated by commas

Off (-LAYER)

Makes selected layers invisible and excludes them from plotting.

Layer name(s) to turn Off: Enter a name or a list of names separated by commas

Color (-LAYER)

Changes the color associated with a layer.

Color: Enter a color name or a color number(1-255)

AutoCAD LT prompts for layer names to which the color should be applied.

Layer name(s) for color n <current>: Enter a name or a list of names separated by commas, or press ENTER

The layers are turned on. To assign a color but turn off the layer, precede the color with a minus sign (-).

Ltype (-LAYER)

Changes the linetype associated with a layer.

Linetype (or ?) <CONTINUOUS>: Enter a currently loaded linetype name, enter ?, or press ENTER

If you enter ?, AutoCAD LT prompts for the linetypes to list.

Linetype(s) to list <*>: Enter a wild-card pattern or press ENTER to list all names in the drawing

If you enter a linetype name or press ENTER, AutoCAD LT prompts for a list of layers to which the linetype should be applied.

Layer name(s) for linetype xxx <current>: Enter a wild-card pattern, a name, or a list of names separated by commas, or press ENTER

Freeze (-LAYER)

Freezes layers, making them invisible and excluding them from regeneration and plotting.

Layer name(s) to Freeze: Enter a name or a list of names separated by commas

Thaw (-LAYER)

Thaws frozen layers, making them visible and available for regeneration and plotting.

Layer name(s) to Thaw: Enter a name or a list of names separated by commas

Lock (-LAYER)

Locks layers, preventing editing on those layers.

Layer name(s) to Lock: Enter a name or a list of names separated by commas

Unlock (-LAYER)

Unlocks selected locked layers, permitting editing on those layers.

Layer name(s) to Unlock: Enter a name or a list of names separated by commas

Related Commands: -LAYER presents options at the command line. COLOR and DDCOLOR set the color for new objects. -LINETYPE and LINETYPE create, load, and set linetypes. VPLAYER sets viewport visibility for new and existing layers.
System Variables: CLAYER stores the name of the current layer.


LEADER

LEADER Command

Creates a line that connects annotation to a feature

Dimensioning toolbar:
Dimension menu: Leader
Command line: leader

The following prompt is displayed at the command line.

From point: Specify a point or use an Object Snap mode to attach the leader line to an object
To point: Specify a point

AutoCAD LT draws a leader line segment to the point specified and continues to prompt for other points and options.

A leader is an object that can be composed of an arrowhead attached to splines or straight line segments. In some cases, a short horizontal line, called a hook line, dogleg, or landing, connects text and feature control frames to the leader line.

You can use various dimensioning system variables to control the appearance of leader lines, such as placing the text above the hook line with DIMTAD.

The LEADER command creates complex leader lines. DIMDIAMETER and DIMRADIUS create simple automatic leader lines for circle and arc dimensions.

To Point

Draws a leader line segment to the point specified and continues to prompt for points and options.

To point (Format / Annotation / Undo) <Annotation>: Specify a point, enter an option, or press ENTER

Format

Controls the way the leader is drawn and whether it has an arrowhead.

Spline / STraight / Arrow / None / <Exit>: Enter an option or press ENTER

After each option, AutoCAD LT returns to the To Point (Format / Annotation / Undo) <Annotation> prompt.

Spline

Draws the leader line as a spline. The vertices of the leader are the control points, each of equal weight.

Straight

Draws the leader line as a set of straight line segments.

Arrow

Draws an arrowhead at the start point of the leader line.

None

Draws a leader line with no arrowhead at the start point.

Exit

Exits the Format option.

Annotation

Inserts annotation at the end of the leader line, such as line text, paragraph text, a feature control frame containing geometric tolerances, or a block.

Annotation (or ENTER for options): Enter text or press ENTER

When you press ENTER AutoCAD LT places the text you enter at the end of the leader line and ends the command. Pressing ENTER without entering text displays the following prompt:

Tolerance / Copy / Block / None / <Mtext>: Enter an option or press ENTER

After you enter the text, the LEADER command ends.

Tolerance

Creates a feature control frame containing geometric tolerances using the Geometric Tolerance dialog boxes. For a complete description, see TOLERANCE.

You can create datum indicators and basic dimension notation in these dialog boxes. After you specify the geometric tolerance, the LEADER command ends.

Copy

Copies text, paragraph text, a feature control frame with geometric tolerances, or a block and connects the copy to the end of the leader line. The copy is associated with the leader line. The display of the hook line depends on the object copied.

Select an object: Use an object selection method

AutoCAD LT places the object and ends the LEADER command. The text is inserted at a location determined by the value of the current text gap (see the DDIM command or the DIMGAP dimensioning system variable). Any blocks or feature control frames with geometric tolerances are attached to the end of the leader line.

Block

Inserts a block at the end of the leader line. AutoCAD LT uses the same prompts as the INSERT command. The block reference is inserted at an offset from the end of the leader line and is associated to the leader line. No hook line is displayed.

None

Ends the command without adding any annotation to the leader line.

Mtext

Creates paragraphs of text using the Edit MText dialog box. Enter the text. Strings for prefixes should precede, and for suffixes should follow, angle brackets (< >). Enclose format strings for alternate units in square brackets ([ ]).

The units settings and the current text style determine the appearance of the text. The paragraph of text is vertically centered, and it's horizontally aligned according to the X axis direction of the last two vertices of the leader line.

The text is offset from the hook line by the distance specified under Gap in the DDIM Annotation dialog box. If the offset specified is negative, the paragraph text is enclosed in a box as a basic dimension.

Undo

Undoes the last vertex point on the leader line. AutoCAD LT redisplays the To Point (Format / Annotation / Undo) <Annotation> prompt.

Controlling the Appearance of Leader Lines

Leader lines are planar 2D objects similar to dimension objects. The appearance of the leader line is controlled by a dimension style. Any units or text style settings defined in the dimension style are applied to the annotation whenever possible.

Leader line feature | Controlled by | System variable
Color of leader line and arrowhead | Color option for dimension line in the DDIM Geometry dialog box | DIMCLRD
Arrowhead type | 1st option for arrowheads in the DDIM Geometry dialog box | DIMBLK or DIMBLK1 when the arrowheads vary
Arrowhead and hook line size (hook lines are one arrowhead long) | Size option for arrowheads in the DDIM Geometry dialog box | DIMASZ
Gap between annotation and hook line | Gap option for text in the DDIM Annotation dialog box | DIMGAP
Scale | Overall Scale option in the DDIM Geometry dialog box | DIMSCALE
Basic dimension annotation boxed text | Basic option for dimension tolerance in the DDIM Annotation dialog box | DIMGAP (negative value)

Hook Lines

AutoCAD LT automatically includes a hook line if the angle of the leader line is greater than 15 degrees from horizontal.

To position text above the hook line, as it is in JIS (Japanese Industrial Standards), select the Outside Horizontal option for text and the Above option for vertical justification options in the DDIM Format dialog box. AutoCAD LT stores these values in the DIMTOH and DIMTAD variables, respectively.

Related Commands: DDIM creates and modifies dimension styles. DIMDIAMETER creates diameter dimensions for circles or arcs. DIMRADIUS dimensions the radius of a circle or arc, with an optional center mark or centerline. MTEXT creates paragraphs. SPLINE creates a spline (NURBS) curve. TOLERANCE creates geometric tolerances to control form, profile, orientation, location, and runout of a feature.
System Variables: DIMASZ controls the size of arrowheads. DIMBLK defines the block for arrowheads. DIMBLK1 defines the block for the first arrowhead. DIMCLRD controls the color of the dimension line. DIMGAP controls the size of the text gap. DIMSCALE controls the overall scale of dimension objects. DIMTAD controls the vertical justification of dimension text.


LENGTHEN

LENGTHEN Command

Changes the length of objects and the included angle of arcs

Modify toolbar:
Modify menu: Lengthen
Command line: lengthen

DElta / Percent / Total / DYnamic / <Select object>: Select one object or enter an option

The LENGTHEN command does not affect closed objects.

Delta (LENGTHEN)

Changes the length of an object by a specified increment, measured from the endpoint of the selected object closest to the pick point.

The Delta option changes the angle of an arc by a specified increment measured from the endpoint of the arc. A positive value extends the objects, a negative value trims it.

Angle / <Enter delta length> (<current>): Specify a distance, enter a, or press ENTER

Angle

Changes the included angle of the selected arc by the specified angle value.

Enter delta angle <current>: Specify an angle or press ENTER
<Select object to change> / Undo: Select one object or enter u

This prompt is repeated until you press ENTER to end the command.

Enter Delta Length

Changes the length of the object by the specified increment.

<Select object to change> / Undo: Select one object or enter u

This prompt is repeated until you press ENTER to end the command.

Percent (LENGTHEN)

Sets the length of an object by a specified percentage of its total length. The Percent option changes the angle of an arc by a specified percentage of the total included angle of the arc.

Enter percent length <current>: Enter a positive nonzero value or press ENTER
<Select object to change> / Undo: Select one object or enter u

This prompt is repeated until you press ENTER to end the command.

Total (LENGTHEN)

Sets the length of a selected object by specifying the total absolute length from the fixed endpoint. The Total option sets the included angle of a selected arc by a specified total angle.

Angle / <Enter total length> (<current>): Specify a distance, enter a positive nonzero value, enter a, or press ENTER

Angle

Sets the included angle of the selected arc to a specified value.

Enter total angle <current>: Specify an angle or press ENTER
<Select object to change> / Undo: Select one object or enter u

This prompt is repeated until you press ENTER to end the command.

Enter Total Length

Lengthens the object to the specified value from the endpoint nearest the selection point.

<Select object to change> / Undo: Select one object or enter u

This prompt is repeated until you press ENTER to end the command.

Dynamic (LENGTHEN)

Turns on Dynamic Dragging mode. You change the length of a selected object by dragging one of its endpoints. The other end remains fixed.

<Select object to change> / Undo: Select one object or enter u

This prompt is repeated until you press ENTER to end the command.

Select Object to Change

Specifies the object to change. Then select the object near the end you want to change.

Undo

Reverses the most recent change made by LENGTHEN.

Select Object (LENGTHEN)

Displays the length and, where applicable, the included angle of the object.

Current length: <current>, included angle <current>

Related Commands: EXTEND extends an object to meet another object. TRIM trims objects at a cutting edge defined by one or more objects.


LIMITS

LIMITS Command

Sets and controls the drawing boundaries and grid display

Format menu: Drawing Limits
Command line: limits

ON / OFF / <current>: Specify a point, enter on or off, or press ENTER

The drawing limits are 2D points in the World Coordinate System that represent the lower-left and upper-right boundaries. You cannot impose limits in the Z direction.

When turned on, the drawing limits restrict the coordinates you can enter, to within the rectangular area. Drawing limits also determine the area of the drawing that can display grid dots, the area displayed by one of the scale options of the ZOOM command, and the minimum area displayed with a ZOOM All command.

Lower-Left corner

Specifies the lower-left corner for the drawing limits.

Upper right corner <current>: Specify a point or press ENTER

On

Turns on limits checking. With limits checking on, AutoCAD LT rejects attempts to enter points outside the drawing limits. Because limits checking tests only points that have been entered, portions of objects such as circles can extend outside the limits.

Off

Turns off limits checking but maintains the current values for the next time limits checking is turned on.


LINE

LINE Command

Creates straight line segments

Draw toolbar:
Draw menu: Line
Command line:line

From point: Specify a point or press ENTER to continue the line or arc
To point: Specify a point
To point: Specify a point, enter u, enter c, or press ENTER

You can specify the endpoints of lines using 2D or 3D coordinates.

AutoCAD LT draws a line segment and continues to prompt for points. You can draw a continuing series of line segments, but each line segment is a separate object. Press ENTER to end the command.

For example, the following command sequence draws a single line segment:

Command: line
From point: Specify a point (1)
To point: Specify a point (2)
To point: Press ENTER

Undo a Line (LINE)

At the To Point prompt, erases the most recent segment of a line sequence.

Entering u more than once backtracks through line segments in the order in which they were created.

Close a Series of Line Segments

After a series of two or more segments are drawn, the last line segment ends at the beginning of the first line segment, which forms a closed loop of line segments.

Enter c or close at the To Point prompt to form a closed polygon from a sequence of lines.

ENTER - Continue a Line or Arc (LINE)

Continues a line from the endpoint of the most recently drawn line. Press ENTER at the From Point prompt to define the starting point of the line.

If you drew an arc most recently, its endpoint defines the starting point of the line, and the line is drawn tangent to the arc.

Related Commands: PLINE creates 2D polylines. XLINE creates an infinite line. RAY creates a semi-infinite line. DLINE creates a double line using straight line segments and arcs.


LINETYPE

LINETYPE Command

Creates, loads, and sets linetypes

Object Properties toolbar:
Format menu: Linetype
Command line: LINETYPE

The Linetype tab of the Layer and Linetype Properties dialog box is displayed.

If you enter -linetype at the command prompt, LINETYPE presents options on the command line.

LINETYPE defines line characteristics consisting of combinations of dashes, dots, and spaces.

You can use LINETYPE to load linetype definitions from a linetype library (LIN), make a linetype current, or modify linetype scales.

The Layer & Linetype Properties Dialog Box

Loaded Linetypes

Displays the names of all linetypes that are currently loaded.

Show

Determines which linetypes are displayed in the linetype list. You can filter linetypes based on whether they're xref-dependent or they're referenced by objects.

  • All. Displays all the loaded linetypes in the Linetype list.
  • All in use. Displays all the loaded linetypes in use. Unused linetypes are not displayed in the list.
  • All xref dependent. Displays all the xref-dependent linetypes loaded in the current drawing.
  • All not xref dependent. Displays all the loaded linetypes that are not xref-dependent.
Current

Sets a selected linetype to be the current linetype, or displays ByLayer or ByBlock. Setting linetype to the ByLayer option means that an object will assume the linetype that is assigned to a particular layer. Setting the linetype to the ByBlock option means that an object will assume the CONTINUOUS linetype until it is grouped into a block. Whenever the block is inserted, all objects inherit the block's linetype. The linetype name is stored in the CELTYPE system variable.

Linetype List

Displays the currently loaded linetypes according to the option specified in the Show control. To quickly select or clear all linetypes, right-click your pointing device in the Linetype List to display the cursor menu.

  • Linetype. Press F2 or click a linetype to rename it. ByLayer, ByBlock, Continuous, and Xref-dependent linetypes cannot be renamed.
  • Appearance. Displays an image of the way the linetype is drawn in the drawing.
  • Description. Lists the descriptions of the linetypes, which may include both text and a sample of the linetype.
Delete

Deletes selected linetypes from the Linetype list.

Details

Displays an extension of the dialog box with alternate access to properties and additional settings.

  • Name. Displays the highlighted linetype name, which can be edited. The linetype name can include up to 31 characters. Linetype names can contain letters, digits, and the special characters dollar sign ($), hyphen (-), and underscore (_). Linetype names cannot include blank spaces.
  • Description. Displays descriptions of selected linetypes, which can be edited.
  • Global Scale Factor. Displays the global scale factor for all linetypes. Global scale factor is also controlled by the LTSCALE system variable.
  • Current Object Scale. Sets linetype scale for newly created objects. The resulting scale is the global scale factor multiplied by the object's scale factor. Current object scale is also controlled by the CELTSCALE system variable.
  • SO Pen Width. Sets the linetype scale to one of a list of standard ISO values. The resulting scale is the global scale factor multiplied by the object's scale factor.
  • Use Paper Space Units for Scaling. Scales linetypes in paper space and model space identically. Useful when working with multiple viewports. Use Paper Space Units for Scaling is also controlled by the PSLTSCALE system variable.

Load

Displays the Load or Reload Linetypes dialog box.

Load or Reload Linetypes Dialog Box

File

Displays the name of the current linetype library (LIN) file. To display the linetypes available in another linetype library file, enter the path and file name or select File to display the Select Linetype File dialog box.

Available Linetypes

Displays all linetypes currently available in the selected linetype library file.

Select All

Selects all linetypes displayed in Available linetypes.

Clear All

Clears all linetypes displayed in Available linetypes.

Select Linetype File Dialog Box

File Name

Select or enter the name of the linetype library file (file extension .lin) you want to load.

List Files of Type

Select the type of files you want displayed in the File Name list box.

Look in list

Displays the current folder containing the aclt.lin file. You may need to change drives or directories to find the linetype linrary file you are looking for.

Find File...

To find linetype library files on multiple drives and directories, select Find File.

LINETYPE (Command Line)

LINETYPE defines line characteristics consisting of combinations of dashes, dots, and spaces. You can use LINETYPE to load linetype definitions from a linetype library (LIN), make a linetype current, or modify linetype scales.

? / Create / Load / Set: Enter an option

? - List Linetypes (-LINETYPE)

Lists the linetypes available in a file.The Select Linetype File dialog box is displayed. Enter the name of a linetype file.

Create (-LINETYPE)

Creates a new linetype and stores it in a library (.lin) file.

Name of linetype to create: Enter a name

AutoCAD LT displays the Create or Append Linetype File dialog box. Specify the file to which you want the linetype added.

Descriptive text: Enter optional descriptive text

Enter a linetype description up to 47 characters long. The description can be a comment or a series of underscores, dots, dashes, and spaces to show a simple representation of the linetype pattern.

Enter pattern (on next line)
A Enter pattern definition as a series of numbers separated by commas

Enter positive values to specify lengths of dashes and negative values to specify lengths of spaces. Use a zero to represent a dot.

The A in the pattern definition prompt specifies the pattern alignment used at the ends of individual lines, circles, and arcs. AutoCAD LT supports A-type alignment only. With A-type alignment, AutoCAD LT guarantees that lines and arcs start and end with a dash. The A is automatically included in the definition. If you use a text editor to create a linetype, you must enter a, at the beginning of the definition.

After creating a linetype, you must load it to make it accessible.

Load (-LINETYPE)

Loads a linetype whose definition exists in a file. The aclt.lin file contains the standard linetypes supplied by AutoCAD LT.

Linetype(s) to load: Enter a name or a list of names separated by commas

AutoCAD LT displays the Select Linetype File dialog box. Enter or select the name of the file in which the linetype is stored.

Set (-LINETYPE)

Sets the current linetype for subsequently drawn objects. You can control the linetype of objects individually or by layer.

New object linetype (or ?) <current>: Enter a linetype name, ?, bylayer, or byblock, or press ENTER

The linetype you enter becomes the current linetype. AutoCAD LT draws all new objects with this linetype, regardless of the current layer. If the linetype you request is not loaded, AutoCAD LT searches for its definition in aclt.lin. If the linetype is neither loaded nor in aclt.lin, AutoCAD LT reports this and returns to the ? / Create / Load / Set prompt.

Enter ? to list all loaded linetype names. If you enter bylayer, new objects inherit the linetype associated with the layer on which the object is drawn. If you enter byblock, new objects are drawn using the CONTINUOUS linetype until they are grouped into a block. Whenever you insert that block, the objects inherit the linetype of the block.

Related Commands: LTSCALE sets the global linetype scale factor for all objects in the drawing.
System Variables: CELTSCALE sets the current linetype scale factor for new objects. LTSCALE stores the global linetype scale factor for all objects. PSLTSCALE controls paper space linetype scaling.


LIST

LIST Command

Displays database information for selected objects

Inquiry toolbar:
Tools menu: Inquiry > List
Command line: list

Select objects: Use an object selection method

AutoCAD LT lists object type, object layer, X,Y,Z position relative to the current UCS, and whether the object is in model space or paper space.

The LIST command reports color and linetype information if these items are not set to BYLAYER. The thickness of an object is displayed if it is not zero. Z coordinate information defines the elevation. If the extrusion direction of the entry differs from the Z axis (0,0,1) of the current UCS, LIST also reports the extrusion direction in UCS coordinates.

LIST reports additional information related to the specific object selected.


LISTURL

LISTURL Command

Lists all the URLs in a DWG file

Internet Utilities toolbar:
Tools menu: Internet > List URLs
Command line: listurl

Select objects: Use an object selection method

The URLs are listed in the command and text windows.

To see which objects in a drawing have URLs attached to Internet sites, use LISTURL.

Note: To list all the URLs in a drawing, use SELECTURL to select all objects with attached URLs. Then use LISTURL to list the URLs.


LOGFILEOFF

LOGFILEOFF Command

Closes the log file opened by LOGFILEON

Tools menu: Preferences > System tab > Log File
Command line: logfileoff

AutoCAD LT stops recording the text window contents and closes the log file. You can turn off the log file in the Preferences dialog box under Work Space. The log file name is aclt.log.

If the log file is on, a new log session begins each time you start AutoCAD LT. Sessions in the log file are separated by dashed lines. The log file continues to grow with each session and therefore needs to be periodically deleted or edited.

Related Commands: LOGFILEON writes to a file everything that appears in the text window. PREFERENCES sets AutoCAD LT environment settings.


LOGFILEON

LOGFILEON Command

Writes the text window contents to a file

Tools menu: Preferences > System tab > Maintain a log file
Command line: logfileon

AutoCAD LT records the text window contents the log file until you exit AutoCAD LT or use the LOGFILEOFF command. The log file name is aclt.log. A new log session begins each time you start AutoCAD LT. Sessions in the log file are separated by dashed lines. The log file continues to grow with each session and therefore needs to be periodically deleted or edited.

Commands: LOGFILEOFF closes the log file. PREFERENCES sets AutoCAD LT environment settings, including the log file.


LTSCALE

'LTSCALE Command

Sets the global linetype scale factor

Format menu: Linetypes > Details
Command line: ltscale

New scale factor <current>: Enter a positive real value or press ENTER

Use the LTSCALE command to change the scale factor of linetypes for all objects in a drawing.

Changing the global linetype scale factor causes the drawing to regenerate. Linetype scale can also be set for individual objects using DDMODIFY.

Related Commands: DDMODIFY can change the linetype scale factor for individual objects. LINETYPE can set the object linetype scale factor for new objects.

System Variables: LTSCALE stores the global linetype scale factor. PSLTSCALE controls linetype scaling in paper space. CELTSCALE stores the current linetype scale factor for new objects.


MEASURE

MEASURE Command

Places point objects or blocks at measured intervals on an object

Draw menu: Point > Measure
Command line: measure

Select object to measure: Use an object selection method
<Segment length> / Block: Specify a distance

The points or blocks drawn by the MEASURE command are placed in the Previous selection set, so you can choose them all by entering p at the next Select Objects prompt. Use Node object snap to snap to the point objects.

Segment Length (MEASURE)

If you enter a distance or specify two points, AutoCAD LT places point objects at the specified interval along the selected object, starting at the endpoint closest to the point you used to select the object.

Measurement of closed polylines starts at their initial vertex (the first one drawn).

Measurement of circles starts at the angle from the center set as the current snap rotation angle. If the snap rotation angle is zero, then the measurement of the circle starts to the right of center, on its circumference.

The following illustration shows how MEASURE marks 0.5-unit distances along a polyline, with the PDMODE system variable set to 35.

Block (MEASURE)

Places blocks at a specified interval along the selected object.

Block name to insert: Enter the name of a block currently defined in the drawing
Align block with object? <Y>: Enter y or n or press ENTER

Indicate whether or not the block is to be rotated about its insertion point so that its horizontal lines are aligned with, and drawn tangent to, the object being measured. If you enter n, the block is always inserted with a 0 rotation angle.

Segment length: Specify a distance

After you specify the segment length, AutoCAD LT inserts the block at the specified interval. If the block has variable attributes, these attributes are not included.

AutoCAD LT places the blocks relative to the current UCS. Blocks are always placed on the object, regardless of the elevation settings.

Related Commands: BLOCK, BMAKE, and WBLOCK creates a block definition from selected objects. DIVIDE places evenly spaced point objects or blocks along the length or perimeter of an object.
System Variables: PDMODE controls the appearance of point objects. PDSIZE controls the display size of point objects.


MENULOAD

MENULOAD Command

Loads partial menu files

Tools menu: Customize Menus
Command line: menuload

The Menu Customization dialog box is displayed.

When the FILEDIA system variable is set to 0 (off), AutoCAD LT displays the following prompt on the command line.

Enter name of menu file to load: Enter a name

The MENULOAD command displays the Menu Customization dialog box, in which you can add partial menu files to an existing base menu file, such as aclt.mnu. Each menu file (base and partial) has an associated menu group name. From each menu group, you can access each pull-down menu that resides in the associated menu file.

After you load the partial menus, you can customize the AutoCAD LT menu bar by adding or deleting pull-down menus.

Menu Customization Dialog Box (MENULOAD)

Menu Groups Tab

Loads or unloads specified menus.

  • Menu Groups. Lists the currently loaded menu files.
  • File Name. Specifies the file to load when you choose Load. You can either enter the file name manually or use the Browse option to select a file from the Open dialog box.
  • Replace All. Removes all existing menu groups from the Menu Groups list when you load a new file menu.
  • Unload. Unloads the menu group highlighted in the Menu Groups.
  • Load. Loads the file specified in the File Name box.
  • Browse. Displays the Select Menu File dialog box. Select a menu file to load.
Menu Bar Tab

Adds or deletes menus from the menu bar.

  • Menu Group. Displays a selected menu file in the Menu Groups list.
  • Menus. Lists all the menus defined in the menu group specified in the Menu Group list.
  • Menu Bar. Lists all the pull-down menus loaded in the AutoCAD LT application window. The menu at the top of the list corresponds to the leftmost pull-down menu on the menu bar in the AutoCAD LT window. The menu at the bottom of the list corresponds to the rightmost pull-down menu.
  • Insert. Inserts the menu highlighted in the Menus list above the highlighted menu in the Menu Bar list. If no menu is highlighted in the Menu Bar list, the highlighted menu in the Menus list is inserted at the top of the Menu Bar list.
  • Remove. Removes the menu highlighted in the Menu Bar list.
  • Remove All. Removes all menus from the menu bar in the AutoCAD LT window.

Select Menu File Dialog Box

Specifies a menu file name.

Look in

Select the drive and directory that contain the file you want to open.

File Name

Select or enter the name of the drawing file you want to open.

Note: You can open only a file with the .mns or .mnc extension.

List Files of Type

Select the type of files you want to see in the File Name list.

Related Commands: MENUUNLOAD unloads partial menu files.


MENUUNLOAD

MENUUNLOAD Command

Unloads partial menu files

Tools menu: Customize Menus
Command line: menuunload

The Menu Customization dialog box is displayed.

When the FILEDIA system variable is set to 0 (off), AutoCAD LT displays the following prompt on the command line.

Enter the name of the MENUGROUP to unload: Enter a name

Related Commands: MENULOAD loads partial menu files.


MIRROR

MIRROR Command

Creates a mirror image copy of objects

Modify toolbar:
Modify menu: Mirror
Command line: mirror

Select objects: Use an object selection method
First point of mirror line: Specify a point (1)
Second point: Specify a point (2)

The two specified points become the endpoints of a line about which the selected objects are reflected. In 3D, this line orients a mirroring plane perpendicular to the XY plane of the UCS containing the mirror line.

Delete old objects? <N>: Enter y or n or press ENTER

Entering n or pressing ENTER places the reflected image in the drawing and retains the original objects. Entering y places the reflected image in the drawing and deletes the original objects.

To manage the reflection properties of text objects, use the MIRRTEXT system variable. The default setting of MIRRTEXT is on (1), which causes a text object to be mirrored just like any other object. When MIRRTEXT is off (0), text is not mirrored.

System Variables: MIRRTEXT controls whether text is reflected with the MIRROR command.


MOVE

MOVE Command

Displaces objects a specified distance in a specified direction

Modify toolbar:
Modify menu: Move
Command line: move

Select objects: Use an object selection method
Base point or displacement: Specify a base point (1)
Second point of displacement: Specify a point (2) or press ENTER

The two points you specify define a displacement vector that indicates how far the selected objects are to be moved and in what direction. If you press ENTER at the second point, the first point is interpreted as relative X,Y,Z displacement.

Related Commands: COPY duplicates objects.


MSLIDE

MSLIDE Command

Creates a slide file of the current viewport

Command line: mslide

The Create Slide File dialog box is displayed.

A slide file is a raster image of a view.

Off-screen portions of the drawing, or layers that are off or frozen, are not included in the slide.

Create Slide File Dialog Box

Save in

Select the drive and directory you want to contain the slide file.

File Name

Enter the name of the slide file (extension .sld) you want to create.

List Files of Type

Select the type of files you want to see in the File Name list.

Related Commands: VSLIDE displays slide files in the current view.
Utilities: SLIDELIB creates slide libraries (file extension .slb).


MSPACE

MSPACE Command

Switches from paper space to a model space viewport

View menu: Model Space (Tiled) or Model Space (Floating)
Command line: mspace

AutoCAD LT operates in either model space or paper space. You use model space to do drafting and design work. You use paper space to create a finished layout of a drawing for printing or plotting.

Before you use the MSPACE command, the TILEMODE system variable must be set to 0 (off), and floating viewports must be created using MVIEW. If TILEMODE is on when you choose Model Space (Floating) from the View menu, AutoCAD LT prompts you to create a floating viewport.

AutoCAD LT switches to model space. If at least one viewport is on and active, AutoCAD LT switches to the last active viewport.

Related Commands: PSPACE switches from model space to paper space. MVIEW creates new viewports and turns on existing viewports. VPLAYER sets the visibility for layers in specific viewports. ZOOM XP scales each view relative to paper space units.
System Variables: TILEMODE controls paper space access and viewport behavior. PSLTSCALE controls paper space linetype scaling. VISRETAIN specifies precedence of settings for xref layers. MAXACTVP specifies the maximum number of viewports to regenerate. DIMLFAC controls scaling for linear dimensions.


MTEXT

MTEXT Command

Creates paragraph text

Draw toolbar:
Draw menu: Paragraph Text
Command line: mtext

Specify first corner: Specify a point
Height / Justify / Rotation / Style / Width: Specify a point or enter an option

If you enter -mtext at the Command prompt, Autocad LT does not display the Edit Mtext dialog box, but presents options at the Command prompt where you also enter text.

As you drag the pointing device to specify the opposite corner, a rectangle is displayed to show the location and size of the multiline text object. Arrows within the rectangle indicate the direction of the paragraph's text flow. After you specify the second corner, AutoCAD LT displays the Multiline Text Editor dialog box.

The paragraphs that the MTEXT command creates fit within a boundary. You define the text boundary, which specifies the width and alignment of the paragraph. Each paragraph is a single object, regardless of the number of lines it contains. The text boundary, though not plotted or printed, remains part of the object's framework. The MText Editor does not recognize rich text format (RTF). Text from other programs with embedded formatting will lose that formatting when imported or pasted into the MText Editor.

You can apply bold and italic formatting, overscore and underscore text, and insert special characters. See Special Unicode Characters and Control Codes and Special Characters.

You can specify a different paragraph editing tool by changing the MTEXTED system variable.

Note: The automatic word wrap may not be the same in a text object as it is in the Edit MText dialog box. Word wrap depends on the text font used. Pressing ENTER will always terminate a line of text.

Height (MTEXT)

Specifies the text height to use for paragraph text.

Specify height <current height>: Enter a value or specify a point

The default height, if nonzero, is the height of the current style; otherwise, it is the height stored in the TEXTSIZE system variable. Character height is calculated in drawing units. Changing the height updates the value stored in TEXTSIZE.

AutoCAD LT returns to the previous prompt until the opposite corner of the text box is specified.

Justify (MTEXT)

Determines both text justification and text flow, for new or selected text, in relation to the text boundary. The current justification (Top Left by default) is applied to new text. The text is justified within the specified rectangle based on the justification setting and one of nine justification points on the rectangle. The justification point is based on the first point used to specify the rectangle. Text is center-, left-, or right-justified with respect to the left and right text boundaries. Text flow controls whether text is aligned from the middle, the top, or the bottom of the paragraph with respect to the top and bottom text boundaries.

TL / TC / TR / ML / MC / MR / BL / BC / BR: Enter an option or press ENTER

AutoCAD LT returns to the previous prompt.

TL-Top Left | TC-Top Center
TR-Top Right | ML-Middle Left
MC-Middle Center | MR-Middle Right
BL-Bottom Left | BC-Bottom Center
BR-Bottom Right

Rotation (MTEXT)

Specifies the rotation angle of the text boundary.

Specify rotation angle <0>: Enter a value or specify a point

If you use the pointing device to specify a point, the rotation angle is determined by the angle between the X axis and the line defined by the point last entered (default is 0,0,0) and the specified point.

AutoCAD LT returns to the previous prompt until the opposite corner of the text box is specified.

Style (MTEXT)

Specifies the text style to use for paragraph text.

Style name (or ?) <current>: Enter a name, enter a question mark (?), or press ENTER

AutoCAD LT returns to the previous prompt.

Width (MTEXT)

Specifies the width of the paragraph text object.

Specify width: Specify a point or enter a value

If you use the pointing device to specify a point, the width is calculated as the distance between the starting point and the specified point. If you specify a width of zero, word wrap is turned off, and the multiline text object appears on a single line.

AutoCAD LT returns to the previous prompt until the opposite corner of the text box is specified.

Multiline Text Editor Dialog Box (MTEXT)

The Multiline Text Editor dialog box displays characters that have been entered from the keyboard or imported from other files. To edit text, use the following options. The background color by default is the same as that in the graphics area but changes to white when black text is imported or pasted. Pressing the return button on your pointing device in the Multiline Text Editor dialog box displays a cursor menu with these options: Undo, Cut, Copy, Paste, and Select All.

Character Tab

Controls character formatting for text entered at the keyboard or imported into the text editor. To change the current formatting, double-click text to select a single word, or triple-click to select an entire paragraph. Then choose one of the formatting options described below.

Font

Specifies a font for new text or changes the font of selected text. TrueType fonts are listed by font family name. AutoCAD LT shape (SHX) fonts are listed by the name of the file in which the fonts are stored. Custom fonts or third-party fonts are replaced with Autodesk-supplied proxy fonts. A custom SHX font is available for character formatting overrides only if it is defined in a text style in the drawing.

Height

Sets the character height in drawing units. Each paragraph text object can contain characters of varying heights. All heights in the currently selected paragraph text object are listed in the Height list box. However, when editing text, you can enter a new height in addition to those listed.

The text displayed in the text editor is scaled in proportion to the value stored in TEXTSIZE. For example, if the style of the character has a current height of 2 inches, and you change the value to 1 inch, the text in the dialog box changes from its default size of 16 points to 8 points. Dialog box text is displayed at a minimum size of 4 points and a maximum size of 100 points. Text that is proportionally bigger or smaller may cause word wrapping to be displayed incorrectly.

Bold

Turns on and off bold formatting for new or selected text. This option is not available if none of the selected characters belong to a TrueType font. If selected characters include both TrueType and non-TrueType fonts, the entire selection inherits the TrueType font, and all characters are changed to the bold format.

Italic

Turns on and off italic formatting for new or selected text. This option is not available if none of the selected characters belong to a TrueType font. If selected characters include both TrueType and non-TrueType fonts, the entire selection inherits the TrueType font, and all characters are changed to the italic format.

Underline

Turns on and off underlining for new or selected text.

Undo

Undoes the last edit action in the Multiline Text Editor dialog box. Changes to either text content or text formatting are undone.

You can undo the most recent change made with any option by pressing CTRL+Z.

Stack

Turns on and turns off stacking for selected text. To be stacked, text must contain a carat (^) or a forward slash (/). Text to the left of the character is stacked on top of text to the right.

Text that contains a carat represents left-justified tolerance values. Text that contains a forward slash represents center-justified fractional numbers; the slash is converted to a horizontal bar the length of the longer text string. Stacked text can be unstacked by selecting it and then choosing Stacked.

Color

Specifies a color for new text or changes the color of selected text.

You can assign text the color associated with the layer it is on (BYLAYER), the color of the block it is contained in (BYBLOCK), or one of the colors in the list. Choosing Other from the list of colors displays the Select Color dialog box.

Symbol

Inserts a listed symbol or a nonbreaking space at the cursor position. Symbols can be inserted manually as well as from the Symbol list. See Special Unicode Characters and Control Codes and Special Characters.

Choosing Other from the list displays the Character Map dialog box showing the entire character set of the current font. To insert a character from the dialog box, select it, and then copy and paste it into the Multiline Text Editor dialog box.

Properties Tab

Controls properties that apply to the paragraph object.

Style

Applies an existing style to new or selected text. The current style (saved in the TEXTSTYLE system variable) is applied to new text.

Character formatting for font, height, and bold or italic attributes is overridden if you apply a new style to an existing multiline text object. Stacking, underlining, and color attributes are retained in characters to which a new style is applied.

Styles that have backwards or upside-down effects are not applied. If a style defined with a vertical effect is applied to an SHX font, the text is displayed horizontally in the Multiline Text Editor dialog box.

Justification

Sets justification for new or selected text. The current setting (Top Left by default) is applied to new text. Text is center-, left-, or right-justified with respect to the left and right text boundaries. Text flows from the middle, the top, or the bottom of the paragraph with respect to the top and bottom text boundaries. For a complete description of each justification option, see the Justify option of MTEXT.

Width (Paragraph Width)

Applies a specified paragraph width to new or selected text. If you select the No Wrap option, the resulting multiline text object appears on a single line. The width of individual characters is not affected.

Rotation

Sets the rotation angle for new or selected text in the current unit of angle measurement (degrees, radians, or grads).

Find/Replace Tab

Searches for specified text strings and replaces them with new text.

Find

Defines the text string to be searched for when you choose Find.

Find Button

Starts a search for the text string in the Find box. To continue the search, choose Find again.

Match Case

When checked, AutoCAD LT finds text only if the case of all characters in the text object is identical to that of the text in the Find box. When not checked, AutoCAD LT finds a match for specified text strings regardless of the case of the characters.

  • Whole-Word. When checked, matches the text in the Find box only if it is a single word. If the text is part of another text string, it is ignored. When not checked, AutoCAD LT finds a match on text strings whether they are single words or part of other words.
  • Replace Box. Defines the text string to replace the text in the Find box.
  • Replace Button. Replaces the highlighted text with the text in the Replace box.

Import Text

Displays the Open dialog box. Choose any file that is in ASCII or RTF format. Inserted text retains its original character formatting and style properties. After you select a text file to import, you can choose to replace either selected text or all text or to append the inserted text to the current selection within the text boundary. Imported text is limited to 16KB in size. When black characters are inserted and the background color is black, the Multiline Text Editor dialog box automatically changes to white or the current color.

Special Unicode Characters

When using paragraph text (MTEXT), you can create special characters, including the degree symbol, the plus/minus tolerance symbol, and the diameter symbol by entering the following Unicode character strings:

\U+00B0 | Degrees symbol (°)
\U+00B1 | Tolerance symbol (±)
\U+2205 | Diameter symbol (Ø)-

Control Codes and Special Characters

When using line text (DTEXT and TEXT), you can specify special characters by including control information in the text string. Use a pair of percent signs to introduce each control sequence. In the Edit Mtext dialog box, you can specify only the special characters %%d (degrees symbol), %%p (plus/minus tolerance symbol), and %%c (circle diameter dimensioning symbol).

This control code works with standard AutoCAD LT text fonts and PostScript fonts:

%%nnn Draws character number nnn.

These control codes work with standard AutoCAD LT text fonts only:

%%o | Toggles overscore mode on/off.
%%u | Toggles underscore mode on/off.
%%d | Draws degrees symbol (°).
%%p | Draws plus/minus tolerance symbol (±).
%%c | Draws circle diameter dimensioning symbol (Ø).
%%% | Draws a single percent sign.

Overscore and underscore modes can be in effect at the same time. Both modes turn off automatically at the end of the text string.

You can use the %%nnn control sequence to display special characters using the PostScript fonts. However, if you use PSOUT to create a PostScript file containing characters created with this method, the characters appear as outlines.

-MTEXT (Command Line)

When using paragraph text (-mtext) from the Command prompt, you can also enter Unicode strings but you don't need to include the leading percent character (%).

\U+00B0 Degrees symbol (°)

\U+00B1 Tolerance symbol (±)

\U+2205 Diameter symbol (Ø)

DTEXT and TEXT

When using line text (DTEXT and TEXT), you can also enter Unicode strings but you don't need to include the leading percent character (%).

\U+00B0 Degrees symbol (°)

\U+00B1 Tolerance symbol (±)

\U+2205 Diameter symbol (Ø)

Insertion point (-MTEXT Command Line)

Specifies a corner of the text boundary. This point is also the text insertion point.

Justify / Width / 2Points / <Other corner>: Specify a point or enter an option

Other Corner (-MTEXT)

Specifies the diagonally opposite corner of the text boundary.

MText: Enter characters or press ENTER

AutoCAD LT wraps text within the text boundary. You can end a line of text at a specific point by typing the text and pressing ENTER. To end the command, press ENTER at the MText prompt.

Justify (-MTEXT)

Controls which part of the text boundary aligns at the insertion point. The option you select determines both text justification and text spill in relation to the text boundary. Justification controls whether text is aligned on the left, right, or center of the text boundary. Text spill controls how excess text flows from the insertion point.

TL / TC / TR / ML / MC / MR / BL / BC / BR: Enter an option or press ENTER

For a complete description of each attachment option, see Justify (MTEXT). AutoCAD LT returns to the previous prompt.

Width (-MTEXT)

Specifies the width of the text boundary.

Object width: Specify a point or enter a value
MText: Enter characters or press ENTER

AutoCAD LT wraps text within the text boundary. You can end a line of text at a specific point by typing the text and pressing ENTER. To end the command, press ENTER at the MText prompt.

2Points (-MTEXT)

Specifies the width of the text boundary using two points rather than a rectangular area.

First point: Specify a point
Second point: Specify a point
MText: Specify a point or enter a value

AutoCAD LT wraps text within the text boundary. You can end a line of text at a specific point by typing the text and pressing ENTER. To end the command, press ENTER at the MText prompt.

Related Commands: DDEDIT edits text and attribute definitions. DDMODIFY moves or modifies paragraph text. DTEXT creates text on the screen as you enter it. PREFERENCES specifies the text editor you want to use to create paragraph text. SPELL checks the spelling of text. STYLE creates text styles. TEXT creates single-line text.
System Variables: MTEXTED specifies the name of a third-party ASCII text editor you want to use to create paragraph text. Alternatively, you can enter internal to use AutoCAD LT's internal text editor.


MULTIPLE

MULTIPLE Command

Repeats the next command until canceled

Command line: multiple

AutoCAD LT repeats the command you enter until you press ESC. Because the MULTIPLE command repeats only the command name, any parameters must be specified each time.

MULTIPLE does not work with dialog box commands.


MVIEW

MVIEW Command

Creates floating viewports and turns on existing floating viewports

View menu: Floating Viewports
Command line: mview

ON / OFF / Hideplot / Fit / 2 / 3 / 4 / Restore / <First Point>: Enter an option or specify a point

When the TILEMODE system variable is set to 0 (off), the MVIEW command controls the creation and display of floating viewports.

In paper space, you can create as many viewports as desired, but only up to 15 viewports can be active. Objects in model space are visible only in active viewports. Viewports that are not active are blank. Use the On and Off options to control whether viewports are active or not.

Note: Unless an exploded block reference has been inserted in paper space, block definitions cannot be turned on in floating viewports after being exploded.

On

Makes a selected viewport active. An active viewport displays objects in model space. If you have more than 15 active viewports, you may have to turn one off to make another one active.

Off

Makes a selected viewport inactive. Objects in model space are not displayed in an inactive viewport.

Hideplot

Removes hidden lines from a viewport during plotting from paper space. Circles, 2D solids, wide polyline segments, and extruded objects with nonzero thickness all act as opaque surfaces and can hide other objects behind them.

ON / OFF: Enter on or off
Select objects: Select one or more viewports

Fit

Creates one viewport that fills the available display area. The actual size of the viewport depends on the dimensions of the paper space view.

2

Divides the specified area horizontally or vertically into two viewports of equal size.

Horizontal / <Vertical>: Enter h or v, or press ENTER
Fit/ <First Point>: Specify a point or enter f

The point specifies the first corner of a rectangular area to be filled by the new viewports. Choose Fit to fill the entire graphics area.

3

Divides the specified area into three viewports.

Horizontal / Vertical / Above / Below / Left / <Right>: Enter an option or press ENTER

The Horizontal and Vertical options split the specified area into thirds. The other options split the area into three viewports: one large viewport and two smaller ones. The Above, Below, Left, and Right options specify where the larger viewport is placed.

Fit/ <First Point>: Specify a point or enter f

The point specifies the first corner of a rectangular area to be filled by the new viewports. Choose Fit to fill the entire graphics area.

4

Divides the specified area horizontally and vertically into four viewports of equal size.

Fit/ <First Point>: Specify a point or enter f

The point specifies the first corner of a rectangular area to be filled by the new viewports. Choose Fit to fill the entire graphics area.

Restore

Restores viewport configurations saved using the VPORTS command.

? / Name of window configuration to insert <*ACTIVE>: Enter ?, enter a name, or press ENTER
Fit / <First Point>: Specify a point or enter f

The point specifies the first corner of a rectangular area to be filled by the new viewports. Choose Fit to fill the entire graphics area.

First Point

Specifies the first corners of a new rectangular viewport.

Related Commands: HIDE eliminates hidden lines from a 3D view of a drawing. MSPACE switches from paper space to a model space viewport. PSPACE switches from model space to paper space. VPORTS creates viewports when TILEMODE is set to 1 (on). VPLAYER sets the visibility for layers in specific viewports. ZOOM XP scales each view relative to paper space units.
System Variables: TILEMODE controls paper space access and viewport behavior. CVPORT sets the current viewport. PSLTSCALE controls paper space linetype scaling. VISRETAIN specifies precedence of settings for xref layers. MAXACTVP specifies the maximum number of viewports to regenerate. DIMLFAC controls scaling for linear dimensions.


NEW

NEW Command

Creates a new drawing file

Standard toolbar:
File menu: New
Command line: new

AutoCAD LT displays the Create New Drawing dialog box.

Create New Drawing Dialog Box
Use a Wizard

If you want to set up a drawing using a dialog box, choose Use a Wizard. You can choose from two wizards: Quick Setup and Advanced Setup.

  • Quick Setup. Choose the Quick Setup wizard to set up the drawing area and change settings, such as text height and snap spacing, to an appropriate scale.
  • Advanced Setup. Choose the Advanced Setup wizard to set up the drawing area and change settings, such as text height and snap spacing, to an appropriate scale. You can also establish basic layout features.
Use a Template

If you want to start a drawing based on a template drawing, choose Use a Template.

  • Select a Template. Choose a template drawing as a starting point for new drawings. It stores all the settings for a drawing and may also include predefined layers, dimension styles, and views. Template drawings are distinguished from other drawing files by a different file extension, .dwt. They are normally kept in the template directory. Several template drawings are included with AutoCAD LT. You can make additional template drawings by changing the extensions of drawing file names to .dwt.
Start from Scratch

If you want to begin drawing quickly using default English or metric settings, choose Start From Scratch.

Instructions

If you want a brief description of each of the methods for starting a new drawing, choose Instructions.

Quick Setup

Step 1: Units

Select the format in which you want to display units of measure, including coordinates and measurements. Several measurement styles are available in AutoCAD LT. Two of them, "Engineering" and "Architectural," have a specific base unit (inches) assigned to them. You can choose from other measurement styles that can represent any convenient unit of measurement:

  • Decimal. Select to display measurements in decimal notation.
  • Engineering. Select to display measurements in feet and decimal inches.
  • Architectural. Select to display measurements in feet, inches, and fractional inches.
  • Fractional. Select to display measurements in mixed number (integer and fractional) notation.
  • Scientific. Select to display measurements in scientific notation (numbers expressed in the form of the product of a decimal number between 0 and 10 and a power of 10).

You control the precision displayed in all measurements from the Advanced Setup wizard or with the DDUNITS command.

Step 2: Area

Enter the approximate width and length in full-scale units of what you plan to draw. This limits the area of the drawing covered by grid dots when the grid is turned on. It also adjusts several default settings, such as text height, linetype scaling, and snap distance, to convenient values. You can also adjust these settings individually from the Format menu later in the drawing session.

Advanced Setup

Step 1: Units

Select the format in which you want to enter and display coordinates and measurements. Several measurement styles are available in AutoCAD LT. Two of them, "Engineering" and "Architectural," have a specific base unit assigned to them (inches). You can choose from other measurement styles that can represent any convenient unit of measurement:

  • Decimal. Select to display measurements in decimal notation.
  • Engineering. Select to display measurements in feet and decimal inches.
  • Architectural. Select to display measurements in feet, inches, and fractional inches.
  • Fractional. Select to display measurements in mixed number (integer and fractional) notation.
  • Scientific. Select to display measurements in scientific notation (numbers expressed in the form of the product of a decimal number between 0 and 10 and a power of 10).

Precision controls the number of decimal places or fractional size to which you want linear measurements displayed.

Step 2: Angles

Select the format in which you want to enter and display angles:

  • Decimal Degrees. Select to enter and display partial degrees as decimals.
  • Deg/Min/Sec. Select to enter and display partial degrees as minutes and seconds.
  • Grads. Select to enter and display angles as grads.
  • Radians. Select to enter and display angles as radians.
  • Surveyor. Select to enter and display angles in surveyor units.
Step 3: Angle Measure

Select the direction of the zero angle for the entry of angles:

  • East. Select to specify the compass direction east as the zero angle.
  • North. Select to specify the compass direction north as the zero angle.
  • West. Select to specify the compass direction west as the zero angle.
  • South. Select to specify the compass direction south as the zero angle.
  • Other. Enter an angle to specify a direction different from the points of the compass as the zero angle.
Step 4: Angle Direction

Select the direction to enter and display positive angle values.

  • Counter Clockwise
  • Clockwise
Step 5: Area

Enter the approximate width and length of what you plan to draw in full-scale units. This limits the area of the drawing covered by grid dots when the grid is turned on. It also adjusts several default settings, such as text height, linetype scaling, and snap distance, to convenient values. You can also adjust these settings, individually, from the Format menu later in the drawing session.

Step 6: Title Block

Select the description of the title block you want to insert in your new drawing. You can add or remove drawing files of title blocks from the list with the Add and Remove buttons. You can also include text at the outside edge of your title block to record the license name, date, time, and drawing file name by checking the Date Stamp box.

  • Title Block Description. Select the description of the title block you want to insert in your new drawing.
  • Title Block File Name. Select the name of the drawing file that contains the title block you want to use.
  • Add. Select to display the Select Title Block File dialog box, where you can select a file to add to the list.
  • Remove. Select to remove the displayed file name from the list.
  • Date Stamp. Select to include text at the outside edge of your title block to record the date and time.
Step 7: Layout
  • Yes. Select to use advanced paper space layout capabilities in AutoCAD LT. Paper space is often used to create complex multiple-view drawings.
  • No. Select to use model space only.

For additional information on paper space, select the What Is Paper Space? button on the wizard or see Overview: Laying out a drawing with multiple views.

If you selected Yes to use paper space, you have three choices of where to begin working:

  • Work on my drawing while viewing the layout. You can see paper space but all commands apply to model space only.
  • Work on my drawing without the layout visible. All commands apply to model space only; paper space is not displayed.
  • Work on the layout of my drawing. All commands apply to paper space only; you can see objects in model space.

After completing the wizard, you can change these settings by double-clicking the Tile and Model/Paper buttons on the status bar.

System Variables: The FILEDIA system variable controls whether the Create New Drawing dialog box appears when you enter the New command.
Environment Variables: The NoStartUpDialog environment variable in the aclt.ini file controls whether the Start Up dialog box appears when you first start AutoCAD LT. The Measure environment variable in aclt.ini controls the default drawing settings, English or metric, and can also be set from the Preferences dialog box.


OFFSET

OFFSET Command

Creates concentric circles, parallel lines, and parallel curves

Modify toolbar:
Modify menu: Offset
Command line: offset

Offset distance or Through <current>: Specify a distance, enter t, or press ENTER

The OFFSET command creates a new object at a specified distance from an existing object or through a specified point.

Offset Distance (OFFSET)

Creates an object at a specified distance from an existing object.

Select object to offset: Select one object
Side to offset?: Specify a point (1) on the side of the object you want to offset

AutoCAD LT repeats the two prompts, enabling you to create multiple offset objects. To end the command, press ENTER at the Select Object to Offset prompt.

Through (OFFSET)

Creates an object passing through a specified point.

Select object to offset: Select one object
Through point: Specify a point (1) through which you want the offset object to pass

AutoCAD LT repeats the two prompts, enabling you to create multiple offset objects. To end the command, press ENTER at the Select Object to Offset prompt.

Related Commands: COPY duplicates objects.
System Variables: OFFSETDIST stores the current offset value.


OLELINKS

OLELINKS Command

Updates, changes, and cancels existing links

Edit menu: OLE links
Command line: olelinks

The OLELINKS dialog box is displayed.

AutoCAD LT supports the Windows feature object linking and embedding (OLE). When you use PASTESPEC to insert an object into an AutoCAD LT drawing from an application that supports OLE, the object can maintain a connection with its source file.

You can set AutoCAD LT to update links automatically or manually when information in the source document changes.

OLELINKS Dialog Box

Controls updating of linked objects.

Links

Lists information on linked objects. The information included depends on the type of link. To change information for a linked object, select it from the list.

Source

Displays the path name of the source file and the type of object.

Type

Displays the application name.

Automatic

Updates the link automatically whenever the source changes.

Manual

Prompts you to update a link when you open the document.

Update Now

Updates selected links.

Open Source

Opens the source file and highlights the portion linked to the AutoCAD LT drawing.

Change Source

Displays the Change Source dialog box, in which you can change the source file.

Break Link

Severs the link between the object and the original file. AutoCAD LT changes the object in your AutoCAD LT drawing into a Windows metafile, which is not affected by future changes to the original file.

Change Source Dialog Box

Change Source is a standard file dialog box you can use to change the source file of a linked object.

If the source is a selection within a file (instead of the entire file), Item Name displays a string representing the selection.

Related Commands: COPYCLIP copies objects to the Clipboard. COPYLINK copies the current view to the clipboard for linking to other OLE applications. PASTECLIP inserts data from the Clipboard into a drawing. PASTESPEC inserts data from the Clipboard into the drawing and controls the format of the data.


OOPS

OOPS Command

Restores erased objects

Command line: oops

The OOPS command restores objects erased by the last ERASE command. You can also use OOPS after BMAKE, BLOCK, or WBLOCK because these commands can erase the selected objects after creating a block.

Related Commands: U reverses the effect of the previous command. UNDO reverses the effect of multiple commands and provides control over the undo feature.


OPEN

OPEN Command

Opens an existing drawing file

Standard toolbar:
File menu: Open
Command line: open

If the current drawing has not been saved, AutoCAD LT displays a dialog box so that you can save the current drawing before opening a different drawing. AutoCAD LT displays the Select File dialog box.

Select File Dialog Box

Specifies a file name.

Look in

Select the drive and directory that contain the drawing file you want to open.

File Name

Select or enter the name of the drawing file you want to open.

Note: You can open only a file with the .dwg or .dxf extension.

Files of Type

Select the type of files you want to see in the File Name list.

Preview

Displays a preview of the selected drawing.

Find File...

To find drawing files on multiple drives and directories, choose Find File. The Browse/Search dialog box is displayed.

Locate

Choosing Locate after a drawing file name has been entered in the File Name box enables AutoCAD LT to search the support paths specified by the AutoCAD environment variable or in the Preferences dialog box. If the file is located, the File dialog box displays the directory that contains the file.

Open as Read-Only

Select to open the drawing file in read-only mode. You can edit the drawing file, but to save changes you must save the drawing with a new file name.

Select Initial View

Select if you want to specify a previously saved view for display when the drawing is opened. When you choose OK, the Select Initial View dialog box is displayed.Select a named view or the last view used in the drawing. The letter to the right of the view name represents the space in which the view was created, M for model space or P for paper space.

Browse/Search Dialog Box

Specifies a file or files.

Browse Tab

Previews and opens files on a selected drive or directory.

Look in

Select the drive and directory that contain the file you want to open.

File Name

Select a preview image or enter the name of the file you want to open.

List Files of Type

Select the type of files you want to see in the File Name list.

Size

Select the size at which you want the preview images of files to appear in the File Name list.

Open

To open the selected file, choose Open.

Exit

To close the dialog box, choose Exit.

Search Tab

Uses search criteria to search for and open files on multiple drives and directories.

Files

Select a file from a list of all files located in the drives and directories you specify and that match the criteria you define. The list is displayed after you choose Search.

Search Pattern

Enter the file name pattern you want to search for and display in the File Name list. For example, you can enter floor* to search for all files that begin with floor and are of the file type specified.

File Types

Select the type of file for which you want to search.

Date Filter

Controls how AutoCAD LT searches for files based on the date and time of creation of the file.

  • Before This Date. Select to search for files created before the time and date you specify.
  • After This Date. Select to search for files created after the time and date you specify.
  • Time. Enter the time from which AutoCAD LT searches for files.
  • Date. Enter the date from which AutoCAD LT searches for files created.
Search Location

Controls how AutoCAD LT searches for files based on the date and time of creation of the file.

  • Drives. Select the drive you want to search.
  • All Drives. Select to search all local drives on your computer, or all drives connected to your computer. Local Fixed Drives searches all local fixed drives on your computer. All Drives searches all drives connected to your computer, including local drives and network drives
  • Path. Select to search a specific directory or directories. Enter the drive and path of the directory or directories you want to search. To search more than one directory, separate the path names of the directories with a semicolon (;).
Open

To open the selected file, choose Open.

Exit

To close the dialog box, choose Exit.

Search

To begin the file search, choose Search.

Related Commands: NEW creates a new drawing file.


OPENURL

OPENURL Command

Opens a DWG file from an Internet address

Internet Utilities toolbar:
File menu: Open from Internet
Command line: openurl

The Open DWG from URL dialog box is displayed.

To open AutoCAD LT drawings directly from the Internet, use OPENURL. You can enter a URL using http, ftp, or file formats.

Note: AutoCAD LT Internet Utilities cannot transfer files using ftp when you are connected to the Internet through a proxy server.

Open DWG from URL Dialog Box

You specify the address of the Internet site with the drawing you want to open in this dialog box.

Options

Use Options to specify how your computer is connected to the Internet, whether by direct connection or proxy server, and to enter your login, user names, and passwords.

FTP Login
  • Anonymous Login. Select to log in anonymously and enter the user name anonymous with no password. Clear to log in to a secured server and enter your user name and password.

    Note: The FTP password is not remembered across AutoCAD LT sessions.

  • HTTP Secure Access. Enter your user name and password if your regularly access HTTP addresses that require authentication. If you leave these values blank, and the address requires authentication, you will be prompted.

    Note: The HTTP password is not remembered across AutoCAD LT sessions.

    Connection
  • Direct Connection. Select if you have a connection to the Internet through an ISP (Internet service provider).
  • Proxy Server. Select if you have a connection through a machine that serves as a gateway between a company�s internal intranet and the external Internet. If you do not know if you are using a proxy server you can usually look at the proxy settings in your browser by selecting Options or you can contact your network system administrator.
    Proxy Information
  • Proxy Server Name. Enter the proxy server name that you found by using Options in your browser or that your network system administrator supplied you.
  • FTP Port. The default port is automatically set. To select another port, enter its number.
  • HTTP Port. The default port is automatically set. To select another port, enter its number.


ORTHO

'ORTHO Command

Constrains cursor movement

Status bar: Double-click Ortho
Command line: ortho

ON / OFF <current>: Enter on or off, or press ENTER

In Ortho mode, cursor movement is constrained to the horizontal or vertical directions (relative to the UCS) and with the current grid rotation angle.

In the example, a line is drawn using Ortho mode. Point 1 is the first point specified, and point 2 is the position of the cursor when the second point is specified.

AutoCAD LT uses Ortho mode when you specify an angle or distance with a pointing device, but Ortho mode does not affect keyboard point entry. AutoCAD LT ignores Ortho mode in perspective views.

AutoCAD LT defines horizontal as parallel to the X axis of the UCS and vertical as parallel to the UCS Y axis. Changing snap rotation adds an additional rotation with respect to the UCS.

Commands: DDRMODES sets Ortho mode on or off using the Drawing Aids dialog box. SNAP aligns points entered by a pointing device. POLAR constrains cursor input to specified angles and radial distances UCS manages user coordinate systems.
System Variables: ORTHOMODE stores the Ortho mode setting.


OSNAP

'OSNAP Command

Sets running Object Snap modes

Object Snap toolbar:
Tools menu: Object Snap Settings
Command line: osnap

The Osnap Settings dialog box is displayed.

  • Running Osnap Tab
  • AutoSnap Tab

If you enter -osnap at the Command prompt, it displays options on the command line.

Osnap Settings Dialog Box

Running Osnap Tab

Sets running object snap modes and changes the aperture box size.

With running object snap modes, also called Osnap modes, you can specify a snap point at an exact location on an object. The mode determines the location. Running object snap modes can be turned on and off with the Osnap button on the status bar without losing your settings. You can use the TAB key to cycle through available snap settings. Object snap settings are stored with the drawing.
Endpoint | Tangent
Midpoint | Node
Intersection | Insertion
Center | Nearest
Quadrant | None
Perpendicular

Select Settings

Specifies the running object snap modes. Select one or more options.

Endpoint

Snaps to the closest endpoint of an arc, elliptical arc, line, polyline segment, or ray.

Midpoint

Snaps to the midpoint of an arc, ellipse, elliptical arc, line, polyline segment, spline, or xline.

Center

Snaps to the center of an arc, circle, ellipse, or elliptical arc.

Node

Snaps to a point object.

Quadrant

Snaps to a quadrant point of an arc, circle, ellipse, or elliptical arc.

Intersection

Snaps to the intersection of an arc, circle, ellipse, elliptical arc, line, polyline, ray, spline, or xline.

Extended Intersection snaps to the imaginary intersection of two objects that would intersect if the objects were extended along their natural paths. Extended Intersection is automatically enabled when you select the Intersection object snap mode.

Insertion

Snaps to the insertion point of an attribute, a block, or text.

Perpendicular

Snaps to a point perpendicular to an arc, circle, ellipse, elliptical arc, line, polyline, ray, spline, or xline. Deferred perpendicular snap mode is automatically enabled when the object you are drawing requires more than one perpendicular snap point to be completed. You can use a line, arc, circle, pline, ray, xline, as an object from which to draw a perpendicular line. Deferred perpendicular can be used to draw perpendicular lines between such objects. When the aperture box passes over a deferred perpendicular snap point, a Snaptip and marker are displayed.

Tangent

Snaps to the tangent of an arc, circle, ellipse, or elliptical arc. The deferred tangent snap mode is automatically enabled when the object you are drawing requires more than one tangent snap point to be completed. For example, you can use deferred tangent to draw a line that is tangent to two arcs, pline arcs, or circles. When the aperture box passes over a deferred tangent snap point, a marker and Snaptip are displayed.

If you use the From option in conjunction with the Tangent snap mode to draw objects other than lines from arcs or circles, the first point drawn will be tangent to the arc or circle in relation to the last point selected in the drawing area.

Nearest

Snaps to the nearest point on an arc, circle, ellipse, elliptical arc, line, point, polyline, spline, or xline.

Clear All

Turns off all object snap modes.

When more than one option is selected, AutoCAD LT applies the selected snap modes to return a point closest to the center of the aperture box.

Aperture Size

Specifies the size of the aperture box. The maximum size is 20 pixels using the Running Object Snap dialog box. (APERTURE can increase the aperture box to 50 pixels.) The slider bar moves between Min and Max. The sample aperture box changes to show the new size.

The aperture size setting is stored in the registry, and will stay in effect until you specify another size.

AutoSnap Tab (OSNAP)

Specifies changes to the AutoSnap settings. When you are using any running object snaps, AutoSnap displays a marker and a Snaptip when you move your aperture box over a snap point. AutoSnap settings are saved in the registry.

When the aperture box is on an object, you can press the TAB key to cycle through all the snap points available for that object.

Marker

Turns the marker on or off. The marker is a geometric shape that is displayed when your aperture box moves over a snap point.

Magnet

Turns the magnet on or off. The magnet locks your aperture box onto the snap point.

SnapTip

Turns the Snaptip on or off. The Snaptip is a tooltip-like flag that describes the name of the snap location.

Display Aperture Box

Turns the aperture box on or off. The aperture box is displayed in the center of the crosshairs when you snap to an object. This option is available only when Marker, Magnet, or Snaptip is selected.

Marker Size

Controls the size of the marker. Slide the bar to the right to increase the size of the marker or left to decrease the size of the marker.

Marker Color

Shows the current color of the marker. Click the down arrow to change the marker's color.

Image Tile

Shows the current size of the marker.

-OSNAP (Command Line)

If you enter -osnap at the Command prompt, it displays options on the command line.

Object snap modes: Enter a name list, enter none or off, or press ENTER

Specify one or more object snap modes by entering the first three characters of the name. If you enter more than one name, separate the names with commas.

ENDpoint

Snaps to the closest endpoint of an arc, elliptical arc, line, polyline segment, or ray.

MIDpoint

Snaps to the midpoint of an arc, ellipse, elliptical arc, line, polyline segment, spline, or xline.

INTersection

Snaps to the intersection of an arc, circle, ellipse, elliptical arc, line, polyline, ray, spline, or xline.

CENter

Snaps to the center of an arc, circle, ellipse, or elliptical arc.

NODe

Snaps to a point object.

QUAdrant

Snaps to a quadrant point of an arc, circle, ellipse, or elliptical arc.

INSertion

Snaps to the insertion point of an attribute, a block, or text.

PERpendicular

Snaps to a point perpendicular to an arc, circle, ellipse, elliptical arc, line, polyline, ray, spline, or xline.

TANgent

Snaps to the tangent of an arc, circle, ellipse, or elliptical arc.

NEArest

Snaps to the nearest point on an arc, circle, ellipse, elliptical arc, line, point, polyline, spline, or xline.

NONe

Turns off object snap mode.

Related Commands: APERTURE controls the size of the object snap target box. DDOSNAP sets running Object Snap modes from a dialog box.
System Variables: OSMODE stores the Object Snap mode setting.


Painter

PAINTER Command (Property Painter)

Copies properties of one object to other objects

Standard toolbar:
Command line: painter

Select Source Object: Select the object whose properties you want to copy
Current active settings = currently selected matchprop settings
Settings / <Select Destination Object(s)>: Enter settings or select one or more objects to which you are copying properties

The source object's properties are copied to the destination object.

Use the Settings option to control which object properties are copied. By default, all object properties in the Property Settings dialog box are enabled for copying.

Settings Option (PAINTER)

Specifies properties to be copied with PAINTER. Select one or more of the following.

Color

Changes the color of the destination object to that of the source object.

Layer

Changes the layer of the destination object to that of the source object.

Linetype

Changes the linetype of the destination object to that of the source object.

Linetype Scale

Changes the linetype scale factor of the destination object to that of the source object.

Thickness

Changes the thickness of the destination object to that of the source object. This option is not available for all object types.

Text Properties

Changes the text style of the destination object to that of the source object. This option is available only for line-text and paragraph-text objects.

Dimension Properties

Changes the dimension style of the destination object to that of the source object. This option is available only for dimension, leader, and tolerance objects.

Hatch Properties

Changes the hatch pattern of the destination object to that of the source object. This option is available only for hatched objects.

Related Commands: DDMODIFY controls properties of existing objects. COPY creates a duplicate object at a specified distance.


PAN

'PAN Command

Moves the drawing display in the current viewport

Standard toolbar:
View menu: Pan
Command line: pan

Press Esc or Enter to exit, or right-click to activate pop-up menu.

If you enter -pan at the Command prompt, PAN presents options on the command line.

The cursor changes to a hand cursor. By holding down the pick button on the pointing device, you lock the cursor to its current location relative to the viewport coordinate system. Graphics within the window are moved in the same direction as the cursor.

When you reach a logical extent (edge of the drawing space), a bar is displayed on the hand cursor on the side where the extent has been reached. Depending upon whether the logical extent is at the top, bottom, or side of the drawing, the bar is either horizontal (top or bottom) or vertical (left or right side).

When you release the pick button, panning stops. You can release the pick button, move the cursor to another location in the drawing, and then press the pick button again to pan the display from that location. To stop panning at the new position, press ENTER or ESC.

Zoom/Pan Pop-up Menu

Exit

Cancels the Realtime option and returns the command prompt.

Pan

Switches from ZOOM Realtime to Pan.

Zoom

Switches from PAN to Zoom Realtime.

Zoom Window

Zooms to display a specified window and returns to the Realtime option.

Zoom Previous

Restores the previous view and returns to the Realtime option.

Zoom Extents

Zooms to display the drawing extents and returns to the Realtime option.

Using the Command Line (PAN)

The command-line version of PAN works in two ways. You can specify a single point, indicating the relative displacement of the drawing with respect to the screen, or (more commonly) you can specify two points, in which case AutoCAD LT computes the displacement from the first point to the second point.

You can use PAN transparently if VIEWRES Fast Zoom mode is on. You cannot use PAN transparently during VPOINT or DVIEW, or while another ZOOM, PAN, or VIEW command is in progress.

Related Commands: DVIEW creates and restores views. VIEW saves and restores named views. VPOINT sets the viewing direction for a 3D visualization of the current drawing. ZOOM increases or decreases the apparent size of objects in the current viewport.


PASTECLIP

PASTECLIP Command

Inserts data from the Windows Clipboard

Standard toolbar:
Edit menu: Paste
Command line: pasteclip

You can paste AutoCAD LT objects, text, and various file formats such as metafile, bitmap, and multimedia into a drawing.

If the Clipboard contains a graphic object, AutoCAD LT inserts the object in the upper-left corner of the graphics area. If the Clipboard contains text, AutoCAD LT inserts the text in the upper-left corner of the graphics area using the MTEXT command prompt defaults. Pasted text becomes an MText object.

All other objects, except AutoCAD LT objects, exist as embedded or linked objects in their Clipboard formats. You can edit these embedded or linked objects by double-clicking them in AutoCAD LT; the object's native application becomes available so that you can make changes.

Related Commands: DDINSERT inserts a block by using a dialog box. INSERT inserts a block by using the command line. MTEXT creates multiline paragraphs. PASTESPEC inserts data from the Windows Clipboard and controls the format of the pasted data.


PASTESPEC

PASTESPEC Command

Inserts data from the Windows Clipboard and controls the format of the data

Edit menu: Paste Special
Command line: pastespec

The Paste Special dialog box is displayed.

AutoCAD LT supports the Windows feature object linking and embedding (OLE). When an object is inserted into an AutoCAD LT drawing from an application that supports OLE, the object can maintain a connection to its source file.

The PASTESPEC command inserts a linked or embedded object from the Clipboard into an AutoCAD LT drawing.

Paste Special Dialog Box

Inserts a linked or embedded object from the Clipboard into an AutoCAD LT drawing.

Source

Displays the name of the application that created the data and the type of file from which the data is being pasted.

Paste

Pastes the contents of the Clipboard into the current drawing.

Paste Link

Pastes the contents of the Clipboard into the current drawing and creates an OLE link to the original file.

As

Displays the formats in which you can paste the contents of the Clipboard into the current drawing.

Convert

Converts Windows metafile (file extension .wmf) graphics in the Clipboard into AutoCAD LT objects. If the graphics are not converted, the metafile is displayed as an OLE object.

Note: The Convert option is available only if the contents of the Clipboard is a Windows metafile object.

Display as Icon

Inserts a picture of the application icon instead of the data. To view or edit the data, double-click the icon.

Related Commands: COPYCLIP copies objects to the Clipboard. COPYLINK copies the current view to the Windows Clipboard for linking to other OLE applications. CUTCLIP copies selected objects to the Clipboard and erases the objects from the drawing. PASTECLIP inserts data from the Clipboard into a drawing.


PEDIT

PEDIT Command

Edits polylines

Modify II toolbar:
Modify menu: Object > Polyline
Command line: pedit

Select polyline: Use an object selection method

If the selected object is a line or an arc, AutoCAD LT prompts:

Object selected is not a polyline.
Do you want it to turn into one? <Y>: Enter y or n, or press ENTER

If you enter y, the object is converted into a single-segment 2D polyline that you can edit. You can use this method to join lines and arcs into a polyline.

The prompts for the PEDIT command vary depending on whether you have selected a 2D or a 3D polyline:
2D Polyline Selection
3D Polyline Selection

2D Polyline Selection

If you have selected a 2D polyline, AutoCAD LT prompts:

Close / Join / Width / Edit vertex / Fit / Spline / Decurve / Ltype gen / Undo / eXit <X>: Enter an option or press ENTER

If the polyline you have selected is closed, Open replaces the Close option in the prompt.

Note: You can edit a 2D polyline only if the XY plane of the current UCS is the same or parallel to the plane on which the 2D polyline was originally created. You can use the Object option of the UCS command to realign the UCS to the 2D polyline, if necessary.

Close (PEDIT, 2D Polyline)

Creates the closing segment of the polyline, connecting the last segment with the first. AutoCAD LT considers the polyline open unless you close it using the Close option.

Open (PEDIT, 2D Polyline)

Removes the closing segment of the polyline. AutoCAD LT considers the polyline closed unless you open it using the Open option.

Join (PEDIT, 2D Polyline)

Adds lines, arcs, or polylines to the end of an open polyline and removes the curve fitting from a curve-fit polyline. For objects to join the polyline, their endpoints must touch.

Select objects: Use an object selection method

Width (PEDIT, 2D Polyline)

Specifies a new uniform width for the entire polyline.

Enter new width for all segments: Specify a width

Use the Width option of the Edit Vertex option to change the starting and ending widths of segments.

Edit Vertex (PEDIT, 2D Polyline)

Marks the first vertex of the polyline by drawing an X on the screen. If you have specified a tangent direction for this vertex, an arrow is also drawn in that direction.

Next / Previous / Break / Insert / Move / Regen / Straighten / Tangent / Width / eXit <N>: Enter an option or press ENTER

Next

Moves the X marker to the next vertex. The marker does not wrap around from the end to the start of the polyline even if the polyline is closed.

Previous

Moves the X marker to the previous vertex. The marker does not wrap around from the end to the start of the polyline even if the polyline is closed.

Break

Saves the location of the marked vertex while you move the X marker to any other vertex.

Next / Previous/ Go / eXit <N>: Enter an option or press ENTER

If you leave the X marker where it is and enter go, AutoCAD LT splits the polyline into two pieces at the specified vertex. If you move the marker, any segments and vertices between the two vertices you specified are deleted.

If one of the specified vertices is at an end of the polyline, the polyline is truncated. If both specified vertices are at endpoints of the polyline, or if just one vertex is specified and it is at an endpoint, you cannot use Break mode.

  • Next. Moves the X marker to the next vertex. The marker does not wrap around from the end to the start of the polyline, even if the polyline is closed.
  • Previous. Moves the X marker to the previous vertex. The marker does not wrap around from the end to the start of the polyline, even if the polyline is closed.
  • Go. Deletes any segments and vertices between the two vertices you specify and returns to Edit Vertex mode.
  • Exit. Exits Break mode and returns to Edit Vertex mode.
Insert

Adds a new vertex to the polyline after the marked vertex.

Enter location of new vertex: Specify a point (1)

Move

Moves the marked vertex.

Enter new location: Specify a point (1)

Regen

Regenerates the polyline.

Straighten

Saves the location of the marked vertex while you move the X marker to any other vertex.

Next / Previous / Go / eXit <N>: Enter an option or press ENTER

If you enter go, any segments and vertices between the two vertices you specified are deleted, and a single straight line segment replaces them. If you specify only one vertex by entering go without moving the X marker, the segment following that vertex is made straight if it is an arc.

If you want to remove an arc segment that connects two straight segments of a polyline and then extend the straight segments until they intersect, use the FILLET command with a fillet radius of 0.

  • Next. Moves the X marker to the next vertex.
  • Previous. Moves the X marker to the previous vertex.
  • Go. Deletes any segments and vertices between the two vertices you specify and returns to Edit Vertex mode.
  • Exit. Exits Straighten mode and returns to Edit Vertex mode.
Tangent

Attaches a tangent direction to the marked vertex, X for use later in curve fitting. AutoCAD LT prompts:

Direction of tangent: Specify a point or enter an angle

Width

Changes the starting and ending widths for the segment that immediately follows the marked vertex.

Enter starting width <current>: Specify a point, enter a value, or press ENTER
Enter ending width <start>: Specify a point, enter a value, or press ENTER

To display the new width, you must regenerate the polyline.

Exit

Exits Edit Vertex mode.

Fit (PEDIT, 2D Polyline)

Creates an arc-fit polyline, a smooth curve consisting of arcs joining each pair of vertices. The curve passes through all vertices of the polyline and uses any tangent direction you specify.

Spline (PEDIT, 2D Polyline)

Uses the vertices of the selected polyline as the control points, or frame, of a curve approximating a B-spline. This curve, called a spline-fit polyline, passes through the first and last control points unless the original polyline was closed. The curve is pulled toward the other points but does not necessarily pass through them. The more control points you specify in a particular part of the frame, the more pull they exert on the curve. AutoCAD LT can generate quadratic and cubic spline-fit polylines.

Spline-fit polylines are very different from the curves produced by the Fit option. Fit constructs pairs of arcs that pass through every control point. Both these curves are different from true B-splines produced with the SPLINE command.

If the original polyline included arc segments, they are straightened when forming the spline's frame. If the frame has width, the resulting spline tapers smoothly from the width of the first vertex to the width of the last vertex. All intermediate width information is ignored. Once spline-fit, the frame, if displayed, is shown with zero width and CONTINUOUS linetype. Tangent specifications on control point vertices have no effect on spline-fitting.

When a spline-fit curve is fit to a polyline, the spline-fit curve's frame is stored so that it may be recalled by a subsequent decurving. You can turn a spline-fit curve back into its frame polyline by using the PEDIT Decurve option. This option works on fit curves in the same manner as it does on splines.

Spline frames are not usually displayed on the screen. If you want to see them, set the SPLFRAME system variable to 1. Next time the drawing is regenerated, AutoCAD LT draws both the frame and the spline curve.

Most editing commands act the same when applied to spline-fit polylines or fit curves.

  • MOVE, ERASE, COPY, MIRROR, ROTATE, and SCALE operate on both the spline curve and its frame, whether the frame is visible or not.
  • EXTEND changes the frame by adding a new vertex where the initial or final line of the frame intersects the boundary geometry.
  • BREAK, TRIM, and EXPLODE delete the frame and generate a polyline with only the fit spline, which is consistent with fit curves, where the curve fitting is permanent.
  • OFFSET generates a polyline with only the fit spline, which is consistent with its behavior with fit curves.
  • DIVIDE, MEASURE, the Object option of AREA, HATCH, FILLET, and CHAMFER see only the fit spline, not the frame.
  • STRETCH refits the spline to the stretched frame after a spline is stretched.

The Join option of PEDIT decurves the spline and discards the spline information of the original and any added polylines. Once the Join operation is complete, you can fit a new spline to the resulting polyline.

The Next and Previous options of the Edit Vertex option of PEDIT move the X marker only to points on the frame of the spline, whether visible or not. The Break option of the Edit Vertex option discards the spline. The Insert, Move, Straighten, and Width options of the Edit Vertex option automatically refit the spline. The Tangent option of the Edit Vertex option has no effect on splines.

Object snap uses only the spline-fit curve itself, not the frame. If you want to snap to the frame control points, use PEDIT to recall the polyline frame first.

Decurve (PEDIT, 2D Polyline)

Removes extra vertices inserted by a fit or spline curve and straightens all segments of the polyline. Retains tangent information assigned to the polyline vertices for use in subsequent fit curve requests. If you edit a spline-fit polyline with commands such as BREAK or TRIM, you cannot use the Decurve option.

Ltype Gen (PEDIT, 2D Polyline)

Generates the linetype in a continuous pattern through the vertices of the polyline. When turned off, this option generates the linetype starting and ending with a dash at each vertex. This option does not apply to polylines with tapered segments.

Full PLINE line type ON / OFF <current>: Enter on or off, or press ENTER

Undo (PEDIT, 2D Polyline)

Reverses actions as far back as the beginning of the PEDIT command.

Exit (PEDIT, 2D Polyline)

Exits PEDIT.

3D Polyline Selection

If you have selected a 3D polyline, AutoCAD LT prompts:

Close / Edit vertex / Spline curve / Decurve / Undo / eXit <X>: Enter an option or press ENTER

If the polyline you have selected is closed, Open replaces the Close option in the prompt.

Close (PEDIT, 3D Polyline)

Creates the closing segment of the polyline, connecting the last segment with the first. AutoCAD LT considers the polyline open unless you close it using the Close option.

Open (PEDIT, 3D Polyline)

Removes the closing segment of the polyline. AutoCAD LT considers the polyline closed unless you open it using the Open option.

Edit Vertex (PEDIT, 3D Polyline)

Marks the first vertex of the polyline by drawing an X on the screen. If you have specified a tangent direction for this vertex, an arrow is also drawn in that direction.

Next / Previous / Break / Insert / Move / Regen / Straighten / eXit <N>: Enter an option or press ENTER

Next

Moves the X marker to the next vertex. The marker does not wrap around from the end to the start of the polyline, even if the polyline is closed.

Previous

Moves the X marker to the previous vertex. The marker does not wrap around from the end to the start of the polyline, even if the polyline is closed.

Break

Saves the location of the marked vertex while you move the X marker to any other vertex.

Next / Previous / Go / eXit<N>: Enter an option or press ENTER

If you leave the X marker where it is and enter go, AutoCAD LT splits the polyline into two pieces at the specified vertex. If you move the marker, any segments and vertices between the two vertices you specified are deleted.

If one of the specified vertices is at the end of the polyline, the polyline is truncated. If both specified vertices are at endpoints of the polyline, or if just one vertex is specified and it is an endpoint, you cannot use Break mode.

  • Next. Moves the X marker to the next vertex. The marker does not wrap around from the end to the start of the polyline, even if the polyline is closed.
  • Previous. Moves the X marker to the previous vertex. The marker does not wrap around from the end to the start of the polyline, even if the polyline is closed.
  • Go. Deletes any segments and vertices between the two vertices you specify and returns to Edit Vertex mode.
  • Exit. Exits Break mode and returns to Edit Vertex mode.
Insert

Adds a new vertex to the polyline after the marked vertex.

Enter location of new vertex: Specify a point

Move

Moves the marked vertex.

Enter new location: Specify a point

Regen

Regenerates the polyline.

Straighten

Saves the location of the marked vertex while you move the X marker to any other vertex. If you enter go, any segment and vertices between the two vertices you specify are deleted, and a single straight line segment replaces them.

Next / Previous / Go / eXit <N>: Enter an option or press ENTER

  • Next. Moves the X marker to the next vertex.
  • Previous. Moves the X marker to the previous vertex.
  • Go. Deletes any segments and vertices between the two vertices you specify and returns to Edit Vertex mode.
  • Exit. Exits Straighten mode and returns to Edit Vertex mode.
Exit

Exits Edit Vertex mode.

Spline Curve (PEDIT, 3D Polyline)

Fits a 3D B-spline curve to its control points. The SPLFRAME system variable controls the accuracy of and displays the control points for the 3D B-spline, whose curves can be approximated only by line segments. AutoCAD LT ignores negative values for spline segments.

Decurve (PEDIT, 3D Polyline)

Removes extra vertices inserted by a fit or spline-fit curve and straightens all segments of the polyline. Retains tangent information assigned to the polyline vertices for use in subsequent fit-curve requests. If you edit a spline-fit polyline with commands such as BREAK or TRIM, you cannot use the Decurve option.

Undo (PEDIT, 3D Polyline)

Reverses actions as far back as the beginning of the PEDIT command.

Exit (PEDIT, 3D Polyline)

Exits PEDIT.

Related Commands: 3DPOLY creates 3D polylines. PLINE creates 2D polylines.
System Variables: SPLFRAME, if set to 1, displays the control polygon for spline-fit polylines, the fit surface of a polygon mesh, and the invisible edges of a 3D face or polyface mesh. SPLINESEGS stores the number of line segments to be generated for each spline patch. SPLINETYPE controls the type of spline curve that AutoCAD LT generates.


PLAN

PLAN Command

Displays the plan view of a User Coordinate System

View menu: 3D Viewpoint > Plan View
Command line: plan

<Current UCS> / Ucs / World: Enter an option or press ENTER

The PLAN command provides a convenient means of viewing the drawing from plan view, the XY plane of the UCS (0,0,1). You can select a plan view of the current UCS, a previously saved UCS, or the World Coordinate System. PLAN affects the view in the current viewport only. You cannot use PLAN in paper space.

AutoCAD LT changes the viewing direction and turns off perspective and clipping; the current UCS does not change. Any coordinates entered or displayed subsequent to the PLAN command remain relative to the current UCS.

Current UCS (PLAN)

Regenerates a plan view of the display so that the drawing extents fit in the current viewport of the current UCS.

UCS (PLAN)

Changes to a plan view of a previously saved UCS and regenerates the display. AutoCAD LT requests the name of the UCS you want; you can enter ? to request a list of saved coordinate systems.

World (PLAN)

Regenerates a plan view of the display so that the drawing extents fit on the screen of the World Coordinate System.


PLINE

PLINE Command

Creates a polyline of line segments and arcs in 2D space

Draw toolbar:
Draw menu: Polyline
Command line: pline

From point: Specify a point
Current line-width is <current>
Arc / Close / Halfwidth / Length / Undo / Width / <Endpoint of line>: Specify a point or enter an option

Endpoint of Line (PLINE)

Draws a line segment.

Arc (PLINE)

Changes PLINE to Arc mode, in which you can add arc segments to the polyline.

Angle / CEnter / CLose / Direction / Halfwidth / Line / Radius / Second pt / Undo / Width / <Endpoint of arc>: Specify a point (3) or enter an option

Note: To specify the Center option of the PLINE command, enter CE; to specify the Center object snap, enter CEN or CENTER.

Endpoint of Arc

Draws an arc segment. The arc segment starts at the last point tangent to the previous segment of the polyline.

Angle

Specifies the included angle of the arc segment from the start point.

Included angle: Specify an angle

Entering a positive number creates a counterclockwise arc segment. Entering a negative number creates a clockwise arc segment.

Center / Radius / <Endpoint>: Specify a point or enter an option

  • Center. Specifies the center of the arc segment.

    • Center point: Specify a point
  • Radius. Specifies the radius of the arc segment.

    • Radius: Specify a point
    If you specify a point, AutoCAD LT prompts as follows:
    Second point: Specify a point
    Direction of chord <current>: Specify a point or press ENTER
  • Endpoint. Draws the arc segment.
Center

Specifies the center of the arc segment.

Center point: Specify a point (3)
Angle / Length / <End point>: Specify a point (4) or enter an option

  • Angle. Specifies the included angle of the arc segment from the start point.

    • Included angle: Specify an angle
  • Length. Specifies the chord length of the arc segment. If the previous segment is an arc, AutoCAD LT draws the new arc segment tangent to the previous arc segment.

    • Length of chord: Specify a length
  • Endpoint. Draws the arc segment.

Close

Closes a polyline with an arc segment.

Direction

Specifies a starting direction for the arc segment.

Direction from start point: Specify a point (3)
End point: Specify a point (4)

Halfwidth

Specifies the width from the center of a wide polyline segment to one of its edges.

Starting half-width <current>: Enter a value or press ENTER
Ending half-width <current>: Enter a value or press ENTER

The starting half-width becomes the default ending half-width. The ending half-width becomes the uniform half-width for all subsequent segments until you change the half-width again. The start points and endpoints of wide line segments are at the center of the line.

Typically, the intersections of adjacent wide polyline segments are beveled. AutoCAD LT does not bevel nontangent arc segments, or very acute angles or when a dot-dash linetype is used.

Line

Changes PLINE to Line mode.

Radius

Specifies the radius of the arc segment.

Radius: Specify a point
Second point: Specify a point
Angle / <End point>: Specify an angle, specify a point, or enter a

  • Angle. Specifies the included angle for the arc segment.

    • Included angle: Specify an angle
    Direction of chord <current>: Specify an angle or press ENTER

  • Endpoint. Draws the arc segment.

Second Pt

Specifies the second and end points of a three-point arc.

Second point: Specify a point (3)
End point: Specify a point (4)

Undo

Removes the most recent arc segment added to the polyline.

Width

Specifies the width of the next arc segment.

Starting width <current>: Enter a value or press ENTER
Ending width <current>: Enter a value or press ENTER

The starting width becomes the default ending width. The ending width becomes the uniform width for all subsequent segments until you change the width again. The start points and endpoints of wide line segments are at the center of the line.

Typically, the intersections of adjacent wide polyline segments are beveled. AutoCAD LT does not bevel nontangent arc segments, or very acute angles or when a dot-dash linetype is used.

Close (PLINE)

Draws a line segment from the current position to the starting point of the polyline, creating a closed polyline.

Halfwidth (PLINE)

Specifies the width of a wide polyline line segment from the center to one of its edges.

Starting half-width <current>: Enter a value or press ENTER
Ending half-width <current>: Enter a value or press ENTER

The starting half-width becomes the default ending half-width. The ending half-width becomes the uniform half-width for all subsequent segments until you change the half-width again. The start points and endpoints of wide line segments are at the center of the line. Typically, the intersections of adjacent wide polyline segments are beveled. AutoCAD LT does not bevel nontangent arc segments, or very acute angles or when a dot-dash linetype is used.

Length (PLINE)

Draws a line segment of a specified length at the same angle as the previous segment. If the previous segment is an arc, AutoCAD LT draws the new line segment tangent to that arc segment.

Length of line: Specify a point

Undo (PLINE)

Removes the most recent line segment added to the polyline.

Width (PLINE)

Specifies the width of the next line segment.

Starting width <current>: Enter a value or press ENTER
Ending width <current>: Enter a value or press ENTER

The starting width becomes the default ending width. The ending width becomes the uniform width for all subsequent segments until you change the width again. The start points and endpoints of wide line segments are at the center of the line.

Typically, the intersections of adjacent wide polyline segments are beveled. AutoCAD LT does not bevel nontangent arc segments, or very acute angles or when a dot-dash linetype is used.

The PLINEGEN system variable controls linetype pattern display around a 2D polyline. Setting PLINEGEN to 1 generates new polylines in a continuous linetype pattern around the polyline. Setting PLINEGEN to 0 starts and ends the polyline with a dash and places a dash at each vertex. PLINEGEN does not apply to polylines with tapered segments.

Related Commands: LINE creates single or multiple line segments that are separate objects. PEDIT controls linetype display for existing polylines. SPLINE creates quadratic and cubic spline objects.
System Variables: PLINEGEN controls the linetype pattern display of a 2D polyline.


PLOT

PLOT Command

Prints to a plotter, printer, or file

Standard toolbar:
File menu: Print
Command line: plot

The Print/Plot Configuration dialog box is displayed. Choose OK to begin plotting with the current settings.

When the CMDDIA system variable is set to 0 (off), AutoCAD LT displays PLOT prompts on the command line.

When you use a script to plot, the command line prompts are displayed regardless of the CMDDIA settings. When you are plotting from the command line, the FILEDIA system variable controls whether AutoCAD LT displays a dialog box at a prompt for a file name.

Multipen Plotting with a Single-Pen Plotter

If you're using a single-pen plotter and your system is configured to plot different colors with different pens, AutoCAD LT pauses when necessary during the plot and issues prompts similar to these:

Install pen number 2, color 3 (green): Change the pen
Press ENTER to continue: Press ENTER to resume plotting

Print/Plot Configuration Dialog Box

Device and Default Information (PLOT)
Pen Parameters (PLOT)
Additional Parameters (PLOT)
Paper Size and Orientation (PLOT)
Scale, Rotation, and Origin
Plot Preview

Device and Default Information (PLOT)

Device and Default Selection

Displays the current plotting device and lets you select configured plotters, modify the settings of the currently configured plotter, and load or save PCP and PC2 files. You should also see the Printer tab in the Preferences dialog box for more information on configuring plotters.

Select a Device Configuration

Displays the manufacturer of the current device and the port to which it's connected.

The list box displays descriptions of all the configured plotters. AutoCAD LT uses the manufacturer's description when no description is entered during configuration. If you configured multiple plotters, select another one by picking the plotter description. Selecting another plotter can change the settings of other parameters in the plotting dialog boxes.

Configuration File Defaults

Saves or gets defaults from an ASCII plot configuration parameters (PCP) file or complete plot configuration (PC2) file. PCP files store device-independent information such as pen assignments, plot area, scale, paper size, and rotation. PC2 files store all the information found in a PCP file plus device-specific information that would otherwise be defined in aclt4.cfg; you can use PC2 files to batch plot to multiple plotters or printers.

Save Complete

Saves the current default settings to a PC2 file. AutoCAD LT displays the Save to File dialog box, in which you can save the defaults to a new or existing file.

Replace Complete

Replaces the default settings with settings from a PC2 file. Current configuration information is lost unless it has been saved to a PC2 file.

To add a PC2 configuration to your list of configurations without replacing an existing configuration, select the PC2 file using the Open option on the Printer tab of the Preferences dialog box.

Save Partial

Saves the current default settings to a PCP file. AutoCAD LT displays the Save PCP File dialog box, in which you can save the defaults to a new or existing file.

Merge Partial

Retrieves the default settings from a PCP file. AutoCAD LT displays the Merge from PCP File dialog box, in which you can select a PCP file.

If the PCP file contains errors, AutoCAD LT displays a dialog box listing the errors.

Choose Create Error File to create a file containing any listed errors. AutoCAD LT creates a file using the PCP file name with an .err file extension. The file is placed in the same directory that contains the PCP file.

Device Specific Configuration

Displays and changes device-specific configuration requirements. For more information about plotters with device-specific configuration requirements, refer to the plotter manufacturer's instructions.

Show Device Requirements

Displays configuration information for the current plotter.

Change Device Requirements

Changes configuration information for the current plotter. The dialog boxes are different for different plotters.

Pen Parameters (PLOT)

Controls pen parameters for plotters with multiple pens, hardware linetypes, software-controlled pen speeds, and pen widths.

Each object in a drawing has a color associated with it. Depending on the plotter, you can plot each color with a different pen, linetype, speed, and pen width.

Some plot devices, such as laser or electrostatic printers, can plot lines of various widths. These widths are sometimes called line widths or line weights. Although some plot devices, such as printers, might not have physical pens, AutoCAD LT uses pen width assignments for line widths or line weights.

Pen Assignments (PLOT)

Select the entry or entries to modify from the list.

Modify Values

Modifies parameters for pen, linetype, speed, and width.

Color

Displays the AutoCAD LT color to which you are assigning a width, pen, speed and linetype. When you select multiple entries, AutoCAD LT displays a message that the color varies. The values in the boxes are always those of the lowest color number you selected.

Pen

Displays the pen number assigned to the current color. You can assign different pen numbers to different colors even for single-pen plotters. If you choose this option when configuring the plotter, AutoCAD LT pauses each time a new pen is needed and prompts you to change pens.

Ltype

Displays the linetype assigned to the current color. The linetypes available for your current plotter are displayed in the Feature Legend dialog box.

Speed

Displays the speed assigned to the current color. You can choose speed on a pen-by-pen basis. This option can be useful if, for example, you have a pen that skips when it moves too fast. For some devices there are specific speeds that you can assign, and they might be listed in the Feature Legend dialog box.

Width

Displays the line width assigned to the current color.

Raster printers: Determines the line width for devices that do not have physical pens. Devices capable of filling solid areas use pen width settings to determine line width.

Pen plotters: Provides the width of the pen tip for devices with physical pens. The width governs how much work AutoCAD LT must do to fill a solid or wide polyline and eliminates unnecessary raising and lowering of the pen. If you've selected Inches under Paper Size and Orientation, be sure to convert millimeter pen widths to inches. If the pen width you enter is wider than the pen tip, AutoCAD LT might not raise the pen between closely spaced lines.

Pen Width

Enter the line width to instruct AutoCAD LT how many lines are required to fill a solid area. Some devices that do not have physical pens rely on AutoCAD LT to fill solid areas with lines. Pen width is not available for some plot devices.

Feature Legend

Displays any available hardware linetypes, speeds, or pen widths.

Use hardware linetypes only for objects drawn with the CONTINUOUS linetype. Do not try to mix these hardware linetypes with the linetypes AutoCAD LT associates with objects in the drawing.

Optimizing Pen Motion (PLOT)

With the exception of No Optimization, adds to the optimization level with each successive option selected. For example, selecting Adds Elimination of Overlapping Horizontal or Vertical Vectors selects all preceding check boxes except No Optimization. The default setting depends on the device configured.

Additional Parameters (PLOT)

Specifies which rectangular area of the drawing will be plotted and how hidden lines and area fills will be handled. Also specifies plotting to a file.

View and Window are not available unless you have selected a view or defined a window, respectively.

When you specify any rectangular area option except View, AutoCAD LT applies the rectangular area to the current viewport and the current space, whether it's model space or paper space. AutoCAD LT creates the plot from the three-dimensional viewpoint most recently established in the current space.

A paper space plot includes all visible viewports and their contents. Viewports that have been turned off are not plotted. The MAXACTVP system variable, which sets a maximum for the number of viewports that can be active at one time, is ignored. If a viewport is on and within the plottable paper space view, it's plotted.

Display

Plots the view in the current viewport.

Extents

Plots the portion of the current space of the drawing that contains objects. This option is similar to ZOOM Extents.

Sometimes AutoCAD LT may regenerate the drawing to recaculate the extents before plotting.

If you plot the drawing's extents with a perspective view active and the camera position is within the drawing extents, AutoCAD LT proceeds as though you had used the Display option.

Limits

Plots the entire drawing area defined by the drawing limits. If the current viewpoint is not the plan view (viewpoint 0,0,1), AutoCAD LT proceeds as though you had used the Extents option.

View

Plots a view saved previously with the VIEW command. This option is not available until you select a view. Choose the View button to select a view from the View Name dialog box.

Window

Plots any portion of the drawing. Choose the Window button at the bottom of the screen to specify two corners of the area to be plotted.

Choose Pick and use the pointing device to designate the window if the whole area you want to specify is visible on the screen.

You can also specify the window by entering coordinates under First Corner and Other Corner.

Text Resolution

Sets the resolution, in dots per inch, of TrueType fonts while plotting, exporting with PSOUT, and rendering. Lower values decrease resolution and increase plotting speed. Higher values increase resolution and decrease plotting speed.

Text Fill

Controls the filling of TrueType fonts while plotting, exporting with PSOUT, and rendering. If Text Fill is not selected, text is output as outlines. The value for this entry is stored in the TEXTFILL system variable.

Hide Lines

Plots model space views with hidden lines removed. When plotting from paper space, AutoCAD LT processes each viewport for hidden lines according to that viewport's Hideplot setting.

The Hideplot option of MVIEW does not affect plots made from model space. Hidden lines will be removed in a model space plot only if you select Hide Lines.

Adjust Area Fill

Adjusts the pen width for plotting wide polylines, and 2D solids. AutoCAD LT pulls the boundaries of the filled region inward one-half the pen width. Use this option to ensure the greatest possible precision.

This option is needed only in applications that require the plot to be accurate to half the pen width, such as printed circuit artwork.

Plot to File

Plots output to a file rather than directly to the plotter. The default plot file name is the drawing name with a .plt file extension.

To specify a name other than the default name, choose File Name. If the current drawing is unnamed, AutoCAD LT creates a plot file using the file name unnamed.plt. To specify an extension other than .plt, include the extension with the file name. For example, you can enter mpart.hp.

The plot commands for the currently configured plotter are sent to the named file.

For some plotters, the output format you choose determines whether the plot is written to a file and determines the file extension. Also, some plotters might not be able to plot to a file. For further information, refer to the plotter manufacturer's instructions.

Paper Size and Orientation (PLOT)

Specifies units for plot size, paper size, and orientation.

The orientation image file displays either landscape or portrait, depending on the configured device. If your current plotter's natural orientation is portrait, it might be necessary to rotate the plot 270 degrees to achieve the result you want. See Scale, Rotation, and Origin for more information about rotating a plot.

Inches

Specifies inches for the plotting units.

MM

Specifies millimeters for the plotting units.

Size

Displays the Paper Size dialog box.

AutoCAD LT lists the plot sizes the current plotter supports. MAX is the maximum size that the plotter can handle; it might be larger than any of the standard sizes displayed.

Select a predefined size or enter the width and height in a USER text box.

Scale, Rotation, and Origin (PLOT)

Sets the plot scale, rotation, and origin. The label Plotted Inches = Drawing Units reflects the units previously chosen for paper size (millimeters or inches). When millimeters are chosen, the label reads Plotted MM.�=�Drawing Units.

You cannot plot a perspective view at a specific scale. Select Scaled to Fit and use the paper size to control the overall size of the plot.

Rotation and Origin

Displays the Plot Rotation and Origin dialog box.

Select a rotation button to rotate the plot clockwise.

The plot normally begins in the lower-left corner of the paper (the home position). Enter the plot origin in the X Origin and Y Origin boxes to place the plot origin at another location on the paper. On some plotters you can use negative coordinates.

To specify an exact scale for the plot, determine the number of drawing units to be plotted per millimeter or inch on the paper. Then enter the number of plotter units in the left text box of the Scale, Rotation, and Origin dialog box and the number of drawing units in the right text box.

Scaled to Fit

Scales the plot so that the view chosen, the portion of the drawing to be plotted, is made as large as possible for the specified paper size.

When Scaled to Fit is selected, the text boxes display the actual scale used to fit. AutoCAD LT updates this scale whenever you make any entry that affects the scale.

When Scaled to Fit is turned off, the text boxes default to 1=1 except when the scale has been previously set to other values. In that case, AutoCAD LT displays that scale in the text boxes. Here are some other examples of what you might enter:

2.5=1 could represent 2.5 millimeters = 1 kilometer
1/4"=1' represents 1/4 inch = 1 foot, when units are in feet and inches
0.25=12 represents the same scale as in the previous example when units are decimal

Plot Preview (PLOT)

Displays the plot on the screen so that you can check that it's correctly placed on the paper.

Partial

Quickly shows an accurate representation of the effective plot area relative to the paper size. Partial preview also gives advance notice of any warnings that you might encounter when AutoCAD LT plots. The final location of the effective area on the paper depends on the plotter.

After selecting Partial, choose Preview.

When you define a positive or negative origin in the Plot Rotation and Origin dialog box, AutoCAD LT offsets the device origin from the lower-left corner. If you offset the origin so much that the effective area extends outside the graphic area of the preview area, AutoCAD LT displays a blue line along any clipped side.

The Rotation icon represents the origin of the drawing. When rotation is set to 0 (the default), it shows in the lower-left corner; 90 degrees in the upper left; 180 degrees in the upper right; and 270 degrees in the lower right. This icon indicates the orientation of the drawing as defined by the rotation setting.

Full

Displays the drawing on the screen as it will appear when plotted on paper.

After selecting Full, choose Preview.

AutoCAD LT displays the preview and the cursor changes to a magnifying glass with plus (+) and minus (-) signs. Dragging the cursor toward the top of the screen enlarges the preview image. Dragging toward the bottom of the screen reduces the preview image.

Right-click to access a pop-up menu offering additional preview options. You can also access Full Preview directly using the PREVIEW command.

Print Preview Menu (PLOT)

Controls Print Preview options. To access this menu, right-click in the preview area.

Exit

Exits Print Preview.

Pan

Displays a hand cursor you can use to pan the preview image. Hold down the pick button and drag the cursor in any direction. The pan cursor stays active until you select Zoom again.

Zoom

Displays a magnifying glass cursor you can use to enlarge or reduce the preview image. To enlarge the image, hold down the pick button and drag the cursor toward the top of the screen. To reduce the image, hold down the pick button and drag the cursor toward the bottom of the screen.

Zoom Window

Zooms to display a specified window. Zoom Window works with both the zoom cursor and the pan cursor.

Zoom Previous

Restores the initial full-sheet preview. Zoom Previous works with both the zoom cursor and the pan cursor.

Using the Command Line

When the CMDDIA system variable is set to 0 (off), PLOT displays prompts on the command line.

The command line prompts are displayed when you use a script to plot regardless of the CMDDIA value.

When you are plotting from the command line, the FILEDIA system variable controls any request for a file name.

What to plot -- Display, Extents, Limits, View, or Window <D>: Enter an option or press ENTER

Display

Plots the view in the current viewport.

Extents

Plots the portion of the current space of the drawing that contains objects.

Limits

Plots the entire drawing area defined by the drawing limits.

View

Plots a view saved previously with the VIEW command.

View name: Enter a name

Window

Plots any portion of the drawing. Specify opposite corners of the area you want to plot.

First corner: Specify a point
Other corner: Specify a point

AutoCAD LT displays the basic plot specifications that were set when AutoCAD LT was configured for the current plot device or the previous plotting session and prompts for any changes.

0. No changes, proceed to Plot
1. Merge partial configuration from PCP file
2. Replace configuration from PC2 file
3. Save partial configuration as PCP file
4. Save configuration as PC2 file
5. Detailed plot configuration

Enter choice, 0-5 <0>: Enter an option or press ENTER

Changing Pen and Linetype Parameters

If you enter y at the Do You Want to Change Any of the Above Parameters? prompt, you can change pen and linetype parameters for the current plotter. Depending on the plotter being used, AutoCAD LT might display settings and prompts for parameters such as pen number, linetype, pen speed, or line width (pen width).

In the following example, AutoCAD LT displays the pen number, linetype, pen speed, and line width currently assigned to color 1 and prompts for a new pen number.

Enter values, blank=Next, Cn=Color n, Sn=Show n, X=Exit
Enter a value or pen number

Layer Color | Pen No. | Line Type | Pen Speed | Line Width
1 (red) | 1 | 0 | 36 | 0.010 Pen number<1>:

Besides entering a pen number, you can also use editing values. The first line of this display shows you the values you can enter. You can use these editing values at any of the prompts for pen number, linetype, pen speed, or pen width.

Remaining Plot Specifications

When you've completed or skipped the prompts for pen and linetype, AutoCAD LT prompts for the remaining plot specifications.

Write the plot to a file? <current>: Enter y or n or press ENTER

Some plotters always plot to a file and will not allow you to specify otherwise.

If you enter y, the following prompt is displayed after you've responded to all the plotting prompts:

Size units (Inches or Millimeters) <current>: Enter i or m or press ENTER
Plot origin in units <default X,Y>: Enter the plotter coordinates or press ENTER

If you selected inches as your size units, for example, entering 2,3 sets the plot origin to the point 2 inches to the right of and 3 inches above the home position. Some plotters can use negative coordinates.

AutoCAD LT lists the plotting sizes the current plotter can accommodate.

Enter the Size or Width,Height (in units) <MAX>: Enter a size mnemonic from the list or a specific width and height value, or press ENTER

If you enter a unique size by specifying the width and height of the paper, it appears with the label USER or USERn on the list for plotter sizes the next time you plot. You can set up to five user-defined sizes.

If you enter a USERn mnemonic from the list, AutoCAD LT prompts again for the width and height.

Enter Width, Height (in Inches) <ww,hh>: Enter the width and height or press ENTER
Rotate plot clockwise 0/90/180/270 degrees <0>: Enter a value or press ENTER

If the current device is a single-pen plotter, AutoCAD LT prompts to set the width of the pen tip or the line width of plotted lines.

Pen width in <units> <0.010>: Enter a value or press ENTER

If the current device is a multiple-pen plotter, this prompt is not displayed.

Adjust area fill boundaries for pen width? <N>: Enter y or press ENTER

If you enter y, AutoCAD LT adjusts for the pen width when plotting the boundaries of wide polylines, and 2D solids. For most applications, no adjustment is necessary.

Remove hidden lines? <N>: Enter y or press ENTER
Plotted units=Drawing units or Fit or ? <default>: Enter a specific scale, f, or ?, or press ENTER

Enter a specific scale by specifying how many drawing units are to be plotted per unit (millimeters or inches) on the paper. For example, to produce a plot at a scale of 1 drawing unit per millimeter on the plotter, enter 1=1. Here are some other examples of possible responses:

  • 2.5=1 could represent 2.5 millimeters = 1 kilometer
  • 1/4"=1' represents 1/4 inch = 1 foot, when units are in feet and inches
  • 0.25=12 represents the same scale as in the previous example when units are decimal

If you enter f, AutoCAD LT scales the plot so the portion of the drawing to be plotted is made as large as possible for the specified paper size.

If you enter ?, AutoCAD LT displays a short description of the options.

Enter file name for plot <default>: Enter a file name or press ENTER

AutoCAD LT uses a file extension of .plt, but you can enter a different extension. The plot commands for the current plotter are sent to the named file.


POINT

POINT Command

Creates a point object

Draw toolbar:
Draw menu: Point
Command line: point

Point: Specify a point

You can specify a full 3D location for a point. The current elevation is assumed if you omit the Z coordinate. To snap to a point object, use the Node object snap. You can change the appearance and size of points using by using the DDPTYPE command.

Related Commands: DDPTYPE specifies a new Point Display mode and size. REGEN regenerates the drawing and refreshes the current viewport.
System Variables: PDMODE specifies the object displayed by POINT. PDSIZE specifies the size of the object displayed by POINT.


POLAR

POLAR Command

Constrains cursor input to specified angles and radial distances

Standard toolbar
Tools menu: PolarSnap Settings
Command line: polar

The Ortho/Polar Settings dialog box is displayed.

With PolarSnap, you can draw or modify objects using specific angle and distance increments without entering values on the keyboard. When PolarSnap is turned on, you can constrain cursor input of point locations to angle increments, distance increments, or both angle and distance increments from the last point. Polar ToolTips display the current angle and distance from the previous point at the cursor location. Angle increments are relative to the UCS orientation and the grid snap rotation angle.

Ortho/Polar Settings Dialog Box

Ortho/Polar
  • On. Turns Orthogonal mode and PolarSnapping on and off.
  • Ortho. Selects Orthogonal mode. Cursor input is restricted to either horizontal or vertical locations relative to the previous point. See ORTHO.
  • Polar: Angle Snap. Selects polar angle snap mode. Cursor input is restricted to specific angle increments from the last point.
  • Polar: Distance Snap. Selects polar distance snap mode. Cursor input is restricted to distance increments from the last point.
  • Polar: Angle & Distance Snap. Selects polar angle and polar distance mode. Cursor input is limited both to angle and distance increments from the last point.

PolarSnap Settings
  • Angle. Sets the angle increments for PolarSnap. Saved in the POLARANG system variable.
  • Distance. Sets the radial distance increments for PolarSnap. Saved in the POLARDIST system variable.
  • Polar ToolTip. Controls whether polar ToolTips are displayed when the cursor stops moving. Saved in the registry with POLARSTYLE.


POLYGON

POLYGON Command

Creates an equilateral closed polyline

Draw toolbar:
Draw menu: Polygon
Command line: polygon

Number of sides <current>: Enter a value between 3 and 1024 or press ENTER
Edge / <Center of polygon>: Specify a point or enter e

Center of Polygon (POLYGON)

Defines the center of the polygon.

Specify the distance from the center of the polygon to the midpoints of the polygon segments.

Radius of circle: Specify a distance

Specifying the radius with your pointing device determines the rotation and size of the polygon. Specifying the radius with keyboard entry draws the bottom edge of the polygon at the current snap rotation.

Edge (POLYGON)

Defines a polygon by specifying the endpoints of the first edge.

First endpoint of edge: Specify a point (1)
Second endpoint of edge: Specify a point (2)

A polygon is a polyline object. AutoCAD LT draws polylines with zero width and no tangent information. You can use the PEDIT command to change these values.

Related Commands: PEDIT edits polylines. PLINE creates open or closed two-dimensional polylines.
System Variables: POLYSIDES stores the current number of polygon sides.


PREFERENCES

PREFERENCES Command

Customizes AutoCAD LT settings

Tools menu: Preferences
Command line: preferences

The Preferences dialog box is displayed.

Preferences Dialog Box
  • Work Space Tab. Controls user-interface settings.
  • Color Tab. Specifies color preferences for AutoCAD LT components.
  • Font Tab. Specifies text font preferences for the AutoCAD LT command window and text window.
  • System Tab. Specifies a number of general AutoCAD LT operating preferences.
  • Printer Tab. Customizes printer or plotter settings and sets the current printer.
  • Files Tab. Specifies the location of temporary files, support folders, and several default file names.

Work Space Tab (PREFERENCES)

Controls user-interface settings.

Show the Start Up Dialog

Controls whether the Start Up dialog box is displayed when you start AutoCAD LT. You can use the Start Up dialog box to specify settings in the new AutoCAD LT session.

Beep on Error

Controls whether a sound is emitted when AutoCAD LT encounters an input error.

Display Scrollbars

Controls whether the scrollbars display on the bottom and right side of AutoCAD LT.

Graphics Cursor Size

Controls the size of the crosshair. The allowable range is from 1 to 100 percent of the total screen. At 100% the ends of the crosshair are never visible. When the size is decreased to 99% or below, the crosshairs have a finite size, and the crosshairs' ends are visible when moved to the edge of the graphics area. The default size is 5%.

Right-Click Mouse Button

  • AutoCAD Classic (Enter). Repeats the last command.
  • Shortcut Menu. Displays a pop-up menu containing selections relevant to the previous action.

Shortcut (Accelerator) Keys

  • MS Windows Standard. Follows Microsoft Windows standards in interpreting shortcut keys. For example, CTRL+C equals COPYCLIP.
  • AutoCAD LT Classic. Interprets shortcut keys using AutoCAD LT standards rather than Microsoft Windows standards. For example, CTRL+C equals cancel. CTRL+C does not cancel dialog boxes.

Running Object Snap/Coordinate Entry Priority

  • Running Object Snap. Running object snaps override specific coordinates at all times.
  • Coordinate Entry. Specific coordinates that you enter override running object snaps at all times.
  • Coordinate Entry (except scripts). Specific coordinates that you enter override running object snaps, except in scripts.
User Name

Specifies the user name inserted into your drawing with REVDATE.

Color Tab (PREFERENCES)

Specifies color preferences for AutoCAD LT components.

Window Element

Specifies which element you are changing.

Basic Colors

Sets the colors for the currently selected AutoCAD LT window element. Select a color or use the sliders to adjust the color.

System Colors

Resets the AutoCAD LT window colors to the default colors.

Monochrome Vectors

Displays all objects in a drawing in a single color regardless of layer and color assignments.

Font Tab (PREFERENCES)

Specifies text font preferences for the AutoCAD LT command window and text window.

Font

Specifies a text font from a list.

Font Style

Specifies a display style, such as italic, bold, or regular, for the selected font.

Size

Specifies the point size of the text font.

Font to Change

Specifies whether you are changing the font in the text window or the command window.

Sample Text Window Font

Displays a sample showing your changes.

System Tab (PREFERENCES)

Specifies a number of general AutoCAD LT operating preferences.

External Reference File Demand Load

Controls demand loading of xrefs. Demand loading improves performance by loading only the parts of the referenced drawing that are needed to regenerate the current drawing.

Always Create Backups (BAK)

Specifies whether a backup copy of a drawing is created when you save the drawing.

Maintain a Log File

Specifies whether the contents of the text window are written to a log file. To specify the location and name of the log file, use the Files tab. You can also control the log file using LOGFILEMODE and LOGFILENAME.

Save Thumbnail Preview Image

Specifies whether an image of the drawing should be displayed in the Preview area of the Select File dialog box. Save Thumbnail Preview Image is also controlled by the RASTERPREVIEW system variable.

Automatic Save Every

Choose Automatic Save to save your drawing automatically at the interval you specify. You can also set the interval using the SAVETIME system variable.

Pointing Device Input

Sets the current AutoCAD LT pointing device.

  • System Pointing Device. Specifies the system pointing device, typically a mouse, as the AutoCAD LT pointing device.
    IntelliMouse Zoom Factor. Controls the response rate of zooming with an IntelliMouse wheel.

  • Wintab Digitizer. Specifies a Wintab-compatible digitizing tablet as the AutoCAD LT pointing device.
    Digitizer Input from Calibrated Tablet Only. Specifies that AutoCAD LT accepts pointing device input only from the digitizing tablet, and only when the tablet is calibrated and tablet mode is on. If you have no tablet calibrated, this option is unavailable.
    Digitizer Input from Tablet or Mouse. Specifies that AutoCAD LT accepts pointing device input from the system pointing device in addition to the digitizing tablet.

Printer (PREFERENCES)

Customizes printer or plotter settings and sets the current printer.

Current Printer

Displays the name of the current printer.

List of Printers

Displays a list of the available printers.

Printer Description

Displays information about the currently selected printer.

Set Current

Makes the selected printer the current printer.

Modify

Reconfigures the selected printer. Select a printer from the list of available printers and choose Modify. In the Reconfigure a Printer dialog box, provide a description for the printer. Then choose Reconfigure. AutoCAD LT displays the text window with prompts for printer settings. If you just want to update the printer description, choose OK instead of Reconfigure in the Reconfigure a Printer dialog box.

New

Displays the Add a Printer dialog box. To add a printer, select a printer from the list of available printers, provide a description, and then choose OK. AutoCAD LT displays the text window with prompts for printer settings.

Open

Opens a printer configuration file. In the Replace from PC2 File dialog box, select the configuration file for the device you want to use. Then choose OK.

Save As

Saves the complete configuration information for a printer to a file. Specify a directory and name for the PC2 file. Then choose OK.

Remove

Removes the selected printer from the list of available printers.

Files Tab (PREFERENCES)

Specifies the folders in which AutoCAD LT looks for text fonts, menus, plug-ins, drawings to insert, linetypes, and hatch patterns that are not in the current folder. Also specifies optional user-defined settings such as which dictionary to use for checking spelling.

Search Paths, File Names, and File Locations

Displays a list of the folders and files used by AutoCAD LT. To specify a location for a folder or file, select the directory or file from the list. Choose Browse and use the Browse for Folder dialog box to locate the directory or file you want to use.

Support File Search Path

Specifies the folders AutoCAD LT searches for support files. In addition to the files required to run AutoCAD LT, you can specify folders for fonts, menus, drawings to insert, linetypes, and hatch patterns in the support file search path.

Menu, AutoSave, Log, and Default Internet Location

Specifies the names and locations of various types of files.

  • Menu File. Specifies the location of the AutoCAD LT menu file to use.
  • Automatic Save File. Specifies the path for the file that is created if you select Automatic Save on the System tab.
  • Log File. Specifies the path for the file that is created if you select Maintain a Log File on the System tab.
  • Default Internet Location. Specifies the default Internet location used by Connect to Internet on the Help menu.
Dictionary and Font File Names

Specifies a number of optional settings.

  • Main Dictionary. Specifies the dictionary to use for checking spelling.
  • Custom Dictionary File. Specifies a custom dictionary to use if you have one.
  • Alternate Font File. Specifies the font file to use if AutoCAD LT cannot locate the original font and an alternate font is not specified in the font mapping file.
  • Font Mapping File. Specifies the file that defines how AutoCAD LT should convert fonts that it cannot locate.
Print File Name

Specifies an alternate name to use for the temporary plot file name. The default name is the name of the drawing plus the file extension .plt.

Template Drawing File Location

Specifies the folder for the template files used by the start-up wizards.

Temporary Drawing File Location

Specifies the folder AutoCAD LT uses to store temporary files.


Preview

PREVIEW Command

Shows how the drawing will look when it is printed or plotted

File menu: Print Preview
Command line: preview

Press ESC or ENTER to exit, right-click to access the Print Preview pop-up menu, which offers additional preview options.

AutoCAD LT displays the preview, and the cursor changes to a magnifying glass with plus (+) and minus (-) signs. Dragging the cursor toward the top of the screen enlarges the preview image. Dragging toward the bottom of the screen reduces the preview image.

PREVIEW displays a full-page preview of the current drawing. The preview is based on the current plot configuration, as defined by the PLOT command.

Print Preview Menu

Controls Print Preview options. To access this menu, right-click in the preview area.

Exit

Exits Print Preview.

Plot

Prints or plots the drawing as it displays in the full-sheet preview, then exits Print Preview.

Pan

Displays a hand cursor you can use to pan the preview image. Hold the pick button and drag the cursor in any direction. The pan cursor stays active until you select Zoom again.

Zoom

Displays a magnifying glass cursor you can use to enlarge or reduce the preview image. To enlarge the image, hold the pick button and drag the cursor toward the top of the screen. To reduce the image, hold the pick button and drag the cursor toward the bottom of the screen.

Zoom Window

Zooms to display a specified window. Zoom Window works with both the zoom cursor and the pan cursor.

Zoom Previous

Restores the initial full-sheet preview. Zoom Previous works with both the zoom cursor and the pan cursor.

Related Commands: PLOT plots a drawing to a plotter, printer, or file.


PSOUT

PSOUT Command

Creates an encapsulated PostScript file
File menu: Export
Command line: psout

The Create PostScript File dialog box is displayed. In the Create PostScript File dialog box, enter a file name. AutoCAD LT adds the .eps extension.

What to plot -- Display, Extents, Limits, View, or Window <D>: Enter an option or press ENTER

AutoCAD LT-generated EPS files contain a PostScript rendering of the model. AutoCAD LT outputs arcs, circles, and polylines as PostScript primitives instead of vectors. The exception is objects that are unrepresentable in PostScript. For instance, objects with nonzero thickness are output as vectors. AutoCAD LT outputs text objects that use font files named in the PostScript support file (aclt.psf) as PostScript text objects in the corresponding PostScript font. AutoCAD LT objects that cannot be directly represented in PostScript are output as wireframe images precisely as AutoCAD LT displays them on screen. The HIDE and SHADE commands have no effect on output generated by PSOUT.

Create PostScript File Dialog Box

Creates an EPS file from an AutoCAD LT file.

File Name

Select or enter the name you want to assign to the postscript file (extension .eps).

Files of Type

Select the type of files you want to see in the File Name list.

Save in

Select the drive and directory that you want to contain the postscript file.

Display (PSOUT)

Exports the view in the current viewport in model space or the current view in paper space.

Include a screen preview image in the file? (None / EPSI / TIFF) <None>: Enter an option or press ENTER

Extents (PSOUT)

Exports the portion of the current space of the drawing that contains objects.

Include a screen preview image in the file? (None / EPSI / TIFF) <None>: Enter an option or press ENTER

Limits (PSOUT)

Exports the entire drawing area defined by the drawing limits. If the current viewpoint is not the plan view (0,0,1), this option is the same as the Extents option.

Include a screen preview image in the file? (None / EPSI / TIFF) <None>: Enter an option or press ENTER

View (PSOUT)

Exports a view saved previously using the VIEW command.

View name: Enter a name
Include a screen preview image in the file? (None / EPSI / TIFF) <None>: Enter an option or press ENTER

Window (PSOUT)

Exports any portion of your drawing. AutoCAD LT prompts you to specify a lower-left corner and an upper-right corner of the area you want to output.

First corner: Specify a point
Other corner: Specify a point
Include a screen preview image in the file? (None / EPSI / TIFF) <None>: Enter an option or press ENTER

After you respond to the Output units=Drawing Units or Fit or ? prompt, AutoCAD LT lists the paper sizes it can accommodate.

Enter the Size or Width, Height (in Inches) <current>: Enter a standard size description from the list, or an explicit width and height value, or press ENTER

If you enter a unique size by specifying the width and height of the paper, the size you specify appears with the label USER or USERn on the list for paper sizes the next time you create an EPS file with PSOUT. AutoCAD LT exports an EPS file with the file name you specified.

None

Specifies no screen preview image in the file.

Size units (Inches or Millimeters) <current>: Enter an option or press ENTER

EPSI

Includes an EPSI screen preview image.

Screen preview image size (128x128 is standard)? (128 / 256 / 512) <128>: Enter a value or press ENTER

The value you enter specifies the pixel resolution of the screen preview image.

TIFF

Includes a TIFF screen preview image.

Screen preview image size (128x128 is standard)? (128 / 256 / 512) <128>: Enter a value or press ENTER

The value you enter specifies the pixel resolution of the screen preview image.

If you include a TIFF screen preview, you cannot print the EPS file directly to a PostScript printer and produce the image output.

Inches or Millimeters

Sets size units in inches or millimeters.

Output units=Drawing Units or Fit or ?<current>: Enter an explicit scale, enter f, or press ENTER

You enter an explicit scale by specifying how many drawing units are to be output per unit (millimeters or inches). For example, to produce output at a scale of 1 drawing unit per millimeter, enter 1=1.

If you enter f, AutoCAD LT scales the output so the portion of the drawing that is output is made as large as possible for the specified paper size.

If you enter ?, AutoCAD LT displays a short description of the options.


PSPACE

PSPACE Command

Switches from a model space viewport to paper space

Space toolbar:
View menu: Paper Space
Command line: pspace

AutoCAD LT switches from model space to paper space.

AutoCAD LT operates in paper space or in model space. You use paper space to create a finished layout of a drawing for printing. In paper space, you create floating viewports, which are windows containing different views of the model. By switching from paper space to floating model space, you can edit the model and views within the floating viewports. Floating viewports differ from tiled viewports, which split the screen into fixed model space views. Floating viewports are objects you create in paper space. Switching to paper space from the menu or from the status bar automatically turns off TILEMODE (tiled viewports). Before you use PSPACE on the command line, however, the TILEMODE system variable must be set to 0 (off).

Related Commands: MSPACE switches from paper space to a model space viewport. MVIEW creates a new floating viewport and turns on existing floating viewports. VPLAYER sets the visibility for layers in specific viewports. ZOOM XP scales each view relative to paper space units.
System Variables: TILEMODE controls paper space access and viewport type. PSLTSCALE controls paper space linetype scaling. VISRETAIN specifies precedence of settings for xref layers. MAXACTVP specifies the maximum number of viewports to regenerate. DIMLFAC controls scaling for linear dimensions.


PSUPDATE

PSUPDATE Command

Adjusts the size of all PostScript text in a drawing

Command line: psupdate

Enter the scale factor for all PFB text.
User specified / Larger 1.5 / <Smaller 0.67>: Enter u or l or press ENTER

The heights of all PostScript (PFB) text objects in your drawing are changed.

In AutoCAD LT 2 and AutoCAD Release 12, text objects using PostScript fonts are displayed at approximately 0.7 times their size because of a difference in measurement conventions between AutoCAD text fonts and PostScript text fonts. This effect was removed in AutoCAD LT for Windows 95 and in AutoCAD Release 13. To change PostScript text sizes between drawings created under different releases, you can use the PSUPDATE command to increase or decrease the size of all PostScript text in a drawing.


PURGE

PURGE Command

Removes unused named objects, such as blocks or layers, from the drawing database

Format menu: Purge
Command line: purge

Purge unused Blocks / Dimstyles / LAyers / LTypes / STyles / All: Select an object type to purge, or enter a to purge all named object types

The PURGE command removes only one level of reference. Repeat PURGE until there are no unreferenced objects in the drawing. You can use PURGE at any time during a drawing session.


QSAVE

QSAVE Command

Saves the current drawing

Standard toolbar:
File menu: Save
Command line: qsave

If the drawing is named, AutoCAD LT saves the drawing without requesting a file name. If the drawing is unnamed, AutoCAD LT displays the Save Drawing As dialog box and saves the drawing under the file name you specify. If the drawing is read-only, use the SAVEAS command to save changes under a different file name.

Related Commands: QUIT exits AutoCAD LT and allows you to save changes to the current drawing. SAVE saves the drawing under the current file name or a specified name. SAVEAS saves an unnamed drawing under a file name or renames the current drawing.


QTEXT

'QTEXT Command

Controls the display and plotting of text and attribute objects

Command line: qtext

ON / OFF <current>: Enter on or off, or press ENTER

If you enter on, AutoCAD LT displays each text and attribute object as a bounding box around the text object. Turning on Quick Text mode reduces the redrawing and regeneration times for drawings that contain many text objects.

Related Commands: DDRMODES controls Quick Text mode using a dialog box.
System Variables: QTEXTMODE stores the Quick Text mode setting.


QUIT

QUIT Command

Exits AutoCAD LT

File menu: Exit
Command line: quit

Quits AutoCAD LT if there have been no changes since the drawing was last saved. If the drawing has been modified, AutoCAD LT displays a message that prompts you to save or discard the changes before quitting. You can quit a file that has been opened in read-only mode if you have made no modifications or if you are willing to discard them. To save modifications to a read-only drawing, use the SAVEAS command to save the drawing under another name.

Related Commands: QSAVE saves the current drawing to a file name. SAVE saves the current drawing to a file name. SAVEAS renames the current drawing and saves it to a file name.


RAY

RAY Command

Creates a semi-infinite line

Draw toolbar:
Draw menu: Ray
Command line: ray

From point:Specify a point (1)
Through point: Specify the point (2) through which you want the ray to pass

Rays are commonly used as construction lines. A ray has a starting point and extends to infinity.

AutoCAD LT draws a ray and continues to prompt for through points, enabling you to create multiple rays. Press ENTER to end the command.

Related Commands: DDMODIFY modifies a ray's properties. LINE creates straight line segments. PLINE creates 2D polylines. XLINE creates infinite lines.


RECOVER

RECOVER Command

Repairs a damaged drawing

File menu: Drawing Utilities > Recover
Command line: recover

The Select File dialog box is displayed.

Enter or select the name of the damaged drawing file. AutoCAD LT begins the drawing recovery and displays the results on the text screen.

If AutoCAD LT determines that a drawing you're opening is damaged based on the drawing's header information, the OPEN command performs an automatic recovery.

Select File Dialog Box

Repairs damaged drawing files.

File Name

Select or enter the name of the damaged drawing file you want to recover.

Files of Type

Select the type of files you want to see in the File Name box.

Look in

Select the drive and directory that contain the damaged file you want to recover.

Open as Read-Only

Open the selected file as read-only.

Find File...

To find the damaged files you want to recover on multiple drives and directories, choose Find File.

Related Commands: AUDIT performs a manual drawing audit. OPEN opens an existing drawing file.


RECTANG

RECTANG Command

Draws a closed rectangular polyline

Draw toolbar:
Draw menu: Rectangle
Command line: rectang

First corner:Specify a point (1)
Other corner: Specify a point (2)

The two specified points determine the diagonal corners of a rectangle with sides parallel to the X and Y axes of the current UCS.


REDO

REDO Command

Reverses the effects of the previous UNDO or U command

Standard toolbar:
Edit menu: Redo
Command line: redo

You must use REDO immediately after the U or UNDO command.

Related Commands: U reverses the effect of the previous command. UNDO reverses the effect of multiple commands and provides control over the undo feature.


REDRAW

'REDRAW Command

Refreshes the display of the current viewport

View menu: Redraw
Command line: redraw

AutoCAD LT removes blips and display artifacts (stray pixels) from the current viewport.

Related Commands: REGEN regenerates the drawing and refreshes all viewports.


REGEN

REGEN Command

Regenerates the drawing and refreshes all viewports

View menu: Regen
Command line: regen

AutoCAD LT recomputes the screen coordinates for all objects and reindexes the drawing database for optimum display and object selection performance.

Related Commands: REDRAW refreshes the display of all viewports.


REINIT

REINIT Command

Reinitializes the input/output ports, digitizer, display, and program parameters file

Command line: reinit

The Re-initialization dialog box is displayed.

For AutoCAD LT to run properly, the input/output ports, digitizer, display, and AutoCAD LT parameters file aclt.pgp must be initialized. If you change the settings, you must use REINIT to reinitialize before resuming the AutoCAD LT session.

The aclt.cfg file is an ASCII text file that stores command definitions. AutoCAD LT reloads aclt.pgp each time a new or existing drawing is opened. REINIT reloads aclt.cfg during an editing session.

Re-initialization Dialog Box

I/O Port Initialization

Controls the device for which you want to reinitialize the I/O port.

  • Digitizer. Initializes the I/O port for a digitizer.
  • Plotter. Initializes the I/O port for a digitizer.
  • Digitizer. Reinitializes the digitizer.
  • Display. Reinitializes the display.
  • PGP File. Reinitializes the aclt.pgp file.


RENAME

RENAME Command

Changes the names of named objects

Command line: rename

Block / Dimstyle / LAyer / LType / Style / Ucs / VIew / VPort: Enter an option
Old (object) name: Enter the old name
New (object) name: Enter the new name

Several types of objects, such as blocks and layers, can be referred to by name. You can use RENAME for these objects.

Related Commands: DDRENAME is the dialog box equivalent of RENAME.


RESUME

'RESUME Command

Continues an interrupted script

Command line: resume

You can interrupt a macro script that is running by pressing ESC or BACKSPACE.

Any error encountered while processing input from a script file also causes the script to be suspended. If a script is suspended while AutoCAD LT is active, you can use the RESUME command to continue the script.

Related Commands: SCRIPT executes a sequence of AutoCAD LT commands from a script file (.scr).


REVDATE

REVDATE Command

Inserts or updates a block containing user name, current time and date, and drawing name

Tools menu: Time and Date Stamp
Command line: revdate

You can explode the revdate block and place its contents in another location, such as a title block.

REVDATE block insertion point <0,0>: Specify a point or press ENTER
REVDATE block rotation (0 or 90 degrees) <0>: Specify an angle or press ENTER

AutoCAD LT inserts a revdate block or updates the existing block.

The first time you use REVDATE in a drawing, AutoCAD LT inserts the block. When you next use REVDATE, AutoCAD LT updates the block.


ROTATE

ROTATE Command

Rotates objects about a base point

Modify toolbar:
Modify menu: Rotate
Command line: rotate

Select objects: Use an object selection method
Base point: Specify a point (1)
<Rotation angle> / Reference: Specify an angle or enter r, or specify a point

Rotation Angle (ROTATE)

Specifies how far an object rotates around the base point.

The axis of rotation passes through the specified base point and is parallel to the Z axis of the current UCS.

Reference (ROTATE)

Specifies the absolute current rotation angle and the desired new rotation angle. The Reference option is used to align an object with the X and Y axes of the UCS or with geometric features in a drawing.

Reference angle <0>: Specify an angle by entering a value or by specifying two points
New angle: Specify the new absolute angle

Note: When you rotate a viewport object, the borders of the viewport remain parallel to the edges of the graphics display area.

Related Commands: UCS manages user coordinate systems.


RSCRIPT

RSCRIPT Command

Repeats a script file

Command line: rscript

The last script file is repeated.

If RSCRIPT is the last line in a script file, the file runs continuously until interrupted by ESC.

Note: Consider turning off UNDO and any log files if you anticipate running the script over a long period. Otherwise, these log files continue to grow and take up increasing amounts of disk space.

Related Commands: UNDO reverses the effect of commands and keeps a log of commands used. LOGFILEON writes the text window to a file. LOGFILEOFF closes the file opened by LOGFILEON. SCRIPT executes a sequence of commands from a script file.


SAVE

SAVE Command

Saves the drawing under the current file name or a specified name

Command line: save

If the drawing is named, AutoCAD LT saves the drawing without requesting a file name. If the drawing is unnamed, AutoCAD LT displays the Save Drawing As dialog box and saves the drawing under the file name you specify.

If the drawing is read-only, use the SAVEAS command to save changes under a different file name.

Note: The SAVE command is functionally identical to the QSAVE command.

Related Commands: QSAVE saves the current drawing. QUIT exits AutoCAD LT and allows you to save changes to the current drawing. SAVEAS renames the current drawing to the name specified.


SAVEAS

SAVEAS Command

Saves a copy of the current drawing under a new file name

File menu: Save As
Command line: saveas

The Save Drawing As dialog box is displayed. You can also specify a new file location and format.

Save Drawing As Dialog Box
File Name

Select or enter the name you want to assign to the drawing file you want to save.

Save as Type

Select the type of files you want displayed in the File Name box. Select the file format in which you want to save the drawing.

Save In

Select the drive and directory where you want to store the saved drawing file.

Options

Open the Export Options dialog box.

Export Options Dialog Box

Controls the drawing index and display of custom objects

Drawing Index

Determines whether layer or spatial indexes are created when you save a drawing. The indexes are used to improve performance during demand loading. Using indexes may slightly increase time required to save a drawing. Index types are None, Layer, Spatial, and Layer and Spatial.

Save Proxy Images of Custom Objects

If you save to the AutoCAD R14 or R13 drawing file types, and the drawing contains custom objects from another application, you can select Save Proxy Images of Custom Objects. Images of the custom objects are saved in the drawing file. If you do not choose this option, a frame for each object is saved in the drawing file.

  • None. Neither layer nor spatial indexes are created when you save a drawing.
  • Layer. Specifies that AutoCAD LT loads only layers that are on and thawed.
  • Spatial. Specifies that AutoCAD LT loads only the portion of the drawing within a clipped boundary.
  • Layer and Spatial. Optimizes performance by specifying that AutoCAD LT loads only layers that are on and thawed and are within a clipped boundary area.

Related Commands: QSAVE saves the current drawing. QUIT exits AutoCAD LT and allows you to save changes to the current drawing. SAVE saves the drawing under the current file name or a specified name.


SAVEURL

SAVEURL Command

Saves a DWG file to an Internet address

Internet Utilities toolbar:
File menu: Save to Internet
Command line: saveurl

The Save DWG to URL dialog box is displayed.

To save the current AutoCAD LT drawing directly to the Internet, use SAVEURL. You can enter a URL using ftp. You cannot use http and file formats.

Note: AutoCAD LT Internet Utilities cannot transfer files using ftp when you are connected to the Internet through a proxy server.

Save DWG to URL Dialog Box

You specify the address of the Internet site with the drawing you want to save in this dialog box. Enter a URL with an FTP address.

Options

Use Options to specify how your computer is connected to the Internet, whether by direct connection or proxy server, and to enter your login, user names, and passwords.

FTP Login
  • Anonymous Login. Select to login anonymously and enter the user name anonymous with no password. Clear to login to a secured server and enter your user name and password.

    Note: The FTP password is not remembered across AutoCAD LT sessions.

  • HTTP Secure Access. Enter your user name and password if your regularly access HTTP addresses that require authentication. If you leave these values blank, and the address requires authentication, you will be prompted.

    Note: The HTTP password is not remembered across AutoCAD LT sessions.

    Connection
  • Direct Connection. Select if you have a connection to the Internet through an ISP (Internet service provider).
  • Proxy Server. Select if you have a connection through a machine that serves as a gateway between a company�s internal intranet and the external Internet. If you do not know if you are using a proxy server you can usually look at the proxy settings in your browser by selecting Options or you can contact your network system administrator.
    Proxy Information
  • Proxy Server Name. Enter the proxy server name that you found by using Options in your browser or that your network system administrator supplied you.
  • FTP Port. The default port is automatically set. To select another port, enter its number.
  • HTTP Port. The default port is automatically set. To select another port, enter its number.


SCALE

SCALE Command

Enlarges or reduces selected objects equally in the X, Y, and Z directions

Modify toolbar:
Modify menu: Scale
Command line: scale

Select objects: Use an object selection method
Base point: Specify a point (1)
<Scale factor> / Reference: Specify a scale or enter r

Scale Factor

Multiplies the dimensions of the selected objects by the specified scale. A scale factor greater than 1 enlarges the objects. A scale factor between 0 and 1 shrinks the objects.

Reference

Scales the selected objects based on a reference length and a specified new length.

Reference length <1>: Specify a distance or press ENTER
New length: Specify a distance

If the new length is longer than the reference length, the objects are enlarged. If the new length is shorter than the reference length, the objects are reduced.

Related Commands: LENGTHEN lengthens an object. STRETCH moves or stretches an object.


SCRIPT

'SCRIPT Command

Executes a sequence of commands from a script file

Tools menu: Run Script
Command line: script

The Select Script File dialog box is displayed. Entering the file name of a script in the Select Script File dialog box invokes that script.

Select Script File Dialog Box

Runs a series of commands saved in a script file.

File Name

Select or enter the name of the script file you want to run.

Files of Type

Select the type of files you want to see in the File Name box.

Look In

Select the drive and directory that contain the script file you want to run.

Find File...

To use search criteria to find script files on multiple drives and directories, choose Find File. The Browse/Search dialog box is displayed.

Related Commands: DELAY provides a timed pause in scripts. RSCRIPT replays a script nonstop.


SELECT

SELECT Command

Places selected objects in the Previous selection set

Command line: select

Select objects: Use an object selection method

AutoCAD LT requires that objects be selected in order to be processed. The Select Objects prompt occurs after many commands, including the SELECT command itself.

A small box, called the object selection target, replaces the crosshair on the graphics cursor.

You can select objects individually with the pointing device, by drawing a selection window around them, by entering coordinates, or by using one of the selection methods listed below. These methods can be used to select objects regardless of the command that initiated the Select Objects prompt.

  • Add
  • ALL
  • Auto
  • BOX
  • Cpolygon
  • Crossing
  • Fence
  • Last
  • Multiple
  • Previous
  • Remove
  • Single
  • Undo
  • Window
  • WPolygon

Add

Switches to Add mode. Auto and Add are the default modes in the SELECT command. In Add mode, selected objects can be added to the selection set by using any of the object selection methods.

All

Selects all objects on thawed and unlocked layers.

Auto

Switches to automatic mode. Auto and Add are the default modes in the SELECT command. In automatic selection, pointing to an object selects the object. Pointing to a blank area inside or outside an object forms the first corner of a box defined by the Box method.

Box

Selects all objects inside or crossing a rectangle specified by two points. If the rectangle's points are specified from right to left, Box is equivalent to Crossing. Otherwise, Box is equivalent to Window.

First corner: Specify a point
Other corner: Specify a point for the opposite corner

Crossing

Selects objects within and crossing a box defined by two points. Crossing displays a dashed or otherwise highlighted box to differentiate it from a window selection box.

First corner: Specify a point (1) for a right corner
Other corner: Specify a point (2) for a left corner

Cpolygon

Selects objects within and crossing a polygon defined by specifying points around the objects to be selected. The polygon can be any shape but cannot cross or touch itself. AutoCAD LT sketches the last segment of the polygon so that it is closed at all times.

First polygon point: Specify a point
Undo / <Endpoint of line>: Specify a point, enter u, or press ENTER

Fence

Selects all objects crossing a selection fence. The Fence method is similar to the CPolygon method except that AutoCAD LT does not close the last of the fence, and a fence can cross itself. Fence is not affected by the PICKADD system variable.

First fence point: Specify a point
Undo / <Endpoint of line>: Specify a point, enter u, or press ENTER

Last

Selects the most recently created object.

Multiple

Specifies multiple points without highlighting the objects, thus speeding up the selection process for complex objects. The Multiple method also selects two intersecting objects if the intersection point is specified twice.

Previous

Selects the most recent selection set. The Previous selection set is ignored if you switch between model space and paper space.

Remove

Switches to Remove mode, in which objects can be removed from the current selection set using any object selection method. An alternative to Remove mode is to press SHIFT while selecting single objects or using the Automatic option.

Single

Switches to Single mode and selects the first object or set of objects designated rather than continuing to prompt for further selections.

Undo

Cancels selection of the object most recently added to the selection set.

Window

Selects all objects completely inside a rectangle defined by two points.

First corner: Specify a point (1) for a left corner
Other corner: Specify a point (2) for a right corner

Wpolygon

Selects objects within a polygon defined by points. The polygon can be any shape but cannot cross or touch itself. AutoCAD LT sketches the last segment of the polygon so that it is closed at all times. WPolygon is not affected by the PICKADD system variable.

First polygon point: Specify a point
Undo / <Endpoint of line>: Specify a point, enter u, or press ENTER

Related Commands: DDSELECT controls object selection settings, including noun/verb selection, and creates a named selection set of objects.
System Variables: PICKFIRST controls whether AutoCAD LT accepts object selection before an editing command. PICKADD controls whether subsequent selections replace the current selection set or add to it.


SELECTURL

SELECTURL Command

Selects all the URLs attached to a DWG file

Internet Utilities toolbar:
Edit Menu: Select URLs
Command line: selecturl

All objects in the current drawing that have URLs attached are selected.

To edit selected objects in a drawing with URLs attached to Internet sites, use SELECTURL. For editing select any of the methods available to you with AutoCAD LT.


SETENV

SETENV Command

Sets values of specified registry variables

Command line: setenv

AutoCAD LT system registry variables can be set from within AutoCAD LT with SETENV. The two most likely registry variables are MaxArray and MaxHatch.

Note: SETENV is case-sensitive, so MaxArray and MaxHatch must be entered exactly as shown in the examples.


SETVAR

'SETVAR Command

Lists or changes the values of system variables

Command line: setvar

Variable name or ? <current>: Enter a variable name or ? to list all variables and their current options

The current system variable is displayed after SETVAR is used in a drawing session.

You can change the value of most system variables at the Command prompt by entering the name of the variable and its new value.

? List Variables

Variable(s) to list <*>: Enter a wild-card pattern or press ENTER

Variable Name

New value for variable<current>: Enter a new value or press ENTER


SHADE

SHADE Command

Displays a flat-shaded image of the drawing in the current viewport

View menu: Shade
Command line: shade

The SHADE command uses the colors of the object being shaded. AutoCAD LT calculates shading based on one light source from directly behind the eye. Subsequent changes to the drawing are not reflected in the shaded object until you use the SHADE command again.

The shaded image remains in the viewport until the viewport is regenerated. The shaded image cannot be printed or plotted; however, you can output a shaded image to a slide using the MSLIDE command.

On systems that display fewer than 256 colors, SHADE produces an image that removes hidden lines and displays the faces in their original color with no lighting effect.

AutoCAD LT removes hidden lines and displays a shaded picture of the drawing.

Related Commands: HIDE regenerates a 3D model with hidden lines removed. MSLIDE creates a slide file of the current viewport. VSLIDE displays a slide file in the current viewport.
System Variables: SHADEDGE determines the shading method used. SHADEDIF controls diffuse reflection.


SNAP

'SNAP Command

Restricts cursor movement to regular intervals

Command line: snap

Snap spacing or ON / OFF / Aspect / Rotate / Style <current>: Specify a distance, enter an option, or press ENTER

The points you enter with a pointing device can be locked into regular intervals on an invisible rectangular snap grid. You can rotate the snap grid, set differing X and Y spacing, or choose an isometric format.

A change in the snap grid affects only the coordinates of new points. Objects already in the drawing retain their existing coordinates.

The snap grid is invisible. Use the GRID command to display a separate visible grid of dots. Set the spacing of the two grids to equal or related values.

Spacing (SNAP)

Activates Snap mode with the value you specify.

On/Off (SNAP)

  • On. Activates Snap mode using the current snap grid resolution, rotation, and style.
  • Off. Turns off Snap mode but retains the values and modes.

Aspect (SNAP)

Specifies different spacing in the X and Y directions. This option is not available if the current snap style is Isometric.

Horizontal spacing <current>: Specify a distance or press ENTER
Vertical spacing <current>: Specify a distance or press ENTER

Rotate (SNAP)

Sets the rotation and base point of the snap grid with respect to the drawing and the display screen. The base point sets the origin point of the snap grid, shifting it to a specified location. You can specify a rotation angle between -90 and 90 degrees. A positive angle rotates the grid counterclockwise about its base point. A negative angle rotates the grid clockwise.

Base point <current>: Specify a point or press ENTER
Rotation angle <current>: Specify an angle or press ENTER

Angle adjusted to value.

Style (SNAP)

Selects the format of the snap grid, which is standard or isometric.

Standard / Isometric <current>: Enter s or i or press ENTER

Standard

Displays a rectangular grid that is parallel to the XY plane of the current UCS. X and Y spacing may differ.

Spacing / Aspect <current>:Specify a distance, enter a, or press ENTER

Isometric

Displays an isometric grid, where the grid points are initially at 30- and 150-degree angles.

Vertical spacing <current>: Specify a distance or press ENTER

The ISOPLANE command determines whether the crosshairs lie in the top isometric plane (30- and 150-degree angles), the left isoplane (90- and 150-degree angles), or the right isoplane (30- and 90-degree angles).

Isometric snap can be rotated but cannot have different horizontal and vertical spacing.

  • Spacing. Changes the overall spacing.
  • Aspect. Changes the horizontal and vertical spacing separately.

Related Commands: GRID displays a dot grid at the specified spacing and angle.
System Variables: SNAPBASE stores the origin point of the snap grid. The grid display is also changed after a redraw or other viewing command.


SOLID

SOLID Command

Creates solid-filled triangles and quadrilaterals

Command line: solid

First point: Specify a point (1)
Second point: Specify a point (2)

The first two points define one edge of the polygon.

Third point: Specify a point (3) diagonally opposite the second
Fourth point: Specify a point (4) or press ENTER

Pressing ENTER creates a filled triangle. Specifying a fourth point creates a quadrilateral area.

The last two points form the first edge of the next filled area.

AutoCAD LT repeats the Third Point and Fourth Point prompts. Specifying successive third and fourth points creates additional triangles and quadrilaterals. Pressing ENTER ends the command.

Solids are filled only when the FILLMODE system variable is on and the viewing direction is orthogonal to 2D solid.

Related Commands: FILL controls Fill mode.
System Variables: FILLMODE stores the current setting for Fill mode.


SPELL

'SPELL Command

Checks spelling in a drawing

Standard toolbar:
Tools menu: Spelling
Command line: spell

Select objects: Use an object selection method

The SPELL command corrects the spelling of text objects created with the LEADER, TEXT, DTEXT (line text), and MTEXT (paragraph text) commands.The Check Spelling dialog box is displayed only if AutoCAD LT finds an unknown word in the selected text.

Check Spelling Dialog Box

Current Dictionary

Displays the name of the dictionary currently loaded. To use a different dictionary, select Change Dictionaries.

Current Word

Displays the name of the word being checked.

Suggestions

Displays a list of suggested replacement words from the current dictionary. Select a replacement or enter a replacement word in the box.

Ignore

Does not replace the word currently being checked with the word displayed in Suggestions.

Change

Replaces the word currently being checked with the word displayed in Suggestions.

Add

Adds the current word to the custom dictionary

Note: This option is not available if you have not loaded a custom dictionary. To load a custom dictionary, choose Change Dictionaries.

Ignore All

Ignores all instances of the current word in the entire text object.

Change All

Replaces all instances of the word currently being checked in the text object with the word displayed in Suggestions.

Lookup

Lists words similar to the word selected in Suggestions.

Change Dictionaries

Displays the Change Dictionaries dialog box. You can change the main dictionary, open a custom dictionary, or create a custom dictionary.

Context

Displays the phrase in which the current word is located.

Change Dictionaries Dialog Box

Changes the dictionary used by the SPELL command.

Main Dictionary

Select the main dictionary you want to use for all spelling checks. This dictionary is used in conjunction with any custom dictionary you may have loaded.

Custom Dictionary

Enter the drive, directory, and file name of the custom dictionary (file extension .cus) you want to use for the spell check. To create a new custom dictionary, enter a name and choose OK.

Browse

Select Browse to use a dialog box to find a custom dictionary or to define the location of a new custom dictionary. The Select Custom Dictionary dialog box is displayed.

Custom Dictionary Words

Displays a list of words that have been added to the custom dictionary. Enter a word in the box to add to the dictionary or select a word you want to delete from the list.

  • Add. Adds to add the word you entered in the box.
  • Delete. Deletes to delete the word you selected in the list.

Select Custom Dictionary Dialog Box
File Name

Select or enter the name of the custom dictionary file you want to use or create. Be sure to add the file extension .cus.

Files of Type

Select the type of files you want to see in the File Name list.

Look In

Select the drive and directory that contain the custom dictionary file you want to use.

Find File

Choose Find File to find custom dictionary files on multiple drives and directories.

Related Commands: DDEDIT edits text and attribute definitions. DTEXT creates a single line of text on the screen as you enter it. MTEXT creates a paragraph that fits within a specified area. STYLE creates text styles. TEXT creates a single line of text.
System Variables: DCTCUST displays the current custom spelling dictionary path and file name. DCTMAIN displays the current main spelling dictionary file name.


SPLINE

SPLINE Command

Creates a quadratic or cubic spline (NURBS) curve

Draw toolbar:
Draw menu: Spline
Command line: spline

Object / <Enter first point>: Specify a point or enter o

The SPLINE command fits a smooth curve to a sequence of points within a specified tolerance.

Enter First Point (SPLINE)

Creates a spline using points you specify.

Enter point: Specify a point

Enter points until you have defined the spline curve. After you have entered two points, AutoCAD LT displays the following prompt:

Close / Fit Tolerance / <Enter point>: Specify a point, enter an option, or press ENTER

Close

Closes the spline curve by defining the last point to be coincident with the first and making it tangent to the joint.

Enter tangent: Specify a point or press ENTER

Specify a point to define the tangent vector or use the Tangent and Perpendicular object snaps to make the spline tangent or perpendicular to existing objects.

Fit Tolerance

Changes the tolerance for fitting of the current spline curve. The current spline curve is redefined such that it can fit through existing points differently, according to the new tolerance.

Enter Fit Tolerance <current>: Enter a value or press ENTER

If you set the tolerance to 0, the spline curve passes through the fit points. Entering a tolerance greater than 0 allows the spline curve to pass through the fit points within the specified tolerance.

Enter Point

Continuing to enter points adds additional spline curve segments until you press ENTER. Enter undo to remove the last point specified.

Enter Start Tangent: Specify a point or press ENTER

The Enter start tangent prompt specifies the tangency of the spline curve at the first point.

Enter End Tangent: Specify a point or press ENTER

The Enter End Tangent prompt specifies the tangency of the spline curve at the last point.

Object (SPLINE)

Converts 2D or 3D quadratic or cubic spline-fit polylines to equivalent splines and deletes the polylines.

Select objects to convert to splines:
Select objects: Select 2D or 3D spline-fit polylines

If you specify tangency at both endpoints of the spline, you can enter a point or use the Tangent and Perpendicular object snaps to make the spline tangent or perpendicular to existing objects. If you press ENTER, AutoCAD LT calculates default tangents.

Related Commands: SPLINEDIT edits a spline object. PEDIT can edit a polyline object into a spline-fit polyline. The order of the resulting spline-fit polyline depends on the SPLINETYPE system variable.


SPLINEDIT

SPLINEDIT Command

Edits a spline object or spline-fit polyline

Modify II toolbar:
Modify menu: Object > Spline
Command line: splinedit

Select spline: Use an object selection method
Fit Data / Close / Move Vertex / Refine / rEverse / Undo / eXit <X>: Enter an option or press ENTER

When you select a spline object or spline-fit polyline, grips appear at the control points.

If the selected spline is closed, the Close option changes to Open. If the selected spline has no fit data, the Fit Data option is not available. Fit data consists of all fit points, the fit tolerance, and tangents associated with splines created with the SPLINE command.

A spline can lose its fit data if you

  • Use the Purge option while editing fit data
  • Refine the spline by elevating the order, adding a control point, or changing the weight of a control point
  • Change the fit tolerance
  • Move a control point
  • Trim, break, stretch, or lengthen the spline

Fit Data (SPLINEDIT)

Edits fit data splines using the following options:

Add / Close / Delete / Move / Purge / Tangents / toLerance / eXit <X>: Enter an option or press ENTER

Add

Adds fit points to a spline.

Select point: Select a fit point
Enter new point: Specify a point
Enter new point: Specify a point or press ENTER

When you select a point, AutoCAD LT highlights it and the next point and interprets the new point to go between the highlighted points. Use the Undo option to remove the last point added.

Selecting the last point on an open spline highlights only that point, and AutoCAD LT adds the new point after the last. If you select the first point on an open spline, you have the option of placing the new point before or after the first point.

After / <Before> <Enter new point>: Specify a point, enter an option, or press ENTER
Enter new point: Specify a point or press ENTER

AutoCAD LT adds the point and refits the spline through the new set of points.

Close

Closes an open spline and makes it tangent continuous (smooth) at its endpoints.

If the start point and endpoint of the spline are the same, the close option makes it tangent continuous at both points

Open

Opens a closed spline. If the start point and endpoint of the spline were the same before the Close option was used to make it tangent continuous at both points, the Open option returns the spline to its original state. The start point and endpoint remain the same but lose their tangent continuity (smoothness).If the spline was open before the Close option was used to make it tangent continuous where the start point and endpoint meet, the open option returns the spline to its original open state and removes tangent continuity.

Delete

Removes fit points from a spline and refits the spline through the remaining points.

Select point: Select a fit point or press ENTER

Move

Moves a fit point to a new location.

Next / Previous / Select Point / eXit / Enter new location: <N>: Specify a point, enter an option, or press ENTER

  • Select Point. Selects from the set of fit points.
  • Next. Changes the selected point to be the next point.
  • Previous. Changes the point to the previous point.
  • Enter New Location. Moves the selected point when you specify a point.
  • Exit. Returns you to the main prompt of the SPLINEDIT command.

Purge

Removes a spline's fit data from the drawing database. After purging the spline's fit data, AutoCAD LT displays the main prompt without the Fit Data option.

Tangents

Edits the start and end tangents of a spline.

System Default/<Enter start tangent>: Specify a point, enter an option, or press ENTER
System Default/<Enter end tangent>: Specify a point, enter an option, or press ENTER

If the spline is closed, the Enter Start Tangent option changes to Enter Tangent. The System Default option calculates the default tangents at the ends. You can specify a point or use Tan or Perp object snap mode to make the spline tangential or perpendicular to existing objects.

Tolerance

Refits the spline to the existing points with new tolerance values.

Enter fit tolerance <current>: Enter a value or press ENTER

Exit

Returns to the main prompt of the SPLINEDIT command.

Close (SPLINEDIT)

Closes an open spline and makes it tangent continuous (smooth) at its endpoints. If the start point and endpoint of the spline are the same, the Close option makes it tangent continuous at both points.

Open

Opens a closed spline. If the start point and endpoint of the spline were the same before the Close option was used to make it tangent continuous at both points, the Open option returns the spline to its original state. The start point and endpoint remain the same but lose their tangent continuity (smoothness).

If the spline was open before the Close option was used to make it tangent continuous where the start point and endpoint meet, the Open option returns the spline to its original open state and removes tangent continuity.

Move Vertex (SPLINEDIT)

Relocates the control vertices of a spline and purges the fit points.

Next / Previous / Select Point / eXit / Enter new location <N>: Specify a point, enter an option, or press ENTER

Next

Changes the selected point to be the next point. The point marker does not wrap around from the end to the start of the spline, even if the spline is closed.

Previous

Changes the selected point to be the previous point. The point marker does not wrap around from the end to the start of the spline, even if the spline is closed.

Select Point

Selects a point from the set of control points.

Exit

Ends the SPLINEDIT command.

Enter New Location

Moves the selected point to a new location when you locate a point or enter a coordinate.

After you enter a new location for the selected point, AutoCAD LT recalculates and displays the spline with a new set of control points.

Refine (SPLINEDIT)

Fine-tunes a spline definition.

Add control point / Elevate Order / Weight / eXit <X>: Enter an option or press ENTER

Add Control Point

Increases the number of points that control a portion of a spline.

Select a point on the spline: Select a point or press ENTER

AutoCAD LT adds a new control point close to the location you select between the two control points.

Elevate Order

Increases the order of the spline.

Enter new order <current>: Enter an integer or press ENTER

Entering a value greater than the current value increases the number of control points uniformly across the spline for more localized control. The maximum value for order is 26.

Weight

Changes the weight at various spline control points. A larger value will pull the spline closer to the control point.

Next / Previous / Select Point / eXit / <Enter new weight> <current> <N>: Enter an integer, enter an option, or press ENTER

  • Next. Changes the selected point to be the next point. The point marker does not wrap around from the end to the start of the spline, even if the spline is closed.
  • Previous. Changes the selected point to be the previous point. The point marker does not wrap around from the end to the start of the spline, even if the spline is closed.
  • Select Point. Selects a point from the set of control points.
  • Exit. Returns to the main Refine prompt.
  • Enter New Weight. Recalculates the spline based on the new weight value at the selected control point. The larger the value, the more the spline is pulled toward the control point.
Exit

Returns to the main prompt.

Reverse

Reverses the direction of a spline. This option is intended primarily for applications that are added on to AutoCAD LT.

Undo

Cancels the last editing action.

Exit

Ends the command and returns to the Command prompt.

Related Commands: PEDIT edits spline-fit polylines. SPLINE creates a quadratic or cubic spline (NURBS) curve.


STRETCH

STRETCH Command

Moves or stretches objects

Modify toolbar:
Modify menu: Stretch
Command line: stretch

Select objects: Use the CPolygon or Crossing object selection method

AutoCAD LT stretches arcs, elliptical arcs, lines, polyline segments, 2D solids, rays, and splines that cross the selection window. The STRETCH command also moves vertices of 2D solids that lie inside the window and leaves those outside unchanged. Polylines are handled segment by segment, as if they were primitive lines or arcs. STRETCH does not modify polyline width, tangent, or curve-fitting information.

Any objects that are entirely within the window or polygon are moved, as if you were using the MOVE command.

Base point or displacement: Specify a point (3) or press ENTER
Second point of displacement: Specify a point (4) or press ENTER

If you enter a second point, the objects are stretched the distance from the base point to the second point. If you press ENTER instead of specifying a second point of displacement prompt, STRETCH treats the first point as the X,Y displacement value.

Related Commands: EXTEND extends a line, arc, or polyline to meet another object. LENGTHEN lengthens an object. MOVE displaces objects a specified distance in a specified direction. TRIM trims selected objects precisely at a defined cutting edge.


TABLET

TABLET Command

Calibrates and configures the tablet; turns Tablet mode on and off

Tools menu: Tablet
Command line: tablet

Option (ON / OFF / CAL/ CFG): Enter an option

On

Turns on Tablet mode. Setting the TABMODE system variable to 1 also turns on Tablet mode. Pressing CTRL+T on some systems turns Tablet mode on and off.

Off

Turns off Tablet mode. Setting the TABMODE system variable to 0 also turns off Tablet mode. Pressing CTRL+T on some systems turns Tablet mode on and off.

Cal

Calibrates the digitizer with a paper drawing or photograph, creating the tablet transformation, which is the mapping of points from the tablet to the coordinate drawing system. Calibration is digitizing points on the drawing and mapping them to their real coordinates.

Calibration can be performed in model space or paper space. The CAL option turns on Tablet mode in the space in which the tablet is calibrated. When the space is changed, the CAL option turns off Tablet mode.

The paper should be flat (with no bumps or wrinkles), and securely fastened to the digitizing tablet. The paper can be oriented at any angle.

Digitize point 1: Digitize a point on the paper drawing
Enter coordinates point 1: Specify an X,Y coordinate at the digitized point
Digitize point 2: Digitize a point on the paper drawing
Enter coordinates point 2: Specify an X,Y coordinate at the digitized point
Digitize point 3 (or ENTER to end): Digitize a point on the tablet or press ENTER
Enter coordinates for point 3: Specify an X,Y coordinate in the drawing

The points entered cannot be duplicates. The points need not be the origin on either axis, and you can enter as many points as you like. The more points entered, the more accurate the drawing will be.

After calibrating the tablet, set the transformation to Orthogonal, Affine, or Projective.

  • Orthogonal. Specifies translation, uniform scaling, and rotation with two calibration points. Use Orthogonal for dimensionally accurate paper drawings and paper drawings in which the portion to be digitized is long and narrow, with most points confined to single lines.

    • Note: You must specify the lower-left point location before the upper-right point location.

  • Affine. Specifies arbitrary linear transformation in two dimensions consisting of translation, independent X- and Y-scaling, rotation, and skewing with three calibration points.

    • Use Affine when horizontal dimensions in a paper drawing are stretched with respect to vertical dimensions, and lines that are supposed to be parallel actually are parallel.

    The RMS (root mean square) error reported after calibration measures how close AutoCAD LT has come to making a perfect fit. Affine should be used if the RMS is small.

  • Projective. Specifies a transformation equivalent to a perspective projection of one plane in space onto another plane with four calibration points. A projective transformation provides a limited form of what cartographers call rubber sheeting, in which different portions of the tablet surface are stretched by varying amounts. Straight lines map into straight lines. Parallel lines do not necessarily stay parallel.

    • Projective transformation corrects parallel lines that appear to converge.

If only two points are entered, AutoCAD LT LT automatically computes an orthogonal transformation. If it is successful, AutoCAD LT ends the command.

If three or more points are entered, AutoCAD LT computes the transformation in each of the three types to determine which best fits the calibration points. If more than four points are entered, computing the best-fitting projective transformation can take a long time. You can cancel the process by pressing ESC.

When the computations are complete, AutoCAD LT displays a table with the number of calibration points and a column for each transformation type. The following information is provided under each column.

  • Outcome of fit. Reports the outcome of fit for each of the transformation types. If the outcome of fit is not Success or Exact for any of the transformation types, AutoCAD LT reports failure of the entire calibration process and ends the command.

  • RMS error. Reports the RMS (root mean square) error, which measures how close AutoCAD LT has come to finding a perfect fit. The goal is the smallest RMS error.

  • Standard deviation. Reports the standard deviation of the residuals. If it is near zero, the residual at each calibration point is about the same.

  • Largest residual/At point. Reports the point at which the mapping is least accurate. The residual is the distance between where the point was mapped during transformation and where it would be mapped if the fit were perfect. The distance is given in the current linear units.

  • Second largest residual/At point. Reports the point at which the mapping is second-least accurate. The residual is the distance between where the point was mapped during transformation and where it would be mapped if the fit were perfect. The distance is given in the current linear units.

The remaining entries in each column are blank unless the outcome of fit is Success.

Cfg

Designates or realigns the tablet menu areas or designates a portion of a large tablet as a screen pointing area.

Enter number of tablet menus desired (0-4) <current>: Enter a value or press ENTER

If tablet menus are in use and the same number of menus is selected, AutoCAD LT prompts:

Do you want to realign tablet menu areas? <:N>: Enter y or n or press ENTER
Digitize upper-left corner of menu area n: Digitize a point (1)
Digitize lower-left corner of menu area n: Digitize a point (2)
Digitize lower-right corner of menu area n: Digitize a point (3)

In the prompt, n is the menu number (1-4).

The printed menu form must be affixed to the tablet surface, and the requested points must be digitized. The set of three points must form a 90-degree angle. Tablet menu areas can be skewed at any angle.

Enter the number of columns for menu area n: Enter a positive value
Enter the number of rows for menu area n: Enter a positive value

After all interaction concerning tablet menus is complete, AutoCAD LT displays the following prompt:

Do you want to respecify the screen pointing area? <N>: Enter y or n or press ENTER

If you enter y, AutoCAD LT displays the following prompt:.

Digitize lower-left corner of the pointing area: Digitize a point
Digitize upper-right corner of the pointing area: Digitize a point

A small portion of the tablet's surface is designated as the Fixed Screen Pointing area. AutoCAD LT displays the following prompts:

Do you want to specify the Floating Screen Pointing area? <N>: Enter y or n or press ENTER

If you responded y to the previous prompt, respond to the following prompt.

Do you want the Floating Screen Area to be the same size as the Fixed Screen Pointing Area? <Y>: Enter y or n or press ENTER

If you responded n to the previous prompt, respond to the following prompts.

Digitize lower-left corner of the Floating Screen pointing area: Digitize a point
Digitize upper-right corner of the Floating Screen pointing area: Digitize a point

Respond to the following prompt.

The F12 key will toggle the Floating Screen Area ON and OFF. Would you also like to specify a button to toggle the Floating Screen Area? <N>: Enter y or n or press ENTER

If you responded y to the previous prompt, respond to the following prompt.

Press any non-pick button on the digitizer puck that you wish to designate as the toggle for the Floating Screen Area.

Related Commands: REINIT reinitializes the digitizer.
System Variables: TABMODE turns Tablet mode on and off.


TEXT

TEXT Command

Creates a single line of text

Command line: text

Justify / Style / <Start point>: Specify a point, enter an option, or press ENTER

If TEXT was the last command entered, pressing ENTER skips the prompts for height and rotation angle and immediately displays the Text prompt. The text you enter is placed directly beneath the previous line of text.

The prompts that appear are the same as those for the DTEXT command, but the TEXT command displays the Text prompt only once. For a description of each option, see DTEXT.

When you use the Insertion object snap mode to insert a block, AutoCAD LT snaps to the point you specified at the Start Point prompt.

You can overscore and underscore text and insert special characters. See Special Unicode Characters and Control Codes and Special Characters.

Related Commands: DDEDIT edits text content. STYLE creates text styles. DTEXT displays text on the screen as you enter it. MTEXT creates a paragraph object that fits within a specified area. SPELL checks the spelling of text.


TEXTSCR

'TEXTSCR Command

Switches from the graphics to the text screen

View menu: Display > Text Window
Command line: textscr

This command is ignored on dual-screen systems.

Related Commands: GRAPHSCR switches from the text to the graphics screen. F2 toggles the text screen on and off.


TIME

'TIME Command

Displays the date and time statistics of a drawing

Tools menu: Inquiry > Time
Command line: time

AutoCAD LT displays information as in the following example:

Current time: 16 Mar 1994 at 09:10:44.005

Times for this drawing:

Created: 23 Jul 1993 at 07:21:30.648

Last updated: 12 Mar 1994 at 15:33:59.771

Total editing time: 0 days 01:44:10.520

Elapsed timer (on): 0 days 00:07:05.312

Next automatic save in: 0 days 01:59:15.570

Related Commands: PREFERENCES sets the time interval for automatic saves. REVDATE inserts or updates a block containing user name, current time and date, and drawing name.
System Variables: SAVETIME stores the time interval for automatic saves. CDATE stores the current date. TDCREATE stores the time and date of the drawing creation. TDINDWG calculates the total editing time. TDUPDATE stores the time and date of the last update/save. TDUSRTIMER calculates time for the user elapsed timer.


TOLERANCE

TOLERANCE Command

Creates geometric tolerances

Dimension toolbar:
Dimension menu: Tolerance
Command line: tolerance

The Symbol dialog box is displayed.

Geometric tolerances define the maximum allowable variations of form or profile, orientation, location, and runout from the exact geometry in a drawing. They specify the required accuracy for proper function and fit of the objects you draw in AutoCAD LT.

AutoCAD LT adds geometric tolerances to a drawing in feature control frames. These are frames divided into compartments that contain the geometric characteristic symbols followed by one or more tolerance values. Where applicable, the tolerance is preceded by the diameter symbol and followed by datums and symbols for their material conditions.

Symbol Dialog Box

Displays the geometric characteristic symbols for location, orientation, form, profile, and runout. Select the symbol you want to use. AutoCAD LT closes the dialog box and inserts the symbol into the Sym box in the Geometric Tolerance dialog box. The following table describes the symbols.

Symbol | Characteristic | Type
 | Position | Location
 | Concentricity or coaxiality | Location
 | Symmetry | Location
 | Parallelism | Orientation
 | Perpendicularity | Orientation
 | Angularity | Orientation
 | Cylindricity | Form
 | Flatness | Form
 | Circularity or roundness | Form
 | Straightness | Form
 | Surface profile | Profile
 | Line profile | Profile
 | Circular runout | Runout
 | Total runout | Runout

Geometric Tolerance Dialog Box

Specifies the symbols and values for a feature control frame.

Sym

Contains the geometric characteristic symbol you selected in the Symbol dialog box. Select a box to open the Symbol dialog box again.

Tolerance 1

Creates the first tolerance value in the feature control frame. Two modifying symbols can be included with this value: diameter and material condition. The tolerance value indicates the amount by which the geometric characteristic can deviate from a perfect form.

  • Dia. Inserts a diameter symbol (Æ) in front of the tolerance value.
  • Value. Creates the tolerance value. Enter a value in the box.
  • MC. Displays the Material Condition dialog box, in which you select a symbol. These symbols act as modifiers to the geometric characteristic and the tolerance value of features that can vary in size.
Tolerance 2

Creates the second tolerance value in the feature control frame. Specify the second tolerance value in the same way as the first.

  • Dia. Inserts a diameter symbol (Æ) in front of the tolerance value.
  • Value. Creates the tolerance value. Enter a value in the box.
  • MC. Displays the Material Condition dialog box, in which you select a symbol. These symbols act as modifiers to the geometric characteristic and the tolerance value of features that can vary in size.
Datum 1

Creates the primary datum reference in the feature control frame. The datum reference can consist of a value and a modifying symbol. A datum is a theoretically exact geometric reference used to establish the tolerance zone for a feature.

  • Datum. Creates the datum reference value. Enter the value in the text box.
  • MC. Displays the Material Condition dialog box, in which you select a modifying symbol. These symbols act as modifiers to the datum reference.
Datum 2

Creates the secondary datum reference in the feature control frame. Specify the secondary datum reference in the same way as the primary.

  • Datum. Creates the datum reference value. Enter the value in the text box.
  • MC. Displays the Material Condition dialog box, in which you select a modifying symbol. These symbols act as modifiers to the datum reference.
Datum 3

Creates the tertiary datum reference in the feature control frame. Create the tertiary datum reference in the same way as the primary datum reference.

  • Datum. Creates the datum reference value. Enter the value in the text box.
  • MC. Displays the Material Condition dialog box, in which you select a modifying symbol. These symbols act as modifiers to the datum reference.
Height

Creates a projected tolerance zone value in the feature control frame. A projected tolerance zone controls the height of the extended portion of a fixed perpendicular part and refines the tolerance to that specified by positional tolerances. Enter the value in the box.

Projected Tolerance Zone

Inserts a projected tolerance zone symbol,

, after the projected tolerance zone value.

Datum Identifier

Creates a datum-identifying symbol consisting of a reference letter preceded and followed by a dash. A datum is a theoretically exact geometric reference from which you can establish the location and tolerance zones of other features. A point, line, plane, cylinder, or other geometry can serve as a datum. Enter the letter in the box.

After you select geometric characteristic symbols and choose OK, the Geometric Tolerance dialog closes and, AutoCAD LT displays this prompt:

Enter tolerance location: Specify a location

AutoCAD LT places the feature control frame at the specified location.

Material Condition Dialog Box

Select the symbol you want to use. AutoCAD LT clears the Material Condition dialog box and inserts the symbol into the MC text box for the datum reference in the Geometric Tolerance dialog box.

Symbol | Term
 | At maximum material condition
 | At least material condition
 | Regardless of feature size

Related Commands: DDIM controls dimension styles and settings such as lateral and limits tolerancing for dimensions. LEADER creates leader lines to which you can attach geometric tolerances
System Variables: DIMCLRE controls the color of the feature control frame. DIMCLRT controls the color of the tolerance text. DIMGAP controls the gap between the feature control frame and the text. DIMTXT controls the size of the tolerance text. DIMTXSTY controls the style of the tolerance text.


TOOLBAR

TOOLBAR Command

Displays, hides, and positions toolbars

View menu: Toolbars
Command line: toolbar

AutoCAD LT displays the Toolbars dialog box.

If you enter -toolbar at the Command prompt, TOOLBAR presents options on the command line.

Toolbars Dialog Box

Displays or hides toolbars. To turn a toolbar on or off, select the box to the left of its name.

New

Displays the New Toolbar dialog box.

Delete

Removes the toolbar selected in the Toolbars list.

Customize

Displays the Customize Toolbars dialog box.

Properties

Displays the Toolbar Properties dialog box.

Large Buttons

Controls the size at which buttons are displayed. The default display size is 16 x 16 pixels. Turning on Large Buttons displays icons at 24 x 24 pixels.

Show ToolTips

Controls whether ToolTips are displayed when you move your cursor over an icon in the toolbar.

Menu Group

Displays the menu group that a toolbar belongs to. If the toolbars you want to display, hide, or edit belong to a menu group other than ACLT, you need to select that menu group from the list box.

New Toolbar Dialog Box

Creates a new toolbar.

Toolbar Name

Specifies a name for the new toolbar.

Menu Group

Specifies a menu group for the new toolbar. For more information, see "Creating Pull-Down and Right-Click Menus".

Customize Toolbars Dialog Box

Moves or copies icons from one toolbar to another. Drag the icon from the Customize Toolbars dialog box to a visible toolbar. To copy a tool icon, hold down CTRL while you drag.

When the Customize Toolbars dialog box is displayed, right-clicking any icon displays the Button Properties dialog box. Right-clicking an icon that contains a flyout toolbar displays the Flyout Properties dialog box.

Toolbar Properties

Provides information about the toolbar and changes the toolbar name and help text.

Name

Specifies a toolbar name.

Help

Displays the text displayed at the left end of the status bar when the pointing device moves over the toolbar.

Alias

Displays the toolbar name that AutoCAD LT uses internally. The name includes a prefix that represents the toolbar's menu group, followed by the toolbar name as it appears in the aclt.mnu file. The toolbar alias is used in the TOOLBAR command.

Button Properties Dialog Box

Name

Specifies the tool name. If Show ToolTips is selected in the Toolbars dialog box, the name is displayed when the pointing device moves over the tool icon.

Help

Displays the text displayed at the left end of the status bar when the pointing device moves over the tool icon.

Macro

Controls the command or set of commands associated with a tool icon. Enter a command in the box. Separate a series of commands using a semicolon (;).

Button Icon Dialog Box

Specifies the icon associated with a tool. Select an icon from the list or choose Edit to modify an icon. Edit displays the Button Editor dialog box, in which you can customize an existing button or create a new one.

Flyout Properties Dialog Box

Name

Specifies the tool icon name. If Show ToolTips is selected in the Toolbars dialog box, the name is displayed when the pointing device moves over the tool icon.

Help

Displays the text displayed at the left end of the status bar when the pointing device moves over the tool icon.

Associated Toolbar

Specifies the toolbar associated with the flyout icon.

Show This Button's Icon

Displays the flyout icon specified under Button Icon. If Show This Button's Icon is selected, AutoCAD LT uses this icon for the flyout. Otherwise, the flyout icon displayed is the icon of the last flyout selected.

Button Icon

Specifies the icon associated with a tool. Select an icon from the list, or choose Edit to modify an icon. Edit displays the Button Editor dialog box, in which you can customize an existing button or create a new one.

Button Editor

Modifies or creates buttons.

Button Image

Displays the button at its actual size.

Editing Tools
  • Pencil. Edits one pixel at a time in the selected color. Drag the pointing device to edit several pixels at once.
  • Line. Creates lines in the selected color. Press the return button on the pointing device to set the first endpoint of the line. Drag to draw the line. Release the return button to complete the line.
  • Circle. Creates circles in the selected color. Press the return button on the pointing device to set the center of the circle. Drag to set the radius. Release the return button to complete the circle.
  • Erase. Sets pixels to white. Double-click the Erase tool with the pointing device to set all pixels to white.
Editing Area

Provides a close-up view of the button icon for pixel editing.

Color Palette

Sets the current color.

Clear

Clears the editing area.

Open

Opens an existing button icon for editing. Button icons are stored as BMP files.

Undo

Undoes the last action.

Save

Saves the customized button icon as a BMP file.

Close

Closes the current button icon.

Grid

Turns on the grid. Each grid dot represents one pixel.

-TOOLBAR (Command Line)

If you enter -toolbar at the Command prompt, TOOLBAR presents options on the command line.

Toolbar name (or ALL): Enter a name or all

Toolbar Name (-TOOLBAR)

Specifies a toolbar to display, close, or position.

Enter a valid toolbar name. If the default menu is loaded, the following names are available:

_object_properties | insert | surfaces
_standard_toolbar | modify | ucs
dimension | modify_II | viewpoint
draw | object snap | zoom
external_database | render
inquiry | solids

Show/Hide/Left/Right/Top/Bottom/Float <Current>: Enter an option or press ENTER

Show

Displays the specified toolbar.

Hide

Closes the specified toolbar.

Left

Docks the specified toolbar at the left side of the screen.

Position <0,0>: Specify a position or press ENTER

The Position prompt sets the position of the toolbar in columns and rows relative to a toolbar dock. The first value is horizontal. The second value is vertical.

Right

Docks the specified toolbar at the right side of the screen.

Position <0,0>: Specify a position or press ENTER

The Position prompt sets the position of the toolbar in columns and rows relative to a toolbar dock. The first value is horizontal. The second value is vertical.

Top

Docks the specified toolbar at the top of the screen.

Position <0,0>: Specify a position or press ENTER

The Position prompt sets the position of the toolbar in columns and rows relative to a toolbar dock. The first value is horizontal. The second value is vertical.

Bottom

Docks the specified toolbar at the bottom of the screen.

Position <0,0>: Specify a position or press ENTER

The Position prompt sets the position of the toolbar in columns and rows relative to a toolbar dock. The first value is horizontal. The second value is vertical.

Float

Changes the toolbar from docked to floating.

Position <0,0>: Specify a position or press ENTER
Rows <1>: Specify a value

The Position prompt specifies the location of the floating toolbar in screen coordinate values. The Rows prompt specifies the number of rows in the floating toolbar.

ALL (-TOOLBAR)

Displays or closes all toolbars.

Show/Hide: Enter s or h

Show

Displays all toolbars.

Hide

Closes all toolbars.


TRIM

TRIM Command

Trims objects at a cutting edge defined by other objects

Modify toolbar:
Modify menu: Trim
Command line: trim

Select cutting edges: (Projmode = UCS, Edgemode = No extend)
Select objects: Use an object selection method
<Select object to trim> / Project / Edge / Undo: Select an object, enter an option, or press ENTER

Objects that can be trimmed include arcs, circles, elliptical arcs, lines, open 2D and 3D polylines, rays, xlines, and splines.

Select the objects that define the cutting edges at which you want to trim an object, or press ENTER to select all objects as potential cutting edges. Valid cutting edge objects include 2D and 3D polylines, arcs, circles, ellipses, lines, floating viewports, rays, splines, text, and xlines.

Select Object to Trim (TRIM)

Specifies the object to trim. AutoCAD LT repeats the main TRIM prompt with its options so that you can trim multiple objects. Pressing ENTER ends the command.

If the point you used to select the object is between the end of the object and a cutting edge, TRIM removes the portion of the object extending beyond the cutting edge. If the selection point is between two cutting edges, the portion between is deleted and the portions outside are preserved, turning one object into two.

AutoCAD LT trims wide 2D polylines at their center lines. If the polyline is tapered, the width at the cutting edge is the same after trimming. The ends of a wide polyline are always square. Cutting a wide polyline at an angle causes portions of the end to extend beyond the cutting edge. Trimming a spline-fit polyline turns the curve-fit information into ordinary polyline segments.

Project (TRIM)

Specifies the Projection mode AutoCAD LT uses when trimming objects.

None / Ucs / View <current>: Enter an option or press ENTER

None

Specifies no projection. AutoCAD LT trims only objects that intersect the boundary edge in 3D space.

UCS

Specifies projection onto the XY plane of the current UCS. AutoCAD LT trims objects that do not intersect with the boundary objects in 3D space.

View

Specifies projection along the current view direction. AutoCAD LT trims objects that intersect the boundary in the current view.

Edge (TRIM)

Determines whether the cutting edge is extended along its natural path to trim an object or must intersect an object in order to trim it.

Extend / No extend <current>: Enter an option or press ENTER

Extend

Extends the cutting edge along its natural path to trim an object in 3D space

No extend

Specifies that the object is to be trimmed only at a cutting edge that intersects it in 3D space.

Undo (TRIM)

Reverses the most recent change made by TRIM.

Related Commands: BREAK erases parts of an object or splits an object in two. EXTEND extends an object to meet another object.

System Variables: EDGEMODE determines whether an object is trimmed at another object's implied edge, or only to an object that intersects it in 3D space. PROJMODE sets the Projection mode AutoCAD LT uses when trimming objects.


U

U Command

Reverses the most recent action

Edit menu: Undo
Standard toolbar:
Command line: u

You can enter u as many times as you wish, backing up one step at a time until the drawing is as it was when you began the current editing session.

When an operation cannot be undone, AutoCAD LT displays the command name but performs no action. Actions external to the current drawing, such as plotting or writing to a file, cannot be undone.

If you used mode toggles or transparent commands during a command, their effects are undone along with the main command.

The U command is equivalent to entering UNDO 1. You can also use CTRL and Z to undo.


UCS

UCS Command

Manages user coordinate systems
Standard toolbar:
Tools menu: UCS
Command line: ucs

Origin / ZAxis / 3point / OBject / View / X / Y / Z / Prev / Restore / Save / Del / ? / <World>: Enter an option or press ENTER

The user coordinate system is a movable system for coordinate entry, planes of operation, and viewing. Most AutoCAD LT geometric editing commands are dependent on the location and orientation of the UCS.

The UCS command sets the orientation of the user coordinate system in 3D space. It defines the orientation for 2D objects for the THICKNESS command. It also provides the axis of rotation for the ROTATE command and the default projection plane for specifying points.

World (UCS)

Sets the current UCS to the World Coordinate System (WCS). The WCS is the basis for all user coordinate systems and cannot be redefined.

Origin (UCS)

Defines a new UCS by shifting the origin of the current UCS, but leaving the direction of its X, Y, and Z axes unchanged.

Origin point <0,0,0>: Specify a point

Specify a new origin point relative to the origin of the current UCS. If you do not specify a Z coordinate value for the origin, this option uses the current elevation.

Zaxis (UCS)

Defines a UCS with a particular positive Z axis.

Origin point <0,0,0>: Specify a point
Point on positive portion of Z-axis <current>: Specify a point

Specify a new origin and a point that lies on the new positive Z axis. The Z Axis option tilts the XY plane.

3point (UCS)

Specifies the new UCS origin and the direction of its positive X and Y axes. The Z axis follows by applying the right-hand rule. You can use this option to specify any possible coordinate system.

Origin point <0,0,0>: Specify a point (1)
Point on positive portion of the X-axis <current>: Specify a point (2)
Point on positive-Y portion of the UCS XY plane <current>: Specify a point (3)

The first point specifies the origin of the new UCS. The second point defines the positive X axis. The third point defines the positive Y axis. The third point can be anywhere on the positive Y portion of the new UCS XY plane.

Object (UCS)

Defines a new coordinate system based on a selected object. The new UCS has the same extrusion direction (positive Z axis) as that of the selected object.

Select object to align UCS: Select an object

The following objects cannot be used: polyline, viewport, spline, ellipse, ray, xline, leader, mtext.

For objects other than 3D faces (available only when viewing AutoCAD LT drawings), the XY plane of the new UCS is parallel to the XY plane in effect when the object was drawn. However, the X and Y axes can be rotated differently.

The new UCS is defined as described in the following table.

Object | Method of UCS determination
Arc | The center of the arc becomes the new UCS origin. The X axis passes through the arc endpoint that is closest to the selection point.
Circle | The center of the circle becomes the new UCS origin. The X axis passes through the selection point.
Dimension | The midpoint of the dimension text becomes the new UCS origin. The direction of the new X axis is parallel to the X axis of the UCS in effect when the dimension was drawn.
Line | The endpoint nearest the selection point becomes the new UCS origin. AutoCAD LT chooses the new X axis so that the line lies in the XZ plane of the new UCS. The line's second endpoint has a Y coordinate of zero in the new system.
Point | The point becomes the new UCS origin.
2D polyline | The start point of the polyline is the new UCS origin. The X axis extends along the line segment from the start point to the next vertex.
2D Solid | The first point of the solid determines the new UCS origin. The new X axis lies along the line between the first two points.
Shape, Text, Block Reference, Attribute Definition | The insertion point of the object becomes the new UCS origin, and the new X axis is defined by the rotation of the object around its extrusion direction. The object you select to establish a new UCS has a rotation angle of zero in the new UCS.

View (UCS)

Establishes a new coordinate system with the XY plane perpendicular to your viewing direction (parallel to your screen). The UCS origin remains unchanged.

X / Y / Z (UCS)

Rotates the current UCS about a specified axis.

Rotation angle about n axis <0>: Specify an angle

In the prompt, n is X, Y, or Z. Enter a positive or negative angle to rotate the UCS. AutoCAD LT uses the right-hand rule to determine the positive direction of rotation around the axis.

You can define any UCS by specifying an origin and one or more rotations around the X, Y, or Z axis.

Prev (UCS)

Restores the previous UCS. AutoCAD LT saves the last 10 coordinate systems created in paper space and the last 10 coordinate systems created in model space. Repeating the Previous option steps back through one set or the other depending on which space is current.

Restore (UCS)

Makes a saved UCS the current UCS. Restoring a saved UCS does not reestablish the viewing direction in effect when the UCS was saved.

? / Name of UCS to restore: Enter ? or a name

Enter ? to view a list of names.

UCS name(s) to list <*>: Enter a wild-card pattern or press ENTER

Save (UCS)

Saves the current UCS to a specified name. The name can contain up to 31 characters, including letters, digits, and the special characters dollar sign ($), hyphen (-), and underscore (_). AutoCAD LT converts all UCS names to uppercase.

? / Desired UCS name: Enter ? or a name

Enter ? to list the currently defined UCS names.

UCS name(s) to list <*>: Enter a wild-card pattern or press ENTER

Del (UCS)

Removes the specified UCS from the list of saved coordinate systems.

UCS name(s) to delete <none>: Enter a name or a list of names separated by commas

? List (UCS)

Lists defined UCS names and provides the origin and X, Y, and Z axes for each saved coordinate system relative to the current UCS. If the current UCS is unnamed, it is listed as *WORLD* or *NO NAME*, depending on whether it's the same as the WCS.

UCS name(s) to list <*>: Enter a wild-card pattern or press ENTER

Changing from one UCS to another does not change the drawing view unless the UCSFOLLOW system variable is on.

Related Commands: DDUCS renames, restores, deletes, or lists defined coordinate systems. DDUCSP selects a preset User Coordinate System. PLAN displays the plan view of a specified UCS.
System Variables: UCSICON controls visibility and placement of the UCS icon in viewports. UCSNAME displays the name of the current coordinate system. UCSORG displays the origin point of the current coordinate system for the current space. UCSXDIR displays the X direction of the current UCS for the current space. UCSYDIR displays the Y direction of the current UCS for the current space.


UCSICON

UCSICON Command

Controls the visibility and placement of the UCS icon

View menu: Display > UCS Icon
Command line: ucsicon

ON / OFF / All / Noorigin / ORigin <current>: Enter an option or press ENTER

The UCS icon represents the orientation of the UCS axes and the location of the current UCS origin. It also represents the current viewing direction relative to the XY plane.

AutoCAD LT displays different coordinate system icons in paper space and model space. In both cases, a plus sign (+) appears at the base of the icon when it is positioned at the origin of the current UCS. The letter W appears in the Y portion of the icon if the current UCS is the same as the World Coordinate System.

A box is formed at the base of the icon if you are viewing the UCS from above (the positive Z direction). The box is missing if you are viewing the UCS from below.

If your view direction is edge-on to the current UCS, the coordinate system icon is replaced by a broken-pencil icon.

On/Off

Turns on and turns off display of the coordinate system icon.

All

Applies changes to the icon in all active viewports. Otherwise, the UCSICON command affects only the current viewport.

Noorigin

Displays the icon at the lower-left corner of the viewport regardless of the true location of the UCS origin.

Origin

Displays the icon at the origin (0,0,0) of the current coordinate system. If the origin is off the screen, or if the icon cannot be positioned at the origin without being clipped at the viewport edges, the icon appears at the lower-left corner of the viewport.

Related Commands: DDUCS and UCS save, restore, rename, delete, and list defined coordinate systems. DDUCSP selects a preset UCS. PLAN displays the plan view of a specified UCS.
System Variables: UCSICON controls the icon setting for the current viewport. UCSNAME displays the name of the current coordinate system. UCSORG displays the origin point of the current coordinate system for the current space. UCSXDIR displays the X direction of the current UCS for the current space. UCSYDIR displays the Y direction of the current UCS for the current space.


UNDO

UNDO Command

Reverses the effect of commands

Command line: undo

Auto / Control / BEgin / End / Mark / Back / <Number>: Enter an option, enter a positive number, or press ENTER

You can use the options of the UNDO command to undo more than one action at a time. Begin and End define a number of actions as a group, and Mark and Back work together to undo all actions back to a predetermined point.

UNDO displays the command or system variable name on the command line to indicate that you have stepped back before the point where the command was used.

When you use Back or Number to undo multiple actions, AutoCAD LT regenerates or redraws the drawing, if necessary. This occurs at the end of the UNDO command; therefore, entering UNDO 5 will cause at most one regeneration, while U U U U U, could cause as many as five.

UNDO has no effect on the following commands and system variables:

ABOUT | HELP | QUIT
AREA | HIDE | REDRAW
ATTEXT | ID | REGEN
CONFIG | LIST | RECOVER
CVPORT | MSLIDE | RESUME
DELAY | NEW | SAVE
DIST | OPEN | SHADE
DXFOUT | PLOT | TEXTSCR
END | PSOUT |
GRAPHSCR | QSAVE |

Auto (UNDO)

Groups a menu selection as a single command, reversible by a single U command. When the Auto option is on, whenever you choose a menu item AutoCAD LT groups all actions until you exit that item. You can undo the group as if it were one action.

The Auto option is not available if the Control option has turned off or limited UNDO.

ON / OFF <current>: Enter on or off, or press ENTER

Number (UNDO)

Reverses the specified number of preceding actions. The effect is the same as entering U multiple times, but the drawing is not regenerated at each step.

Control (UNDO)

Limits the UNDO command or turns it on or off.

All / None / One <All>: Enter an option or press ENTER

All

Turns on the full UNDO command.

None

Turns off the U and UNDO commands and discards any UNDO command information saved earlier in the editing session.

If you attempt to use UNDO while it is turned off, AutoCAD LT offers the Control option, and the following prompt is displayed:

All / None / One <All>:

One

Limits UNDO to a single action.

The Auto, Begin, and Mark options are not available when None or One is in effect. The main prompt for the UNDO command changes to show that only a Control option or a single step of the UNDO command is possible:

Control / <1>:

Begin and End (UNDO)

The Begin option groups a sequence of actions. All subsequent actions become part of the group until you use the End option to terminate the group. Entering undo begin while a group is already active ends the current group and begins a new group.

UNDO and U treat grouped actions as a single action.

If you enter undo begin without undo end, using the Number option undoes the specified number of commands but does not back up past the Begin point. If you want to go back to before the begin point, you must use the End option even if the group is empty. The same applies to U. A mark disappears inside an UNDO group.

Mark and Back (UNDO)

The Mark option places a mark in the undo information. The Back option undoes all the work done back to this mark. If you undo one action at a time, AutoCAD LT informs you when you reach the mark.

You can place as many marks as necessary. The Back option undoes work by moving back one mark at a time, removing the mark. If no mark is found, AutoCAD LT displays the following prompt:

This will undo everything. OK? <Y>: Enter y or n

Entering y undoes all commands entered since you last started AutoCAD LT. Entering n causes AutoCAD LT to ignore the Back option.

When you use the Number option to undo multiple actions, UNDO stops if it encounters a mark.

Related Commands: U undoes the most recent action.


UNITS

'UNITS Command

Selects coordinate and angle display formats and precision

Command line: units

Enter choice, 1 to 5 <current>: Enter a value (1-5) or press ENTER

The Text screen displays the following prompt:

Report formats (Examples):

  1. Scientific 1.55E+01
  2. Decimal 15.50
  3. Engineering 1'-3.50"
  4. Architectural 1'-3 1/2"
  5. Fractional 15 1/2

If you specified scientific, decimal, or engineering format, AutoCAD LT prompts for decimal precision:

Number of digits to right of decimal point (0 to 8) <current>: Enter a value (0-8) or press ENTER

If you specified architectural or fractional format, AutoCAD LT prompts for the denominator of the smallest fraction:

Denominator of smallest fraction to display
(1, 2, 4, 8, 16, 32, 64, 128, or 256) <current>: Enter a value (1, 2, 4, 8, 16, 32, 64, 128, or 256) or press ENTER

AutoCAD LT prompts for angle formats and precision:

Systems of angle measure (Examples):

  1. Decimal degrees 45.0000
  2. Degrees/minutes/seconds 45d0'0"
  3. Grads 50.0000g
  4. Radians 0.7854r
  5. Surveyor's units N 45d0'0" E

Enter choice, 1 to 5 <current>: Enter a value (1-5) or press ENTER
Number of fractional places for display of angles (0 to 8) <current>: Enter a value (0-8) or press ENTER

AutoCAD LT prompts for the direction of angle 0:

Direction for angle 0:
East 3 o'clock = 0
North 12 o'clock = 90
West 9 o'clock = 180
South 6 o'clock = 270

Enter direction for angle 0 <current>: Enter a value or press ENTER

The default direction for 0 degrees is to the right-east quadrant, or 3 o'clock. The default direction for positive angular measurement is counterclockwise.

Do you want angles measured clockwise? <current> Enter y or n or press ENTER

For a more comprehensive explanation of formats and precision, see the DDUNITS command.

Related Commands: DDUNITS sets coordinate and angle display formats and precision in the Units Control dialog box.
System Variables: ANGBASE stores the angle 0 direction with respect to the current UCS. ANGDIR stores the setting for clockwise or counterclockwise direction with respect to the current UCS. AUNITS stores the angular units mode. AUPREC stores the number of decimal places for angular units. LUNITS stores the setting for linear units mode. LUPREC stores the number of decimal places or the denominator for linear units. UNITMODE stores the setting for fractional, feet and inches, and surveyor's angles as previously set or in input format.


VIEW

'VIEW Command

Saves and restores named views

Command line: view

? / Delete / Restore / Save / Window: Enter an option

A view is a portion of a drawing that is displayed in a viewport. Views can be saved and restored by name for convenient access. Views are saved separately in model space and paper space.

You cannot use VIEW transparently while in paper space; during a VPOINT or DVIEW command; or while another ZOOM, PAN, or VIEW is in progress.

? List Named Views (VIEW)

Lists the named views in the drawing.

View(s) to list <*>: Enter a wild-card pattern or press ENTER

AutoCAD LT lists the name of each specified view and the space in which it was defined. M designates model space, and P designates paper space.

Delete (VIEW)

Deletes one or more named views.

View name(s) to delete: Enter a name or a list of names separated by commas

Restore (VIEW)

Restores the view you specify to the current viewport.

View name to restore: Enter a name

AutoCAD LT also restores the center point and magnification of each saved view. If you restore a model space view while working in paper space, AutoCAD LT asks you to select a viewport in which to restore that view.

Restoring model space view.
Select viewport: Select a viewport

Select the viewport by choosing its border. The viewport you select must be on and active. AutoCAD LT switches to model space and restores the view in the selected viewport.

If you restore a paper space view while working in model space with TILEMODE off, AutoCAD LT switches to paper space and restores the view. TILEMODE must be off when you restore a paper space view.

Save (VIEW)

Saves the display in the current viewport using the name you supply.

View name to save: Enter a name

Window (VIEW)

Saves a portion of the current display as a view.

View name to save: Enter a name
First corner: Specify a point
Other corner: Specify a point in the opposite corner

Restoring such a view may display objects outside the window you specified because the shape of the window may differ from that of the viewport in which you are restoring the view. However, plotting the view will plot only the objects inside the window, not the entire viewport display.

Related Commands: DDVIEW creates and restores views. DVIEW defines parallel projection or perspective views on the screen as you change views. PLOT prints a drawing to a plotter, printer, or file.


VPLAYER

VPLAYER Command

Sets layer visibility within floating viewports

Command line: vplayer

? / Freeze / Thaw / Reset / Newfrz / Vpvisdflt: Enter an option

A layer can be visible in one or more viewports and invisible in all other viewports.

Before you use VPLAYER, the TILEMODE system variable must be set to 0 (off). A layer must be thawed and on globally before you can use VPLAYER to affect its visibility in a specific viewport.

? - List Frozen Layers (VPLAYER)

Displays the names of frozen layers in a selected viewport.

Freeze (VPLAYER)

Freezes a layer or set of layers in one or more viewports. AutoCAD LT does not display, regenerate, or plot objects on frozen layers.

Layer(s) to freeze: Enter a name or a list of names separated by commas
All / Select / <current>:Enter an option or press ENTER

Current

Applies the changes in the current viewport only.

All

Applies the changes in all viewports.

Select

Applies the changes in selected viewports.

Select objects: Select one or more viewports and press ENTER

Thaw (VPLAYER)

Thaws layers in specific viewports.

Layer(s) to thaw: Enter a name or a list of names separated by commas
All / Select / <current>: Enter an option or press ENTER

Reset (VPLAYER)

Sets the visibility of layers in specified viewports to their current default setting.

Layer(s) to reset: Enter a name or a list of names separated by commas
All / Select / <current>: Enter an option or press ENTER

Newfrz - New Freeze (VPLAYER)

Creates new layers that are frozen in all viewports.

New Viewport frozen layer names: Enter a name or a list of names separated by commas

Vpvisdflt - Viewport Visibility Default (VPLAYER)

Determines whether the specified layers are thawed or frozen in subsequently created viewports.

Layer name(s) to change default viewport visibility: Enter a name or a list of names separated by commas
Change default viewport visibility to Frozen / <Thawed>: Enter f or t or press ENTER

Related Commands: LAYER uses a dialog box to control the creation and visibility of layers and layer settings.


VPOINT

VPOINT Command

Sets the viewing direction for a 3D visualization of the drawing

View menu: 3D Viewpoint
Command line: vpoint

Rotate / <View point> <current>: Enter r, specify a point, or press ENTER to display a compass and axis tripod

You can use VPOINT to look at the drawing as if looking back at the origin (0,0,0) from a specified point in space. VPOINT cannot be used in paper space.

Rotate (VPOINT)

Specifies a new viewing direction using two angles.

Enter angle in XY plane from X axis <current>: Specify an angle

The first angle is specified with respect to the X axis, in the XY plane.

Enter angle from XY plane <current>: Specify an angle

The second angle is specified up or down from the XY plane.

View Point (VPOINT)

Uses a point to define a direction from which the drawing is viewed. The view defined is as if the viewer were looking from the point back at the origin (0,0,0).

ENTER - Axis Tripod (VPOINT)

Pressing ENTER displays a compass and axis tripod, which you use to define a viewing direction in the viewport.

The compass is a 2D representation of a globe. The center point is the north pole (0,0,n), the inner ring is the equator (n,n,0), and the entire outer ring is the south pole (0,0,-n).

You can move the small crosshairs on the compass to any portion of the globe with your pointing device. As you move the crosshairs, the axis tripod rotates to conform to the viewing direction indicated on the compass. To select a viewing direction, move your pointing device to a location on the globe and press the pick button.

System Variables: TARGET is the location in UCS coordinates of the target point for the current viewport. VIEWDIR is the current viewport viewing direction. WORLDVIEW determines whether input to the VPOINT and DVIEW commands is relative to the WCS (default) or to the UCS.


VPORTS

VPORTS Command

Divides the graphics area into multiple tiled viewports

View menu: Tiled Viewports
Command line: vports

Save / Restore / Delete / Join / SIngle / ? / 2 / <3> / 4: Enter an option or press ENTER

Before you use VPORTS, the TILEMODE system variable must be set to 1. The number and layout of active viewports and their associated settings are called viewport configurations. To bypass the command line, use the menu to start this command.

Save (VPORTS)

Saves the current viewport configuration using a specified name.

? / Name for new viewport configuration: Enter a name or ?

Entering ? lists previously saved viewport configurations.

Restore (VPORTS)

Restores a previously saved viewport configuration.

? / Name of viewport configuration to restore: Enter a name or ?

Entering ? lists the saved viewport configurations.

Delete (VPORTS)

Deletes a named viewport configuration.

? / Name of viewport configuration to delete: Enter a name or ?

Entering ? lists the saved viewport configurations.

Join (VPORTS)

Combines two adjacent viewports into one larger viewport. The resulting viewport inherits the view of the dominant viewport.

Select dominant viewport <current>: Select a viewport or press ENTER
Select viewport to join: Select a viewport

Single (VPORTS)

Returns the drawing to a single viewport, using the view from the active viewport.

? - List Viewport Configurations (VPORTS)

Displays the identification numbers and screen positions of the active viewports. This option also displays the names and screen positions of the currently saved viewport configurations.

Viewport configuration(s) to list <*>: Enter a name or press ENTER

The lower-left and upper-right corners of a viewport define its location. For these corners, AutoCAD LT uses values between 0.0,0.0 for the lower-left corner of the graphics area and 1.0,1.0 for the upper-right corner. The current viewport is listed first.

2 (VPORTS)

Divides the current viewport in half.

Horizontal <Vertical>: Enter h or press ENTER

3 (VPORTS)

Divides the current viewport into three viewports.

Horizontal / Vertical / Above / Below / Left / <Right>: Enter an option or press ENTER

The Horizontal and Vertical options split the area into thirds. The other options create one large viewport of half the available area and two smaller ones. The Above, Below, Left, and Right options specify where the larger viewport is placed.

4 (VPORTS)

Divides the current viewport into four viewports of equal size.

Related Commands: MVIEW creates viewport objects in paper space and controls the display of objects in those viewports.
System Variables: CVPORT sets the current viewport. MAXACTVP specifies the maximum number of viewports to be regenerated at one time. TILEMODE controls paper space access and viewport behavior.


VSLIDE

VSLIDE Command

Displays a raster image slide file in the current viewport

Command line: vslide

The Select Slide File dialog box is displayed.

To display a slide in a slide library file extension (.slb), choose Type it to see the following prompt:

Slide file: Enter the library file name and the slide file name as library-file-name (slide-file-name)

When you view slides of images shaded with the SHADE command in a larger window or at a higher resolution than was used for creating the slide, black lines may appear interspersed among the lines of the shaded image. To avoid this problem, use a full screen that is set at the highest resolution when creating slides.

Select Slide File Dialog Box

Files of Type

Select the type of files you want to see in the File Name box.

File Name

Select or enter the name of the slide file extension .sld you want to display. The only type of file accepted currently is SLD.

Look In

Select the drive and directory that contain the slide file you want to display.

Find File

To find slide files on multiple drives and directories, choose Find File.

Related Commands: REDRAW restores the current drawing. MSLIDE creates slide files for viewing.
Utilities: SLIDELIB creates slide libraries (file extension .slb). This utility is found in the AutoCAD LT support directory.


Wblock

WBLOCK Command

Writes objects to a new drawing file

Command line: wblock

The Create Drawing File dialog box is displayed. Enter the name of the output file in the File Name box.

Block name: Enter the name of an existing block, enter =, enter *, or press ENTER

  • Entering the name of an existing block saves that block as a file. You cannot enter the name of an external reference (xref) or one of its dependent blocks.
  • Entering an equal sign (=) specifies that the existing block and the output file have the same name. If no block of that name exists in the drawing, AutoCAD LT redisplays the Block Name prompt.
  • Entering an asterisk (*) saves the entire drawing to the new output file, except for unreferenced symbols. AutoCAD LT writes model space objects to model space and paper space objects to paper space.
  • If you press ENTER at the Block Name prompt, AutoCAD LT prompts you to select the objects to save as a file.

Select objects: Use an object selection method
Insertion base point: Specify a point (1)

After AutoCAD LT creates the file, the selected objects are deleted from the drawing. You can use the OOPS command to restore the objects.

In the new drawing, the World Coordinate System (WCS) is set parallel to the UCS in effect at the time the objects were saved to the file.

Create Drawing File Dialog Box

File Name

Select or enter the name you want to assign to the drawing file you are creating.

Save as Type

Select the type of files you want to see in the File Name box. The only type of file accepted currently is DWG.

Save In

Select the drive and directory that you want to contain the drawing file.

Related Commands: DDINSERT and INSERT place a previously defined block or drawing in the current drawing. EXPORT saves objects to other file formats. OOPS restores erased objects. QSAVE saves the current drawing. SAVE saves the current drawing with the current file name or a specified name. SAVEAS saves an unnamed drawing with a file name or renames the current drawing. XREF controls external references to drawing files.


WMFIN

WMFIN Command

Imports a file in Windows metafile format

Command line: wmfin

The Import WMF dialog box is displayed.

Insertion point: Specify a point
X scale factor <1 > / Corner / XYZ: Enter a scale factor or enter c

Unlike bitmap or raster files, metafiles contain vector information, which can be scaled and printed without loss of resolution.

Import WMF Dialog Box

File Name

Select or enter the name of the Windows metafile (file extension .wmf) you want to import.

Files of Type

Select the type of files you want to see in the File Name box.

Look In

Select the drive and directory that contain the Windows metafile you want to import.

Preview

Displays a preview of the Windows metafile you want to import.

Find File

To find Windows metafiles on multiple drives and directories, choose Find File.

Options

The Import Options dialog box is displayed.

X Scale Factor (WMFIN)

Places a copy of the metafile with its base point at the specified insertion point.

Y scale factor (default = X): Enter a scale factor or press ENTER
Rotation angle <0>: Specify an angle or press ENTER

AutoCAD LT multiplies all X and Y dimensions of the metafile by the X and Y scale factors supplied. The metafile is rotated by the angle specified, using the insertion point as the center of rotation.

Corner (WMFIN)

Defines the X and Y scales at the same time, using the insertion point and another point as the corners of a box. The X and Y dimensions of the box become the X and Y scale factors. The insertion point is the first corner.

Other corner: Specify a point
Rotation angle <0>: Specify an angle or press ENTER

XYZ (WMFIN)

Scales the metafile in all three dimensions.

X scale factor <1> / Corner: Enter a scale factor, enter c, or press ENTER

X Scale Factor

Defines X, Y, and Z scale factors for the metafile.

Y scale factor <default=X>: Enter a scale factor or press ENTER
Z scale factor <default=X>: Enter a scale factor or press ENTER
Rotation angle <0>: Specify an angle or press ENTER

Corner

Defines the X and Y scales at the same time, using the insertion point and another point as the corners of a box, and then defines the Z scale.

Other corner: Specify a point
Z scale factor (default = X): Enter a scale factor or press ENTER
Rotation angle <0>: Specify an angle or press ENTER

Import/Export Options

Controls export options for DXF and PostScript files and import options for Windows metafiles. One of the following options is available.

DXF Out

Sets drawing interchange file output options (see DXFOUT).

PostScript Out

Sets PostScript file output options (see PSOUT).

WMF In

Sets Windows metafile input options (see WMFIN).

Related Commands: WMFOPTS sets options for the WMFIN command. WMFOUT saves selected objects to a file in Windows metafile format.


WMFOPTS

WMFOPTS Command

Sets options for WMFIN

Insert menu: File
Command line: wmfopts

The Import Options dialog box is displayed.

Import Options Dialog Box

Sets options for importing files in WMF format.

Wire Frame (No Fills)

Select to import objects in a Windows metafile as wireframes.

Clear to import objects in a Windows metafile as solid objects.

Wide Lines

Select to maintain the relative line widths of lines and borders when the Windows metafile is imported.Clear to set all line widths of lines and borders to zero when the Windows metafile is imported.

Related Commands: COPYCLIP copies vector objects to the Clipboard. WMFIN imports a file in WMF format. WMFOUT saves selected objects to a WMF file.


WMFOUT

WMFOUT Command

Saves objects to a file in Windows metafile format

Command line: wmfout

The Create WMF File dialog box is displayed.

Select objects: Use an object selection method

The selected objects are saved to a file in Windows metafile format.

Create WMF File Dialog Box

File Name

Select or enter the name you want to assign to the Windows metafile. AutoCAD LT adds a .wmf file extension.

Save as Type

Select the type of files you want to see in the File Name box.

Save In

Select the drive and directory that you want to contain the exported Windows metafile.

Related Commands: WMFIN imports a file in Windows metafile format. WMFOPTS sets options for the WMFIN command.


Xattach

XATTACH Command

Attaches an external reference to the current drawing

Command line: xattach

AutoCAD LT displays the Select File to Attach dialog box when it is the first xref. The Attach Xref dialog box is displayed for all subsequent xrefs.

Attaches a drawing as an external reference. If you attach a drawing that itself contains an attached xref, the attached xref appears in the current drawing. Like blocks, attached xrefs can be nested. If another person is currently editing the xref, the drawing attached is based on the most recently saved version. Xrefs that have been clipped in AutoCAD LT can be both attached and viewed in AutoCAD LT.

Xref Name

After an xref is attached, the xref name is displayed in the list. When an attached xref is selected in the list, its path is displayed below.

Choose Browse to display the Select File To Attach dialog box, in which new xrefs can be selected for the current drawing.

Reference Type

Specifies whether the xref is an attachment or an overlay.

Include Path

Determines whether the full path to the xref is saved. If this option is selected, the xref path is saved in the drawing database. If it is not selected, the name of the xref drawing is saved in the database without a path. AutoCAD LT searches for the xref in the AutoCAD LT Support File Search Path in the Files tab of the Preferences dialog.

Parameters

Specifies the insertion point; X, Y, and Z scale factors; and rotation angle of the xref. If Specify On-screen is selected, AutoCAD LT displays prompts on the command line.

  • Insertion Point. Specifies the point at which an xref instance is inserted into the current drawing. The insertion point in the current drawing is aligned with the insertion point defined in the BASE system variable in the referenced file.
  • X Scale Factor. Specifies the X scaling factor for the xref instance.
  • Y Scale Factor. Specifies the Y scaling factor for the xref instance.
  • Z Scale Factor. Specifies the Z scaling factor for the xref instance.
  • Rotation Angle. Specifies the rotation angle for the xref instance.

Commands: XREF controls xrefs (external references). EXPLODE removes the boundary of a clipped xref.
System Variables: XCLIPFRAME turns the boundary of a clipped xref on or off.


XBIND

XBIND Command

Binds dependent symbols of an xref to a drawing

Modify menu: Object > External Reference Bind
Command line: xbind

The XBIND dialog box is displayed.

If you enter -xbind at the Command prompt, XBIND presents options on the command line.

An xref is a drawing that you attach to or overlay on your current drawing. To use XBIND, you must have an xref attached to the current drawing. For more information, see the XREF command.

In xrefs, dependent symbols are named objects such as blocks, dimension styles, layers, linetypes, and text styles. AutoCAD LT binds the dependent symbols to the current drawing and saves them with the drawing at the end of the session.

The dependent symbols you specify are added to your drawing. You can manipulate them as you would any other named object. AutoCAD LT replaces the vertical bar symbol (|) from each dependent symbol name with three new characters: a number (usually 0) between two dollar signs ($).

If you specify a layer whose associated linetype is not CONTINUOUS, AutoCAD LT also binds the referenced linetype. If you apply XBIND to a block, any block, dimension style, layer, linetype, or text style that is referenced by objects in the block is also bound. If the block contains a reference to an xref (external reference), AutoCAD LT binds that xref and all its dependent symbols.

XBIND Dialog Box

Select symbols to bind.

Xrefs

Lists the xrefs currently attached to the drawing. Selecting an xref displays its symbol table definitions.

Definitions to Bind

Lists the xref-dependent symbol table definitions to bind.

Add

Moves the definitions highlighted in the Xrefs list into the Definitions to Bind list.

Remove

Moves the xref definition selected in the Definitions to Bind list back to its xref-dependent symbol table.

Using the Command Line (XBIND)

Block / Dimstyle / LAyer / LType / Style: Enter an option

Depending on the option, AutoCAD LT prompts for a dependent symbol such as a block, dimstyle, layer, linetype, or style.

Dependent symbol name(s): Enter a name list

The name you specify must include all the xref file name characters, including the vertical bar symbol (|), also known as the pipe character.

The dependent symbols you specify are added to your drawing. You can manipulate them as you would any other named object. AutoCAD LT replaces the vertical bar symbol (|) from each dependent symbol name with three new characters: a number (usually 0) between two dollar signs ($).

If you specify a layer whose associated linetype isn't CONTINUOUS, AutoCAD LT also binds the referenced linetype. If you apply XBIND to a block, any block, dimension style, layer, linetype, or text style that's referenced by objects in the block is also bound. If the block contains a reference to an xref (external reference), AutoCAD LT binds that xref and all its dependent symbols.

Related Commands: XREF controls xrefs (external references).


XLINE

XLINE Command

Creates an infinite line

Draw toolbar:
Draw menu: Construction Line
Command line: xline

Hor / Ver / Ang / Bisect / Offset / <From point>: Specify a point or enter an option

From Point (XLINE)

Specifies the location of the infinite line using a second point through which it passes.

Through point: Specify the point (2) through which you want the xline to pass or press ENTER to end the command

AutoCAD LT places the xline through the specified points.

Hor (XLINE)

Creates a horizontal xline passing through a selected point.

Through point: Specify the point (1) through which you want the xline to pass or press ENTER to end the command

AutoCAD LT places the xline parallel to the X axis.

Ver (XLINE)

Creates a vertical xline passing through a selected point.

Through point: Specify the point (1) through which you want the xline to pass or press ENTER to end the command

AutoCAD LT places the xline parallel to the Y axis.

Ang (XLINE)

Creates an xline at a specified angle.

Reference / <enter angle <current>: Specify an angle or enter r

Reference

Creates an xline at a specific angle from a selected reference line. The angle is measured counterclockwise from the reference line.

Select a line object: Select a line, polyline, ray, or xline
Enter angle <0.000>: Specify an angle
Through point: Specify the point through which you want to xline to pass or press ENTER to end the command

AutoCAD LT places the xline through the specified point, using the specified angle.

Enter Angle

Creates an xline at a specific angle through a specified point.

Through point: Specify a point

AutoCAD LT places an xline through the point, using the specified angle.

Bisect (XLINE)

Creates an xline that passes through the selected angle vertex and bisects the angle between the first and second line.

Angle vertex point: Specify a point (1)
Angle start point: Specify a point (2)
Angle end point: Specify a point (3) or press ENTER to end the command

The xline lies in the plane determined by the three points.

Offset (XLINE)

Creates an xline parallel to another object.

Offset distance or Through <current>: Specify an offset distance, enter t, or press ENTER

Offset Distance

Creates the xline as an offset from the selected object.

Select a line object: Select a line, polyline, ray, or xline, or press ENTER to end the command
Side to offset?: Specify a point (1)

Through

Creates an xline parallel to a line object and passing through a specified point.

Select a line object: Select a line, polyline, ray, or xline, or press ENTER to end the command
Through point: Specify the point (1) through which you want the xline to pass

Related Commands: DDMODIFY modifies the properties of an xline. LINE creates straight line segments. PLINE creates 2D polylines. RAY creates a semi-infinite line.
System Variables: OFFSETDIST stores the current offset value.


XREF

XREF Command

Controls external references to drawing files

Insert toolbar:
Insert menu: External Reference
Command line: xref

The External Reference dialog box is displayed.

If you enter -xref at the command prompt, AutoCAD LT presents options on the command line.

XREF attaches, overlays, lists, binds, detaches, modifies the path of, and reloads other drawings as external references (xrefs) to the current drawing.

You can attach xrefs to create subassemblies that make up a drawing. You can overlay xrefs to check how your drawing relates to other drawings.

Attaching or overlaying an xref is similar to inserting an entire drawing as a block. The contents of the specified drawing, except for overlaid xrefs, are copied into a new block definition. Instances of the xref in the drawing are block references.

When you open or plot a drawing containing xrefs, AutoCAD LT automatically reloads the latest version of each xref.

External Reference Dialog Box

Attaches, overlays, lists, binds, detaches, reloads, unloads, renames, and modifies paths to external references (xrefs) in the current (or host) drawing.

Dialog Box Options
  • List of external references (List View and Tree View)
  • Attach (displays the Attach Xref dialog box)
  • Detach
  • Reload
  • Unload
  • Bind (displays the Bind Xrefs dialog box)
  • Browse
  • Save Path

List of External References (XREF)

List View

Displays a flat listing of the attached xrefs and their associated data. You can sort the list of references by name, status, type, file date, file size, or the saved path and file name.

Selecting any field highlights the xref name and selects the xref.

Tree View

Displays a hierarchical representation of the xrefs, displaying the relationships between xref definitions. Tree view shows the level of nesting relationship of the attached xrefs, whether they are attached or overlaid, and whether they are loaded, unloaded, marked for reload or unload, or not found, unresolved, or unreferenced.

You can also use the F3 and F4 keys to toggle between list view and tree view.

  • Reference Name. Lists the names of the xrefs as stored in the block definition symbol table.
  • Status. Shows whether the xref is loaded, unloaded, unreferenced, not found, unresolved, orphaned, or marked for unloading or reloading.
  • Size. Shows the file size of the corresponding reference drawing. The size is not displayed if the xref is unloaded, not found, or unresolved.
  • Type. Indicates whether the xref is an attachment or an overlay.
  • Date. Displays the last date the associated drawing was modified. This date is not displayed if the xref is unloaded, not found, or unresolved.
  • Saved Path. Shows the saved path of the associated xref (this is not necessarily where the xref is found).
Attach (XREF)

Displays the Attach Xref dialog box.

Detach (XREF)

Detaches one or more xrefs from your drawing, erasing all instances of a specified xref and marking the xref definition for deletion from the symbol table. Only the xrefs attached or overlaid directly to the current drawing can be detached; nested xrefs cannot be detached. AutoCAD LT cannot detach an xref referenced by another xref or block.

Reload (XREF)

Marks one or more xrefs for reloading. This option rereads and displays the most recently saved version of the drawing.

Unload (XREF)

Unloads one or more xrefs. Unloaded xrefs can be easily reloaded. Unlike detach, unloading does not remove the xref permanently. It merely suppresses the display and regeneration of the xref definition, to help current session editing and improvement of performance.

Bind

Displays the Bind Xrefs dialog box.

Browse (XREF)

Displays the Select New Path dialog box, in which you can select a different path or file name.

Save Path (XREF)

Saves the path, as it appears in the Xref Found At field, to the currently selected xref.

Bind Xrefs

Converts xref definitions to standard local block definitions. XBIND adds xref-dependent symbol table definitions, such as blocks, text styles, dimension styles, layers, and linetypes to the local symbol table. To bind a nested xref, you must also select the parent xref. There are two methods of binding xrefs to the current drawing, Bind and Insert.

Bind

Binds the selected xref definition to the current drawing. Xref-dependent symbol table names are changed from blockname#$#symbolname to blockname$#$symbolname syntax. For example, if you have an xref name RED containing a layer named BLUE, after binding the xref-dependent layer, RED$0$BLUE becomes a locally defined layer named RED$0$BLUE. The number in $#$ is automatically incremented if a local symbol table definition with the same name already exists. In this example, if RED$0$BLUE already existed in the drawing, the xref-dependent layer RED$0$BLUE would be renamed RED$1$BLUE. In this manner, unique symbol table names are created for all xref-dependent symbol table definitions bound to the current drawing.

Insert

Binds the xref to the current drawing in a way similar to detaching and inserting the reference drawing. Rather than being renamed using blockname$#$symbolname syntax, xref-dependent symbol table names are stripped of the xref name. For example, if you had an xref named RED containing a layer named BLUE, after an insert-like bind, the xref-dependent layer RED|BLUE would become the locally defined layer BLUE. As with inserting drawings, no symbol table name incrementing occurs if a local symbol table shares the same name as a bound xref-dependent symbol. The bound xref-dependent symbol would assume the properties of the locally defined symbol table name.

-XREF (Command Line)

? / Bind / Detach / Path / Reload / Overlay / <Attach>: Enter an option or press ENTER

? - List (-XREF)

Lists the xref names, with path, and xref type, and the number of xrefs currently attached to your drawing. AutoCAD LT displays the following prompt:

Xref(s) to list <*>: Enter a wild-card pattern or press ENTER

Bind (-XREF)

Converts a block, making it a permanent part of the drawing.

Xref(s) to bind: Enter a name or a list of names separated by commas

The dependent symbols, such as layer names, of the former xref are added to your drawing. In each dependent symbol name, AutoCAD LT replaces the vertical bar symbol (|) with three new characters: a number (usually 0) between two dollar signs ($).

Detach (-XREF)

Erases all copies of a specified xref from your drawing, and marks the xref definition for deletion.

Xref(s) to detach: Enter a name or a list of names separated by commas

AutoCAD LT does not detach an xref referenced by another xref or block.

Path (-XREF)

Displays and edits the path name associated with a particular xref. This option is useful if you change the location of or rename the drawing file associated with the xref.

Edit path for which xref(s): Enter an xref name

AutoCAD LT lists the xref and its existing path and prompts for the new path:

Xref name: Enter the xref name
Old path: Enter the existing path name
New path: Enter the new path name

Reload (-XREF)

Reloads one or more xrefs. If another person is currently editing the xref, AutoCAD LT loads the most recently saved version.

Xref(s) to reload: Enter a name or a list of names separated by commas

If AutoCAD LT encounters an error while reloading, the XREF command ends and the entire reloading sequence is undone.

Overlay (-XREF)

Attaches a drawing as an external reference (xref) overlay. If you reference a drawing that itself contains an overlaid xref, the overlaid xref does not appear in the current drawing. Unlike blocks and attached xrefs, overlaid xrefs cannot be nested. If another person is currently editing the xref, AutoCAD LT overlays the most recently saved version.

Xref to overlay <current>: Enter a file name or press ENTER

For more information about attaching xrefs, see Attaching and Overlaying Xrefs.

Attach (-XREF)

Attaches a drawing as an external reference (xref). If you reference a drawing that itself contains an attached xref, the attached xref appears in the current drawing. Like blocks, attached xrefs can be nested. If another person is currently editing the xref, the drawing attached is based on the most recently saved version.

Xref to attach <current>: Enter a file name or press ENTER

For more information on overlaying xrefs, see Attaching and Overlaying Xrefs.

Attaching and Overlaying Xrefs (XREF Command Line)

At the Xref to attach or Xref to overlay prompt, you can also enter a tilde (~) to display a dialog box if FILEDIA=0; otherwise, the standard file dialog will be displayed.

If the xref (including the path) exceeds 31 characters, you need to assign a name different from the drawing name at the prompt using the following syntax.

Xref to attach: xrefname=referenced_file

To request a File dialog box, use the tilde (~) character.

xrefname=~

If the xref you specify is not already attached or overlaid, AutoCAD LT creates a new xref, using the name of the referenced file. AutoCAD LT then prompts for an insertion point, scale, and rotation angle, as described for the INSERT command.

When reading objects from the xref into the new block, AutoCAD LT copies only those objects created in model space and ignores objects created in paper space. Thus, viewports and other objects in paper space do not become a part of the block definition.

In a master drawing, the 0 and DEFPOINTS layers and the CONTINUOUS linetype override entries with the same name that exist in the attaching or overlaying xref. Any objects on these layers remain unaffected. If the DEFPOINTS layer exists in the attaching or overlaying xref but not in the master drawing, the DEFPOINTS layer becomes a permanent part of the master drawing.

Related Commands: BLOCK creates a compound object (a block definition) from a group of objects. INSERT places a previously defined block or drawing in the current drawing. LAYER controls the creation and visibility of layers along with layer settings. XBIND binds dependent symbols of an xref to a drawing.
System Variables: FILEDIA controls the display of dialog boxes used to read and write files. XREFCTL controls the creation of the xref log file.


ZOOM

'ZOOM Command

Increases or decreases the apparent size of objects in the current viewport

Standard toolbar:
View menu: Zoom
Command line: zoom

All / Center / Extents / Previous / Window / Realtime: Enter an option or a value, specify a point, or press ENTER

All (ZOOM)

Displays the entire drawing in the current viewport. In a plan view, AutoCAD LT zooms to the drawing limits or current extents, whichever is greater. In a 3D view, ZOOM All is equivalent to ZOOM Extents. The display shows all objects even if the drawing extends outside the drawing limits.

In the illustration, LIMITS is greater than the extents of the drawing. Because it always regenerates the drawing, you cannot use ZOOM All transparently.

Center (ZOOM)

Changes the display by using a center point and a magnification value or height. The smaller the value, the greater the magnification. Entering a larger value decreases the magnification.

Center point: Specify a point (1)
Magnification or Height <current>: Enter a value or press ENTER

Extents (ZOOM)

Displays the drawing extents and results in the largest possible display of all the objects.

Previous (ZOOM)

Displays the previous view. You can restore up to 10 previous views.

Scale X / XP (ZOOM)

Changes the display by a specified scale factor. The value you enter is relative to the limits of the drawing. For example, entering 2 displays objects at twice the size they would appear if you were zoomed to the limits of the drawing.

If you enter a value followed by x, AutoCAD LT specifies the scale relative to the current view. For example, entering .5x causes each object to be displayed at half its current size on the screen

If you enter a value followed by xp, AutoCAD LT specifies the scale relative to paper space units. For example, entering .5xp displays model space at half the scale of paper space units. The following illustration shows a number of viewports arranged in paper space. The view in each viewport is scaled relative to paper space. For example, Detail 1 is scaled 1=1 relative to paper space (1xp), Detail 2 is scaled .5=1 relative to paper space (.5xp), and so on.

Window (ZOOM)

Displays an area specified by two opposite points defining a rectangular window.

First corner: Specify a point (1)
Other corner: Specify a point (2)

Realtime

Zooms interactively to a logical extent.

Press Esc or Enter to exit, or right-click to activate the pop-up menu.

The cursor changes to a magnifying glass with plus (+) and minus (-) signs.

The current drawing window is used to determine the zooming factor. ZOOM uses half of the window height to move to a zoom factor of 100%. Holding the pick button down at the midpoint of the window and moving vertically to the top of the window zooms in to 100%. Conversely, holding the pick button down at the midpoint of the window and moving vertically to the bottom of the window zooms out by 100%.

Note: If you place the cursor at the bottom of the window, hold down the pick button, and move vertically to the top of the window, the zoom-in factor is 200%.

When you have reached the zoom-in limit, the plus sign in the cursor disappears, indicating that you can no longer zoom in. When you have reached the zoom-out limit, the minus sign in the cursor disappears, indicating that you can no longer zoom out.

When you release the pick button, zooming stops. You can release the pick button, move the cursor to another location in the drawing, and then press the pick button again and continue to zoom the display from that location.

To exit zooming at the new position, press ENTER or ESC.

Related Commands: LIMITS sets and controls the drawing boundaries. PAN moves the drawing display in the current viewport. VIEW saves and restores named views. VPOINT sets the viewing direction for a 3D visualization of the current drawing.


System Variables

System variables are settings that control how certain commands work. You can change the most important system variables from dialog boxes as well as from the command line.

This reference provides detailed information about the AutoCAD LT system variables.


ACLTPREFIX System Variable

(Read-only)
Type: | String
Saved in: | Not saved

Stores the directory path, if any, specified by the Preferences dialog box, with path separators appended if necessary.


ACLTVER System Variable

(Read-only)
Type: | String
Saved in: | Not saved
Initial value: | 4.0

Stores the AutoCAD LT version number. Note that this variable differs from the DXF file ACLTVER header variable, which contains the drawing database level number.


AFLAGS System Variable

Type: | Integer
Saved in: | Not saved
Initial value: | 0

Sets attribute flags for the ATTDEF command bit-code. It is the sum of the following:

0 | No attribute mode selected
1 | Invisible
2 | Constant
4 | Verify
8 | Preset


ANGBASE System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0

Sets the base angle 0 with respect to the current UCS.


ANGDIR System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Sets the angle from angle 0 with respect to the current UCS.

0 | Counterclockwise
1 | Clockwise


APBOX

APBOX System Variables

Type: | Integer
Saved in: | Registry
Initial value: | 1

Turns the AutoSnap aperture box on or off. The aperture box is displayed in the center of the crosshairs when you snap to an object. This option is available only when when Marker, Magnet, or SnapTip is selected.

0 | Aperture box is not displayed
1 | Aperture box is displayed


APERTURE System Variable

Type: | Integer
Saved in: | Config
Initial value: | 10

Sets object-snap target width and height, in pixels.


AREA System Variable

(Read-only)
Type: | Real
Saved in: | Not saved
Initial value: | 0.0000

Stores the last area computed by AREA or LIST. Use the SETVAR command to access this system variable rather than the AREA command.


ATTDIA System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls whether INSERT uses a dialog box for attribute value entry.

0 | Issues prompts on the command line
1 | Uses a dialog box


ATTMODE System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls Attribute Display mode.

0 | Off
1 | Normal
2 | On


ATTREQ System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 1

Determines whether INSERT uses default attribute settings during insertion of blocks.

0 | Assumes the defaults for the values of all attributes
1 | Turns on prompts or a dialog box for attribute values, as selected by ATTDIA


AUDITCTL System Variable

Type: | Integer
Saved in: | Config
Initial value: | 0

Controls whether AutoCAD LT creates an .adt file (audit report).

0 | Turns off or prevents the writing of .adt files
1 | Turns on the writing of .adt files by AUDIT


AUNITS System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Sets Angular Units mode.

0 | Decimal degrees
1 | Degrees/minutes/seconds
2 | Gradians
3 | Radians
4 | Surveyor's units


AUPREC

AUPREC System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Angular units precision sets the number of decimal places for angular units displayed on the status line or when listing an object.


AUTOSNAP System Variable

Type: | Integer
Saved in: | Registry
Initial value: | 7

Controls the display of the AutoSnap marker and SnapTips and turns the AutoSnap magnet on or off. The setting is the sum of the following bit values:

0 | Turns off the marker, SnapTip, and magnet
1 | Turns on the marker
2 | Turns on SnapTips
4 | Turns on the magnet


BACKZ System Variable

(Read-only)
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Stores the back clipping-plane offset from the target plane for the current viewport, in drawing units. Meaningful only if the back clipping bit in VIEWMODE is on. The distance of the back clipping plane from the camera point can be found by subtracting BACKZ from the camera-to-target distance.


BLIPMODE System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls whether marker blips are visible.

0 | Turns off marker blips
1 | Turns on marker blips


CDATE System Variable

(Read-only)
Type: | Real
Saved in: | Not saved

Stores the calendar date and time.


CECOLOR System Variable

Type: | String
Saved in: | Drawing
Initial value: | "BYLAYER"

Sets the color of new objects.


CELTSCALE System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 1.0000

Multiplies the linetype scale for new objects. Use CELTSCALE to change the linetype scale on new objects without changing the linetype or the global linetype scale factor (LTSCALE). The linetype scale for each object is determined by the product of LTSCALE and CELTSCALE.


CELTYPE System Variable

Type: | String
Saved in: | Drawing
Initial value: | "BYLAYER"

Sets the linetype of new objects.


CHAMFERA System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.5000

Sets the first chamfer distance.


CHAMFERB System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.5000

Sets the second chamfer distance.


CHAMFERC System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 1.0000

Sets the chamfer length.


CHAMFERD System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Sets the chamfer angle.


CHAMMODE System Variable

Type: | Integer
Saved in: | Not saved
Initial value: | 0

Sets the input method by which AutoCAD LT creates chamfers.

0 | Requires two chamfer distances
1 | Requires one chamfer length and an angle


CIRCLERAD System Variable

Type: | Real
Saved in: | Not saved
Initial value: | 0.0000

Sets the default circle radius. A zero sets no default.


CLAYER System Variable

Type: | String
Saved in: | Drawing
Initial value: | "0"

Sets the current layer.


CMDACTIVE System Variable

(Read-only)
Type: | Integer
Saved in: | Not saved

Stores the bit-code that indicates whether an ordinary command, transparent command, script, or dialog box is active. It is the sum of the following:

1 | Ordinary command is active
2 | Ordinary command and a transparent command are active
4 | Script is active
8 | Dialog box is active


CMDDIA System Variable

Type: | Integer
Saved in: | Config
Initial value: | 1

Controls whether a dialog box is turned on for the PLOT command.

0 | Turns off dialog box
1 | Turns on dialog box


CMDNAMES System Variable

(Read-only)
Type: | String
Saved in: | Not saved

Displays the name (in English) of the currently active command and transparent command. For example, LINE'ZOOM indicates that the ZOOM command is being used transparently during the LINE command.


COORDS System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls when coordinates are updated.

0 | Coordinate display is updated on pick points only
1 | Display of absolute coordinates is continuously updated
2 | Distance and angle from last point are displayed when a distance or angle is requested


CURCMDLN

CURCMDLN System Variable

Type: | String
Saved in: | Not saved
Initial value: | ""

Determines whether a text string is currently entered at the command prompt. This system variable is used within a DIESEL macro in aclt.mnu to control whether a pop-up menu is displayed when you right-click.


CURSORSIZE

CURSORSIZE System Variable

Type: | Integer
Saved in: | Registry
Initial value: | 5

Determines the size of the crosshairs as a percentage of the screen size. Valid settings range from 1 to 100 percent. When set to 100, the crosshairs are full-screen and the ends of the crosshairs are never visible. When less than 100, the ends of the crosshairs may be visible when the cursor is moved to one edge of the screen.


CVPORT System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 2

Sets the identification number of the current viewport. You can change this value, thereby changing the current viewport, if the following conditions are met:

  • The identification number you specify is that of an active viewport
  • A command in progress has not locked cursor movement to that viewport
  • Tablet mode is off


DATE

DATE System Variable

Type:Saved in:
(Read-only)
Real
Not saved

Stores the current date and time. This value is represented as a Modified Julian Date (MJD), which is the Julian day number and decimal fraction of a day in the format

<Julian day number>.<Decimal fraction of a day>

The Modified Julian Date, conventionally called UT1, is a worldwide scientific standard that assigns day numbers beginning at an essentially arbitrary date and time of 12:00 a.m. on 1 January, 4713 B.C. (B.C.E.). With this system, 4 July, 1997 at 2:29:58 p.m. corresponds to 2450634.60387736 and 1 January, 1998 at 12:00 noon. corresponds to 2450815.50000000.

You can compute differences in date and time by subtracting the numbers returned by DATE. To compute the seconds since midnight from the value returned by DATE, multiply the decimal fraction in DATE by 86400 seconds.

Since your computer clock provides the date and time, the DATE system variable returns a true Julian date only if the system clock is set to UTC/Zulu (Greenwich Mean Time).


DCTCUST System Variable

Type: | String
Saved in: | Config
Initial value: | ""

Displays the current custom spelling dictionary path and file name.


DCTMAIN System Variable

Type: | String
Saved in: | Config
Initial value: | ""

Displays the current main spelling dictionary file name. The full path is not shown because this file is expected to reside in the same directory as aclt.exe.

You can specify a default main spelling dictionary using the SETVAR command. When prompted for a new value for DCTMAIN, you can enter one of the following keywords:

Keyword | Language name
enu | American English
ena | Australian English
ens | British English (ise)
enz | British English (ize)
ca | Catalan
cs | Czech
da | Danish
nl | Dutch (primary)
nls | Dutch (secondary)
fi | Finnish
fr | French (unaccented capitals)
fra | French (accented capitals)
de | German (Scharfes s)
ded | German (Dopple s)
it | Italian
no | Norwegian (Bokmal)
non | Norwegian (Nynorsk)
pt | Portuguese (Iberian)
ptb | Portuguese (Brazilian)
ru | Russian (infrequent io)
rui | Russian (frequent io)
es | Spanish (unaccented capitals)
esa | Spanish (accented capitals)
sv | Swedish


DIMADEC

DIMADEC System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | -1

Controls the number of places of precision displayed for angular dimension text. The default value (-1) uses the DIMDEC system variable setting to generate places of precision. When DIMADEC is set to a value from 0 to 8, angular dimensions display precisions that differ from their linear dimension values.

-1 | Angular dimension is drawn using the number of decimal places corresponding to the DIMDEC setting
0-8 | Angular dimension is drawn using the number of decimal places corresponding to the DIMADEC setting


DIMALT System Variable

Type: | Switch
Saved in: | Drawing
Initial value: | Off

Turns on alternate units dimensioning. See also DIMALTD, DIMALTF, DIMALTZ (DIMALTTZ, DIMALTTD), and DIMAPOST.


DIMALTD System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 2

Controls alternate units decimal places. If DIMALT is turned on, DIMALTD sets the number of digits displayed to the right of the decimal point in the alternate measurement.


DIMALTF System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 25.4000

Controls alternate units scale factor. If DIMALT is turned on, DIMALTF multiplies linear dimensions by a factor to produce a value in an alternate system of measurement.


DIMALTTD System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 2

Sets the number of digits displayed to the right of the decimal point for the tolerance values of alternate units dimensions. DIMALTTD sets this value when entered on the command line or set in the Alternate Units area of the Annotation dialog box.


DIMALTTZ System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls suppression of zeros for tolerance values.

0 | Suppresses zero feet and precisely zero inches
1 | Includes zero feet and precisely zero inches
2 | Includes zero feet and suppresses zero inches
3 | Includes zero inches and suppresses zero feet

To the preceding values, add:

4 | Suppresses leading zeros
8 | Suppresses trailing zeros

DIMALTTZ sets this value when entered on the command line or set in the Alternate Units area of the Annotation dialog box.


DIMALTU System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 2

Sets the units format for alternate units of all dimension style family members except angular.

1 | Scientific
2 | Decimal
3 | Engineering
4 | Architectural (stacked)
5 | Fractional (stacked)
6 | Architectural
7 | Fractional

DIMALTU sets this value when entered on the command line or set in the Alternate Units area of the Annotation dialog box.


DIMALTZ System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Comtrols suppression of zeros for alternate unit dimension values.

1 | Includes zero feet and precisely zero inches
2 | Includes zero feet and suppresses zero inches
3 | Includes zero inches and suppresses zero feet

To the preceding values, add:

4 | Suppresses leading zeros
8 | Suppresses trailing zeros

DIMALTZ sets this value when entered on the command line or set in the Alternate Units area of the Annotation dialog box.


DIMAPOST System Variable

Type: | String
Saved in: | Drawing
Initial value: | ""

Specifies a text prefix or suffix (or both) to the alternate dimension measurement for all types of dimensions except angular. For instance, if the current Units mode is Architectural, DIMALT is turned on, DIMALTF is 25.4, DIMALTD is 2, and DIMAPOST is set to "mm," a distance of 10 units would be edited as 10"[254.00mm]. To turn off an established prefix or suffix (or both), set it to a single period (.).


DIMASO System Variable

Type: | Switch
Saved in: | Drawing
Initial value: | On

Controls the creation of dimension objects.

Off | The lines, arcs, arrowheads, and text of a dimension are drawn as separate objects.
On | The lines, arcs, arrowheads, and text of a dimension are created as a single object. Each dimension includes definition points located on the features of the object being dimensioned. If the definition point is moved along with the feature, the dimension is automatically adjusted and updated.

The DIMASO value is not stored in a dimension style.


DIMASZ System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.1800

Controls the size of dimension line and leader line arrowheads. Also controls the size of hook lines. Multiples of the arrowhead size determine whether dimension lines and text are to fit between the extension lines. Also used to scale arrowhead blocks if set by DIMBLK. DIMASZ has no effect when DIMTSZ is other than zero.


DIMAUNIT System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Sets the angle format for angular dimensions.

0 | Decimal degrees
1 | Degrees/minutes/seconds
2 | Gradians
3 | Radians
4 | Surveyor's units

DIMAUNIT sets this value when entered on the command line or set from the Primary Units area of the Annotation dialog box.


DIMBLK System Variable

Type: | String
Saved in: | Drawing
Initial value: | "" (a closed, filled arrowhead)

Sets the name of a block to be drawn instead of the normal arrowhead at the ends of the dimension line or leader line. To turn off a specified block name, set it to a single period (.).

DDIM Arrow Type Name | Invariant Block Name | Localized BlockName, US Localization
None | _NONE | NONE
Closed | _CLOSED | CLOSED
Dot | _DOT | DOT
Closed Filled | "" | ""
Closed Blank | _CLOSEDBLANK | CLOSEDBLANK
Oblique | _OBLIQUE | OBLIQUE
Architectural Tick | _ARCHTICK | ARCHTICK
Open | _OPEN | OPEN
Origin Indication | _ORIGIN | ORIGIN
Right-Angle | _OPEN90 | OPEN90
Open 30 | _OPEN30 | OPEN30
Dot Blanked | _DOTBLANK | DOTBLANK
Dot Small | _DOTSMALL | DOTSMALL
Box Filled | _BOXFILLED | BOXFILLED
Box | _BOXBLANK | BOXBLANK
Datum Triangle Filled | _DATUMFILLED | DATUMFILLED
Datum Triangle | _DATUMBLANK | DATUMBLANK
Integral | _INTEGRAL | INTEGRAL


DIMBLK1 System Variable

Type: | String
Saved in: | Drawing
Initial value: | "" (a closed, filled arrowhead)

If DIMSAH is on, DIMBLK1 specifies user-defined arrowhead blocks for the first end of the dimension line. This variable contains the name of a previously defined block. To turn off a specified block name, set it to a single period (.).


DIMBLK2 System Variable

Type: | String
Saved in: | Drawing
Initial value: | "" (a closed, filled arrowhead)

If DIMSAH is on, DIMBLK2 specifies user-defined arrowhead blocks for the second end of the dimension line. This variable contains the name of a previously defined block. To turn off a specified block name, set it to a single period (.).


DIMCEN System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.0900

Controls drawing of circle or arc center marks and center lines by the DIMCENTER, DIMDIAMETER, and DIMRADIUS dimensioning commands.

0 | No center marks or lines are drawn.
<0 | Center lines are drawn.
>0 | Center marks are drawn.

The absolute value specifies the size of the mark portion of the center line. DIMRADIUS and DIMDIAMETER draw the center mark or line only if the dimension line is placed outside the circle or arc.


DIMCLRD System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Assigns colors to dimension lines, arrowheads, and dimension leader lines. Also controls the color of leader lines created with the LEADER command. Using the SETVAR command, supply the color number. The color can be any valid color number, 0 for BYBLOCK, or 256 for BYLAYER.


DIMCLRE System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Assigns colors to dimension extension lines. The color can be any valid color number, 0 for BYBLOCK, or 256 for BYLAYER.


DIMCLRT System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Assigns colors to dimension text. The color can be any valid color number, 0 for BYBLOCK, or 256 for BYLAYER.


DIMDEC System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 4

Sets the number of digits displayed to the right of the decimal point for the primary units dimension. DIMDEC stores this value when entered on the command line or set in the Primary Units area of the Annotation dialog box.


DIMDLE System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Extends the dimension line beyond the extension line when oblique strokes are drawn instead of arrowheads.


DIMDLI System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.3800

Controls the dimension line spacing for baseline dimensions. Each baseline dimension is offset by this amount, if necessary, to avoid drawing over the previous dimension.


DIMEXE System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.1800

Determines how far to extend the extension line beyond the dimension line.


DIMEXO System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.0625

Determines how far extension lines are offset from origin points. If you point directly at the corners of an object to be dimensioned, the extension lines stop just short of the object.


DIMFIT System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 3

Controls the placement of text and arrowheads inside or outside extension lines based on the available space between the extension lines. Also, if DIMFIT is set to a value of 0-3, when you move dimension text, the dimension line moves with it. If DIMFIT is set to a value of 4 or 5, when you move dimension text, the dimension line does not move.

When space is available, AutoCAD LT always places text and arrowheads between the extension lines. When space between the extension lines is inadequate, the DIMFIT setting determines the placement of text and arrowheads as follows:

0 | Places both text and arrowheads outside extension lines.
1 | Places text between the extension lines and places arrowheads outside them. When not enough space is available for text, places both text and arrowheads outside extension lines.
2 | Places arrowheads between the extension lines and places the text outside. When not enough space is available for arrowheads, places both text and arrowheads outside extension lines.
3 | Places the text between the extension lines and places the arrowheads outside the extension lines. When enough space is available for arrowheads only, places them between the extension lines and the text outside the extension lines. When not enough space is available for either the text or the arrowheads, places them outside the extension lines.
4 | Creates leader lines when there is not enough space for text between extension lines. Horizontal justification controls whether the text is drawn to the right or the left of the leader.
5 | When enough space is available for arrowheads only, places them between the extension lines and places the text above the dimension line. When not enough space is available for both text and arrowheads, you can place the text anywhere, independent of the dimension line. No leader line is created in either case.


DIMGAP System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.0900

Sets the distance around the dimension text when you break the dimension line to accommodate dimension text. Also sets the gap between annotation and a hook line created with the LEADER command. A negative DIMGAP value creates basic dimensioning -- dimension text with a box around its full extents.

AutoCAD LT also uses DIMGAP as the minimum length for pieces of the dimension line. When calculating the default position for the dimension text, it positions the text inside the extension lines only if doing so breaks the dimension lines into two segments at least as long as DIMGAP. Text placed above or below the dimension line is moved inside if there is room for the arrowheads, dimension text, and a margin between them at least as large as DIMGAP: 2 * (DIMASZ + DIMGAP).


DIMJUST System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls horizontal dimension text position.

0 | Positions the text above the dimension line and center-justifies it in between the extension lines.
1 | Positions the text next to the first extension line.
2 | Positions the text next to the second extension line.
3 | Positions the text above and aligned with the first extension line.
4 | Positions the text above and aligned with the second extension line.


DIMLFAC System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 1.0000

Sets a global scale factor for linear dimensioning measurements. All linear distances measured by dimensioning (including radii, diameters, and coordinates) are multiplied by the DIMLFAC setting before being converted to dimension text.

DIMLFAC has no effect on angular dimensions, and it is not applied to the values held in DIMTM, DIMTP, or DIMRND.

If you are creating a dimension in paper space and DIMLFAC is nonzero, AutoCAD LT multiplies the distance measured by the absolute value of DIMLFAC. In model space, negative values for DIMLFAC are ignored, and the value 1.0 is used instead. AutoCAD LT computes a value for DIMLFAC if you change DIMLFAC from the Dim prompt while in paper space and you select the Viewport option.

Dim: dimlfac

Current value <1.0000> New value (Viewport): v

Select viewport to set scale:

AutoCAD LT calculates the scaling of model space to paper space and assigns the negative of this value to DIMLFAC.


DIMLIM System Variable

Type: | Switch
Saved in: | Drawing
Initial value: | Off

When turned on, generates dimension limits as the default text. Setting DIMLIM on forces DIMTOL to be off.


DIMPOST System Variable

Type: | String
Saved in: | Drawing
Initial value: | ""

Specifies a text prefix or suffix (or both) to the dimension measurement. For example, to establish a suffix for millimeters, set DIMPOST to mm; a distance of 19.2 units would be displayed as 19.2mm.

If tolerances are turned on, the suffix is applied to the tolerances as well as to the main dimension.

To separate DIMPOST values into prefix and suffix parts of the dimension text, use the < > mechanism; this allows AutoCAD LT to use the DIMPOST values as text. Use this mechanism for angular dimensions.


DIMRND System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Rounds all dimensioning distances to the specified value. For instance, if DIMRND is set to 0.25, all distances round to the nearest 0.25 unit. If you set DIMRND to 1.0, all distances round to the nearest integer. Note that the number of digits edited to the right of the decimal point depends on the precision set by DIMDEC. DIMRND does not apply to angular dimensions. A value of 0 turns off rounding.


DIMSAH System Variable

Type: | Switch
Saved in: | Drawing
Initial value: | Off

Controls use of user-defined arrowhead blocks at the ends of the dimension line.

Off | Normal arrowheads or user-defined arrowhead blocks set by DIMBLK are used
On | User-defined arrowhead blocks are used

DIMBLK1 and DIMBLK2 specify different user-defined arrowhead blocks for each end of the dimension line.


DIMSCALE System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 1.0000

Sets the overall scale factor applied to dimensioning variables that specify sizes, distances, or offsets. It is not applied to tolerances or to measured lengths, coordinates, or angles. Also affects the scale of leader objects created with the LEADER command.

0.0 | AutoCAD LT computes a reasonable default value based on the scaling between the current model space viewport and paper space. If you are in paper space, or in model space and not using the paper space feature, the scale factor is 1.0.
>0 | AutoCAD LT computes a scale factor that leads text sizes, arrowhead sizes, and other scaled distances to plot at their face values.


DIMSD1 System Variable

Type: | Switch
Saved in: | Drawing
Initial value: | Off

When turned on, suppresses the display of the dimension line and arrowhead between the first extension line and the text.


DIMSD2 System Variable

Type: | Switch
Saved in: | Drawing
Initial value: | Off

When turned on, suppresses the display of the dimension line and arrowhead between the second extension line and the text.


DIMSE1 System Variable

Type: | Switch
Saved in: | Drawing
Initial value: | Off

When turned on, suppresses the display of the first extension line.


DIMSE2 System Variable

Type: | Switch
Saved in: | Drawing
Initial value: | Off

When turned on, suppresses the display of the second extension line.


DIMSHO System Variable

Type: | Switch
Saved in: | Drawing
Initial value: | On

When turned on, controls redefinition of dimension objects while dragging. Associative dimensions recompute dynamically as they are dragged. Radius or diameter leader length input uses dynamic dragging and ignores DIMSHO. On some computers, dynamic dragging can be very slow, so you can set DIMSHO to off to drag the original image instead. The DIMSHO value is not stored in a dimension style.


DIMSOXD System Variable

Type: | Switch
Saved in: | Drawing
Initial value: | Off

When turned on, suppresses drawing of dimension lines outside the extension lines. If the dimension lines would be outside the extension lines and DIMTIX is on, setting DIMSOXD to on suppresses the dimension line. If DIMTIX is off, DIMSOXD has no effect.


DIMSTYLE System Variable

(Read-only)
Type: | String
Saved in: | Drawing

Sets the current dimension style by name. To change the dimension style, use DDIM or DIMSTYLE.


DIMTAD System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls vertical position of text in relation to the dimension line.

0 | Centers the dimension text between the extension lines.
1 | Places the dimension text above the dimension line except when the dimension line is not horizontal and text inside the extension lines is forced horizontal (DIMTIH = 1). The distance from the dimension line to the baseline of the lowest line of text is the current DIMGAP value.
2 | Places the dimension text on the side of the dimension line farthest away from the defining points.
3 | Places the dimension text to conform to a Japanese Industrial Standards (JIS) representation.


DIMTDEC System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 4

Sets the number of digits displayed to the right of the decimal point for the tolerance values of the primary units in a dimension. DIMTDEC stores this value when entered on the command line or set in the Primary Units area of the Annotation dialog box.


DIMTFAC System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 1.0000

Specifies a scale factor for text height of tolerance values relative to the dimension text height as set by DIMTXT.

DIMTFAC = | Tolerance Height
 | Text Height

For example, if DIMTFAC is set to 1.0, the text height of tolerances is the same height as the dimension text. If DIMTFAC is set to 0.100, the text height of tolerances is three-quarters the size of dimension text.

Use DIMTFAC for plus and minus tolerance strings when DIMTOL is on and DIMTM is not equal to DIMTP, or when DIMLIM is on.


DIMTIH System Variable

Type: | Switch
Saved in: | Drawing
Initial value: | On

Controls the position of dimension text inside the extension lines for all dimension types except ordinate dimensions.

0 or Off | Aligns text with the dimension line
1 or On | Draws text horizontally


DIMTIX System Variable

Type: | Switch
Saved in: | Drawing
Initial value: | Off

Draws text between extension lines.

0 or Off | The result varies with the type of dimension. For linear and angular dimensions, AutoCAD LT places text inside the extension lines if there is sufficient room. For radius and diameter dimensions, setting DIMTIX off forces the text outside the circle or arc.
1 or On | Draws dimension text between the extension lines even if AutoCAD LT would ordinarily place it outside those lines.


DIMTM System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Sets the minimum (or lower) tolerance limit for dimension text when DIMTOL or DIMLIM is on. DIMTM accepts signed values. If DIMTOL is on and DIMTP and DIMTM are set to the same value, AutoCAD LT draws a ± symbol followed by the tolerance value.

If DIMTM and DIMTP values differ, the upper tolerance is drawn above the lower, and a plus sign is added to the DIMTP value if it is positive.

For DIMTM, AutoCAD LT uses the negative of the value you enter (adding a minus sign if you specify a positive number and a plus sign if you specify a negative number). No sign is added to a value of zero.


DIMTOFL System Variable

Type: | Switch
Saved in: | Drawing
Initial value: | Off

When turned on, draws a dimension line between the extension lines even when the text is placed outside the extension lines. For radius and diameter dimensions (while DIMTIX is off), draws a dimension line and arrowheads inside the circle or arc and places the text and leader outside.


DIMTOH System Variable

Type: | Switch
Saved in: | Drawing
Initial value: | On

When turned on, controls the position of dimension text outside the extension lines.

0 or Off | Aligns text with the dimension line
1 or On | Draws text horizontally


DIMTOL System Variable

Type: | Switch
Saved in: | Drawing
Initial value: | Off

When turned on, appends dimension tolerances to dimension text. Setting DIMTOL on forces DIMLIM off.


DIMTOLJ System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Sets the vertical justification for tolerance values relative to the nominal dimension text.

0 | Bottom
1 | Middle
2 | Top


DIMTP System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Sets the maximum (or upper) tolerance limit for dimension text when DIMTOL or DIMLIM is on. DIMTP accepts signed values. If DIMTOL is on and DIMTP and DIMTM are set to the same value, AutoCAD LT draws a ± symbol followed by the tolerance value.

If DIMTM and DIMTP values differ, the upper tolerance is drawn above the lower and a plus sign is added to the DIMTP value if it is positive.


DIMTSZ System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Specifies the size of oblique strokes drawn instead of arrowheads for linear, radius, and diameter dimensioning.

0 | Draws arrowheads.
>0 | Draws oblique strokes instead of arrowheads. Size of oblique strokes is determined by this value multiplied by the DIMSCALE value. Also determines if dimension lines and text fit between extension lines.


DIMTVP System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Adjusts the vertical position of dimension text above or below the dimension line. AutoCAD LT uses the DIMTVP value when DIMTAD is off. The magnitude of the vertical offset of text is the product of the text height and DIMTVP. Setting DIMTVP to 1.0 is equivalent to setting DIMTAD to on. AutoCAD LT splits the dimension line to accommodate the text only if the absolute value of DIMTVP is less than 0.7.


DIMTXSTY System Variable

Type: | String
Saved in: | Drawing
Initial value: | "STANDARD"

Specifies the text style of the dimension.


DIMTXT System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.1800

Specifies the height of dimension text, unless the current text style has a fixed height.


DIMTZIN System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls suppression of zeros for tolerance values.

0 | Suppresses zero feet and precisely zero inches
1 | Includes zero feet and precisely zero inches
2 | Includes zero feet and suppresses zero inches
3 | Includes zero inches and suppresses zero feet
To the preceding values, add:

4 | Suppresses leading zeros
8 | Suppresses trailing zeros

DIMZIN stores this value when entered on the command line or set in the Primary Units area of the Annotation dialog box.


DIMUNIT System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 2

Sets the units format for all dimension style family members except angular.

1 | Scientific
2 | Decimal
3 | Engineering
4 | Architectural (stacked)
5 | Fractional (stacked)
6 | Architectural
7 | Fractional


DIMUPT System Variable

Type: | Switch
Saved in: | Drawing
Initial value: | Off

Controls cursor functionality for dimension text.

0 or Off | Cursor controls only the dimension line location.
1 or On | Cursor controls the text position as well as the dimension line location.


DIMZIN System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls the suppression of zeros in dimension text. DIMZIN stores this value when entered on the command line or set in the Primary Units area of the Annotation dialog box.

0 | Suppresses zero feet and precisely zero inches.
1 | Includes zero feet and precisely zero inches.
2 | Includes zero feet and suppresses zero inches.
3 | Includes zero inches and suppresses zero feet.
4 | Suppresses leading zeros in decimal dimensions.
8 | Suppresses trailing zeros in decimal dimensions.


DISTANCE System Variable

(Read-only)
Type: | Real
Saved in: | Not saved

Stores the distance computed by the DIST command.


DONUTID System Variable

Type: | Real
Saved in: | Not saved
Initial value: | 0.5000

Sets the default for the inside diameter of a donut.


DONUTOD System Variable

Type: | Real
Saved in: | Not saved
Initial value: | 1.0000

Sets the default for the outside diameter of a donut. Must be nonzero. If DONUTID is larger than DONUTOD, the two values are swapped by the next DONUT command.


DWGCODEPAGE System Variable

(Read-only)
Type: | String
Saved in: | Drawing

Stores the drawing code page. This variable is set to the system code page when you create a new drawing; otherwise, AutoCAD LT does not maintain it. It should reflect the code page of the drawing. You can set it to any of the values used by the SYSCODEPAGE system variable or set it as undefined. It is saved in the header.


DWGNAME System Variable

(Read-only)
Type: | String
Saved in: | Not saved

Stores the drawing name as entered by the user. If the drawing hasn't been named yet, DWGNAME reports that it is unnamed. If the user specified a drive/directory prefix, it is included as well.


DWGPREFIX System Variable

(Read-only)
Type: | String
Saved in: | Not saved

Stores the drive/directory prefix for the drawing.


DWGTITLED System Variable

(Read-only)
Type: | Integer
Saved in: | Not saved

Indicates whether the current drawing has been named.

0 | The drawing has not been named.
1 | The drawing has been named.


EDGEMODE System Variable

Type: | Integer
Saved in: | Config
Initial value: | 0

Controls how the TILE and EXTEND commands determine cutting and boundary edges.

0 | Uses the selected edge without an extension
1 | Extends the selected edge to its natural boundary

Line, arc, elliptical arc, ray, and polyline are eligible objects for natural extension. The natural extension of a line or ray is an unbounded line (xline); an arc is a circle, and an elliptical arc is an ellipse. A polyline is broken down into its line and arc components, which are extended to their natural boundary.


ELEVATION System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Stores the current 3D elevation relative to the current UCS for the current space.


EXEDIR System Variable

(Read-only)
Type: | String
Saved in: | Not saved

Displays the directory path of the AutoCAD LT executable file.


EXPERT System Variable

Type: | Integer
Saved in: | Not saved
Initial value: | 0

Controls whether certain prompts are issued.

0 | Issues all prompts normally.
1 | Suppresses "About to regen, proceed?" (BLOCK) and "The current layer is turned off."
2 | Suppresses the preceding prompts and "Block already defined. Redefine it?" () and "A drawing with this name already exists. Overwrite it?" (SAVE or WBLOCK).
3 | Suppresses the preceding prompts and those issued by LINETYPE if you try to load a linetype that's already loaded or create a new linetype in a file that already defines it.
4 | Suppresses the preceding prompts and those issued by UCS Save and VPORTS Save if the name you enter already exists.
5 | Suppresses the preceding prompts and those issued by the DIMSTYLE Save option and DIMOVERRIDE if the dimension style name you enter already exists (the entries are redefined).

When a prompt is suppressed by EXPERT, the operation in question is performed as though you entered y at the prompt. The setting of EXPERT can affect scripts, menu macros, and the command functions.


EXTMAX System Variable

(Read-only)
Type: | 3D Point
Saved in: | Drawing

Stores the upper-right point of drawing extents. Expands outward as new objects are drawn, shrinks only with ZOOM All or ZOOM Extents. Reported in World coordinates for the current space.


EXTMIN System Variable

(Read-only)
Type: | 3D Point
Saved in: | Drawing

Stores the lower-left point of drawing extents. Expands outward as new objects are drawn, shrinks only with ZOOM All or ZOOM Extents. Reported in World coordinates for the current space.


FILEDIA System Variable

Type: | Integer
Saved in: | Config
Initial value: | 1

Suppresses the display of the file dialog boxes.

0 | Turns off file dialog boxes. You can still request a file dialog box to appear by entering a tilde (~) in response to the command's prompt.
1 | Turns on file dialog boxes. However, if a script is active, an ordinary prompt appears.


FILLETRAD System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Stores the current fillet radius.


FILLMODE System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 1

Specifies whether hatches, two-dimensional solids, and wide polylines are filled in.

0 | Objects are not filled.
1 | Objects are filled.


FONTALT

FONTALT System Variable

Type: | String
Saved in: | Registry
Initial value: | "simplex.shx"

Specifies the alternate font to be used when the specified font file cannot be located. If an alternate font is not specified, AutoCAD LT displays the Alternate Font dialog box. The dialog box is displayed in the following cases:

  1. An AutoCAD LT Release 3 drawing is opened; FONTALT is not set or not found; and a TrueType, SHX, or PostScript font is not found for a defined text style.
  2. An AutoCAD LT Release 4 drawing is opened, FONTALT is not set or not found, and a SHX or PostScript font is not found for a defined text style. For missing TrueType fonts in Release 14 drawings, AutoCAD LT automatically substitutes the closest TrueType font available.
  3. The Browse button is pressed in the Preferences dialog box when you specify an alternate font.

AutoCAD LT validates the alternate font specified for FONTALT. If the font name or font file name is not found, the message "Font not found" is displayed. Enter either a TrueType font name (for example, Times New Roman Bold) or a True Type file name (for example, timebd.ttf). When a TrueType file name is entered for FONTALT, AutoCAD LT returns the font name in place of the file name if the font is registered with the operating system.


FONTALT

FONTMAP System Variable

Type: | String
Saved in: | Registry
Initial value: | "aclt.fmp"

Specifies the font mapping file to be used. A font mapping file contains one font mapping per line; the original font used in the drawing and the font to be substituted for it are separated by a semicolon (;). For example, to substitute the Times TrueType font for the romans font, the line in the mapping file would read as follows:

romanc.shx;times.ttf

If FONTMAP does not point to a font mapping file, if the FMP file is not found, or if the font file name specified in the FMP file is not found, AutoCAD uses the font defined in the style. If the font in the style is not found, AutoCAD substitutes the font according to substitution rules.


FRONTZ System Variable

(Read-only)
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Stores the front clipping plane offset from the target plane for the current viewport, in drawing units. Meaningful only if the front clipping bit in VIEWMODE is on and the front clip not at eye bit is also on. The distance of the front clipping plane from the camera point is found by subtracting FRONTZ from the camera-to-target distance.


GRIDMODE System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | Varies

Specifies whether the grid is turned on or off.

0 | Turns the grid off.
1 | Turns the grid on.


GRIDUNIT System Variable

Type: | Real
Saved in: | Drawing
Initial value: | Varies

Specifies the grid spacing (X and Y) for the current viewport. Changes to GRIDUNIT are not reflected in the displayed grid until you use the REDRAW or REGEN command.


GRIPBLOCK System Variable

Type: | Integer
Saved in: | Config
Initial value: | 0

Controls the assignment of grips in blocks.

0 | Assigns grip only to the insertion point of the block
1 | Assigns grips to objects within the block


GRIPCOLOR System Variable

Type: | Integer
Saved in: | Config
Initial value: | 5

Controls the color of nonselected grips (drawn as a box outline). The valid range is 1-255.


GRIPHOT System Variable

Type: | Integer
Saved in: | Config
Initial value: | 1

Controls the color of selected grips (drawn as a filled box). The valid range is 1-255.


GRIPS System Variable

Type: | Integer
Saved in: | Config
Initial value: | 1

Turns on grips and the **Stretch**, **Move**, **Rotate**, **Scale**, and **Mirror** grip commands.

0 | Turns off grips.
1 | Turns on grips.
To adjust the size of the grips and the effective selection area used by the cursor when you snap to a grip, use the GRIPSIZE system variable.


GRIPSIZE System Variable

Type: | Integer
Saved in: | Config
Initial value: | 3

Sets the size of the box drawn to display the grip in pixels. The valid range is 1-255.


HANDLES System Variable

(Read-only)
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Reports that object handles are turned on and can be accessed by applications. Included for compatibility with earlier versions. Handles can no longer be turned off.


HIGHLIGHT System Variable

Type: | Integer
Saved in: | Not saved
Initial value: | 1

Controls object highlighting; does not affect objects selected with grips.

0 | Turns off object selection highlighting.
1 | Turns on object selection highlighting.


HPANG System Variable

Type: | Real
Saved in: | Not saved
Initial value: | 0

Specifies the hatch pattern angle.


HPDOUBLE System Variable

Type: | Integer
Saved in: | Not saved
Initial value: | 0

Specifies hatch pattern doubling for "U" (user-defined) patterns.

0 | Turns off hatch pattern doubling.
1 | Turns on hatch pattern doubling.


HPNAME System Variable

Type: | String
Saved in: | Not saved
Initial value: | ANSI31

Sets default hatch pattern name of up to 34 characters, no spaces allowed. Returns "" if there is no default. Enter a period (.) to set no default.

AutoCAD LT stores the Normal, Outer, and Ignore style codes by appending characters to the pattern name in the HPNAME system variable.


HPSCALE System Variable

Type: | Real
Saved in: | Not saved
Initial value: | Varies

Specifies the hatch pattern scale factor; must be nonzero.


HPSPACE System Variable

Type: | Real
Saved in: | Not saved
Initial value: | Varies

Specifies the hatch pattern line spacing for "U" (user-defined) simple patterns; must be nonzero.


INDEXCTL

INDEXCTL System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls whether layer and spatial indexes are created and saved in drawing files.

0 | No indexes are created
1 | Layer index is created
2 | Spatial index is created
3 | Layer and spatial indexes are created


INETLOCATION

INETLOCATION System Variable

Type: | String
Saved in: | Registry
Initial value: | http://www.autodesk.com/acltuser

Stores the internet location used by BROWSER.


INSBASE System Variable

Type: | 3D point
Saved in: | Drawing
Initial value: | 0.0000,0.0000,0.0000

Stores insertion base point set by BASE command, expressed in UCS coordinates for the current space.


INSNAME System Variable

Type: | String
Saved in: | Not saved
Initial value: | ""

Sets default block name for DDINSERT or INSERT. The name must conform to symbol naming conventions. Returns "" if no default. Enter a period (.) to set no default.


LASTANGLE System Variable

(Read-only)
Type: | Real
Saved in: | Not saved
Initial value: | 0

Stores the end angle of the last arc entered relative to the XY plane of the current UCS for the current space.


LASTCMD

LASTCMD System Variable

(Read-only)
Type: | String
Saved in: | Not saved
Initial value: | " "

Stores the last string echoed to the command line. This string is identical to the last line seen at the command line and includes any user input.


LASTPOINT System Variable

Type: | 3D point
Saved in: | Drawing
Initial value: | 0.0000,0.0000,0.0000

Stores the last point entered, expressed in UCS coordinates for the current space; referenced by @ during keyboard entry.


LENSLENGTH System Variable

(Read-only)
Type: | Real
Saved in: | Drawing
Initial value: | 50

Stores the length of the lens (in millimeters) used in perspective viewing for the current viewport.


LIMCHECK System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls object creation outside the drawing limits.

0 | Permits object creation outside the drawing limits.
1 | Prevents object creation outside the drawing limits.


LIMMAX System Variable

Type: | 2D point
Saved in: | Drawing
Initial value: | Varies

Stores upper-right drawing limits for the current space expressed in World coordinates.


LIMMIN System Variable

Type: | 2D point
Saved in: | Drawing
Initial value: | 0.0000,0.0000

Stores lower-left drawing limits for the current space expressed in World coordinates.


LOCALE System Variable

(Read-only)
Type: | String
Saved in: | Not saved
Initial value: | Varies

Displays the ISO language code of the current AutoCAD LT version you're running.


LOGFILEMODE System Variable

Type: | Integer
Saved in: | Registry
Initial value: | 0

Specifies whether the contents of the text window are written to a log file.

0 | Log file is not maintained
1 | Log file is maintained


LOGFILENAME System Variable

Type: | String
Saved in: | Registry
Initial value: | "pathname/aclt.log"

Specifies the path for the log file. The log file is created if you select Maintain a Log File on the General tab in the Preferences dialog box.


LTSCALE System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 1.0000

Sets the global linetype scale factor. The linetype scale for each object is determined by the product of LTSCALE and CELTSCALE.


LUNITS System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 2

Sets Linear Units mode.

1 | Scientific
2 | Decimal
3 | Engineering
4 | Architectural
5 | Fractional


LUPREC System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 4

Linear Units Precision sets the number of digits displayed to the right of the decimal point for nondimensioning commands, variables, and output. This includes coordinate display, LIST, DIST, AREA, ID, and DDMODIFY. You can use values between 0 and 8.


MAXACTVP System Variable

Type: | Integer
Saved in: | Not saved
Initial value: | 16

Sets maximum number of viewports that can be active at the same time.


PLINETYPE

MBUTTONPAN System Variable

Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the behavior of the third button or wheel on pointing devices.

0 | The third button or wheel action on a pointing device supports the action defined in the AutoCAD LT menu (.mnu) file.
1 | The third button or wheel action on a pointing device supports panning by pressing the third button or wheel and dragging.


MEASUREINIT

MEASUREINIT System Variable

Type: | Integer
Saved in: | Registry
Initial value: | Varies by country

Sets initial drawing units as English or metric. Specifically, MEASUREINIT controls which hatch pattern and linetype file an existing drawing uses when it is opened. It also controls which template is used.

0 | English; AutoCAD uses the hatch pattern file and linetype file designated by the ANSIHatch and ANSILinetype registry settings.
1 | Metric; AutoCAD uses the hatch pattern file and linetype file designated by the ISOHatch and ISOLinetype registry settings.


MEASUREMENT

MEASUREMENT System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Sets drawing units as English or metric. Specifically, MEASUREMENT controls which hatch pattern and linetype file an existing drawing uses when it is opened.

0 | English; AutoCAD LT uses the hatch pattern file and linetype file designated by the ANSIHatch and ANSILinetype registry settings
1 | Metric; AutoCAD LT uses the hatch pattern file and linetype file designated by the ISOHatch and ISOLinetype registry settings

The drawing units for new drawings are controlled by the MEASUREINIT registry variable (MEASUREINIT uses the same values as MEASUREMENT). The MEASUREMENT setting of a drawing always overrides the MEASUREINIT registry setting.


MENUECHO System Variable

Type: | Integer
Saved in: | Not saved
Initial value: | 0

Sets menu echo and prompt control bits. It is the sum of the following:

1 | Suppresses echo of menu items (^P in a menu item toggles echoing).
2 | Suppresses display of system prompts during menu.
4 | Turns off ^P toggle of menu echoing.
8 | Displays input/output strings; debugging aid for DIESEL macros.


MIRRTEXT System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls how MIRROR reflects text.

0 | Retains text direction.
1 | Mirrors the text.


MODEMACRO System Variable

Type: | String
Saved in: | Not saved
Initial value: | ""

Displays a text string on the status line, such as the name of the current drawing, time/date stamp, or special modes. Use MODEMACRO to display a string of text, or use special text strings written in the DIESEL macro language to have AutoCAD LT evaluate the macro from time to time and base the status line on user-selected conditions.


MTEXTED System Variable

Type: | String
Saved in: | Config
Initial value: | Internal

Sets the name of the program to use for editing MTEXT objects. You can specify a different text editor for the Paragraph Text (MTEXT) and Edit Text (DDEDIT) commands. If you set MTEXTED to internal, AutoCAD LT will display the internal Edit Mtext dialog box; if you set MTEXTED to null by entering a period (.), AutoCAD LT will display the Notepad; if you specify a directory path and the name of the executable for another text editor or word processor, AutoCAD LT will display it instead. Text editors other than the internal one will show the formatting codes in paragraph text.


OFFSETDIST System Variable

Type: | Real
Saved in: | Not saved
Initial value: | -1.0000

Sets the default offset distance.

< 0 | Changes to Through mode.
> 0 | Sets the default offset distance.


OLEHIDE System Variable

Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls the display of OLE objects in AutoCAD LT.

0 | All OLE objects are visible
1 | OLE objects are visible in paper space only
2 | OLE objects are visible in model space only
3 | No OLE objects are visible

OLEHIDE affects both screen display and printing.


ORTHOMODE System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls orthogonal display of lines or polylines.

0 | Turns off Ortho mode.
1 | Turns on Ortho mode.


OSMODE System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Sets running Object Snap modes using the following bit-codes. To specify more than one object snap, enter the sum of their values. For example, entering 3 specifies the Endpoint (1) and Midpoint (2) object snap.

0 | NONe
1 | ENDpoint
2 | MIDpoint
4 | CENter
8 | NODe
16 | QUAdrant
32 | INTersection
64 | INSertion
128 | PERpendicular
256 | TANgent
512 | NEArest


OSNAPCOORD

OSNAPCOORD System Variable

Type: | Integer
Saved in: | Registry
Initial value: | 2

Controls whether coordinates entered on the command line override running object snaps.

0 | Running object snap settings override keyboard coordinate entry
1 | Keyboard entry overrides object snap settings
2 | Keyboard entry overrides object snap settings except in scripts


PDMODE System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

The PDMODE and PDSIZE system variables control the appearance of point objects. PDMODE values 0, 2, 3, and 4 specify a figure to draw through the point. A value of 1 selects nothing to be displayed.

Adding 32, 64, or 96 to the values above selects a shape to draw around the point in addition to the figure drawn through it:


PDSIZE System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

PDSIZE controls the size of the point figures, except for PDMODE values 0 and 1. A 0 setting generates the point at 5 percent of the graphics area height. A positive PDSIZE value specifies an absolute size for the point figures. A negative value is interpreted as a percentage of the viewport size. The size of all points is recalculated when the drawing is regenerated.

After you change PDSIZE, the appearance of existing points changes the next time AutoCAD LT regenerates the drawing.

0 | Creates a point at 5% of the graphics area height.
> 0 | Specifies an absolute size.
< 0 | Specifies a percentage of the viewport size.


PELLIPSE System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls the ellipse type created with ELLIPSE.

0 | Creates a true ellipse object.
1 | Creates a polyline representation of an ellipse.


PERIMETER System Variable

(Read-only)
Type: | Real
Saved in: | Not saved
Initial value: | 0.0000

Stores the last perimeter value computed by AREA and LIST.


PICKADD System Variable

Type: | Integer
Saved in: | Config
Initial value: | 1

Controls additive selection of objects.

0 | Turns off PICKADD. The objects most recently selected, either by an individual pick or by windowing, become the selection set. Previously selected objects are removed from the selection set. Add more objects to the selection set by holding down Shift while selecting them.
1 | Turns on PICKADD. Each object selected, either individually or by windowing, is added to the current selection set. To remove objects from the set, hold down Shift while selecting them.


PICKAUTO System Variable

Type: | Integer
Saved in: | Config
Initial value: | 1

Controls automatic windowing when the Select objects prompt appears.

0 | Turns off PICKAUTO.
1 | Turns on selection window specification (both window and crossing window) automatically at the Select objects prompt.


PICKBOX System Variable

Type: | Integer
Saved in: | Config
Initial value: | 3

Sets object selection target height and width, in pixels.


PICKDRAG System Variable

Type: | Integer
Saved in: | Config
Initial value: | 0

Controls the method of drawing a selection window:

0 | Draws the selection window by clicking the mouse or digitizer at one corner and then at the other corner.
1 | Draws the selection window by clicking at one corner, holding down the mouse or digitizer button, dragging, and releasing the mouse or digitizer button at the other corner.


PICKFIRST System Variable

Type: | Integer
Saved in: | Config
Initial value: | 1

Controls the method of object selection so that you can also select objects first and then use an edit or inquiry command.

0 | Turns off PICKFIRST.
1 | Turns on PICKFIRST.


PLINEGEN System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Sets the linetype pattern generation around the vertices of a 2D polyline. Does not apply to polylines with tapered segments.

0 | Polylines are generated to start and end with a dash at each vertex.
1 | Generates the linetype in an uninterrupted pattern across the vertices of the polyline.


PLINETYPE

Type: | Integer
Saved in: | Registry
Initial value: | 2

Specifies whether AutoCAD LT uses optimized 2D polylines. PLINETYPE controls both the creation of new polylines with PLINE and the conversion of existing polylines in drawings from previous releases.

0 | Polylines in older drawings are not converted on opening; PLINE creates old-format polylines
1 | Polylines in older drawings are not converted on opening; PLINE creates optimized polylines
2 | Polylines in older drawings are converted on opening; PLINE creates optimized polylines

For more information on the two formats, see CONVERT.

PLINETYPE also controls the polyline type created with following commands: BOUNDARY (when object type is set to polyline), DONUT, ELLIPSE (when PELLIPSE is set to 1), PEDIT (when selecting a line or arc), POLYGON, and SKETCH (when SKPOLY is set to 1).


PLINEWID System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Stores the default polyline width.


PLOTID System Variable

Type: | String
Saved in: | Config
Initial value: | ""

Changes the default plotter, based on its assigned description, and retains the text string of the current plotter description. Change to another configured plotter by entering its full or partial description.

Applications can use PLOTTER to step through the available plotter descriptions retained by PLOTID and thus control the default plotter.


PLOTROTMODE System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls the orientation of plots.

0 | Rotates the effective plotting area so that the corner with the Rotation icon aligns with the paper at the lower-left for 0, top-left for 90, top-right for 180, and lower-right for 270.
1 | Aligns the lower-left corner of the effective plotting area with the lower-left corner of the paper.


PLOTTER System Variable

Type: | Integer
Saved in: | Config
Initial value: | 0

Changes the default plotter, based on its assigned integer, and retains an integer number that AutoCAD LT assigns for each configured plotter. This number can be in the range of 0 up to the number of configured plotters. You may configure up to 29 plotters. Change to another configured plotter by entering its valid, assigned number. For example, if you configured four plotters, the valid numbers are 0 through 3.

Note: AutoCAD LT does not permanently assign a number to a given plotter. If you delete a plotter configuration, AutoCAD LT assigns new numbers to each of the configured plotters. AutoCAD LT also updates the value of PLOTTER.

Applications can use PLOTTER to step through the available plotter descriptions retained by PLOTID and thus control the default plotter.


POLARANG

POLARANG System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 15.0000

Sets the PolarSnap angle relative to the current UCS. Values can range from 0.1 to 90.0 degrees.


POLARDIST

POLARDIST System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 1.0000

Sets the distance from the last point for PolarSnap intervals.


POLARMODE

POLARMODE System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls whether Polarsnap is constrained for distance, angle, or both.

0 | No PolarSnap constraints
1 | Constrains PolarSnap to angle increments
2 | Constrains Polarsnap to distance increments
3 | Constrains PolarSnap to both angle and distance increments


POLARSTYLE

POLARSTYLE System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls whether PolarSnap coordinates are displayed as polar tooltips at the cursor location. PolarSnap coordinates are displayed in polar coordinate notation.

0 | Turns off the display of coordinates at the cursor location
1 | Turns on the display of coordinates at the cursor location


POLYSIDES System Variable

Type: | Integer
Saved in: | Not saved
Initial value: | 4

Sets the default number of sides for POLYGON. The range is 3-1024.


PROJMODE System Variable

Type: | Integer
Saved in: | Config
Initial value: | 1

Sets the current Projection mode for trim or extend operations.

0 | True 3D mode (no projection)
1 | Project to the XY plane of the current UCS
2 | Project to the current view plane


PSLTSCALE System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls paper space linetype scaling for noncontinuous linetypes.

0 | No special linetype scaling. Linetype dash lengths are based on the drawing units of the space (model or paper) in which the objects were created, scaled by the global LTSCALE factor.
1 | Viewport scaling governs linetype scaling. If TILEMODE is set to 0, dash lengths are based on paper space drawing units, even for objects in model space. In this mode, viewports can have varying magnifications, yet display linetypes identically. For a specific linetype, the dash lengths of a line in a viewport are the same as the dash lengths of a line in paper space. You can still control the dash lengths with LTSCALE and CELTSCALE.

When you change PSLTSCALE or use a command such as ZOOM with PSLTSCALE set to 1, objects in viewports are not automatically regenerated with the new linetype scale. Use the REGEN command to update the linetype scales in each viewport.


PSPROLOG System Variable

Type: | String
Saved in: | Config
Initial value: | ""

Assigns a name for a prolog section to be read from the aclt.psf file when using PSOUT.


QTEXTMODE System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls Quick Text mode.

0 | Turns off Quick Text mode; displays characters.
1 | Turns on Quick Text mode; displays a box in place of text.


RASTERPREVIEW

RASTERPREVIEW System Variable

Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether BMP preview images are saved with the drawing.

0 | No preview image is created
1 | Preview image created


RTCLICKMENU

RTCLICKMENU System Variable

Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the right-click action of the pointing device.

0 | Repeats last command
1 | Displays standard pop-up menu


RTDISPLAY

RTDISPLAY System Variable

Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the display of raster images during realtime zoom or pan.

0 | Displays raster image content
1 | Displays raster image outline only

RTDISPLAY is saved in the current profile.


SAVEFILE System Variable

(Read-only)
Type: | String
Saved in: | Config
Initial value: | auto.sv$

Stores current auto-save file name and directory path.


SAVENAME System Variable

(Read-only)
Type: | String
Saved in: | Not saved

Stores the file name and directory path of your current drawing after you save it.


SAVETIME System Variable

Type: | Integer
Saved in: | Config
Initial value: | 0

Sets automatic save interval, in minutes.

0 | Turns off automatic save.
>0 | Automatically saves the drawing at intervals specified by the nonzero integer.

The SAVETIME timer starts as soon as you make a change to a drawing. It is reset and restarted by a manual SAVE, SAVEAS, or QSAVE. The current drawing is saved to auto.sv$.


SHADEDGE System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 3

Controls shading of edges in rendering (used when viewing AutoCAD drawings).

0 | Faces shaded, edges not highlighted
1 | Faces shaded, edges drawn in background color
2 | Faces not filled, edges in object color
3 | Faces in object color, edges in background color


SHADEDIF System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 70

Sets the ratio of diffuse reflective light to ambient light (in percent of diffuse reflective light). This is used when viewing AutoCAD LT drawings.


SNAPANG System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0

Sets snap/grid rotation angle for the current viewport relative to the current UCS.

Note: Changes to this variable are not reflected in the displayed grid until a redraw is performed. AutoCAD LT does not perform automatic redraws when variables are changed.


SNAPBASE System Variable

Type: | 2D point
Saved in: | Drawing
Initial value: | 0.0000,0.0000

Sets the snap and grid origin point for the current viewport relative to the current UCS.

Note: Changes to this variable are not reflected in the displayed grid until a redraw is performed. AutoCAD LT does not perform automatic redraws when variables are changed.


SNAPISOPAIR System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls current isometric plane for the current viewport.

0 | Left
1 | Top
2 | Right


SNAPMODE System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls the Snap mode.

0 | Snap off
1 | Snap on for current viewport


SNAPSTYL System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Sets snap style for current viewport.

0 | Standard
1 | Isometric


SNAPUNIT System Variable

Type: | 2D point
Saved in: | Drawing
Initial value: | Varies

Sets the X and Y snap spacing for the current viewport.

Note: Changes to this variable are not reflected in the displayed grid until a redraw or regen operation is performed. AutoCAD LT does not perform automatic redraws when variables are changed.


SPLFRAME System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls display of splines and spline-fit polylines.

0 | Does not display the control frame for splines and spline-fit polylines.
1 | Displays the control frame for splines and spline-fit polylines.


SPLINESEGS System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 8

Sets the number of line segments to be generated for each spline-fit polyline created by the PEDIT spline.


SPLINETYPE System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 6

Sets the type of spline-fit polyline generated by PEDIT Spline.

5 | Quadratic B-spline
6 | Cubic B-spline


SYSCODEPAGE System Variable

(Read-only)
Type: | String
Saved in: | Drawing

Indicates the system code page specified in auto.xmx. Codes are as follows:

ascii | dos860 | dos932 | iso8859-8
big5 | dos861 | iso8859-1 | iso8859-9
dos437 | dos863 | iso8859-2 | johab
dos850 | dos864 | iso8859-3 | ksc5601
dos852 | dos865 | iso8859-4 | mac-roman
dos855 | dos866 | iso8859-6 |
dos857 | dos869 | iso8859-7 |


TABMODE System Variable

Type: | Integer
Saved in: | Not saved
Initial value: | 0

Controls the use of Tablet mode.

0 | Turns off Tablet mode.
1 | Turns on Tablet mode.


TARGET System Variable

(Read-only)
Type: | 3D point
Saved in: | Drawing

Stores the location (in UCS coordinates) of the DVIEW target point for the current viewport.


TDCREATE

TDCREATE System Variable

(Read-only)
Type: | Real
Saved in: | Drawing

Stores the date and time the current drawing was created. This value is represented as a Modified Julian Date (MJD), which is the Julian day number and decimal fraction of a day in the format

<Julian day number>.<Decimal fraction of a day>

The Modified Julian Date, conventionally called UT1, is a worldwide scientific standard that assigns day numbers beginning at an essentially arbitrary date and time of 12:00 a.m. on 1 January, 4713 B.C. (B.C.E.). With this system, 4 July, 1997 at 2:29:58 p.m. corresponds to 2450634.60387736 and 1 January, 1998 at 12:00 noon corresponds to 2450815.50000000.

You can compute differences in date and time by subtracting the numbers returned by TDCREATE. To compute the seconds since midnight from the value returned by TDCREATE, multiply the decimal fraction in TDCREATE by 86400 seconds.

Since your computer clock provides the date and time, the TDCREATE system variable returns a true Julian date only if the system clock is set to UTC/Zulu (Greenwich Mean Time).


TDINDWG

TDINDWG System Variable

(Read-only)
Type: | Real
Saved in: | Drawing

Stores the total editing time, the total elapsed time between saves of the current drawing. The format is

<Number of days>.<Decimal fraction of a day>

To compute the number of seconds, multiply the decimal fraction in TDINDWG by 86400 seconds.


TDUPDATE

TDUPDATE System Variable

(Read-only)
Type: | Real
Saved in: | Drawing

Stores the date and time that the current drawing was last saved. This value is represented as a Modified Julian Date (MJD), which is the Julian day number and decimal fraction of a day in the format

<Julian day number>.<Decimal fraction of a day>

The Modified Julian Date, conventionally called UT1, is a worldwide scientific standard that assigns day numbers beginning at an essentially arbitrary date and time of 12:00 a.m. on 1 January, 4713 B.C. (B.C.E.). With this system, 4 July, 1997 at 2:29:58 p.m. corresponds to 2450634.60387736 and 1 January, 1998 at 12:00 noon corresponds to 2450815.50000000.

You can compute differences in date and time by subtracting the numbers returned by TDUPDATE. To compute the seconds since midnight from the value returned by TDUPDATE, multiply the decimal fraction in TDUPDATE by 86400 seconds.

Since your computer clock provides the date and time, the TDUPDATE system variable returns a true Julian date only if the system clock is set to UTC/Zulu (Greenwich Mean Time).


TDUSRTIMER System Variable

(Read-only)
Type: | Real
Saved in: | Drawing

Stores user elapsed timer.


TEXTFILL System Variable

Type: | Integer
Saved in: | Config
Initial value: | 0

Controls the filling of Bitstream, TrueType, and Adobe Type 1 fonts.

0 | Displays text as outlines.
1 | Displays text as filled images.


TEXTQLTY System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 50

Sets the resolution of TrueType fonts while plotting or exporting with PSOUT. Use integer values from 0 to 100. Lower values decrease resolution and increase plotting speed. Higher values increase resolution and decrease plotting speed.


TEXTSIZE System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.2000

Sets the default height for new text objects drawn with the current text style (not used if the style has a fixed height).


TEXTSTYLE System Variable

Type: | String
Saved in: | Drawing
Initial value: | STANDARD

Stores the name of the current text style.


THICKNESS System Variable

Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Sets the current 3D thickness.


TILEMODE System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls access to paper space, as well as the behavior of AutoCAD LT viewports.

0 | Turns on paper space and viewport objects (uses MVIEW). AutoCAD LT clears the graphics area and prompts you to create one or more viewports.
1 | Turns on AutoCAD Release 10 Compatibility mode (uses VPORTS). AutoCAD LT returns to Tiled Viewport mode, restoring the most recently active tiled-viewport configuration. Paper space objects -- including viewport objects -- are not displayed, and the MVIEW, MSPACE, PSPACE, and VPLAYER commands are turned off.


TOOLTIPS System Variable

Type: | Integer
Saved in: | Config
Initial value: | 1

Controls the display of ToolTips.

0 | Turns off display of ToolTips.
1 | Turns on display of ToolTips.


TRIMMODE System Variable

Type: | Integer
Saved in: | Config
Initial value: | 1

Controls whether AutoCAD LT trims selected edges for chamfers and fillets.

0 | Leaves selected edges intact.
1 | Trims selected edges to the endpoints of chamfer lines and fillet arcs.


UCSICON System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Displays the Coordinate System icon using bit-code for the current viewport. It is the sum of the following:

1 | On; icon display is turned on.
2 | Origin; if icon display is turned on, the icon floats to the UCS origin if possible.


UCSNAME System Variable

(Read-only)
Type: | String
Saved in: | Drawing
Initial value: | " "

Stores the name of the current coordinate system for the current space. Returns a null string if the current UCS is unnamed.


UCSORG System Variable

(Read-only)
Type: | 3D point
Saved in: | Drawing
Initial value: | 0.0000,0.0000,0.0000

Stores the origin point of the current user coordinate system for the current space. This value is always returned in World coordinates.


UCSXDIR System Variable

(Read-only)
Type: | 3D point
Saved in: | Drawing

Stores the X direction of the current UCS for the current space.


UCSYDIR System Variable

(Read-only)
Type: | 3D point
Saved in: | Drawing

Stores the Y direction of the current UCS for the current space.


UNITMODE System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls the units display format.

0 | Displays fractional, feet-and-inches, and surveyor's angles as previously set.
1 | Displays fractional, feet-and-inches, and surveyor's angles in input format.


VIEWCTR System Variable

(Read-only)
Type: | 3D point
Saved in: | Drawing

Stores the center of view in the current viewport, expressed in UCS coordinates.


VIEWDIR System Variable

(Read-only)
Type: | 3D vector
Saved in: | Drawing
Initial value: | 0.0000,0.0000,1.0000

Stores the viewing direction in the current viewport, expressed in UCS coordinates. This describes the camera point as a 3D offset from the target point.


VIEWMODE System Variable

(Read-only)
Type: | Integer
Saved in: | Drawing

Controls Viewing mode for the current viewport using bit-code. The value is the sum of the following bit values:

0 | Turned off.
1 | Perspective view active.
2 | Front clipping on.
4 | Back clipping on.
8 | UCS Follow mode on.
16 | Front clip not at eye. If on, the front clip distance (FRONTZ) determines the front clipping plane. If off, FRONTZ is ignored, and the front clipping plane is set to pass through the camera point (vectors behind the camera are not displayed). This flag is ignored if the front clipping bit (2) is off.


VIEWSIZE System Variable

(Read-only)
Type: | Real
Saved in: | Drawing
Initial value: | Varies

Stores height of view in current viewport, expressed in drawing units.


VIEWTWIST System Variable

(Read-only)
Type: | Real
Saved in: | Drawing
Initial value: | 0

Stores view twist angle for the current viewport.


VISRETAIN System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls visibility, color, and linetype of xref-dependent layers and specifies whether nested xref path changes are saved.

0 | The layer table, as stored in the reference drawing (xref) takes precedence. Changes made to xref-dependent layers in the current drawing are valid in the current session only but are not saved with the drawing. When the current drawing is reopened, the layer table is reloaded from the reference drawing and the current drawing reflects those settings. The layer settings affected are: On/Off, Freeze/Thaw, Color, and Linetype. This setting also specifies that changes made to the paths of nested xrefs are for the current session only and are not saved with the drawing.
1 | Xref-dependent layer changes made in the current drawing take precedence. Layer settings are saved with the current drawing's layer table and persist from session to session. Nested xref path changes are saved with the current drawing and persist from session to session.


VSMAX System Variable

(Read-only)
Type: | 3D point
Saved in: | Drawing

Stores the upper-right corner of the current viewport's virtual screen, expressed in UCS coordinates.


VSMIN System Variable

(Read-only)
Type: | 3D point
Saved in: | Drawing

Stores the lower-left corner of the current viewport virtual screen, expressed in UCS coordinates.


WORLDVIEW System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls whether UCS changes to WCS during DVIEW or VPOINT.

0 | Current UCS remains unchanged.
1 | Current UCS is changed to the WCS for the duration of DVIEW or VPOINT. DVIEW and VPOINT command input is relative to the current UCS.


XREFCTL System Variable

XLOADCTL System Variable

Type: | Integer
Saved in: | Registry
Initial value: | 1

Turns xref demand loading on and off and controls whether it opens the original drawing or a copy.

0 | Turns off demand loading; entire drawing is loaded
1 | Turns on demand loading, reference file is kept open
2 | Turns on demand loading; a copy of the reference file is opened

When XLOADCTL is set to 2, the reference file copy is stored in the AutoCAD LT temporary files directory (defined by PREFERENCES) or in a user-specified directory.


xclipframe

XCLIPFRAME System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls visibility of xref clipping boundaries.

0 | Clipping boundary is not visible
1 | Clipping boundary is visible


XREFCTL System Variable

XLOADPATH System Variable

Type: | String
Saved in: | Registry
Initial value: | " "

Creates a path for storing temporary copies of demand-loaded xref files. For more information, see XLOADCTL.


XREFCTL System Variable

Type: | Integer
Saved in: | Config
Initial value: | 0

Controls whether AutoCAD LT writes .xlg files (external reference log files).

0 | Xref log (.xlg) files are not written.
1 | Xref log (.xlg) files are written.


ZOOMFACTOR

ZOOMFACTOR System Variable

Type: | Integer
Saved in: | Config
Initial value: | 10

Controls the response rate of zooming with an IntelliMouse wheel. When the wheel is rotated, the actual amount of zooming is determined by ZOOMFACTOR. The value stored is a percentage and must be between 3 and 100 inclusive.


User Guide

Tools and Utilities

AutoCAD LT includes several tools that can be used while a command is in progress and utilities that convert AutoCAD LT files and data.


Point Filters

Coordinate Filters

Combines X, Y, and Z values from different points to specify a single point

Inquiry toolbar:
Command line: Enter .x, .y, .xy, .xz, or .yz

At any AutoCAD LT prompt for locating a point, you can enter point filters to specify a single coordinate by extracting the X, Y, and Z values of several points. In this example, the starting point for the line will have a coordinate constructed from the X value of the midpoint of the first object you select, together with the Y and Z values of the midpoint of the second object you select.

LINE From point: .X of MID of <Select an object>
(need YZ) MID of <Select another object>
To point: <Specify another point>

Related Commands: TRACKING locates a point from a series of temporary points.


Direct Distance Entry

Accepts a distance in the direction of the current location of your cursor

At a prompt to locate a point, enter a numeric value

LINE From point: Specify a point
To point: Move cursor in the desired direction and enter 5

With direct distance entry, you can quickly specify a point relative to the last point you entered. At any AutoCAD LT prompt for a point location, you first locate the cursor to specify the direction and then enter a numeric distance.

In this example above, the second point for the line will be located 5 units toward the direction of your cursor.The direct distance that you enter is measured along the path from the last point to the current location of the cursor.This feature is usually used with Ortho or Snap mode turned on.

Related Commands: TRACKING locates a point from a series of temporary points.


From
Locates a point offset from a reference point within a command

Cursor menu: From
Locate a point prompt: from

Base Point: Specify a point to use as a basepoint
of <offset>: Enter relative offset

At an AutoCAD LT prompt for locating a point, you can enter FROM and then a temporary reference or base point from which you can specify an offset to locate the next point. You can enter the offset location from this base point as a relative coordinate, or you can use direct distance entry.

Note: You cannot use this method during dragging in commands such as MOVE and COPY. Specifying an absolute coordinate, either by keyboard entry or with a pointing device, essentially cancels the FROM method.

Related Commands: TRACKING locates a point from a series of temporary points. Direct distance entry locates a point using a value and the direction you move your cursor. Coordinate filters combine X, Y, and Z values from different points to specify a single point. Relative coordinate entry locates a point relative to the last point entered (see How to Enter Coordinate Locations).


LTUPDATE

LT DWG UPDATE Utility

Converts existing drawing files to the AutoCAD LT 97 format

Use one of the following access methods:

  • From the Start menu on the Windows taskbar, choose Programs. Then choose AutoCAD LT 97 > LT DWG Update.
  • In the AutoCAD LT 97 folder, double-click LTUpdate.

Note: The LT DWG Update utility must be run from the same folder in which AutoCAD LT 97 is installed.

The LT DWG Update dialog box is displayed.

LT DWG Update Dialog Box

Drawings to Update

Lists drawing files for batch conversion.

  • Add. Displays the Select Drawing Files to Update dialog box. Select drawings to be converted. When you choose Open, the selected files are added to the list.
  • Remove. Removes file names from the list of drawings to be converted.
Output Folder
  • Overwrite Existing Drawings. Overwrites the existing drawing files in the dialog box list with the converted drawing files. Clear this option to save the converted drawing files in a separate folder and preserve the original drawing files.
  • Browse. Displays the Select Output Folder dialog box. Select a drive and folder from the list.
Update Settings
  • Block Icons. Controls generation of icon images for block definitions. Choose Create or Update to add or update icon images to all existing block definitions in each drawing file. Choose Do Not Create to skip icon image processing. Choose Remove All to delete all icon images of block definitions in each drawing file.
  • Zoom to Extents When Updating. Zooms each drawing to its extents as part of the conversion process. Clear this option to leave the display of each drawing file unchanged.
Update

Begins the conversion process on all selected drawing files.

If you need to interrupt the conversion script, press ESC. To resume the process beginning with the next file on the list, enter resume at the AutoCAD LT Command prompt. If you interrupt the conversion script, conversion may be incomplete on the current file.

Note: The LT DWG Update script will halt if it encounters drawings saved in perspective mode when the Zoom to Extents When Updating option is selected


Slidelib

SLIDELIB Utilities

Compiles AutoCAD slide files listed in an ASCII file into a slide library file

You can construct slide libraries (SLB files) from slide (SLD) files by using the SLIDELIB utility program supplied in the AutoCAD support directory. The following operating system command line syntax constructs a slide library:

slidelib library [ < slidelist ]

SLIDELIB reads a list of slide file names. This list is normally supplied by redirecting a list of files (one per line in another file created using a text editor or a user-supplied utility program) to standard input.

The operating system commands shown below will create a slidelist file that can be used with SLIDELIB. All the slide files you want to compile into a slide library should be placed in a single directory. At a DOS prompt (version 5.0 or newer), enter the following:

dir *.sld /b > mylist

This creates the file, mylist, that you can pass to the SLIDELIB utility. You can also create this file with a text editor by listing the slide file names (and paths, if necessary), such as lobby, d:\slides\office, and \aec\slides\stairs. The slide file name, but not the drive and directory information, is saved in the library file. Because only the file name is included, a library can contain slides with the same name from different directories, but AutoCAD can access only one of the slides.

To generate the slide library mlib from mylist, enter the following:

slidelib mlib < mylist

This entry creates the file mlib.slb, which contains the names and definitions of the slides listed in mylist.

Warning: Do not delete your original slides. The SLIDELIB program has no provision for updating a slide library once it is created. If you want to add or delete a slide, update the slidelist file and re-create the library with SLIDELIB. All the original slides must be present in order to do this.


TRACKING

Locates a point from a series of temporary points

Object Snap toolbar:
Cursor menu: Tracking

Tracking turns on Ortho mode and can be used with Snap mode.

At any AutoCAD LT prompt to locate a point, enter tracking, track, or tk.

First tracking point: Specify a location or distance
Next point (Press ENTER to end tracking): Specify a second location or distance

Tracking accepts a series of temporary points, each offset from the previous one. Thus, you specify a new point location from a series of directions and distances. To determine the location of each temporary point, you can use direct distance entry. First move the cursor to specify the direction, and then enter a numeric distance.

Alternatively, tracking can establish a new point by combining the X and Y values of two specified points. You can specify these two points in any order depending on the cursor direction after the first point. From locates a point offset from a reference point within a command. Direct distance entry accepts a distance in the direction of the current location of your cursor. Coordinate filters combine X, Y, and Z values from different points into a single point. Relative coordinate entry locates a point relative to the last point entered.

Related Commands: The POLAR command constrains cursor input to specified angles and radial distances.


Changing the AutoCAD LT Setup

After installation, you might want to customize the AutoCAD LT setup. You can relocate configuration files for network use, or add AutoCAD LT components that you have not previously installed.


Adding AutoCAD LT Files Later

You can add custom components at any time by running the AutoCAD LT installation again and choosing Add in the Setup Choices dialog box.


To add components

Adding AutoCAD LT Files Later

To add components to the AutoCAD LT installation

  1. Insert the CD into the CD-ROM drive.

    If you are running Windows NT 4.0 or Windows 95, Autorun begins the installation process as soon as you insert the CD unless you hold down the SHIFT key while you insert the CD.

    If you have turned off Autorun, from the Start menu, choose Run, then designate the CD-ROM drive, and enter the path name and setup. For example, enter d:\setup.

  2. When the Welcome screen is displayed, choose Next.

    If the installation program finds a version of AutoCAD LT 97 registered on your system, it prompts you to specify whether you want to install, add, or reinstall AutoCAD LT.

  3. In the Setup Choices dialog box, choose Add.
  4. Select the components you want to add. Clear all other components. Then choose Next.

    The Setup Confirmation dialog box displays the components you have selected and the target directory and program folder.

  5. Choose Next to proceed with the installation.


Adding AutoCAD LT Files Later

Commands

No entries.

System Variables

No entries.


Uninstalling AutoCAD LT

When you uninstall AutoCAD LT, all the program files that were part of the installation are removed. Files that were created after installing AutoCAD LT are not removed. This includes aclt.cfg and any drawing files that you have created in the AutoCAD LT directory tree. You can manually delete these files after uninstalling AutoCAD LT if you have no further use for them.


To uninstall AutoCAD LT on Windows 95 and Windows NT 4.0

Uninstalling AutoCAD LT

To uninstall AutoCAD LT on Windows 95 and Windows NT 4.0

Use one of the following methods:

Method 1: To uninstall AutoCAD LT from the Start Menu

  1. From the Start menu, choose Programs. Then choose AutoCAD LT 97 or the folder name used to install AutoCAD LT.
  2. Choose Uninstall AutoCAD LT 97.
  3. In the Confirmation dialog box, choose Yes.

Method 2: To uninstall AutoCAD LT from the Control Panel

  1. From the Start menu, choose Settings, Control Panel.
  2. In Control Panel, double-click the Add/Remove Programs icon.
  3. In the Add/Remove Program Properties dialog box, choose the Install/Uninstall tab. Select AutoCAD LT 97 (or the folder you used to install AutoCAD LT) and choose OK.


Uninstalling AutoCAD LT

Commands

No entries.

System Variables

No entries.

No entries.


Adding AutoCAD LT Files Later

Starting AutoCAD LT Using Command Line Switches

You can use command line switches to specify several options when AutoCAD LT starts. For example, AutoCAD LT can run a script, start with a specified template drawing, and display a specified view when a drawing is opened. With command line switches, you can also set up several AutoCAD LT icons, each with different start-up options. Command line switches are parameters you can add to the aclt.exe command line associated with a Windows shortcut icon or the Windows Run dialog box. You can include several switches within a single command line. Valid switches are:

/b | Script name (b stands for batch process)
/t | Template file name
/c | Configuration folder
/v | View name

The syntax for using command line switches is

drive:pathname\aclt.exe ["drawing_name"] [/switch "name"]

When using a switch option, you must follow the switch with a space and then the name of a file, path, or view within quotation marks. For example

d:\AutoCAD LT 97\aclt.exe /t "d:\AutoCAD LT 97\template\arch1" /v "sheet1" /b "startup"

Starts AutoCAD LT from a folder named AutoCAD LT 97 with the template drawing arch1.dwg, restores a named view sheet1, and executes a script file startup.scr.


Starting AutoCAD LT Using Command Line Switches

To start AutoCAD LT with a command line switch

  1. Right-click the AutoCAD LT icon on the Windows Desktop. Then choose Properties.
  2. In the AutoCAD LT Properties dialog box, select the Shortcut tab.
  3. In the Target box, edit the parameters for the switch using the following syntax:

    drive:pathname\aclt.exe ["drawing_name"] [/switch "name"]

    Valid switches are:
    /b Script name (b stands for batch process)
    /t Template file name
    /c Configuration folder
    /v View name

For example: d:\AutoCAD LT 97\aclt.exe /t "d:\AutoCAD LT 97\template\arch1" /v "sheet1" /b "startup"


Starting AutoCAD LT Using Command Line Switches

Commands

No entries.

System Variables

No entries.


Changing the AutoCAD LT Setup

To add components to the AutoCAD LT installation
To uninstall AutoCAD LT on Windows 95 and Windows NT 4.0
To start AutoCAD LT with a command line switch


Changing the AutoCAD LT Setup

Commands

No entries.

System Variables

No entries.


Creating Custom Menus

Customizing Menus, Toolbars, and Buttons

You can automate a series of actions you perform regularly by modifying a menu or creating a custom menu. Menu files also define toolbars and shortcut keys.

The default AutoCAD LT template menu file is aclt.mnu. By editing the text in a menu file, you can define the appearance and location of menu items. You can then assign menu macros that execute specific actions when menu items are chosen.

Menu macros can be simple recordings of keystrokes that accomplish a task, or they can be a complex combination of commands and DIESEL programming code. Complex menu macros have some decision-making ability. A menu macro is similar to a script in that it issues a series of commands; however, scripts have no decision-making ability and cannot pause for interaction.

To use menu files, you have to load them.

Using Menu Files
Creating Menu Macros
Creating Button and Auxiliary Menus
Creating Pull-Down and Right-Click Menus
Customizing Toolbars
Creating Image Tile Menus
Creating Tablet Menus
Creating Shortcut Keys
DIESEL-String Expression Language


Using Menu Files

Menu files define the appearance of menus and the actions they perform. The items in each section of the menu file contain AutoCAD LT command strings and macro syntax that define the resulting action when the menu item is chosen.

Menu files define

  • Pointing-device button menus
  • Pull-down and cursor menus
  • Toolbars
  • Image tile menus
  • Screen menus
  • Digitizing-tablet menus
  • Help strings and tooltips
  • Menu access keys
  • Shortcut keys
Menu File Types

The term menu file actually refers to the group of files that work together to define and control the appearance and functionality of the menu areas. The following table describes the AutoCAD LT menu file types.

File type | Description
MNU | Template menu file.
MNC | Compiled menu file. This binary file contains the command strings and menu syntax that define the functionality and appearance of the menu.
MNR | Menu resource file. This binary file contains the bitmaps used by the menu.
MNS | Source menu file (generated by AutoCAD LT).

Bitmap Resource DLLs

You can use bitmap resource DLLs to store the bitmaps used for toolbars and for pull-down and cursor menus: the DLL file name must be the same as the menu file name it's associated with; the resources must be named, not index numbered; and the DLL file must be located in the same directory as the menu file that uses it.

To use these resources in the menu, use the appropriate resource names in the id_small and id_big parameters for toolbar buttons.

Menu-Specific Help

To access the online system-level Help (Windows Help files), you use the menu tag as an index to an associated help file.

Help on Menu Items

If the user activates the system-level Help for a menu item by pressing F1 while the menu item is highlighted, the help engine is called with two arguments. The arguments are the file name of the original menu (or the menu group name it supplied) and the menu tag, as shown in the next section. For example, the menu item with the name tag ID_Cancel would call the help engine with a value of ID_Cancel and a help file of sample.hlp.

Status-Line Help Strings

The status-line help messages are simple descriptive messages that appear on the status line when a menu item is chosen. The Help strings menu section provides support for this form of help.

*** MENUGROUP=sample

***POP1

ID_Title[/TTitle]

ID_Cancel[Cancel Command]^C^C

ID_Line[/LLine]^C^C_line

***HELPSTRINGS

ID_Title[This is the Title menu]

ID_Cancel[This item cancels the previous command]

ID_Line[This draws a simple line]

The syntax for the Help strings section is a name tag followed by a label. When a menu item is selected, the name tag for that item is queried for a corresponding entry in the Help strings section. If such a match occurs, the string contained within the label is displayed on the status line.


Loading and Unloading Menu Files

The base menu is the menu that is initially loaded with AutoCAD LT. In AutoCAD LT, this file is aclt.mnc. The term base menu refers to a complete menu description and usually contains button, image, and other sections as well as the pull-down menu definitions found in the section labeled POPn. If there is an associated menu resource file (DLL), the resources in that file are loaded.

You can load partial menus and modify the menu bar with the MENULOAD Menu Customization dialog box in which multiple partial menu files and specific base files work together. With MENULOAD, you load a partial menu and then add and rearrange the pull-down menus on the menu bar. This allows you to make effective use of multiple menu files.

AutoCAD LT enforces strict menu group definitions; no two menus can define the same menu group. If you attempt to load a menu with a conflicting menu group, the MENULOAD request is canceled.

Loading Menu Files

Use the PREFERENCES Files tab to specify a new menu, and MENULOAD and MENUUNLOAD to load and unload partial menus and add or remove individual pull-down menus from the menu bar.

AutoCAD LT stores the name of the last loaded menu in the system registry. This name is also saved with the drawing, but it is used only for backwards compatibility. When you start AutoCAD LT, the last menu used is loaded. As of AutoCAD LT 97, AutoCAD LT no longer reloads the menu between drawings.

AutoCAD LT finds and loads the specified file according to the following sequence. This same sequence is used when AutoCAD LT loads a new menu.

  • AutoCAD LT looks for a menu source (MNS) file of the given name, following the library search procedure.
  • After locating the MNS file, AutoCAD LT looks for a compiled menu (MNC) file of the same name in the same directory. If it finds a matching MNC file with the same or later date and time as the MNS file, AutoCAD LT loads the MNC file. Otherwise, AutoCAD LT compiles the MNS file, generating a new MNC file in the same directory, and loads that file.
  • If AutoCAD LT does not find an MNS file in step 1, it looks for a compiled menu (MNC) file of the given name, following the library search procedure. If AutoCAD LT finds the MNC file, it loads that file.
  • If AutoCAD LT does not find either an MNS or an MNC file, it searches the library path for a menu template (MNU) file of the given name. If this file is found, it compiles an MNC and an MNS file, then loads the MNC file.
  • If AutoCAD LT does not find any menu files of the given names, it displays an error message and prompts you for another menu file name.

Each time AutoCAD LT compiles an MNC file it generates a menu resource (MNR) file, which contains the bitmaps used by the menu. The MNS file is an ASCII file that is initially the same as the MNU file (without comments or special formatting). The MNS file is modified by AutoCAD LT each time you make changes to the contents of the menu file through the interface (such as modifying the contents of a toolbar).

Although the initial positioning of the toolbars is defined in the MNU or MNS file, changes to the show/hide and docked/floating status or changes to the toolbar positions are recorded in the system registry. After an MNS file has been created, it is used as the source for generating future MNC and MNR files. If you modify the MNU file after an MNS file has been generated, you must use the PREFERENCES command to explicitly load the MNU file so that AutoCAD LT will generate new menu files and your changes will be recognized.

Note: If you use the interface to modify the toolbars, you should cut and paste the modified portions of the MNS file to the MNU file before deleting the MNS file.

Loading and Unloading Partial Menus

With partial menus, AutoCAD LT provides a convenient method for referencing specific menu items from several menu files. Each menu item is assigned a name tag, and each menu file is assigned a menu group name. By specifying a menu group name and name tag, you can add and remove any menu item.

Changing or Removing Menus

Frequent changes to the contents of a menu bar can confuse the user. It is not recommended that you change the state of the menu bar visually except on explicit request from the user. For example, if a user wants to unload an application, menus referenced specifically by that application could be removed as well.

The menu could also be completely reinitialized, removing all partial menus currently loaded, by executing MENULOAD and loading a new base menu file by checking Replace All in the Menu Customization dialog box. This procedure removes all partial menus as well as their associated tag definitions and is equivalent to specifying a new menu file in the Files tab of the Preferences dialog box.

Restoring or Alternating Menus

You can use a customized menu for some tasks while keeping the standard menu easily available. To load your custom menu, on the File System tab of the Preferences dialog box, enter the custom menu name next to Menu File.

When you use MENULOAD or MENUUNLOAD to alter the loaded menus or customize the menu bar with Pop and Toolbar menus, the changes are saved to the registry. The next time you start up AutoCAD LT, the menus that were loaded last and the menu bar configuration are restored. You can load and unload up to 8 partial menus and up to 16 Pop menus.


Loading and Unloading Menu Files

To load a partial menu
To unload a partial menu


Loading and Unloading Menus Files-1

Loading and Unloading Menu Files

To load a partial menu

  1. At the Command prompt, enter menuload.
  2. In the Menu Customization dialog box on the Menu Groups tab, enter the name of the MNU, MNC, or MNS file you want to load under File Name. Then choose Load.

    Use the Browse button if the file you want to load is not in the current directory or if you do not know the path of the directory.

  3. Choose Menu Bar.
  4. Under Menu Groups, select the menu group name of the menu you loaded. Then choose Menu Bar.
  5. On the Menu Bar tab under Menus, select the name of the pull-down menu you want to insert into the menu bar.
  6. On the Menu Bar tab under Menu Bar, select the pull-down menu name that you want to follow the new menu name.
  7. Choose Insert.

    You can also choose to remove one or all pull-down menus listed under Menu Bar by choosing Remove or Remove All.

  8. Choose Close.

When the FILEDIA system variable is set to 1, MENULOAD and MENUUNLOAD use the same dialog box. When FILEDIA is set to 0, the command line prompts are unique for each command.


Loading and Unloading Menus Files-2

Loading and Unloading Menu Files

To unload a partial menu

  1. At the Command prompt, enter menuunload.
  2. In the Menu Customization dialog box on the Menu Groups tab, select the menu file that contains the partial menus you want to delete from the POPn section.
  3. Choose Unload. Then choose Close.


Loading and Unloading Menu Files

Commands

MENULOAD | Loads partial menu files
MENUUNLOAD | Unloads partial menu files
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

No entries.


Menu File Structure

Menu files are divided into sections that relate to specific areas of the AutoCAD LT interface. Depending on its functionality, each menu area can be defined by one or more sections. Each section contains menu items, which provide instructions for the appearance and action related to the menu selection.

Menu File Sections

A menu file does not need to contain entries for every menu section. You need only those that pertain to your application. It is recommended that you divide menus into several smaller menu files that can be loaded and unloaded on demand (with MENULOAD). Not only does this give you better control of your system resources, but it also makes development and maintenance easier because you can work with smaller pieces as needed.

Menu file sections are identified by section labels that use the format ***section_name. Section labels and their associated menu areas are listed in the following table.

Section label | Menu area
***MENUGROUP | Menu file group name
***BUTTONSn | Pointing-device button menu
***AUXn | System pointing device menu
***POPn | Pull-down/cursor menu areas
***TOOLBARS | Toolbar definitions
***IMAGE | Image tile menu area
***SCREEN | Screen menu area
***TABLETn | Tablet menu area
***HELPSTRINGS | Text that is displayed in the status bar when a pull-down or cursor menu item is highlighted or when the cursor is over a toolbar button
***ACCELERATORS | Shortcut (or accelerator) key definitions

Each section contains menu items that define the appearance and functionality of menu selections.

You can include comments in menu files for use as copyright notices, documentation, or notes. Any line that begins with two slashes (//) is ignored by the menu compiler, as shown in this example:

//This line is a comment

Menu Groups

The ***MENUGROUP= label defines the contents of a menu file to be members of a particular group. The purpose of this group name is to distinguish its items from other items when using partial menus. This label must precede all menu sections that use the name tag mechanism. It defines the menu group name for these sections. A Menugroup definition is a string of up to 32 alphanumeric characters (spaces and punctuation marks are not allowed). The Menugroup section contains no menu items.

Because each menu has its own menu group label, multiple partial menus can use the same name tag. A name tag, therefore, must be unique only within the menu file in which it was defined. This also enables applications that load partial menu files to access each other's items.

Menu group names combined with Pop menu names or aliases provide:

  • Interactive loading and unloading of partial menus
  • Control of pull-down menu display and layout from menu macros
Menu Item Syntax

The general syntax of menu items is consistent across all menu sections that contain menu items. Each menu item can consist of a name tag, a label, and a menu macro (except the Image section, which does not permit name tags). A menu item normally resides on one line of the file and uses the following format.

name_tag label menu_macro

The following sample menu code from a Pop (pull-down) menu illustrates a simple menu item:

  • ID_Quit [Exit]^C^C_quit

The first item ID_Quit is the name tag and the label [Exit] displays Exit in the menu. When a user chooses this menu item, the menu macro ^C^C_quit is issued.

A name tag is a string consisting of alphanumeric and underscore (_) characters that uniquely identifies an item within a menu file. It directly precedes the menu item label. Name tags provide the following functionality:

  • Link Pop menu items and toolbar buttons to their associated status line help
  • Link key sequences to a corresponding Pop menu macro
  • Enable menu items to switch from one state to another, for example from enabled to disabled and from marked to unmarked, from menu macros

Name tags are not allowed in Buttons, Aux, and Image sections. They are allowed in Screen and Tablet sections but serve no purpose.

The format and use of menu item labels differs for each menu section. The label is contained within square brackets ([]) and defines what is displayed or presented to the user. Menu sections that have no interface for displaying information do not require labels (such as the Buttons, Aux, and Tablet sections); however, they can be used for internal notes. The following table lists menu item labels in different menu sections and the use of those labels.

Menu section | Use of label
Buttonsn, Auxn, and Popn | Defines the content and formatting of pull-down and cursor menu selections
Toolbars | Defines the toolbar name, status (floating or docked, and hidden or visible), and position; also, defines each button and its properties
Image | Defines the text and image displayed in the image tile menus
Screen | Defines the text that is displayed in the screen menus
Helpstrings | Defines the status line help related to Pop and Toolbar menu items
Accelerators | Associates keyboard action with menu macros


Menu File Structure

No entries.


Menu File Structure

Commands

No entries.

System Variables

No entries.


Using Menu Files

To load a partial menu
To unload a partial menu


Using Menu Files

Commands

MENULOAD | Loads partial menu files
MENUUNLOAD | Unloads partial menu files
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

No entries.


Creating Menu Macros

If you intend to include command parameters in a menu item, you must know the sequence in which that command expects its parameters. Every character in a menu macro is significant, even a blank space. As AutoCAD LT is revised and enhanced, the sequence of prompts for various commands (and sometimes even the command names) might change. Therefore, your custom menus might require minor changes when you upgrade to a new release of AutoCAD LT.

Most of the examples in this topic apply specifically to Pop and Screen menu sections; however, with little or no revision, most menu macros work equally well in all sections of the menu file.

When command input comes from a menu item, the settings of the PICKADD and PICKAUTO system variables are assumed to be 1 and 0, respectively. This preserves compatibility with previous releases of AutoCAD LT and makes customization easier because you are not required to check the settings of these variables.

For information on menu macro syntax, see the table Special Virtual Keys.

Listing of Menu Macro Syntax
Terminating Menu Macros
Pausing for User Input in Menu Macros
Providing International Language Support in Menu Macros
Canceling Commands Automatically with Menu Macros
Using Echoes and Prompts in Menu Macros
Using ASCII Control Characters in Menu Items
Creating Long Menu Macros
Repeating Commands in Menu Macros
Using Single Object Selection Mode in Menu Macros
Swapping Menus with Menu Macros
Using Conditional Expressions in Menu Macros


Listing of Menu Macro Syntax

Special Characters Used in Menu Macros

Character | Description
; | Issues ENTER
^M | Issues ENTER
^I | Issues TAB
[SPACEBAR] | Enters a space; a blank space between command sequences in a menu item is equivalent to pressing SPACEBAR
\ | Pauses for user input
_ | Translates AutoCAD LT commands and the key words that follow
+ | Continues the menu macro to the next line (if last character)
=* | Displays the current top-level image, pull-down, or cursor menu
* | Repeats the macro that follows it
$ | Loads a menu section or introduces a conditional DIESEL macro expression ($M=)
^B | Turns Snap mode on or off (CTRL+B)
^C | Cancels command (ESC)
^D | Turns COORDS on or off (CTRL+D)
^E | Sets the next isometric plane (CTRL+E)
^G | Turns Grid mode on or off (CTRL+G)
^H | Issues backspace
^O | Turns Ortho mode on or off (CTRL+O)
^P | Turns MENUECHO on or off
^Q | Echoes all prompts, status listings, and input to the printer (CTRL+Q)
^T | Turns the tablet on or off (CTRL+T)
^V | Makes a different viewport current (CTRL+V)
^Z | Null character that suppresses the automatic addition of a blank space (SPACEBAR) at the end of a menu item


Listing of Menu Macro Syntax

No entries.


Menu Macro Syntax

Listing of Menu Macro Syntax

Commands

No entries.

System Variables

No entries.


Macro Termination

Terminating Menu Macros

When a menu item is selected, AutoCAD LT places a space at the end of the macro before processing the command sequence. AutoCAD LT processes the following menu macro as though you had entered line and then pressed SPACEBAR.

[Line]line

Sometimes this is undesirable; for example, TEXT and DIM must be terminated by pressing ENTER, not SPACEBAR. Also, it sometimes takes more than one space (or ENTER) to complete a command, but some text editors do not let you create a line with trailing blanks. Two special conventions get around these problems.

When a semicolon (;) appears in a menu macro, AutoCAD LT substitutes ENTER.

If a line ends with a control character, a backslash (\), a plus sign (+), or a semicolon (;), AutoCAD LT does not add a blank space after it.

Look at the Erase 1 menu item in the following example:

[Erase 1]erase \;

If this item simply ended with the backslash (which indicates user input), it would fail to complete the ERASE operation, because AutoCAD LT does not add a blank after the backslash. Therefore, this menu macro uses a semicolon (;) to force ENTER after the user input. Here are more examples:

[UCS ] ucs
[UCS W ]ucs ;
[Address ]text \.4 0 DRAFT Inc;;;Main St.;;;City, State;

The first example enters ucs and presses SPACEBAR on the command line, and the following prompt appears.

Origin/ZAxis/3point/Entity/View/X/Y/Z/Prev/Restore/Save/Del/?/ <World>:

The second example enters ucs, presses SPACEBAR, and presses ENTER, which accepts the default value, World. No difference between the first and second examples would be evident on the screen; naturally, you would not put both on the same menu.

The third example displays a prompt for a starting point and then draws the address on three lines. In the triple-semicolon (;;;), the first semicolon ends the text string, the second causes repetition of TEXT, and the third calls for the default placement below the previous line.


Terminating Menu Macros

No entries.


Terminating Menu Macros

Commands

No entries.

System Variables

No entries.


Pausing for User Input in Menu Macros

To accept input from the keyboard or the pointing device in the middle of a menu macro, place a backslash (\) at the point where you want input.

[Circle-1]circle \1
[Layoff ]layer off \;

Circle-1 pauses to ask the user for the center point and then reads a radius of 1 from the menu. Note that there is no space after the \. You use Layoff to enter one layer name; Layoff then turns that layer off and exits LAYER. LAYER normally prompts for another operation and exits only if you press SPACEBAR (blank) or ENTER (;).

Normally, the menu macro resumes after one item is entered. Therefore, it is not possible to construct a menu macro that accepts a variable number of inputs (as in object selection) and then continues. However, an exception is made for SELECT; a backslash suspends the menu item until object selection has been completed. Consider the following menu item example:

[Make Red]select \change previous ;properties color red ;

This item uses SELECT to create a selection set of one or more objects. It then issues CHANGE, references this selection set using the Previous option, and changes the color of all selected objects to red.

Note: Because the backslash character (\) causes a menu macro to pause for user input, you cannot use a backslash for any other purpose in a menu macro. When specifying file directory paths, use a forward slash (/) as the path delimiter: for example, /direct/file.

The following circumstances delay resumption of a menu macro:

  • If input of a point is expected, object snap modes may precede entry of the actual point.
  • If X/Y/Z point filters are used, the menu item remains suspended until the entire point has been accumulated.
  • For SELECT only, the menu item does not resume until object selection has been completed.
  • If the user responds with a transparent command, the suspended menu macro remains suspended until the transparent command is completed and the originally requested input is received.
  • If the user responds by choosing another menu item (to supply options or to execute a transparent command), the original macro is suspended, and the newly selected item is processed to completion before the suspended macro is resumed.


Pausing for User Input in Menu Macros

No entries.


Pausing for User Input

Pausing for User Input in Menu Macros

Commands

No entries.

System Variables

No entries.


Providing International Language Support in Menu Macros

If you develop menus that can be used with a foreign-language version of AutoCAD LT, the standard AutoCAD LT commands and key words are translated automatically if you precede each command or key word with the underscore character (_). The aclt.mnu file uses this feature extensively.

The following example shows a portion of a Pop menu.

[->Arc]
[3-point]^C^C_arc
[Start, Cen, End]^C^C_arc;\_c
[Start, Cen, Angle]^C^C_arc;\_c;\_a
[Start, Cen, Length]^C^C_arc;\_c;\_l
[Start, End, Angle]^C^C_arc;\_e;\_a
[Start, End, Radius]^C^C_arc;\_e;\_r


International Language Support in Menu Macros

Providing International Language Support in Menu Macros

No entries.


International Language Support in Menu Macros

Providing International Language Support in Menu Macros

Commands

No entries.

System Variables

No entries.


Canceling Commands Automatically with Menu Macros

To make sure that you have no AutoCAD LT commands currently in progress before executing a menu macro, use the string ^C^C to begin the menu macro. This is the same as pressing ESC twice from the keyboard. Although a single ^C cancels most commands, ^C^C is required to return to the Command prompt from a DIM command. Therefore, ^C^C ensures that AutoCAD LT returns to the Command prompt in most circumstances before the menu macro continues.


Canceling Commands Automatically with Menu Macros

No entries.


Canceling Commands Automatically with Menu Macros

Commands

No entries.

System Variables

No entries.


Using Echoes and Prompts in Menu Macros

Normally, characters that are read from a menu macro appear in the command window just like keyboard input, and prompts are displayed even if a menu item provides the responses. You can suppress these displays using the MENUECHO system variable. If menu input echoing is disabled, a ^P in the menu item turns echoing on.


Using Echoes and Prompts in Menu Macros

No entries.


Using Echoes and Prompts in Menu Macros

Commands

No entries.

System Variables

MENUECHO Sets menu echo and prompt control bits


Using Control Characters in Menu Items

Using ASCII Control Characters in Menu Macros

You can place ASCII control characters in a menu macro by entering a caret (^) followed by another character. For example, ^C converts to a single character, CTRL+C (which, when called from a menu macro, issues Cancel, not COPYCLIP). The nonalphabetic control characters are as follows:

^@ (ASCII code 0)
^[ (ASCII code 27)
^\ (ASCII code 28)
^] (ASCII code 29)
^^ (ASCII code 30)
^_ (ASCII code 31)

When used in a menu macro, the caret (^) maps to the CTRL key on the keyboard. You can combine the caret with another character to construct menu macros that do such things as toggle the grid on and off (^G) or cancel a command (^C).

[GridFlip]^G
[*Cancel*]^C

You may want a menu macro to enter one or more characters but not submit them as final input. For example, you could create a series of menu macros to act as a numeric keypad.

[1]1x^H
[2]2x^H
[3]3x^H

When you choose one of these items, the appropriate digit is entered. Another character follows (the letter x in this case), and that character is removed by ^H. (CTRL+H is the ASCII code for a backspace.) Each of these menu items ends with a control character, and AutoCAD LT does not add a space or ENTER to such items. Thus, you can choose [2], [2], [3], [1] to construct the input 2231. Press ENTER to enter the completed number.

The following menu items perform the function just described, this time using the backslash.

[1]1\
[2]2\
[3]3\

The first of these two methods is recommended. Although the second method is easier to implement and in most cases produces the same result, a command issued while a menu pause is active might not function as expected.


Using Control Characters in Menu Items

Using ASCII Control Characters in Menu Items

No entries.


Using Control Characters in Menu Items

Using ASCII Control Characters in Menu Items

Commands

No entries.

System Variables

No entries.


Creating Long Menu Macros

If an item in the menu macro does not fit on one line, you can continue it on the next line. To do this, add a plus sign (+) as the last character of the line to be continued.

[Setup ]layer set ground-floor;;grid on; ... ;fill off;+
limits 0,0 12,9;status

This item, which you might use to set initial conditions for a new drawing, continues onto a second line. Menu items can continue on as many lines as necessary.

Note: Line continuations are not preserved when AutoCAD LT creates the MNS file.


Creating Long Menu Macros

No entries.


Creating_Long Menu Macros

Commands

No entries.

System Variables

No entries.


Repeating Commands in Menu Macros

Once you have selected a command, you are likely to use it several times before moving on to another command. That is how most people use tools; you pick up a tool, do several things with it, then pick up another tool, and so on.

You can repeat a command until you choose another command. However, you cannot use this feature to choose options. If a menu macro begins with *^C^C immediately following the item label, the macro is saved in memory. Subsequent Command prompts are answered by that macro until it is terminated by ESC or by selection of another menu item.

Note: Do not use ^C (Cancel) within a menu macro that begins with the string *^C^C; this cancels the menu macro repetition.

The following is an example of the repetitive, or modal, approach to command handling.

[Move ]*^C^CMOVE Single
[Copy ]*^C^CCOPY Single
[Erase ]*^C^CERASE Single
[Stretch]*^C^CSTRETCH Single Crossing
[Rotate ]*^C^CROTATE Single
[Scale ]*^C^CSCALE Single

Menu macro repetition does not work for items in image tile menus.


Repeating Commands in Menu Macros

No entries.


Repeating Commands in Menu Macros

Commands

No entries.

System Variables

No entries.


Using Single Object Selection Mode in Menu Macros

Single Object Selection mode cancels the normal repetition of the Select Objects prompt in editing commands. Consider the following menu macro example:

[Erase]*^C^CERASE single

This item terminates the current command and activates ERASE with the Single selection option. After you choose this menu item, you either select a single object to be erased, or click a blank area in the drawing and specify a selection window. Any objects selected in this way are erased, and the menu item is repeated (due to the leading asterisk) so that you can erase additional objects. Single Selection mode provides more dynamic interaction with AutoCAD LT.


Using Single Object Selection Mode in Menu Macros

No entries.


Using Single Object Selection Mode in Menu Macros

Commands

No entries.

System Variables

No entries.


Swapping Menus with Menu Macros

AutoCAD LT provides a method for replacing the contents of an active Buttons, Aux, Pop, Screen, or Tablet menu section. The new content can be that of another section or submenu in the base menu, or it can come from a partial menu.

The following syntax enables menu swapping from a menu macro:

$section=[menugroup.]menuname

$

Instructs AutoCAD LT to load a menu section.

section

Specifies the menu section. Valid names are

A1-A4 | for Aux menus 1 through 4
B1-B4 | for Buttons menus 1 through 4
P0-P16 | for Pop menus 0 through 16
I | for the Image menu
S | for the Screen menu
T1-T4 | for Tablet menus 1 through 4

menugroup

Specifies the Menugroup that menuname is a member of (not necessary if menuname is in the base menu).

menuname

Specifies which section or submenu to insert. Main label or alias for the section to load.

The following menu items illustrate submenu referencing.

$S=PARTS
$T1=EDITCMDS
$T2=SCREEN

You can activate the submenu mechanism in the middle of a command without interrupting it. For example, the following command strings are equivalent:

$S=ARCSTUFF ARC
ARC $S=ARCSTUFF

Each menu item starts ARC, switches to the ARCSTUFF screen submenu, and awaits the entry of arc parameters. A space must follow the submenu reference to separate it from subsequent commands in the menu item.

Note: You can swap menus only of the same type - one Aux for another, one Pop for another, and so on. Trying to swap between types may result in unpredictable and undesired behavior. However, within a given type, you can swap any menu for any other menu. This can lead to some strange behavior for Tablet menus, because they typically do not all have the same number of macros.

Only one occurrence of each Pop menu can be present in either the menu bar or on the active cursor menu.

For menu-swapping information that is related to each menu section, see


Menu-Specific Help

Swapping Menus with Menu Macros

No entries.


Menu-Specific Help

Swapping Menus with Menu Macros

Commands

No entries.

System Variables

No entries.


Using Conditional Expressions in Menu Macros

You can use the $M= command within a menu macro to introduce macro expressions written in DIESEL (string expression language). AutoCAD LT evaluates the portion of the item following $M=, and the result is reevaluated as the menu macro. The format is

$M=expression b

where $M= tells AutoCAD LT to evaluate the following string as a DIESEL expression, and expression is the DIESEL expression.

[Fillfilp]FILLMODE $M=$(-,1,$(getvar,fillmode))

Fillfilp switches FILLMODE on and off by subtracting the current value of FILLMODE from 1 and returning the resulting value to the FILLMODE system variable. You can use this method to toggle between the states of system variables whose valid values are 1 or 0.

If you use DIESEL to perform if-then tests, conditions might exist where the normal terminating space or semicolon (resulting in ENTER) is undesirable. If you follow the menu macro with ^Z, AutoCAD LT does not add ENTER to the end of the macro expression.

Note: As with other control characters in menu items, the ^Z used here is a string composed of ^ (a caret) and Z, not CTRL+Z.

In the following examples, ^Z is used as a menu macro terminator.

[Model space]^C^C_mspace $M=$(if,$(=,$(getvar,tilemode),0),$S=mview)^Z

[Paper space]^C^C_pspace $M=$(if,$(=,$(getvar,tilemode),0),$S=mview)^Z

If these menu macros do not end with ^Z, AutoCAD LT appends ENTER unnecessarily, reissuing the last command entered.

For more information about using DIESEL, see DIESEL - String Expression Language


Using Conditional Expressions in Menu Macros

No entries.


Using Conditional Macro Expressions in Menu Macros

Using Conditional Expressions in Menu Macros

Commands

No entries.

System Variables

No entries.


Creating Menu Macros

No entries.


Creating Menu Macros

Commands

No entries.

System Variables

No entries.


Button and Auxiliary Menus

Creating Button and Auxiliary Menus

The Buttons (***BUTTONSn) and Aux (***AUXn) menus are identical in format. Their use depends on the type of pointing devices you are using. The system mouse uses the auxiliary menus, and any other pointing device (such as a digitizing puck or other input device) uses the button menus. All references to auxiliary menus apply equally to button menus: the BUTTONS1 menu functions identically to the AUX1 menu and so on.

The AUXn sections of the menu file define the menu macros associated with the buttons on your mouse. Each line in this section represents a mouse button. You can access each button menu with the key/button sequences shown in the following table.

Key/button sequence | Menu sections
Simple button press | AUX1 and BUTTONS1
SHIFT + button press | AUX2 and BUTTONS2
CTRL + button press | AUX3 and BUTTONS3
CTRL + SHIFT + button press | AUX4 and BUTTONS4

Although the areas 1 through 4 are the only active sections, you can define additional sections and swap them into the active sections. In earlier releases, this was achieved with submenus (such as **othermenu). The **label syntax is used for section aliases in the Buttons and Aux sections.

Creating or customizing button menus can make using the pointing device more efficient and dynamic. By selecting the menu items and adding them to the button menu, you can personalize your pointing device to fit your needs.

For example, the BUTTONS1 section of a simple .mnu file might include the following lines:

***BUTTONS1
;
$P0=*
^C^C
^B
^O
^G
^D
^E
^T

The first line after the menu section label, ***BUTTONS1, represents the next button after the pick button on your pointing device. If the pick button is button number 1, the semicolon (;) assigns ENTER to button 2 on your pointing device. The second line after the menu section label represents the third button.

Note: You cannot reassign the pick button. The pick button may be different on different pointing devices, depending on the manufacturer.

Because labels in button menus are not displayed, you can use the labels as comments. The following example uses the label area to note the button number.

***BUTTONS1
[button no.2];
[button no.3]$P0=*
[button no.4]^C^C
[button no.5]^B

The macro assigned to button 3 in the example causes another menu to be displayed. It has the format

$Pn=*

where $ is the special character code for loading a menu area; Pn specifies the Pop menu section; and =* displays what is currently loaded to the specified menu area.

Therefore, in the example from aclt.mnu, choosing button 3 displays the menu assigned to the P0 menu area (the cursor menu). Typically, the ***POP0 section of the menu file is assigned to the P0 menu area.

Each remaining line in that section assigns a command sequence to each subsequent button on the pointing device: for example, ^C^C (ESC twice) to button 4, ^B (Snap mode toggle) to button 5, and so on. Your pointing device can recognize as many lines as it has assignable buttons.

Swapping Button and Auxiliary Menus
Accepting Coordinate Input in Button Menus

See Also
Creating Shortcut Keys


Swapping Button and Auxiliary Menus

The Buttons and Aux sections use a new syntax for menu swapping: the submenus used in previous releases no longer exist. Instead, what were submenus are now full menu sections. Each of these menus requires a ***section in which section is an unbroken string made up of the proper keyword to indicate which type of menu it is (such as ***BUTTONS, ***AUX) followed by any additional text you wish.

Note: The use of text characters following the keyword is not guaranteed to work in future releases of AutoCAD LT. To ensure compatibility, you should use only index numbers after the keyword. So, even though labels such as ***AUXTEST and ***BUTTONS1-2 are currently valid, labels such as ***AUX10 or ***BUTTONS15 are preferred for long-term compatibility.

The **label syntax indicates aliases to a given section. The labels must come between the ***section line and the first menu item line for that section. The alias label string can be any string; it does not need to contain any keyword. You can have as many aliases as you like for each section; however, it is recommended that you keep them to a minimum to save system resources. The alias labels, as well as the section labels, can be used to identify the menu for swapping purposes. For example, in the following menu any of the labels BUTTONS1, alias1, or alias2 can be used as a designator for the following menu.

MENUGROUP=test

***BUTTONS1
**alias1
**alias2
;
^C

Therefore, the following function calls all swap in the same menu.

(menucmd "B1=test.buttons1")
(menucmd "B1=test.alias1")
(menucmd "B1=test.alias2")

If you use the ** syntax to name subsequent menus, the ** is changed to *** when AutoCAD LT builds the MNS file. For example, when the MNU file in the following example is loaded, it is converted to the MNS file as shown.

MNU file

***AUX1
**alias1
circle

**sub2
line

**sub3
arc

MNS file

***AUX1
***alias1
circle

***sub2
line

***sub3
arc

The menu parser assumes that typographical errors were made and that *** was really intended. The labels sub2 and sub3 can still be used as labels for swapping purposes.

You may have as many uniquely named Buttons and Aux sections as you like in a given menu file. However, remember that each menu takes up memory and system resources. Excessive menus in a single menu file might require more resources than are available on some systems, therefore, this could lead to unpredictable behavior.


Swapping Menus with Menu Macros

Swapping Button and Auxiliary Menus

No entries.


Swapping Menus with Menu Macros

Swapping Button and Auxiliary Menus

Commands

No entries.

System Variables

No entries.


Accepting Coordinate Input in Button Menus

When you choose a menu item with one of the menu buttons on a multibutton pointing device, AutoCAD LT receives not only the button number but also the coordinates of the screen crosshairs at the time you press the button. By carefully constructing the macros in the Buttons and Aux sections of the menu file, you can choose to either ignore these coordinates or use them with the command activated by the button.

As described in Pausing for User Input in Menu Macros, you can include a backslash (\) in a menu macro to pause for user input. For the buttons menus, the coordinate of the screen crosshairs is supplied as user input when the button is pressed. This occurs only for the first backslash in the menu item; if the item contains no backslashes, the coordinate is not used. Consider the following examples:

***BUTTONS2
line
line \

The first button menu issues an ordinary LINE command and solicits the From Point prompt in the normal fashion. The second button menu also issues a LINE command, but AutoCAD LT reads the current cursor location and uses it as the From point.


Accepting Coordinate Input in Button Menus

No entries.


Accepting Coordinate Input in Button Menus

Commands

No entries.

System Variables

No entries.


Button and Auxiliary Menus

Creating Button and Auxiliary Menus

No entries.


Button and Auxiliary Menus

Creating Button and Auxiliary Menus

Commands

No entries.

System Variables

No entries.


Pull-Down and Cursor Menus

Creating Pull-Down and Right-Click Menus

The pull-down, (***POPn) shortcut, and cursor (***POP0) menus are displayed as cascading menus, also known as walking or hierarchical menus. Thus, they allow logical layout of menus without swapping menu areas. The cursor menu can provide quick access to often-used menu items such as object snap modes. Pull-down and cursor menu items are similar to items in other menu sections, and you define menu macros in a similar way.

A pull-down menu can contain up to 999 menu items. A cursor menu can contain up to 499 menu items. Both limits include all menus in the hierarchy. If menu items in the menu file exceed these limits, AutoCAD LT ignores the extra items. If a pull-down or cursor menu is taller than the available space in the graphics area, it is truncated to fit on the screen.

Pull-down menus are always pulled down from the menu bar, but the cursor menu is always displayed at or near the crosshairs in the graphics area. The syntax for both Pop menu sections is the same except that the cursor menu title is not included in the menu bar. The cursor menu title is not displayed at all, but you must still enter a dummy title. Access to the cursor menu is through the $P0=* menu command, which can be issued by another menu item (such as a Buttons section menu item). While the cursor menu is active, the menu bar is not available.

The POPn menu sections control the pull-down menus and the cursor menu. POP0 controls the cursor menu; POP1 through POP16 control the active pull-down menus for the menu bar.

The menu bar and pull-down and cursor menus are turned off during the following commands:

  • DTEXT (once the rotation angle has been set)
  • VPOINT (while the axis tripod and compass are displayed)
  • DVIEW

Note: If no active pull-down menus are defined (POP1-POP16), the cursor menu (POP0) does not function.

AutoCAD LT scans for POPn menu sections while loading each menu file. For the POP1 through POP16 menu sections it constructs a menu bar containing the titles of those sections. If no POPn sections are defined, AutoCAD LT inserts default File and Edit menus.

The following example illustrates the syntax that is used to create a pull-down or cursor menu.

***POP2
**EDIT
ID_MnEdit [&Edit]
ID_U [&Undo\tCtrl+Z]_u
ID_Redo [&Redo\tCtrl+Y]^C^C_redo
[--]
ID_Cutclip [Cu&t\tCtrl+X]'_cutclip
ID_Copyclip [&Copy\tCtrl+C]'_copyclip
ID_Copylink [Copy &Link]^C^C_copylink
ID_Pasteclip [&Paste\tCtrl+V]'_pasteclip
ID_Pastesp [Paste &Special...]^C^C_pastespec
ID_Erase [Cle&ar\tDel]^C^C_erase
[--]
ID_Links [&OLE Links...]^C^C_olelinks

Creating Shortcut Menus
Pull-Down and Right-Click Menu Label Syntax
Pull-Down Menu Bar Titles
Cascading Submenus
Separation of Menu Item Labels
Display Control of Menu Item Labels
Referencing a Pull-Down or Cursor Submenu
Menu Swapping


Creating Right-Click Popup Menus

Creating Shortcut Menus

The **RBNONE and **RBSELECT submenu sections of the MNU file (aclt.mnu) control the content and behavior of the right-click shortcut menus. When no objects are selected in AutoCAD LT, the active right-click menu is **RBNONE. If one or more objects are currently selected, the active shortcut menu is **RBSELECT.

If text has been entered on the command line, a right-click will automatically execute the text as a command and will not display the right-click menu.

**RBNONE and **RBSELECT are submenus of the Pop18 section of the MNU file.

The following example shows default contents for the shortcut menus.

**RBNONE
[Clipboard Tools None Selected]
ID_RBLast [$(eval,"&Run "$(getvar,cmdonenter))];
[--]
ID_RBPaste [&Paste]^C^C'_pasteclip
[--]
ID_RBUndo [&Undo]^C^C_u

**RBSELECT
[Clipboard Tools]
ID_RBLast [$(eval,"&Run "$(getvar,cmdonenter))];
[--]
ID_RBCut [Cu&t]^C^C'_cutclip
ID_RBCopy [&Copy]^C^C'_copyclip
[--]
ID_RBProp [&Entity Properties]^C^C^Pai_propchk ^P

To customize the contents of the shortcut menu displayed when no objects are selected, modify the **RBNONE section of the MNU file. To customize the contents of the shortcut menu displayed when one or more objects are selected, you can modify the **RBSELECT section. Shortcut menu label syntax is the same as any other pull-down or cursor menu label syntax.


Creating Right-Click Popup Menus

Creating Shortcut Menus

No entries.


Creating Right-Click Popup Menus

Creating Shortcut Menus

Commands

No entries.

System Variables

No entries.


Pull-Down and Cursor Menu Label Syntax

Pull-Down and Right-Click Menu Label Syntax

These are the only nonalphanumeric characters that can be used as the first character in a menu label. Nonalphanumeric characters not listed are reserved for future use as special menu characters.

Character | Description
- - | Expands to become a separator line in the pull-down and cursor menus (when used with no other characters).
+ | Continues macro to the next line (if last character).
-> | Prefix that indicates that the pull-down or cursor menu item has a submenu.
<- | As a prefix, indicates that the pull-down or cursor menu item is the last item in the submenu.
<-<-... | As a prefix, indicates that the pull-down or cursor menu item is the last item in the submenu, and terminates the parent menu. One <- is required to terminate each parent menu.
$( | As a prefix, enables the pull-down or cursor menu item label to evaluate a DIESEL string macro.
~ | As a prefix, disables (grays out) a menu item.
!. | As a prefix, marks a menu item with a check mark.
& | Placed directly before a character, specifies that character as the menu access key in a pull-down or cursor menu label. For example, S&le displays Sample. An alternative is to place a /c at the beginning of the label, where c is the access key in the label. For example, /aSample displays Sample.
\t | Specifies that all label text to the right of these characters is pushed to the right side of the menu.


Pull-Down and Cursor Menu Label Syntax

Pull-Down and Right-Click Menu Label Syntax

No entries.


Pull-Down and Cursor Menu Label Syntax

Pull-Down and Right-Click Menu Label Syntax

Commands

No entries.

System Variables

No entries.


Pull-Down Menu Bar Titles

For pull-down menus, the first label defines the menu bar title; succeeding labels define menu and submenu items. The following example is the top portion of the POP2 pull-down menu section.

***POP2
ID_MnEdit [&Edit]
ID_U [&Undo\tCtrl+Z]_u
ID_Redo [&Redo\tCtrl+Y]^C^C_redo

On the first line after the ***POP2 section label, the label [&Edit] causes Edit to be displayed as a menu bar title. The letter E is underscored to indicate that it is the menu access key. The name tag associated with the menu title (ID_MnEdit) can be used to enable and disable this entire menu. Pull-down menu titles cannot have an associated menu macro.

Note: Although cursor menus (POP0) must define a title, this title is not displayed.


Pull-Down Menu Bar Titles

No entries.


Pull-Down Menu Bar Titles

Commands

No entries.

System Variables

No entries.


Cascading Submenus

Pull-down and cursor menu labels use special characters (such as ->, <-, and <-<-...) to control the hierarchy of cascading menus. These special characters indicate submenus and last items in submenus, and can also terminate all parent menus. Each special character string must come first in an item label.

The special character -> indicates that this item has a submenu, as in the following example:

[->UCS]

If you pull down the View menu and choose the Display item or move the cursor to the right end of the item, the Display submenu is displayed.

The special character <- indicates that this item is the last item in a submenu, as in the following example:

[<-&Z Axis Rotate]^C^C_ucs_z

Special characters <-<-... indicate that this item is the last item of a submenu and also of its parent menu.


Cascading Submenus

No entries.


Cascading Submenus

Commands

No entries.

System Variables

No entries.


Separation of Menu Item Labels

To create separator lines, use a label of two hyphens.

[- -]

Because the width of each pull-down and cursor menu is determined by its widest label, the preceding example expands to become a separator line filling the entire width of the menu. You cannot choose separator lines from the menu, and any menu macro assigned to them is ignored.


Separation of Menu Item Labels

No entries.


Separation of Menu Item Labels

Commands

No entries.

System Variables

No entries.


Display Control of Menu Item Labels

You can disable (gray out) menu item labels, making them unavailable to the user, or mark them with a check mark.

Labels can also contain DIESEL string expressions to modify the contents of the label. These can disable, mark, or interactively change the text of the displayed label.

Note: When disabling and marking menu item labels, be sure to use an appropriate technique to keep track of changes that affect the state of the label.

Disabling Labels

A menu item label that begins with a tilde (~) is displayed as disabled (grayed out). By convention, this indicates that the item is not currently a valid selection. Any commands associated with the item are not issued, and any submenus are not accessible.

For example, the following menu labels are disabled.

[~Line]
[~->Pline]

The child menu of a disabled label is inaccessible.

Menu item labels can contain DIESEL string expressions that conditionally disable or enable labels each time they are displayed. For example, the DIESEL string expression within the following menu item label disables the label while a command is active.

[$(if,$(getvar,cmdactive),~)MOVE]move

Marking Labels

You can mark a menu item label with a leading check mark by including an exclamation point and period (!.). Marking a menu item does not restrict your ability to choose the item, although a marked item can be disabled.

In the following example, the Line menu item is marked with a check.

[!.Line]

Menu item labels can contain DIESEL string expressions that conditionally mark labels each time they are displayed. The following example places a check mark to the left of menu labels whose related system variables are currently enabled.

[$(if,$(getvar,orthomode),!.)Ortho]^O
[$(if,$(getvar,snapmode),!.)Snap]^B
[$(if,$(getvar,gridmode),!.)Grid]^G

Simultaneous Disabling and Marking

You can mark and disable menu items at the same time. The format is

[~!. labeltext]
or
[!.~ labeltext]

where ~ is the special character code to disable a menu item and !. is the special character code to mark a menu item.

In the example that follows, the Line menu item is disabled and marked with a check mark.

[~!.Line]

A DIESEL expression can be used to simultaneously disable and mark a menu item label.

See Also
DIESEL Expressions in Menus


Display Control of Menu Item Labels

No entries.


Display Control of Menu Item Labels

Commands

No entries.

System Variables

No entries.


Referencing a Pull-Down or Cursor Submenu

Using a method similar to that used to activate regular submenus, you can activate or deactivate a pull-down or cursor submenu by using $Pn=xxx. Variations specific to POPn menu sections are explained here and use the following format.

$Pn.i=xxx

where

$ | Loads a menu section
Pn | Specifies the Popn menu area
i | Specifies the menu item number
xxx | Specifies a string of grayed-out or marked characters

Example: Referencing a Pull-Down or Cursor Submenu


Referencing a Pull-Down or Cursor Submenu

No entries.


Referencing a Pull-Down or Cursor Submenu

Commands

No entries.

System Variables

No entries.


Example: Referencing a Pull-Down or Cursor Submenu

The following example grays out menu POP3, item 4.

$P3.4=~

The following example adds a check mark to menu POP7, item 1.

$P7.1=!.

The following example removes any grayed-out or marked character from menu POP7, item 1.

$P7.1=

Menu items are referenced by their number so that they can be queried or set. Menu item numbering is consecutive without regard to the hierarchy of the menu file. Numbering is assigned according to the item's location in the menu section and is not based on where the menu appears on the screen. Menu item numbering corresponds to its hierarchy when the menu has no submenus; however, when it has submenus, its numbering does not correspond to its hierarchy, as shown in the following example.

Menu Code

***POP4

[Title]

[Item 1]

[Item 2]

[->Item 3]

[Item 4]

[Item 5]

[<-Item 6]

[Item 7]

[Item 8]

On-Screen Appearance

-------------------

Title

-------------------

Item 1

Item 2

Item 3 >

Item 7

Item 8

-------------------

To make it easy for an item to address itself without regard to location in the menu hierarchy, the following forms are also allowed:

$P@.@=xxx References the current or most recently selected menu item.

$P@.n=xxx References item n in the current or most recently chosen menu.


Menu Swapping

Menu swapping is activating one menu directly from another menu. Menu swapping is supported for the following menu sections:

  • Buttons
  • Aux
  • Pop
  • Image
  • Tablet

Because AutoCAD LT has cascading pull-down menus, there is little need to swap menus. Also, swapping menus can detract from the consistency of the user interface. However, using $ commands, you can swap pull-down menus and submenus.

Note: The swapping of POP menus does not conform to the Microsoft user interface guidelines and is not guaranteed to be available in future releases of AutoCAD LT.

For menu-swapping purposes, the pull-down menu areas are named P1 through P16. The title that appears in the menu bar is the title from the first line of the menu section, so you can change the title by replacing that line of the menu with a $Pn= command. You can use the special command $Pn=* from within any menu item to force the menu currently assigned to area POPn to pull down on the screen for greater flexibility in movement of the pointing device.

The syntax for the swapping of partial menus is as follows:

$section=menugroup.menuname
where

menugroup menuname
section B14, A14, P116, or T14
Menu group name in the menu file desired
Main label or alias for the section

Controlling Toolbars across Partial Menus

To control toolbars across partial menus, use the following syntax at the Toolbar Name prompt of TOOLBAR.

menugroup.subsection-name

This syntax accesses the toolbar identified by menugroup. menuname and allows you to use the full spectrum of TOOLBAR command options on that toolbar.

If menugroup is left out of any of these commands and/or functions, then AutoCAD LT defaults to the base menu.

You should be aware of the following:

  • It is not possible to swap into the POP0 menu position. However, you can swap a ***POP0 menu into any other POP menu position.
  • Image menus cannot be swapped from external menu files.

You may swap menus only of the same type - one Aux for another, one Pop for another, and so on. Trying to swap between types may result in unpredictable behavior. However, within a given type, you can swap any menu for any other menu. This can lead to strange behavior for Tablet menus, because they typically do not all have the same number of macros.


Menu Swapping

No entries.


Menu Swapping

Commands

PREFERENCES | Customizes the AutoCAD LT settings
TOOLBAR | Displays, hides, and customizes Toolbars

System Variables

No entries.


Pull-Down and Cursor Menus

Creating Pull-Down and Right-Click Menus

No entries.


Pull-Down and Cursor Menus

Creating Pull-Down and Right-Click Menus

Commands

PREFERENCES | Customizes the AutoCAD LT settings
TOOLBAR | Displays, hides, and customizes Toolbars

System Variables

No entries.


Customizing Toolbars

The Toolbars section specifies the default layout and contents of the toolbars. It contains a submenu for each toolbar defined by the menu.

There are five distinct types of items that can be specified for toolbars. The syntax for each kind is provided in the example below. All lines other than the separator begin with a standard name tag, which is used to associate help information with the item. In the following example, the **TOOLS1 declaration is a submenu that uses the alias TOOLS1 as a label to reference the subsequent toolbar definition.

***TOOLBARS
**TOOLS1
TAG1 [Toolbar ("tbarname", orient, visible, xval, yval, rows)]
TAG2 [Button ("btnname", id_small, id_large)]macro
TAG3 [Flyout ("flyname", id_small, id_large, icon, alias)]
TAG4 [Control (element)]
[--]

The fifth line defines a separator (- -).

To control Toolbars across partial menus, use the following syntax at the Toolbar Name prompt of TOOLBAR:

menugroup.toolbarname

Toolbar Definition
Button Definition
Flyout Definition
Control Definition

See Also
Creating Custom Toolbars


Toolbar Definition

The first toolbar definition line (TAG1) defines the characteristics of the toolbar definition. It uses the key word Toolbar followed by a series of options contained in parentheses.

tbarname

The string that names the toolbar. The string must comprise alphanumeric characters with no punctuation other than a dash (-) or an underscore (_). This name along with the alias enables the toolbar to be referenced programmatically.

orient

The orientation key word. The acceptable values are Floating, Top, Bottom, Left, and Right and are not case sensitive.

visible

The visibility key word. The acceptable values are Show and Hide and are not case sensitive.

xval

A numeric value specifying the X coordinate value in pixels, measured from the left edge of the screen to the right side of the toolbar.

yval

A numeric value specifying the Y coordinate value in pixels, measured from the top edge of the screen to the top of the toolbar.

rows

A numeric value specifying the number of rows.


Toolbar Definition

No entries.


Toolbar Definition

Commands

No entries.

System Variables

No entries.


Button Definition

The second line (TAG2) defines a button. It uses the key word Button followed by a series of options contained in parentheses.

btnname

The string that names the button. The string must comprise alphanumeric characters with no punctuation other than a dash (-) or an underscore (_). This string is displayed as a tooltip when the cursor is placed over the button.

id_small

The string that names the ID string of the small-image resource (16 by 15 bitmap). The string must comprise alphanumeric characters with no punctuation other than a dash (-) or an underscore (_). This can also specify a user-defined bitmap.

id_big

The string that names the ID string of the large-image resource (24 by 22 bitmap). The string must comprise alphanumeric characters with no punctuation other than a dash (-) or an underscore (_). This can also specify a user-defined bitmap.

macro

The definition is followed by a command string that follows the standard menu item syntax for command strings.

User-Defined Bitmaps

User-defined bitmaps can be used in place of the id_small and id_large image resource names. A user-defined bitmap must be of the proper size (16 pixels wide by 15 pixels high for the id_small parameter and 24 pixels wide by 22 pixels high for the id_large parameter) and must reside in the Support path. Specify a user-defined bitmap with the file name and .bmp file extension as shown in the following example.

TAG34 [Button ("My Command", mycmd16.bmp, mycmd24.bmp)]^C^CMYCMD


Button Definition

No entries.


Button Definition

Commands

No entries.

System Variables

No entries.


Flyout Definition

The third line (TAG3) defines a flyout control. It uses the key word Flyout followed by a series of options contained in parentheses.

flyname

The string that names the flyout. The string must comprise alphanumeric characters with no punctuation other than a dash (-) or an underscore (_). This string is displayed as a tooltip when the cursor is placed over the flyout.

id_small

The string that names the ID string of the small-image resource (16 by 15 bitmap). The string must comprise alphanumeric characters with no punctuation other than a dash (-) or an underscore (_). This can also specify a user-defined bitmap.

id_big

The string that names the ID string of the large-image resource (24 by 22 bitmap). The string must comprise alphanumeric characters with no punctuation other than a dash (-) or an underscore (_). This can also specify a user-defined bitmap.

icon

The Boolean keyword that controls whether to always display its own icon or to display the last icon selected (other). The acceptable values are OwnIcon and OtherIcon and are not case sensitive.

alias

The reference to the toolbar to display as the flyout. The alias refers to a toolbar submenu defined with the standard **aliasname syntax.


Flyout Definition

No entries.


Flyout Definition

Commands

No entries.

System Variables

No entries.


Control Definition

The fourth line (TAG4) defines a special control element. It uses the key word Control followed by a name specifying the type of control element requested contained in parentheses.

The element parameter has three possible values. They are not case sensitive.

_Layer specifies the layer control element. This element is a pop-up list that controls the current layers in the drawing.

_Linetype specifies the linetype control element. This element is a pop-up list that specifies the current linetype.

_Color specifies the color control element. This element is a pop-up list that specifies the current color.


Control Definition

No entries.


Control Definition

Commands

No entries.

System Variables

No entries.


Customizing Toolbars

No entries.


Customizing Toolbars

Commands

No entries.

System Variables

No entries.


Image Tile Menus

Creating Image Tile Menus

You define an image tile menu by providing an ***IMAGE section in the menu file. This replaces the ***ICON section used in previous releases (***ICON is still valid but might not be supported in future releases).

AutoCAD LT displays images in groups of 20, along with a scrolling list box containing the associated slide names or related text. Image tile submenus are unlimited in length: if an image tile submenu contains more than 20 slides, AutoCAD LT provides Next and Previous buttons that the user can press to leaf through pages of images.

The Image section submenus are similar to those used in the Toolbars and Screen sections. As in Pop menu sections, the first line of the submenu is its title. The title is displayed as the label of the dialog box that contains the images. Each submenu should be separated by at least one blank line to clear out items from a previous submenu.

Image tile menu items use item labels to define the text of the scrolling list and the image itself. The label is followed by an associated menu macro.

Note: Image tile menus cannot contain name tags.

Image Tile Menu Item Labels

Labels in an image tile menu generally refer to slide file names instead of text labels that are displayed on the screen. The slide file name, which can be a single slide or part of a library, should appear exactly as you would enter it at the VSLIDE command. The slide file contains the image to show for that selection.

Image tile menu labels are displayed in a scrolling list box that can accommodate up to 19 characters per label. The slide file name is typically displayed; however, additional menu-labeling options are also available.

Table: Image Tile Menu Labeling Options

Image Tile Menu Macros

Image tile menu macros perform the same functions as other menu macros; however, you cannot use the menu macro repetition feature. These menu macros can contain menu commands, including $I= commands. It is possible, therefore, to construct hierarchical image tile menus in which a selection displays another image tile menu, and so on. Because the activation of these menus is sequential rather than nested, there are no limits to the complexity of the structures you can create.

Display of Image Tile Menus

The $I= macro command addresses the image tile menu. Before you can display an image tile menu you must load it. The following syntax loads an image tile menu.

$I=[menugroup.]menuname

The $I=* macro command displays the currently loaded image tile menu. For example, the following macros load and display the image menu IMAGE_POLY in the base menu.

$I=image_poly $I=*

The following example loads and displays the image menu MYBLOCKS from a partially loaded menu group MYGROUP.

$I=mygroup.myblocks $I=*

Preparation of Slides for Image Tile Menus


Preparation of Slides for Image Tile Menus

You can use any slide generated by AutoCAD LT as an image. For best results, follow these guidelines:

Keep it simple. When an image tile menu is displayed, the user must wait for all images to be drawn before making a selection. If you are showing the user numerous complex symbols, make the images simple versions rather than full renditions. An image should be as simple as possible yet immediately recognizable.

Fill the box. Screen space is limited, and images appear in small portions of the full screen. When making a slide for an image, be sure to fill the screen with the image before starting MSLIDE. If the image is very wide and short, or long and thin, the image tile menu will look best if you center the image on the screen with PAN before making the slide.

Images are displayed with an aspect ratio of 1.5:1 (1.5 units wide by 1 unit high). If your graphics area has a different aspect ratio, it can be difficult to produce slides that are centered in the image tile menu. If you work within a floating viewport that has an aspect ratio of 1.5:1, you can position the image and be assured that it will look the same when it is displayed in the image tile menu. The following example shows how to correctly set up a correctly proportioned viewport. A drawing with no viewports is used and TILEMODE is set to 1.

Command: tilemode
New value for TILEMODE <1>: 0
Entering Paper space. Use MVIEW to insert Model space viewports.
Command: mview
ON/OFF/Hideplot/Fit/2/3/4/Restore/<First Point>: 0,0
Other corner: 3,2
Command: zoom
All/Center/Dynamic/Extents/Left/Previous/Vmax/Window/<Scale(X/XP)>: e
Command: mspace

This viewport is now the same shape as an image tile.

Solid-filled areas such as wide polylines, traces, and filled solids are visible in image tiles only if the slide was generated after using SHADE. Otherwise, they are displayed as outlines.

Remember the main purpose of these images. Do not overuse images as you encode abstract concepts into symbols. Images are useful primarily when the user must select a graphic symbol.


Preparation of Slides for Image Tile Menus

No entries.


Preparation of Slides for Image Tile Menus

Commands

MSLIDE | Creates a slide file of the current viewport
PAN | Moves the drawing display in the current viewport
SHADE | Displays a flat-shaded image of the drawing in the current viewport
VSLIDE | Displays a raster image slide file in the current viewport

System Variables

TILEMODE Controls access to paper space and the behavior of viewports


Image Tile Menus

Creating Image Tile Menus

No entries.


Image Tile Menus

Creating Image Tile Menus

Commands

MSLIDE | Creates a slide file of the current viewport
PAN | Moves the drawing display in the current viewport
SHADE | Displays a flat-shaded image of the drawing in the current viewport
VSLIDE | Displays a raster image slide file in the current viewport

System Variables

TILEMODE Controls access to paper space and the behavior of viewports


Table: Image Tile Menu Labeling Options

[sldname] | The slide name sldname is displayed in the list box, and the slide sldname is displayed as an image.
[sldname,labeltext] | The text labeltext is displayed in the list box, and the slide sldname is displayed as an image.
[sldlib(sldname)] | The slide name sldname is displayed in the list box, and the slide sldname in the slide library sldlib is displayed as an image.
[sldlib(sldname,labeltext)] | The text labeltext is displayed in the list box, and the slide sldname in the slide library sldlib is displayed as an image.
[blank] | When you supply the text blank as a label, a separator line is displayed in the list box and a blank image is displayed.
[ labeltext] | When the first character of an item label is a space, the text supplied as labeltext is displayed in the list box and no image is displayed. In this case you can include related commands and simple items such as Exit without needing to make slides that contain those words.


Tablet Menus

Creating Tablet Menus

With AutoCAD LT you can configure up to four areas of your digitizing tablet as menu areas for command input. The sections of the menu file labeled TABLET1 through TABLET4 define the menu macros associated with tablet selections in these areas.

The menu items in Tablet sections use the same syntax as those in the other sections. Item labels are treated like those in the Buttons sections: they can be used as comments, and they are not displayed.

The tablet menu areas that you define with the Cfg option of TABLET command are divided into equal-sized menu selection boxes, which are determined by the number of columns and rows you specify in each area. These tablet menu selection boxes correspond directly to the lines that follow the Tablet section labels in a left-to-right, top-to-bottom order (whether or not they contain text).

For example, if you configure a menu area for five columns and four rows, the menu item on the line immediately following the section label corresponds to the leftmost selection box in the top row. Similarly, the menu item on the eighth line following the section label corresponds to the third box from the left in the second row. AutoCAD LT can recognize up to 32,766 menu items in each tablet section, which should be more than enough for any tablet menu.

You can add your own menu macros to the ***TABLET1 section of aclt.mnu. The menu items in this area correspond to the 225 boxes at the top of your tablet template (rows A through I and columns 1 through 25). Customize the lines containing menu labels only.

Locate the line in your menu file that contains ***TABLET1, and note that the next 225 lines contain menu labels.

***TABLET1
[A-1]
[A-2]
[A-3]
.
.
.
[I-25]

These labels correspond to the template's grid system. You can add your menu macro after the corresponding [row-column] menu label. Modifying any lines following box [I-25] is not recommended.


Creating Tablet Menus

No entries.


Creating Tablet Menus

Commands

TABLET Calibrates, configures, and turns on and off an attached digitizing tablet

System Variables

No entries.


Creating Shortcut Keys

AutoCAD LT supports user-defined shortcut keys (or accelerator keys); these are function keys such as F1 and combinations such as CTRL+C. The following is a short example of an Accelerators section in the AutoCAD LT menu file, aclt.mnu.

***ACCELERATORS
ID_Line [SHIFT+CONTROL+"L"]
[CONTROL+"Q"]^C^C_quit
[CONTROL+SHIFT+"Z"]^C^Czoom extents

The Accelerators section contains items in one of two formats. The first is a name tag (such as ID_Line), followed by a label containing modifiers. Valid modifiers are CONTROL and SHIFT. The modifiers are followed by either a single character (such as L) or a special virtual key string (such as F12) enclosed in quotation marks. This type of item maps a key sequence to a menu item. You can concatenate modifiers by using the plus sign (+), as shown in the example. When a special key sequence is recognized, the menu item associated with the name tag is executed as if the user had chosen the menu item.

The second format uses a label containing a modifier and a key string, followed by a command sequence. This method maps a key sequence to a command string and does not have a corresponding menu item.

Table: Special Virtual Keys


Creating Shortcut Keys

No entries.


Creating Shortcut Keys

Commands

No entries.

System Variables

No entries.


Table: Special Virtual Keys

Users who make extensive use of coordinate entry might find the following menu enhancement very useful.

["NUMPAD5"]@x
["NUMPAD6"]<0
["NUMPAD9"]<45
["NUMPAD8"]<90
["NUMPAD7"]<135
["NUMPAD4"]<180
["NUMPAD1"]<-135
["NUMPAD2"]<-90
["NUMPAD3"]<-45

If these lines are added to the Accelerators section, the numeric keypad is modified as follows: the 5 key enters the @ symbol, and the other number keys enter the less-than symbol (<), followed by the angular value represented by its location in the keypad. For example, to draw a square 3 units on each side, enter the line and specify a start point. At the next four To Point prompts,

Press 5 on the number pad (@), enter 3, press 6 on the number pad (<)

Press 5 on the number pad, enter 3

Press 2 on the number pad (<-90)

Press 5 on the number pad, enter 3

Press 4 on the number pad (<180)

Enter c (Close).

The following table lists the special virtual keys. (These keys must be enclosed in quotation marks.)

String | Exceptions
"F1" | Can be assigned a menu macro, but this is not good practice because F1 is generally associated with Help. Using a modifier with this key is acceptable.
"F2" | Unmodified, toggles the state of the text window
"F3" | Unmodified, toggles OSNAP
"F4" | Unmodified, toggles TABMODE
"F5" | Unmodified, toggles ISOPLANE
"F6" | Unmodified, toggles COORDS
"F7" | Unmodified, toggles GRIDMODE
"F8" | Unmodified, toggles ORTHOMODE
"F9" | Unmodified, toggles SNAPMODE
"F11" | None
"F12" | None
"INSERT" | None
"DELETE" | None
"ESCAPE" | Can be assigned a menu macro but this is not good practice because ESC is generally associated with Cancel. CTRL+ESCAPE and CTRL+SHIFT+ESCAPE cannot be assigned a menu macro; these sequences are controlled by Windows. Using the SHIFT modifier with this key is acceptable.
"UP" | Must be used with the CONTROL modifier.
"DOWN" | Must be used with the CONTROL modifier.
"LEFT" | Must be used with the CONTROL modifier.
"RIGHT" | Must be used with the CONTROL modifier.
"NUMPAD0" | None
"NUMPAD1" | None
"NUMPAD2" | None
"NUMPAD3" | None
"NUMPAD4" | None
"NUMPAD5" | None
"NUMPAD6" | None
"NUMPAD7" | None
"NUMPAD8" | None
"NUMPAD9" | None

Note: F10 is used by Windows as an alternative to ALT and is therefore not user-configurable.


DIESEL--String Expression Language

You can use DIESEL (Direct Interpretively Evaluated String Expression Language) to alter the AutoCAD LT status line through the MODEMACRO system variable. You can also use DIESEL in menu items as a macro language. DIESEL expressions take strings as input and generate string results.

Status Line Configuration - MODEMACRO
Using the MODEMACRO System Variable
DIESEL Expressions in Menus
Catalog of DIESEL String Functions
DIESEL Error Messages


Status Line Configuration -- MODEMACRO

The status line can provide the user with important information without interrupting the work flow. The calculated value of the MODEMACRO system variable is displayed in a left-justified panel on the status line at the bottom of the AutoCAD LT window. The number of characters displayed on the status line is limited only by the size of the AutoCAD LT window (and your monitor). The default panels move to the right as the content of the MODEMACRO panel grows. It is possible to push the default panels completely off the screen (if you want to).

You can use the MODEMACRO variable to display most data known to AutoCAD LT. With its calculation, decision, and editing facilities you can compose the status line to your precise specifications.


Status Line Configuration -- MODEMACRO

No entries.


Status Line Configuration -- MODEMACRO

Commands

No entries.

System Variables

MODEMACRO Displays a text string on the status line


Using the MODEMACRO System Variable

The MODEMACRO system variable controls the user-defined area on the status line. This variable is set to the null string when you start AutoCAD LT. It is not saved in the drawing, the configuration file, or anywhere else.

MODEMACRO is a user-string variable. It can be set to any string value. A maximum string length of 460 characters should work on all systems. You can set MODEMACRO with SETVAR or by entering modemacro at the Command prompt. If you modify the MODEMACRO setting, you can experiment with various status line formats; however, the maximum number of characters you can enter in this manner is 255.

If MODEMACRO is the null string, which you set by entering a period (.), AutoCAD LT displays the standard status line.

MODEMACRO Values

The simplest, and least useful, MODEMACRO value consists of constant text. For example, to display your company name on the status line, you could enter the following:

Command: modemacro

New value for MODEMACRO, or . for none <"">: Joe's Bar and Grill

This MODEMACRO value always displays the same text; the status line does not reflect changes to the internal state of AutoCAD LT. It does not change until you change MODEMACRO.

To make the status line reflect the AutoCAD LT current state, enter macro expressions using the DIESEL language in the following form:

$(somefun, arg1, arg2, ...)

where somefun is the name of the DIESEL function and arg1, arg2, and so on, are arguments to the function, interpreted according to the function's definition. DIESEL macro expressions have only one data type: strings. Macros that operate on numbers express the numbers as strings and convert back and forth as required.

Now define a more interesting status line--for example, one that shows the current text style name:

Command: modemacro

New value for MODEMACRO, or . for none <"">: Style: $(getvar, textstyle)

Note: This example and those that follow may show the MODEMACRO string continued onto additional lines of text. You enter it as one long string at the Command prompt.

You can retrieve any system variable by entering $(getvar, varname). Its current setting replaces the macro expression on the status line. Then, when you switch text styles, MODEMACRO is reevaluated. If it changes, the new text style name is displayed on the status line.

Expressions can be nested, and they can be as complex as you want. The example that follows displays the current snap value and angle (in degrees) in the status line. It uses nested expressions to convert the snap angle from radians to degrees, while truncating the value to an integer.

Command: modemacro

New value for MODEMACRO, or . for none <"">: Snap: $(getvar, snapunit)
$(fix,$(*,$(getvar,snapang),$(/,180,3.14159)))

You can also display the values in the current linear and angular UNITS modes.

Command: modemacro

New value for MODEMACRO, or . for none <"">: Snap: $(rtos,$(index,0, $(getvar,snapunit))),$(rtos,$(index,1,$(getvar,snapunit))) $(angtos,$(getvar,snapang))

DIESEL copies its input directly to the output until it comes to the dollar sign character ($) or a quoted string. You can use quoted strings to suppress evaluation of character sequences that would otherwise be interpreted as DIESEL functions. You can include quotation marks in quoted strings by using two adjacent quotation marks. In the following example, the current layer is set to LAYOUT, and MODEMACRO is set to the string.

Command: modemacro

New value for MODEMACRO, or . for none <"">: "$(getvar,clayer)= """$(getvar,clayer)""""

The status line then displays the following:

$(getvar,clayer)="LAYOUT"


Using the MODEMACRO System Variable

No entries.


The MODEMACRO Variable

Using the MODEMACRO System Variable

Commands

No entries.

System Variables

MODEMACRO Displays a text string on the status line


DIESEL Expressions in Menus

You can implement DIESEL string expressions in menu files and use them as an additional method of creating macros. These expressions can return string values in response to standard AutoCAD LT commands. They can also return string values to the menu itself, thereby altering the appearance or content of a menu label.

A DIESEL expression that you use in a menu item must follow the $section=submenu format where the section name is M and the submenu is the DIESEL expression you want.

Consider the following example.

[Ps/Ms]^C^C^P$M=$(if,$(=,$(getvar,cvport),1),mspace,pspace)

This string provides a way to toggle between paper space and model space if TILEMODE is set to 0. This expression is evaluated transparently. If the special character ^P (which toggles MENUECHO on and off) is omitted, the expression displays only the issued command.

The next example is based on these assumptions:

  • The menu excerpt is included in the current menu.
  • The symbols to insert are one unit high by one unit wide.

The DIMSCALE dimensioning variable is set to the drawing's scale factor; that is, a drawing to be plotted at a scale of 1" = 10' would have a scale factor of 120, or a 1/4" = 1' scale drawing would have a scale factor of 48.

The DIESEL expressions in the following menu file excerpt multiply the current value of DIMSCALE by the specified value and return an appropriate scaling factor.

**symsize 3
[ SIZES ]

[ 3/8" ]$M=$(*, $(getvar,dimscale),0.375)
[ 1/2" ]$M=$(*,$(getvar,dimscale),0.5)
[ 5/8" ]$M=$(*,$(getvar,dimscale),0.625)

DIESEL expressions can also return string values to pull-down menu item labels, so that you can gray out or otherwise alter the way the menus are displayed. To use a DIESEL expression in a pull-down menu label, you must be sure that the first character is the $ character.

In the next example, the current layer is set to BASE and the following is used as the label portion of a ***POPn section in a menu file.

[$ (eval,"Current layer: " $(getvar,clayer))]

The result is that the appropriate pull-down menu is displayed and updated whenever the current layer changes.

Current Layer: BASE

Note: The width of pull-down and cursor menus is determined when the menu file is being loaded. Menu labels generated or changed by DIESEL expressions after a menu is loaded are truncated to fit within the existing menu width.

If you anticipate that a DIESEL-generated menu label will be too wide, you can use the following example to ensure that the menu width will accommodate your labels. This example displays the first 10 characters of the current value of the USERS3 system variable.

[$ (eval,"Current value: " $(getvar,users3))+
$(if, $(eq,$(getvar,users3),""), 10 spaces )]^C^Cusers3

You cannot use trailing spaces in a menu label to increase the menu width, because trailing spaces are ignored when the menu is being loaded. Any spaces you use to increase the width of a menu label must be within a DIESEL expression.

The next example uses the same DIESEL expression as the label and a portion of the menu item. It provides a practical way to enter the current day and date into a drawing.

[$(edtime,$(getvar,date),DDD", "D MON YYYY)]^C^Ctext +
\\\ $M=$(edtime,$(getvar,date),DDD", "D MON YYYY);

Also, you can use a DIESEL macro to gray out or mark pull-down menu labels. The following pull-down menu label displays a grayed-out (and unselectable) ERASE while a command is active. The text is displayed normally when a command is not active.

[ $(if,$(getvar,cmdactive),~)ERASE]erase

You can use a similar approach to place a mark beside a pull-down menu item or to interactively change the character used for the mark.

Note: The use of DIESEL in menu labels is platform specific; some platforms do not update menu labels after loading the menu file initially.


DIESEL Expressions in Menus

No entries.


DIESEL Expressions in Menus

Commands

No entries.

System Variables

No entries.


Catalog of DIESEL String Functions

Status retrieval, computation, and display are performed by DIESEL functions. The available functions are described in the table.

Note: All functions have a limit of 10 parameters, including the function name itself. If this limit is exceeded, you get a DIESEL error message.

+ (addition)

Returns the sum of the numbers val1, val2, ..., val9.

$(+, val1 [, val2, ..., val9] )

If the current thickness is set to 5, the following DIESEL string returns 15.

$(+, $(getvar,thickness),10)

- (subtraction)

Returns the result of subtracting the numbers val2 through val9 from val1.

$(-, val1 [, val2 , ..., val9] )

*(multiplication)

Returns the result of multiplying the numbers val1, val2, ..., val9.

$(*, val1 [, val2, ..., val9] )

/ (division)

Returns the result of dividing the number val1 by val2, ..., val9.

$(/, val1 [, val2, ..., val9] )

= (equal to)

If the numbers val1 and val2 are equal, the string returns 1; otherwise, it returns 0.

$(=, val1, val2)

< (less than)

If the number val1 is less than val2, the string returns 1; otherwise, it returns 0.

$(< , val1, val2)

The following expression gets the current value of the HPANG system variable; if the value is less than the value stored in the USERR1 system variable, it returns 1. If the value 10.0 is stored in USERR1 and the current setting of HPANG is 15.5, the following string returns 0.

$(<, $(getvar,hpang),$(getvar,userr1))

> (greater than)

If the number val1 is greater than val2, the string returns 1; otherwise, it returns 0.

$(>, val1, val2)

!= (not equal to)

If the numbers val1 and val2 are not equal, the string returns 1; otherwise, it returns 0.

$(!=, val1, val2)

<= (less than or equal to)

If the number val1 is less than or equal to val2, the string returns 1; otherwise, it returns 0.

$(<=, val1, val2)

>= (greater than or equal to)

If the number val1 is greater than or equal to val2, the string returns 1; otherwise, it returns 0.

$(>=, val1, val2)

and

Returns the bitwise logical AND of the integers val1 through val9.

$(and, val1 [, val2,..., val9] )

angtos

Returns the angular value in the format and precision specified.

$(angtos, value [, mode, precision] )

Edits the given value as an angle in the format specified by the mode and precision. (For mode values, see Example: Angular Units Values.) If mode and precision are omitted, it uses the current values chosen by UNITS.

edtime

Returns a formatted date and time based on a given picture.

$(edtime, time, picture)

Edits the AutoCAD LT Julian date given by time (obtained, for example, from $(getvar,date) according to the given picture). The picture consists of format phrases replaced by specific representations of the date and time. Characters not interpretable as format phrases are copied literally into the result of $(edtime). See Example: Edtime Format Phrases.

eq

If the strings val1 and val2 are identical, the string returns 1; otherwise, it returns 0.

$(eq, val1, val2)

The following expression gets the name of the current layer; if the name matches the string value stored in the USERS1 system variable, it returns 1. Assume the string "PART12" is stored in USERS1 and the current layer is the same.

$(eq, $(getvar,users1),$(getvar,clayer))

eval

Passes the string str to the DIESEL evaluator and returns the result of evaluating it.

$(eval, str)

fix

Truncates the real number value to an integer by discarding any fractional part.

$(fix, value)

getenv

Returns the value of the environment variable varname.

$(getenv, varname)

If no variable with that name is defined, it returns the null string.

getvar

Returns the value of the system variable with the given varname.

$(getvar, varname)

if

Conditionally evaluates expressions.

$(if, expr, dotrue [, dofalse] )

If expr is nonzero, it evaluates and returns dotrue. Otherwise, it evaluates and returns dofalse. Note that the branch not chosen by expr is not evaluated.

index

Returns the specified member of a comma-delimited string.

$(index, which, string)

Assumes that the string argument contains one or more values delimited by the macro argument separator character, the comma. The which argument selects one of these values to be extracted, with the first item numbered 0. This function is most frequently used to extract X, Y, or Z coordinates from point coordinates returned by $(getvar).

Applications can use this function to retrieve values stored as comma-delimited strings from the USERS15 system variables.

linelen

Returns the length, in characters, of the longest status line that the display can present to the user.

$(linelen)

You can use this to vary the format of the status line, depending on the display capacity. This is useful for MODEMACRO status-line configuration only.

nth

Evaluates and returns the argument selected by which.

$(nth, which, arg0 [, arg1,..., arg7] )

If which is 0, nth returns arg0, and so on. Note the difference between $(nth) and $(index); $(nth) returns one of a series of arguments to the function, while $(index) extracts a value from a comma-delimited string passed as a single argument. Arguments not selected by which are not evaluated.

or

Returns the bitwise logical OR of the integers val1 through val9.

$(or, val1 [, val2,..., val9] )

rtos

Returns the real value in the format and precision specified.

$(rtos, value [, mode, precision] )

Edits the given value as a real number in the format specified by mode and precision. If mode and precision are omitted, it uses the current values selected with the UNITS command.

strlen

Returns the length of string in characters.

$(strlen, string)

substr

Returns the substring of string, starting at character start and extending for length characters.

$(substr, string, start [, length] )

Characters in the string are numbered from 1. If length is omitted, it returns the entire remaining length of the string.

upper

Returns the string converted to uppercase according to the rules of the current locale.

$(upper, string)

xor

Returns the bitwise logical XOR of the integers val1 through val9.

$(xor, val1 [, val2,..., val9] )


Catalog of DIESEL String Functions

No entries.


Catalog of DIESEL String Functions

Commands

UNITS Sets coordinate and angle display formats and precision

System Variables

MODEMACRO Displays a text string on the status line


Example: Angular Units Values

Catalog of DIESEL String Functions

Mode value | String format
0 | Degrees
1 | Degrees/minutes/seconds
2 | Grads
3 | Radians
4 | Surveyor's units


Example: Edtime Format Phrases

Catalog of DIESEL String Functions

Format phrases are defined as shown in the following table. Assume that the date and time are Saturday, 5 September 1998 4:53:17.506.

Format | Output | Format | Output
D | 5 | H | 4
DD | 05 | HH | 04
DDD | Sat | MM | 53
DDDD | Saturday | SS | 17
M | 9 | MSEC | 506
MO | 09 | AM/PM | AM
MON | Sep | am/pm | am
MONTH | September | A/P | A
YY | 98 | a/p | a
YYYY | 1998 |  |

Note: Enter the entire AM/PM phrase as shown in the preceding table; if AM is used alone, the A will be read literally and the M will return the current month.

If any AM/PM phrases appear in the picture, the H and HH phrases edit the time according to the 12-hour civil clock (12:0012:59 1:0011:59) instead of the 24-hour clock (00:0023:59).

The following example uses the date and time from the preceding table. Notice that the comma must be enclosed in quotation marks because it is read as an argument separator.

$(edtime, $(getvar,date),DDD"," DD MON YYYY - H:MMam/pm)

It returns the following:

Sat, 5 Sep 1998 - 4:53am

If time is 0, the time and date at the moment that the outermost macro was executed is used. This avoids lengthy and time-consuming multiple calls on $(getvar,date) and guarantees that strings composed with multiple $(edtime) macros all use the same time.


DIESEL Error Messages

Generally, if you make a mistake in a DIESEL expression, what went wrong will be obvious. Depending on the nature of the error, DIESEL embeds an error indication in the output stream.

Error message | Description
$? | Syntax error, usually a missing right parenthesis or a runaway string
$(func,??) | Incorrect arguments to func
$(func)?? | Unknown function func
$(++) | Output string too long, evaluation truncated


DIESEL Error Messages

No entries.


DIESEL Error Messages

Commands

No entries.

System Variables

No entries.


DIESEL--String Expression Language

No entries.


DIESEL--String Expression Language

Commands

UNITS Sets coordinate and angle display formats and precision

System Variables

MODEMACRO Displays a text string on the status line


Creating Custom Menus

Customizing Menus, Toolbars, and Buttons

To load a partial menu
To unload a partial menu


Creating Custom Menus

Customizing Menus, Toolbars, and Buttons

Commands

MENULOAD | Loads partial menu files
MENUUNLOAD | Unloads partial menu files
MSLIDE | Creates a slide file of the current viewport
PAN | Moves the drawing display in the current viewport
PREFERENCES | Customizes the AutoCAD LT settings
SHADE | Displays a flat-shaded image of the drawing in the current viewport
TABLET | Calibrates, configures, and turns on and off an attached digitizing tablet
TOOLBAR | Displays, hides, and customizes Toolbars
VSLIDE | Displays a raster image slide file in the current viewport
UNITS | Sets coordinate and angle display formats and precision

System Variables

MODEMACRO | Displays a text string on the status line
TILEMODE | Controls access to paper space and the behavior of viewports


Controlling the Drawing Display

AutoCAD LT provides several methods to control the display of your drawing. You can change the magnification and location of a single view or split the screen to display several views at once. Automatic or manual regenerations of the drawing database are required in certain circumstances. You can remove temporary editing marks by refreshing the display.

Changing Views
Displaying Multiple Views
Refreshing and Regenerating a View

See Also
Controlling Color, Linetype, and Other Properties
Changing 3D Viewpoints
Creating Realistic Images
Creating the Drawing Layout


Changing Views

When you work with the details in your drawing, you can magnify those areas for a closer view. At other times, you can view a larger portion of your drawing or shift the view to a different part of the drawing without changing the magnification.

After changing a view, you can return to the previous view and, to save time when you use several views frequently, you can save the views by name and then restore them for plotting or when you need to refer to specific details.

To change views quickly, AutoCAD LT also provides a navigation and magnification tool called the Aerial View window. Keep the Aerial View window open as you work to zoom and pan without choosing a menu option or entering a command.


Magnifying a View (Zooming)

You can change the magnification of your view by using ZOOM. Like zooming in and out with a camera, ZOOM does not change the absolute size of objects in the drawing. It changes only the magnification of the view.

Zooming to Magnify a Specified Rectangular Area

You can quickly zoom into a rectangular area of your drawing by specifying two diagonal corners of the area you are interested in.

The lower-left corner of the area you specify becomes the lower-left corner of the new display. The shape of the zoom area you specify does not necessarily correspond to the new view, which must fit the shape of the viewport.

Zooming in Realtime

With the Realtime option, you zoom dynamically by moving your pointing device up or down. By right-clicking, you can display a pop-up menu with additional viewing commands.

Zooming to View All Objects in the Drawing

ZOOM Extents displays a view with the largest possible magnification that includes all of the objects in the drawing. This view includes objects on layers that are turned off but does not include objects on frozen layers.

ZOOM All displays the user-defined drawing limits or the drawing extents, whichever view is larger.


Procedures (Magnifying a View)

Magnifying a View (Zooming)

To zoom by dragging
To zoom in to an area by specifying its boundaries
To display the drawing extents by zooming
To display the area of the grid limits by zooming


Procedures (Magnifying a View-1)

Magnifying a View (Zooming)

To zoom by dragging

  1. From the Standard toolbar, choose
  2. Hold down the pick button on your pointing device and drag vertically to zoom in and out.
  3. Press ENTER, ESC, or right-click to exit.

Command line equivalent: ZOOM


Procedures (Magnifying a View-2)

Magnifying a View (Zooming)

To zoom in to an area by specifying its boundaries

  1. From the Standard toolbar, choose
  2. Specify one corner of the rectangular area you want to view.
  3. Specify the opposite corner.

You automatically choose the Window option when you specify a point immediately after entering the ZOOM command.

Command line equivalent: ZOOM


Procedures (Magnifying a View-3)

Magnifying a View (Zooming)

To display the drawing extents by zooming

  • From the View menu, choose Zoom. Then choose Extents.

All objects in the drawing are displayed as large as possible and still fit in the current viewport or the graphics area.

Standard toolbar:
Command line equivalent: ZOOM


Procedures (Magnifying a View-1)

Magnifying a View (Zooming)

To display the area of the grid limits by zooming

  • From the View menu, choose Zoom. Then choose All.

The limits of the drawing grid fill the current viewport or the graphics area. If there are any objects outside the grid limits, they are also included.

Standard toolbar:
Command line equivalent: ZOOM


Reference Magnifying a View

Magnifying a View (Zooming)

Commands

DSVIEWER | Opens the Aerial View window
ZOOM | Increases or decreases the apparent size of objects in the current viewport

System Variables

RTDISPLAYControls the display of raster images during realtime zoom or pan
ZOOMFACTORControls the response rate of zooming with an IntelliMouse wheel


Panning a View

You can shift the location of your view by using PAN or by using the window scroll bars. With the Realtime option, you pan dynamically by moving your pointing device. Like panning with a camera, PAN does not change the location or size of objects on your drawing; it changes only the view.

By right-clicking, you can display a pop-up menu with additional viewing options, including

  • Exit
  • Switching between PAN and ZOOM
  • ZOOM Window
  • ZOOM Previous
  • ZOOM Extents


Procedures (Panning a View)

Panning a View

To pan by dragging
To pan by specifying points


Procedures (Panning a View-1)

Panning a View

To pan by dragging

  1. From the Standard toolbar, choose
  2. When the hand cursor appears, drag the view by holding down the pick button on the pointing device.
  3. Press ENTER, ESC, or right-click to exit.

Command line equivalent: PAN


Procedures (Panning a View-2)

Panning a View

To pan by specifying points

  1. From the View menu, choose Pan. Then choose Pan Point.
  2. Specify a base point. This is the point you want to change.
  3. Specify a second (pan to) point. This is the new location for the point you selected first.

Command line equivalent: PAN


Reference Panning a View

Panning a View

Commands

DSVIEWER | Opens the Aerial View window
PAN | Moves the drawing display in the current viewport

System Variables

MBUTTONPANControls the behavior of the third button or wheel on pointing devices
RTDISPLAYControls the display of raster images during realtime zoom or pan


Displaying the Previous View

You can easily restore the last view displayed in each viewport. It is often easier to restore a previous view than to redefine the view. You can restore up to 10 previous views in a viewport. These views include not only zoomed views but also views that have been panned, restored, or set to perspective or plan view.

Previous views are not retained when you exit the current drawing session. To recall a view across several sessions, you can save the view by name with your drawing.


Procedures (Displaying the Previous View)

Displaying the Previous View

To display the previous view
To display the previous view during PAN Realtime and ZOOM Realtime


Procedures (Displaying the Previous View-1)

Displaying the Previous View

To display the previous view

  • From the Standard toolbar, choose
Command line equivalent: ZOOM


Procedures (Displaying the Previous View-2)

Displaying the Previous View

To display the previous view during PAN Realtime and ZOOM Realtime

  • Right-click and choose the Previous option from the pop-up menu.


Reference Displaying the Previous View

Displaying the Previous View

Commands

ZOOM Increases or decreases the apparent size of objects in the current viewport

System Variables

No entries.


Saving and Restoring Views by Name

Some views are used frequently. To save time, you can save specific views by name and then restore them for plotting or when you need to refer to specific details. You can also list all saved views in a drawing along with information about each view. If you no longer need a saved view, you can delete it. The number of views that can be saved in a drawing is practically unlimited.

Saving a View

When you save a view, the following settings are saved:

  • View magnification, view location, and 3D view position
  • Whether the view is in model space or paper space
  • 3D perspective and clipping
Restoring a View

You restore a named view to the current viewport. You can use named views to

  • Specify a view in a tiled viewport or a floating viewport
  • Specify a sheet in a paper space layout
  • Specify an area for plotting
  • Determine the initial view when opening a drawing


Procedures (Saving and Restoring Views by Name)

Saving and Restoring Views by Name

To save and name a view
To restore a saved view
To delete a named view
To list saved viewport arrangements


Procedures (Saving and Restoring Views by Name-1)

Saving and Restoring Views by Name

To save and name a view

  1. If you have more than one viewport, click inside the viewport that contains the view you want to save.
  2. From the View menu, choose Named Views.
  3. In the View Control dialog box, choose New.
  4. In the Define New View dialog box, enter a name for the view.

    The name can be up to 31 characters long and contain letters, digits, and the special characters dollar sign ($), hyphen (–), and underscore (_).

  5. If you want to save only part of the current view, select Define Window. Then choose Window. Use the pointing device to specify opposite corners of the view.
  6. Choose Save View. Then choose OK in the View Control dialog box.

Viewpoint toolbar:
Command line equivalent: DDVIEW


Procedures (Saving and Restoring Views by Name-2)

Saving and Restoring Views by Name

To restore a saved view

  1. If you have more than one viewport, click inside the viewport that contains the view you want to replace.
  2. From the View menu, choose Named Views.
  3. In the View Control dialog box, select the view you want to restore.
  4. Choose Restore. Then choose OK.

Viewpoint toolbar:
Command line equivalent: DDVIEW


Procedures (Saving and Restoring Views by Name-3)

Saving and Restoring Views by Name

To delete a named view

  1. From the View menu, choose Named Views.
  2. In the View Control dialog box, select the view you want to delete.
  3. Choose Delete. Then choose OK.

Standard toolbar:
Command line equivalent: DDVIEW


Procedures (Saving and Restoring Viewport Arrangements-4)

Saving and Restoring Viewport Arrangements

To list saved viewport arrangements

  1. At the Command prompt, enter vports.
  2. Enter ? and press ENTER twice.

You can enter wild-card characters to filter the names. For example, you can enter ar* to list configurations beginning with AR.

Command line equivalent: VPORTS


Reference Saving and Restoring Views by Name

Saving and Restoring Views by Name

Commands

DDVIEW | Saves and restores views by name from a dialog box
VIEW | Saves and restores views by name from the command line

System Variables

No entries.


Using the Aerial View Window

You can use the Aerial View window to change the view in your current viewport quickly. If you keep the Aerial View window open as you work, you can zoom and pan without interrupting your current command. You can also specify a new view without having to choose a menu option or enter a command.

Using the View Box to Pan and Zoom

Within the Aerial View window is a view box, a heavy rectangle that displays the boundary of the view in your current viewport. You can change the view in the drawing by changing the view box in the Aerial View window. To zoom in to the drawing, make the view box smaller. To zoom out of the drawing, make the view box larger.

To pan the drawing, move the view box.

Using the Aerial View Window as a Magnifying Glass

To search for a small detail that is difficult to find in the current view, you can use the Pan option of Aerial View to display a magnified view of the area in the view box. This view changes dynamically as you hold down the pick button and drag the view box. You can change the magnification with the Zoom option, defining a larger or smaller view box.

Changing the View Displayed Inside the Aerial View Window

You can change the magnification of the image in the Aerial View window to display the entire drawing or you can resize the image incrementally. These changes do not affect the view in the drawing itself.

Using the Aerial View Window with Multiple Viewports

With multiple viewports, the Aerial View image changes as you select different viewports. Only the view in the current viewport is used in the Aerial View window.

The Aerial View image is updated as you select different viewports. In complex drawings, you may want to turn off this dynamic updating to improve drawing speed. If you turn off this feature, AutoCAD LT updates the Aerial View image only when you activate the Aerial View window.


Procedures (Using the Aerial View Window)

Using the Aerial View Window

To zoom to a new area using the Aerial View window
To pan using the Aerial View window
To display the entire drawing in the Aerial View window
To increase or decrease magnification of the Aerial View image
To turn dynamic updating on and off
To turn viewport updating on and off


Procedures (Using the Aerial View Window-1)

Using the Aerial View Window

To zoom to a new area using the Aerial View window

  1. On the Aerial View toolbar, choose Zoom.
  2. Hold down the pick button on your pointing device, drag the cursor to create a rectangle in the Aerial View window, and then release the pick button.

The area you specified replaces the previous view box. The graphics area changes to display the defined area at the new magnification.

Standard toolbar:
Command line equivalent: DSVIEWER


Procedures (Using the Aerial View Window-2)

Using the Aerial View Window

To pan using the Aerial View window

  1. On the Aerial View toolbar, choose Pan.
  2. The crosshairs change to a dashed-line view box the same size as the current view box.
  3. Move the new view box to a new location and click.
  4. Specify the position of the view box.

The view in the current viewport changes to reflect the new location.

Standard toolbar:
Command line equivalent: DSVIEWER


Procedures (Using the Aerial View Window-3)

Using the Aerial View Window

To display the entire drawing in the Aerial View window

  • On the Aerial View toolbar, choose Global.

Standard toolbar:
Command line equivalent: DSVIEWER


Procedures (Using the Aerial View Window-4)

Using the Aerial View Window

To increase or decrease magnification of the Aerial View image

  1. On the Aerial View toolbar, choose Zoom Out or Zoom In.
  2. Use Zoom Plus to magnify the image in the Aerial Window image. Use Zoom Minus to decrease the size of the image in the Aerial Window.

Standard toolbar:
Command line equivalent: DSVIEWER


Procedures (Using the Aerial View Window-5)

Using the Aerial View Window

To turn dynamic updating on and off

  • From the Options menu in the Aerial View window, choose Dynamic Update.

A check mark indicates that the Aerial View window shows changes as they occur.


Procedures (Using the Aerial View Window-6)

Using the Aerial View Window

To turn viewport updating on and off

  • From the Options menu in the Aerial View window, choose Auto Viewport.

A check mark indicates that Aerial View displays the current viewport as you switch viewports.


Reference Using the Aerial View Window

Using the Aerial View Window

Commands

DSVIEWER Opens the Aerial View window

System Variables

No entries.


Reference Changing Views

Changing Views

To zoom by dragging
To zoom in to an area by specifying its boundaries
To display the drawing extents by zooming
To display the area of the grid limits by zooming
To pan by dragging
To pan by specifying points
To save and name a view
To restore a saved view
To delete a named view
To list saved viewport arrangements
To save and name a view
To restore a saved view
To delete a named view
To list saved viewport arrangements
To zoom to a new area using the Aerial View window
To pan using the Aerial View window
To display the entire drawing in the Aerial View window
To increase or decrease magnification of the Aerial View image
To turn dynamic updating on and off
To turn viewport updating on and off


Reference Changing Views

Changing Views

Commands

DDVIEW | Saves and restores views by name from a dialog box
DSVIEWER | Opens the Aerial View window
PAN | Moves the drawing display in the current viewport
VIEW | Saves and restores views by name from the command line
ZOOM | Increases or decreases the apparent size of objects in the current viewport

System Variables

MBUTTONPANControls the behavior of the third button or wheel on pointing devices
RTDISPLAYControls the display of raster images during realtime zoom or pan
ZOOMFACTORControls the response rate of zooming with an IntelliMouse wheel


Managing Multiple Views

Displaying Multiple Views

To see several views at the same time, split the graphics area into separate viewing areas called tiled viewports. When several viewports are displayed, one of them is the current viewport and all view commands are applied to this viewport.

You can save tiled viewport arrangements for reuse at any time.

Working with Tiled Viewports
Changing the Current Viewport
Saving and Restoring Viewport Arrangements

See Also
Creating the Drawing Layout


Working with Tiled Viewports

Tiled viewports are a type of display that splits the AutoCAD LT graphics area into one or more adjacent rectangular viewing areas. Each tiled viewport can display a different view of the drawing. Displaying different views at the same time is useful in large or complex drawings because it reduces the need to zoom or pan in a single view. Also, errors you might miss in one view are apparent in the others.

When the Tile button is turned on in the status bar, you can split the graphics area into several tiled viewports. The viewports completely fill the graphics area and do not overlap. As you make changes in one viewport, the others are updated simultaneously. Three tiled viewports are shown in the illustration below.

Operating in Tiled Viewports

Using tiled viewports, you can

  • Pan; zoom; set Snap, Grid, and UCS icon modes; and restore named views
  • Draw from one viewport to another when executing a command
  • Name a viewport configuration so that you can reuse it
Splitting and Joining Tiled Viewports

The illustrations below show several default viewport configurations. You can modify these configurations by further splitting and joining the viewports. Adjacent tiled viewports can be joined if they share a boundary of the same length.


Procedures (Working with Tiled Viewports)

Working with Tiled Viewports

To subdivide a viewport
To join two viewports
To restore a single viewport
To switch between tiled and floating viewports


Procedures (Working with Tiled Viewports-1)

Working with Tiled Viewports

To subdivide a viewport

  1. If you have more than one viewport, click inside the viewport you want to subdivide.
  2. From the View menu, choose Tiled Viewports and then either 2 Viewports, 3 Viewports, or 4 Viewports to indicate how many viewports should be created.
  3. At the Command prompt, specify the arrangement of the new viewports.

Command line equivalent: VPORTS


Procedures (Working with Tiled Viewports-2)

Working with Tiled Viewports

To join two viewports

  1. From the View menu, choose Tiled Viewports. Then choose Join.
  2. Click within the viewport containing the view you want to keep.
  3. Click within an adjacent viewport to join it to the first viewport.

Command line equivalent: VPORTS


Procedures (Working with Tiled Viewports-3)

Working with Tiled Viewports

To restore a single viewport

  • From the View menu, choose Tiled Viewports. Then choose 1 Viewport.

Command line equivalent: VPORTS


Procedures (Working with Tiled Viewports-4)

Working with Tiled Viewports

To switch between tiled and floating viewports

  • Double-click the Tile button on the status bar.

If the Tile button is highlighted, you can create and use tiled viewports. If the Tile button is grayed out, you can create and use floating viewports. For more information on floating viewports, see Creating the Drawing Layout.

Command line equivalent: TILEMODE


Reference Working with Tiled Viewports

Working with Tiled Viewports

Commands

VPORTS Divides the graphics area into multiple tiled viewports

System Variables

TILEMODE Controls access to paper space and the behavior of viewports


Changing the Current Viewport

In AutoCAD LT, you always work in one viewport at a time. When you use multiple viewports, one of them is the current viewport. The graphics cursor in the current viewport is a crosshairs cursor rather than an arrow cursor and the viewport boundary is highlighted. You can change the current viewport at any time except when a viewing command is in progress.

To make a viewport the current viewport you click inside it or press CTRL+R to cycle through the existing viewports.

To draw a line using two viewports, you start the line in the current viewport, make another viewport current by clicking within it, and then specify the endpoint of the line in the second viewport. In a large drawing, you can use this method to draw a line from a detail in one corner to a detail in a distant corner.


Procedures (Changing the Current Viewport)

Changing the Current Viewport

To make a viewport current
To cycle through viewports without clicking


Procedures (Changing the Current Viewport-1)

Changing the Current Viewport

To make a viewport current

  • Click anywhere within the viewport border.


Procedures (Changing the Current Viewport-2)

Changing the Current Viewport

To cycle through viewports without clicking

  • Press CTRL+R repeatedly.


Reference Changing the Current Viewport

Changing the Current Viewport

Commands

No entries.

System Variables

No entries.


Saving and Restoring Viewport Arrangements

You don't have to set up viewports and views every time you need them. Tiled viewport arrangements can be saved and later restored by name. Settings that are saved with tiled viewport arrangements include

  • The number and position of viewports
  • The views the viewports contain
  • The grid and snap settings for each viewport
  • The UCS icon display setting for each viewport

After saving a viewport arrangement, you can list, restore, and delete the available viewport arrangements.


Procedures (Saving and Restoring Viewport Arrangements)

Saving and Restoring Viewport Arrangements

To save and name a viewport arrangement
To restore a saved viewport arrangement
To delete a saved viewport arrangement
To list saved viewport arrangements


Procedures (Saving and Restoring Viewport Arrangements-1)

Saving and Restoring Viewport Arrangements

To save and name a viewport arrangement

  1. From the View menu, choose Tiled Viewports. Then choose Save.
  2. Enter a name for the viewport configuration.

The name can be up to 31 characters long and contain letters, digits, the special characters dollar sign ($), hyphen (–), and underscore (_).

Command line equivalent: VPORTS


Procedures (Saving and Restoring Viewport Arrangements-2)

Saving and Restoring Viewport Arrangements

To restore a saved viewport arrangement

  1. From the View menu, choose Tiled Viewports. Then choose Restore.

    If you want to see a list of viewport configurations, enter ? and press ENTER twice.

  2. Enter the name of the viewport configuration you want to use.

Command line equivalent: VPORTS


Procedures (Saving and Restoring Viewport Arrangements-3)

Saving and Restoring Viewport Arrangements

To delete a saved viewport arrangement

  1. From the View menu, choose Tiled Viewports. Then choose Delete.

    If you want to see a list of viewport configurations, enter ? and press ENTER twice.

  2. Enter the name of the viewport configuration you want to delete.

Command line equivalent: VPORTS


Reference Saving and Restoring Viewport Arrangements

Saving and Restoring Viewport Arrangements

Commands

DDRENAME | Changes the names of named objects
VPORTS | Divides the graphics area into multiple tiled viewports

System Variables

No entries.


Procedure Displaying Multiple Views

Displaying Multiple Views

To subdivide a viewport
To join two viewports
To restore a single viewport
To switch between tiled and floating viewports
To make a viewport current
To cycle through viewports without clicking
To save and name a viewport arrangement
To restore a saved viewport arrangement
To delete a saved viewport arrangement
To list saved viewport arrangements


Reference Displaying Multiple Views

Displaying Multiple Views

Commands

DDRENAME | Changes the names of named objects
VPORTS | Divides the graphics area into multiple tiled viewports

System Variables

TILEMODE Controls access to paper space and the behavior of viewports


Refreshing and Regenerating a View

There are two ways to update the graphics display: by regenerating it and by refreshing it. AutoCAD LT performs a regeneration, called a regen, automatically after some commands.

Regeneration maintains and updates the drawing display and database. Use REGEN manually to recalculate the display resolution of your drawing, to update the display modes of objects, and to improve the speed of the database.

Refresh a view to improve its appearance by removing temporary editing marks called blips.


Regenerating a View

In some circumstances, AutoCAD LT regenerates the drawing display automatically, and in other circumstances you use REGEN manually. In large drawings, regenerating can require several minutes to complete, so it is a good idea to perform several operations that need regenerating together.

Regenerating Automatically

Regenerating automatically follows

  • Changing the number or arrangement of viewports
  • Thawing a frozen layer
  • Changing the text font assigned to objects
  • Resetting the virtual screen after some panning or zooming operations
  • Changing the 3D viewpoint
  • Plotting a drawing
Using REGEN Manually

You may want to perform a manual regeneration for

  • Smoothing the visual appearance of curves
  • Updating the display of wide polylines, solid-filled polygons, and text
  • Updating the drawing order of overlapping objects after opening a drawing
  • Restoring the appearance of a view after a hiding or shading operation


Procedures (Regenerating a View)

Regenerating a View

To regenerate a view

  • From the View menu, choose Regen.
Command line equivalent: REGEN


Reference Regenerating a View

Regenerating a View

Commands

DDRENAME | Sets drawing aids
REGEN | Regenerates the drawing and refreshes all viewports

System Variables

VSMAX | Stores the upper-right corner of the current viewport virtual screen
VSMIN | Stores the lower-left corner of the current viewport virtual screen


Refreshing a View

Refreshing a view with REDRAW removes plus-shaped editing marks called blips. When Blip mode is turned on, blips appear in the graphics area when you select objects or specify locations. You can also turn off blips when they are not needed.


Procedures (Refreshing a View)

Refreshing a View

To refresh a view
To turn the display of blips on or off


Procedures (Refreshing a View-1)

Refreshing a View

To refresh a view

  • From the View menu, choose Redraw.

Command line equivalent: REDRAW


Procedures (Refreshing a View-2)

Refreshing a View

To turn the display of blips on or off

  1. From the Tools menu, choose Drawing Aids.
  2. In the Drawing Aids dialog box under Modes, select Blips. Then choose OK.

A check mark indicates that Blip mode is on.

Command line equivalent: BLIPMODE


Reference Refreshing a View

Refreshing a View

Commands

BLIPMODE | Controls the display of marker blips
DDRMODES | Sets drawing aids
REDRAW | Refreshes the display of the current viewport

System Variables

BLIPMODE Controls whether marker blips are visible


Refreshing and Regenerating a View

To regenerate a view
To refresh a view
To turn the display of blips on or off


Reference Refreshing and Regenerating a View

Refreshing and Regenerating a View

Commands

BLIPMODE | Controls the display of marker blips
DDRMODES | Sets drawing aids
REDRAW | Refreshes the display of the current viewport
REGEN | Regenerates the drawing and refreshes all viewports

System Variables

BLIPMODE | Controls whether marker blips are visible
VSMAX | Stores the upper-right corner of the current viewport virtual screen
VSMIN | Stores the lower-left corner of the current viewport virtual screen


Procedure Controlling the Drawing Display

Controlling the Drawing Display

To zoom by dragging
To zoom in to an area by specifying its boundaries
To display the drawing extents by zooming
To display the area of the grid limits by zooming
To pan by dragging
To pan by specifying points
To display the previous view
To display the previous view during PAN Realtime and ZOOM Realtime
To save and name a view
To restore a saved view
To delete a named view
To list saved viewport arrangements
To zoom to a new area using the Aerial View window
To pan using the Aerial View window
To display the entire drawing in the Aerial View window
To increase or decrease magnification of the Aerial View image
To turn dynamic updating on and off
To turn viewport updating on and off
To subdivide a viewport
To join two viewports
To restore a single viewport
To switch between tiled and floating viewports
To make a viewport current
To cycle through viewports without clicking
To save and name a viewport arrangement
To restore a saved viewport arrangement
To delete a saved viewport arrangement
To list saved viewport arrangements
To regenerate a view
To refresh a view
To turn the display of blips on or off


Reference Controlling the Drawing Display

Controlling the Drawing Display

Commands

BLIPMODE | Controls the display of marker blips
DDRENAME | Changes the names of named objects
DDRMODES | Sets drawing aids
DSVIEWER | Opens the Aerial View window
PAN | Moves the drawing display in the current viewport
REDRAW | Refreshes the display of the current viewport
REGEN | Regenerates the drawing and refreshes all viewports
VIEW | Saves and restores views by name from the command line
VPORTS | Divides the graphics area into multiple tiled viewports

System Variables

BLIPMODE | Controls whether marker blips are visible
MBUTTONPANControls the behavior of the third button or wheel on pointing devices
RTDISPLAYControls the display of raster images during realtime zoom or pan
TILEMODE | Controls access to paper space and the behavior of viewports
VSMAX | Stores the upper-right corner of the current viewport virtual screen
VSMIN | Stores the lower-left corner of the current viewport virtual screen
ZOOMFACTORControls the response rate of zooming with an IntelliMouse wheel


Creating the Drawing Layout

A plotted drawing can contain a single view of your drawing or a more complex arrangement of views. If you want to create complex multiple-view drawings, AutoCAD LT provides a special drawing environment, known as paper space, that you can use to lay out various components of your drawing, including the annotation. In paper space you can edit the drawing layout without affecting the model.

In paper space, you can create floating viewports that display various views of the drawing. Depending on your needs, you can plot one or more floating viewports or set options that determine what is printed and how the image fits the paper. You can print a drawing without creating a layout in paper space, however, the paper space features give you more control over scaling, clipping views, layer visibility, and annotation.

With a single command, you can add your name, the current date, the current time, and the drawing file name to your drawing.

Working with Paper Space and Model Space
Using a Wizard to Create a Drawing Layout
Laying Out Single-View Drawings
Laying Out Multiple-View Drawings
Adding Date and Time Stamps

See Also
Controlling the Drawing Display


Paper Space and Model Space Overview

Working with Paper Space and Model Space

In AutoCAD LT, there are two general methods for creating drawings.

  • For single-view drawings, you can work in model space using tiled viewports.
  • For complex, multiple-view drawings you can work in model space and paper space using floating viewports.

When Tile mode is on (the TILEMODE system variable is set to 1), you work in model space using tiled viewports. When Tile mode is off, you can work in model space or paper space with floating viewports.

Working in Model Space with Tiled Viewports

With single-view drawings, you create all geometry at true size in model space using one or more tiled viewports. You add text, dimensions, and a title block scaled to the inverse of the intended plot scale. For example, if you plan to print at 1:4 scale, you create the model at full scale but the text, dimensions, and title block 4 times larger. Thus, when you print your drawing at 1:4 scale, all objects in the drawing will be reduced to the correct size.

As you create and edit your drawing, you can split the screen to display different areas of your drawing at different magnifications in each tiled viewport.

When you turn off and freeze layers, the display of those layers is affected in all tiled viewports.

With tiled viewports, you can only print one view of your drawing at a time. To print multiple views of a drawing, use floating viewports in paper space.

For more information on creating single-view drawings, see Laying Out Single-View Drawings.

Working in Model Space and Paper Space with Floating Viewports

With complex, multiple-view drawings, you create all geometry at true size in model space using one or more floating viewports. You switch to paper space to add the title block, also at true size. Text and dimensions can be added either in model space or in paper space.

When you switch to paper space, the graphics area represents the "paper" on which you arrange the overall layout of your drawing. In paper space, you create floating viewports to display different views of your model. These floating viewports are objects that you can move and resize in order to create a suitable layout. In paper space, you are not restricted to printing a single view, as you are with tiled viewports; you can print any arrangement of views.

With floating viewports, you can also

  • Turn off and freeze layers in some viewports without affecting others
  • Turn an entire viewport display on or off
  • Scale the views relative to the overall drawing layout

Objects created in paper space are accessible only in paper space and cannot be referenced from other drawings.

To access the model in a floating viewport, you switch from paper space to model space. As a result, you can work with the model while keeping the overall layout visible.

The illustration below shows different views of a model displayed in paper space. Each of the paper space images represents a floating viewport with a different view. Different scales are set for each view of the same model. Also, the layer that contains the viewport borders has been turned off in paper space.

See Also
Laying Out Multiple-View Drawings


Procedures (Paper Space and Model Space Overview)

Working with Paper Space and Model Space

No entries.


Reference (Paper Space and Model Space Overview)

Working with Paper Space and Model Space

Commands

MSPACE | Switches from paper space to a model space viewport
PSPACE | Switches from a model space viewport to paper space

System Variables

TILEMODE

Controls access to paper space, as well as the behavior of AutoCAD LT viewports


Using a Wizard to Create a Drawing Layout

You can use the Advanced Setup wizard to create a drawing layout. You can also specify a title block and you can choose whether you want to use paper space.

  • On the Step 6: Title Block tab, you select the description of an AutoCAD LT drawing file of a title block to insert as a symbol in your new drawing. You can add or remove title blocks from the list with the Add and Remove buttons. You can also include text at the outside edge of your title block to record your name and the date, time, and drawing file name by checking the Date Stamp box.
  • On the Step 7: Layout tab, you choose whether you want to use the advanced paper space layout capabilities in AutoCAD LT.
Using Advanced Paper Space Layout Capabilities

If you choose paper space, AutoCAD LT turns off the TILEMODE system variable (tiled viewports) and provides access to floating viewports and paper space. With TILEMODE turned off, you can use paper space to create complex, multiple-view drawings. AutoCAD LT inserts the title block you selected in paper space and creates a floating viewport. You can create new floating viewports to display additional views of model space.

Using Basic Layout Capabilities

If you do not choose paper space, TILEMODE stays on and AutoCAD LT inserts the title block in model space. Before starting to draw, you must scale the title block relative to the scale of your drawing. For example, if you plan to create a drawing at 1:4 scale, you must use Scale from the Modify menu to enlarge the title block by a factor of 4. You create the drawing at full size and then print it at 1:4 scale.


Procedures (Using a Wizard to Create a Drawing Layout)

Using a Wizard to Create a Drawing Layout

To begin a new drawing using the Advanced Setup wizard
To insert a title block and border with the Advanced Setup wizard


Procedures (Using a Wizard to Create a Drawing Layout-1)

Using a Wizard to Create a Drawing Layout

To begin a new drawing using the Advanced Setup wizard

  1. From the File menu, choose New.
  2. In the Create New Drawing dialog box, choose Use a Wizard and select Advanced Setup. Then choose OK.
  3. In the Advanced Setup wizard, choose tabs and change settings as needed. To move on to the next tab, press the Next button or choose the tab directly.
    • To specify units, choose the Step 1:Units tab.
    • To specify the angle settings, choose Step 2:Angle, Step 3:Angle Measure, or Step 4:Angle Direction and change the settings.
    • To change the drawing boundary, choose Step 5:Area and enter the full-scale width and height of the object you are drawing. For example, to draw an object that is 10 by 20 feet in size, you might enter a width of 12 and a height of 22 to account for the size of the object and a margin around it. The drawing boundary controls the area the grid dots are displayed in.
    • To add a title block and border, choose Step 6:Title Block. Change the settings if needed, and choose OK.
    • To select drawing layout options, choose Step 7:Layout.
    • When you are finished, choose Done.

By default, AutoCAD LT opens the new drawing with a single floating viewport displayed in paper space on the VIEWPORT layer. If you inserted a title block, AutoCAD LT creates a TITLE_BLOCK layer.

Standard toolbar:
Command line equivalent: NEW


Procedures (Using a Wizard to Create a Drawing Layout-2)

Using a Wizard to Create a Drawing Layout

To insert a title block and border with the Advanced Setup wizard

  1. From the File menu, choose New.
  2. In the Create New Drawing dialog box, choose Use a Wizard, and select Advanced Setup.
  3. In the Advanced Setup wizard, choose Step 6:Title Block.
  4. On the Step 6:Title Block tab under Title Block Description, select the file name of the title block and border you want to use. The file names generally correspond to paper sizes.
  5. Choose Done.

Standard toolbar:
Command line equivalent: NEW


Reference (Using a Wizard to Create a Drawing Layout)

Using a Wizard to Create a Drawing Layout

Commands

NEW | Creates a new drawing file
PREFERENCES | Customizes the AutoCAD LT settings
REVDATE | Inserts or updates a block containing company name, current time and date, and drawing name
SCALE | Enlarges or reduces selected objects equally in the X, Y, and Z directions

System Variables

TILEMODE Controls access to paper space, as well as the behavior of AutoCAD LT viewports


Laying Out Single-View Drawings

You can work exclusively in model space with tiled viewports to create, annotate, and plot a single-view drawing.


Scaling Geometry and Linetypes (MSPACE)

Scaling Drawings and Linetypes (MSPACE)

With single-view drawings created in model space, all geometry is drawn at full size. The drawing is then scaled to fit on a sheet for plotting. You must scale noncontinuous (dashed) linetypes for correct display.

Scaling Drawings for Plotting

The advantage to drawing at full size is that you can enter real-world lengths for objects and you do not have to scale dimension values. However, when you create geometry at full size, the resulting drawing is usually too large for standard-size drawing sheets. Thus, you must scale the drawings when you plot. For example, if the drawing needs to be reduced by a factor of 4 to fit on a drawing sheet (¼ scale), you enter 1 plotted unit = 4 drawing units in the Print / Plot Configuration dialog box. This setting reduces the apparent size of the geometry and other objects in the drawing to fit on your sheet.

Scaling Linetypes for Plotting

Reducing the size of a drawing to fit on a sheet also reduces the scale of noncontinuous (dashed) linetypes. There are three methods to control the scale of noncontinuous linetypes:

  • Set the Global Scale Factor (LTSCALE) to control the linetype scale for all noncontinuous linetypes in your drawing. With this method, all linetypes are scaled equally.
  • Set the Current Object Scale (CELTSCALE) to set the linetype scale for individual objects.
  • Load and select custom linetypes for various scales. With this method, standard linetype scales are built-in to the linetype assigned to each object.

It is important to note that an object's individual linetype scale factor (set by CELTSCALE) is multiplied by the global linetype scale factor (set by LTSCALE) to get the linetype scale for the object.

There are advantages and disadvantages to each method, but the most flexible is setting the Current Object Scale. For example, if you want to plot at ¼ scale, set Current Object Scale to 4, the inverse of the drawing scale (leaving the Global scale factor set to 1), so that when you plot, the resulting display of objects with noncontinuous linetypes will be compensated to equal the distances specified in the linetype definition file (¼ 4 = 1). Thus, if a noncontinuous linetype uses dashes 0.5 drawing units long and spaces 0.25 drawing units long, the line will be plotted using exactly those distances in plotting units.

See Also
Calculating the Scale Factor


Procedures (Scaling Geometry and Linetypes (MSPACE))

Scaling Drawings and Linetypes (MSPACE)

To change the linetype scale of selected objects
To set the linetype scale for new objects
To change linetype scale globally


Procedures (Scaling Geometry and Linetypes (MSPACE)-1)

Scaling Drawings and Linetypes (MSPACE)

To change the linetype scale of selected objects

  1. On the Object Properties toolbar, choose Properties.
  2. Select one or more objects.
  3. In the Linetype scale text box, enter the new value for the linetype scale.
  4. Choose OK.

Object Properties toolbar:
Command line equivalent: DDMODIFY


Procedures (Scaling Geometry and Linetypes (MSPACE)-2)

Scaling Drawings and Linetypes (MSPACE)

To set the linetype scale for new objects

  1. On the Object Properties toolbar, choose Linetype.
  2. In the Layer & Linetype Properties dialog box, on the Linetype tab, choose Details to expand the dialog box.
  3. Enter a new value for Current Object Scale.
  4. Choose OK.

Object Properties toolbar:
Command line equivalent: LINETYPE


Procedures (Scaling Geometry and Linetypes (MSPACE)-3)

Scaling Drawings and Linetypes (MSPACE)

To change linetype scale globally

  1. On the Object Properties toolbar, choose Linetype.
  2. In the Layer & Linetype Properties dialog box, on the Linetype tab, choose Details to expand the dialog box.
  3. Enter a new value for Global Scale Factor.
  4. Choose OK.

Object Properties toolbar:
Command line equivalent: LINETYPE


Reference (Scaling Geometry and Linetypes (MSPACE))

Scaling Drawings and Linetypes (MSPACE)

Commands

DDLTYPE | Same as LINETYPE
LINETYPE | Loads and sets linetypes
PLOT | Plots a drawing to a plotter, printer, or file

System Variables

CELTSCALE | Multiplies the linetype scale for new objects
LTSCALE | Sets the global linetype scale factor


Adding a Title Block_(MSPACE)

When you create geometry at full size, the resulting drawing is often too large for standard-size drawing sheets and title blocks. Thus, you insert the title block at an enlarged scale and then reduce both title block and drawing geometry when you print.

For example, if the drawing geometry needs to be reduced by a factor of 4 to fit on a drawing sheet, you insert the title block at a scale factor of 4 and enter 1 plotted unit = 4 drawing units in the Plot dialog box. This setting reduces the size of the geometry to 1:4 scale. The title block, at 4 times size, is also reduced to ¼ scale. Since ¼ 4 =1, the title block plots at true size.

If you use preprinted media, you can still use a title block as a guide for entering text and determining the drawing borders. You then delete or freeze the title block before plotting.


Procedures (Adding a Title Block (MSPACE))

Adding a Title Block (MSPACE)

To insert a title block and border with the Advanced Setup wizard
To insert a title block and border without using a wizard


Procedures (Adding a Title Block (MSPACE)-1)

Adding a Title Block (MSPACE)

To insert a title block and border with the Advanced Setup wizard

  1. From the File menu, choose New.
  2. In the Create New Drawing dialog box, choose Use a Wizard and select Advanced Setup. Then choose OK.
  3. In the Advanced Setup wizard, choose tabs and change settings as needed. To move on to the next tab, press the Next button or choose the tab directly.
    • To specify units, choose the Step 1:Units tab.
    • To specify the angle settings, choose Step 2:Angle, Step 3:Angle Measure, or Step 4:Angle Direction and change the settings.
    • To change the drawing boundary, choose Step 5:Area and enter the full-scale width and height of the object you are drawing. For example, to draw an object that is 10 by 20 feet in size, you might enter a width of 12 and a height of 22 to account for the size of the object and a margin around it. The drawing boundary controls the area the grid dots are displayed in.
    • To add a title block and border, choose Step 6:Title Block. Change the settings if needed, and choose OK.
    • To select drawing layout options, choose Step 7:Layout.
    • When you are finished, choose Done.

By default, AutoCAD LT opens the new drawing with a single floating viewport displayed in paper space on the VIEWPORT layer. If you inserted a title block, AutoCAD LT creates a TITLE_BLOCK layer.

Standard toolbar:
Command line equivalent: NEW


Procedures (Adding a Title Block (MSPACE)-2)

Adding a Title Block (MSPACE)

To insert a title block and border without using a wizard

  1. From the Insert menu, choose Block.
  2. In the Insert dialog box, choose File.
  3. Select the name of the title block drawing file and choose Open.
  4. In the Insert dialog box, clear Specify Parameters on Screen and enter a value under Scale.

    The insertion point for title blocks inserted in model space is commonly left at 0,0,0.

  5. Choose OK.

Standard toolbar:
Command line equivalent: DDINSERT


Reference (Adding a Title Block (MSPACE))

Adding a Title Block (MSPACE)

Commands

DDINSERT | Inserts a block or another drawing
INSERT | Places a named block or drawing into the current drawing
NEW | Creates a new drawing file
SCALE | Enlarges or reduces selected objects equally in the X, Y, and Z directions
PLOT | Plots a drawing to a plotter, printer, or file

System Variables

No entries.


Scaling Text and Dimensions_(MSPACE)

When you create geometry at full size, the resulting drawing is often too large for standard-size drawing sheets. Thus, you scale the drawing when you plot.

For example, if the drawing geometry needs to be reduced by a factor of 4 to fit on a drawing sheet, you enter 1 plotted unit = 4 drawing units in the Plot dialog box. This setting reduces the size of the geometry but also reduces the size of text and dimensions. To offset this reduction in size, you create text and dimensions at a larger size. For a drawing to be plotted at ¼ scale, create the text and dimensions at 4 times their plotted size.

You commonly specify text size when you create the text. Dimension size is controlled by the DIMSCALE system variable and is set in the Dimension Styles dialog box (Geometry, Overall Scale).

See Also
Calculating the Scale Factor


Procedures (Scaling Text and Dimensions (MSPACE))

Scaling Text and Dimensions (MSPACE)

To set text size for model space
To set the overall dimension scale


Procedures (Scaling Text and Dimensions (MSPACE)-1)

Scaling Text and Dimensions (MSPACE)

To set text size for model space

  1. From the Draw menu, choose Paragraph Text or Single Line Text.
  2. Enter the start point location (or, for paragraph text, the first and opposite corners).
  3. Enter a value for the text height.

    The text height is computed by multiplying the desired height by the inverse of the drawing scale. If the desired text height is 0.25 inches and the drawing scale is ¼ inch = 1 foot (1:48), the text size is multiplied by the inverse of 1/48 (48) to get 12 inches for the text height value.

  4. Enter the text and complete the command.

Draw toolbar:
Command line equivalent: DTEXT, MTEXT


Procedures (Scaling Text and Dimensions (MSPACE)-2)

Scaling Text and Dimensions (MSPACE)

To set the overall dimension scale

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Geometry.
  3. In the Geometry dialog box under Scale, enter a value for the overall scale.
  4. Set the scale based on the scaling between the current model space viewport and paper space by selecting Scale to Paper Space.
  5. Choose OK to exit each dialog box.

Dimension toolbar:
Command line equivalent: DDIM


Reference (Scaling Text and Dimensions (MSPACE))

Scaling Text and Dimensions (MSPACE)

Commands

DDIM | Creates and modifies dimension styles
PLOT | Plots a drawing to a plotter, printer, or file
STYLE | Creates named text styles

System Variables

DIMSCALE | Sets the overall scale factor applied to dimensioning variables
TEXTSIZE | Sets the default height for new text objects drawn with the current text style


Procedures Laying Out Single-View Drawings

Laying Out Single-View Drawings

To change the linetype scale of selected objects
To set the linetype scale for new objects
To change linetype scale globally
To insert a title block and border with the Advanced Setup wizard
To insert a title block and border without using a wizard
To set text size for model space
To set the overall dimension scale


Reference (Adding a Title Block (MSPACE))

Laying Out Single-View Drawings

Commands

DDIM | Creates and modifies dimension styles
DDINSERT | Inserts a block or another drawing
DDLTYPE | Same as LINETYPE
DDSTYLE | Same as STYLE
INSERT | Places a named block or drawing into the current drawing
LINETYPE | Loads and sets linetypes
NEW | Creates a new drawing file
PLOT | Plots a drawing to a plotter, printer, or file
SCALE | Enlarges or reduces selected objects equally in the X, Y, and Z directions

System Variables

CELTSCALE | Multiplies the linetype scale for new objects
DIMSCALE | Sets the overall scale factor applied to dimensioning variables
LTSCALE | Sets the global linetype scale factor
TEXTSIZE | Sets the default height for new text objects drawn with the current text style


Laying Out Multiple-View Drawings

The arrangement of a drawing on paper is an important part of the drawing process. By creating a layout in paper space, you can control how all the drawing elements are displayed and eventually plotted or printed.

You can use floating viewports in paper space to define several views of your drawing. You control the scale, orientation, and layer visibility of each view.

When working with a multiple-view drawing, you generally insert the title block in paper space. You can annotate the drawing either in paper space or in model space.

Working with Paper Space and Floating Viewports
Adding Floating Viewports to the Drawing
Modifying Floating Viewports
Managing Layer Visibility in a Layout
Adding a Title Block (PSPACE)
Scaling Views and Linetypes (PSPACE)
Scaling Text and Dimensions (PSPACE)
Removing Hidden Lines for Printing (PSPACE)

See Also
Using the Advanced Setup Wizard
Starting with a Template File


Working with Paper Space and Floating Viewports

Although the initial drawing may consist of a single model - a part, a machine, a floor plan - you can display this model in many ways. You can arrange it within a border, show it from different viewpoints, magnify details that you want to emphasize, or hide insignificant details.

Paper space also provides a way to display information and graphics that are not part of the model. For example, because title blocks are part of the layout rather than the model, with this method they are inserted in paper space.

Switching to Paper Space

By switching to paper space from model space, you can edit the drawing layout without affecting the model.

In the illustration below, the crosshairs cursor is active over the entire graphics area. This indicates that the paper space layout (rather than the objects displayed within a floating viewport) can be edited. The UCS icon also changes when you are working in paper space. AutoCAD LT displays the paper space icon in the lower-left corner of the graphics area.

Floating viewports in paper space

Switching to Model Space

By switching from paper space to model space, you can edit the model within a floating viewport. In the illustration below, the crosshairs and highlighting identify the current floating viewport. Model space UCS icons within each viewport also indicate model space.

Floating viewports in model space

If you switch to model space before you have created floating viewports, AutoCAD alerts you that there are no active model space viewports. To create viewports, choose Floating Viewports from the View menu or use MVIEW.

Using Named Views in Paper Space and Model Space

You can save and name views that you want to reuse or plot. For example, you can save a view of a room in a floor plan and then restore the view whenever you want to work on it.

In model space, you save a view from a single viewport. When restored, the saved view replaces the view in the current viewport. If you are working in model space, you can only restore model space views.

In paper space, a saved view can include more than one floating viewport. When you restore it, the restored view replaces the current paper space display. If you are working in paper space and choose to restore a model space view, you are prompted to select a viewport to display the restored view and AutoCAD LT switches to model space.


Procedures (Working with Paper Space and Floating Viewports)

Working with Paper Space and Floating Viewports

To turn on floating viewports and paper space
To switch to floating model space
To switch to paper space
To edit a drawing in a floating viewport
To restore a named paper space view


Procedures (Working with Paper Space and Floating Viewports-1)

Working with Paper Space and Floating Viewports

To turn on floating viewports and paper space

Use one of the following methods:

  • On the status bar, double-click TILE to turn it off.
  • From the View menu, choose Paper Space.
  • On the status bar, TILE becomes gray, MODEL changes to PAPER, and you enter paper space. If necessary, use MVIEW to create floating viewports.

Status bar:
Command line equivalent: TILEMODE


Procedures (Working with Paper Space and Floating Viewports-2)

Working with Paper Space and Floating Viewports

To switch to floating model space

Use one of the following methods:

  • If no floating viewports have been defined, create at least one floating viewport with MVIEW.
  • On the status bar, double-click PAPER. The button changes to MODEL.

Status bar:
Command line equivalent: MSPACE


Procedures (Working with Paper Space and Floating Viewports-3)

Working with Paper Space and Floating Viewports

To switch to paper space

Use one of the following methods:

  • On the status bar, double-click MODEL.
  • From the View menu, choose Paper Space.
  • On the status bar, MODEL changes to PAPER, and you enter paper space.

Status bar:
Command line equivalent: PSPACE


Procedures (Working with Paper Space and Floating Viewports-4)

Working with Paper Space and Floating Viewports

To edit a drawing in a floating viewport

  1. If necessary, switch to model space, and then click inside a floating viewport to make it current.
  2. In the floating viewport, edit the drawing.


Procedures (Working with Paper Space and Floating Viewports-5)

Working with Paper Space and Floating Viewports

To restore a named paper space view

  1. From the View menu, choose Named Views.
  2. In the View Control dialog box under Views, select the view you want to display.

    The column at the right indicates whether the view is a model space or a paper space view.

  3. Choose Restore. Then choose OK.

Standard toolbar:
Command line equivalent: DDVIEW


Reference (Working with Paper Space and Floating Viewports)

Working with Paper Space and Floating Viewports

Commands

DDVIEW | Saves and restores views by name
MSPACE | Switches from paper space to a model space viewport
PSPACE | Switches from a model space viewport to paper space
VIEW | Saves and restores named views

System Variables

TILEMODE Controls access to paper space, as well as the behavior of AutoCAD LT viewports


Adding Floating Viewports to the Drawing

Floating viewports are rectangular objects that you create in paper space to display views. In paper space, the combination of a title block, one or more floating viewports, and annotation constitutes a drawing layout.

If you use the Advanced Setup wizard to open a new drawing, by default a single floating viewport is created automatically. You can create additional floating viewports at any time and place them anywhere in the drawing area. As with tiled viewports, you can choose one of several standard configurations. If you choose the option 1 Viewport, you can create a viewport that either fits the entire graphics area or occupies a specified size and location.

The configuration you choose depends on how you plan to use the floating viewports. If you are designing a layout, you may want to use the 1 Viewport option to place each viewport individually.

Although floating viewports can be created simultaneously, they are separate objects that can be moved, resized, or erased as needed.

Once you have created a viewport in paper space, you can switch to model space and work on your drawing in the viewport using any of AutoCAD LT's drawing tools.


Procedures (Adding Floating Viewports to the Drawing)

Adding Floating Viewports to the Drawing

To create floating viewports

  1. From the View menu, choose Floating Viewports. Then choose 1 Viewport, 2 Viewports, 3 Viewports, or 4 Viewports.

    If you choose 2 Viewports or 3 Viewports, specify which configuration you want to use.

  2. At the prompt, enter f (Fit) to fill the graphics area with the viewport configuration, or specify the corners of a rectangular area that will contain the viewports.

    The floating viewports fill the specified area.

Command line equivalent: MVIEW


Reference (Adding Floating Viewports to the Drawing)

Adding Floating Viewports to the Drawing

Commands

MVIEW Creates floating viewports and turns on existing floating viewports

System Variables

MAXACTVP Sets maximum number of viewports that can be active at the same time


Modifying Floating Viewports

You can adjust the size and placement of floating viewports and the views they contain. For plotting, the borders of floating viewports can be turned off.

For increased performance in large drawings, you can also turn off the views in selected viewports and limit the number of active viewports.

Rearranging, Resizing, and Removing Floating Viewports

After you insert floating viewports, you can rearrange them in paper space according to your needs. You can snap to, copy, scale, stretch, erase, and move viewports using standard commands and most grip modes. To use these commands, you must be in paper space, and the viewport borders must be visible.

When you scale a view within a viewport, you might need to resize the viewport. Scaling or stretching the viewport border does not change the scale of the view within the viewport, as shown below.

By resizing the viewport borders, you can clip the view to display only a specific section of the drawing.

Because floating viewports are objects, you can use ERASE to remove them from the paper space layout.

Turning Off Viewport Borders

Floating viewports are objects that are created on layers, like any other object. Turning off the contents of a viewport does not hide the viewport border. If you want to hide the viewport borders as you work or when you plot, use a special layer for creating viewports and then turn off or freeze that layer. To turn the viewport itself on or off, viewport borders must be visible.

Turning Individual Floating Viewports On or Off

Displaying a large number of active floating viewports can affect performance: each additional active viewport slows down your system's ability to regenerate the drawing. You can improve drawing speed by turning off some viewports temporarily or by limiting the number of active viewports. The illustration below shows the effects of turning off two viewports.

Limiting the Number of Active Viewports

A floating viewport is considered to be active when it is on, visible in the graphics area, and not part of a block reference. (Viewports contained in blocks do not display model space views.)

Your drawing can contain an unlimited number of viewports. However, the number of viewports that are active is limited by the maximum value set by the MAXACTVP system variable (48). Lowering this limit can improve performance because inactive viewports are blank and their contents are not regenerated.

The limit you set has no effect on the number of viewports that can be plotted from paper space. Floating viewports need not be active to be plotted. You can use MVIEW to turn on viewports that are blank because the active viewport limit has been exceeded, but this activity turns off other viewports.


Procedures (Modifying Floating Viewports)

Modifying Floating Viewports

To turn floating viewports on or off
To set the maximum number of active viewports


Procedures (Modifying Floating Viewports-1)

Modifying Floating Viewports

To turn floating viewports on or off

  1. From the View menu, choose Floating Viewports. Then choose Viewports On or Viewports Off.
  2. Select the border of one or more viewports that you want to turn on or off.

Viewports that you turned off do not display any graphics.

Command line equivalent: MVIEW


Procedures (Modifying Floating Viewports-2)

Modifying Floating Viewports

To set the maximum number of active viewports

  1. At the Command prompt, enter maxactvp.
  2. Enter the maximum number of viewports that can be active.

Command line equivalent: MAXACTVP


Reference (Modifying Floating Viewports)

Modifying Floating Viewports

Commands

MVIEW Creates floating viewports and turns on existing floating viewports

System Variables

MAXACTVP Sets the maximum number of viewports that can be active at one time


Managing Layer Visibility in a Layout

You can control the visibility of objects in a floating viewport using several methods. These methods are useful for limiting screen regeneration and for emphasizing or hiding different elements of your drawing.

You can control layer visibility separately in each floating viewport. You can also specify default visibility settings for new viewports and for new layers.

Freezing Layers in Floating Viewports

You can freeze or thaw layers in current and future floating viewports without affecting other viewports. Frozen layers are invisible. They are not regenerated or plotted. Freezing layers is useful, for example, for displaying annotation only in a particular viewport. In the illustration, the layer showing terrain has been frozen in one viewport.

Thawing the layer restores visibility. The easiest way to freeze or thaw layers in the current viewport is to use the Layer Control list box on the Object Properties toolbar. You can also use the Layer Control when you need a quick update on which layers are frozen in the current viewport.

Freezing or Thawing Layers in Paper Space

When you do not want objects in paper space to be displayed or plotted, you can freeze the layers that contain them. For example, if you do not want to display floating viewport borders, you can freeze the layer on which the viewports were created.

Freezing or Thawing Layers Automatically in New Viewports

You can set visibility defaults for specific layers in all new floating viewports. For example, you can restrict display of dimensions by freezing the DIMENSIONS layer in all new viewports. If you create a viewport that requires dimensions, you can override the default setting by changing the setting in the current viewport. Changing the default for new viewports does not affect existing viewports.

Creating New Layers That Are Frozen in All Viewports

You can create new layers that are frozen in all existing and new floating viewports when Tile mode is off. Then you can thaw the layers in the viewports you specify. This is a shortcut for creating a new layer that is visible only in a single viewport.


Procedures (Managing Layer Visibility in a Layout)

Managing Layer Visibility in a Layout

To freeze or thaw layers in the current viewport
To list layers that are frozen in the current viewport
To freeze or thaw layers in all viewports
To freeze or thaw layers in paper space
To freeze or thaw layers in all new viewports
To create new layers that are frozen in all viewports


Procedures (Managing Layer Visibility in a Layout-1)

Managing Layer Visibility in a Layout

To freeze or thaw layers in the current viewport

  1. Make sure that you are in floating model space.
  2. On the status bar, MODEL is on and TILE is off.
  3. Click inside a floating viewport to make it current.
  4. On the Object Properties toolbar, click the Layer Control list box.
  5. In the third column from the left, click the Freeze/Thaw in Current Viewports icon.
  6. Click anywhere outside the Layer Control.

Object Properties toolbar:
Command line equivalent: LAYER, VPLAYER


Procedures (Managing Layer Visibility in a Layout-2)

Managing Layer Visibility in a Layout

To list layers that are frozen in the current viewport

  1. Make sure that you are in floating model space.
  2. On the status bar, MODEL is on and TILE is off.
  3. Click in the floating viewport you want to make current.
  4. On the Object Properties toolbar, click the Layer Control list box.
  5. Look at the third column for the Freeze/Thaw in Current Viewports icon.
  6. Click anywhere outside the Layer Control.

Object Properties toolbar:
Command line equivalent: LAYER, VPLAYER


Procedures (Managing Layer Visibility in a Layout-3)

Managing Layer Visibility in a Layout

To freeze or thaw layers in all viewports

  1. Make sure that you are in floating model space.
  2. On the status bar, MODEL is on and TILE is off.
  3. On the Object Properties toolbar, choose Layer.
  4. In the Layer & Linetype Properties dialog box in the third column, Freeze/Thaw in All Viewports, click the icon.

    You can select a range of layers to freeze or thaw by pressing SHIFT as you click.

  5. Press OK.

Object Properties toolbar:
Command line equivalent: LAYER


Procedures (Managing Layer Visibility in a Layout-4)

Managing Layer Visibility in a Layout

To freeze or thaw layers in paper space

  1. Make sure that you are in paper space. (On the status bar, PAPER is on and TILE is off.)
  2. On the Object Properties toolbar, choose Layers.
  3. In the third column, Freeze/Thaw in All Viewports, click the icon.
    You can select a range of layers to freeze or thaw by pressing SHIFT as you click.
  4. Press OK.

Object Properties toolbar:
Command line equivalent: LAYER


Procedures (Managing Layer Visibility in a Layout-5)

Managing Layer Visibility in a Layout

To freeze or thaw layers in all new viewports

  1. Make sure that you are in floating model space.
  2. On the status bar, MODEL is on and TILE is off.
  3. On the Object Properties toolbar, choose Layer.
  4. In the Layer & Linetype Properties dialog box in the fifth column, Freeze/Thaw in New Viewports, click the icon.

    You can select a range of layers to freeze or thaw by pressing SHIFT as you click.

  5. Press OK.

Object Properties toolbar:
Command line equivalent: LAYER


Procedures (Managing Layer Visibility in a Layout-6)

Managing Layer Visibility in a Layout

To create new layers that are frozen in all viewports

  1. Make sure that you are in floating model space. (On the status bar, MODEL is on and TILE is off.)
  2. On the Object Properties toolbar, choose Layers.
  3. Choose New, and rename the new layer.
  4. If necessary, choose Details.
  5. Under Details, select Freeze in New Viewports.
  6. Press OK.

Object Properties toolbar:
Command line equivalent: LAYER, VPLAYER


Reference (Managing Layer Visibility in a Layout)

Managing Layer Visibility in a Layout

Commands

DDLMODES | Same as LAYER
LAYER | Manages layers
VPLAYER | Sets layer visibility within viewports

System Variables

No entries.


Adding a Title Block_(PSPACE)

Inserting a title block in paper space defines the boundary of a drawing sheet visually. After inserting a title block, you create floating viewports to display views of model-space geometry.

There are three methods for including a title block in a drawing:

  • Use Step 6: Title Block tab of the Advanced Setup wizard when beginning the drawing.
  • Select Use a Template when beginning the drawing.
  • Insert a title block drawing at any time.

There are many ANSI, DIN, ISO, and JIS title blocks included with AutoCAD LT. Each title block is saved both as a drawing file and as a drawing template file.

For information on adding and removing title blocks in the Advanced Setup wizard, see Using the Advanced Setup Wizard.


Procedures (Adding a Title Block (PSPACE))

Adding a Title Block (PSPACE)

To insert a title block and border with the Advanced Setup wizard
To modify the list of title block drawings in the Advanced Setup wizard
To use a drawing template file
To insert a title block and border in paper space


Procedures (Adding a Title Block (PSPACE)-1)

Adding a Title Block (PSPACE)

To insert a title block and border with the Advanced Setup wizard

  1. From the File menu, choose New.
  2. In the Create New Drawing dialog box, choose Use a Wizard, and select Advanced Setup.
  3. In the Advanced Setup wizard, choose Step 6:Title Block.
  4. On the Step 6:Title Block tab under Title Block Description, select the file name of the title block and border you want to use. The file names generally correspond to paper sizes.
  5. Choose Done.

Standard toolbar:
Command line equivalent: NEW


Procedures (Adding a Title Block (PSPACE)-2)

Adding a Title Block (PSPACE)

To modify the list of title block drawings in the Advanced Setup wizard

  1. From the File menu, choose New.
  2. In the Create New Drawing dialog box, choose Use a Wizard, and select Advanced Setup.
  3. In the Advanced Setup wizard, choose Step 6:Title Block.
  4. Modify the title block list using one of the following methods:
    • To add a new title block drawing, choose Add. In the Select Title Block File dialog box, enter a name for the new title block in the Description box. Then specify a drawing file by choosing File and selecting a file name from the list. Choose OK to exit each dialog box.
    • To remove a title block drawing, select the title block description you want to remove and choose Remove.
  5. Choose Done.

Standard toolbar:
Command line equivalent: NEW


Procedures (Adding a Title Block (PSPACE)-3)

Adding a Title Block (PSPACE)

To use a drawing template file

  1. From the File menu, choose New.
  2. In the Create New Drawing dialog box, choose Use a Template.
  3. Select a drawing template file from the Select a Template list, and choose OK.

AutoCAD LT opens the drawing as drawing.dwg.

Standard toolbar:
Command line equivalent: NEW


Procedures (Adding a Title Block (PSPACE)-4)

Adding a Title Block (PSPACE)

To insert a title block and border in paper space

  1. Make sure that you are in paper space.

    On the status bar, PAPER is on and TILE is off.

  2. From the Insert menu, choose Block.
  3. In the Insert dialog box, choose File.
  4. In the File dialog box, select the name of the title block drawing file and choose Open.
  5. In the Insert dialog box, clear Specify Parameters on Screen and accept the default values.
  6. Choose OK.

Standard toolbar:
Command line equivalent: DDINSERT


Reference (Adding a Title Block (PSPACE))

Adding a Title Block (PSPACE)

Commands

DDINSERT | Inserts a block or another drawing
INSERT | Places a named block or drawing into the current drawing
NEW | Creates a new drawing file

System Variables

No entries.


Scaling Views and Linetypes (PSPACE)

Each floating viewport contains a view of model space that you scale relative to your drawing sheet in paper space. In addition to setting the scale for each view, you also scale noncontinuous linetypes (linetypes with dashes) relative to your drawing sheet.

Scaling Views

The views in each viewport must be scaled to the same relative unit of measurement - paper space units.

For example, the illustration shows a paper space layout with several viewports, each set to a different scale and view.

When you work in paper space, the scale factor represents a ratio between the size of the plotted drawing and the actual size of the model displayed in the viewports. Paper space is based on the size of the paper you specify; therefore, you generally use a one-to-one scale when you plot from paper space. To derive this scale, divide paper space units by model space units. For example, to plot your drawing at one fourth of the model space units, you specify a scale factor of one paper space unit to four model space units (1:4).

To scale views relative to paper space units, use the XP option of ZOOM. Unlike other ZOOM options, the scale factor you enter with xp is relative to the current paper space scale. As shown in the illustrations, if you enter a scale of 2xp, the scale in the viewport increases to twice the size of the paper space units. A scale of .5xp sets the scale to half the size of the paper space units, so the model is plotted at half its actual size.

If you need to edit your model, switch to tiled viewports by turning on Tile mode. Then, when you edit your drawing, you won't reset established scales if you zoom into or out of the model space views.

If you want to magnify part of your drawing without affecting the scale setting of a floating viewport, make sure you are in paper space before starting ZOOM.

Scaling Noncontinuous Linetypes in Paper Space

When you scale views in floating viewports, you sometimes create inconsistency in the appearance of dashed or dotted lines. For example, the line spacing in a dashed line is wider at a one-to-one scale than it is at a one-fourth scale. In paper space, you can base the linetype scale on one of the following:

The drawing units of the space in which the object was created (model or paper)

Paper Space Units

With the PSLTSCALE system variable turned on, you can maintain the same linetype scaling for objects displayed at different zoom scales in different floating viewports. With PSLTSCALE turned on, you can still control the dash lengths with LTSCALE and CELTSCALE. In the following illustration, the pattern of the linetypes in the drawing on the left has been scaled to be the same regardless of the scale of the view. In the drawing on the right, the scale of the linetypes matches the scale of each view.

See Also
Working with Linetypes


Procedures (Scaling Views and Linetypes (PSPACE))

Scaling Views and Linetypes (PSPACE)

To scale a model space view relative to paper space
To scale pattern linetypes uniformly in paper space


Procedures (Scaling Views and Linetypes (PSPACE)-1)

Scaling Views and Linetypes (PSPACE)

To scale a model space view relative to paper space

  1. Make sure that you are in floating model space.

    On the status bar, MODEL is on and TILE is off.

  2. Click inside a floating viewport to make it current.
  3. From the View menu, choose Zoom. Then choose Scale.
  4. On the command line, enter the scale factor followed by xp.

For a 1:4 ratio, for example, you would enter 0.25xp or 1/4xp.

Standard toolbar:
Command line equivalent: ZOOM


Procedures (Scaling Views and Linetypes (PSPACE)-2)

Scaling Views and Linetypes (PSPACE)

To scale pattern linetypes uniformly in paper space

  1. On the Object Properties toolbar, choose Linetype.
  2. To expand the Layer & Linetype Properties dialog box, choose Details.
  3. Under Details, make sure the checkbox Use Paper Space Units for Scaling is selected.
  4. Choose OK.

Object Properties toolbar:
Command line equivalent: LINETYPE


Reference (Scaling Views and Linetypes (PSPACE))

Scaling Views and Linetypes (PSPACE)

Commands

ZOOM

Increases or decreases the apparent size of objects in the current viewport

System Variables

CELTSCALE | Multiplies the linetype scale for new objects
LTSCALE | Sets the global linetype scale factor
PSLTSCALE | Controls paper space linetype scaling for noncontinuous linetypes


Scaling Text and Dimensions_(PSPACE)

The method you use to scale text and dimensions depends on whether you create text and dimensions in floating model space or in paper space. The combination of creating text in paper space and dimensions in floating model space is a common practice. However, objects created in paper space are never visible when a drawing is referenced externally as an xref.

Annotating in Floating Model Space

If you create text or dimensions in model space but plan to display and print them using the paper space layout feature, use the following method.

To scale the text in notes and labels, multiply the desired height of the text by the inverse of the scale of the viewport. For example, if the plotted text height is to be 0.25 inches and the scale of the viewport is 1/48, multiply 0.25 inches by 48 to get 12 inches for the height of the text. To set the scale of the viewport, enter Zoom 1/48xp in model space, and then create the text with a height of 12 inches.

To scale dimensions, set Scale to Paper Space in the Dimension Styles dialog box. This sets the DIMSCALE system variable to 0 and AutoCAD LT automatically sets the size of new dimensions you create in the current viewport to the correct size for paper space.

When annotating in model space, you usually create a layer dedicated to text and dimensions for each viewport. This annotation layer is frozen in all other viewports.

Annotating in Paper Space

If you create text or dimensions in paper space, create the text and dimensions at full size. For example, if the plotted text height is to be ¼ inch, create the text with a height of ¼ inch.

When working in paper space, you can use object snaps with model space geometry to create dimensions in paper space. These paper space dimensions are not associative, however. If the model space geometry is modified or the floating viewport is moved, the paper space dimensions are not automatically updated.

Objects in paper space are not displayed in externally referenced drawings. Also, extracting model space coordinates is not supported for ordinate dimensioning. Instead, create ordinate dimensions in model space.

Note: To extract true model space distances for the dimension text, you must set the DIMLFAC system variable from the Dim prompt before dimensioning. Use the Viewport option to select the floating viewport, and then create the dimensions using dimension commands and object snaps. Repeat the process for each viewport.


Procedures (Scaling Text and Dimensions (PSPACE))

Scaling Text and Dimensions (PSPACE)

To scale text in floating model space
To scale dimensions in floating model space
To scale dimensions in paper space


Procedures (Scaling Text and Dimensions (PSPACE)-1)

Scaling Text and Dimensions (PSPACE)

To scale text in floating model space

  1. Make sure that you are in paper space.
  2. On the status bar, PAPER is on and TILE is off.
  3. From the Tools menu, choose Inquiry. Then choose List and select the border of the floating viewport in which you want to create and display text. Press ENTER.

    The AutoCAD LT text window displays the properties of the selected floating viewport including the Scale Relative to Paper Space.

  4. Compute the inverse of the scale listed.

    For example, if the scale is 0.125xp (1/8 xp), the inverse is 8.

  5. Multiply this number by the desired text height to get the scaled text height.

    For example, if the desired text height is 0.5 cm, multiply 8 by 0.5 to get a scaled height of 4 cm.

  6. Create the text using the scaled height.

Standard toolbar:
Command line equivalent: LIST


Procedures (Scaling Text and Dimensions (PSPACE)-2)

Scaling Text and Dimensions (PSPACE)

To scale dimensions in floating model space

  1. From the Format menu, choose Dimension Style.
  2. In the Dimension Styles dialog box, choose Geometry.
  3. In the Geometry dialog box, choose Scale to Paper Space.
  4. Choose OK twice.

This automatically sets the size of new dimensions you create in the current floating viewport to the correct size for paper space.

Dimensioning toolbar:
Command line equivalent: DDIM


Procedures (Scaling Text and Dimensions (PSPACE)-3)

Scaling Text and Dimensions (PSPACE)

To scale dimensions in paper space

  1. From the Format menu, choose Dimension Style and select Geometry.
  2. In the Dimension Styles dialog box, choose Geometry.
  3. In the Geometry dialog box, choose Scale to Paper Space.
  4. Choose OK twice.
  5. At the Command prompt, enter dim.
  6. At the Dim prompt, enter dimlfac and enter v.
  7. Select the border of the floating viewport you want to dimension in.
  8. Use dimension commands and object snaps to create the dimensions.
  9. Repeat steps 1-7 for each floating viewport.

Dimensioning toolbar:
Command line equivalent: DDIM


Reference (Scaling Text and Dimensions (PSPACE))

Scaling Text and Dimensions (PSPACE)

Commands

DDIM | Creates and modifies dimension styles
LIST | Displays database information for selected objects

System Variables

DIMLFAC | Sets a global scale factor for linear dimensioning measurements
DIMSCALE | Sets the overall scale factor applied to dimensioning variables


Removing Hidden Lines for Printing (PSPACE)

Certain types of objects act as opaque surfaces and can hide objects behind them. Objects that can hide other objects entirely or in part are

  • Objects with non-zero thickness
  • Circles
  • Two-dimensional solids
  • Wide polylines
  • Surfaces and solids (from models created in AutoCAD)

When printing from paper space, AutoCAD LT processes each floating viewport for hidden lines according to that viewport's Hideplot setting. You set Hideplot for each floating viewport individually with MVIEW. The Hideplot setting does not affect plots made from model space or objects created in paper space. Hidden lines will be removed in a model space plot only if you select the Hide Lines option in the Print/Plot Configuration dialog box.


Procedures (Removing Hidden Lines for Printing (PSPACE))

Removing Hidden Lines for Printing (PSPACE)

To turn hidden lines on or off when printing a floating viewport in paper space

  1. From the View menu, choose Floating Viewports. Then choose Hideplot.
  2. On the command line, enter on or off.
  3. Use the pointing device to select the borders of the floating viewports that you want to change.
  4. Press ENTER to end viewport selection.

You do not see the effect of this command until you print the drawing.

Command line equivalent: MVIEW


Reference (Removing Hidden Lines for Printing (PSPACE))

Removing Hidden Lines for Printing (PSPACE)

Commands

MVIEW Creates floating viewports and turns on existing floating viewports

System Variables

No entries.


Procedures Laying Out Multiple-View Drawings

Laying Out Multiple-View Drawings

To turn on floating viewports and paper space
To switch to floating model space
To switch to paper space
To edit a drawing in a floating viewport
To restore a named paper space view
To create floating viewports
To turn floating viewports on or off
To set the maximum number of active viewports
To freeze or thaw layers in the current viewport
To list layers that are frozen in the current viewport
To freeze or thaw layers in all viewports
To freeze or thaw layers in paper space
To freeze or thaw layers in all new viewports
To create new layers that are frozen in all viewports
To insert a title block and border with the Advanced Setup wizard
To modify the list of title block drawings in the Advanced Setup wizard
To use a drawing template file
To insert a title block and border in paper space
To scale a model space view relative to paper space
To scale pattern linetypes uniformly in paper space
To scale text in floating model space
To scale dimensions in floating model space
To scale dimensions in paper space


Reference (Working with Paper Space and Floating Viewports)

Laying Out Multiple-View Drawings

Commands

DDIM | Creates and modifies dimension styles
DDINSERT | Inserts a block or another drawing
DDLMODES | Same as LAYER
DDVIEW | Saves and restores views by name
INSERT | Places a named block or drawing into the current drawing
LAYER | Manages layers
LIST | Displays database information for selected objects
MSPACE | Switches from paper space to a model space viewport
MVIEW | Creates floating viewports and turns on existing floating viewports
NEW | Creates a new drawing file
PSPACE | Switches from a model space viewport to paper space
VIEW | Saves and restores named views
VPLAYER | Sets layer visibility within viewports
ZOOM | Increases or decreases the apparent size of objects in the current viewport

System Variables

CELTSCALE | Multiplies the linetype scale for new objects
DIMLFAC | Sets a global scale factor for linear dimensioning measurements
DIMSCALE | Sets the overall scale factor applied to dimensioning variables
LTSCALE | Sets the global linetype scale factor
MAXACTVP | Sets maximum number of viewports that can be active at the same time
PSLTSCALE | Controls paper space linetype scaling for noncontinuous linetypes
TILEMODE | Controls access to paper space, as well as the behavior of AutoCAD LT viewports


Adding Date and Time Stamps

You can track drawing revisions by inserting information that identifies the file name, time and date of the revision, and the name of the person who revised it. This option is available when you open a new drawing using the Advanced Setup wizard available in the Create New Drawing dialog box. You also can choose Date and Time Stamp from the Tools menu or use the REVDATE command.

The revision information is inserted in the form of attributes that have been saved in a block named REVDATE, and it is automatically updated as needed. The attributes contain the information; the block is a named grouping of the attributes. The attributes are

  • REVDATE, the date and time
  • FNAME, the drawing file name, not including the path and extension
  • USER, the name of person revising the drawing

If you don't insert the date and time stamp when you create the drawing, you can insert it later. AutoCAD LT inserts a block at the point you specify. If needed, you can explode this block and reposition the individual attributes. By then saving the newly positioned attributes as a block named REVDATE, you can ensure that they will be updated whenever you use REVDATE.

By default, the user name used by the date and time stamp is the name specified during installation. If a different person works on the drawing, you can change the name used by REVDATE.

You can also change the time and date formats by choosing the Regional Settings icon in the Windows 95 Control Panel folder.

See Also
Using Symbols (Blocks)


Procedures (Adding Date and Time Stamps)

Adding Date and Time Stamps

To add a date and time stamp to an existing drawing
To change the user name displayed by the date and time stamp


Procedures (Adding Date and Time Stamps-1)

Adding Date and Time Stamps

To add a date and time stamp to an existing drawing

  1. From the Tools menu, choose Date and Time Stamp.

    If a date and time stamp has already been inserted, it is updated. Otherwise, go to step 2.

  2. Specify an insertion point for the date and time stamp.
  3. Specify the angle of rotation (0 or 90 degrees) for the stamp.

Command line equivalent: REVDATE


Procedures (Adding Date and Time Stamps-2)

Adding Date and Time Stamps

To change the user name displayed by the date and time stamp

  1. From the Tools menu, choose Preferences.
  2. On the Work Space tab, change the entry listed under User Name.

Command line equivalent: PREFERENCES


Reference (Adding Date and Time Stamps)

Adding Date and Time Stamps

Commands

REVDATE | Inserts or updates a block containing user name, current time and date, and drawing name
TIME | Displays the date and time statistics of a drawing

System Variables

DATE | Stores the current date and time represented as a Julian date and fraction in a real number
TDCREATE | Stores the time and date the drawing was created
TDUPDATE | Stores the time and date of last update/save


Creating the Drawing Layout

To begin a new drawing using the Advanced Setup wizard
To insert a title block and border with the Advanced Setup wizard
To change the linetype scale of selected objects
To set the linetype scale for new objects
To change linetype scale globally
To insert a title block and border with the Advanced Setup wizard
To insert a title block and border without using a wizard
To set text size for model space
To set the overall dimension scale
To turn on floating viewports and paper space
To switch to floating model space
To switch to paper space
To edit a drawing in a floating viewport
To restore a named paper space view
To create floating viewports
To turn floating viewports on or off
To set the maximum number of active viewports
To freeze or thaw layers in the current viewport
To list layers that are frozen in the current viewport
To freeze or thaw layers in all viewports
To freeze or thaw layers in paper space
To freeze or thaw layers in all new viewports
To create new layers that are frozen in all viewports
To insert a title block and border with the Advanced Setup wizard
To modify the list of title block drawings in the Advanced Setup wizard
To use a drawing template file
To insert a title block and border in paper space
To scale a model space view relative to paper space
To scale pattern linetypes uniformly in paper space
To add a date and time stamp to an existing drawing
To change the user name displayed by the date and time stamp


Creating the Drawing Layout

Commands

DDIM | Creates and modifies dimension styles
DDINSERT | Inserts a block or another drawing
DDLMODES | Same as LAYER
DDLTYPE | Same as LINETYPE
DDSTYLE | Same as STYLE
DDVIEW | Saves and restores views by name
INSERT | Places a named block or drawing into the current drawing
LAYER | Manages layers
LINETYPE | Loads and sets linetypes
LIST | Displays database information for selected objects
MSPACE | Switches from paper space to a model space viewport
MVIEW | Creates floating viewports and turns on existing floating viewports
NEW | Creates a new drawing file
PLOT | Plots a drawing to a plotter, printer, or file
PREFERENCES | Customizes the AutoCAD LT settings
PSPACE | Switches from a model space viewport to paper space
REVDATE | Inserts or updates a block containing company name, current time and date, and drawing name
SCALE | Enlarges or reduces selected objects equally in the X, Y, and Z directions
TIME | Displays the date and time statistics of a drawing
VIEW | Saves and restores named views
VPLAYER | Sets layer visibility within viewports
ZOOM | Increases or decreases the apparent size of objects in the current viewport

System Variables

CELTSCALE | Multiplies the linetype scale for new objects
DATE | Stores the current date and time represented as a Julian date and fraction in a real number
DIMSCALE | Sets the overall scale factor applied to dimensioning variables
LTSCALE | Sets the global linetype scale factor
TDCREATE | Stores the time and date the drawing was created
TDUPDATE | Stores the time and date of last update/save
TEXTSIZE | Sets the default height for new text objects drawn with the current text style
TILEMODE | Controls access to paper space, as well as the behavior of AutoCAD LT viewports


Creating Geometric Objects

AutoCAD LT drawings are made up of objects - lines, circles, polygons, and other geometric shapes that you use to create your final composition. Each object is an individual entity: that is, you can move, copy, resize, measure, and otherwise manipulate it separately from all the other objects in your drawing.

By default, all objects are created with the CONTINUOUS (or unbroken) linetype, and default color. However, you can load and use other linetypes as they are needed.

This section describes

Drawing to Scale
Creating Lines
Creating Arcs
Creating Circles
Creating Donuts
Creating Ellipses
Creating Splines
Creating Polygonal Objects
Creating Points

See Also
Modifying Objects


Drawing to Scale

When you draft on paper, you determine the scale before you start drawing. This scale compares the size of the drawn object to the actual size of the object the drawing represents. For example, each quarter inch in an architectural drawing might equal one foot in the floor plan of a house. The scale you choose must allow the drawing of the object to fit on the paper.

In AutoCAD LT, this process is reversed. You draw with a unit type you specify (architectural, decimal, and so on) or with the default unit type (decimal). Each unit on the screen represents whatever you want it to be: an inch, a millimeter, a kilometer. Therefore, if you are drawing a motor part, one unit might equal a millimeter. If you are drawing a map, one unit might equal one kilometer.

When you print or plot, you can set different scales for different sections of a drawing. You don't need to think about setting a scale until you're ready to print or plot your drawing.

See Also
Specifying Units, Angles, and Drawing Scale


Drawing to Scale

No entries.


Reference: Drawing to Scale

Drawing to Scale

Commands

PLOT | Plots a drawing to a plotter, printer, or file
ZOOM | Increases or decreases the apparent size of objects in the current viewport

System Variables

No entries.


Creating Lines

You can create three types of lines: single-segment lines, multisegmented lines (polylines), and double lines. Single-segment lines are the simplest type of line in AutoCAD LT and consist of a succession of line segments, with each line segment behaving as a separate object.

Multisegmented lines, or polylines, can form and be edited as a single object. You can edit the width and curvature of polylines. Double lines are single lines with parallel offsets.

Creating Single-Segment Lines
Creating Multisegmented Lines (Polylines)
Creating Double Lines

See Also
Setting Isometric Snap and Grid


Creating Single-Segment Lines

Although you can create a series of contiguous line segments, each line segment behaves as a separate object. There is an advantage to creating contiguous line segments rather than a single polyline: a single line segment can be edited separately from the other line segments in a series.

You can create a polygon by closing a sequence of line segments so that the first and last segments are joined. Draw a line by specifying its endpoints using LINE. Draw infinite lines using XLINE, or draw a semi-infinite line using RAY.


To draw lines

Creating Lines

To draw lines

  1. From the Draw menu, choose Line.
  2. Specify the start point.

    You can use the pointing device or specify a coordinate on the command line.

  3. Complete the first line segment by specifying the endpoint.

    To undo the previous line segment during the LINE command, enter u or choose Undo on the toolbar.

  4. Specify the endpoints of any additional line segments.
  5. End the line using one of these methods:
    • To complete the line, press ENTER.
    • To connect the endpoint of the last segment with the start point of the first segment, enter c (Close) and press ENTER.
    • To start a new line at the endpoint of the last line drawn, start the LINE command again, and press ENTER at the Start Point prompt.

Draw toolbar:
Command line equivalent: LINE


Reference: Creating Single-Segment Lines

Creating Single-Segment Lines

Commands

LINE | Creates straight line segments
XLINE | Creates an infinite line
RAY | Creates a semi-infinite line

System Variables

No entries.


Creating Multisegmented Lines (Polylines)

A polyline is a connected sequence of line segments created as a single object. You can create straight line segments, arc segments, or a combination of the two.

Example: Drawing a Polyline with Arc and Line

Some multisegmented lines provide editing capabilities unavailable for single lines. For example, you can adjust their width and curvature. After you've created a polyline, you can edit it with PEDIT or use EXPLODE to convert it to individual line and arc segments, or you can convert a spline-fit polyline into a true spline with SPLINE.

You can use closed polylines to create a polygon, and you can create a polyline from the boundaries of overlapping objects.

Creating Arc Polylines

You also can draw arc segments in a polyline. The first point of the arc is the endpoint of the previous segment. You can specify the angle, center point, direction, or radius of the arc. You can also complete the arc by specifying a second point and an endpoint.

Creating Closed Polylines

You can draw a closed polyline to create a polygon. To close a polyline, specify the starting point of the last side of the object, enter c (Close), and press ENTER.

Creating Wide Polylines
Creating Polylines from the Boundaries of Objects

See Also
Editing Polylines


Creating Wide Polylines

You can draw polylines of various widths by using the Width and Halfwidth options. You can set the width of individual segments and make them taper gradually from one width to another. These options become available after you start PLINE and specify a starting point.

The Width and Halfwidth options set the width of the next polyline segments you draw. Zero (0) width produces a thin line. Widths greater than zero produce wide lines, which are filled if Fill mode is on and outlined if Fill mode is off. The Halfwidth option sets width by specifying the distance from the center of the wide polyline to an outside edge.

Taper

When you use the Width option, AutoCAD LT prompts for both a starting and an ending width. By entering different values, you can taper the polyline. The starting and ending points of wide polyline segments are in the center of the line. Intersections of adjacent wide segments are usually beveled. However, AutoCAD LT does not bevel nontangent arc segments, acute angles, or segments that use a dash-dot linetype.


Creating Wide Polylines

To create a wide polyline

  1. From the Draw menu, choose Polyline.
  2. Specify the start point of the line segment.
  3. Enter w (Width).
  4. Enter the starting width of the line segment.
  5. Specify the ending width of the line segment using one of the following methods:
    • To create a line segment of equal width, press ENTER
    • To create a tapering line segment, enter a different width
  6. Specify the endpoint of the polyline segment.
  7. Continue specifying segment endpoints as needed.
  8. Press ENTER to end, or enter c to close the polyline.

Draw toolbar:
Command line equivalent: PLINE


Reference: Creating Wide Polylines

Creating Wide Polylines

Commands

OFFSET | Creates concentric circles, parallel lines, and parallel curves
PLINE | Creates two-dimensional polylines
PEDIT | Edits polylines and three-dimensional polygon meshes

System Variables

FILLMODE | Specifies whether objects created with SOLID are filled in
PLINEGEN | Sets how linetype patterns are generated around the vertices of a two-dimensional polyline
PLINEWID | Stores the default polyline width


Creating Polylines from the Boundaries of Objects

You can create a polyline from the boundaries of overlapping objects that form a closed area. A polyline created using the boundary method is a separate object, distinct from the objects used to create it. You can edit it using the same methods used to edit other polylines.

To expedite the boundary selection process in large or complex drawings, you can specify a group of boundary candidates, called a boundary set. You create this set by selecting the objects you want AutoCAD LT to examine as it defines the boundary.


To create a boundary polyline

Creating Polylines from the Boundaries of Objects

To create a boundary polyline

  1. From the Draw menu, choose Boundary.
  2. Specify the extent of the search area for boundary creation with one of the following methods:
    • To create a boundary set from all objects visible on the screen select From Everything on Screen. Avoid this option for large, complex drawings.
    • To specify which objects will be included in the boundary set, select Make New Boundary Set. On the screen, you select the objects AutoCAD LT will examine in order to create the boundary.
      Choosing this option automatically selects the From Existing Boundary Set option after you select the boundary set.
  3. To specify objects within the outermost boundary that are to be used as boundary objects, select Island Detection.
  4. Choose Pick Points.
  5. Specify points within each area that you want to form a boundary polyline.

    This area must be totally enclosed; that is, there can be no gaps between enclosing objects. You can select more than one area.

  6. Press ENTER to create the boundary polyline and end the command.
    AutoCAD LT creates a polyline in the shape of the boundary. Because this polyline overlaps the objects used to create it, it may not be visible. However, you can move, copy, or modify it just as you can any other polyline.

Command line equivalent: BOUNDARY


Reference: Creating Polylines from the Boundaries of Objects

Creating Polylines from the Boundaries of Objects

Commands

BOUNDARY | Creates a region or polyline of a closed boundary
PEDIT | Edits polylines and three-dimensional polygon meshes
PLINE | Creates two-dimensional polylines

System Variables

PLINEGEN Sets how linetype patterns are generated around the vertices of a two-dimensional polyline


Example: Drawing a Polyline with Straight Segments

Example: Drawing a Polyline with Arc and Line

In this example, you draw a line segment of a polyline, continue with an arc segment, and then draw another line segment. You define the radius, included angle, and endpoint of the arc segment. The included angle is the angle formed by the third point you specify, the second point, and the positive X axis.


Creating Multisegmented Lines (Polylines)

To draw a polyline with straight segments
To draw a line and arc combination polyline


To draw a polyline with straight segments

Creating Multisegmented Lines (Polylines)

To draw a polyline with straight segments

  1. From the Draw menu, choose Polyline.
  2. Specify the first point of the polyline.
  3. Specify the endpoint of the first polyline segment.
  4. Continue specifying segment endpoints as needed.
  5. Press ENTER to end, or enter c to close the polyline.

Draw toolbar:
Command line equivalent: PLINE


To draw a line and arc combination polyline

Creating Multisegmented Lines (Polylines)

To draw a line and arc combination polyline

  1. From the Draw menu, choose Polyline.
  2. Specify the start point of the polyline segment.
  3. Specify the endpoint of the polyline segment.
    • Switch to Arc mode by entering a (Arc) on the command line.
    • Return to Line mode by entering L (Line).
  4. Specify additional polyline segments as needed.
  5. Press ENTER to end the polyline.

Draw toolbar:
Command line equivalent: PLINE


Reference: Creating Multisegmented Lines (Polylines)

Creating Multisegmented Lines (Polylines)

Commands

3DPOLY | Creates a polyline of line segments in 3D space
BOUNDARY | Creates a region or polyline of a closed boundary
OFFSET | Creates concentric circles, parallel lines, and parallel curves
PLINE | Creates two-dimensional polylines
PEDIT | Edits polylines and three-dimensional polygon meshes

System Variables

PLINEGEN Sets how linetype patterns are generated around the vertices of a two-dimensional polyline


Creating Double Lines

Double lines provide a good way to draw walls in floor plans. You can draw double lines as straight segments or as arcs. Each double-line segment and its endcap, a line that connects the double-line endpoints, is actually a separate line object that can be individually edited.

The width determines the amount of distance between the lines. You can specify the width before you draw the double line or after you specify the first point.

To start a double line a specific distance and angle from another point, use the Offset option.

Controlling Placement of Double Lines
Setting the Appearance of Endpoints
Controlling the Appearance of Intersections
Snapping Double Lines to Objects

See Also
Offsetting an Object


Controlling the Appearance of Intersections

You can specify whether DLINE creates a gap in a double line, line, or arc when you snap a double line to it. If the Caps option is on, the gap may not be visible.


To create a gap where lines intersect

Controlling the Appearance of Intersections

To create a gap where lines intersect

  1. From the Draw menu, choose Double Line.
  2. On the command line, enter b (Break).
  3. Enter on.
  4. On the command line, enter s (snap).
  5. Enter on.
  6. Specify a point (1) near another double line, line, or arc.

Draw toolbar:
Command line equivalent: DLINE


Reference: Controlling the Appearance of Intersections

Controlling the Appearance of Intersections

Commands

DLINE Draws a double line using straight line segments and arcs

System Variables

No entries.


Controlling Placement of Double Lines

The dragline is a rubber band line that determines the placement of a double line. You can control whether the double line is centered on or offset to the right or left of the dragline.

A negative offset value positions the offset side of the double line to the left of the specified points, while a positive value positions the offset side to the right. Determine the left and right by imagining that you are standing at the start point of the line and looking at the endpoint.


To set the dragline for drawing double lines

Controlling Placement of Double Lines

To set the dragline for drawing double lines

  1. From the Draw menu, choose Double Line.
  2. On the command line, enter d (Dragline).
  3. Specify the offset of the double lines from the points you specify. Enter L (Left), c (Center), or r (Right). If you want to offset the placement point a specific distance from the center line, enter a distance.
  4. Specify a point to continue drawing the double line.

Draw toolbar:
Command line equivalent: DLINE


Reference: Controlling Placement of Double Lines

Controlling Placement of Double Lines

Commands

DLINE Draws a double line using straight line segments and arcs

System Variables

No entries.


Setting the Appearance of Endpoints

The ends of double lines can be open, closed, or different on each end. When endcaps are turned on, AutoCAD LT connects, or caps, the specified ends. The Auto option automatically caps only the ends that are not snapped to an object.


To set the endcaps for double lines

Setting the Appearance of Endpoints

To set the endcaps for double lines

  1. From the Draw menu, choose Double Line.
  2. On the command line, enter c (Caps).
  3. Enter one of the following options:
    • To close both ends of the double line, enter b (Both).
    • To close only the endpoint, enter e (Endpoint).
    • To close only the start point, enter s (Start Point).
    • To leave both ends open, enter n (None).

    To automatically close all the ends that are not snapped to another object (the default), enter a (Auto).

  4. Specify a point to continue drawing the double line.

Draw toolbar:
Command line equivalent: DLINE


Reference: Setting the Appearance of Endpoints

Setting the Appearance of Endpoints

Commands

DLINE Draws a double line using straight line segments and arcs

System Variables

No entries.


Snapping Double Lines to Objects

You can start or end a double line by snapping to an existing object. To speed up the snap process, you can specify the pixel size of the area where AutoCAD LT searches for object snap candidates. The double line starts or ends by snapping to the object it finds in this search area. Each of the double-line legs adjusts to form a clean junction with the object.


To snap to objects when drawing double lines

Snapping Double Lines to Objects

To snap to objects when drawing double lines

  1. From the Draw menu, choose Double Line.
  2. On the command line, enter s (Snap).
  3. Specify one of these options:
    • To turn on snap, enter on.
    • To change the size of the snap area, enter s (Size). Then enter a number between 1 and 10 to specify the number of pixels in the search area.
  4. Specify a start point.
  5. Specify a point on an existing object to end the double line.

Draw toolbar:
Command line equivalent: DLINE


Reference: Snapping Double Lines to Objects

Snapping Double Lines to Objects

Commands

DLINE Draws a double line using straight line segments and arcs

System Variables

No entries.


Creating Double Lines

To draw double-line segments
To draw double-line arc segments
To set double-line width
To set the dragline for drawing double lines
To set the endcaps for double lines
To create a gap where lines intersect
To snap to objects when drawing double lines


To draw double-line segments

Creating Double Lines

To draw double-line segments

  1. From the Draw menu, choose Double Line.
  2. Specify the start point (1).
  3. Specify the endpoint (2).
  4. Continue specifying points as needed. If you want to remove the previously specified point, enter u or choose Undo on the toolbar.
  5. To connect the start point with the endpoint, enter cL (Close). Otherwise, press ENTER to complete the double line.

Draw toolbar:
Command line equivalent: DLINE


To draw double-line arc segments

Creating Double Lines

To draw double-line arc segments

  1. From the Draw menu, choose Double Line.
  2. Specify a start point.
  3. On the command line, enter a (Arc).
  4. Specify a point if you want to use the three-point method to create the arc, or enter one of the following options on the command line:

    To draw an arc by specifying the center and either the endpoint and/or an included angle, enter ce. Then specify a center point, enter an included angle and second point (both optional) and an endpoint.

    To draw an arc by specifying the endpoint and an included angle or center point, enter e. Then specify an endpoint and an included angle.

  5. If you want to draw a straight line segment, enter L (Line) and continue specifying points.
  6. To connect the start point with the endpoint, enter cL (Close). Otherwise, press ENTER to complete the double line.

Draw toolbar:
Command line equivalent: DLINE


To set double-line width

Creating Double Lines

To set double-line width

  1. From the Draw menu, choose Double Line.
  2. On the command line, enter w (Width). Then specify a new width.
  3. Specify a point to start drawing the double line.

Draw toolbar:
Command line equivalent: DLINE


Reference: Creating Double Lines

Creating Double Lines

Commands

DLINE Draws a double line using straight line segments and arcs

System Variables

No entries.


Creating Lines

To draw lines
To draw a polyline with straight segments
To draw a line and arc combination polyline
To create a boundary polyline
To draw double-line segments
To draw double-line arc segments
To set double-line width
To create a gap where lines intersect
To set the dragline for drawing double lines
To set the endcaps for double lines
To snap to objects when drawing double lines


Reference: Creating Lines

Creating Lines

Commands

LINE | Creates straight line segments
PLINE | Creates two-dimensional polylines
DLINE | Draws a double line using straight line segments and arcs
OFFSET | Creates concentric circles, parallel lines, and parallel curves
XLINE | Creates an infinite line
RAY | Creates a semi-infinite line

System Variables

PLINEGEN Sets how linetype patterns are generated around the vertices of a two-dimensional polyline


Creating Arcs

You can create arcs in several ways. With the exception of the first method, arcs are drawn counterclockwise from the start point to the endpoint.

Drawing Arcs by Specifying Three Points

You can draw an arc by specifying three points. In the following example, the start point of the arc snaps to the endpoint of a line. The second point of the arc snaps to the middle circle in the illustration.

Drawing Arcs by Specifying the Start, Center, and End

When you know the start point, center point, and endpoint, you can draw an arc by specifying either the start point or the center point first. The center point is the center of a circle that the arc resides in.

Drawing Arcs by Specifying Start, Center, Angle

When you have a start point and a center point you can snap to, use the Start, Center, Angle or the Center, Start, Angle options.

The included angle determines the endpoint of the arc. Use the Start, End, Angle method when you know both endpoints but cannot snap to a center point.

Drawing Contiguous Arcs and Lines

See Also
Creating Elliptical Arcs
Creating Multisegmented Lines (Polylines)


Connecting Arcs and Lines

Drawing Contiguous Arcs and Lines

Immediately after you complete an arc, you can start a line at the arc endpoint by starting the LINE command and pressing ENTER at the Start Point prompt. The arc's endpoint defines the start point and the direction of the new line. You need to specify only the line length.

You can connect sequentially drawn arcs in the same way. To create connected arcs using a menu, choose Arc from the Draw menu, then choose Continue. In both cases, the resulting object is tangent to the previous one.


Connecting Arcs and Lines

Drawing Contiguous Arcs and Lines

To continue an arc with a tangential line
To continue an arc with a tangential arc


To sequentially connect a line to an arc

Drawing Contiguous Arcs and Lines

To continue an arc with a tangential line

  1. Complete the arc.
  2. From the Draw menu, choose Line.
  3. Press ENTER at the first prompt.
  4. Enter the length of the line and press ENTER.

Draw toolbar:
Command line equivalent: LINE


To connect sequentially drawn arcs

Drawing Contiguous Arcs and Lines

To continue an arc with a tangential arc

  1. Complete the arc.
  2. From the Draw menu, choose Arc. Then choose Continue.
  3. Specify the second endpoint of the tangent arc.


Reference: Connecting Arcs and Lines

Drawing Contiguous Arcs and Lines

Commands

ARC | Creates an arc
LINE | Creates straight line segments

System Variables

No entries.


Creating Arcs

To draw an arc by specifying three points
To draw an arc using a start point, a center point, and an endpoint
To continue an arc with a tangential line
To continue an arc with a tangential arc


To draw an arc by specifying three points

Creating Arcs

To draw an arc by specifying three points

  1. From the Draw menu, choose Arc. Then choose 3 Points.
  2. Specify the start point.
  3. Specify a point on the arc.
  4. Specify the endpoint.

Draw toolbar:
Command line equivalent: ARC


To draw an arc using a start point, a center point, and an endpoint

Creating Arcs

To draw an arc using a start point, a center point, and an endpoint

  1. From the Draw menu, choose Arc. Then choose Start, Center, End.
  2. Specify a start point.
  3. Specify the center point.
  4. Specify the endpoint.

Draw toolbar:
Command line equivalent: ARC


Reference: Creating Arcs

Creating Arcs

Commands

ARC | Creates an arc
LINE | Creates straight line segments
OFFSET | Creates concentric circles, parallel lines, and parallel curves

System Variables

No entries.


Creating Circles

You can create circles in several ways. The default method is to specify the center and the radius. AutoCAD LT provides three other ways to draw a circle, as shown in the illustration.

Drawing a Circle Tangent to Other Objects

The tangent point is a point where an object touches another object without intersecting it. To create a circle that is tangent to other objects, select the objects and then specify the radius of the circle. In the illustrations below, the bold circle is the one being drawn, and points 1 and 2 select the objects to which it is tangent.

To create a circle tangent at three points, set running object snaps (OSNAP) to Tangent and use the three-point method to create the circle.

See Also
Setting Running Object Snaps
Drawing Isometric Circles


Creating Circles

To draw a circle by specifying a center point and radius or diameter
To create a circle tangent to two objects


To draw a circle by specifying a center point and radius or diameter

Creating Circles

To draw a circle by specifying a center point and radius or diameter

  1. From the Draw menu, choose Circle. Then choose Center, Radius or Center, Diameter.
  2. Specify the center point.
  3. Specify the radius or diameter.

Draw toolbar:
Command line equivalent: CIRCLE


To create a circle tangent to two objects

Creating Circles

To create a circle tangent to two objects

  1. From the Draw menu, choose Circle. Then choose Tan, Tan, Radius.

    AutoCad LT starts Tangent object snap mode.

  2. Select the first object to draw the circle tangent to.
  3. Select the second object to draw the circle tangent to.
  4. Specify the radius of the circle.

Draw toolbar:
Command line equivalent: CIRCLE


Reference: Creating Circles

Creating Circles

Commands

CIRCLE | Creates a circle
OFFSET | Creates concentric circles, parallel lines, and parallel curves

System Variables

CIRCLERAD Sets the default circle radius


Creating Donuts

Donuts are filled rings or solid-filled circles that actually are closed polylines with width. To create a donut, you specify its inside and outside diameters and its center. You can continue creating multiple copies with the same diameter by specifying different center points. To create solid-filled circles, specify an inside diameter of 0.


To draw a donut

Creating Donuts

To draw a donut

  1. From the Draw menu, choose Donut.
  2. Specify the inside diameter (1).
  3. Specify the outside diameter (2).
  4. Specify the center of the donut (3).
  5. Specify the center point for another donut, or press ENTER to complete the command.

Draw toolbar:
Command line equivalent: DONUT


Reference: Creating Donuts

Creating Donuts

Commands

DONUT Draws filled circles and rings

System Variables

DONUTID | Sets the default for the inside diameter of a donut
DONUTOD | Sets the default for the outside diameter of a donut
FILLMODE | Specifies whether objects created with SOLID are filled in


Creating Ellipses

The shape of an ellipse is determined by two axes that define its length and width. The longer axis is called the major axis, and the shorter one is the minor axis.

The illustrations below show two different ellipses created by specifying axis and distance. The third point specifies only a distance and does not necessarily designate the axis endpoint.

The default method of drawing an ellipse on the command line is to specify the endpoints of the first axis and a distance equal to half the length of the second axis. You can define the axes in any order. You also can draw an ellipse based on a center point, an endpoint of one axis, and half the length of the other axis.

If you prefer, you can specify a rotation angle instead of a distance. With this option, the first two points you specify become endpoints of the axis about which the ellipse is rotated. Depending on the amount of rotation you specify, the ellipse appears to rotate into the third dimension. You can enter a rotation angle between 0 and 89.4 degrees. A 0 rotation creates a circle. The ellipse becomes increasingly elongated as the rotation angle increases.

Creating Elliptical Arcs


Creating Elliptical Arcs

Like full ellipses, elliptical arcs are drawn using the first axis endpoints and the second axis. You then specify start and end angles for the arc. The start angle defines the start point of the elliptical arc, the end angle defines the endpoint, and the arc is drawn between these points in the direction set by the ANGDIR system variable. The angles are measured from the center of the ellipse and the direction of the major axis. If ANGDIR is 0, they are measured counterclockwise. If ANGDIR is 1, they are measured clockwise. If the start and end angles are the same, you create a full ellipse.

You can also specify a start angle and an included angle. The included angle is measured relative to the start point instead of from the 0-degree point.


To draw an elliptical arc using start and end angles

Creating Elliptical Arcs

To draw an elliptical arc using start and end angles

  1. From the Draw menu, choose Ellipse. Then choose Arc.
  2. Specify endpoints for the first axis (1, 2).
  3. Specify a distance to define half the length of the second axis (3).
  4. Specify the start angle (4).
  5. Specify the end angle (5).

The ellipitical arc is drawn counterclockwise between the start and end points.

Draw toolbar:
Command line equivalent: ELLIPSE


Reference: Creating Elliptical Arcs

Creating Elliptical Arcs

Commands

ELLIPSE Creates an ellipse or an elliptical arc

System Variables

No entries.


Creating Ellipses

To draw a true ellipse using endpoints and distance
To draw an elliptical arc using start and end angles


To draw a true ellipse using endpoints and distance

Creating Ellipses

To draw a true ellipse using endpoints and distance

  1. From the Draw menu, choose Ellipse. Then choose Axis, End.
  2. Specify the first endpoint of the first axis (1).
  3. Specify the second endpoint of the first axis (2).
  4. Drag the pointing device away from the midpoint, and click to specify a distance (3) for half the length of the second axis.

Draw toolbar:
Command line equivalent: ELLIPSE


Reference: Creating Ellipses

Creating Ellipses

Commands

ELLIPSE Creates an ellipse or an elliptical arc

System Variables

ANGDIR Sets the angle from angle 0 with respect to the current UCS


Creating Splines

A spline is a smooth curve passing through a given set of points. AutoCAD LT uses a particular type of spline known as a nonuniform rational B-spline (NURBS) curve. A NURBS curve produces a smooth curve between control points. Splines are useful for creating irregularly shaped curves, for example, drawing contour lines for geographic information system (GIS) applications or automobile designs.

You create splines by specifying points. You can close the spline so that the start and endpoints are coincident and tangent. Tolerance describes how closely the spline fits the set of fit points you specify. The lower the tolerance, the more closely the spline fits the points. At zero tolerance, the spline passes through the points. You can change the spline-fitting tolerance while drawing the spline to see the effect.

Using Splines vs. Editing Polylines

See Also
Editing Splines


Using Splines vs. Editing Polylines

With AutoCAD LT, there are two methods for creating splines:

  • Create approximate spline curves with PEDIT to smooth existing polylines created with PLINE. Such spline-fit polylines are more likely to be included in drawings created with earlier versions of AutoCAD LT.
  • Create true splines, which are NURBS curves, with SPLINE. Drawings containing splines use less memory and disk space than those containing spline-fit polylines of similar shape.

You can easily convert spline-fit polylines into true splines with SPLINE.

See Also
Editing Splines


Procedure: Using Splines vs. Editing Polylines

Using Splines vs. Editing Polylines

No entries.


Reference: Using Splines vs. Editing Polylines

Using Splines vs. Editing Polylines

Commands

PEDIT | Edits polylines and three-dimensional polygon meshes
PLINE | Creates two-dimensional polylines
SPLINEDIT | Edits a spline object
SPLINE | Creates a quadratic or cubic spline (NURBS) curve

System Variables

No entries.


To create a spline by specifying points

Creating Splines

To create a spline by specifying points

  1. From the Draw menu, choose Spline.
  2. Specify the start point for the spline (1).
  3. Specify points (2 through 5) to create the spline, and press ENTER.
  4. Specify the start and end tangents (6, 7).

The spline below uses the same points but different start and end tangents.

The spline below uses the same points but a higher tolerance and different start and end tangents.

Draw toolbar:
Command line equivalent: SPLINE


Reference: Creating Splines

Creating Splines

Commands

PEDIT | Edits polylines and three-dimensional polygon meshes
PLINE | Creates two-dimensional polylines
SPLINEDIT | Edits a spline object
SPLINE | Creates a quadratic or cubic spline (NURBS) curve

System Variables

SPLFRAME | Controls display of spline-fit polylines
SPLINETYPE | Sets the type of spline curve to be generated by PEDIT Spline


Creating Polygonal Objects

In AutoCAD LT, polygons are closed polylines with between 3 and 1,024 equal-length sides. Because regular polygons have equal-length sides, drawing a polygon is a simple way to draw squares, equilateral triangles, octagons, and so on.

The illustrations below show polygons using two different methods. The method on the left uses the center of the polygon and the radius length specified with the pointing device. In the method on the right, the length of one edge determines the size of the polygon.

There are many ways to create polygons:

  • Specifying the radius when you know the distance between the center of the polygon and the midpoint of each side.
  • Specifying the length of an edge and where you want to place it.
  • Circumscribing a circle that you create first. By specifying the center of the polygon as the center of the circle, you can create a polygon that circumscribes the circle. The circle can later help you find the center point of the polygon, if needed. When the drawing is complete, you can erase the circle or place it on a turned-off or frozen layer.

Using RECTANG rather than POLYGON to create rectangles.

See Also
Creating Closed Polylines


Procedure: Creating Polygonal Objects

Creating Polygonal Objects

To draw a polygon by specifying the radius
To draw a polygon by specifying one edge


To draw a polygon by specifying the radius

Creating Polygonal Objects

To draw a polygon by specifying the radius

  1. From the Draw menu, choose Polygon.
  2. On the command line, enter the number of sides.
  3. Specify the center of the polygon (1).
  4. Enter c to specify a polygon circumscribed about a circle of specified points.
  5. Enter the radius length (2).

Draw toolbar:
Command line equivalent: POLYGON


To draw a polygon by specifying one edge

Creating Polygonal Objects

To draw a polygon by specifying one edge

  1. From the Draw menu, choose Polygon.
  2. On the command line, enter the number of sides.
  3. Enter e (Edge).
  4. Specify the start point for one polygon segment.
  5. Specify the endpoint of the polygon segment.

Draw toolbar:
Command line equivalent: POLYGON


Reference: Creating Polygonal Objects

Creating Polygonal Objects

Commands

EXPLODE | Breaks a compound object into its component objects
POLYGON | Creates an equilateral closed polyline
RECTANG | Draws a rectangular polyline

System Variables

FILLMODE | Specifies whether objects created with SOLID are filled in
PLINEWID | Stores the default polyline width
POLYSIDES | Sets the default number of sides for POLYGON


Creating Points

Point objects are useful as nodes or reference points that you can snap to and offset objects from. You can set the style of the points and their size relative to the screen or in absolute units. Changing the style of points

  • Makes them more visible and easier to differentiate from grid dots
  • Affects the display of all point objects in the drawing
  • Requires a REGEN to make the change visible


Creating Points

To set point style and size
To create a point marker


To set point style and size

Creating Points

To set point style and size

  1. From the Format menu, choose Point Style.
  2. In the Point Style dialog box, select a point style.
  3. Under Point Size, specify a size, either relative to the screen or in absolute units.
  4. Choose OK.

Command line equivalent: DDPTYPE


To create a point marker

Creating Points

To create a point marker

  1. From the Draw menu, choose Point. Then choose Single Point.
  2. Specify the point location.

You can snap to a point using the Node object snap.

Draw toolbar:
Command line equivalent: Point


Reference: Creating Points

Creating Points

Commands

DDPTYPE | Specifies the display mode and size of point objects
POINT | Creates a point object

System Variables

PDMODE | Controls how point objects are displayed
PDSIZE | Sets the display size for point objects


Creating Geometric Objects

To set point style and size
To create a point marker
To draw lines
To draw a polyline with straight segments
To draw a line and arc combination polyline
To create a boundary polyline
To draw double-line segments
To draw double-line arc segments
To set double-line width
To set the dragline for drawing double lines
To set the endcaps for double lines
To snap to objects when drawing double lines
To create a gap where lines intersect
To continue an arc with a tangential line
To continue an arc with a tangential arc
To draw an arc using a start point, a center point, and an endpoint
To draw a circle by specifying a center point and radius or diameter
To create a circle tangent to two objects
To draw a donut
To draw a true ellipse using endpoints and distance
To draw an elliptical arc using start and end angles
To create a spline by specifying points
To draw a polygon by specifying the radius
To draw a polygon by specifying one edge


Reference: Creating Geometric Objects

Creating Geometric Objects

Commands

ARC | Creates an arc
BOUNDARY | Creates a region or polyline from an enclosed area
CIRCLE | Creates a circle
DDPTYPE | Specifies the display mode and size of point objects
DLINE | Draws a double line using straight line segments and arcs
DONUT | Draws filled circles and rings
ELLIPSE | Creates an ellipse or an elliptical arc
LINE | Creates straight line segments
OFFSET | Creates concentric circles, parallel lines, and parallel curves
PEDIT | Edits polylines and three-dimensional polygon meshes
PLINE | Creates two-dimensional polylines
POINT | Creates a point object
POLYGON | Creates an equilateral closed polyline
RAY | Creates a semi-infinite line
RECTANG | Draws a rectangular polyline
SPLINE | Creates a quadratic or cubic spline (NURBS) curve
XLINE | Creates an infinite line

System Variables

ANGDIR | Sets a positive angle direction from angle 0 with respect to the current UCS
CIRCLERAD | Sets the default circle radius
FILLMODE | Specifies whether objects created with SOLID are filled in
PDMODE | Controls how point objects are displayed
PDSIZE | Sets the display size for point objects
PLINEGEN | Sets how linetype patterns are generated around the vertices of a two-dimensional polyline
PLINEWID | Stores the default polyline width
POLYSIDES | Sets the default number of sides for POLYGON
SPLFRAME | Controls display of spline-fit polylines
SPLINETYPE | Sets the type of spline curve to be generated by PEDIT Spline


Correcting Mistakes

With AutoCAD LT, you can backtrack your recent activities using one of several methods.

Undoing a Single Action

The simplest method of backtracking is to use the U command to undo a single action. In addition, many commands include their own U (undo) option so that you can correct mistakes without leaving the command. When you are creating lines and polylines, enter U to undo the last segment.

Undoing Several Actions at Once

Use the Mark option of the UNDO command to mark an action as you work. You can then use the Back option of UNDO to undo all activities that occurred after the marked action. Use the Begin and End options of UNDO to undo actions you've defined as a group.

Reversing the Effect of a Single Undo

You can reverse the effect of a single U or UNDO command by using REDO immediately after using U or UNDO.

Erasing Objects

You can erase any object that you draw.

For more information, see Erasing Objects.

Canceling a Command

You can cancel a command without completing it by pressing ESC. To change the cancel key assignment, choose Preferences from the Tools menu.


Procedures (Correcting Mistakes-3)

Correcting Mistakes

To redo an action

  • From the Edit menu, choose Redo.

Only the action immediately preceding Undo command can be reversed with Redo. You cannot use Redo to repeat another command.

Standard toolbar:
Command line equivalent: REDO


Procedures (Correcting Mistakes-2)

Correcting Mistakes

To undo a specific number of actions

  1. At the Command prompt, enter undo.
  2. Enter the number of actions to undo.

For example, to undo the last ten actions, enter 10. AutoCAD LT displays the commands or system variable settings that were undone.

Command line equivalent: UNDO


Procedures (Correcting Mistakes-1)

Correcting Mistakes

To undo the most recent action

  • From the Edit menu, choose Undo.

Standard toolbar:
Command line equivalent: U


Procedures (Correcting Mistakes)

Correcting Mistakes

To undo the most recent action
To undo a specific number of actions
To redo an action


Reference (Correcting Mistakes)

Correcting Mistakes

Commands

ERASE | Removes objects from a drawing
OOPS | Restores erased objects
REDO | Reverses the effects of the previous UNDO or U command
U | Reverses the most recent action
UNDO | Reverses the effect of commands

System Variables

No entries.


CONFIG

CONFIG Command

Configures input and output devices

Command line: config

This option displays the Preferences dialog box.


Controlling Color, Linetype, and Other Properties

As you create objects, AutoCAD LT uses default settings for the color, layer, linetype, and other properties. You can specify these properties before you create a series of objects or change them afterwards.

All objects in AutoCAD LT are drawn on layers. Objects can be made visible or invisible by turning their layers on and off. You can either associate the color and linetype properties of objects with their layer, or you can set color and linetype explicitly for each object. You are not limited to the linetypes that are included with AutoCAD LT; you can easily create and save new linetypes.

The properties assigned to objects are easily verified, and you can copy properties from one object to other objects.

You can control how some objects are displayed. Certain kinds of objects, including text, hatches, and wide polylines, can be displayed in a simplified form for faster display and for check plots. For objects that overlap one another, you can control the order in which they are displayed.

Working with Layers
Working with Color
Working with Linetypes
Controlling Line Width
Displaying the Properties of Objects
Copying Properties Between Objects
Controlling the Display of Certain Objects

See Also
Creating Wide Polylines
Adding Thickness to Objects


Working with Layers

Layers are the equivalent of the overlays used in paper-based drafting. They are the primary organizational tool in AutoCAD LT, and you use them to group information by function and to enforce linetype, color, and other standards.

You can reduce the visual complexity of a drawing and improve display performance by controlling the number of objects that are displayed or concealed. For example, you can use layers to control the visibility of similar objects, such as electrical parts or dimensions. Also, you can lock a layer to prevent objects on that layer from being accidentally selected and modified.


Creating and Listing Layers

New layers can have alphanumeric names up to 31 characters long. In many cases, the layer names you choose are dictated by corporate, industry, or client standards. Layers are usually dedicated to each conceptual grouping (such as walls or dimensions). Each layer has an associated color and linetype.

If you consistently use a specific layering scheme, you can set up a template drawing with layers, linetypes, and colors already assigned. For more information about creating template drawings, see Starting with a Template File.

The Layer & Linetype Properties dialog box sorts layers alphabetically by name. If you're organizing your own layer scheme, name layers carefully. By using common prefixes to name layers with related drawing components, you can use wild-card characters in layer name filters when you need to find those layers quickly.

Sometimes you may want only certain layers to be listed in the Layer & Linetype Properties dialog box. Use layer filters to limit the layer names listed. To limit which layers are listed, you can filter the layer names based on

  • Whether layers are in use
  • Whether layers are xref dependent
  • Layer names, colors, and linetypes
  • Whether layers are turned on or off
  • Whether layers are frozen or thawed in the current viewport or in newly created viewports
  • Whether layers are locked or unlocked

Layer name filters are set in the Layer & Linetype dialog box under Show.

The number of layers you can create in a drawing and the number of objects you can create per layer are virtually unlimited. You can remove unused layers at any time.


Procedures (Creating and Listing Layers)

Creating and Listing Layers

To create a new layer
To remove an unused layer
To filter the display of layer names


Procedures (Creating and Listing Layers-1)

Creating and Listing Layers

To create a new layer

  1. On the Object Properties toolbar, choose Layers.
  2. In the Layer & Linetype Properties dialog box, choose New. To expand the dialog box and display more details, choose Details.

    AutoCAD LT automatically adds a layer name, such as Layer1, to the layer list.

  3. Enter a new layer name by typing over the highlighted layer name.

    A layer name can include up to 31 characters: letters, digits, and the special characters dollar sign ($), hyphen (-), and underscore (_). Layer names cannot include blank spaces.

  4. To change the default color or linetype, click the Color control or Linetype control list boxes and select a new color or linetype.
  5. Choose OK.

Object Properties toolbar:
Format menu: Layer
Command line equivalent: LAYER


Procedures (Creating and Listing Layers-2)

Creating and Listing Layers

To remove an unused layer

  1. On the Object Properties toolbar, choose Layers.
  2. In the Layer & Linetype Properties dialog box, select the layer that you want to delete.
  3. Choose Delete.

The specified layer is removed. Layers that have objects assigned to them cannot be removed until those objects are reassigned to a different layer or are deleted. Layer 0 can never be removed.

Object Properties toolbar:
Format menu: Layer
Command line equivalent: LAYER


Reference (Creating and Listing Layers)

Creating and Listing Layers

Commands

DDLMODES | Same as LAYER
LAYER | Manages layers
PURGE | Removes unused named objects, such as blocks or layers, from the database

System Variables

CLAYER Stores the current layer


Using Layers to Manage Complexity

By creating layers, you can associate similar types of objects by assigning them to the same layer. For example, you can put construction lines, text, dimensions, and title blocks on separate layers. You can then control

  • Whether objects on a layer are visible in any viewports
  • Whether objects are plotted
  • What color is assigned to all objects on a layer
  • What default linetype is assigned to all objects on a layer
  • Whether objects on a layer can be modified
Selecting a Layer to Draw On

As you draw, AutoCAD places newly created objects on the current layer. The current layer may be the default layer (0) or a layer you create and name yourself. You switch from one layer to another by making a different layer current, and any subsequent objects you create are associated with the new current layer and use its color and linetype. You cannot make a layer current if it is frozen or if it is an xref-dependent layer.

Controlling the Visibility of Objects on a Layer

You can make drawing layers invisible either by turning them off or by freezing them. Turning off or freezing layers is useful if you need an unobstructed view when working in detail on a particular layer or set of layers or if you don't want to plot details such as reference lines. Whether you choose to freeze layers or turn them off depends on how you work and on the size of your drawing.

Turn a layer off rather than freezing the layer if you frequently need to switch a layer's visibility. When you turn a layer back on, the objects on the layer are redisplayed automatically.

Freeze a layer if you do not need to see the objects on that layer for a long period of time. You redisplay frozen layers by thawing them, and thawing one or more layers causes the drawing to be regenerated. Freezing and thawing layers takes more time than turning layers on and off.

Objects on turned-off layers are invisible, but they still hide objects when you use HIDE. Objects on frozen layers do not hide other objects.

In paper space, you can make some layers invisible only in certain viewports. You can also freeze the current layer in one or more floating viewports. For more information about paper space, see Creating the Drawing Layout.

Assigning Default Color and Linetypes to a Layer

Each layer has an associated color and linetype that can be applied to all objects on that layer. If the Color control on the Object Properties toolbar is set to BYLAYER, the color of new objects is determined by the color setting for the layer in the Layer & Linetype Properties dialog box. If you set a specific color in the Color control, that color is used for all new objects, overriding the default color for the current layer.

The same is true for linetypes and the Linetype control on the Object Properties toolbar.

The BYBLOCK setting should be used only for creating blocks. For more information, see Controlling Color and Linetype Properties in Blocks.

Controlling Whether Objects on a Layer Can Be Modified

When a layer is locked, none of the objects on that layer can be modified until you unlock the layer. Locking layers reduces the possibility of modifying objects accidentally. You can still apply object snaps to objects on a locked layer and perform other operations that do not modify those objects.


Procedures (Using Layers to Manage Complexity)

Using Layers to Manage Complexity

To make a selected layer the current layer
To make the layer of a selected object the current layer
To turn a layer on and off
To filter the display of layer names
To sort the lists displayed in the Layer & Linetype Properties dialog box


Procedures (Using Layers to Manage Complexity-1)

Using Layers to Manage Complexity

To make a selected layer the current layer

  1. On the Object Properties toolbar, click the Layer control.
  2. Click the layer name that you want to use.

Object Properties toolbar:
Command line equivalent: LAYER


Procedures (Using Layers to Manage Complexity-2)

Using Layers to Manage Complexity

To make the layer of a selected object the current layer

  1. On the Object Properties toolbar, choose Make Objects Layer Current.
  2. Select an object.

The layer of the object you selected is now the current layer.

Object Properties toolbar:
Command line equivalent: DDMODIFY, LAYER


Procedures (Using Layers to Manage Complexity-3)

Using Layers to Manage Complexity

To turn a layer on and off

  1. On the Object Properties toolbar, click the Layer control (list box).
  2. Click the On/Off icon of the layer name that you want to turn on or off.

If the lightbulb is on, the layer is turned on.

Alternate Procedure

In a drawing with many layers, it is usually faster to change properties of layers in the Layer & Linetype dialog box, where you can use filtering to find the layers you need quickly.

  1. On the Object Properties toolbar, choose Layer.
  2. In the Layer & Linetype Properties dialog box, click the On/Off icon of the layer that you want to turn on or off.
  3. Choose OK.

Object Properties toolbar:
Command line equivalent: LAYER


Procedures (Using Layers to Manage Complexity-4)

Using Layers to Manage Complexity

To filter the display of layer names

  1. On the Object Properties toolbar, choose Layer
  2. In the Show list box, choose Set Filter Dialog.
  3. In the Set Layer Filters dialog box, set the layer filters you want to apply.

    Select the characteristics for the layers that you want listed. Other layers will be omitted from the layer list in the Layer & Linetype Properties dialog box. Notice that the default setting for Layer Names, Colors, and Linetypes is an asterisk (*), a wild-card string. For example, the wild-card string 1* specifies all layer names beginning with the number 1.

  4. Choose OK to close the Set Layer Filters dialog box.

Only the layers that pass the filter restrictions you specified are displayed in the Layer & Linetype Properties dialog box.

Object Properties toolbar:
Command line equivalent: LAYER


Procedures (Using Layers to Manage Complexity-5)

Using Layers to Manage Complexity

To sort the lists displayed in the Layer & Linetype Properties dialog box

  • Click any column heading. Click a second time to reverse the sorting order.


Reference (Using Layers to Manage Complexity)

Using Layers to Manage Complexity

Commands

DDLMODES | Same as LAYER
LAYER | Manages layers

System Variables

No entries.


Changing Layer Assignments and Layer Properties

Because everything in your drawing is associated with a layer, it's likely that in the course of planning and creating a drawing, you'll need to change what you place on a layer or how you view the layers in combination. You can

  • Reassign objects on one layer to another
  • Change the name of a layer
  • Change the default color, linetype, or other properties of the layer

Reassigning an object to a different layer is useful if you create an object on the wrong layer or decide to change your layer organization. Unless the color or linetype of the object have been set explicitly, an object that you reassign to a different layer will acquire the color and linetype of that layer.

You can change layer properties in the Layer & Linetype dialog box and in the Layer Control. Click the icons to change settings. Layer names and colors can be changed only in the Layer & Linetype dialog box, not the Layer Control. The Layer Control is on the Object Properties toolbar; on the same toolbar, choose Layer to open the Layer & Linetype Properties dialog box.


Procedures (Changing Layer Assignments and Layer Properties)

Changing Layer Assignments and Layer Properties

To change the layer of an object
To change the default color or linetype assigned to a layer
To rename a layer


Procedures (Changing Layer Assignments and Layer Properties-1)

Changing Layer Assignments and Layer Properties

To change the layer of an object

  1. Select the objects whose layer you want to change.
  2. On the Object Properties toolbar, click the Layer Control.
  3. Choose the layer that you want to assign to the objects.

Object Properties toolbar:
Command line equivalent: LAYER


Procedures (Changing Layer Assignments and Layer Properties-2)

Changing Layer Assignments and Layer Properties

To change the default color or linetype assigned to a layer

  1. On the Object Properties toolbar, choose Layer.
  2. In the Layer & Linetype Properties dialog box, click the color or linetype name you want to change.
  3. In the Select Color or the Select Linetype dialog box, select a color or linetype and then choose OK.

    If the linetype you need is not listed, choose Load. Select a linetype and then choose OK, or choose File to open additional linetype definition (LIN) files. In the Select Color dialog box, you can also enter a color name or number (1-255).

  4. Choose OK again.

Object Properties toolbar:
Command line equivalent: LAYER


Procedures (Changing Layer Assignments and Layer Properties-3)

Changing Layer Assignments and Layer Properties

To rename a layer

  1. On the Object Properties toolbar, choose Layer.
  2. In the Layer & Linetype Properties dialog box under Name, select a layer to rename.
  3. To expand the dialog box, choose Details.
  4. Enter the new name in the Name box.
  5. Choose OK.

Object Properties toolbar:
Command line equivalent: LAYER


Reference (Changing Layer Assignments and Layer Properties)

Changing Layer Assignments and Layer Properties

Commands

CHANGE | Changes the properties of existing objects
CHPROP | Changes the color, layer, linetype, linetype scale factor, and thickness of an existing object
DDCHPROP | Changes the color, layer, linetype, linetype scale factor, and thickness of an object
DDRENAME | Changes the names of named objects
DDLMODES | Same as LAYER
LAYER | Manages layers
PURGE | Removes unused named objects, such as blocks or layers, from the database
RENAME | Changes the names of objects

System Variables

CLAYER Sets the current layer


Working with Layers

To create a new layer
To remove an unused layer
To make a selected layer the current layer
To make the layer of a selected object the current layer
To turn a layer on and off
To filter the display of layer names
To sort the lists displayed in the Layer & Linetype Properties dialog box
To change the layer of an object
To change the default color or linetype assigned to a layer
To rename a layer


Reference Working with Layers

Working with Layers

Commands

CHANGE | Changes the properties of existing objects
CHPROP | Changes the color, layer, linetype, linetype scale factor, and thickness of an existing object
DDCHPROP | Changes the color, layer, linetype, linetype scale factor, and thickness of an object
DDRENAME | Changes the names of named objects
DDLMODES | Same as LAYER
LAYER | Manages layers
PURGE | Removes unused named objects, such as blocks or layers, from the database
RENAME | Changes the names of objects

System Variables

CLAYER Sets the current layer


Working with Color

You can use color to help you group objects visually. You can assign the color of an object either by layer or by specifying its color explicitly, independent of layer. Assigning colors by layer makes it easy to identify each layer within your drawing. Assigning colors explicitly provides additional distinctions between objects on the same layer.


Setting the Current color

All objects are created using the current color, which is displayed in the Color control list box on the Object Properties toolbar. You can also set the current color with the Color control. If the current color is set to BYLAYER, objects are created with the color assigned to the current layer.

If the current color is set to BYBLOCK, objects are created using color 7 (white or black) until the objects are grouped into a block. When the block is inserted into the drawing, it acquires the current color setting.

If you do not want the current color to be the color assigned to the current layer, you can specify a different color explicitly. Each color is identified by an AutoCAD Color Index (ACI) number, an integer from 1 through 255. Standard color names are available only for colors 1 to 7. The colors are assigned as follows:

  1. Red
  2. Yellow
  3. Green
  4. Cyan
  5. Blue
  6. Magenta
  7. White/Black


Procedures (Setting the Current Color)

Setting the Current Color

To set the color for all new objects

  1. On the Object Properties toolbar, click the Color Control.
  2. Choose a color.

Click Other to display the Select Color dialog box. In the Select Color dialog box, choose a color or enter the color name or number in the Color box.

  • If you choose BYLAYER, new objects acquire the color assigned to the current layer.
  • If you choose BYBLOCK, new objects are drawn in the default color until they are grouped into a block. When the block is inserted into the drawing, those objects in the block acquire the current color setting.

The Color Control displays the current color.

Command line equivalent: DDCOLOR


Reference (Setting the Current Color)

Setting the Current Color

Commands

COLOR | Sets the color for new objects
DDCOLOR | Sets the color for new objects

System Variables

CECOLOR Stores the color of new objects


Changing the Color of an Object

You have three choices for changing the color of an object. You can

  • Reassign the object to another layer with a different color. If an object's color is set to BYLAYER and you reassign the object to a different layer, it will acquire its color from the new layer.
  • Change the color assigned to the layer that the object is on. If an object's color is set to BYLAYER, it will acquire the color of its layer. When you change the color assigned to a layer, all objects on that layer with a BYLAYER color will be updated automatically.
  • Specify a color for an object to override the layer's color. You can specify the color of each object explicitly. If you want to override the layer-determined color of an object with a different one, change an existing object's color from BYLAYER to a specific color such as Red.

If you want to set a specific color for all subsequently created objects, change the current color setting on the Object Properties toolbar from BYLAYER to a specific color.


Procedures (Changing the Color of an Object)

Changing the Color of an Object

To change the layer of an object
To change the color assigned to a layer
To change the color of an object, overriding the layer's color


Procedures (Changing the Color of an Object-2)

Changing the Color of an Object

To change the color assigned to a layer

  1. On the Object Properties toolbar, choose Layer.
  2. In the Layer & Linetype Properties dialog box, click the color you want to change.
  3. In the Select Color dialog box, click a color or enter a color number (1-255) or name, and then choose OK.
  4. Choose OK again.

Object Properties toolbar:
Command line equivalent: LAYER


Procedures (Changing the Color of an Object-3)

Changing the Color of an Object

To change the color of an object, overriding the layer's color

  1. On the Object Properties toolbar, choose Properties.
  2. Select the objects whose color you want to change.

    If you select only one object, the Modify dialog box is displayed. If you select more than one object, the Change Properties dialog box is displayed.

  3. In the dialog box, choose Color.
  4. In the Select Color dialog box, select a color. Then choose OK.
  5. Choose OK to close the dialog box.

Object Properties toolbar:
Command line equivalent: DDMODIFY


Reference (Changing the Color of an Object)

Changing the Color of an Object

Commands

CHANGE | Changes the properties of existing objects
CHPROP | Changes the color, layer, linetype, linetype scale factor, and thickness of an existing object
COLOR | Sets the color for new objects
DDCHPROP | Changes the color, layer, linetype, linetype scale factor, and thickness of an object
DDCOLOR | Sets the color for new objects
DDMODIFY | Controls object properties

System Variables

CECOLOR Stores the color of new objects


Procedures (Changing the Color of an Object)

Working with Color

To set the color for all new objects
To change the color assigned to a layer
To change the color of an object, overriding the layer's color


Reference Working with Color

Working with Color

Commands

CHANGE | Changes the properties of existing objects
CHPROP | Changes the color, layer, linetype, linetype scale factor, and thickness of an existing object
COLOR | Sets the color for new objects
DDCHPROP | Changes the color, layer, linetype, linetype scale factor, and thickness of an object
DDCOLOR | Sets the color for new objects
DDMODIFY | Controls object properties

System Variables

CECOLOR Stores the color of new objects


Working with Linetypes

A linetype is a repeating pattern of dashes, dots, and blank spaces displayed in a line or a curve. You assign linetypes to objects either by layer or by specifying the linetype explicitly, independent of layers.

In addition to choosing a linetype, you can set its scale to control the size of the dashes and spaces, and you can create your own custom linetypes.

The linetypes used internally by AutoCAD LT should not be confused with the hardware linetypes provided by some plotters. The two types of dashed lines produce similar results. Do not use both types at the same time, however, because the results can be unpredictable.

Loading Linetypes
Setting the Current Linetype
Changing the Linetype of an Object
Controlling Linetype Scale
Displaying Linetypes on Short Segments and Polylines
Customizing Linetypes

See Also
Scaling Drawings and Linetypes (MSPACE)


Loading Linetypes

At the start of a project, you load the linetypes that are required for the project so that they are available when you need them. If you want to know what linetypes are already available, you can display a list of linetypes that are loaded in the drawing or stored in an LIN (linetype definition) file.

AutoCAD LT includes three linetype definition files: aclt.lin, acltiso.lin, and ltypeshp.lin. Which linetype file is appropriate depends on whether you use English or metric measurements.

  • For English units, use the aclt.lin file.
  • For metric measurements, use the acltiso.lin file.

The linetype definition file ltypeshp.lin contains several complex linetypes.

If you select a linetype whose name begins with ACAD_ISO, you can use the ISO pen width option when you plot.


Procedures (Loading Linetypes)

Loading Linetypes

To load a linetype
To list the linetypes loaded in the current drawing
To list the linetypes in a linetype definition file
To unload an unused linetype


Procedures (Loading Linetypes-1)

Loading Linetypes

To load a linetype

  1. On the Object Properties toolbar, choose Linetype.
  2. In the Layer & Linetype Properties dialog box, choose Load.
  3. In the Load or Reload Linetypes dialog box, select a linetype and choose OK.

    If the linetype you need is not listed, choose File. In the Select Linetype File dialog box, select an LIN file whose linetypes you want to list. Then choose Open. The dialog box displays the linetype definitions stored in the selected LIN file. Select a lineype and then choose OK.

    As you click linetypes, you can use CTRL to select several linetypes or SHIFT to select a range of linetypes.

  4. Choose OK to close the Layer & Linetype dialog box.

Object properties toolbar:
Command line equivalent: LINETYPE


Procedures (Loading Linetypes-2)

Loading Linetypes

To list the linetypes loaded in the current drawing

  1. On the Object Properties toolbar, click the Linetype Control.
  2. If necessary, use the scroll bar to see the whole list.

    To sort the list of linetypes, click any column heading. Click a second time to reverse the sorting order.

  3. Click anywhere outside the box to close it.

Command line equivalent: LINETYPE


Procedures (Loading Linetypes-3)

Loading Linetypes

To list the linetypes in a linetype definition file

  1. On the Object Properties toolbar, choose Linetype.
  2. In the Layer & Linetype dialog box, choose Load.
  3. In the Load or Reload Linetypes dialog box, choose File.
  4. In the Select Linetype File dialog box, select an LIN (linetype definition file) whose linetypes you want to list. Then choose Open.

    The dialog box displays the linetype definitions stored in the selected LIN file.

  5. In the Load or Reload Linetypes dialog box, choose Cancel.
  6. Choose Cancel to close the Layer & Linetype dialog box.

Object Properties toolbar:
Command line equivalent: LINETYPE


Procedures (Loading Linetypes-4)

Loading Linetypes

To unload an unused linetype

  1. On the Object Properties toolbar, choose Linetype.
  2. In the Layer & Linetype Properties dialog box, select a linetype and then choose Delete.

The selected linetype is unloaded. Certain linetypes cannot be unloaded: BYLAYER, BYBLOCK, CONTINUOUS, and any linetypes currently in use.

Object Properties toolbar:
Command line equivalent: LINETYPE


Reference (Loading Linetypes)

Loading Linetypes

Commands

DDLTYPE | Same as LINETYPE
DDRENAME | Changes the names of objects
LINETYPE | Creates, loads, and sets linetypes
PURGE | Removes unused named objects, such as blocks or layers, from the drawing database
RENAME | Changes the names of objects

System Variables

MEASUREINIT | Sets drawing units as English or metric for new drawings
MEASUREMENT | Sets drawing units as English or metric for the current drawing


Setting the Current Linetype

All objects are created using the current linetype, which is displayed in the Linetype control on the Object Properties toolbar.

  • If the current linetype is set to BYLAYER, objects are created with the linetype assigned to the current layer.
  • If the current linetype is set to BYBLOCK, objects are created using the CONTINUOUS linetype until the objects are grouped into a block. When the block is inserted into the drawing, those objects acquire the current linetype setting.

If you do not want the current linetype to be the linetype assigned to the current layer, you can specify a different linetype explicitly.

AutoCAD LT does not display the linetype of certain objects: text, points, viewports, hatches, and blocks.


Procedures (Setting the Current Linetype)

Setting the Current Linetype

To set the linetype for all new objects
To change the linetype assigned to a layer


Procedures (Setting the Current Linetype-1)

Setting the Current Linetype

To set the linetype for all new objects

  1. On the Object Properties toolbar, choose Linetype.
  2. If you need to load additional linetypes, choose Load and then select one or more linetypes, and choose OK.

    As you click linetypes, you can use CTRL to select several linetypes or SHIFT to select a range of linetypes.

  3. In the Layer & Linetype Properties dialog box, select a linetype and select Current.
    • If you choose BYLAYER, new objects acquire the linetype of the current layer.
    • If you choose BYBLOCK, new objects are drawn in the default linetype until they are grouped into a block. The objects in the block acquire the current linetype setting.
  4. Choose OK.

The Linetype Control displays the current linetype. Alternatively if the linetype is already loaded, you can click the Linetype Control and choose a linetype.

Object Properties toolbar:
Command line equivalent: LINETYPE


Procedures (Setting the Current Linetype-2)

Setting the Current Linetype

To change the linetype assigned to a layer

  1. On the Object Properties toolbar, choose Layer.
  2. In the Layer & Linetype Properties dialog box, click the linetype name you want to change.
  3. In the Select Linetype dialog box, click the linetype you want and then choose OK.

    If the linetype you need is not listed, choose Load. Select a linetype and then OK, or choose File to open additional linetype definition (LIN) files. As you click linetypes, you can use CTRL to select several linetypes or SHIFT to select a range of linetypes.

  4. Choose OK again.

Object Properties toolbar:
Command line equivalent: LAYER


Reference (Setting the Current Linetype)

Setting the Current Linetype

Commands

DDLTYPE | Same as LINETYPE
LINETYPE | Creates, loads, and sets linetypes

System Variables

CELTYPE Stores the linetype for new objects


Changing the Linetype of an Object

You have three choices for changing the linetype of an object. You can

  • Reassign the object to another layer with a different linetype. If an object's linetype is set to BYLAYER and you reassign the object to a different layer, it will acquire its linetype from the new layer.
  • Change the linetype assigned to the layer that the object is on. If an object's linetype is set to BYLAYER, it will acquire the linetype of its layer. When you change the linetype assigned to a layer, all objects on that layer with a BYLAYER linetype will be updated automatically.
  • Specify a linetype for an object to override the layer's linetype. You can specify the linetype of each object explicitly. If you want to override the layer-determined linetype of an object with a different one, change an existing object's linetype from BYLAYER to a specific linetype such as DASHED.

If you want to set a specific linetype for all subsequently created objects, change the current linetype setting on the Object Properties toolbar from BYLAYER to a specific linetype.


Procedures (Changing the Linetype of an Object)

Changing the Linetype of an Object

To change the layer of an object
To change the linetype assigned to a layer
To change the linetype of an object, overriding the layer's linetype


Procedures (Changing the Linetype of an Object-2)

Changing the Linetype of an Object

To change the linetype assigned to a layer

  1. On the Object Properties toolbar, choose Layer.
  2. In the Layer & Linetype Properties dialog box, choose the Linetype tab. Choose Load and select one or more linetypes to load. Choose OK and then choose the Layer tab.

    As you click linetypes, you can use CTRL to select several linetypes or SHIFT to select a range of linetypes.

  3. On the Layer tab, select a layer name from the list.
    As you click layers, you can use CTRL to select several layers or SHIFT to select a range of layers.
  4. To expand the dialog box, choose Details.
  5. Select a linetype from the Linetype list
  6. Choose OK to close the dialog box.

Object Properties toolbar:
Command line equivalent: LAYER


Procedures (Changing the Linetype of an Object-3)

Changing the Linetype of an Object

To change the linetype of an object, overriding the layer's linetype

  1. Select the objects whose linetype you want to change.
  2. On the Object Properties toolbar, click the Linetype Control.
  3. Choose the linetype that you want to assign to the objects.

Object Properties toolbar:
Command line equivalent: LAYER


Reference (Changing the Linetype of an Object)

Changing the Linetype of an Object

Commands

CHANGE | Changes the properties of existing objects
CHPROP | Changes the color, layer, linetype, linetype scale factor, and thickness of an existing object
DDCHPROP | Changes the color, layer, linetype, linetype scale, and thickness of an object
DDLMODES | Same as LAYER
DDLTYPE | Same as LINETYPE
DDMODIFY | Controls object properties
LAYER | Manages layers
LINETYPE | Creates, loads, and sets linetypes

System Variables

No entries.


Controlling Linetype Scale

You can use the same linetype at different scales by changing the linetype scale factor either globally or individually for each object.

By default, AutoCAD LT uses both global and individual linetype scales of 1.0. The smaller the scale, the more repetitions of the pattern are generated per drawing unit. For example, with a setting of 0.5, two repetitions of the pattern in the linetype definition are displayed for each 1 drawing unit. Short line segments that cannot display one full linetype pattern are displayed as continuous. You can use a smaller linetype scale for lines that are too short to display even one dash sequence.

  • The Linetype tab of the Layer & Linetype Properties dialog box displays the Global Scale Factor and Current Object Scale.
  • The Current Object Scale value controls the CELTSCALE system variable, which sets the linetype scale for new objects.
  • The Global Scale Factor value controls the LTSCALE system variable, which changes the linetype scale globally for both new and existing objects.
  • The CELTSCALE value is multiplied by the LTSCALE value to get the displayed linetype scale. You can easily change linetype scales in your drawing either individually or globally.

In paper space, you can adjust the scaling of linetypes in different paper space viewports with PSLTSCALE. For more information on paper space linetype scaling, see Scaling Views and Linetypes (PSPACE).


Procedures (Controlling Linetype Scale)

Controlling Linetype Scale

To change the linetype scale of selected objects
To set the linetype scale for new objects
To change linetype scale globally


Procedures (Controlling Linetype Scale-1)

Controlling Linetype Scale

To change the linetype scale of selected objects

  1. On the Object Properties toolbar, choose Properties.
  2. Select one or more objects.
  3. In the Linetype scale text box, enter the new value for the linetype scale.
  4. Choose OK.

Object Properties toolbar:
Command line equivalent: DDMODIFY


Procedures (Controlling Linetype Scale-2)

Controlling Linetype Scale

To set the linetype scale for new objects

  1. On the Object Properties toolbar, choose Linetype.
  2. In the Layer & Linetype Properties dialog box, on the Linetype tab, choose Details to expand the dialog box.
  3. Enter a new value for Current Object Scale.
  4. Choose OK.

Object Properties toolbar:
Command line equivalent: LINETYPE


Procedures (Controlling Linetype Scale-3)

Controlling Linetype Scale

To change linetype scale globally

  1. On the Object Properties toolbar, choose Linetype.
  2. In the Layer & Linetype Properties dialog box, on the Linetype tab, choose Details to expand the dialog box.
  3. Enter a new value for Global Scale Factor.
  4. Choose OK.

Object Properties toolbar:
Command line equivalent: LINETYPE


Reference (Controlling Linetype Scale)

Controlling Linetype Scale

Commands

CHANGE | Changes the properties of existing objects
CHPROP | Changes the color, layer, linetype, linetype scale factor, and thickness of an existing object
DDCHPROP | Changes the color, layer, linetype, linetype scale, and thickness of an object
DDLTYPE | Same as LINETYPE
LINETYPE | Creates, loads, and sets linetypes

System Variables

CELTSCALE | Sets the linetype scale for new objects
LTSCALE | Sets the linetype scale globally
PSLTSCALE | Controls paper space linetype scaling for noncontinuous linetypes


Displaying Linetypes on Short Segments and Polylines

If a line is too short to hold even one dash sequence, AutoCAD LT draws a continuous line between the endpoints, as shown below.

You can accommodate short segments by using a smaller value for their individual linetype scales. For more information, see Controlling Linetype Scale.

For polylines, you can specify whether a linetype pattern is centered on each segment or is across vertices throughout the entire length of the polyline. You do this by setting the PLINEGEN system variable.


Procedures (Displaying Linetypes on Short Segments and Polylines)

Displaying Linetypes on Short Segments and Polylines

To set the linetype display for all new polylines
To change the linetype display of existing polylines


Procedures (Displaying Linetypes on Short Segments and Polylines-1)

Displaying Linetypes on Short Segments and Polylines

To set the linetype display for all new polylines

  1. At the Command prompt, enter plinegen.
  2. Enter 1 to make the linetype pattern continue throughout the entire length of two-dimensional polylines, or enter 0 to center the linetype pattern on each segment.

Command line equivalent: PLINEGEN


Procedures (Displaying Linetypes on Short Segments and Polylines-2)

Displaying Linetypes on Short Segments and Polylines

To change the linetype display of existing polylines

  1. On the Object Properties toolbar, choose Properties.
  2. Select the polyline whose linetype display you want to change.
  3. In the Modify Polyline dialog box, change the setting of LT Gen (polyline linetype generation).
  4. Choose OK.

Object Properties toolbar:
Command line equivalent: DDMODIFY


Reference (Displaying Linetypes on Short Segments and Polylines)

Displaying Linetypes on Short Segments and Polylines

Commands
CHANGE | Changes the properties of existing objects
CHPROP | Changes the color, layer, linetype, linetype scale factor, and thickness of an existing object
DDCHPROP | Changes the color, layer, linetype, linetype scale, and thickness of an object
DDMODIFY | Controls object properties
System Variables
PLINEGEN Sets how linetype patterns are generated around the vertices of a two-dimensional polyline


Customizing Linetypes

The linetype name and definition determine the particular dash-dot sequence, the relative lengths of dashes and blank spaces, and the characteristics of any included text or shapes. You can use any of the standard linetypes that AutoCAD LT provides, or you can create your own linetypes.

examples of linetypes

Linetypes are defined in one or more linetype definition files that have an .lin file extension. An LIN file can contain definitions of many simple and complex linetypes. You can add new linetypes to an existing LIN file, or you can create your own LIN file. To create or modify linetype definitions, edit the LIN file using a text editor or word processor.

When you create a linetype, it is not loaded into your drawing automatically; you must first load the linetype.

The three LIN files included in AutoCAD LT are aclt.lin, acltiso.lin, and ltypeshp.lin. You can display or print these ASCII text files to better understand how to construct linetypes.


Creating Simple Linetypes

Each linetype is defined on two lines in a linetype (LIN) definition file. The first line defines the linetype name and provides for an optional description. The second line is the code that defines the actual linetype pattern and must begin with the letter A (alignment), followed by a list of pattern descriptors that define pen-up lengths (dashes), pen-down lengths (spaces), dots, and embedded characters. You can also include comments in an LIN file by beginning the line with a semicolon (;).

Linetype Definition Format

The format of the linetype definition is

*linetype_name,description
A,descriptor1,descriptor2, ...

For example, a linetype called Dashdot is defined as

*DASHDOT,Dash dot __ . __ . __ . __ . __ . __ . __ . __
A,.5,-.25,0,-.25

This indicates a repeating pattern starting with a dash 0.5 drawing units long, a space 0.25 drawing units long, a dot, and another space 0.25 drawing units long. This pattern continues for the length of the line, ending with a dash 0.5 drawing units long. The linetype would be displayed as shown below.

__ . __ . __ . __ . __ . __ . __ . __

LIN files must be saved in ASCII format and use an .lin file extension. Additional information about each field in a linetype definition follows.

Linetype Name

The linetype name field begins with an asterisk (*) and should provide a unique, descriptive name for the linetype.

Description

The description field provides a description of the linetype to help you visualize the linetype when you edit the LIN file. The description is also displayed in the Layer & Linetype Properties dialog box (Linetype tab) and in the Load or Reload Linetypes dialog box.

The description is optional and can include

  • A simple representation of the linetype pattern using ASCII text
  • An expanded description of the linetype
  • A comment such as "Use this linetype for hidden lines"

If you omit the description, do not insert a comma after the linetype name. A description cannot exceed 47 characters.

Alignment Field (A)

The alignment field specifies the action for pattern alignment at the ends of individual lines, circles, and arcs. Currently, AutoCAD LT supports only A-type alignment, which guarantees that the endpoints of lines and arcs start and stop with a dash.

For example, suppose you create a linetype called CENTRAL that displays the repeating dash-dot sequence commonly used as a centerline. AutoCAD LT adjusts the dash-dot sequence on an individual line so that dashes and line endpoints coincide. The pattern fits the line so that at least half of the first dash begins and ends the line. If necessary, the first and last dashes are lengthened. If a line is too short to hold even one dash-dot sequence, AutoCAD LT draws a continuous line between the endpoints. For arcs also, the pattern is adjusted so that dashes are drawn at the endpoints. Circles do not have endpoints, but AutoCAD LT adjusts the dash-dot sequence to provide a reasonable display.

You must specify A-type alignment by entering A in the alignment field.

Pattern Descriptors

Each pattern descriptor field specifies the length of segments making up the linetype separated by commas (no spaces are allowed):

  • A positive decimal number denotes a pen-down (dash) segment of that length
  • A negative decimal number denotes a pen-up (space) segment of that length
  • A dash length of 0 draws a dot

You can enter up to 12 dash-length specifications per linetype, provided they fit on one 80-character line in the LIN file. You need to include only one complete repetition of the linetype pattern defined by pattern descriptors. When the linetype is drawn, AutoCAD LT uses the first pattern descriptor for the starting and ending dashes. Between the starting and ending dashes, the pattern dash specifications are drawn sequentially, beginning with the second dash specification and restarting the pattern with the first dash specification when required.

A-type alignment requires that the first dash length be 0 or greater (a pen-down segment). The second dash length should be less than 0 (a pen-up segment or space). You must have at least two dash specifications for A-type alignment.


Procedures (Creating Simple Linetypes)

Creating Simple Linetypes

No entries.


Reference (Creating Simple Linetypes)

Creating Simple Linetypes

Commands

No entries.

System Variables

No entries.


Including Text Characters in Linetypes (Advanced)

Characters from text fonts can be included in linetypes. Linetypes with embedded characters can denote utilities, boundaries, contours, and so on. As with simple linetypes, lines are dynamically drawn as you specify the vertices. Characters embedded in lines are always displayed completely; they are never trimmed.

Embedded text characters are associated with a text style in the drawing. Any text styles associated with a linetype must exist in the drawing before you load the linetype.

The format for linetypes that include embedded characters is similar to that for simple linetypes in that it is a list of pattern descriptors separated by commas.

Character Descriptor Format

The format for adding text characters in a linetype description is as follows:

["text",textstylename,scale,rotation,xoffset,yoffset]

This format is added as a descriptor to a simple linetype. For example, a linetype called Hot_water_supply is defined as

*HOT_WATER_SUPPLY,---- HW ---- HW ---- HW ---- HW ---- HW ----
A,.5,-.2,["HW",STANDARD,S=.1,R=0.0,X=-0.1,Y=-.05],-.2

This indicates a repeating pattern starting with a dash 0.5 drawing units long, a space 0.2 drawing units long, the characters HW with some scale and placement parameters, and another space 0.2 drawing units long. The text characters come from the text font assigned to the Standard text style at a scale of 0.1, a relative rotation of 0 degrees, an X offset of -0.1, and a Y offset of -0.05. This pattern continues for the length of the line, ending with a dash 0.5 drawing units long. The linetype would be displayed as shown below.

Notice that the total upstroke length is 0.2 + 0.2 = 0.4 and that the text origin is offset -.01 units in the X direction from the end of the first upstroke. An equivalent linetype would be

*HOT_WATER_SUPPLY,---- HW ---- HW ---- HW ---- HW ---- HW ----
A,.5,-.1,["HW",STANDARD,S=.1,R=0.0,X=0.0,Y=-.05],-.3

The total upstroke is still 0.1 + 0.3 = 0.4, but the text origin is not offset in the X direction.

Additional information about each field in the character descriptor follows. The values to be used are signed decimal numbers such as 1, -17, and 0.01.

text

The characters to be used in the linetype.

text style name

The name of the text style to be used. If no text style is specified, AutoCAD LT uses the currently defined style.

scale

S=value. The scale factor to be used for the text style relative to the scale of the linetype. The height of the text style is multiplied by the scale factor. If the height is 0, the value for S=value alone is used as the height.

rotate

R=value or A=value. R= specifies relative or tangential rotation with respect to the line. A= specifies absolute rotation of the text with respect to the origin; that is, all text has the same rotation regardless of its position relative to the line. The value can be appended with a d for degrees (if omitted, this is the default), r for radians, or g for grads. If rotation is omitted, 0 relative rotation is used.

Rotation is centered between the baseline and the nominal cap height.

xoffset

X=value. X offset specifies the shift of the text in the X axis of the linetype, which is along the line. If xoffset is omitted or is 0, the text is elaborated with no offset. Use this field to control the distance between the text and the previous pen-up or pen-down stroke. This value is not scaled by the scale factor defined by S=value but it is scaled to the linetype.

yoffset

Y=value. Y offset is the shift of the text in the Y axis of the linetype, which is at a 90-degree angle to the line. If yoffset is omitted or is 0, the text is elaborated with no offset. Use this field to control the vertical alignment of the text with respect to the line. This value is not scaled by the scale factor defined by S=value but it is scaled to the linetype.


Procedures (Including Text Characters in Linetypes (Advanced))

Including Text Characters in Linetypes (Advanced)

No entries.


Reference (Including Text Characters in Linetypes (Advanced))

Including Text Characters in Linetypes (Advanced)

Commands

No entries.

System Variables

No entries.


Procedures (Including Text Characters in Linetypes (Advanced))

Customizing Linetypes

No entries.


Customizing Linetypes

Commands

No entries.

System Variables

No entries.


Reference Working with Linetypes

Working with Linetypes

To load a linetype
To list the linetypes loaded in the current drawing
To list the linetypes in a linetype definition file
To unload an unused linetype
To set the linetype for all new objects
To change the linetype assigned to a layer
To change the linetype of an object, overriding the layer's linetype
To change the linetype scale of selected objects
To set the linetype scale for new objects
To change linetype scale globally
To set the linetype display for all new polylines
To change the linetype display of existing polylines


Reference Working with Linetypes

Working with Linetypes

Commands

CHANGE | Changes the properties of existing objects
CHPROP | Changes the color, layer, linetype, linetype scale factor, and thickness of an existing object
DDCHPROP | Changes the color, layer, linetype, linetype scale, and thickness of an object
DDLTYPE | Same as LINETYPE
DDMODIFY | Controls object properties
LAYER | Manages layers
LINETYPE | Creates, loads, and sets linetypes
PURGE | Removes unused named objects, such as blocks or layers, from the drawing database
RENAME | Changes the names of objects

System Variables

CELTSCALE | Sets the linetype scale for new objects
LTSCALE | Sets the linetype scale globally
MEASUREINIT | Sets drawing units as English or metric for new drawings
MEASUREMENT | Sets drawing units as English or metric for the current drawing
PSLTSCALE | Controls paper space linetype scaling for noncontinuous linetypes


Controlling Line Width

You can set line width as you draw, or you can use color assignments to set line width when you plot. Specifically, you can use one of two methods:

  • Assign a width to a segment of a polyline.
  • Assign a color to objects in your drawing either by layer or individually and then assign that color to a pen of a particular width on your pen plotter or raster printer.

If you change the width of a polyline, you will see the new width on the screen. If you assign a color to a line and to a pen on your plotter or raster printer, you will not see the new line width on the screen, but the line will plot at the width of the pen.

Even if you use a black-and-white plotter, colors can be used to control line width. You make this assignment when you plot by assigning each color number to a different pen on your plotter or raster printer. Your plotter then uses the pen or pen width associated with the color.

See Also
Creating Wide Polylines
Setting Pen Parameters for Line Width and Color


Procedures (Controlling Line Width)

Controlling Line Width

To assign width to polylines
To change the line width of a polyline, donut, rectangle, or polygon


Procedures (Controlling Line Width-1)

Controlling Line Width

To assign width to polylines

  1. From the Draw menu, choose Polyline.
  2. Specify the start point for the first segment in the polyline.
  3. Enter w to specify the width.
  4. Enter a value for the width at the start of the line segment.
  5. Enter a value for the width at the end of the line segment.
  6. Specify the endpoint of the first segment of the polyline.
  7. Enter w to specify different widths for the next segment, or press ENTER to end the command.

Draw toolbar:
Command line equivalent: PLINE


Procedures (Controlling Line Width-2)

Controlling Line Width

To change the line width of a polyline, donut, rectangle, or polygon

  1. From the Modify menu, choose Object. Then choose Polyline.
  2. Select one or more polyline objects.
  3. Enter w (Width) and enter a new width for all segments.
  4. Press ENTER to end the command.

Modify toolbar:
Command line equivalent: PEDIT


Reference (Controlling Line Width)

Controlling Line Width

Commands

PEDIT | Edits polylines
PLINE | Creates a polyline of line segments and arcs in 2D space
PLOT | Prints to a plotter, printer, or file

System Variables

PLINEWID Stores the default polyline width


Accessing Object Properties

Displaying the Properties of Objects

The AutoCAD LT database stores information about the contents of your drawing. You can display the current properties and defining data for any object in your drawing. There are three ways to view this information:

  • Use LIST to view information in the text window.
  • Choose Properties on the Object Properties toolbar.
  • Select an object and view the settings in the Layer, Color, and Linetype controls on the Object Properties toolbar.


Procedures (Accessing Object Properties)

Displaying the Properties of Objects

To list database information for several objects
To display the properties of a single object
To display a coordinate


Procedures (Accessing Object Properties-1)

Displaying the Properties of Objects

To list database information for several objects

  1. From the Tools menu, choose Inquiry. Then choose List.
  2. Select one or more objects for which you are seeking information and press ENTER.

    The text window displays a report.

  3. Save the list information in a text file by using LOGFILEON.
    This command creates the aclt.log file, which can be opened and edited in a word processor.
  4. To stop recording information in the log file, use LOGFILEOFF.

Inquiry toolbar:
Command line equivalent: LIST


Procedures (Accessing Object Properties-2)

Displaying the Properties of Objects

To display the properties of a single object

  1. On the Object Properties toolbar, choose Properties.
  2. Select the object for which you are seeking information and press ENTER.

The Modify dialog box displays the selected objects properties.

Object Properties toolbar:
Command line equivalent: DDMODIFY


Procedures (Accessing Object Properties-3)

Displaying the Properties of Objects

To display a coordinate

  1. From the Tools menu, choose Inquiry. Then choose ID Point.
  2. Specify the point you want to identify.

The X, Y, and Z values are displayed on the command line.

Inquiry toolbar:
Command line equivalent: ID


Reference (Accessing Object Properties)

Displaying the Properties of Objects

Commands

DDMODIFY | Controls object properties
ID | Displays the coordinates of a location
LIST | Displays database information for selected objects

System Variables

No entries.


Copying Properties Between Objects

You can copy some or all properties of one object to other objects using the Property Painter. Properties that can be copied include - but are not limited to - color, layer, linetype, linetype scale, and thickness.

By default, all applicable properties are automatically copied from the first object you selected to the other objects. If you don't want a specific property or properties to be copied, use the Settings option to suppress the copying of that property. You can choose the Settings option at any time during the command.


Procedures (Copying Properties Between Objects)

Copying Properties Between Objects

To copy properties from one object to other objects

  1. From the Standard Toolbar, choose Property Painter.
  2. Select the object whose properties you want to copy.
  3. If you want to control which properties will be transferred, enter s (Settings). In the Property Painter dialog box, clear the items that you do not want copied (all are on by default). Choose OK.
  4. Select the objects to which to apply the selected properties and then press ENTER.

Standard toolbar:
Command line equivalent: PAINTER


Reference (Copying Properties Between Objects)

Copying Properties Between Objects

Commands

PAINTER Copies properties of one object to other objects

System Variables

No entries.


Controlling the Display of Certain Objects

To increase the speed of AutoCAD LT, you can change the display of several types of objects, including text, wide polylines, and solid-filled polygons.

Additionally, when two or more objects overlap, you can control the front-to-back order in which the objects are displayed and printed. This is especially useful with objects such as wide polylines, solid-filled polygons, and OLE objects.

Displaying Polylines, Hatches, and Text
Controlling the Display Order of Overlapping Objects

See Also
Using Layers to Manage Complexity


Displaying Polylines, Hatches, and Text

The display performance of AutoCAD LT is improved when wide polylines and donuts, solid-filled polygons (two-dimensional solids), hatches, and text are displayed in simplified form. Simplified display also increases the speed of creating test plots.

Turning off Solid Fill

When you turn off Fill mode, wide polylines, solid-filled polygons, and hatches are displayed in outline form. Except for patterned hatches, solid fill is automatically turned off for hidden view and nonplan views in three dimensions.

Using Quick Text

When you turn on Quick Text mode in drawings that contain a lot of text using complex fonts, only a rectangular frame defining the text is displayed or plotted.

Updating the Display

New objects automatically use the current settings for displays of solid fill and text. To update the display of existing objects using these settings, you must use REGEN.


Procedures (Displaying Polylines, Hatches, and Text)

Displaying Polylines, Hatches, and Text

To turn the display of fill on or off
To turn the display of text on or off


Procedures (Displaying Polylines, Hatches, and Text-1)

Displaying Polylines, Hatches, and Text

To turn the display of fill on or off

  1. From the Tools menu, choose Drawing Aids.
  2. In the Drawing Aids dialog box under Modes, select Solid Fill. Then choose OK.

    A check mark indicates that Fill mode is on.

  3. To display your changes, choose Regen from the View menu.

Command line equivalent: FILL, REGEN


Procedures (Displaying Polylines, Hatches, and Text-2)

Displaying Polylines, Hatches, and Text

To turn the display of text on or off

  1. From the Tools menu, choose Drawing Aids.
  2. In the Drawing Aids dialog box under Modes, select Quick Text. Then choose OK.

    The check mark indicates that text is displayed as a rectangular frame.

  3. To display your changes, choose Regen from the View menu.

Command line equivalent: QTEXT, REGEN


Reference (Displaying Polylines, Hatches, and Text)

Displaying Polylines, Hatches, and Text

Commands

DDRMODES | Sets drawing aids
QTEXT | Controls the display and plotting of text and attribute objects
REGEN | Regenerates the drawing and refreshes all viewports

System Variables

FILLMODE | Specifies whether 2D objects created with Solid are filled in
QTEXTMODE | Controls Quick Text mode


Controlling the Display Order of Overlapping Objects

Generally, overlapping objects such as text, wide polylines, and solid-filled polygons are displayed in the order they are created: newly created objects in front of existing objects. Any changes you make to object sorting settings may also affect the default display order of overlapping objects. However, you can change the order in which objects are displayed and printed.

When you first open a drawing, the objects are initially displayed in the order of their creation. To see any changes previously made to the display order, you must regenerate the drawing.

Display order is not automatically preserved in blocks or external references. For drawing files to be inserted as blocks or external references, use WBLOCK to create new drawing files and to make all changes in the display order permanent.

Selecting object sorting for an operation guarantees that newly created objects have display and selection precedence over other previously created objects. Sorting objects may decrease display and selection speed.


Procedures (Controlling the Display Order of Overlapping Objects)

Controlling the Display Order of Overlapping Objects

To change the display order of overlapping objects
To change the object sorting in a drawing


Procedures (Controlling the Display Order of Overlapping Objects-1)

Controlling the Display Order of Overlapping Objects

To change the display order of overlapping objects

  1. From the Tools menu, choose Display Order. Then choose one of the options.
  2. Select the object you want to modify, and press ENTER.

Standard toolbar:
Command line equivalent: DRAWORDER


Procedures (Controlling the Display Order of Overlapping Objects-2)

Controlling the Display Order of Overlapping Objects

To change the object sorting in a drawing

  1. From the Tools menu, choose Selection.
  2. In the Object Selection Settings dialog box, choose Object Sort Method.
  3. In the Object Sort Method dialog box, select the operations to be subject to object sorting.
  4. Choose OK twice.

Command line equivalent: DDSELECT


Reference (Controlling the Display Order of Overlapping Objects)

Controlling the Display Order of Overlapping Objects

Commands

DDSELECT | Sets object selection modes
DRAWORDER | Overrides the order in which overlapping objects are displayed
REGEN | Regenerates the drawing and refreshes all viewports
WBLOCK | Writes objects to a new drawing file

System Variables

SORTENTS Controls the display of object sort order operations


Controlling the Display of Certain Objects

To turn the display of fill on or off
To turn the display of text on or off
To change the display order of overlapping objects
To change the object sorting in a drawing


Reference Controlling the Display of Certain Objects

Controlling the Display of Certain Objects

Commands

DDRMODES | Sets drawing aids
DDSELECT | Sets object selection modes
DRAWORDER | Overrides the order in which overlapping objects are displayed
QTEXT | Controls the display and plotting of text and attribute objects
REGEN | Regenerates the drawing and refreshes all viewports
WBLOCK | Writes objects to a new drawing file

System Variables

FILLMODE | Specifies whether 2D objects created with Solid are filled in
QTEXTMODE | Controls Quick Text mode
SORTENTS | Controls the display of object sort order operations


Controlling Color, Linetype, and Other Properties

To create a new layer
To remove an unused layer
To make a selected layer the current layer
To make the layer of a selected object the current layer
To turn a layer on and off
To filter the display of layer names
To sort the lists displayed in the Layer & Linetype Properties dialog box
To change the layer of an object
To change the default color or linetype assigned to a layer
To rename a layer
To set the color for all new objects
To change the color assigned to a layer
To change the color of an object, overriding the layer's color
To load a linetype
To list the linetypes loaded in the current drawing
To list the linetypes in a linetype definition file
To unload an unused linetype
To set the linetype for all new objects
To change the linetype assigned to a layer
To change the linetype of an object, overriding the layer's linetype
To change the linetype scale of selected objects
To set the linetype scale for new objects
To change linetype scale globally
To set the linetype display for all new polylines
To change the linetype display of existing polylines
To assign width to polylines
To change the line width of a polyline, donut, rectangle, or polygon
To list database information for several objects
To display the properties of a single object
To display a coordinate
To copy properties from one object to other objects
To turn the display of fill on or off
To turn the display of text on or off
To change the display order of overlapping objects
To change the object sorting in a drawing


Controlling Color, Linetype, and Other Properties

Commands

CHANGE | Changes the properties of existing objects
CHPROP | Changes the color, layer, linetype, linetype scale factor, and thickness of an existing object
COLOR | Sets the color for new objects
DDCHPROP | Changes the color, layer, linetype, linetype scale factor, and thickness of an object
DDRENAME | Changes the names of named objects
DDLMODES | Same as LAYER
DRAWORDER | Overrides the order in which overlapping objects are displayed
ID | Displays the coordinates of a location
LAYER | Manages layers
LINETYPE | Creates, loads, and sets linetypes
LIST | Displays database information for selected objects
PAINTER | Copies properties of one object to other objects
PEDIT | Edits polylines
PLINE | Creates a polyline of line segments and arcs in 2D space
PLOT | Prints to a plotter, printer, or file
PURGE | Removes unused named objects, such as blocks or layers, from the drawing database
QTEXT | Controls the display and plotting of text and attribute objects
REGEN | Regenerates the drawing and refreshes all viewports
RENAME | Changes the names of objects
WBLOCK | Writes objects to a new drawing file

System Variables

CECOLOR | Stores the color of new objects
CELTSCALE | Sets the linetype scale for new objects
CLAYER | Sets the current layer
FILLMODE | Specifies whether 2D objects created with Solid are filled in
LTSCALE | Sets the linetype scale globally
MEASUREINIT | Sets drawing units as English or metric for new drawings
MEASUREMENT | Sets drawing units as English or metric for the current drawing
PLINEWID | Stores the default polyline width
PSLTSCALE | Controls paper space linetype scaling for noncontinuous linetypes
QTEXTMODE | Controls Quick Text mode
SORTENTS | Controls the display of object sort order operations


Creating Realistic Images

Drawing isometric views is one way to simulate 3-dimensional drawing in two dimensions, and it may sometimes be the quickest way to sketch a 3D representation. However, with true 3D models, you can remove hidden lines automatically, display perspective views, or use shading to create realistic images with certain types of objects.

Drawing 2D Isometric Views
Removing Hidden Lines in 3D
Creating Flat Shading
Using Raster Images

See Also
Adding Thickness to Objects
Running Slide Shows from Scripts
Controlling the Display Order of Overlapping Objects


Drawing 2D Isometric Views

The Isometric Snap/Grid mode helps you create 2D images that represent 3D objects.

By setting the Isometric Snap/Grid, you can easily align objects along one of three isometric planes; however, although the isometric drawing appears to be 3D, it is actually a 2D representation. Therefore, you cannot expect accurate results with such capabilities as extracting 3D distances and areas or displaying objects from different viewpoints.


Setting Isometric Snap and Grid

If the snap angle is 0, the axes of the isometric planes are 30 degrees, 90 degrees, and 150 degrees. You can work on any of three planes, each with an associated pair of axes:

  • Left. Aligns snap and grid along 90- and 150-degree axes.
  • Top. Aligns snap and grid along 30- and 150-degree axes.
  • Right. Aligns snap and grid along 30- and 90-degree axes.

Choosing one of the three isometric planes also causes Ortho and the crosshairs to be aligned along the corresponding isometric axes. For example, when Ortho is on, the points you specify align along the simulated plane you are drawing on. Therefore, you can draw the top plane, switch to the left plane to draw another side, and switch to the right plane to complete the drawing.

You can cycle quickly through the three isometric planes by pressing F5 or CTRL+E to choose the plane you want to work in.


Procedures (Setting Isometric Snap and Grid)

Setting Isometric Snap and Grid

To turn on an isometric plane
To change to a different isometric plane quickly


Procedures (Setting Isometric Snap and Grid-1)

Setting Isometric Snap and Grid

To turn on an isometric plane

  1. From the Tools menu, choose Drawing Aids.
  2. In the Drawing Aids dialog box under Isometric Snap/Grid, select On.
  3. Select Left, Top, or Right.
  4. Choose OK.

Command line equivalent: DDRMODES


Procedures (Setting Isometric Snap and Grid-2)

Setting Isometric Snap and Grid

To change to a different isometric plane quickly

  • Press F5 or CTRL+E to choose a different isometric plane.

AutoCAD LT cycles through the Isoplane Top, Isoplane Right, and Isoplane Left settings.


Reference (Setting Isometric Snap and Grid)

Setting Isometric Snap and Grid

Commands

DDRMODES | Sets drawing aids
GRID | Displays a dot grid in the current viewport
ISOPLANE | Specifies the current isometric plane
ORTHO | Constrains cursor movement
SNAP | Restricts cursor movement to specified intervals

System Variables

No entries.


Drawing Isometric Circles

If you are drawing on isometric planes, use an ellipse to represent a circle viewed from an oblique angle. The easiest way to draw an ellipse with the correct shape is to use the Isocircle option of ELLIPSE.


Procedures (Drawing Isometric Circles)

Drawing Isometric Circles

To draw an isometric circle

  1. From the Tools menu, choose Drawing Aids. Turn on the isometric Snap and Grid.
  2. From the Draw menu, choose Ellipse. Then choose Axis, End.
  3. Enter i (Isocircle).
  4. Specify the center of the circle.
  5. Specify the radius or diameter of the circle.

Draw toolbar:
Command line equivalent: ELLIPSE


Reference (Drawing Isometric Circles)

Drawing Isometric Circles

Commands

ELLIPSE | Creates an ellipse or an elliptical arc
ISOPLANE | Specifies the current isometric plane

System Variables

No entries.


Drawing 2D Isometric Views

To turn on an isometric plane
To change to a different isometric plane quickly
To draw an isometric circle


Drawing 2D Isometric Views

Commands

DDRMODES | Sets drawing aids
ELLIPSE | Creates an ellipse or an elliptical arc
GRID | Displays a dot grid in the current viewport
ISOPLANE | Specifies the current isometric plane
ORTHO | Constrains cursor movement
SNAP | Restricts cursor movement to specified intervals

System Variables

No entries.


Removing Hidden Lines in 3D

In 3-dimensional views, all lines are normally superimposed on one another. In these views, you can suppress lines, edges, and other objects - partly or entirely - that are located behind the following types of objects:

  • Objects with non-zero thickness
  • Circles
  • 2-dimensional solids
  • Wide polylines
  • Surfaces and solids (when viewing models created in AutoCAD)

The illustration below was created with lines that were extruded by giving them a non-zero thickness.

Objects on layers that are turned off but not frozen can also hide other objects.

Displaying Views with Hidden Lines Removed

For viewing, you can temporarily suppress hidden lines with HIDE or with the Hide option of DVIEW (3D Dynamic View).

HIDE suppresses all hidden lines in a view. When the view is regenerated, all objects are displayed normally.

The Hide option of DVIEW suppresses hidden lines only for the duration of DVIEW and operates only on the objects you select. This option has the same purpose as HIDE, but it's faster because it hides lines only in the objects you select.

Printing Views with Hidden Lines Removed

For printing, hidden lines are removed in one of two ways, depending on where the objects are located.

To print views displayed in tiled viewports (TILEMODE ON) or views of objects in paper space, use the Hide Lines option in the Print/Plot Configuration dialog box.

To print views displayed in floating viewports from paper space, turn on the Hideplot option for each floating viewport.


Procedures (Removing Hidden Lines in 3D)

Removing Hidden Lines in 3D

To remove all hidden lines from a view
To remove hidden lines from selected objects temporarily
To restore hidden lines in a view
To turn hidden lines on or off for printing views in floating viewports
To turn hidden lines on or off for printing objects not in floating viewports


Procedures (Removing Hidden Lines in 3D-1)

Removing Hidden Lines in 3D

To remove all hidden lines from a view

  • From the View menu, choose Hide.

The hidden lines reappear when the drawing is regenerated.

Command line equivalent: HIDE


Procedures (Removing Hidden Lines in 3D-2)

Removing Hidden Lines in 3D

To remove hidden lines from selected objects temporarily

  1. From the View menu, choose 3D Dynamic View.
  2. Select the objects on which to base the hidden-line view.
  3. If necessary, set up the view:
    • To create a parallel projection dynamically
    • To set clipping planes
    • To define a perspective view of a 3D model
    • To turn off a perspective view
  4. On the command line, enter h (Hide).
  5. Press ENTER to exit the command.

The effect of the Hide option is temporary. AutoCAD LT regenerates the drawing after you exit DVIEW.

Command line equivalent: DVIEW


Procedures (Removing Hidden Lines in 3D-3)

Removing Hidden Lines in 3D

To restore hidden lines in a view

  • From the View menu, choose Regen.

Hidden objects in the current viewport are restored to their normal display.

Command line equivalent: REGEN


Procedures (Removing Hidden Lines in 3D-4)

Removing Hidden Lines in 3D

To turn hidden lines on or off for printing views in floating viewports

  1. From the View menu, choose Floating Viewports. Then choose Hideplot.
  2. On the command line, enter on or off.
  3. Use the pointing device to select the borders of the floating viewports that you want to change.
  4. Press ENTER to end viewport selection.

You do not see the effect of this command until you plot the drawing.

Command line equivalent: MVIEW


Procedures (Removing Hidden Lines in 3D-5)

Removing Hidden Lines in 3D

To turn hidden lines on or off for printing objects not in floating viewports

  1. From the File menu, choose Print.
  2. In the Print/Plot Configuration dialog box, select Hide Lines.
Standard toolbar:
Command line equivalent: PLOT


Reference (Removing Hidden Lines in 3D)

Removing Hidden Lines in 3D

Commands

DVIEW | Defines parallel projection or perspective views, temporarily removes hidden lines
HIDE | Regenerates a 3D model with hidden lines suppressed
MVIEW | Creates floating viewports and turns on existing floating viewports
PLOT | Prints to a plotter, printer, or file
REGEN | Regenerates the drawing and refreshes all viewports, removes shading

System Variables

No entries.


Creating Flat Shading

You can create a simple shaded picture of the objects displayed in the current viewport. Shading fills certain objects with a solid color and removes the display of lines that are located behind the shaded objects. Each object is shaded using its current color.

In any view, you can shade the following types of objects:

  • Objects with non-zero thickness
  • Circles
  • 2-dimensional solids
  • Wide polylines
  • Surfaces and solids (when viewing models created in AutoCAD)
Choosing Shading Options

You have four shading options:

  • 256 Color. Creates shaded faces with no edge highlighting. You need a 256-color display to see the full effect of this option.
  • 256 Color Edge Highlight. Creates shaded faces with edges highlighted in the background color. You need a 256-color display with the standard AutoCAD LT 256-color map to see the full effect of this option.
  • 16 Color Hidden Line. Simulates a hidden-line rendering. The faces of polygons are painted in the background color, and the color of visible edges is determined by the color of the object. You can use any kind of monitor, including monochrome.
  • 16 Color Filled. Draws faces in their original color, but it does not shade them. AutoCAD LT hides hidden lines and traces visible edges in the background color. You can use this setting on any kind of monitor.

On systems that display fewer than 256 colors, SHADE produces an image that removes hidden lines and displays the faces in their original color with no lighting effect.


Procedures (Creating Flat Shading)

Creating Flat Shading

To create a shaded view
To remove flat shading from a view


Procedures (Creating Flat Shading-1)

Creating Flat Shading

To create a shaded view

  • From the View menu, choose Shade. Then choose a shading method.

Objects in the current viewport are shaded with their current color.

Command line equivalent: SHADE


Procedures (Creating Flat Shading-2)

Creating Flat Shading

To remove flat shading from a view

  • From the View menu, choose Regen.

Shaded objects in the current viewport are restored to their normal display.

Command line equivalent: REGEN


Reference (Creating Flat Shading)

Creating Flat Shading

Commands

REGEN | Regenerates the drawing and refreshes all viewports, removes shading
SHADE | Displays a flat-shaded image of the drawing in the current viewport

System Variables

SHADEDGE | Controls the shading method
SHADEDIF | Controls the amount of diffuse light used to calculate the shading


Using Raster Images

Drawings created with AutoCAD Release 14 may include raster images. As with Xrefs, these objects are not actually a part of the drawing file, but the image is linked to the drawing file through a path name. Image paths can be changed or removed at any time.

AutoCAD LT has limited capabilities to manipulate image objects including

  • Listing image names and displaying image details
  • Changing and saving the path of image objects
  • Loading and unloading images to conserve memory and manage performance

If the image was saved in AutoCAD with the image frame turned on, you can select image objects and perform operations including

  • Using several editing commands such as ERASE, MOVE, and COPY
  • Changing the size of image objects using grips
  • Changing the layer of an image
  • Changing the display order of overlapping image objects with DRAWORDER

For more information on changing display order, see Changing the Display Order of Overlapping Objects.

Using the List View

In the List View, the columns are aligned vertically and can be sorted by column by clicking the column heading in the list box. You change the width of a column by dragging its border to the right or left. Image names are not necessarily the same as image file names. You can change the image name without affecting the name of the file. If an image is not found by AutoCAD LT, its status is listed as Not Found. If the image is not loaded, its status is Unloaded.

Using the Tree View

The top level of the Tree View is listed in alphabetical order. In most cases an image file is linked directly to an existing drawing and exists at the top level only. However, if an xref or a block contains a linked image, AutoCAD LT displays additional levels.

Changing the Path

When you open a drawing with an attached image, the path of the selected image is displayed at the bottom of the Image dialog box under Image Found At. The path displayed is the actual path where AutoCAD LT found the image. If you open a drawing that contains an image that is not in the saved path location or in any of the defined search paths, the Image dialog box displays "Not found" in the image list, and the Image Found At box is blank.

You can remove the path from the file name or specify a relative path by directly editing the path in the Image Found At box, and then choosing Save Path. It may be different from the current "Found at" path.

Loading and Unloading Images

You can unload images from a drawing. For drawings with large images, unloading images can conserve memory and improve performance. Unloaded images are not displayed but can easily be reloaded when you need them.

An image can be loaded but still not displayed if the image was modified in AutoCAD Release 14 by clearing Show Image in the Modify Image dialog box. In this case, the image can be restored only with AutoCAD Release 14.

Working with Image Frames and Boundaries

An image frame is a rectangular outline of an entire image object. When IMAGEFRAME is on, you can use grips to change the image. With image frames, the Stretch mode grip scales but does not change proportions.

If the image was clipped in AutoCAD Release 14, a rectangular or polygonal clipping boundary was created. When IMAGEFRAME is on, you can use the Stretch mode grip to adjust polygonal clipping boundaries.

When IMAGEFRAME is off, both image frames and image boundaries are hidden. Hiding an image boundary ensures that the image cannot accidentally be moved or modified and prevents the boundary from being plotted or displayed. When image boundaries are hidden, clipped images are still displayed to their specified boundary limits; only the boundary is affected. Showing and hiding image boundaries affects all images attached to your drawing.


Procedures (Using Raster Images)

Using Raster Images

To display information on raster images
To load or unload raster images from a drawing


Procedures (Using Raster Images-1)

Using Raster Images

To display information on raster images

  1. On the command line, enter image.
  2. In the Image dialog box, choose one of the following:

    • List view icon (F3)
    • Tree view icon (F4)
  3. Select an image name and then choose Details.
  4. Press OK.


Procedures (Using Raster Images-2)

Using Raster Images

To load or unload raster images from a drawing

  1. On the command line, enter image.
  2. In the Image dialog box, double-click an entry in the Status column.

    Continued double-clicking cycles through the choices Unload and Reload.

  3. Choose Ok.


Reference (Using Raster Images)

Using Raster Images

Commands

IMAGE | Lists and modifies path of images inserted into an AutoCAD drawing file
IMAGEFRAME | Controls whether the image frame is displayed on the screen or hidden from view
DRAWORDER | Changes the display order of images and other objects
REGEN | Regenerates the drawing and refreshes all viewports, removes shading
WBLOCK | Writes objects to a new drawing file

System Variables

RTDISPLAYControls the display of raster images during realtime zoom or pan


Creating Realistic Images

To turn on an isometric plane
To change to a different isometric plane quickly
To draw an isometric circle
To remove all hidden lines from a view
To remove hidden lines from selected objects temporarily
To restore hidden lines in a view
To turn hidden lines on or off for printing views in floating viewports
To turn hidden lines on or off for printing objects not in floating viewports
To create a shaded view
To remove flat shading from a view
To display information on raster images
To load or unload raster images from a drawing


Creating Realistic Images

Commands

DDRMODES | Sets drawing aids
DDVIEW | Defines parallel projection or perspective views, temporarily removes hidden lines
DRAWORDER | Changes the display order of images and other objects
ELLIPSE | Creates an ellipse or an elliptical arc
GRID | Displays a dot grid in the current viewport
HIDE | Regenerates a 3D model with hidden lines suppressed
IMAGE | Lists and modifies path of images inserted into an AutoCAD drawing file
IMAGEFRAME | Controls whether the image frame is displayed on the screen or hidden from view
ISOPLANE | Specifies the current isometric plane
MVIEW | Creates floating viewports and turns on existing floating viewports
ORTHO | Constrains cursor movement
PLOT | Prints to a plotter, printer, or file
REGEN | Regenerates the drawing and refreshes all viewports, removes shading
RTDISPLAYControls the display of raster images during realtime zoom or pan
SHADE | Displays a flat-shaded image of the drawing in the current viewport
SNAP | Restricts cursor movement to specified intervals
WBLOCK | Writes objects to a new drawing file

System Variables

SHADEDGE | Controls the shading method
SHADEDIF | Controls the amount of diffuse light used to calculate the shading


Controlling the User Interface

You can use the Preferences dialog box to control the AutoCAD LT interface, including display of scroll bars and generation of backup files. Also, you can control virtually every aspect of toolbar display and operation, either by modifying existing toolbars or by creating your own.


Setting Interface Preferences

You can change many of the settings that affect the AutoCAD LT interface and drawing environment in the Preferences dialog box. For example, you can establish how often AutoCAD LT automatically saves the drawing to a temporary file, and you can specify the support directories that contain the files that you use most often. Experiment with the settings in the Preferences dialog box until you find the best environment for your needs.

In the Preferences dialog box you can choose options to do the following:

  • Choose whether AutoCAD LT issues a warning beep when you enter an unknown command or take an action that is not permitted.
  • Turn on the automatic save option so that AutoCAD LT saves your drawing at specified time intervals. To use this option, in the Preferences dialog box on the System tab, select Automatic Save Every and enter the interval in minutes. By default, files saved automatically are temporarily assigned the file name aclt.sv$.
  • Insert the user name, drawing name, revision date, and time into your drawing. The information is automatically updated as needed. Choose Time and Date Stamp from the Tools menu or use REVDATE. By default, the user name used by the date and time stamp is the name specified during installation. If a different person works on the drawing, you can change the name.
  • Specify the colors used in the AutoCAD LT Window and change the color of the drawing area, the text window background, the text in the AutoCAD LT window or text window, and the crosshairs.
  • Change the fonts used in the AutoCAD LT window and in the text window. This setting does not affect the text in your drawings. If you have a low-resolution monitor, changing the fonts in the AutoCAD LT window is one way to display more buttons on the toolbar.
  • Set the search path AutoCAD LT uses to find support files such as text fonts, drawings, linetypes, and hatch patterns. This option helps improve performance when AutoCAD LT is loading these files.
  • Specify an alternative location for the temporary files that AutoCAD LT creates on disk and then deletes when you exit the program; the files are created in the current drawing directory by default. The directory you specify must not be write-protected (for example, if you are working on a network or are opening files on a CD). Be sure to specify a drive with plenty of free disk space.
  • Specify a custom menu. The default menu is aclt.mnu.

See Also
Saving a Drawing


Setting Interface Preferences

To set preferences
To customize AutoCAD LT colors
To change the font used by AutoCAD LT
To change support directories using Browse
To change menus using Browse


To set preferences

Setting Interface Preferences

To set preferences

  1. From the Tools menu, choose Preferences.
  2. In the Preferences dialog box, choose the tab you want.
  3. Set preferences as desired.
  4. Do either or both of the following:
    • Choose Apply to record the current preference settings in the system registry.
    • Choose OK to record the current preference settings in the system registry and close the Preferences dialog box.

Command line equivalent: PREFERENCES


To customize AutoCAD LT colors

Setting Interface Preferences

To customize AutoCAD LT colors

  1. From the Tools menu, choose Preferences.
  2. In the Preferences dialog box, choose the Color tab.

    If you have a monochrome display, the Monochrome Vectors box already is selected. You might want to select this option if you have problems displaying elements on a gray-scale monitor.

  3. On the Color tab, select the element you want to change by clicking it in the Graphics Window or Text Window area: graphics window background, text window background, text window text, crosshair color, command window background, or command window text. You also can select an area from the Window Element list.
  4. Under Basic Colors, select the color you want to use. To change the color using the RGB (red, green, blue) colors, drag the slider controls next to R, G, and B or enter a number from 0 through 255 in the box.

    The display changes to show how the color will look.

  5. If you want to revert to the colors specified by the Windows Control Panel, choose System Colors.
  6. Choose OK to record the current preference settings in the system registry and close the Preferences dialog box.

Command line equivalent: PREFERENCES


To change the font used by AutoCAD LT

Setting Interface Preferences

To change the font used by AutoCAD LT

  1. From the Tools menu, choose Preferences.
  2. In the Preferences dialog box, choose the Font tab.
  3. On the Font tab, change font of the text on the command line, under Font to Change select Command Window. To change the fonts in the text window, select Text Window.
  4. Select the appropriate Font, Font Style, and Size.

    An example of the current choices appears under Sample Text Window Font or Sample Command Window Font.

  5. Choose OK to record the current preference settings in the system registry and close the Preferences dialog box.

Command line equivalent: PREFERENCES


To change support directories using Browse

Setting Interface Preferences

To change support directories using Browse

  1. From the Tools menu, choose Preferences.
  2. In the Preferences dialog box, choose the Files tab.
  3. On the Files tab, double-click Support File Search Path. Then select the current path.
  4. Choose the Browse button and search drives and directories until you find the one you want to use.
  5. Select the drive and directory you want to use. Then choose OK.
  6. The Preferences dialog box displays the directories you selected under Support File Search Path.
  7. Choose OK to record the current preference settings in the system registry and close the Preferences dialog box.

Command line equivalent: PREFERENCES


To change menus using Browse

Setting Interface Preferences

To change menus using Browse

  1. From the Tools menu, choose Preferences.
  2. In the Preferences dialog box, choose the Files tab.
  3. On the Files tab, double-click Menu, Auto-save, and URL. Double-click Menu File. Then select the current menu file.
  4. Choose Browse and search drives or directories until you find the menu file you want to use. You can identify menu files by their .mnu or .mnx file extension.
  5. Select the file you want to use. Then choose OK.
  6. The Preferences dialog box displays the file you selected under Menu File.
  7. Choose OK to record the current preference settings in the system registry and close the Preferences dialog box.

Command line equivalent: PREFERENCES


To specify the location of temporary files using Browse

Specifying the Location of Temporary Files

To specify the location of temporary files using Browse

  1. From the Tools menu, choose Preferences.
  2. In the Preferences dialog box, choose the Files tab.
  3. On the Files tab, double-click Temporary Drawing File Location. Then select the current path.
  4. Choose the Browse button and search drives and directories until you find the one you want to use.
  5. Select the drive and directory you want to use. Then choose OK.
  6. The Preferences dialog box displays the path you selected under Temporary Drawing File Location.
  7. Choose OK to record the current preference settings in the system registry and close the Preferences dialog box.

Command line equivalent: PREFERENCES


Setting Interface Preferences

Commands

PREFERENCES | Customizes the AutoCAD LT settings
REVDATE | Inserts or updates a block containing user name, current time and date, and drawing name

System Variables

SAVETIME Sets the automatic save interval, in minutes


Creating Custom Toolbars

AutoCAD LT has a set of standard toolbars. You can add tools to these default toolbars, remove tools you use infrequently, and rearrange tools and toolbars to best suit your needs. You can also create your own toolbars. In addition, you can change the tool associated with a command, or change the command associated with a tool.

The Toolbars dialog box provides a list of tool categories that correspond to categories of AutoCAD LT commands. Each category has a set of tool icons. You can use these tool icons or create your own. You can reposition tools on a toolbar, add space between them, and adjust the toolbar's shape. You can also change the name of the toolbar. A toolbar changes size automatically when tools are added or deleted.

If you have not customized toolbars before, it is recommended that you experiment on new toolbars before you change an existing one.

Creating a New Toolbar
Naming, Renaming, and Adding Help to Toolbars
Modifying a Toolbar's Appearance
Creating and Editing Tools

See Also
Customizing Toolbars


Creating a New Toolbar

When you create a new toolbar, the new toolbar is displayed as "empty" or without tools. Then, from the Toolbars dialog box, you drag tools onto the new toolbar.

Menu Group displays the menu group with which the selected toolbar is associated. For example, ACLT represents the AutoCAD LT menu group. The menu group determines the file in which your toolbar configuration is saved.


To create a toolbar

Creating a New Toolbar

To create a toolbar

  1. From the View menu, choose Toolbars, or right-click any tool with the pointing device.
  2. Choose New.
  3. In the New Toolbar dialog box, enter a name for the toolbar.
  4. In Menu Group, specify the menu group associated with the toolbar.
  5. Choose OK.
  6. Choose Close in the Toolbars dialog box.

The new, empty toolbar is displayed. You can now add tools to the toolbar using the method described in To move or copy a tool from another toolbar.

Command line equivalent: TOOLBAR


Creating a New Toolbar

Commands

TOOLBAR Displays, hides, and positions Toolbars

System Variables

TOOLTIPS Controls the display of tooltips


Naming and Adding Help to Toolbars

Naming, Renaming, and Adding Help to Toolbars

Each toolbar has an associated alias that AutoCAD LT uses internally. This name is displayed in the Toolbar Properties dialog box. Use the Toolbar Properties dialog box to change the name of the toolbar and the information about the toolbar displayed on the status bar.


Naming and Adding Help to Toolbars

Naming, Renaming, and Adding Help to Toolbars

To name and add help to toolbars
To rename a toolbar


To name and add help to toolbars

Naming, Renaming, and Adding Help to Toolbars

To name and add help to toolbars

  1. From the View menu, choose Toolbars, or right-click any tool with the pointing device.
  2. In the Toolbars dialog box, select the toolbar name.
  3. Choose Properties.
  4. Modify the following toolbar properties:
    • Under name, enter a new name for the toolbar.
    • Under Help, change the text that appears on the status bar when the pointing device moves over the toolbar. You can change the text by typing over it.
  5. Choose Apply to record the current settings. Choose Close.

Command line equivalent: TOOLBAR


To rename a toolbar

Naming, Renaming, and Adding Help to Toolbars

To rename a toolbar

  1. From the View menu, choose Toolbars, or click a tool with the Return button of the pointing device.
  2. In the Toolbars dialog box, select the toolbar name.
  3. Choose Properties.
  4. In the Toolbar Properties dialog box, enter a new name in the Name box.
  5. To change the text that appears in the status line, enter new text in the Help box.
  6. Choose Apply. Then choose Close.

Command line equivalent: TOOLBAR


Naming and Adding Help to TOOLBARs

Naming, Renaming, and Adding Help to Toolbars

Commands

TOOLBAR Displays, hides, and positions Toolbars

System Variables

TOOLTIPS Controls the display of tooltips


Modifying a Toolbar's Appearance

You can reposition tools on a toolbar, add space between them, and adjust the toolbar's shape. A toolbar changes size automatically when tools are added or deleted.

The Large Buttons option in the Toolbars dialog box changes the size of tools from 16 by 15 pixels to 24 by 22 pixels. The Show ToolTips option displays a pop-up label describing each tool as the cursor passes over it.


Modifying a Toolbar's Appearance

To reposition tools on a toolbar
To add space between tools on a toolbar
To change the shape of a floating toolbar
To change the appearance or accessibility of a toolbar


To reposition tools on a toolbar

Modifying a Toolbar's Appearance

To reposition tools on a toolbar

  1. From the View menu, choose Toolbars, or right-click any tool with the pointing device.
  2. In the Toolbars dialog box, choose Customize.
  3. On any docked or floating toolbar, drag a tool to a new position.
You must drag the tool more than halfway across the tool that already exists in the new location.

Command line equivalent: TOOLBAR


To add space between tools on a toolbar

Modifying a Toolbar's Appearance

To add space between tools on a toolbar

  1. From the View menu, choose Toolbars, or right-click any tool with the pointing device.
  2. In the Toolbars dialog box, choose Customize.
  3. On the toolbar you want to modify, drag the tool to the left or right edge of the tool beside it, but not past the middle.

Command line equivalent: TOOLBAR


To change the shape of a floating toolbar

Modifying a Toolbar's Appearance

To change the shape of a floating toolbar

  • To create a vertical toolbar, drag the bottom border of the toolbar. Drag a side border to create a horizontal toolbar.

A docked toolbar cannot be reshaped. You must float it first and then reshape it.


To change the appearance or accessibility of a toolbar

Modifying a Toolbar's Appearance

To change the appearance or accessibility of a toolbar

  1. From the View menu, choose Toolbars.
  2. In the Toolbars dialog box, configure the toolbar by turning on or off the following:
    • Toolbar Names
    • Large Buttons
    • Show ToolTips
  3. Choose OK when you've completed your selections.

Command line equivalent: TOOLBAR


Modifying a TOOLBAR

Modifying a Toolbar's Appearance

Commands

TOOLBAR Displays, hides, and positions Toolbars

System Variables

No entries.


Creating and Editing Tools

After you create a toolbar, you add tools that are supplied with AutoCAD LT, or you can create your own by modifying existing tools. Under one tool icon, you can create or modify a set of tools called a flyout. You can customize the appearance of tools to suit your needs.

You use the Toolbars dialog box to add tools to a toolbar from a category and to copy or move tools from one toolbar to another. You can also delete tools.

Changing a Tool's Command

In addition to changing the tool associated with a command, you can change the command associated with a tool.

Creating a Flyout

A flyout is a set of tool icons nested under a single tool icon on a toolbar. Flyout icons have a black triangle. To create a flyout, you create the flyout icon and associate a toolbar with it.

Editing Tool Icons

AutoCAD LT provides standard tool icons to start AutoCAD LT commands. You can create custom icons to run custom macros. You can either modify an existing icon or create your own. AutoCAD LT saves tool icons as BMP files. The BMP files must be saved in a directory that is on the support path.

Creating a Tool

AutoCAD LT commands are organized into categories in the Customize Toolbar dialog box. You can select a category to display a set of icons that represents a group of commands. AutoCAD LT also provides blank tool icons that you can assign to any command or macro.


Creating and Editing Tools

To change the command associated with a tool
To create a flyout
To edit or create an icon
To create a tool
To add a tool to a toolbar
To delete a tool from a toolbar
To move or copy a tool from another toolbar


To change the command associated with a tool

Creating and Editing Tools

To change the command associated with a tool

  1. From the View menu, choose Toolbars, or right-click any tool with the pointing device.
  2. Right-click the tool you want to change.

    If the Flyout Properties dialog box is displayed, right-click the tool again to display the Button Properties dialog box.

  3. In the Button Properties dialog box, under Macro, edit the command information to specify a new command for the tool.
  4. Choose Apply. Then click the Close button in the upper-right corner.

Command line equivalent: TOOLBAR


To create a flyout

Creating and Editing Tools

To create a flyout

  1. From the View menu, choose Toolbars, or right-click any tool with the pointing device.
  2. In the Toolbars dialog box, choose Customize.
  3. In the Customize Toolbars dialog box under Categories, choose Custom.
  4. Drag the flyout icon from the Modify Toolbars dialog box to the destination toolbar.

    If you do not have a destination toolbar, AutoCAD LT creates one when you drop the icon anywhere except on another toolbar.

  5. Display the Flyout Properties dialog box by right-clicking any flyout with the pointing device.
  6. In the Flyout Properties dialog box under Associated Toolbar, select the toolbar to associate with the flyout.
  7. To specify an icon for the flyout, select an icon from Button Icon.

    You can modify the icon by choosing Edit to display the Button Editor.

  8. To display the icon you specified, select Show This Button's Icon.

    If you select this option, AutoCAD LT uses this icon for the default flyout. If you do not select this option, the icon of the last flyout tool you have used is displayed as the flyout icon.

  9. Choose Apply and click the Close button in the upper-right corner.

Command line equivalent: TOOLBAR


To edit or create an icon

Creating and Editing Tools

To edit or create an icon

  1. From the View menu, choose Toolbars, or right-click any tool with the pointing device.
  2. Right-click any button or flyout.
  3. In the Button Properties (or Flyout Properties) dialog box under Button Icon, select a button. Then choose Edit.

    The Button Editor provides a close-up view of the button icon. If you turn on Grid mode, AutoCAD LT divides the view into a grid. Each grid box represents one pixel. The Button Editor displays the button icon at its actual size in the upper-left corner of the dialog box.

    You can open an existing button file (BMP) by choosing Open.

  4. In the Button Editor dialog box, use the Pencil, Line, Circle, and Erase tools to create or edit the button icon. To use color, select a color from the color palette.
    • The Pencil tool edits one pixel at a time in the selected color. You can drag the pointing device to edit several pixels at once.
    • The Line tool creates lines in the selected color. Press the pick button on the pointing device to set the first endpoint of the line. Drag to draw the line. Release the pick button to complete the line.
    • The Circle tool creates circles in the selected color. Press the pick button on the pointing device to set the center of the circle. Then drag to set the radius. Release the pick button to complete the circle.
    • The Erase tool sets the pixels to white. Click the Erase tool with the pointing device to set all pixels to white.
  5. To save the customized button, choose Save. Use Save As to save it under a different name.
  6. Choose Close to exit the dialog boxes.

Command line equivalent: TOOLBAR


To create a tool

Creating and Editing Tools

To create a tool

  1. From the View menu, choose Toolbars, or right-click any tool with the pointing device.
  2. Click the tool with the Return button of the pointing device. If the Properties dialog box is displayed when you right-click the tool, right-click the tool again to display the Button Properties dialog box.
  3. In the Button Properties dialog box, enter a new name for the tool.
  4. In the Help box, enter the text you want to appear on the status line.
  5. To associate a command with the tool, enter the command in the box under Macro. For most commands, use ^C^C to cancel a command that may be running and to display the Command prompt. An underscore (_) character enables commands to work on international versions of AutoCAD LT. An apostrophe (') enables the command to work transparently. If you associate a series of commands with a tool, separate them with semicolons or spaces. You create button macros the same way you create menu macros. For more information about entering commands in macros, see Customizing Menus, Toolbars, and Buttons.
  6. Under Button Icon, select an icon for the tool.
  7. To modify the tool icon, choose Edit.
  8. Choose Apply and then close the dialog boxes.

Command line equivalent: TOOLBAR


To add a tool to a toolbar

Creating and Editing Tools

To add a tool to a toolbar

  1. Make sure the toolbar you want to customize is displayed.
  2. From the View menu, choose Toolbars, or right-click any tool with the pointing device.
  3. In the Toolbars dialog box, choose Customize.
  4. In the Customize Toolbars dialog box under Categories, select the category to which you want to add a tool.

    The tools for the selected category are displayed.

  5. Drag the tool to the new toolbar.

The toolbar size changes to fit the tools you add.

Command line equivalent: TOOLBAR


To delete a tool from a toolbar

Creating and Editing Tools

To delete a tool from a toolbar

  1. Make sure the toolbar you want to customize is displayed.
  2. From the View menu, choose Toolbars, or right-click any tool with the pointing device.
  3. In the Toolbars dialog box, choose Customize.
  4. In the Customize Toolbars dialog box, drag the tool off the original toolbar.

If you delete a tool supplied with AutoCAD LT from a toolbar, you can restore it from the Customize Toolbars dialog box. If you delete a tool you have created or customized, you cannot restore it.

Command line equivalent: TOOLBAR


To move or copy a tool from another toolbar

Creating and Editing Tools

To move or copy a tool from another toolbar

  1. From the View menu, choose Toolbars, or right-click any tool with the pointing device.
  2. In the Toolbars dialog box, choose Customize.
  3. In the Customize Toolbars dialog box, select a category.
  4. To move a tool from another toolbar in the Customize Toolbars dialog box, drag the tool to the new toolbar.
  5. To copy a tool from another toolbar in the Customize Toolbars dialog box, press CTRL and drag the tool to the new toolbar.
  6. Choose Close to close the dialog boxes.

Command line equivalent: TOOLBAR


Creating and Editing Tools

Commands

TOOLBAR Displays, hides, and positions Toolbars

System Variables

TOOLTIPS Controls the display of tooltips


Creating Custom Toolbars

To create a toolbar
To name and add help to toolbars
To rename a toolbar
To add space between tools on a toolbar
To reposition tools on a toolbar
To change the shape of a floating toolbar
To change the appearance or accessibility of a toolbar
To change the command associated with a tool
To create a flyout
To edit or create an icon
To create a tool
To add a tool to a toolbar
To delete a tool from a toolbar
To move or copy a tool from another toolbar


Creating Custom Toolbars

Commands

TOOLBAR Displays, hides, and positions Toolbars

System Variables

TOOLTIPS Controls the display of tooltips


Customizing Command Aliases

You can abbreviate frequently used AutoCAD LT commands by defining aliases for them. You can make any AutoCAD LT command, device driver command, or external command into an alias.

For interpreting these command aliases, AutoCAD LT uses the command alias section of the aclt.pgp file by default. Before editing aclt.pgp, first create a backup so that you can restore it later, if necessary.

Use any Windows text editor to copy and paste sections of the original aclt.pgp file into your new aclt.pgp file. Use REINIT to reload aclt.pgp during an editing session.

See Also
Creating Shortcut Keys


To edit the aclt.pgp file

Customizing Command Aliases

To edit the aclt.pgp file

  1. Make a backup copy of the aclt.pgp file by copying and renaming it, or move a copy of the aclt.pgp file to a directory that is not in the AutoCAD LT search path.
  2. Start a text editor and open aclt.pgp.

    Change or add entries by following the format at the top of the file.

  3. Save the file as aclt.pgp.


Customizing Keyboard Access

Customizing Command Aliases

Commands

REINIT Reinitializes the input/output ports, digitizer, display, and program parameters file

System Variables

No entries.


Controlling the User Interface

To set preferences
To customize AutoCAD LT colors
To change the font used by AutoCAD LT
To change support directories using Browse
To change menus using Browse
To create a toolbar
To rename and add help to toolbars
To rename a toolbar
To add space between tools on a toolbar
To reposition tools on a toolbar
To change the shape of a floating toolbar
To change the appearance or accessibility of a toolbar
To change a command associated with a tool
To create a flyout
To edit or create an icon
To create a tool
To add a tool to a toolbar
To delete a tool from a toolbar
To move or copy a tool from another toolbar
To edit the aclt.pgp file


Controlling the User Interface

Commands

PREFERENCES | Customizes the AutoCAD settings
REVDATE | Inserts or updates a block containing user name, current time and date, and drawing name
TOOLBAR | Displays, hides, and positions Toolbars

System Variables

SAVETIME | Sets the automatic save interval, in minutes
TOOLTIPS | Controls the display of tooltips


DIASTAT System Variable

(Read-only)
Type: | Integer
Saved in: | Not saved

Stores the exit method of the most recently used dialog box.

0 | Cancel
1 | OK


Dimensioning and Tolerancing

Dimensioning is the process of adding measurements to a drawing. Tolerancing is specifying by how much a dimension may vary.

The dimensioning system variables control the appearance of dimensions. You can set these variables on the command line or through the Dimension Style (DDIM) dialog boxes. You can manage all the dimensioning system variables quickly and easily by setting up dimension styles. A dimension style is a named group of dimension settings that determines the appearance of the dimension.

Dimensioning Concepts
Creating Dimension Styles
Modifying Dimension Styles
Setting the Scale for Dimensions
Creating Dimensions
Modifying Existing Dimensions
Adding Geometric Tolerances


Dimensioning Concepts

Dimensions show the measurements of objects, the distances or angles between objects, or the X and Y values of the coordinate of a point on a feature. AutoCAD LT provides three basic types of dimensioning: linear, radial, and angular. Dimensions can be horizontal, vertical, aligned, rotated, ordinate, baseline, or continued. A simple example of each is shown in the illustrations.

You can dimension objects, such as lines, arcs, circles, and polyline segments, or you can dimension between point locations.

AutoCAD LT places dimensions on the current layer. Every dimension assumes the current dimension style, which controls characteristics such as color, text style, and linetype scale. With dimension style families (groups of dimension styles), you can make subtle modifications to a base dimension style for different types of dimensions. With dimension style overrides, you can modify these characteristics for a specific dimension.


Parts of a Dimension

Dimensions have several distinct elements: dimension text, dimension lines, arrowheads, and extension lines.

Dimension text is a text string that usually indicates the measurement value. The text can also include prefixes, suffixes, and tolerances.

A dimension line indicates the direction and extent of a dimension. For angular dimensions, the dimension line is an arc.

Arrowheads, also called symbols of termination, are displayed at each end of the dimension line. You can specify different sizes and shapes for arrowheads or tick marks.

Extension lines, also called projection lines or witness lines, extend from the feature to the dimension line.

A center mark is a small cross that marks the center of a circle or arc.

Centerlines are broken lines that mark the center of a circle or arc.


Parts of a Dimension

No entries.


Parts of a Dimension

Commands

No entries.

System Variables

No entries.


Dimension Styles and Style Families

Dimension style "families" are groups of dimension styles based on a "parent" style with variations for different types of dimensions. When you create a new dimension style, it automatically becomes the parent style of a dimension style family. Members of dimension style families are related to one another by name. The "child" dimension styles - dimension styles based on a parent style - are automatically named with a numeric suffix that indicates the dimension type, as shown in the following example.

ISO-25 | ISO-25 parent dimension style
ISO-25$0 | Linear child of ISO-25 (both rotated and aligned types)
ISO-25$2 | Angular child of ISO-25 (both 2-line and 3-point types)
ISO-25$3 | Diameter child of ISO-25
ISO-25$4 | Radius child of ISO-25
ISO-25$6 | Ordinate child of ISO-25
ISO-25$7 | Leader child of ISO-25 (also used for tolerance objects)

Dimension style families provide a set of permanent variations on the parent style. When you create a dimension, AutoCAD LT chooses the appropriate family member of the current dimension style for the dimension you're creating. If there are no family dimension styles defined, the parent style is applied.

In the Dimension Styles dialog box (DDIM), only the names of parent dimension styles are listed. To view a list of all dimension styles, use DIMSTYLE.

You can use dimension style overrides to change to a single dimension or to modify the current dimension style. Once you apply an override to the current dimension style, the override applies to all dimensions you create subsequently.

See Also
Listing and Comparing Dimension Styles and Variables


Styles and Style Families

Dimension Styles and Style Families

To make a dimension style current

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box under Dimension Style, choose a dimension style from the Current list. Then choose OK.

Dimension toolbar:
Command line equivalent: DDIM


Styles and Style Families

Dimension Styles and Style Families

Commands

DDIM | Creates and modifies dimension styles
DIMSTYLE | Creates and modifies dimension styles on the command line

System Variables

DIMSTYLE Creates and modifies dimension styles on the command line


Dimension Text

Dimension text is any kind of text that is associated with dimensions, including measurements, tolerances, prefixes, suffixes, and textual notes, such as special manufacturing procedures or assembly instructions. You can use the default numeric text computed by AutoCAD LT, supply your own text, or suppress the text entirely.

See Also
Supplying User Text to Dimensions


Dimension Text

No entries.


Dimension Text

Commands

DDEDIT | Edits line text, paragraph text, dimension text, and attribute definitions
DIMEDIT | Edits dimensions
DIMLINEAR | Creates linear dimensions
DIMTEDIT | Moves and rotates dimension text
DDMODIFY | Controls object properties

System Variables

DIMALTD | Controls alternate units decimal places
DIMALTTD | Sets the number of digits displayed to the right of the decimal point for the tolerance values of alternate units dimensions
DIMALTTZ | Toggles suppression of zeros for tolerance values
DIMALTU | Sets the units format for alternate units of all dimension style family members except angular
DIMALTZ | Controls suppression of zeros for alternate unit dimension values
DIMAPOST | Specifies a text prefix or suffix (or both) to the alternate dimension measurement for all types of dimensions except angular
DIMAUNIT | Sets the angle format for angular dimensions
DIMCLRT | Controls dimension text color
DIMDEC | Sets the number of digits displayed to the right of the decimal point for the primary units dimension
DIMGAP | Sets the distance around the dimension text when you break the dimension line to accommodate dimension text
DIMJUST | Controls horizontal dimension text position
DIMLFAC | Sets a global scale factor for linear dimensioning measurements
DIMLIM | When turned on, generates dimension limits as the default text
DIMPOST | Specifies a text prefix or suffix (or both) to the dimension measurement
DIMRND | Rounds all dimensioning distances to the specified value
DIMTAD | Controls the placement of dimension text above the dimension line
DIMTDEC | Sets the number of digits displayed to the right of the decimal point for the tolerance values of the primary units in a dimension
DIMTFAC | Specifies a scale factor for text height of tolerance values relative to the dimension text height as set by DIMTXT
DIMTIH | Controls the orientation of text inside extension lines
DIMTM | Sets the minimum (or lower) tolerance limit for dimension text when DIMTOL or DIMLIM is on
DIMTOH | Controls the orientation of text outside extension lines
DIMTOL | When turned on, appends dimension tolerances to dimension text
DIMTOLJ | Sets the vertical justification for tolerance values relative to the nominal dimension text
DIMTP | Sets the maximum (or upper) tolerance limit for dimension text when DIMTOL or DIMLIM is on
DIMTVP | Controls the vertical position of dimension text when DIMTAD is off
DIMTXSTY | Specifies the text style of the dimension
DIMTXT | Specifies the height of dimension text, unless the current text style has a fixed height
DIMTZIN | Controls the suppression of zeros for tolerance values
DIMUNIT | Sets the units format for all dimension style family members except angular
DIMUPT | Controls the user-defined horizontal text placement
DIMZIN | Controls the suppression of the primary unit value
MTEXTED | Sets the name of the program to use for editing MTEXT objects


Associative Dimensions

In an associative dimension, the lines, arrowheads, and text are drawn as a single object. As a result, you can update a dimension as you change the size of the object with which the dimension is associated.

The DIMASO system variable controls associative dimensioning and is on by default. If DIMASO is off, the dimension line or leader, extension lines, arrowheads, and dimension text are drawn as separate objects. You can create nonassociative dimensions if you need to alter the dimension in other ways. In general, however, associative dimensions are easier to maintain.


Associative Dimensions

No entries.


Associative Dimensions

Commands

DDIM Creates and modifies dimension styles

System Variables

DIMASO Controls the creation of associative dimension objects


Dimensioning Concepts

To make a dimension style current


Dimension Text

Dimensioning Concepts

Commands

DDEDIT | Edits line text, paragraph text, dimension text, and attribute definitions
DIMEDIT | Edits dimensions
DIMLINEAR | Creates linear dimensions
DIMSTYLE | Creates and modifies dimension styles on the command line
DIMTEDIT | Moves and rotates dimension text
DDMODIFY | Controls object properties

System Variables

DIMALTD | Controls alternate units decimal places
DIMALTTD | Sets the number of digits displayed to the right of the decimal point for the tolerance values of alternate units dimensions
DIMALTTZ | Toggles suppression of zeros for tolerance values
DIMALTU | Sets the units format for alternate units of all dimension style family members except angular
DIMALTZ | Controls suppression of zeros for alternate unit dimension values
DIMAPOST | Specifies a text prefix or suffix (or both) to the alternate dimension measurement for all types of dimensions except angular
DIMAUNIT | Sets the angle format for angular dimensions
DIMCLRT | Controls dimension text color
DIMDEC | Sets the number of digits displayed to the right of the decimal point for the primary units dimension
DIMLFAC | Sets a global scale factor for linear dimensioning measurements
DIMLFAC | Sets a global scale factor for linear dimensioning measurements
DIMLFAC | Sets a global scale factor for linear dimensioning measurements
DIMLFAC | Sets a global scale factor for linear dimensioning measurements
DIMLIM | When turned on, generates dimension limits as the default text
DIMPOST | Specifies a text prefix or suffix (or both) to the dimension measurement
DIMRND | Rounds all dimensioning distances to the specified value
DIMTAD | Controls the placement of dimension text above the dimension line
DIMTDEC | Sets the number of digits displayed to the right of the decimal point for the tolerance values of the primary units in a dimension
DIMTFAC | Specifies a scale factor for text height of tolerance values relative to the dimension text height as set by DIMTXT
DIMTIH | Controls the orientation of text inside extension lines
DIMTM | Sets the minimum (or lower) tolerance limit for dimension text when DIMTOL or DIMLIM is on
DIMTOH | Controls the orientation of text outside extension lines
DIMTOL | When turned on, appends dimension tolerances to dimension text
DIMTOLJ | Sets the vertical justification for tolerance values relative to the nominal dimension text
DIMTP | Sets the maximum (or upper) tolerance limit for dimension text when DIMTOL or DIMLIM is on
DIMTVP | Controls the vertical position of dimension text when DIMTAD is off
DIMTXSTY | Specifies the text style of the dimension
DIMTXT | Specifies the height of dimension text, unless the current text style has a fixed height
DIMTZIN | Controls the suppression of zeros for tolerance values
DIMUNIT | Sets the units format for all dimension style family members except angular
DIMUPT | Controls the user-defined horizontal text placement
DIMZIN | Controls the suppression of the primary unit value
MTEXTED | Sets the name of the program to use for editing MTEXT objects


Creating Dimension Styles

A named dimension style is a group of dimension settings that determine the appearance of the dimension. Using named dimension styles, you can establish and enforce drafting standards for drawings. The illustration shows types of arrowheads.

All dimensions are created using the current dimension style. If you do not define or apply a dimension style before creating dimensions, AutoCAD LT applies the default dimension style, STANDARD.

To set up a parent dimension style, you begin by naming and saving a dimension style. The new dimension style is based on the current dimension style and will include all subsequent changes to the layout of the parts of the dimension (DDIM Geometry dialog box), the positioning of dimension text (DDIM Format dialog box), and the appearance of annotation (DDIM Annotation dialog box). Annotation in this case means labels for primary and alternate units, tolerances, and text.

Using Dimension Style Families

With dimension style families, you can design a dimension style and then specify variations on it for each dimension type without having to set up and use an entirely new dimension style.

For example, you may want to force use of a dimension line for radius and diameter dimensions only. Instead of creating a different dimension style for each dimension type, you create the parent style with Force Line Inside (DIMTOFL) turned off, and then create radius and diameter family members with Force Line Inside on. When dimensioning, you select the parent dimension style, and AutoCAD LT automatically applies the appropriate family member dimension style based on the type of dimension you're creating. In this case, AutoCAD LT forces a dimension line only when you create radius or diameter dimensions.

You can set up family member styles for linear, angular, radius, diameter, and ordinate dimensions and for leaders. Changes to a parent dimension style after it has been created and saved are not applied to family members.


Creating Dimension Styles

To create a parent dimension style
To create a family member dimension style
To use an externally referenced dimension style as a template for creating a new dimension style


Creating Dimension Styles-1

Creating Dimension Styles

To create a parent dimension style

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, enter a dimension style name in the Name box, and choose Save.
  3. Choose Geometry to define the appearance of the dimension line, extension lines, arrowheads, and center marks or lines, and the scale of the dimension.
  4. Choose Format to define the positioning of the dimension text.
  5. Choose Annotation to define the primary and alternate units, tolerances, text style, gap, color, and rounding-off value.
  6. In the Dimension Styles dialog box, select Save to save your changes to the new dimension style. Then choose OK.

Dimension toolbar:
Command line equivalent: DDIM


Creating Dimension Styles-2

Creating Dimension Styles

To create a family member dimension style

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box under Dimension Style, select the dimension style for which you want to create a dimension style variation.
  3. Under Family, select the type of dimension (family member), and the style variation.
    • Select linear to apply the variation only to linear dimensions
    • Select radial to apply the variation only to radius dimensions
    • And so on
  4. Make the dimension style modifications by choosing Geometry, Format, or Annotation.
  5. In the Dimension Styles dialog box, select Save.
  6. Choose OK.

The family member dimension style is saved. When you next open the Dimension Styles dialog box, the Parent dimension style is selected by default.

Dimension toolbar:
Command line equivalent: DDIM


Creating Dimension Styles-3

Creating Dimension Styles

To use an externally referenced dimension style as a template for creating a new dimension style

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, select the dimension style to use as a template from the Current list.
  3. Enter a new name in the Name box.
  4. Choose OK.

All settings from the selected dimension style are used for the new dimension style.

Dimension toolbar:
Command line equivalent: DDIM


Creating Dimension Styles

Commands

DDIM | Creates and modifies dimension styles
DIMSTYLE | Creates and modifies dimension styles on the command line

System Variables

DIMSTYLE Sets the current dimension style by name


Modifying Dimension Styles

By modifing a dimension style, you can update all existing dimensions created previously with that dimension style to reflect the new settings.

  • Settings in the DDIM Geometry dialog box affect extension lines, dimension lines, arrowheads, center marks or lines, and the offsets between them.
  • Settings in the DDIM Format dialog box affect the positioning of the parts of the dimension in relation to one another and the orientation of the dimension text.
  • Settings in the DDIM Annotation dialog box affect the content and appearance of the dimension text.

Listing and Comparing Dimension Styles and Variables
Controlling Dimension Geometry
Controlling Dimension Format
Controlling Dimension Annotation
Setting the Scale for Dimensions


Listing and Comapring Dimension Styles and Variables

Listing and Comparing Dimension Styles and Variables

You can list the dimension styles in the current drawing. You can also list all dimensioning system variables and their current status or only the variables affected by a dimension style.

When you list the current status of all dimensioning system variables, AutoCAD LT lists any running overrides that apply to the current dimension style. For an example of the settings for a dimension style, see Example: The Default Dimension Style.

You can also list the differences between a named dimension style and the current dimension style, as in the following example.

Differences between STANDARD and current settings:

STANDARD | Current | Setting
DIMASZ |  | 0.1000 0.1800
DIMBLK1 |  | _OPEN
DIMBLK2 |  | _OPEN
DIMCLRD | BYBLOCK3 | (green)
DIMCLRE | BYBLOCK3 | (green)
DIMSAH | Off | On
DIMTAD | 0 | 1
DIMTIH | On | Off

Using Externally Referenced Dimension Styles

AutoCAD LT displays externally referenced dimension style names using the same syntax as for other externally dependent symbols. The name of the xref is combined with the dimension style name, and the two names are separated by the vertical bar (|) character. For example, if the drawing baseplat.dwg file has a dimension style called FRACTIONAL-1 and you attach baseplat.dwg as an xref to a new drawing, then the dimension style appears in the new drawing as BASEPLAT|FRACTIONAL-1.

Externally referenced dimension styles can be examined, but they cannot be modified or made current. You can use an externally referenced dimension style as a template for creating a new dimension style in your current drawing. For more information, see Creating Dimension Styles.


Listing and Comparing Dimension Styles and Variables

To list all dimension variables for the current dimension style
To list variables affected by an existing dimension style
To list dimension styles in the current drawing
To compare dimension styles


Listing Dimension Styles and Variables-1

Listing and Comparing Dimension Styles and Variables

To list all dimension variables for the current dimension style

  1. At the Command prompt, enter dimstyle.
  2. Enter st (Status).

AutoCAD LT lists the dimensioning system variables, their current settings, and a brief description. Overrides are included.


Listing Dimension Styles and Variables-2

Listing and Comparing Dimension Styles and Variables

To list variables affected by an existing dimension style

  1. At the Command prompt, enter dimstyle.
  2. Enter v (Variables).
  3. Enter a dimension style name, or select a dimension whose dimension style you want to examine.

AutoCAD LT lists affected variables, their settings, and a brief description of each. Overrides are not included.


Listing Dimension Styles and Variables-3

Listing and Comparing Dimension Styles and Variables

To list dimension styles in the current drawing

  1. At the Command prompt, enter dimstyle.
  2. At the Dimension Style Edit prompt, enter ?.
  3. Press ENTER to list all styles, or use wild-card characters to specify a subset of styles.


Listing Dimension Styles and Variables-4

Listing and Comparing Dimension Styles and Variables

To compare dimension styles

  1. At the Command prompt, enter dimstyle.
  2. Enter v (Variables).
  3. Enter ~stylename.

AutoCAD LT compares the dimension style to the current dimension style.


Listing Dimension Styles and Variables

Listing and Comparing Dimension Styles and Variables

Commands

DIMSTYLE Creates and modifies dimension styles on the command line

System Variables

No entries.


Example: The Default Dimension Style

The following is a listing of the dimensioning system variables and their settings in the default dimension style, STANDARD.

Status of STANDARD

DIMALT | Off | Alternate units selected
DIMALTD | 2 | Alternate unit decimal places
DIMALTF | 25.4000 | Alternate unit scale factor
DIMALTTD | 2 | Alternate tolerance decimal places
DIMALTTZ | 0 | Alternate tolerance zero suppression
DIMALTU | 2 | Alternate units
DIMALTZ | 0 | Alternate units zero suppression
DIMAPOST |  | Prefix and suffix for alternate text
DIMASO | On | Create associative dimensions
DIMASZ | 0.1800 | Arrow size
DIMAUNIT | 0 | Angular unit format
DIMBLK |  | Arrow block name
DIMBLK1 |  | First arrow block name
DIMBLK2 |  | Second arrow block name
DIMCEN | 0.0900 | Center mark size
DIMCLRD | BYBLOCK | Dimension line and leader color
DIMCLRE | BYBLOCK | Extension line color
DIMCLRT | BYBLOCK | Dimension text color
DIMDEC | 4 | Decimal places
DIMDLE | 0.0000 | Dimension line extension
DIMDLI | 0.3800 | Dimension line spacing
DIMEXE | 0.1800 | Extension above dimension line
DIMEXO | 0.0625 | Extension line origin offset
DIMFIT | 3 | Fit text
DIMGAP | 0.0900 | Gap from dimension line to text
DIMJUST | 0 | Justification of text on dimension line
DIMLFAC | 1.000 | Linear unit scale factor
DIMLIM | Off | Generate dimension limits
DIMPOST |  | Prefix and suffix for dimension text
DIMRND | 0.0000 | Rounding value
DIMSAH | Off | Separate arrow blocks
DIMSCALE | 1.0000 | Overall scale factor
DIMSD1 | Off | Suppress the first dimension line
DIMSD2 | Off | Suppress the second dimension line
DIMSE1 | Off | Suppress the first extension line
DIMSE2 | Off | Suppress the second extension line
DIMSHO | On | Update dimensions while dragging
DIMSOXD | Off | Suppress outside dimension lines
DIMSTYLE | STANDARD | Current dimension style (read-only)
DIMTAD | 0 | Place text above the dimension line
DIMTDEC | 4 | Tolerance decimal places
DIMTFAC | 1.0000 | Tolerance text height scaling factor
DIMTIH | On | Text inside extensions is horizontal
DIMTIX | Off | Place text inside extensions
DIMTM | 0.0000 | Minus tolerance
DIMTOFL | Off | Force line inside extension lines
DIMTOH | On | Text outside horizontal
DIMTOL | Off | Tolerance dimensioning
DIMTOLJ | 1 | Tolerance vertical justification
DIMTP | 0.0000 | Plus tolerance
DIMTSZ | 0.0000 | Tick size
DIMTVP | 0.0000 | Text vertical position
DIMTXSTY | STANDARD | Text style
DIMTXT | 0.1800 | Text height
DIMTZIN | 0 | Tolerance zero suppression
DIMUNIT | 2 | Unit format
DIMUPT | Off | User-positioned text
DIMZIN | 0 | Zero suppression


Controlling Dimension Geometry

Dimension geometry refers to the extension lines, dimension line, arrowheads, and center marks or lines. You control the appearance of these elements of the dimension in the DDIM Geometry dialog box.

You can also set the scale of the dimension sizes, distances, and offsets here. Setting the scale does not affect tolerances, measured lengths, coordinates, or angles.


Modifying Dimension Lines

You can control several aspects of a dimension line. For oblique stroke arrowheads, you can set the distance by which the dimension line extends beyond the extension lines. You can also give the dimension line a specific color.

For baseline dimensions, you can control the spacing between successive dimension lines. If text splits a dimension line, you can control the visibility of each part of the dimension line.


Modifying Dimension Lines

To modify the display of dimension lines

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Geometry.
  3. In the Geometry dialog box, under Dimension Line, change the settings as needed.
  4. Choose OK to exit each dialog box.

Dimension toolbar:
Command line equivalent: DDIM


Modifying Dimension Lines

Commands

DDIM Creates and modifies dimension styles

System Variables

DIMCLRD | Assigns colors to dimension lines, arrowheads, and leader lines
DIMDLE | Extends the dimension line beyond the extension line when oblique strokes are drawn instead of arrowheads
DIMDLI | Controls the dimension line spacing for baseline dimensions
DIMSD1 | When turned on, suppresses the display of the dimension line and arrowhead between the first extension line and the text
DIMSD2 | When turned on, suppresses the display of the dimension line and arrowhead between the second extension line and the text


Modifying Extension Lines

You can control several aspects of the extension lines. You can give them a specific color. If extension lines are unnecessary or there is no space for them, you can suppress one or both. You can specify how far beyond the dimension line the extension line extends. You can control the distance between the extension line origin and the start of the extension line. This distance is known as the extension origin offset.

The first extension line is the one on the side where you specifed the first extension line origin.

If you selected a line to dimension instead of specifying two extension origin points, the endpoint of the line that is closest to the selection point becomes the first extension line origin.

Extension lines are normally perpendicular to the dimension line. However, when space is limited you can make them oblique. For more information, see Creating Dimensions with Oblique Extension Lines.


Modifying Extension Lines

To modify the display of extension lines

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Geometry.
  3. In the Geometry dialog box, under Extension Line, change the settings as needed.
  4. Choose OK to exit each dialog box.

Dimension toolbar:
Command line equivalent: DDIM


Modifying Extension Lines

Commands

DDIM Creates and modifies dimension styles

System Variables

DIMCLRE | Assigns colors to dimension extension lines
DIMDLE | Extends the dimension line beyond the extension line when oblique strokes are drawn instead of arrowheads
DIMEXE | Determines how far to extend the extension line beyond the dimension line
DIMEXO | Determines how far extension lines are offset from origin points
DIMSE1 | Controls suppression of first extension line
DIMSE2 | Controls suppression of second extension line


Choosing Dimension Arrowheads

Drafting standards for termination symbols differ. AutoCAD LT provides seven standard types of arrowheads. You can apply a different type to each end of the dimension line and control the size of each. The first arrowhead is displayed in the left image tile in the dialog box and the second in the right. The order of arrowheads is determined by the order of extension lines. The first extension line is where you specified the first extension line origin when creating the dimension. For angular dimensions, the second extension line is counterclockwise from the first. Leader lines use the first arrowhead only (see Creating Text with Leaders).

The first arrowhead type automatically applies to the second arrowhead unless you select a different type for the second arrowhead. You can choose not to use any arrowheads or to use one arrowhead only. You can also create your own arrowheads (see Creating and Modifying Custom Arrowheads).

You can choose oblique stroke arrowheads for both ends of the dimension line and set the stroke size. Oblique strokes, also known as tick marks, are short lines drawn where the dimension line meets the extension lines and at a 45-degree angle to the dimension line.

When using oblique strokes, you can specify the distance that the dimension line extends past the extension line (see Modifying Dimension Lines in Controlling Dimension Geometry ).


Choosing Dimension Arrowheads

To choose an arrowhead

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Geometry.
  3. In the Geometry dialog box under Arrowheads, select the arrowhead type for the first end of the dimension line.

    The second arrowhead is automatically set to the same type.

  4. To set the second end of the dimension line to a different arrowhead type, select an arrowhead type from the 2nd list.
  5. In the Size box, enter a size for the arrowhead.
  6. Choose OK to exit each dialog box.

Dimension toolbar:
Command line equivalent: DDIM


Choosing Dimension Arrowheads

Commands

DDIM Creates and modifies dimension styles

System Variables

DIMCLRD | Assigns colors to dimension lines, arrowheads, and leader lines
DIMDLE | Extends the dimension line beyond the extension line when oblique strokes are drawn instead of arrowheads
DIMSD1 | When turned on, suppresses the display of the dimension line and arrowhead between the first extension line and the text
DIMSD2 | When turned on, suppresses the display of the dimension line and arrowhead between the second extension line and the text


Creating and Modifying Custom Arrowheads

The arrowheads AutoCAD LT uses are stored as block definitions. To use your own arrowhead, provide the name of an existing block definition. For information about how to create a block, see Creating Blocks within a Drawing.

Arrowhead sizing relies on the overall dimension scale factor. When you create a dimension, AutoCAD LT inserts your block where the arrowheads would normally go. The object's X and Y scale factors are set to arrowhead size overall scale. The dimension line is trimmed by text gap overall scale units at each end. To trim the dimension line, AutoCAD LT inserts the rightmost block with a zero rotation angle for horizontal dimensioning. The leftmost block is rotated 180 degrees about its insertion point.

If you use paper-space scaling, AutoCAD LT computes the scale factor before applying it to the arrowhead size value.


Creating and Modifying Custom Arrowheads

To use your own arrowhead symbol

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Geometry.
  3. In the Geometry dialog box under Arrowheads, select User Arrow from the 1st arrowhead list.
  4. In the User Arrow dialog box, enter the name of your block. Then choose OK.
  5. To choose a different custom arrowhead for the second arrowhead, repeat steps 3 and 4, choosing User Arrow from the 2nd arrowhead list.
  6. Choose OK to exit each dialog box.

Dimension toolbar:
Command line equivalent: DDIM


Creating and Modifying Custom Arrowheads

Commands

BLOCK | Creates a block definition from a set of objects
BMAKE | Defines a block using a dialog box
DDIM | Creates and modifies dimension styles
WBLOCK | Writes objects to a new drawing file

System Variables

DIMASZ | Controls the size of dimension line and leader line arrowheads
DIMBLK | Sets the name of a block to be drawn instead of the normal arrowhead at the ends of the dimension line or leader line
DIMBLK1 | If DIMSAH is on, DIMBLK1 specifies user-defined arrowhead blocks for the first end of the dimension line
DIMBLK2 | If DIMSAH is on, DIMBLK2 specifies user-defined arrowhead blocks for the second end of the dimension line
DIMCLRD | Assigns colors to dimension lines, arrowheads, and leader lines
DIMDLE | Extends the dimension line beyond the extension line when oblique strokes are drawn instead of arrowheads
DIMSAH | Controls use of user-defined arrowhead blocks at the ends of the dimension line
DIMTSZ | Specifies the size of oblique strokes drawn instead of arrowheads for linear, radius, and diameter dimensioning


Controlling Dimension Geometry

To modify the display of dimension lines
To modify the display of extension lines
To choose an arrowhead
To use your own arrowhead symbol


Controlling Dimension Geometry

Commands

BLOCK | Creates a block definition from a set of objects
BMAKE | Defines a block using a dialog box
DDIM | Creates and modifies dimension styles
WBLOCK | Writes objects to a new drawing file

System Variables

DIMASZ | Controls the size of dimension line and leader line arrowheads
DIMBLK | Sets the name of a block to be drawn instead of the normal arrowhead at the ends of the dimension line or leader line
DIMBLK1 | If DIMSAH is on, DIMBLK1 specifies user-defined arrowhead blocks for the first end of the dimension line
DIMBLK2 | If DIMSAH is on, DIMBLK2 specifies user-defined arrowhead blocks for the second end of the dimension line
DIMCLRD | Assigns colors to dimension lines, arrowheads, and leader lines
DIMDLE | Extends the dimension line beyond the extension line when oblique strokes are drawn instead of arrowheads
DIMEXE | Determines how far to extend the extension line beyond the dimension line
DIMEXO | Determines how far extension lines are offset from origin points
DIMSAH | Controls use of user-defined arrowhead blocks at the ends of the dimension line
DIMSD1 | When turned on, suppresses the display of the dimension line and arrowhead between the first extension line and the text
DIMSD2 | When turned on, suppresses the display of the dimension line and arrowhead between the second extension line and the text
DIMTSZ | Specifies the size of oblique strokes drawn instead of arrowheads for linear, radius, and diameter dimensioning


Controlling Dimension Format

Dimension format refers to placement of dimension text, arrowheads, and leader lines relative to the dimension and extension lines. For example, you can control how text is placed both horizontally and vertically relative to the dimension line and the extension lines. AutoCAD LT provides several justification settings that facilitate compliance with international standards, or you can choose your own location for the text.

Many of the settings are interdependent. Image tiles in the DDIM Format dialog box update dynamically to illustrate how text appears as you change the settings.

Fitting Text within Extension Lines
Fitting Text Using the Fit Options
Fitting Text and Arrowheads by Changing Their Size
Controlling the Orientation of Dimension Text
Positioning Dimension Text Horizontally
Justifying Dimension Text Vertically


Fitting Text within Extension Lines

Many factors, such as the space between extension lines and the arrowhead size, influence how dimension text and arrowheads fit within the extension lines. In general, AutoCAD LT automatically applies the best fit, given the available space. If possible, both text and arrowheads are accommodated between the extension lines, no matter what fit option you choose.

When creating new dimensions, you can place text by entering coordinates or using the pointing device; this is known as user-defined text placement. Alternatively, AutoCAD LT can compute the text position for you. The options for automatic fitting of text and arrowheads are listed under Fit in the Format dialog box. For example, you can specify that text and arrowheads be kept together. In this case, if there is not room for both between the extension lines, they are both placed outside. You can specify that if there is room for only text or arrowheads, then either text only or arrowheads only are placed between the extension lines.

If there is no room for text between the extension lines, you can have a leader line created automatically. This is useful in cases where text outside the extension lines would interfere with other geometry, for example, in continued dimensions. Whether text is drawn to the right or the left of the leader is controlled by the horizontal justification setting (see Positioning Dimension Text Horizontally). Also, you can fit text and arrowheads by changing their size.


Fitting Text Within Extension Lines

No entries.


Fitting Text Within Extension Lines

Commands

DDIM Creates and modifies dimension styles

System Variables

DIMFIT | Controls the placement of text and arrowheads inside or outside extension lines based on the available space between the extension lines
DIMJUST | Controls horizontal dimension text position
DIMTAD | Controls vertical position of text in relation to the dimension line
DIMTIH | Controls the position of dimension text inside the extension lines for all dimension types except ordinate dimensions
DIMTOFL | When turned on, draws a dimension line between the extension lines even when the text is placed outside the extension lines
DIMTOH | When turned on, controls the position of dimension text outside the extension lines
DIMTVP | Adjusts the vertical position of dimension text above or below the dimension line
DIMUPT | Controls cursor functionality for dimension text


Fitting Text Using the Fit Options

These examples show how AutoCAD LT applies a "best fit" for arrowheads and text.

Even if the arrowheads are outside the extension lines, you can have a line drawn between the extension lines. This is called forcing an internal line and is illustrated above.

You can draw several different styles of diameter dimensions depending on the dimension text horizontal settings and whether you select Force Line Inside.

The rightmost illustration shows a combination of fit and orientation settings. The Text and Arrows and the Inside Horizontal options are both selected. The resulting text is inside the extension lines and forced to remain horizontal instead of aligning with the dimension line. (For a description of orientation settings, see Controlling the Orientation of Dimension Text.)

In the leftmost diameter dimension, AutoCAD LT places the text outside the circle and draws a leader line from the text to the circumference of the circle when DIMUPT is on and DIMFIT is 0. Because Center Mark is selected, a center mark is drawn inside the circle. In this case, the text is placed horizontally with no forced interior lines for the dimension line.


Fitting Text Using the Fit Options

To force an internal line and choose a fit option

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Format.
  3. In the Format dialog box, select Force Line Inside.
  4. Under Fit, select an option.
  5. Choose OK to exit each dialog box.

Dimension toolbar:
Command line equivalent: DDIM


Fitting Text Using the Fit Options

Commands

DDIM Creates and modifies dimension styles

System Variables

DIMFIT | Controls the placement of text and arrowheads inside or outside extension lines based on the available space between the extension lines
DIMUPT | Controls cursor functionality for dimension text
DIMTOFL | When turned on, draws a dimension line between the extension lines even when the text is placed outside the extension lines


Fitting Text and Arrowheads by Changing Their Size

You can fit text and arrowheads by changing their size yourself. The following illustration shows the features of the dimension line and text that affect the text and arrowhead fit.

You need room for two arrowheads, two pieces of dimension line, two text gaps, and the text. Each arrowhead and each piece of dimension line must be at least as large as the text gap. The Oblique and None arrowhead types have zero width and are therefore useful when space is limited. When you place the text above the dimension line, the text gap is not required. A basic formula for determining the space required for dimension text centered within the dimension line and inside the extension lines is as follows:

minimum width=2X(feature scaling) x (text gap + arrowhead size) + effective text width

The effective text width is the size of the intersection of the dimension line with a box surrounding the dimension text, sometimes called a bounding box. The box is the size of the dimension text plus the text gap around that text. This box is identical to the box drawn around a basic dimension.

For simple vertical dimensions with no text rotation, the effective text width is twice the text gap plus the text height. The illustration below shows the effective text width when text has been rotated. In this case, basic dimensions have been used to outline the box surrounding the dimension text.

The simplest way to fit the text within extension lines is to reduce the size of the text gap or the arrowhead. Another method is to reduce the overall dimension scale. You can also rotate the dimension text so that its orientation is close to perpendicular to the dimension line. Also, you can reduce the length of the text itself by adjusting the appropriate unit settings or by using a text style that specifies a text width factor of less than one (for example, 0.8).

See Also
Setting the Scale for Dimensions
Controlling the Appearance of Dimension Text


Fitting Text and Arrowheads by Changing Their Size

No entries.


Fitting Text and Arrowheads by Changing Their Size

Commands

No entries.

System Variables

No entries.


Controlling the Orientation of Dimension Text

Whether text is inside or outside the extension lines, you can choose whether it is aligned with the dimension line or remains horizontal. The following examples show two combinations of these options.

The AutoCAD LT default is horizontal dimension text, even for vertical dimensions.


Controlling the Orientation of Dimension Text

To align text with the dimension line

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Format.
  3. In the Format dialog box under Text, clear the Inside Horizontal box.

    With this option turned off, text that is inside the extension lines is aligned with the dimension line. The image tile reflects this setting.

  4. Clear the Outside Horizontal box, or click the image tile to toggle the settings. With this option turned off, text that is outside the extension lines is aligned with the dimension line.
  5. Choose OK to exit each dialog box.

Dimension toolbar:
Command line equivalent: DDIM


Controlling the Orientation of Dimension Text

Commands

DIMTEDIT Moves and rotates dimension text

System Variables

DIMTIH | Controls the position of dimension text inside the extension lines for all dimension types except ordinate dimensions
DIMTOH | When turned on, controls the position of dimension text outside the extension lines


Positioning Dimension Text Horizontally

The position of the text along the dimension line in relation to the extension lines is referred to as horizontal justification. To place text yourself when you create a dimension, use the User Defined option. Use the Horizontal Justification options to automatically place text at the center of the dimension line, at either extension line, or over either extension line. The vertical justification settings determine where the text appears in relation to the dimension line.

When text is at either extension line, it can be either vertical or horizontal. When it is over an extension line, it is always aligned with the extension line. The illustration shows the difference between the Centered and Above vertical justification options when text is placed above the first extension line.

First and second extension lines are defined by the order in which you specified the extension line origins when you created the dimension. For angular dimensions, the second extension line is counterclockwise from the first. In the following illustrations, 1 is the first extension line origin and 2 the second.

With the User Defined option, you can place the dimension text anywhere along the dimension line, inside or outside the extension lines, as you create the dimension. This option provides flexibility and is especially useful when space is limited. However, the Horizontal Justification options provide better accuracy and consistency between dimensions.

See Also
Justifying Dimension Text Vertically


Positioning Dimension Text Horizontally

To place text at the second extension line
To place text with the User Defined option


Positioning Dimension Text Horizontally

Commands

DIMTEDIT Moves and rotates dimension text

System Variables

DIMJUST | Controls horizontal dimension text position
DIMUPT | Controls cursor functionality for dimension text


Justifying Dimension Text Vertically

The position of the text relative to the dimension line is referred to as vertical justification. Text can be placed above or below or centered within the dimension line. In the ANSI standards, centered text usually splits the dimension line. In the ISO standards, it is usually above or outside the dimension line. For example, ISO standards permit angular dimension text to appear in any of the ways shown.

Other settings, such as Inside Horizontal and Outside Horizontal, affect the vertical justification of text. For example, if Inside Horizontal is selected, text inside the extension lines and centered within the dimension line is horizontal, as shown in the leftmost illustration above. The text is horizontal even if the dimension line is not itself horizontal.

If Inside Horizontal is selected, text above the dimension line appears as shown in the following illustrations.

See Also
Positioning Dimension Text Horizontally


Justifying Dimension Text Vertically

To place text above the dimension line

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Format.
  3. In the Format dialog box under Vertical Justification, select Above.

    The image tile reflects the selection.

  4. Choose OK to exit each dialog box.

Dimension toolbar:
Command line equivalent: DDIM


Justifying Dimension Text Vertically

Commands

DDIM | Creates and modifies dimension styles
DIMTEDIT | Moves and rotates dimension text

System Variables

DIMTAD | Controls vertical position of text in relation to the dimension line
DIMTVP | Adjusts the vertical position of dimension text above or below the dimension line


Fitting Text Within Extension Lines

Controlling Dimension Format

To force an internal line and choose a fit option
To align text with the dimension line
To place text at the second extension line
To place text with the User Defined option
To place text above the dimension line


Fitting Text Within Extension Lines

Controlling Dimension Format

Commands

DDIM | Creates and modifies dimension styles
DIMTEDIT | Moves and rotates dimension text

System Variables

DIMFIT | Controls the placement of text and arrowheads inside or outside extension lines based on the available space between the extension lines
DIMJUST | Controls horizontal dimension text position
DIMTAD | Controls vertical position of text in relation to the dimension line
DIMTIH | Controls the position of dimension text inside the extension lines for all dimension types except ordinate dimensions
DIMTOFL | When turned on, draws a dimension line between the extension lines even when the text is placed outside the extension lines
DIMTOH | When turned on, controls the position of dimension text outside the extension lines
DIMTVP | Adjusts the vertical position of dimension text above or below the dimension line
DIMUPT | Controls cursor functionality for dimension text


Controlling Dimension Annotation

AutoCAD LT supports a mixture of user-supplied text, prefixes and suffixes supplied by the dimension style, and AutoCAD LT-generated measurements. For example, you could add a diameter symbol as a prefix to a measurement or add the word form for a unit, such as mm, as a suffix. Text in this context refers to all dimension text, prefixes and suffixes, primary and alternate units, and lateral tolerances. Geometric tolerances are controlled independently. See Adding Geometric Tolerances.

Dimension text is treated as a single string of text, which you create and format using your text editor.

Controlling the Display of Primary Units
Controlling the Display of Alternate Units
Supplying User Text to Dimensions
Suppressing Zeros in Primary and Alternate Units
Adding Lateral Tolerances
Formatting Lateral Tolerances
Controlling the Appearance of Dimension Text
Rounding Off Dimension Values


Controlling the Display of Primary Units

The setting for primary units controls the display of the dimension values. For example, you can enter the diameter symbol as a prefix, as shown in the illustration. Any prefix you specify replaces the prefixes normally used for diameter and radius dimensions (Ø and R, respectively).


Controlling the Display of Primary Units

To add and format primary units

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Annotation.
  3. In the Annotation dialog box under Primary Units, choose Units.
  4. In the Primary Units dialog box under Units, select a unit type from the list of dimension types. For angular dimensions, select an angle type from the Angles list.
  5. Under Dimension, select a precision value for the primary units.
  6. Choose OK.
  7. In the Annotation dialog box under Primary Units, enter any prefix and suffix for the displayed dimension, and choose OK.

Dimension toolbar:
Command line equivalent: DDIM


Controlling the Display of Primary Units

Commands

DDIM | Creates and modifies dimension styles
DIMLINEAR | Creates linear dimensions

System Variables

DIMAUNIT | Sets the angle format for angular dimensions
DIMDEC | Sets the number of digits displayed to the right of the decimal point for the primary units dimension
DIMLFAC | Sets a global scale factor for linear dimensioning measurements
DIMPOST | Specifies a text prefix or suffix (or both) to the dimension measurement
DIMTDEC | Sets the number of digits displayed to the right of the decimal point for the tolerance values of the primary units in a dimension
DIMUNIT | Sets the units format for all dimension style family members except angular


Controlling the Display of Alternate Units

You can create dimensions in two systems of measurement simultaneously. A common use of this feature is to add feet and inches dimensions to drawings created in metric. The alternate units appear in square brackets ([ ]) in the dimension text. Alternate units cannot be applied to angular dimensions.

If alternate units dimensioning is on when you edit a linear dimension, the measurement is multiplied by an alternate scale value that you specify. This value represents the number of alternate units per current unit of measurement. The default value is 25.4, which is the number of millimeters per inch. The number of decimal places is specified by the precision value for alternate units.

For example, if the alternate scale setting is the default value, 25.4, and the alternate precision is 0.00, the dimension might look like the following figure.


Controlling the Display of Alternate Units

To add and format alternate units

  1. From the Format menu, choose Dimension Style.
  2. In the Dimension Styles dialog box, choose Annotation.
  3. In the Annotation dialog box under Alternate Units, select Enable Units and choose Units.
  4. In the Alternate Units dialog box under Units, select a unit type from the list of dimension types.
  5. Under Dimension, select a precision value for the alternate units.
  6. Under Scale, set the unit scale factor for alternate units. Then choose OK.
  7. In the Annotation dialog box under Alternate Units, enter any prefix and suffix for the displayed dimension, including a space character if you want a gap between the dimension and the prefix or suffix. Choose OK.

Dimension toolbar:
Command line equivalent: DDIM


Controlling the Display of Alternate Units

Commands

DDIM Creates and modifies dimension styles

System Variables

DIMALTD | Controls alternate units decimal places
DIMALTF | Controls scale factor in alternate units
DIMALTTD | Sets the number of digits displayed to the right of the decimal point for the tolerance values of alternate units dimensions
DIMALTU | Sets the units format for alternate units of all dimension style family members except angular
DIMAPOST | Specifies a text prefix or suffix (or both) to the alternate dimension measurement for all types of dimensions except angular


Supplying User Text to Dimensions

In addition to the prefixes and suffixes specified for primary and alternate units, you can supply your own text as you create a dimension. Because the prefix, suffix, and user-supplied text form a single text string, you can represent tolerance stacks and apply changes to font, text size, and other characteristics using the text editor.

To add user text above and below the dimension line, use the separator symbol \X. Text that precedes this symbol is aligned with and above the dimension line. Text that follows the \X symbol is aligned with and below the dimension line. The space between the dimension line and the text is determined by the value you enter under Gap in the Annotation dialog box. The symbol \P acts as a paragraph break.

Example: User Text in Dimensions


Supplying User Text to Dimensions

To add user text as you create a dimension

  1. From the Dimension menu, choose Linear.
  2. Press ENTER to select the object to dimension, or specify the first and second extension line origins.
  3. Enter m (Mtext).

    The Multiline Text Editor dialog box inserts angle brackets (<>).

  4. In the text editor, enter the format string for the text.

    To add a prefix, insert text before the brackets; to add a suffix, insert text after the brackets; to replace the dimension text supplied by AutoCAD LT, insert text between the angle brackets.

  5. Choose OK to exit the text editor.
  6. To complete the dimension, specify the dimension line location.

Dimension toolbar:
Command line equivalent: DIMLINEAR


Supplying User Text to Dimensions

Commands

DIMLINEAR Creates linear dimensions

System Variables

DIMGAP Sets the distance around the dimension text when you break the dimension line to accommodate dimension text


Example: Supplying User Text to Dimensions

Example: User Text in Dimensions

In this example, the primary dimension measurement is 5.08, and the alternate dimension measurement is 2.00. The primary units have the suffix H7/h6, and the alternate units have the suffix inches.

At the text prompt, while creating the dimension, you enter the format string

<> H7/h6\XSee Note 26\P[ ]

The angle brackets represent the primary units, and the square brackets represent the alternate units. The \X separates text above the dimension line from text below the dimension line. The \P is a paragraph break.

The resulting text appears as follows:


Suppressing Zeros in Primary and Alternate Units

If you suppress leading zeros in decimal dimensions, 0.500 becomes .500. If you suppress trailing zeros, 0.500 becomes 0.5. You can suppress both leading and trailing zeros so that 0.5000 becomes .5 and 0.0000 becomes 0.

Example: Suppression of Zeros in Feet and Inches Dimension Text


Suppressing Zeros in Primary and Alternate Units

To suppress zeros in dimension values

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Annotation.
  3. In the Annotation dialog box under Primary Units or Alternate Units, choose Units
  4. In the Primary Units or Alternate Units dialog box under Zero Suppression, select from the following:
    • Leading suppresses leading zeros in decimal values.
    • Trailing suppresses trailing zeros in decimal values.
    • 0 Feet suppresses display of 0 feet in feet and inches values.
    • 0 Inches suppresses display of 0 inches in feet and inches values.
  5. Choose OK to exit each dialog box.

Dimension toolbar:
Command line equivalent: DDIM


Suppressing Zeros in Primary and Alternate Units

Commands

DDIM Creates and modifies dimension styles

System Variables

DIMALTTZ | Toggles suppression of zeros for tolerance values
DIMALTZ | Controls suppression of zeros for alternate unit dimension values
DIMZIN | Controls the suppression of the primary unit value


Example: Suppressing Zeros in Feet and Inches Dimension Text

Example: Suppression of Zeros in Feet and Inches Dimension Text

The table shows the effect of selecting each option and provides examples of the architectural units style. If feet are included with a fractional inch, the number of inches is indicated as zero, no matter which option you select. Thus, a dimension like 4'-3/4" is edited to 4'-0 3/4".

Option | Effect | Examples |  |  |
0 Feet and 0 Inches selected | Suppresses zero feet and zero inches | 1/2" | 6" | 1' | 1'-0 3/4"
No Options selected | Includes zero feet and zero inches | 0'-0 1/2" | 0'-6" | 1'-0" | 1'-0 3/4"
0 Inches selected | Suppresses zero inches (includes zero feet) | 0'-0 1/2" | 0'-6" | 1' | 1'-0 3/4"
0 Feet selected | Suppresses zero feet (includes zero inches) | 1/2" | 6" | 1'-0" | 1'-0 3/4"


Adding Lateral Tolerances

A lateral tolerance specifies the amount by which a dimension can vary. By specifying tolerances in manufacturing, you can control the degree of accuracy needed for a feature. A feature is some aspect of a part, such as a point, line, axis, or surface.

You can apply tolerances directly to a dimension by appending the tolerances to the dimension text. These dimension tolerances indicate the largest and smallest permissible size of the dimension. You can also apply geometric tolerances, which indicate deviations of form, profile, orientation, location, and runout (see Adding Geometric Tolerances).

Lateral tolerances can be specified from theoretically exact measurements. These are called basic dimensions and have a box drawn around them.

If the dimension value can vary in both directions, the plus and minus values you supply are appended to the dimension value as deviation tolerances. If the deviation tolerance values are equal, AutoCAD LT displays them with a ± sign and they are known as symmetrical. Otherwise, the plus value goes above the minus value.

If the tolerances are applied as limits, AutoCAD LT uses the plus and minus values you supply to calculate a maximum and minimum value. These values replace the dimension value. If you specify limits, the upper limit goes above the lower.


Adding Lateral Tolerances

To specify limits in lateral tolerances

  1. From the Format menu, choose Dimension Style.
  2. In the Dimension Styles dialog box, choose Annotation.
  3. In the Annotation dialog box under Tolerance, select Limits from the Method list.
  4. Enter the upper tolerance deviation.
  5. Enter the lower tolerance deviation.

    If you choose Symmetrical tolerances from the Method list, Lower Value is not available, because you need only one tolerance value.

  6. If you choose Basic, enter the gap between the text and its enclosing box under Text.
  7. Choose OK to exit each dialog box.

Dimension toolbar:
Command line equivalent: DDIM


Adding Lateral Tolerances

Commands

DDIM Creates and modifies dimension styles

System Variables

DIMGAP | Sets the distance around the dimension text when you break the dimension line to accommodate dimension text
DIMLIM | When turned on, generates dimension limits as the default text
DIMTDEC | Sets the number of digits displayed to the right of the decimal point for the tolerance values of the primary units in a dimension
DIMTFAC | Specifies a scale factor for text height of tolerance values relative to the dimension text height as set by DIMTXT
DIMTM | Sets the minimum (or lower) tolerance limit for dimension text when DIMTOL or DIMLIM is on
DIMTOL | When turned on, appends dimension tolerances to dimension text
DIMTOLJ | Sets the vertical justification for tolerance values relative to the nominal dimension text
DIMTP | Sets the maximum (or upper) tolerance limit for dimension text when DIMTOL or DIMLIM is on


Formatting Lateral Tolerances

You can control the vertical placement of tolerance values relative to the main dimension text. Tolerances can align with the top, middle, or bottom of the dimension text.

You can also control zero suppression as you can with the primary and alternate units. Suppressing zeros in lateral tolerances has the same effect as suppressing them in the primary and alternate units. If you suppress leading zeros, 0.5 becomes .5, and if you suppress trailing zeros, 0.5000 becomes 0.5.


Formatting Lateral Tolerances

To justify and suppress zeros in tolerance values

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Annotation.
  3. In the Annotation dialog box under Tolerance, select the justification from the Justification list.
  4. To suppress zeros in primary units, choose Units under Primary Units. To suppress zeros in alternate units, choose Units under Alternate Units.
  5. In the Primary Units or Alternate Units dialog box under Zero Suppression, select Leading to suppress leading zeros. Select Trailing to suppress trailing zeros.
  6. Choose OK to exit each dialog box.

Dimension toolbar:
Command line equivalent: DDIM


Formatting Lateral Tolerances

Commands

DDIM Creates and modifies dimension styles

System Variables

DIMTOLJ | Sets the vertical justification for tolerance values relative to the nominal dimension text
DIMTZIN | Controls the suppression of zeros for tolerance values
DIMALTTZ | Toggles suppression of zeros for tolerance values


Controlling the Appearance of Dimension Text

The appearance of dimension text is governed by the text style selected in the Annotation dialog box. You can choose a text style while creating a dimension style and specify a text color and a height independent of the current text style's height setting. You can also specify the gap between base dimension text and the box that surrounds it.

The text styles used for dimensions are the same text styles used by all text created in your drawing.

See Also
Working with Text Styles


Controlling the Appearance of Dimension Text

To control the text style in dimensions

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Annotation.
  3. In the Annotation dialog box under Text, select a text style from the Style list.
  4. If the current text style does not have a fixed height, enter the height of dimension text in the Height box.
  5. Under Tolerance, select Symmetrical, Deviation, or Limits in the Method box.
  6. Under Tolerance, enter a height for tolerance values in the Height box.
  7. Under Text, enter a value for the gap around base dimension text.
  8. Choose Color to select a color from the Select Color dialog box. Then choose OK to return to the Annotation dialog box.
  9. Choose OK to exit each dialog box.

Dimension toolbar:
Command line equivalent: DDIM


Controlling the Appearance of Dimension Text

Commands

DDIM Creates and modifies dimension styles

System Variables

DIMCLRT | Assigns colors to dimension text
DIMGAP | Sets the distance around the dimension text when you break the dimension line to accommodate dimension text
DIMTFAC | Specifies a scale factor for text height of tolerance values relative to the dimension text height as set by DIMTXT
DIMTXSTY | Specifies the text style of the dimension
DIMTXT | Specifies the height of dimension text, unless the current text style has a fixed height


Rounding Off Dimension Values

You can round off all dimension values except those for angular dimensions. For example, if you specify a round-off value of 0.25, all distances are rounded to the nearest 0.25 unit. The number of digits displayed after the decimal point depends on the precision set for primary and alternate units and lateral tolerance values.


Rounding Off Dimension Values

To round off dimension values

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Annotation.
  3. In the Annotation dialog box under Round Off, enter the round-off value.
  4. Choose OK.

Dimension toolbar:
Command line equivalent: DDIM


Rounding Off Dimension Values

Commands

DDIM Creates and modifies dimension styles

System Variables

DIMRND Rounds all dimensioning distances to the specified value


Controlling Dimension Annotation

To add and format primary units
To add and format alternate units
To add user text as you create a dimension
To suppress zeros in dimension values
To specify limits in lateral tolerances
To justify and suppress zeros in tolerance values
To control the text style in dimensions
To round off dimension values


Controlling Dimension Annotation

Commands

DDIM | Creates and modifies dimension styles
DIMLINEAR | Creates linear dimensions

System Variables

DIMALTD | Controls alternate units decimal places
DIMALTTD | Sets the number of digits displayed to the right of the decimal point for the tolerance values of alternate units dimensions
DIMALTU | Sets the units format for alternate units of all dimension style family members except angular
DIMALTTZ | Toggles suppression of zeros for tolerance values
DIMAPOST | Specifies a text prefix or suffix (or both) to the alternate dimension measurement for all types of dimensions except angular
DIMAUNIT | Sets the angle format for angular dimensions
DIMCLRT | Assigns colors to dimension text
DIMDEC | Sets the number of digits displayed to the right of the decimal point for the primary units dimension
DIMLFAC | Sets a global scale factor for linear dimensioning measurements
DIMGAP | Sets the distance around the dimension text when you break the dimension line to accommodate dimension text
DIMLIM | When turned on, generates dimension limits as the default text
DIMPOST | Specifies a text prefix or suffix (or both) to the dimension measurement
DIMRND | Rounds all dimensioning distances to the specified value
DIMTDEC | Sets the number of digits displayed to the right of the decimal point for the tolerance values of the primary units in a dimension
DIMTFAC | Specifies a scale factor for text height of tolerance values relative to the dimension text height as set by DIMTXT
DIMTM | Sets the minimum (or lower) tolerance limit for dimension text when DIMTOL or DIMLIM is on
DIMTOL | When turned on, appends dimension tolerances to dimension text
DIMTOLJ | Sets the vertical justification for tolerance values relative to the nominal dimension text
DIMTP | Sets the maximum (or upper) tolerance limit for dimension text when DIMTOL or DIMLIM is on
DIMTXSTY | Specifies the text style of the dimension
DIMTXT | Specifies the height of dimension text, unless the current text style has a fixed height
DIMTZIN | Controls the suppression of zeros for tolerance values


Modifying Dimension Styles

To list all dimension variables for the current dimension style
To list variables affected by an existing dimension style
To list dimension styles in the current drawing
To compare dimension styles
To modify the display of dimension lines
To modify the display of extension lines
To choose an arrowhead
To use your own arrowhead symbol
To force an internal line and choose a fit option
To align text with the dimension line
To place text at the second extension line
To place text with the User Defined option
To place text above the dimension line
To add and format primary units
To add and format alternate units
To add user text as you create a dimension
To suppress zeros in dimension values
To specify limits in lateral tolerances
To justify and suppress zeros in tolerance values
To control the text style in dimensions
To round off dimension values


Modifying Dimension Styles

Commands

BLOCK | Creates a block definition from a set of objects
BMAKE | Defines a block using a dialog box
DDIM | Creates and modifies dimension styles
DIMLINEAR | Creates linear dimensions
DIMSTYLE | Creates and modifies dimension styles on the command line
DIMTEDIT | Moves and rotates dimension text
WBLOCK | Writes objects to a new drawing file

System Variables

DIMALTD | Controls alternate units decimal places
DIMALTF | Controls scale factor in alternate units
DIMALTTD | Sets the number of digits displayed to the right of the decimal point for the tolerance values of alternate units dimensions
DIMALTU | Sets the units format for alternate units of all dimension style family members except angular
DIMALTTZ | Toggles suppression of zeros for tolerance values
DIMAPOST | Specifies a text prefix or suffix (or both) to the alternate dimension measurement for all types of dimensions except angular
DIMASZ | Controls the size of dimension line and leader line arrowheads
DIMBLK | Sets the name of a block to be drawn instead of the normal arrowhead at the ends of the dimension line or leader line
DIMBLK1 | If DIMSAH is on, DIMBLK1 specifies user-defined arrowhead blocks for the first end of the dimension line
DIMBLK2 | If DIMSAH is on, DIMBLK2 specifies user-defined arrowhead blocks for the second end of the dimension line
DIMAUNIT | Sets the angle format for angular dimensions
DIMCLRT | Assigns colors to dimension text
DIMDEC | Sets the number of digits displayed to the right of the decimal point for the primary units dimension
DIMFIT | Controls the placement of text and arrowheads inside or outside extension lines based on the available space between the extension lines
DIMGAP | Sets the distance around the dimension text when you break the dimension line to accommodate dimension text
DIMJUST | Controls horizontal dimension text position
DIMDLE | Extends the dimension line beyond the extension line when oblique strokes are drawn instead of arrowheads
DIMEXE | Determines how far to extend the extension line beyond the dimension line
DIMEXO | Determines how far extension lines are offset from origin points
DIMLFAC | Sets a global scale factor for linear dimensioning measurements
DIMLIM | When turned on, generates dimension limits as the default text
DIMPOST | Specifies a text prefix or suffix (or both) to the dimension measurement
DIMRND | Rounds all dimensioning distances to the specified value
DIMSAH | Controls use of user-defined arrowhead blocks at the ends of the dimension line
DIMSD1 | When turned on, suppresses the display of the dimension line and arrowhead between the first extension line and the text
DIMSD2 | When turned on, suppresses the display of the dimension line and arrowhead between the second extension line and the text
DIMTSZ | Specifies the size of oblique strokes drawn instead of arrowheads for linear, radius, and diameter dimensioning
DIMTAD | Controls vertical position of text in relation to the dimension line
DIMTDEC | Sets the number of digits displayed to the right of the decimal point for the tolerance values of the primary units in a dimension
DIMTFAC | Specifies a scale factor for text height of tolerance values relative to the dimension text height as set by DIMTXT
DIMTIH | Controls the position of dimension text inside the extension lines for all dimension types except ordinate dimensions
DIMTM | Sets the minimum (or lower) tolerance limit for dimension text when DIMTOL or DIMLIM is on
DIMTOL | When turned on, appends dimension tolerances to dimension texts
DIMTOFL | When turned on, draws a dimension line between the extension lines even when the text is placed outside the extension lines
DIMTOH | When turned on, controls the position of dimension text outside the extension lines
DIMTOLJ | Sets the vertical justification for tolerance values relative to the nominal dimension text
DIMTP | Sets the maximum (or upper) tolerance limit for dimension text when DIMTOL or DIMLIM is on
DIMTVP | Adjusts the vertical position of dimension text above or below the dimension line
DIMUPT | Controls cursor functionality for dimension text
DIMTXSTY | Specifies the text style of the dimension
DIMTXT | Specifies the height of dimension text, unless the current text style has a fixed height
DIMTZIN | Controls the suppression of zeros for tolerance values


Setting the Scale for Dimensions

Dimension scale affects the size of the dimension geometry relative to the objects in the drawing, and it should be set according to the intended plot scaling. Dimension scale affects sizes, such as text height and arrowhead size, and offsets, such as the extension line origin offset. You should set these sizes and offsets to values that represent their actual plotted size. Dimension scale does not apply the overall scale factor to tolerances or measured lengths, coordinates, or angles.

Setting dimension scale depends on how you lay out your drawing. There are three methods used to create dimensions in a drawing layout:

  • Dimensioning in model space for plotting in model space. This is the traditional method used with single view drawings. For more information, see Scaling Text and Dimensions (MSPACE).
  • Dimensioning in model space for plotting in paper space. This is the preferred method for complex, multiple-view drawings.
  • Dimensioning in paper space. This is an easy method used when associative dimensioning is not required and when the dimensions will not be referenced by other drawings (xrefs). For more information, see Scaling Text and Dimensions (PSPACE).


Setting Dimension Scale

Setting the Scale for Dimensions

To set the overall dimension scale
To set the dimension scale for paper space
To set dimension scale for creating dimensions in paper space


Setting the Scale for Dimensions-1

Setting the Scale for Dimensions

To set the overall dimension scale

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Geometry.
  3. In the Geometry dialog box under Scale, enter a value for the overall scale.
  4. Choose OK to exit each dialog box.

Dimension toolbar:
Command line equivalent: DDIM


Setting the Scale for Dimensions-2

Setting the Scale for Dimensions

To set the dimension scale for paper space

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Geometry.
  3. In the Geometry dialog box under Scale, enter a value for the overall scale.
  4. Set the scale based on the scaling between the current model space viewport and paper space by selecting Scale to Paper Space.
  5. Choose OK to exit each dialog box.

Dimension toolbar:
Command line equivalent: DDIM


Setting the Scale for Dimensions-3

Setting the Scale for Dimensions

To set dimension scale for creating dimensions in paper space

  1. To make sure that Tile mode is set to 0, choose Paper Space from the View menu.
  2. At the Command prompt, enter dim.
  3. Enter dimlfac.
  4. At the Current Value prompt, enter v (Viewport).
  5. Select the viewport whose scale you want to use by clicking its border.
  6. To create dimensions in paper space with the correct model space dimension values, use object snap modes to snap to points in model space from paper space. Dimensioning by object selection is not available in paper space, thus you need to use object snaps instead.

AutoCAD LT calculates the scaling of model space to paper space and assigns the negative of this value to the DIMLFAC dimensioning system variable.


Setting the Scale for Dimensions

Commands

DIM Accesses Dimensioning mode

System Variables

DIMLFAC | Sets a global scale factor for linear dimensioning measurements
DIMSCALE | Sets the overall scale factor applied to dimensioning variables that specify sizes, distances, or offsets


Creating Dimensions

As shown in the following illustration, you can create dimensions by selecting an object to dimension (1) and specifying the dimension line location (2).

You can also create dimensions by specifying the extension line origins. By default, for lines, polyline segments, and arcs, extension lines originate at the endpoints. For circles, the endpoints of the diameter are used at the specified angle.


Creating Linear Dimensions

Linear dimensions can be horizontal, vertical, or aligned. With aligned dimensions, the dimension line is parallel to the line (imaginary or real) between the extension line origins. Baseline (or parallel) and continued (or chain) dimensions are series of consecutive dimensions that are based on a linear dimension.

As you create linear dimensions, you can modify the content of the text, the angle of the text, or the angle of the dimension line. You can also place text in any location using the User Defined option in the Format dialog box of the DDIM command.

In all four illustrations, the extension line origins are designated explicitly at 1 and 2, respectively. The dimension line location is specified at 3.

Creating Horizontal and Vertical Dimensions
Creating Aligned Dimensions
Creating Baseline and Continued Dimensions
Creating Rotated Dimensions
Creating Dimensions with Oblique Extension Lines


Creating Horizontal and Vertical Dimensions

AutoCAD LT automatically applies a horizontal or vertical dimension according to the extension line origins that you specify or the point where you select an object. However, you can override this as you create the dimension by specifying that a dimension be horizontal or vertical. For example, in the following illustration, a horizontal dimension is drawn by default unless you specify a vertical one.


Creating Horizontal and Vertical Dimensions

To create a horizontal or vertical dimension

  1. From the Dimension menu, choose Linear.
  2. Press ENTER to select the object to dimension, or specify the first and second extension line origins.
  3. Before specifying the dimension line location, you can override the dimension direction and edit the text, the text angle, or the dimension line angle:
    • To rotate the extension lines, enter r (Rotated). Then enter the dimension line angle.
    • To edit the text, enter mtext. In the Multiline Text Editor dialog box, revise the text and choose OK. Editing within or overwriting the brackets (<>) will change or remove the dimension value calculated by AutoCAD LT. Adding text before or after the brackets will append text before or after the dimension value.
    • To rotate the text, enter a (Angle). Then enter the text angle.
  4. Specify the dimension line location to complete the dimension.

Dimension toolbar:
Command line equivalent: DIMLINEAR


Creating Horizontal and Vertical Dimensions

Commands

DIMLINEAR Creates linear dimensions

System Variables

No entries.


Creating Aligned Dimensions

In aligned dimensions, the dimension line is parallel to the extension line origins. The illustration shows two examples of aligned dimensioning. The object is selected (1), and the location of the aligned dimension is specified (2). The extension lines are drawn automatically.

For the circle, the endpoints of the diameter are the origins of the extension lines. The point where you select the circle defines one end of the diameter. You can also specify two points on the circle to define extension line origins.


Creating Aligned Dimensions

To create an aligned dimension

  1. From the Dimension menu, choose Aligned.
  2. Press ENTER to select the object to dimension, or specify the first and second extension line origins.
  3. Before specifying the dimension line location, you can override the dimension direction and edit the text, the text angle, or the dimension line angle:
    • To rotate the extension lines, enter r (Rotated). Then enter the dimension line angle.
    • To edit the text, enter mtext. In the Multiline Text Editor dialog box, revise the text and choose OK. Editing within or overwriting the brackets (<>) will change or remove the dimension value calculated by AutoCAD LT. Adding text before or after the brackets will append text before or after the dimension value.
    • To rotate the text, enter a (Angle). Then enter the text angle.
  4. Specify the dimension line location.

Dimension toolbar:
Command line equivalent: DIMALIGNED


Creating Aligned Dimensions

Commands

DIMALIGNED Creates an aligned linear dimension

System Variables

No entries.


Creating Baseline and Continued Dimensions

Baseline dimensions are multiple dimensions measured from the same baseline. Continued dimensions are multiple dimensions placed end to end. You must create a linear, aligned, or angular dimension before you create baseline or continued dimensions. You create baseline dimensions incrementally from the most recently created dimension in the current session.

Both baseline and continued dimensions are measured from the previous extension line, unless you specify another point as the point of origin.


Creating Baseline and Continued Dimensions

To create a baseline linear dimension
To create a continued linear dimension


Creating Baseline and Continued Dimensions

Commands

DDIM | Creates and modifies dimension styles
DIMBASELINE | Continues a linear, angular, or ordinate dimension from the baseline of the previous or selected dimension
DIMCONTINUE | Continues a linear, angular, or ordinate dimension from the second extension line of the previous or a selected dimension

System Variables

DIMDLI Controls the dimension line spacing for baseline dimensions


Creating Rotated Dimensions

In rotated dimensions, the dimension line is placed at an angle to the extension line origins. The illustrations show examples of rotated dimensioning.


Creating Rotated Dimensions

To create a rotated dimension

  1. From the Dimension menu, choose Linear.
  2. Press ENTER to select the object to dimension, or specify the first and second extension line origins.
  3. To rotate the dimension line, enter r (Rotated). Then enter the dimension line angle.
  4. Specify the dimension line location.

Dimension toolbar:
Command line equivalent: DIMLINEAR


Creating Rotated Dimensions

Commands

DIMALIGNED | Creates an aligned linear dimension
DIMLINEAR | Creates linear dimensions

System Variables

No entries.


Creating Dimensions with Oblique Extension Lines

AutoCAD LT creates extension lines perpendicular to the dimension line. However, if the extension lines conflict with other objects in a drawing, you can change their angle.

New dimensions are not affected when you make an existing dimension oblique.


Creating Dimensions with Oblique Extension Lines

To make extension lines oblique

  1. From the Dimension menu, choose Oblique.
  2. Select the dimension.
  3. Enter the angle of obliqueness directly or by specifying two points.

Dimension toolbar:
Command line equivalent: DIMEDIT


Creating Dimensions with Oblique Extension Lines

Commands

DIMEDIT Edits dimensions

System Variables

No entries.


Creating Linear Dimensions

To create a horizontal or vertical dimension
To create an aligned dimension
To create a baseline linear dimension
To create a continued linear dimension
To create a rotated dimension
To make extension lines oblique


Creating Linear Dimensions

Commands

DDIM | Creates and modifies dimension styles
DIMALIGNED | Creates an aligned linear dimension
DIMBASELINE | Continues a linear, angular, or ordinate dimension from the baseline of the previous or selected dimension
DIMCONTINUE | Continues a linear, angular, or ordinate dimension from the second extension line of the previous or a selected dimension
DIMLINEAR | Creates linear dimensions
DIMEDIT | Edits dimensions

System Variables

DIMDLI Controls the dimension line spacing for baseline dimensions


Creating Radial Dimensions

Radial dimensions measure the radii and diameters of arcs and circles with optional centerlines or a center mark. If the Fit option of the current dimension style is Leader, the dimension is applied with a leader line.

Center marks and lines apply only to diameter and radius dimensions. They are drawn only if the dimension line is placed outside the circle or arc.

The size of the centerline refers to the length of the centerline segments extending from the center mark.

For more information about controlling the location of radial dimension text, see Fitting Text within Extension Lines.


Creating Radial Dimensions

To create a diameter dimension
To create a radius dimension
To create centerlines along with radial dimensions


Creating Radial Dimensions-1

Creating Radial Dimensions

To create a diameter dimension

  1. From the Dimension menu, choose Diameter.
  2. Select the arc or circle to dimension.
  3. Enter options as needed:
    • To edit the dimension text content, enter t or m. Editing within or overwriting the brackets (<>) will change or remove the dimension value calculated by AutoCAD LT. Adding text before or after the brackets will append text before or after the dimension value.
    • To edit the dimension text angle, enter a.
  4. Specify the leader line location.

Dimension toolbar:
Command line equivalent: DIMDIAMETER


Creating Radial Dimensions-2

Creating Radial Dimensions

To create a radius dimension

  1. From the Dimension menu, choose Radius.
  2. Select the arc or circle to dimension.
  3. Enter options as needed:
    • To edit the dimension text content, enter t or m. Editing within or overwriting the brackets (<>) will change or remove the dimension value calculated by AutoCAD LT. Adding text before or after the brackets will append text before or after the dimension value.
    • To edit the dimension text angle, enter a.
  4. Specify the leader line location.

Dimension toolbar:
Command line equivalent: DIMRADIUS


Creating Radial Dimensions-3

Creating Radial Dimensions

To create centerlines along with radial dimensions

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Geometry.
  3. In the Geometry dialog box under Center, select Line. The image tile shows a sample of the selection.
  4. Click the image tile to cycle through the Center options.
  5. In the Size box, enter the centerline size.

Dimension toolbar:
Command line equivalent: DIMCENTER


Creating Radial Dimensions

Commands

DIMCENTER | Creates the center mark or the center lines of circles and arcs
DIMDIAMETER | Creates diameter dimensions for circles and arcs
DIMRADIUS | Creates radial dimensions for circles and arcs

System Variables

DIMCEN | Controls drawing of circle or arc center marks and center lines
DIMFIT | Controls the placement of text and arrowheads inside or outside extension lines based on the available space between the extension lines


Creating Angular Dimensions

Angular dimensions measure the angle between two lines or three points. For example, you can use an angular dimension to measure the angle between two radii of a circle. The dimension line forms an arc.

To dimension a circle, you select the object and specify the angle endpoints. With other objects, you select the object(s) and then specify the dimension location. You can also dimension an angle by specifying the angle vertex and endpoints. As you create the dimension, you can modify the text content and angle before specifying the dimension line location.

Dimensioning Lines

If you use two straight, nonparallel lines to specify an angle, the dimension line arc spans the angle between the two lines. If the dimension line arc does not meet one or both of the lines being dimensioned, AutoCAD LT draws one or two extension lines to intersect the dimension line arc. The arc is always less than 180 degrees.

Dimensioning Circles and Arcs

If you use an arc or a circle or select three points to specify an angle, AutoCAD LT draws the dimension line arc between the extension lines. The extension lines are drawn from the angle endpoints to the intersection of the dimension line arc.

AutoCAD LT uses the location you specify for the dimension line arc to choose between the minor and major angles specified by the angle vertex and the extension lines.


Creating Angular Dimensions

To create an angular dimension

  1. From the Dimension menu, choose Angular.
  2. Use one of the following methods:
    • To dimension a circle, select the circle at the first endpoint of the angle. Then, specify the second endpoint of the angle.
    • To dimension any other object, select the first line, and then select the second line.
  3. Enter options as needed:
    • To edit the dimension text content, enter t or m. Editing within or overwriting the angle brackets (<>) will change or remove the dimension value calculated by AutoCAD LT. Adding text before or after the brackets will append text before or after the dimension value.
    • To edit the dimension text angle, enter a.
  4. Specify the dimension line arc location.

Dimension toolbar:
Command line equivalent: DIMANGULAR


Creating Angular Dimensions

Commands

DIMANGULAR Creates an angular dimension

System Variables

No entries.


Creating Ordinate Dimensions

Ordinate, or datum, dimensions measure the perpendicular distance from an origin point called the datum to a dimensioned feature, such as a hole in a part. These dimensions prevent escalating errors by maintaining accurate offsets of the features from the datum.

Ordinate dimensions consist of an X or Y value with a leader line. X-datum ordinate dimensions measure the distance of a feature from the datum along the X axis. Y-datum ordinate dimensions measure the distance along the Y axis. If you specify a point, AutoCAD LT automatically determines whether it is an X- or Y-datum ordinate dimension. This is called an automatic ordinate dimension. If the difference between the feature location and the leader endpoint is greater for the Y value, the dimension measures the X value. Otherwise, it measures the Y value. AutoCAD LT uses the absolute coordinate value of the current UCS to determine the ordinate values.

The dimension text is aligned with the ordinate leader line, regardless of the text orientation defined by the current dimension style. You can accept the default text or supply your own.


Creating Ordinate Dimensions

To create ordinate dimensions

  1. From the Dimension menu, choose Ordinate.
  2. At the Select Feature prompt, enter an object snap and specify a point location.
  3. If straight ordinate leaders are required, turn Ortho mode on.
  4. Enter x (X datum) or y (Y datum).
  5. Specify the ordinate leader endpoint.

You can skip step 5 by making sure that the ordinate leader endpoint is close to vertical for an X datum or close to horizontal for a Y datum.

Dimension toolbar:
Command line equivalent: DIMORDINATE


Creating Ordinate Dimensions

Commands

No entries.

System Variables

No entries.


Creating Dimensions

To create a horizontal or vertical dimension
To create an aligned dimension
To create a baseline linear dimension
To create a continued linear dimension
To create a rotated dimension
To make extension lines oblique
To create a diameter dimension
To create a radius dimension
To create centerlines along with radial dimensions
To create an angular dimension
To create ordinate dimensions


Creating Dimensions

Commands

DDIM | Creates and modifies dimension styles
DIMANGULAR | Creates an angular dimension
DIMBASELINE | Continues a linear, angular, or ordinate dimension from the baseline of the previous or selected dimension
DIMCENTER | Creates the center mark or the center lines of circles and arcs
DIMCONTINUE | Continues a linear, angular, or ordinate dimension from the second extension line of the previous or a selected dimension
DIMDIAMETER | Creates diameter dimensions for circles and arcs
DIMLINEAR | Creates linear dimensions
DIMRADIUS | Creates radial dimensions for circles and arcs

System Variables

DIMCEN | Controls drawing of circle or arc center marks and center lines
DIMFIT | Controls the placement of text and arrowheads inside or outside extension lines based on the available space between the extension lines


Modifying Existing Dimensions

You can modify dimensions with the AutoCAD LT editing commands and with grip editing. Grip editing is the quickest and easiest way to modify dimensions.

You can also modify selected dimensions by applying a different dimension style or by making changes to the dimension style they are associated with. If you make changes to an existing dimension style, you can choose whether to update the other dimensions associated with that dimension style. You can also change individual dimensioning settings directly for selected dimensions. These are dimension style overrides.

Applying a New Dimension Style to Existing Dimensions
Using Dimension Style Overrides
Stretching Dimensions
Trimming and Extending Dimensions
Modifying Dimension Text

See Also
Using Grips to Edit Objects
Creating Dimensions with Oblique Extension Lines


Applying a New Dimension Style to Existing Dimensions

When you create a dimension, the current dimension style is associated with that dimension. The dimension retains this dimension style unless you apply a new dimension style to it or set up dimension style overrides. You can restore an existing dimension style or apply the current dimension style, including any dimension style overrides, to selected dimensions.


Applying a New Dimension Style to Existing Dimensions

To apply the current dimension style to existing dimensions
To restore a dimension style


Applying a New Dimension Style to Existing Dimensions-1

Applying a New Dimension Style to Existing Dimensions

To apply the current dimension style to existing dimensions

  1. From the Dimension menu, choose Update.
  2. Select the dimensions to update to the current dimension style.
  3. Press Enter.

Dimension toolbar:
Command line equivalent: DIMSTYLE


Applying a New Dimension Style to Existing Dimensions-2

Applying a New Dimension Style to Existing Dimensions

To restore a dimension style

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, select the dimension style to restore from the Current list.
  3. Choose OK.

Dimension toolbar:
Command line equivalent: DDIM


Applying a New Dimension Style to Existing Dimensions

Commands

DDIM | Creates and modifies dimension styles
DDMODIFY | Controls object properties
DIMOVERRIDE | Overrides dimension system variables
DIMSTYLE | Creates and modifies dimension styles on the command line

System Variables

DIMCLRD | Assigns colors to dimension lines, arrowheads, and leader lines
DIMSTYLE | Stores the current dimension style by name


Using Dimension Style Overrides

A dimension style override is a change made to the current dimension style. It is equivalent to changing a dimensioning system variable without changing the current dimension style. For example, if you change the color of extension lines in the Geometry dialog box, the current dimension style remains unchanged. However, the new value for color is stored in the DIMCLRE system variable. The next dimension you create will have extension lines in the new color. You can save the dimension style overrides as a new dimension style.

Some dimension characteristics are common to a drawing or to a style of dimensioning and are therefore suited to be permanent dimension style settings. Others generally apply on an individual basis and can be applied more effectively as overrides. For example, a drawing usually uses a single type of arrowhead, so it makes sense to define the arrowhead type as part of the dimension style. Suppression of extension lines, however, usually applies in individual cases only and is more suited to a dimension style override.

There are several ways to set up dimension style overrides. You can change options in the dialog boxes or change system variable settings on the command line. You reverse the override by returning the changed settings to their original values. The overrides apply to the dimension you are creating and all subsequent dimensions created with that dimension style until you reverse the override or make another dimension style current.

Example: A Dimension Style Override on the Command Line


Using Dimension Style Overrides

To set up dimension style overrides
To apply dimension style overrides to selected dimensions


Using Dimension Style Overrides-1

Using Dimension Style Overrides

To set up dimension style overrides

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, select the dimension style for which you want to create an override from the Current dimension style list.
  3. Make changes to the dimension style by choosing Geometry, Format, or Annotation. Choose OK to return to the Dimension Styles dialog box.
  4. Choose OK.

The dimension style and overrides are stored in the form +STYLENAME in the dimension style name list.

Dimension toolbar:
Command line equivalent: DDIM


Using Dimension Style Overrides-2

Using Dimension Style Overrides

To apply dimension style overrides to selected dimensions

  1. At the Command prompt, enter dimoverride.
  2. Enter the dimensioning system variable whose setting you want to override (see Listing and Comparing Dimension Styles and Variables for a list of variables).
  3. Enter the new setting.
  4. Repeat for as many dimensioning system variables as necessary.
  5. At the Dimension Variable to Override prompt, press ENTER.
  6. Select the dimensions to apply overrides to and press ENTER.


Using Dimension Style Overrides

Commands

DDIM | Creates and modifies dimension styles
DDMODIFY | Controls object properties
DIMOVERRIDE | Overrides dimension system variables
DIMSTYLE | Creates and modifies dimension styles on the command line

System Variables

DIMCLRD | Assigns colors to dimension lines, arrowheads, and leader lines
DIMSTYLE | Stores the current dimension style by name


Example: Setting Overides while Creating a Dimension

Example: A Dimension Style Override on the Command Line

You can override the current dimension style while creating a dimension by entering the name of any dimensioning system variable at any prompt. In this example, the dimension line color is changed in this way. The change affects subsequent dimensions you create until you make another dimension style current.

Command: dimlinear

First extension line origin or ENTER to select: dimclrd

Current value < 4 (cyan) > New value: 5

First extension line origin or ENTER to select: Specify the first extension line origin, or select an object to dimension


Stretching Dimensions

To stretch a dimension, you must include the appropriate definition points in the selection set. You can most easily include them by turning on grips and selecting the object so that the grips are highlighted.

In the following example, the center point of dimension text is a definition point, so you can move the dimension text anywhere as long as you select this point (shown selected with crossing selection in the illustration).

If you move the text so that it no longer requires the dimension line to be split, the dimension line rejoins.

Using Dimension Definition Points

When you edit dimensioned objects, you must include the relevant dimension definition points in the selection set for updating to work. Definition points are the points that determine the dimension location. If you resize a dimensioned object, you need to include the definition point in the resizing operation to ensure that the dimensions stay associative, that is, that they are updated.

The definition points for each type of dimension are circled in the following illustration. The middle point of the dimension text is a definition point for all dimension types.

If no angle vertex is shown, AutoCAD LT places definition points at the ends of the lines that form the angle. In the two-line angular example, because an arc is being dimensioned, AutoCAD LT places a definition point at the center of the arc.

Definition points are drawn on a special layer named DEFPOINTS, which is not plotted. To plot definition points, rename the DEFPOINTS layer. AutoCAD LT creates a new DEFPOINTS layer for any subsequent dimensions in your drawing.

Some editing commands change the definition points of the dimension. For example, the definition points of a stretched or scaled dimension change because the object itself has changed. If the dimension is copied or arrayed, the definition points remain the same, because the dimensioned object has not been changed.


Stretching Dimensions

To stretch a dimension

  1. From the Modify menu, choose Stretch.
  2. Select the object and the definition points for the dimension by using a crossing selection.
  3. Specify the base point of displacement.
  4. Specify the second point of displacement.

Modify toolbar:
Command line equivalent: STRETCH


Stretching Dimensions

Commands

DIMEDIT | Edits dimensions
STRETCH | Moves or stretches objects

System Variables

No entries.


Trimming and Extending Dimensions

As you edit your drawing, you may need to separately adjust some dimensions. You can trim and extend all forms of linear and ordinate dimensions. To trim or extend a linear dimension, AutoCAD LT draws an imaginary line (nonprinting) between the two extension line definition points.

AutoCAD LT trims or extends the imaginary line and then adjusts the dimension accordingly. To trim or extend an ordinate dimension, AutoCAD LT moves the feature location point (2) to the boundary edge perpendicular to the measured ordinate (1), so the ordinate value remains unchanged.

If the edited object is not parallel to the dimension definition points, as shown in the following illustration, the imaginary line technique used by AutoCAD LT probably will not produce the result you want. The following figure illustrates extending a linear dimension. The dimension extends to where the imaginary line meets the selected feature (1).

In these situations, stretch the dimension rather than trimming or extending it. You cannot trim a dimension and split it in two by cutting a portion out of the middle unless you explode it.


Trimming and Extending Dimensions

To trim a dimension
To extend a dimension


Trimming and Extending Dimensions-1

Trimming and Extending Dimensions

To trim a dimension

  1. From the Modify menu, choose Trim.
  2. Select the cutting edge.
  3. Select the dimension as the object to trim.

Modify toolbar:
Command line equivalent: TRIM


Trimming and Extending Dimensions-2

Trimming and Extending Dimensions

To extend a dimension

  1. From the Modify menu, choose Extend.
  2. Select the boundary edge.
  3. Select the dimension as the object to extend.

Modify toolbar:
Command line equivalent: EXTEND


Trimming and Extending Dimensions

Commands

DDIM | Creates and modifies dimension styles
DIMEDIT | Edits dimensions
TRIM | Trims objects at a cutting edge defined by other objects

System Variables

No entries.


Modifying Dimension Text

Once you've created a dimension, you can rotate the existing text or replace it with new text. You can move the text to a new location or back to its home position, which is the position defined by the current dimension style. In the following illustration, the home position is above and centered on the dimension line.

When you rotate or replace dimension text, you specify the change first, for example, rotating an angle. You can then select any number of existing dimensions to apply this change to before pressing ENTER to end selection in the usual way. When you move dimension text, you select a single dimension to move.

You can move dimension text to the left, right, or center along the dimension line or to any position inside or outside the extension lines. A quick and simple way to do this is by using grips. If you move text up or down, the current vertical justification of the text relative to the dimension line is not changed, so the dimension and extension lines are modified accordingly. The following illustration shows the result of moving text down and to the right. The text remains centered vertically in relation to the dimension line.

See Also
Controlling the Appearance of Dimension Text
Controlling Dimension Format


Modifying Dimension Text

To rotate dimension text
To return dimension text to its home position
To replace existing dimension text with new text
To move text to the left side of the dimension line
To set dimension line spacing for baseline and continued dimensions
To change the extension origin offset


Modifying Dimension Text-1

Modifying Dimension Text

To rotate dimension text

  1. From the Dimension menu, choose Align Text, Angle.
  2. Select the dimension to edit.
  3. Enter the new angle for the text.

Dimension toolbar:
Command line equivalent: DIMTEDIT


Modifying Dimension Text-2

Modifying Dimension Text

To return dimension text to its home position

  1. From the Dimension menu, choose Align Text, Home.
  2. Select the dimension text you want to return to its home position.

Dimension toolbar:
Command line equivalent: DIMTEDIT


Modifying Dimension Text-3

Modifying Dimension Text

To replace existing dimension text with new text

  1. At the Command prompt, enter dimedit.
  2. Enter n (New).
  3. In the Multiline Text Editor dialog box, enter the new dimension text and choose OK.
  4. Select the dimensions to apply the new text to.


Modifying Dimension Text-4

Modifying Dimension Text

To move text to the left side of the dimension line

  1. From the Dimension menu, choose Align Text, Left.
  2. Select the dimension.

The dimension text is left-justified along the dimension line inside the extension lines. You can choose the Center or Right options to move the text to the center or right of the dimension line.

Dimension toolbar:
Command line equivalent: DIMTEDIT


Modifying Dimension Text-5

Modifying Dimension Text

To set dimension line spacing for baseline and continued dimensions

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Geometry.
  3. In the Geometry dialog box under Dimension Line, enter in the Spacing box the offset distance between dimension lines for baseline and continued dimensions.
  4. Choose OK to exit each dialog box.

Dimension toolbar:
Command line equivalent: DDIM


Modifying Dimension Text-6

Modifying Dimension Text

To change the extension origin offset

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Geometry.
  3. In the Geometry dialog box under Extension Line, enter the new value for Origin Offset.
  4. Choose OK to exit each dialog box.

Dimension toolbar:
Command line equivalent: DDIM


Modifying Dimension Text

Commands

DDEDIT | Edits line text, paragraph text, dimension text, and attribute definitions
DDMODIFY | Controls object properties
DIMEDIT | Edits dimensions
DIMTEDIT | Moves and rotates dimension text

System Variables

DIMCLRT | Controls dimension text color
DIMJUST | Controls horizontal dimension text position
DIMTAD | Controls the placement of dimension text above the dimension line
DIMTIH | Controls the orientation of text inside extension lines
DIMTOH | Controls the orientation of text outside extension lines
DIMTVP | Controls the vertical position of dimension text when DIMTAD is off
DIMUPT | Controls the user-defined horizontal text placement
MTEXTED | Sets the name of the program to use for editing MTEXT objects


Modifying Dimension Text

Modifying Existing Dimensions

To apply the current dimension style to existing dimensions
To restore a dimension style
To set up dimension style overrides
To apply dimension style overrides to selected dimensions
To stretch a dimension
To trim a dimension
To extend a dimension
To rotate dimension text
To return dimension text to its home position
To replace existing dimension text with new text
To move text to the left side of the dimension line
To set dimension line spacing for baseline and continued dimensions
To change the extension origin offset


Modifying Dimension Text

Modifying Existing Dimensions

Commands

DDEDIT | Edits line text, paragraph text, dimension text, and attribute definitions
DDMODIFY | Controls object properties
DIMEDIT | Edits dimensions
DIMTEDIT | Moves and rotates dimension text
DIMOVERRIDE | Overrides dimension system variables
DIMSTYLE | Creates and modifies dimension styles on the command line
STRETCH | Moves or stretches objects
TRIM | Trims objects at a cutting edge defined by other objects

System Variables

DIMCLRT | Controls dimension text color
DIMJUST | Controls horizontal dimension text position
DIMSTYLE | Stores the current dimension style by name
DIMTAD | Controls the placement of dimension text above the dimension line
DIMTIH | Controls the orientation of text inside extension lines
DIMTOH | Controls the orientation of text outside extension lines
DIMTVP | Controls the vertical position of dimension text when DIMTAD is off
DIMUPT | Controls the user-defined horizontal text placement
MTEXTED | Sets the name of the program to use for editing MTEXT objects


Creating Geometric Tolerances

Adding Geometric Tolerances

Geometric tolerances show acceptable deviations of form, profile, orientation, location, and runout of a feature. You add geometric tolerances in feature control frames. These frames contain all the tolerance information for a single dimension.

You can use most editing commands for feature control frames, and you can snap to them using the object snap modes. You can also edit them with grips.

Parts of a Feature Control Frame
Material Conditions
Datum Reference Frames
Projected Tolerance Zones
Composite Tolerances

See Also
Using Grips to Edit Objects


Parts of a Feature Control Frame

A feature control frame consists of at least two compartments. The first contains a geometric characteristic symbol, which represents the geometric characteristic to which a tolerance is being applied, for example, form, orientation, or runout. Form tolerances control straightness, flatness, circularity, cylindricity, and profiles of line and surface. In the illustration, the characteristic is position.

The second compartment contains the tolerance value. Depending on the control type, the tolerance value is preceded by a diameter symbol and followed by a material condition symbol.

For a full table of geometric characteristics and their symbols, see the example.

Example: Geometric Characteristic Symbols


Parts of a Feature Control Frame

To create geometric tolerances
To create a geometric tolerance with a leader


Parts of a Feature Control Frame-2

Parts of a Feature Control Frame

To create a geometric tolerance with a leader

  1. From the Dimension menu, choose Leader.
  2. Specify the start point of the leader.
  3. Specify the second point of the leader.
  4. Press ENTER twice to display the Annotation options.
  5. Enter t (Tolerance), and create a feature control frame.
  6. In the Symbol dialog box, select a symbol and choose OK.
  7. In the Geometric Tolerance dialog box, continue to create the feature control frame. Then choose OK.

The feature control frame is attached to the endpoint of the leader.

Dimension toolbar:
Command line equivalent: LEADER


Parts of a Feature Control Frame

Commands

TOLERANCE Creates geometric tolerances

System Variables

No entries.


Example: Geometric Characteristic Symbols

The following table shows the geometric characteristic symbols used in creating geometric tolerances. Unless otherwise stated, these symbols adhere to both ANSI and ISO standards.

Symbol | Characteristic | Type
 | Position | Location
 | Concentricity or coaxiality | Location
 | Symmetry | Location
 | Parallelism | Orientation
 | Perpendicularity | Orientation
 | Angularity | Orientation
 | Cylindricity | Form
 | Flatness | Form
 | Circularity or roundness | Form
 | Straightness | Form
 | Surface profile | Profile
 | Line profile | Profile
 | Circular runout | Runout
 | Total runout | Runout


Material Conditions

Material conditions apply to features that can vary in size. At maximum material condition (symbol M, also known as MMC), a feature contains the maximum amount of material stated in the limits. At MMC, a hole has minimum diameter, whereas a shaft has maximum diameter. At least material condition (symbol L, also known as LMC), a feature contains the minimum amount of material stated in the limits. At LMC, a hole has maximum diameter, whereas a shaft has minimum diameter. Regardless of feature size (symbol S, also known as RFS) means a feature can be any size within the stated limits.


Material Conditions

To create geometric tolerances

  1. From the Dimension menu, choose Tolerance.
  2. In the Symbol dialog box, select the required characteristic symbol.
  3. Choose OK to display the Geometric Tolerance dialog box.

    Now add the tolerance values and their modifying symbols.

  4. In the Geometric Tolerance dialog box under Tolerance 1, click the Dia box to insert a diameter symbol (optional).
  5. Under Value, enter the first tolerance value.
  6. Click the MC box to add a material condition (optional).
  7. In the Material Condition dialog box, double-click a material condition symbol to insert it.
  8. In the Geometric Tolerance dialog box, add a second tolerance value (optional) in the same way as the first tolerance value.

    Now add the datum reference letters and their modifying symbols (optional).

  9. In the Geometric Tolerance dialog box under Datum 1, enter the primary datum reference letter.
  10. Click the MC box to insert a material condition symbol for the primary datum reference.
  11. In the Material Condition dialog box, double-click a material condition symbol to insert it.

  12. In the Geometric Tolerance dialog box, add secondary and tertiary datums and modifying symbols in the same way.

    Now add a projected tolerance zone (optional).

  13. In the Geometric Tolerance dialog box, enter a height in the Height box.
  14. Click the Projected Tolerance Zone box to insert the symbol.
  15. In the Datum Identifier box, add a datum value.
  16. Choose OK.
  17. In the drawing, specify a location for the feature control frame.

Dimension toolbar:
Command line equivalent: TOLERANCE


Material Conditions

Commands

TOLERANCE Creates geometric tolerances

System Variables

No entries.


Datum Reference Frames

The tolerance values in the feature control frame are followed by up to three optional datum reference letters and their modifying symbols. A datum is a theoretically exact point, axis, or plane from which you make measurements and verify dimensions. Usually, two or three mutually perpendicular planes perform this task best. These are jointly called the datum reference frame.

The illustration shows a datum reference frame verifying the dimensions of the part.


Datum Reference Frames

To create geometric tolerances

  1. From the Dimension menu, choose Tolerance.
  2. In the Symbol dialog box, select the required characteristic symbol.
  3. Choose OK to display the Geometric Tolerance dialog box.

    Now add the tolerance values and their modifying symbols.

  4. In the Geometric Tolerance dialog box under Tolerance 1, click the Dia box to insert a diameter symbol (optional).
  5. Under Value, enter the first tolerance value.
  6. Click the MC box to add a material condition (optional).
  7. In the Material Condition dialog box, double-click a material condition symbol to insert it.
  8. In the Geometric Tolerance dialog box, add a second tolerance value (optional) in the same way as the first tolerance value.

    Now add the datum reference letters and their modifying symbols (optional).

  9. In the Geometric Tolerance dialog box under Datum 1, enter the primary datum reference letter.
  10. Click the MC box to insert a material condition symbol for the primary datum reference.
  11. In the Material Condition dialog box, double-click a material condition symbol to insert it.

  12. In the Geometric Tolerance dialog box, add secondary and tertiary datums and modifying symbols in the same way.

    Now add a projected tolerance zone (optional).

  13. In the Geometric Tolerance dialog box, enter a height in the Height box.
  14. Click the Projected Tolerance Zone box to insert the symbol.
  15. In the Datum Identifier box, add a datum value.
  16. Choose OK.
  17. In the drawing, specify a location for the feature control frame.

Dimension toolbar:
Command line equivalent: TOLERANCE


Datum Reference Frames

Commands

TOLERANCE Creates geometric tolerances

System Variables

No entries.


Projected Tolerance Zones

Projected tolerances are specified in addition to positional tolerances to make the tolerance more specific. Projected tolerances control, for example, the perpendicularity tolerance zone of an embedded part.

The symbol for projected tolerance ( [image]) is preceded by a height value, which specifies the minimum projected tolerance zone. The projected tolerance zone height and symbol appear in a frame below the feature control frame.


Projected Tolerance Zones

To create geometric tolerances

  1. From the Dimension menu, choose Tolerance.
  2. In the Symbol dialog box, select the required characteristic symbol.
  3. Choose OK to display the Geometric Tolerance dialog box.

    Now add the tolerance values and their modifying symbols.

  4. In the Geometric Tolerance dialog box under Tolerance 1, click the Dia box to insert a diameter symbol (optional).
  5. Under Value, enter the first tolerance value.
  6. Click the MC box to add a material condition (optional).
  7. In the Material Condition dialog box, double-click a material condition symbol to insert it.
  8. In the Geometric Tolerance dialog box, add a second tolerance value (optional) in the same way as the first tolerance value.

    Now add the datum reference letters and their modifying symbols (optional).

  9. In the Geometric Tolerance dialog box under Datum 1, enter the primary datum reference letter.
  10. Click the MC box to insert a material condition symbol for the primary datum reference.
  11. In the Material Condition dialog box, double-click a material condition symbol to insert it.

  12. In the Geometric Tolerance dialog box, add secondary and tertiary datums and modifying symbols in the same way.

    Now add a projected tolerance zone (optional).

  13. In the Geometric Tolerance dialog box, enter a height in the Height box.
  14. Click the Projected Tolerance Zone box to insert the symbol.
  15. In the Datum Identifier box, add a datum value.
  16. Choose OK.
  17. In the drawing, specify a location for the feature control frame.

Dimension toolbar:
Command line equivalent: TOLERANCE


Projected Tolerance Zones

Commands

TOLERANCE Creates geometric tolerances

System Variables

No entries.


Composite Tolerances

A composite tolerance specifies two tolerances for the same geometric characteristic of a feature or features that have different datum requirements. One tolerance relates to a pattern of features and the other tolerance to each feature within the pattern. The individual feature tolerance is more restrictive than the pattern tolerance.

In the illustration above, where datums A and B intersect is called the datum axis, the point from which the position of the pattern is calculated. A composite tolerance could specify both the diameter of the pattern of holes and the diameter of each individual hole, as in the illustration below.

When you add composite tolerances to a drawing, you specify the first line of a feature control frame and then choose the same geometric characteristic symbol for the second line of the feature control frame. AutoCAD LT extends the geometric symbol compartment over both lines. You can then create a second line of tolerance symbols.


Composite Tolerances

To create composite geometric tolerances

  1. From the Dimension menu, choose Tolerance.
  2. In the Symbol dialog box, select the tolerance symbol, and then choose OK.
  3. In the Geometric Tolerance dialog box, specify the first line of tolerance symbols and values.

    Now, specify the second line of tolerance symbols and values.

  4. In the Geometric Tolerance dialog box under Sym, choose the geometric symbol box on the second line.
  5. In the Symbol dialog box, select the same position symbol as the first and choose OK.
  6. In the Geometric Tolerance dialog box under Tolerance 1, enter the tolerance value and any modifying symbols.
  7. Choose OK.
  8. Specify the location of the feature control frame in the drawing.

Dimension toolbar:
Command line equivalent: TOLERANCE


Composite Tolerances

Commands

TOLERANCE Creates geometric tolerances

System Variables

No entries.


Creating Geometric Tolerances

Adding Geometric Tolerances

To create geometric tolerances
To create a geometric tolerance with a leader
To create composite geometric tolerances


Creating Geometric Tolerances

Adding Geometric Tolerances

Commands

TOLERANCE Creates geometric tolerances

System Variables

No entries.


Positioning Dimension Text Horizontally-1

Positioning Dimension Text Horizontally

To place text at the second extension line

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Format.
  3. In the Format dialog box under Horizontal Justification, select Over 2nd Extension.

    The image tile reflects your selection.

  4. Choose OK to exit each dialog box.

Dimension toolbar:
Command line equivalent: DDIM


Positioning Dimension Text Horizontally-2

Positioning Dimension Text Horizontally

To place text with the User Defined option

  1. From the Dimension menu, choose Style.
  2. In the Dimension Styles dialog box, choose Format.
  3. In the Format dialog box, select User Defined.
  4. Choose OK to exit each dialog box.

As you create dimensions, you can move the text along the dimension line. Use the pointing device or enter coordinates to specify the dimension line and text locations.

Dimension toolbar:
Command line equivalent: DDIM


Creating Baseline and Continued Dimensions-1

Creating Baseline and Continued Dimensions

To create a baseline linear dimension

  1. From the Dimension menu, choose Baseline.

    By default the origin of the last linear dimension created is used as the first extension line for the new baseline dimension. AutoCAD LT prompts for the second dimension line.

  2. Use an object snap to select the second extension line origin, or press ENTER to select any dimension as the base dimension.

    AutoCAD LT automatically places the second dimension line at the distance specified by the Spacing option in the DDIM Geometry dialog box.

  3. Use an object snap to specify the next extension line origins.
  4. Continue to select extension line origins as required.
  5. Press ENTER twice to end the command.

Dimension toolbar:
Command line equivalent: DIMBASELINE


Creating Baseline and Continued Dimensions-2

Creating Baseline and Continued Dimensions

To create a continued linear dimension

  1. From the Dimension menu, choose Continue.

    AutoCAD LT uses the origin of the second extension line of the existing dimension as the first extension line origin.

  2. Use object snaps to specify additional extension line origins.
  3. Press ENTER twice to end the command.

Dimension toolbar:
Command line equivalent: DIMCONTINUE


Dimensioning and Tolerancing

To make a dimension style current
To create a parent dimension style
To create a family member dimension style
To use an externally referenced dimension style as a template for creating a new dimension style
To list all dimension variables for the current dimension style
To list variables affected by an existing dimension style
To list dimension styles in the current drawing
To compare dimension styles
To modify the display of dimension lines
To modify the display of extension lines
To choose an arrowhead
To use your own arrowhead symbol
To force an internal line and choose a fit option
To align text with the dimension line
To place text at the second extension line
To place text with the User Defined option
To place text above the dimension line
To add and format primary units
To add and format alternate units
To add user text as you create a dimension
To suppress zeros in dimension values
To specify limits in lateral tolerances
To justify and suppress zeros in tolerance values
To control the text style in dimensions
To round off dimension values
To set the overall dimension scale
To set the dimension scale for paper space
To set dimension scale for creating dimensions in paper space
To create a horizontal or vertical dimension
To create an aligned dimension
To create a baseline linear dimension
To create a continued linear dimension
To create a rotated dimension
To make extension lines oblique
To create a diameter dimension
To create a radius dimension
To create centerlines along with radial dimensions
To create an angular dimension
To create ordinate dimensions
To apply the current dimension style to existing dimensions
To restore a dimension style
To set up dimension style overrides
To apply dimension style overrides to selected dimensions
To stretch a dimension
To trim a dimension
To extend a dimension
To rotate dimension text
To return dimension text to its home position
To replace existing dimension text with new text
To move text to the left side of the dimension line
To set dimension line spacing for baseline and continued dimensions
To change the extension origin offset
To create geometric tolerances
To create a geometric tolerance with a leader
To create composite geometric tolerances


Dimensioning and Tolerancing

Commands

BLOCK | Creates a block definition from a set of objects
BMAKE | Defines a block using a dialog box
DDEDIT | Edits line text, paragraph text, dimension text, and attribute definitions
DDIM | Creates and modifies dimension styles
DIMANGULAR | Creates an angular dimension
DIMBASELINE | Continues a linear, angular, or ordinate dimension from the baseline of the previous or selected dimension
DIMCENTER | Creates the center mark or the center lines of circles and arcs
DIMCONTINUE | Continues a linear, angular, or ordinate dimension from the second extension line of the previous or a selected dimension
DIMDIAMETER | Creates diameter dimensions for circles and arcs
DDMODIFY | Controls object properties
DIMLINEAR | Creates linear dimensions
DIMOVERRIDE | Overrides dimension system variables
DIMRADIUS | Creates radial dimensions for circles and arcs
DIMSTYLE | Creates and modifies dimension styles on the command line
DIMTEDIT | Moves and rotates dimension text
STRETCH | Moves or stretches objects
TOLERANCE | Creates geometric tolerances
TRIM | Trims objects at a cutting edge defined by other objects
WBLOCK | Writes objects to a new drawing file

System Variables

DIMALTD | Controls alternate units decimal places
DIMALTF | Controls scale factor in alternate units
DIMALTTD | Sets the number of digits displayed to the right of the decimal point for the tolerance values of alternate units dimensions
DIMALTU | Sets the units format for alternate units of all dimension style family members except angular
DIMALTTZ | Toggles suppression of zeros for tolerance values
DIMAPOST | Specifies a text prefix or suffix (or both) to the alternate dimension measurement for all types of dimensions except angular
DIMASZ | Controls the size of dimension line and leader line arrowheads
DIMBLK | Sets the name of a block to be drawn instead of the normal arrowhead at the ends of the dimension line or leader line
DIMBLK1 | If DIMSAH is on, DIMBLK1 specifies user-defined arrowhead blocks for the first end of the dimension line
DIMBLK2 | If DIMSAH is on, DIMBLK2 specifies user-defined arrowhead blocks for the second end of the dimension line
DIMAUNIT | Sets the angle format for angular dimensions
DIMCEN | Controls drawing of circle or arc center marks and center lines
DIMCLRT | Assigns colors to dimension text
DIMDEC | Sets the number of digits displayed to the right of the decimal point for the primary units dimension
DIMFIT | Controls the placement of text and arrowheads inside or outside extension lines based on the available space between the extension lines
DIMGAP | Sets the distance around the dimension text when you break the dimension line to accommodate dimension text
DIMJUST | Controls horizontal dimension text position
DIMDLE | Extends the dimension line beyond the extension line when oblique strokes are drawn instead of arrowheads
DIMEXE | Determines how far to extend the extension line beyond the dimension line
DIMEXO | Determines how far extension lines are offset from origin points
DIMLFAC | Sets a global scale factor for linear dimensioning measurements
DIMLIM | When turned on, generates dimension limits as the default text
DIMPOST | Specifies a text prefix or suffix (or both) to the dimension measurement
DIMRND | Rounds all dimensioning distances to the specified value
DIMSAH | Controls use of user-defined arrowhead blocks at the ends of the dimension line
DIMSCALE | Sets the overall scale factor applied to dimensioning variables that specify sizes, distances, or offsets
DIMSD1 | When turned on, suppresses the display of the dimension line and arrowhead between the first extension line and the text
DIMSD2 | When turned on, suppresses the display of the dimension line and arrowhead between the second extension line and the text
DIMTSZ | Specifies the size of oblique strokes drawn instead of arrowheads for linear, radius, and diameter dimensioning
DIMTAD | Controls vertical position of text in relation to the dimension line
DIMTDEC | Sets the number of digits displayed to the right of the decimal point for the tolerance values of the primary units in a dimension
DIMTFAC | Specifies a scale factor for text height of tolerance values relative to the dimension text height as set by DIMTXT
DIMTIH | Controls the position of dimension text inside the extension lines for all dimension types except ordinate dimensions
DIMTM | Sets the minimum (or lower) tolerance limit for dimension text when DIMTOL or DIMLIM is on
DIMTOL | When turned on, appends dimension tolerances to dimension texts
DIMTOFL | When turned on, draws a dimension line between the extension lines even when the text is placed outside the extension lines
DIMTOH | When turned on, controls the position of dimension text outside the extension lines
DIMTOLJ | Sets the vertical justification for tolerance values relative to the nominal dimension text
DIMTP | Sets the maximum (or upper) tolerance limit for dimension text when DIMTOL or DIMLIM is on
DIMTVP | Adjusts the vertical position of dimension text above or below the dimension line
DIMUPT | Controls cursor functionality for dimension text
DIMTXSTY | Specifies the text style of the dimension
DIMTXT | Specifies the height of dimension text, unless the current text style has a fixed height
DIMTZIN | Controls the suppression of zeros for tolerance values


Drawing with Precision

A variety of precision tools are available to help you produce quick, accurate drawings without performing tedious calculations. Although all your work is based on a coordinate system, you can establish settings that cause you to snap to points on the screen, to specified locations on objects, or to points relative to other locations or objects. You can draw construction lines or insert points at specified intervals on an object to use as visual references. You also can display information about existing objects.

Using the Coordinate System to Locate Points

Entering 2D Coordinates
Controlling the User Coordinate System (UCS)

Constraining Input When Locating Points

Adjusting Snap and Grid
Using Ortho Mode and PolarSnap
Snapping to Geometric Points on Objects

Offsetting to Locate Points

Offsetting from Temporary Reference Points
Using Direct Distance Entry
Using Coordinate Filters
Using Tracking to Offset Points

Creating Objects That Serve as Visual References

Specifying Intervals on an Object
Drawing Construction Lines (Xlines) and Rays

Obtaining Information from Objects in a Drawing

Calculating Areas
Obtaining Distance and Angle

See Also
Working in Three Dimensions


Entering 2D Coordinates

When a command prompts you for a point, you can use the pointing device to specify a point or you can enter a coordinate value on the command line. You can enter two-dimensional coordinates as either Cartesian (X,Y) or polar coordinates.

Cartesian and Polar Coordinates

A Cartesian coordinate system has three axes, X, Y, and Z. When you enter coordinate values, you indicate a point's distance (in units) and its direction (+ or -) along the X, Y, and Z axes relative to the coordinate system origin (0,0,0).

In 2D, you specify points on the XY plane, also called the construction plane. The construction plane is similar to a flat sheet of grid paper. The X value of a Cartesian coordinate specifies horizontal distance, and the Y value specifies vertical distance. The origin point (0,0) indicates where the two axes intersect.

Polar coordinates use a distance and an angle to locate a point. With both Cartesian and polar coordinates, you can enter absolute coordinates based on the origin (0,0), or relative coordinates based on the last point specified.

Another method of entering a relative coordinate is by moving the cursor to specify a direction and then entering a distance directly. This method is called direct distance entry.

In AutoCAD LT, you can enter coordinates in scientific, decimal, engineering, architectural, or fractional notation. You can enter angles in grads, radians, surveyor's units, or degrees, minutes, and seconds. You specify this style in the Units Control dialog box.

Displaying Coordinates on the Status Bar
Entering Absolute and Relative Coordinates
Entering Polar Coordinates

See Also


Displaying Coordinates on the Status Bar

AutoCAD LT displays the current cursor location as a coordinate on the status bar at the bottom of the screen.

There are three types of coordinate display:

  • Dynamic display updates the X,Y,Z coordinate location as you move the cursor.
  • Distance and angle display updates the relative distance (distance<angle) as you move the cursor. This option is available only when you draw lines or other objects that prompt for more than one point.
  • Static display updates the X,Y,Z coordinate location only when you specify a point.

You can cycle through the three types of coordinate display by double-clicking the coordinate display or by pressing F6 or CTRL+D. Another method is to set the COORDS system variable to 0 for static display, 1 for dynamic display, or 2 for distance and angle display.


Displaying Coordinates on the Status Bar

To display the coordinate values of a point
To visually locate a point


Displaying Coordinates on the Status Bar (proc 1 of 2)

Displaying Coordinates on the Status Bar

To display the coordinate values of a point

  1. From the Tools menu, choose Inquiry. Then choose ID Point.
  2. Select the point you want to identify.

The X,Y,Z coordinate values are displayed on the command line.

Inquiry toolbar:
Command line equivalent: ID


Displaying Coordinates on the Status Bar (proc 2 of 2)

Displaying Coordinates on the Status Bar

To visually locate a point

  1. From the Tools menu, choose Drawing Aids.
  2. In the Drawing Aids dialog box under Modes, select Blips. Then choose OK.
  3. From the Tools menu, choose Inquiry. Then choose ID Point.
  4. On the command line, enter the coordinate of the point you want to locate.

    Since the BLIPMODE system variable is on, a blip (a small cross) appears at the point location.

  5. Turn off blips following steps 1 and 2.

Inquiry toolbar:
Command line equivalent: ID


Displaying Coordinates on the Status Bar

Commands

LIST | Displays database information for selected objects
ID | Displays the coordinates of a location

System Variables

COORDS Controls when coordinates are updated on the status line


Entering Absolute and Relative Coordinates

To use a coordinate to specify a point, enter an X value and a Y value separated by a comma (X,Y). The X value is the positive or negative distance, in units, along the horizontal axis. The Y value is the positive or negative distance, in units, along the vertical axis.

Absolute coordinate values are based on the origin (0,0), where the X and Y axes intersect. Use an absolute coordinate when you know the precise X and Y values of the point coordinate. For example, the coordinate 3,4 specifies a point 3 units along the X axis and 4 units along the Y axis from the origin.

Relative coordinate values are based on the last point entered. Use a relative coordinate when you know the position of a point in relation to the previous point. To specify a relative coordinate, precede the coordinate with an @ symbol. For example, the coordinate @3,4 specifies a point 3 units along the X axis and 4 units along the Y axis from the last point specified.

The following example draws a line beginning at a point with an X value of -2, a Y value of 1, and an endpoint at 3,4. Pressing ENTER at the To Point prompt ends the command.

Command: Enter line
From point: Enter 2,1
To point: Enter 3,4

The following example draws a line whose endpoint is 5 units in the X direction and 0 units in the Y direction from the start point at the absolute coordinate -2,1. Pressing ENTER at the next To Point prompt ends the command.

Command: Enter line
From point: Enter -2,1
To point: Enter @5,0


Entering Absolute and Relative Coordinates

To enter an absolute coordinate (2D)
To enter a relative coordinate (2D)


Entering Absolute and Relative Coordinates (proc 1 of 2)

Entering Absolute and Relative Coordinates

To enter an absolute coordinate (2D)

At a prompt for a point, enter the coordinate using the following format:

x,y

  • X represents the distance and direction along the horizontal axis from the origin (0,0).
  • Y represents the distance and direction along the vertical axis from the origin (0,0).


Entering Absolute and Relative Coordinates (proc 2 of 2)

Entering Absolute and Relative Coordinates

To enter a relative coordinate (2D)

At a prompt for a point, enter the coordinate using the following format:

@x,y

  • X represents the distance and direction along the horizontal axis from the last point entered. Y represents the distance and direction along the vertical axis from the last point entered.


Entering Absolute and Relative Coordinates

Commands

No entries.

System Variables

COORDS Controls when coordinates are updated on the status line


Entering Polar Coordinates

To enter a polar coordinate, enter a distance and an angle, separated by an angle bracket (<). For example, to specify a point that is at a distance of 1 unit from the previous point and at an angle of 45 degrees, enter @1<-45.

By default, angles increase in the counterclockwise and decrease in the clockwise direction. To move clockwise, enter a negative value for the angle. For example, entering 1<315 is the same as entering 1<45. You can change the angle direction for the current drawing with DDUNITS or the ANGDIR system variable. Also, ANGBASE sets the direction of the 0 angle.

Polar coordinates are either absolute (measured from origin) or relative to the previous point. To specify a relative coordinate, precede the coordinate with an @ symbol.

The following example shows a line drawn with polar coordinates using the default angle direction setting. For more information on angle direction conventions, see Starting and Saving a Drawing.

Command: Enter line
From point: Enter 0,0
To point: Enter 4<120
To point: Enter 5<30

The following example shows a line drawn with relative polar coordinates.

To point: Enter @3<45
To point: Enter @5<285
To point: Press ENTER


Entering Polar Coordinates (proc 1 of 1)

Entering Polar Coordinates

To enter a polar coordinate (2D)

  • At a prompt for a point, enter the coordinate using the following format:

    distance<angle

  • Distance represents the distance from the origin (0,0).
  • Angle represents the degree of angle from the origin (0,0).


Entering Polar Coordinates

Commands

DDUNITSControls coordinate and angle display formats and determines precision

System Variables

LASTPOINT Stores the last point entered, expressed as a UCS coordinate for the current space


Entering 2D Coordinates

To display the coordinate values of a point
To visually locate a point
To enter an absolute coordinate (2D)
To enter a relative coordinate (2D)
To enter a polar coordinate (2D)


Entering 2D Coordinates

Commands

ID | Displays the coordinates of a location
LINE | Creates straight line segments
LIST | Displays database information for selected objects

System Variables

COORDS Controls when coordinates are updated on the status line


Controlling the User Coordinate System (UCS)

In AutoCAD LT, there are two coordinate systems: a fixed system called the World Coordinate System (WCS), and a movable system called the user coordinate system (UCS). In the WCS, the X axis is horizontal, the Y axis is vertical, and the Z axis is perpendicular to the XY plane. The origin is where the X and Y axes intersect (0,0) in the lower-left corner of the drawing. You define a UCS in terms of the WCS. Virtually all coordinate entry uses the current UCS.

Moving the UCS can make it easier to work on particular sections of your drawing. Rotating the UCS helps you specify points in three-dimensional or rotated views. Snap, Grid, and Ortho modes all rotate in line with the new UCS.

You can relocate the user coordinate system using any of these methods:

  • Move the UCS by defining a new origin
  • Align the UCS with an existing object or with the current viewing direction
  • Rotate the current UCS around any of its axes
  • Restore a saved UCS

Once you have defined a UCS, you can name it and then restore it when you need to use it again. The Prev option of the UCS command sequentially restores up to 10 previous coordinate systems used in the current session. If you no longer need a named UCS, you can delete it. Also, you can restore the UCS to be coincident with the WCS.

Displaying the User Coordinate System (UCS) Icon

See Also
Setting Drawing Planes in 3D (UCS)


Displaying the User Coordinate System (UCS) Icon

To indicate the location and orientation of the UCS, AutoCAD LT displays the UCS icon either at the UCS origin point or in the lower-left corner of the current viewport. If the icon is displayed at the origin of the current UCS, a cross (+) appears in the icon. If the icon is displayed in the lower-left corner of the viewport, no cross appears in the icon.

AutoCAD LT displays the UCS icon in various ways to help you visualize the orientation of the drawing plane. The following figure shows some of the possible icon displays.

The broken pencil icon indicates that the edge of the XY plane is almost perpendicular to your viewing direction. This icon warns you not to use your pointing device to specify coordinates.


Displaying the User Coordinate System (UCS) Icon

To turn the display of the UCS icon on and off
To display the UCS icon at the UCS origin


Controlling the User Coordinate System (UCS) Icon (proc 1 of 2)

Controlling the User Coordinate System (UCS) Icon

To turn the display of the UCS icon on and off

  1. From the View menu, choose Display. Then choose UCS Icon.
  2. Choose On or Off to turn the UCS icon on or off.

Command line equivalent: UCSICON


Controlling the User Coordinate System (UCS) Icon (proc 2 of 2)

Controlling the User Coordinate System (UCS) Icon

To display the UCS icon at the UCS origin

  1. From the View menu, choose Display. Then choose UCS Icon.
  2. Choose Origin to turn this display on.

The UCS icon is displayed at the origin of the current coordinate system. To turn it off, choose No Origin.

Command line equivalent: UCSICON


Displaying the User Coordinate System (UCS) Icon

Commands

UCSICON Controls the visibility and placement of the UCS icon

System Variables

UCSICON Displays the user coordinate system icon for the current viewport using bit-code


Controlling the User Coordinate System (UCS)

To shift the XY plane
To define a new UCS origin
To restore the WCS
To restore the previous UCS
To save a UCS
To restore a named UCS
To rename a UCS
To delete a UCS
To turn the display of the UCS icon on and off
To display the UCS icon at the UCS origin


Controlling the User Coordinate System (UCS) (proc 1 of 8)

Controlling the User Coordinate System (UCS)

To shift the XY plane

  1. From the Tools menu, choose UCS. Then choose 3 Point.
  2. Specify an origin point for the new UCS.

    For example, in a large drawing, you might specify an origin point near the area in which you want to work.

  3. Specify a point to indicate the horizontal orientation of the new UCS. This point should be on the positive portion of the new X axis.
  4. Specify a point to indicate the vertical orientation of the new UCS. This point should be on the positive portion of the new Y axis.

The UCS, including grid, shifts to represent the X and Y axes you have specified.

UCS toolbar:
Command line equivalent: UCS


Controlling the User Coordinate System (UCS)(proc 2 of 8)

Controlling the User Coordinate System (UCS)

To define a new UCS origin

  1. From the Tools menu, choose UCS. Then choose Origin.
  2. Specify a point for the new origin.

The 0,0 coordinate is redefined at the point you specify.

UCS toolbar:
Command line equivalent: UCS


Controlling the User Coordinate System (UCS)(proc 3 of 8)

Controlling the User Coordinate System (UCS)

To restore the WCS

  1. From the Tools menu, choose UCS. Then choose Named UCS.
  2. In the UCS Control dialog box, select World.
  3. Select Current. Then choose OK.

UCS toolbar:
Command line equivalent: DDUCS


Controlling the User Coordinate System (UCS)(proc 4 of 8)

Controlling the User Coordinate System (UCS)

To restore the previous UCS

  • From the Tools menu, choose UCS. Then choose Previous.

UCS toolbar:
Command line equivalent: UCS


Controlling the User Coordinate System (UCS)(proc 5 of 8)

Controlling the User Coordinate System (UCS)

To save a UCS

  1. From the Tools menu, choose UCS. Then choose Save.
  2. On the command line, enter a name.

You can use up to 31 characters, including letters, digits, and the special characters dollar sign ($), hyphen (-), and underscore(_). AutoCAD LT converts all UCS names to uppercase.

UCS toolbar:
Command line equivalent: UCS


Controlling the User Coordinate System (UCS)(proc 6 of 8)

Controlling the User Coordinate System (UCS)

To restore a named UCS

  1. From the Tools menu, choose UCS. Then choose Named UCS.
  2. In the UCS Control dialog box, you can view the origin and axis direction of a listed UCS by selecting the UCS name and choosing List. When you have finished viewing the list, choose OK to return to the UCS Control dialog box.
  3. Select the coordinate system you want to restore and select Current. Then choose OK.

UCS toolbar:
Command line equivalent: DDUCS


Controlling the User Coordinate System (UCS) (proc 7 of 8)

Controlling the User Coordinate System (UCS)

To rename a UCS

  1. From the Tools menu, choose UCS. Then choose Named UCS.
  2. In the UCS Control dialog box, select the coordinate system you want to rename.
  3. Enter a new name in the Rename To box. Then select Rename To.
  4. Choose OK.

UCS toolbar:
Command line equivalent: DDUCS


Controlling the User Coordinate System (UCS)(proc 8 of 8)

Controlling the User Coordinate System (UCS)

To delete a UCS

  1. From the Tools menu, choose UCS. Then choose Named UCS.
  2. In the UCS Control dialog box, select the coordinate system you want to delete.
  3. Select Delete. Then choose OK.

UCS toolbar:
Command line equivalent: DDUCS


Controlling the User Coordinate System

Controlling the User Coordinate System (UCS)

Commands

DDUCS | Manages defined User Coordinate Systems
DDUCSP | Selects a preset user coordinate system
UCS | Manages user coordinate systems
UCSICON | Controls the visibility and placement of the UCS icon

System Variables

UCSNAME | Stores the name of the current coordinate system for the current space
UCSORG | Stores the origin point of the current user coordinate system for the current space
UCSXDIR | Stores the X direction of the current UCS for the current space
UCSYDIR | Stores the Y direction of the current UCS for the current space


Adjusting Snap and Grid

As you work, you can turn the grid and Snap mode on and off, and you can change the grid and snap spacing.

The grid is a pattern of dots that extends over the area you specify as the drawing limits. Using the grid is similar to placing a sheet of grid paper under a drawing. The grid helps you align objects and visualize the distances between them. The grid is not plotted. If you zoom in or out of your drawing, you may need to adjust grid spacing to be more appropriate for the new magnification.

Snap mode restricts the movement of the crosshairs to intervals that you define. When Snap mode is on, the cursor seems to adhere, or "snap," to an invisible grid. Snap is useful for specifying precise points with the arrow keys or the pointing device. You control snap precision by setting the X and Y spacing.

Snap spacing does not have to match grid spacing. For example, you might set a wide grid spacing to be used as a reference but maintain a closer snap spacing for accuracy in specifying points.

Changing the Snap Angle and Base Point

If you need to draw along a specific alignment or angle, you can change the snap angle. This rotation realigns the crosshairs on the screen to match the new angle. In the following example, the snap angle is adjusted to match the angle of the anchor bracket.

When you set the snap angle, the grid rotation also changes.

The snap base point is the offset from a specified X,Y value from which snap points are measured. The default snap base point is 0,0, but it can be changed to any X,Y coordinate value to adjust snap points.

For example, if X and Y spacing are set to 0.5, and X and Y base points are set to 0,0, the snap points along the X and Y axes are 0, .50, 1.0, and so on. Changing the X snap base point to 0.1 and the Y snap base point to 0.2 causes the snap points along the X axis to shift to 0.1, 0.60, 1.1, and so on, and the snap points along the Y axis to shift to 0.2, 0.7, 1.2, and so on. Shifting the snap base point may be necessary to align a hatch pattern.

See Also
Setting Isometric Snap and Grid
Controlling the User Coordinate System (UCS)


Adjusting Snap and Grid

To display a grid and set grid spacing
To turn on Snap mode and set snap spacing
To rotate the snap angle and change its base point


Adjusting Snap and Grid (proc 1 of 3)

Adjusting Snap and Grid

To display a grid and set grid spacing

  1. From the Tools menu, choose Drawing Aids.
  2. In the Drawing Aids dialog box under Grid, select On to display the grid.
  3. For X Spacing, enter the horizontal grid spacing in units.
  4. To use the same value for vertical grid spacing, press ENTER. Otherwise, enter a new value for Y Spacing.
  5. Choose OK.

Although the grid dots do not necessarily correspond to the current snap interval, they do reflect the current snap angle and isometric snap and grid settings.

Command line equivalent: DDRMODES


Adjusting Snap and Grid (proc 2 of 3)

Adjusting Snap and Grid

To turn on Snap mode and set snap spacing

  1. From the Tools menu, choose Drawing Aids.
  2. In the Drawing Aids dialog box under Snap, select On.
  3. Under X Spacing, enter the horizontal snap spacing in units.
  4. To specify the same vertical snap spacing, press ENTER. Otherwise, enter a new distance under Y Spacing.
  5. Choose OK.

Command line equivalent: DDRMODES


Adjusting Snap and Grid (proc 3 of 3)

Adjusting Snap and Grid

To rotate the snap angle and change its base point

  1. From the Tools menu, choose Drawing Aids.
  2. In the Drawing Aids dialog box under Snap, enter a rotation angle in the Snap Angle box.
  3. If you want to set the base point in order to align snap locations, enter the X and Y coordinate values in the X Base and Y Base boxes.
  4. Choose OK.

Command line equivalent: DDRMODES


Adjusting Snap and Grid Alignment

Adjusting Snap and Grid

Commands

DDRMODES | Sets drawing aids
DDUNITS | Controls coordinate and angle display formats and determines precision
GRID | Displays a dot grid in the current viewport
LIMITS | Sets and controls the drawing boundaries and grid display
SNAP | Restricts cursor movement to regular intervals
UNITS | Selects coordinate and angle display formats and precision

System Variables

ANGBASE | Stores the base angle 0 with respect to the current UCS
ANGDIR | Sets the positive angle direction from angle 0 with respect to the current UCS
AUNITS | Stores Angular Units mode
AUPREC | Sets the number of decimal places for angular units displayed on the status line or when listing an object
GRIDUNIT | Specifies the grid spacing (X and Y) for the current viewport
LIMCHECK | Controls object creation outside the drawing limits
LIMMAX | Stores upper-right drawing limits for the current space expressed as a World coordinate
LIMMIN | Stores lower-left drawing limits for the current space expressed as a World coordinate
SNAPANG | Sets the snap and grid rotation angle for the current viewport
SNAPBASE | Sets the snap and grid origin point for the current viewport relative to the current UCS
SNAPUNIT | Sets snap spacing for the current viewport


Using Ortho Mode and PolarSnap

AutoCAD LT provides drawing and editing tools similar to the drafter's T-square and triangle. You can use Ortho mode to restrict cursor rubber-band movement to right angles, as with the T-square, or use PolarSnap to restrict cursor rubber-band movement to specified angles, as with the triangle. You can also use PolarSnap to specify snap distances.


Using Ortho Mode

As you create or move objects, you can use Ortho mode to restrict the cursor to the horizontal or vertical axis. The orthogonal alignment depends on the current snap angle, UCS, or isometric grid and snap setting. Ortho works with commands that require you to specify a second point. You can turn Ortho on and off at any time during drawing and editing. You can use Ortho not only to establish vertical or horizontal alignments but also to enforce parallelism or to create regular offsets from existing objects.

By imposing orthogonal constraints, you can draw more quickly. For example, you can create a series of perpendicular lines by turning on Ortho mode before you start. Because the lines are constrained to be parallel to the horizontal and vertical axes, you know that the lines are perpendicular.

As you move the cursor, a rubber-band line that defines the displacement follows the horizontal or vertical axis, depending on which axis is nearest to the cursor. AutoCAD LT overrides Ortho when you enter coordinates on the command line, use perspective views, or specify an object snap.

For drawing or editing objects at angles that are not parallel to the horizontal or vertical axis, see Using PolarSnap.


Using Ortho Mode

To turn on or turn off Ortho mode, including PolarSnap settings
To restrict the cursor to the horizontal or vertical axis


Using Ortho Mode (proc 1 of 2)

Using Ortho Mode

To turn on or turn off Ortho mode, including PolarSnap settings

  • On the status bar, double-click Ortho.

Command line equivalent: ORTHO or F8, DDRMODES


Procedure: Using Ortho Mode (proc 2 of 2)

Using Ortho Mode

To restrict the cursor to the horizontal or vertical axis

  1. From the Tools menu, choose PolarSnap Settings.
  2. In the Ortho/Polar Settings dialog box, select On. Then select Ortho.

Standard toolbar:
Command line equivalent: POLAR


Using Ortho Mode

Commands

ORTHO | Constrains cursor movement
POLAR | Constrains cursor input to specified angles and radial distances

System Variables

ORTHOMODE Constrains cursor movement to the perpendicular


Using PolarSnap

When you are creating or modifying objects, you can use PolarSnap to restrict the rubber-band cursor movement to precise angles and distances. You can use PolarSnap to specify snap angle, snap distance, or both. Also, you can choose to activate PolarSnap tooltips that display the distance and angle of the cursor from the last specified point. PolarSnap is active only when Ortho mode is on.

AutoCAD LT overrides PolarSnap when you enter coordinates on the command line, enter distance directly, use perspective views, or specify an object snap.

Angle Snap

Angle snap restricts cursor movement to angular increments you specify in the PolarSnap dialog box. The specified angle is relative to the UCS and the current grid rotation angle. After you set the snap angle, the cursor snaps at 0 degrees and at increments of the specified angle. For example, if the snap angle value is 15 degrees, the cursor snaps at 0, 15, 30, 45, and so on.

The orientation of 0 depends on the snap angle you set in the Units Control dialog box (DDUNITS). The direction of snap (clockwise or counterclockwise) depends on the units direction you specify when setting units of measurement.

Distance Snap

Distance snap restricts cursor movement to increments of a length you specify. For example, if you specify a length of 4 units, the cursor snaps from the first point specified to lengths of 0, 4, 8, 12, 16, and so on.

See Also


Using PolarSnap

To turn on PolarSnap
To turn on or turn off Ortho mode, including PolarSnap settings


Using PolarSnap (proc 2 of 2)

Using PolarSnap

To turn on PolarSnap

  1. From the Tools menu, choose Polar Snap Settings.
  2. In the Ortho/Polar dialog box, choose On.
  3. Select the PolarSnap option you want to use.
  4. If you are using an angle snap, specify the angle to use.
  5. If you are using a distance snap, specify the distance to use.
  6. If you want to use distance and angle tooltips, select ToolTips.
  7. Choose OK.

Standard toolbar:
Command line equivalent: POLAR


Using Polar Snaps

Using PolarSnap

Commands

ORTHO | Constrains cursor movement
POLAR | Constrains cursor input to specified angles and radial distances

System Variables

ANGBASE | Sets the base angle 0 with respect to the current UCS
ANGDIR | Sets the positive angle direction from angle 0 with respect to the current UCS
POLARANG | Sets PolarSnap angle relative to the current UCS
POLARDIST | Sets the distance from the last point for PolarSnap intervals
POLARMODE | Controls whether PolarSnap is constrained for distance and angle
POLARSTYLE | Controls whether PolarSnap coordinates are displayed in tooltips


Using Ortho Mode and PolarSnap

To turn on or turn off Ortho mode, including PolarSnap settings
To restrict the cursor to the horizontal or vertical axis
To turn on PolarSnap


Using Ortho Mode and Polar Snaps

Using Ortho Mode and PolarSnap

Commands

ORTHO | Constrains cursor movement
POLAR | Constrains cursor input to specified angles and radial distances

System Variables

ORTHOMODE | Constrains cursor movement to the perpendicular
POLARANG | Sets PolarSnap angle relative to the current UCS
POLARDIST | Sets the distance from the last point for PolarSnap intervals
POLARMODE | Controls whether PolarSnap is constrained for distance and angle
POLARSTYLE | Controls whether PolarSnap coordinates are displayed in tooltips


Snapping to Geometric Points on Objects

Object snaps constrain point specification to exact locations, such as a midpoint or an intersection, on existing objects. Using object snaps is a quick way to locate an exact position on an object without having to know the coordinate or draw construction lines. For example, you can use an object snap to draw a line to the center of a circle or to the midpoint of a polyline segment. You can specify an object snap whenever AutoCAD LT prompts for a point.

If AutoSnap is turned on, AutoCAD LT displays a marker and a SnapTip whenever you move the target box over a snap point. This feature provides a visual clue that indicates which object snaps are in effect.

There are a variety of ways to turn on object snaps. If you choose an individual object snap tool or enter its name on the command line, the snap stays in effect only for the next point you specify. You also can set running object snaps, that is, one or more object snaps that remain in effect as you work. Choose None to turn off both single and running object snaps.


Using Object Snaps

Most of the object snaps that are described here affect only objects visible on the screen, including objects on locked layers, floating viewport boundaries, and polyline segments. You cannot snap to objects that are not visible, such as objects not displayed, objects on turned-off or frozen layers, or the blank portions of dashed lines.

Endpoint
Intersection
Midpoint
Perpendicular
Center
Tangent
Quadrant
Insert
Node
Nearest
None

See Also
Using AutoSnap
Setting Isometric Snap and Grid


Object Snaps: Endpoint

Endpoint snaps to the closest endpoint of objects such as lines or arcs. If you have created an object with thickness, you also can snap to the projected edges of the object.


Object Snaps: Endpoint

To snap to a geometric point on an object
To set running object snaps


Object Snaps: Endpoint

Commands

DDOSNAP | Same as OSNAP
OSNAP | Sets running Object Snap modes from the command line

System Variables

No entries.

Command Modifiers

ENDP Endpoint object snap


Object Snaps: Intersection

Intersection snaps to the intersection of objects such as lines, circles, arcs, and splines. If the target area covers only one object, AutoCAD LT prompts you to select a second object and then snaps to the imaginary intersection formed by extensions of those objects.

Also, Intersection snaps to the corners of objects that have been created with thickness. If two thickened objects extend in the same direction and have intersecting bases, you can snap to the intersection of the edges. If the objects have different thicknesses, the lesser thickness defines the intersection point.

Snapping to intersections of arcs and circles that are part of a block (a group of objects treated as a single object) works only if the block has been uniformly scaled. Line intersections within blocks are not affected by this restriction.


Object Snaps: Intersection

To snap to a geometric point on an object
To set running object snaps


Object Snaps: Intersection

Commands

DDOSNAP | Same as OSNAP
OSNAP | Sets running Object Snap modes from the command line

System Variables

No entries.

Command Modifiers

INT Intersection object snap


Object Snaps: Midpoint

Midpoint snaps to the midpoint of objects such as lines or arcs.

On infinite lines and rays, Midpoint snaps to the first point defined (the root). When you select a spline or an ellipse, Midpoint snaps to a point on the object that is halfway between the starting point and the endpoint.

If you have created a line or arc with thickness, you also can snap to the midpoints of the projected edges of the object.


Object Snaps: Midpoint

To snap to a geometric point on an object
To set running object snaps


Object Snaps: Midpoint

Commands

DDOSNAP | Same as OSNAP
OSNAP | Sets running Object Snap modes from the command line

System Variables

No entries.

Command Modifiers

MID Midpoint object snap


Object Snaps: Perpendicular

Perpendicular snaps to the point on an object that forms a normal, or perpendicular alignment, with another object or with an imaginary extension of that object. You can use the Perpendicular object snap with arcs, circles, ellipses, lines, polylines, or splines.

When you use the Perpendicular object snap to specify the first point of a line, xline, or circle, you construct a line or circle that is perpendicular to an object you select. When you use the Perpendicular object snap to specify the second point of a line or circle, AutoCAD LT snaps to a point that creates a normal from that object to the first point selected.

You can use a perpendicular snap with arcs and circles that are part of a block only if the block has been uniformly scaled and the object's thickness direction is parallel to the current UCS. You may not be able to construct perpendicular lines between all objects.


Object Snaps: Perpendicular

To snap to a geometric point on an object
To set running object snaps


Object Snaps: Perpendicular

Commands

DDOSNAP | Same as OSNAP
OSNAP | Sets running Object Snap modes from the command line

System Variables

No entries.

Command Modifiers

PER Perpendicular object snap


Object Snaps: Center

Center snaps to the center of an arc, circle, or ellipse. When you snap to the center, select a visible part of the arc, circle, or ellipse.


Object Snaps: Center

To snap to a geometric point on an object
To set running object snaps


Object Snaps: Center

Commands

DDOSNAP | Same as OSNAP
OSNAP | Sets running Object Snap modes from the command line

System Variables

No entries.

Command Modifiers

CEN Center object snap


Object Snaps: Tangent

Tangent snaps to the point on an arc, circle, ellipse, or planar spline that forms a tangent to another object.

When drawing a circle with the three-point method, for example, you can use the Tangent object snap to construct a circle that is tangent to three other circles.

You can create tangents with arcs and circles that are part of a block only if the block has been uniformly scaled. Also, the object's thickness direction must be parallel to the current UCS. For both splines and ellipses, the other point you specify must be on the same plane as the snap point.


Object Snaps: Tangent

To snap to a geometric point on an object
To set running object snaps


Object Snaps: Tangent

Commands

DDOSNAP | Same as OSNAP
OSNAP | Sets running Object Snap modes from the command line

System Variables

No entries.

Command Modifiers

TAN Tangent object snap


Object Snaps: Quadrant

Quadrant snaps to the closest quadrant of an arc, circle, or ellipse (0, 90-, 180-, and 270-degree points). The location of the quadrant points for circles and arcs is determined by the current orientation of the UCS.

If the arc, circle, or ellipse is a member of a rotated block, the quadrant points rotate with the block.


Object Snaps: Quadrant

To snap to a geometric point on an object
To set running object snaps


Object Snaps: Quadrant

Commands

DDOSNAP | Same as OSNAP
OSNAP | Sets running Object Snap modes from the command line

System Variables

No entries.

Command Modifiers

QUA Quadrant object snap


Object Snaps: Insert

Insert snaps to the insertion point of a block, text, attribute (which contains information about the block), or attribute definition (which describes the characteristics of the attribute).

If you select an attribute within a block, AutoCAD LT snaps to the insertion point of the attribute, not the block. Therefore, if a block consists entirely of attributes, you can snap to its insertion point only if that point coincides with the insertion point for one of the attributes.


Object Snaps: Insert

To snap to a geometric point on an object
To set running object snaps


Object Snaps: Insert

Commands

DDOSNAP | Same as OSNAP
OSNAP | Sets running Object Snap modes from the command line

System Variables

No entries.

Command Modifiers

INS Insert object snap


Object Snaps: Node

Node snaps to a point object drawn with the POINT command.

Points included in a block definition can function as convenient snap points for attachment locations. The Node object snap is frequently used with DIVIDE and MEASURE, which insert points at intervals on the objects you select.

Intersection snaps to the intersection of objects such as lines, circles, arcs, and splines. If the target area covers only one object, AutoCAD LT prompts you to select a second object and then snaps to the imaginary intersection formed by extensions of those objects.


Object Snaps: Node

To snap to a geometric point on an object
To set running object snaps


Object Snaps: Node

Commands

DDOSNAP | Same as OSNAP
OSNAP | Sets running Object Snap modes from the command line

System Variables

No entries.

Command Modifiers

NOD Node object snap


Object Snaps: Nearest

Nearest snaps to a point object or snaps to the location on another type of object that is closest to the selection point.


Object Snaps: Nearest

To snap to a geometric point on an object
To set running object snaps


Object Snaps: Nearest

Commands

DDOSNAP | Same as OSNAP
OSNAP | Sets running Object Snap modes from the command line

System Variables

No entries.

Command Modifiers

NEA Nearest object snap


Object Snaps: None

Turns off running Object Snap mode.


Object Snaps: None

To snap to a geometric point on an object
To set running object snaps


Object Snaps: Mome

Object Snaps: None

Commands

DDOSNAP | Same as OSNAP
OSNAP | Sets running Object Snap modes from the command line

System Variables

No entries.

Command Modifiers

NEA Nearest object snap


Using Object Snaps

To snap to a geometric point on an object
To set running object snaps
To turn on and turn off running object snaps as you work
To change the AutoSnap settings


Using Object Snaps

Commands

APERTURE | Controls the size of the object snap target box
DDOSNAP | Same as OSNAP
OSNAP | Sets running object snaps and changes the aperture box

System Variables

OSMODE Sets running object snap modes using bit-codes

Command Modifiers

CEN | Center object snap
ENDP | Endpoint object snap
FROM | Prompts for a relative coordinate from a base point
INS | Insert object snap
INT | Intersection object snap
MID | Midpoint object snap
NEA | Nearest object snap
NOD | Node object snap
PER | Perpendicular object snap
QUA | Quadrant object snap
TAN | Tangent object snap


Using Object Snap for a Single Point

When you specify an object snap, the cursor changes to an object snap target box. When you select an object, AutoCAD LT snaps to the eligible snap point closest to the center of the target box, or aperture.

Object snaps work only when AutoCAD LT prompts for a point. If you try to use an object snap at the Command prompt, AutoCAD LT displays an error message.


Using Object Snap for a Single Point (proc 1 of 1)

Using Object Snap for a Single Point

To snap to a geometric point on an object

  1. At the prompt for a point, press SHIFT + right-click. Then choose the object snap you want to use.
  2. Move your cursor over the desired snap location. If AutoSnap is on, your cursor automatically locks onto the snap location you selected, and a marker and SnapTip indicate the snap point.
  3. Select an object.

The cursor snaps to the eligible location closest to your selection.

Object Snap toolbar:
Alternate: SHIFT + right-click (for cursor menu)


Using Object Snap for a Single Point

Commands

APERTURE | Controls the size of the object snap target box
DDOSNAP | Same as OSNAP
OSNAP | Sets running object snaps and changes the aperture box

System Variables

OSMODE Sets running object snap modes using bit-codes


Setting Running Object Snaps

If you need to use the same object snap repeatedly, you can set it as a running object snap, which means it stays on until you turn it off. For example, you might set Center as a running object snap if you need to connect the centers of a series of circles with a line. As with single object snaps, the aperture, or target box, indicates that an object snap is on and identifies the selection area. You can change the size of the target box.

When you turn on multiple running object snaps, AutoCAD LT uses the object snap most appropriate to the object you select. If two potential snap points fall within the selection area, AutoCAD LT snaps to the eligible point closest to the center of the target box.


Setting Running Object Snaps (proc 1 of 2)

Setting Running Object Snaps

To set running object snaps
To turn on and turn off running object snaps as you work


Setting Running Object Snaps (proc 1 of 2)

Setting Running Object Snaps

To set running object snaps

  1. From the Tools menu, choose Object Snap Settings.
  2. In the Osnap dialog box, select the object snaps you want to use.
  3. To change the size of the target box, drag the slider bar under Aperture Size.
  4. Choose OK.

Object Snap toolbar:
Command line equivalent: DDOSNAP
Alternate: SHIFT + right-click (for cursor menu)


Setting Running Object Snaps (proc 2 of 2)

Setting Running Object Snaps

To turn on and turn off running object snaps as you work

  1. From the status bar, double-click Osnap.
  2. If no running object snaps have been set, the Osnap Settings dialog box is displayed and you can select the object snaps you want to use.

If running object snaps have been set, the previous settings are turned on or off.

Command line equivalent: OSNAP or F3


Setting Running Object Snaps

Commands

APERTURE | Controls the size of the object snap target box
DDOSNAP | Same as OSNAP
OSNAP | Sets running object snaps and changes the aperture box

System Variables

OSMODE Sets running object snap modes using bit-codes


Using AutoSnap

When you use any of the object snap settings, AutoSnap displays a marker and a SnapTip when you move your cursor over a snap point. AutoSnap is automatically turned on when you enter an object snap on the command line or turn on object snaps in the Osnap Settings dialog box.

After you enter a drawing command, AutoSnap indicates the snap points as you drag your cursor over the object.

If you have set more than one running object snap, you can press TAB to cycle through all the snap points available for a particular object. For example, if you press TAB while the cursor is on the circle in the following illustration, AutoSnap gives you the option to snap to quadrant, intersection, and center.

AutoSnap consists of the following snap tools:

  • Marker. Displays the object snap location when the cursor moves over or near an object. Marker shape is dependent on the snap it is marking.
  • SnapTip. Describes which part of the object you are snapping to in a small flag at the cursor location.
  • Magnet. Attracts and locks the cursor onto the nearest detected snap points. Provides a visual cue, similar to snapping to a grid.


Using AutoSnap (proc 1 of 1)

Using AutoSnap

To change the AutoSnap settings

  1. From the Tools menu, choose Object Snap Settings.
  2. In the Osnap Settings dialog box, choose the AutoSnap tab.
  3. Change settings as needed:
    • Marker turns the marker on or off.
    • Magnet turns the magnet on or off.
    • SnapTips turns SnapTips on or off.
    • Marker Size adjusts the size of the marker.
    • Marker Color changes the color of the marker.
    Display Aperture Box turns the target box on or off when you specify an object snap. This setting does not affect object snaps when you are not using AutoSnaps.
  4. Choose OK.

Object Snap toolbar:
Command line equivalent: DDOSNAP
Alternate: SHIFT + right-click (for cursor menu)


Using AutoSnaps

Using AutoSnap

Commands

APERTURE | Controls the size of the object snap target box
OSNAP | Sets running object snaps and changes the aperture box

System Variables

APBOX | Turns the AutoSnap aperature box on and off
AUTOSNAP | Controls settings of snap marker, magnet, and SnapTip
OSNAPCOORD | Controls whether coordinates entered on the command line override running object snaps


Snapping to Geometric Points on Objects

To snap to a geometric point on an object
To set running object snaps
To turn on and turn off running object snaps as you work
To change the AutoSnap settings


Snapping to Geometric Points on Objects

Commands

APERTURE | Controls the size of the object snap target box
DDOSNAP | Same as OSNAP
OSNAP | Sets running object snaps and changes the aperture box

System Variables

OSMODE Sets running object snap modes using bit-codes


Offsetting from Temporary Reference Points

The From command modifier establishes a temporary reference point as a base point for offsetting subsequent points. Unlike tracking, the From method does not constrain the cursor to orthogonal movement. The From method usually is used in combination with object snaps.

Example: A Polyline Created Using the From Method


Example: A Polyline Created Using the From Method

In this example you are drawing a polyline. At a prompt for a point, you enter from mid to locate a point relative to the midpoint of a line you select at the Of prompt. As the final step, you enter a relative coordinate.

Command: Enter pline
From point: Enter from
Base point: Enter mid
of Select the line
of <Offset>: Enter @2,0


Offsetting from Temporary Reference Points (proc 1 of 1)

Offsetting from Temporary Reference Points

To offset a point from a temporary reference point

  1. At a prompt for a point, enter from.
  2. If you want to offset from a location on an existing object, specify an object snap method. Then select the object.
  3. Enter a relative coordinate.

Object Snap toolbar:
Command line equivalent: FROM
Alternate: SHIFT + right-click (for cursor menu)


Offsetting from Temporary Reference Points

Commands

No entries.

System Variables

No entries.

Command Modifiers

FROM Prompts for a relative coordinate from a base point


Using Direct Distance Entry

To specify a line length quickly without entering coordinate values, you can specify a point by moving the cursor to indicate a direction and then entering the distance from the first point.

You can use direct distance entry to specify points for all commands except those that prompt you to enter a single real value, such as ARRAY, MEASURE, and DIVIDE. When Ortho mode is on, this method is an efficient way to draw perpendicular lines.

See Also
Using PolarSnap


Using Direct Distance Entry (proc 1 of 1)

Using Direct Distance Entry

To draw a line using direct distance entry

  1. Start the LINE command and specify the first point.
  2. Move the pointing device until the rubber-band line extends at the same angle as the line you want to draw.
  3. Specify a distance on the command line and press ENTER.

The line is drawn at the length and angle you specified.


Using Direct Distance Entry

Commands

LINE Creates straight line segments

System Variables

No entries.


Using Coordinate Filters

When a command such as CIRCLE or LINE prompts for a point, enter .x, .y, or .z to indicate which coordinate value you want to specify.

Specifying a coordinate filter limits the next entry to a specific coordinate value, such as the X or the Y value, or even an X,Y value. (For 3D points, you also can specify Z values.) After you specify the first value, AutoCAD LT prompts for the remaining coordinate values.

When two of the three coordinate filters have been specified, the third value may be entered as a numeric value.

Coordinate filters work only when AutoCAD LT prompts you for a point. If you try to use a coordinate filter at the Command prompt, AutoCAD LT displays an error message.

Example: Use of Coordinate Filters to Specify a Center Point


Example: Use of Point Filters to Specify a Center Point

Example: Use of Coordinate Filters to Specify a Center Point

In the following illustration, the hole in the holding plate was centered in the rectangle by extracting the X,Y coordinate values from the midpoints of the plate's horizontal and vertical line segments.

The following procedure shows how to use coordinate filters to create the hole. You use a Midpoint object snap to find the midpoint of the horizontal and vertical lines.

Command: Enter circle
3P/2P/TTR/<Center point>: Enter .x
of Enter mid
of Select the horizontal line on the lower edge of the holding plate
of (need YZ): Enter mid
of Select the vertical line on the left side of the holding plate
of Diameter/<Radius> Specify the radius of the hole


Using Coordinate Filters (proc 1 of 1)

Using Coordinate Filters

To use coordinate filters to specify a point

  1. At the prompt for a point, enter the filter for the first coordinate value.

    For example, enter .X to indicate that you want to specify the X value first.

  2. Specify a point, or choose an object snap and select an object.
  3. At the prompt for the next coordinate value, specify a point, or choose an object snap and select an object.

Command line equivalent: .X, .Y, or .Z


Using Coordinate Filters

Commands

No entries.

System Variables

No entries.

Command Modifiers

.X, .Y, .Z Used to specify one coordinate value at a time


Using Tracking to Offset Points

You can use the tracking method whenever AutoCAD LT prompts for a point. The Tracking method uses the pointing device to specify a point by offsetting vertically and horizontally from a series of temporary points. When you start tracking and specify an initial reference point, AutoCAD LT constrains the next reference point to a path that extends vertically or horizontally from the initial reference point. The direction of the offset is indicated by the rubber-band line. You change the direction of the offset by moving the cursor through the current reference point. You can track as many points as you need. Typically, you use tracking in combination with object snaps or direct distance entry.

For example, you can use tracking to find the center point of a rectangle without using construction lines. Start tracking, and specify the midpoint of a horizontal line. Drag the cursor vertically and specify the midpoint of a vertical line (2). Press ENTER to accept the point (3) at the center of the rectangle.

Example: Use of Tracking to Break a Rectangle

See Also
Offsetting from Temporary Reference Points
Using Coordinate Filters


Example: To use tracking to break a rectangle

Example: Use of Tracking to Break a Rectangle

In the following example, you make an opening in a rectangle using BREAK and the tracking method. By using tracking, you can specify the break points at a relative distance from the corners of the rectangle.

Command: Enter break
Select object: Select the rectangle
Enter second point (or F for first point): Enter f
Enter first point: Enter tracking
First tracking point: Enter int of Select the lower-left corner of the rectangle
Next point: Move the cursor to the right. Enter 2 and press ENTER twice
Enter second point: Enter tracking
Second tracking point: Enter int of Select the lower-right corner of the rectangle
Next point: Move the cursor to the left. Enter 4 and press ENTER twice

A break appears in the wall.


Using Tracking to Offset Points (proc 1 of 1)

Using Tracking to Offset Points

To use tracking to specify a point

  1. Start a command, such as the LINE command.
  2. From the cursor menu, choose Tracking.

    Hold down SHIFT and right-click to access the cursor menu.

  3. Specify a point.
  4. Move the cursor directly up, down, left, or right until you see the rubber-band line. The direction of your movement affects the tracking direction. Notice that if you move the cursor from left to right, you must then move it directly over the last point specified in order to move it up or down.
  5. Specify a second point.
  6. Press ENTER to end tracking.

The start point of the line snaps to the imaginary intersection of the vertical and horizontal paths extending from the points you specified. The position is determined by the direction in which you moved the cursor after specifying the first point.

Command line equivalent: TRACKING


Using Tracking to Offset Points

Commands

No entries.

System Variables

No entries.

Command Modifiers

TRACKING Locates a point from a series of temporary points


Specifying Intervals on an Object

Sometimes you need to create points or insert named sets of objects (blocks) at intervals on an object.

You can

  • Specify the length of the segments (MEASURE)
  • Specify the number of equal segments (DIVIDE)

You can measure or divide lines, arcs, splines, circles, ellipses, and polylines. With both methods, you can identify the intervals by inserting either a point or a block.

By specifying points, you can use the Node object snap to align other objects at intervals on the measured or divided object. By specifying blocks, you can create precise geometric constructions or insert custom markers. The blocks can rotate at each insertion point.

You cannot insert a block unless it has already been defined within the drawing. Variable attributes within the block are not included when you insert the block references.

The points or blocks you draw using MEASURE or DIVIDE are placed in a selection set. Therefore, if you want to edit them immediately, you can use the Previous option of SELECT.

Specifying Measured Intervals on an Object
Dividing an Object into Equal Segments

See Also
Creating Blocks


Specifying Measured Intervals on an Object

You can use MEASURE to mark an object at specified intervals. You can mark the intervals with either points or blocks. The last segment of a measured object may be shorter than the interval you specify.

The starting point for measurements or divisions varies with the object type. For lines or open polylines, the starting point is the endpoint closest to the selection point. For closed polylines it is the polyline start point. For circles it is at the angle from the center point that is equivalent to the current snap angle. For example, if the snap angle is 0, the circle starts at the three o'clock position and continues counterclockwise.

If the point marker is displayed as a single dot (the default setting), you may not be able to see the measured intervals. You can change the style of the point markers using several methods. To change the point style in a dialog box, you can use DDPTYPE, or choose Point Style from the Settings menu. The PDMODE system variable also controls the appearance of point markers. For example, you can change the value to make points appear as crosses. PDSIZE controls the size of point objects.


Specifying Measured Intervals on an Object

To insert points at measured intervals on an object
To insert blocks at measured intervals on an object


Specifying Measured Intervals on an Object (proc 1 of 2)

Specifying Measured Intervals on an Object

To insert points at measured intervals on an object

  1. From the Draw menu, choose Point. Then choose Measure.
  2. Select a line, arc, spline, circle, ellipse, or polyline.
  3. Enter an interval length on the command line, or specify points on the screen to indicate a length.

AutoCAD LT places points on the object at the specified intervals.

Command line equivalent: MEASURE


Specifying Measured Intervals on an Object (proc 2 of 2)

Specifying Measured Intervals on an Object

To insert blocks at measured intervals on an object

  1. If necessary, create the block you want to insert.
  2. From the Draw menu, choose Point. Then choose Measure.
  3. Select the object you want to measure.
  4. On the command line, enter b (Block).
  5. Enter the name of the block you want to insert.
  6. Enter y to align the blocks with the measured object. Enter n to use a rotation angle of 0 degrees.
  7. Enter an interval length, or specify points on the screen to indicate a length.

AutoCAD LT inserts blocks on the object at the specified intervals.

Command line equivalent: BLOCK, MEASURE


Specifying Measured Intervals on Objects

Specifying Intervals on an Object

Commands

BLOCK | Creates a block definition from selected objects
DDPTYPE | Specifies the display mode and size of point objects
MEASURE | Places point objects or blocks at measured intervals on an object

System Variables

PDMODE | Controls how point objects are displayed
PDSIZE | Sets the display size for point objects


Dividing an Object into Equal Segments

You can create points or insert blocks on an object at a specific number of equal intervals. This operation does not actually break an object into individual objects; it only identifies the location of the divisions so that you can use them as geometric reference points.

The starting point for measurements or divisions varies with the object type. For lines or open polylines, the starting point is the endpoint closest to the selection point. For closed polylines it is the polyline start point. For circles it is at the angle from the center point that is equivalent to the current snap angle. For example, if the snap angle is 0, the circle starts at the three o'clock position and continues counterclockwise.

If the point marker is displayed as a single dot (the default setting), you may not be able to see the segments. You can change the style of the point markers using several methods. To change the point style in a dialog box, you can use DDPTYPE, or choose Point Style from the Settings menu. The PDMODE system variable also controls the appearance of point markers. For example, you can change the value to make points appear as crosses. PDSIZE controls the size of point objects.


Dividing an Object into Equal Segments

To insert points at a specified number of intervals on an object
To insert blocks at a specified number of intervals on an object


Dividing an Object into Equal Segments (proc 1 of 2)

Dividing an Object into Equal Segments

To insert points at a specified number of intervals on an object

  1. From the Draw menu, choose Point. Then choose Divide.
  2. Select a line, circle, ellipse, polyline, arc, or spline.
  3. On the command line, enter the number of intervals you want.

AutoCAD LT places a point between each two intervals on the object.

Command line equivalent: DIVIDE


Dividing an Object into Equal Segments (proc 2 of 2)

Dividing an Object into Equal Segments

To insert blocks at a specified number of intervals on an object

  1. If necessary, create the block you want to insert.
  2. From the Draw menu, choose Point. Then choose Divide.
  3. Select a line, arc, circle, ellipse, polyline, or spline.
  4. On the command line, enter b (Block).
  5. Enter the name of the block you want to insert.
  6. Enter y to align the blocks with the divided object. Enter n to use a rotation angle of 0 degrees.
  7. Enter the number of intervals you want.

AutoCAD LT inserts a block between each two intervals on the object.

Command line equivalent: BLOCK, DIVIDE


Dividing Objects into Segments

Dividing an Object into Equal Segments

Commands

BLOCK | Creates a block definition from selected objects
BMAKE | Defines a block or drawing file from selected objects
DDPTYPE | Specifies the display mode and size of point objects
DIVIDE | Places evenly spaced point objects or blocks along the length or perimeter of an object
WBLOCK | Writes objects to a new drawing file

System Variables

PDMODE | Controls how point objects are displayed
PDSIZE | Sets the display size for point objects


Specifying Intervals on an Object

To insert points at measured intervals on an object
To insert blocks at measured intervals on an object
To insert points at a specified number of intervals on an object
To insert blocks at a specified number of intervals on an object


Intervals on an Object

Specifying Intervals on an Object

Commands

BLOCK | Creates a block definition from selected objects
BMAKE | Defines a block or drawing file from selected objects
DDPTYPE | Specifies the display mode and size of point objects
DIVIDE | Places evenly spaced point objects or blocks along the length or perimeter of an object
MEASURE | Places point objects or blocks at measured intervals on an object
WBLOCK | Writes objects to a new drawing file

System Variables

PDMODE | Controls how point objects are displayed
PDSIZE | Sets the display size for point objects


Drawing Construction Lines (Xlines) and Rays

You can create lines that extend to infinity in one or both directions. Known as rays and construction lines, respectively, these infinite lines can be used as references for creating other objects. For example, you can use construction lines to find the center of a triangle, prepare multiple views of the same item, or create temporary intersections to use for object snaps.

Infinite lines do not change the total area of the drawing. Therefore, their infinite dimensions have no effect on zooming or viewpoints, and they are ignored by commands that display the drawing extents. You can move, rotate, and copy infinite lines just as you can move, rotate, and copy other objects. You may want to create infinite lines on a construction line layer that can be frozen or turned off before plotting.


Creating Construction Lines

A construction line can be placed anywhere in three-dimensional space. You can specify its orientation in several ways. The default method for creating the line is the two-point method: you specify two points to define the orientation. The first point, the root, is the conceptual midpoint of the construction line, that is, the point snapped to by the Midpoint object snap.

You can also create construction lines in several other ways.

Horizontal and Vertical

The horizontal and vertical methods create construction lines that pass through a point you specify and are parallel to the X or Y axis of the current UCS.

Angle

The angle method creates a construction line in one of two ways:

Select a reference line and then specify the angle of the construction line from that line.

Create a construction line at a specific angle to the horizontal axis by specifying an angle and then specifying a point through which the construction line should pass.

Bisector

The bisector method creates a construction line that bisects an angle you specify. You specify the vertex and the lines that create the angle.

Offset

The offset method creates a construction line parallel to a baseline you specify. You specify the offset distance, select the baseline, and then indicate on which side of the baseline to locate the construction line.


Creating Construction Lines (proc 1 of 1)

Creating Construction Lines

To create a construction line by specifying two points

  1. From the Draw menu, choose Construction Line.
  2. Specify a point to define the root of the construction line.
  3. Specify a second point through which the construction line should pass.
  4. Continue to specify construction lines as needed.

    All subsequent rays pass through the first point specified.

  5. Press ENTER to end the command.

Draw toolbar:
Command line equivalent: XLINE


Creating Construction Lines

Commands

XLINE Creates an infinite line

System Variables

No entries.


Creating Rays

A ray is a line in three-dimensional space that starts at a point you specify and extends to infinity. Unlike construction lines, which extend in two directions, rays extend in only one direction. Using rays instead of construction lines can help reduce visual clutter. Like construction lines, rays are ignored by commands that display the drawing extents.


Creating Rays (proc 1 of 1)

Creating Rays

To create a ray

  1. From the Draw menu, choose Ray.
  2. Specify a starting point for the ray.
  3. Specify a point through which the ray should pass.
  4. Continue to specify points to create additional rays as needed.

    All subsequent rays pass through the first point specified.

  5. Press ENTER to end the command.

Command line equivalent: RAY


Creating Rays

Commands

RAY Creates a semi-infinite line

System Variables

No entries.


Drawing Construction Lines (Xlines) and Rays

To create a construction line by specifying two points
To create a ray


Drawing Construction Lines (Xlines) and Rays

Commands

RAY | Creates a semi-infinite line
XLINE | Creates an infinite line

System Variables

No entries.


Calculating Areas

You can calculate and display the area and perimeter of a sequence of points or of any of several types of objects. If you need to calculate the combined area of more than one object, you can keep a running total as you add or subtract one area at a time from the selection set. You cannot use window selection or crossing selection to select objects.

Calculating a Defined Area

You can measure an arbitrary closed region defined by the points you specify. The points must lie on a plane parallel to the XY plane of the current UCS.

Calculating the Area Enclosed by an Object

You can calculate the enclosed area and perimeter or circumference of circles, ellipses, polylines, polygons, and two-dimensional solids. The displayed information differs according to the type of object you select:

  • Circles, ellipses, 2D solids, and planar closed spline curves - area and circumference are displayed.
  • Closed polylines and polygons - area and perimeter are displayed. For wide polylines, this area is defined by the center of the width.
  • Open objects such as open spline curves and open polylines - area and length are displayed. The area is computed as though a straight line connected the start point and endpoint.

Example: How Various Areas Are Calculated

Calculating Combined Areas

You can measure more than one area, either by specifying points or by selecting objects. For example, you can measure the total area of selected rooms in a floor plan.

Subtracting Areas from Combined Areas

You can subtract one or more areas from a combined area that you have already calculated. In the example, the area of the floor plan is first calculated, and then a room is subtracted.

Example: Subtraction of Areas from a Calculation


Example: To subtract areas from a calculation

Example: Subtraction of Areas from a Calculation

In the following example, the closed polyline represents a metal plate with two large holes. You first calculate the area of the polyline and then subtract each hole. AutoCAD LT displays area and perimeter or circumference of each object and a running total after each step.

Command: Enter area

<First point>/Object/Add/Subtract: Enter a

<First point>/Object/Subtract: Enter o

(ADD mode) Select objects: Select the polyline

Area = 0.34, Perimeter = 2.71

Total area = 0.34

(ADD mode) Select objects: Press ENTER

<First point>/Object/Subtract: Enter s

<First point>/Object/Add: Enter o

(SUBTRACT mode) Select objects: Select the circle

Area = 0.02, Circumference = 0.46

Total area = 0.32

(SUBTRACT mode) Select objects: Select the other circle

Area = 0.02, Circumference = 0.46

Total area = 0.30

(SUBTRACT mode) Select objects: Press ENTER

<First point>/Object/Add: Press ENTER


Example: How Various Areas Are Calculated


Calculating Areas

To calculate an area you define
To calculate the area of an object
To add areas as you calculate
To subtract areas from a calculation


Calculating Areas (proc 1 of 4)

Calculating Areas

To calculate an area you define

  1. From the Tools menu, choose Inquiry. Then choose Area.
  2. Specify points in a sequence that defines the perimeter of the area to be measured. Then press ENTER.

AutoCAD LT connects the first and last points to form a closed area and displays the area and perimeter measurements using the settings specified with DDUNITS.

Inquiry toolbar:
Command line equivalent: AREA


Calculating Areas (proc 2 of 4)

Calculating Areas

To calculate the area of an object

  1. From the Tools menu, choose Inquiry. Then choose Area.
  2. On the command line, enter o (Object).
  3. Select an object.

AutoCAD LT displays the area and perimeter of the selected object.

Inquiry toolbar:
Command line equivalent: AREA


Calculating Areas (proc 3 of 4)

Calculating Areas

To add areas as you calculate

  1. From the Tools menu, choose Inquiry. Then choose Area.
  2. Enter a (Add).
  3. Use one of the following methods:
    • Specify points to define the area you want to add and press ENTER.
    • Enter o (Object) and select the objects you want to add.

    AutoCAD LT displays the measurements of each new area and a running total of all areas.
  4. Press ENTER twice to end the command.

Inquiry toolbar:
Command line equivalent: AREA


Calculating Areas (proc 4 of 4)

Calculating Areas

To subtract areas from a calculation

  1. While a combined area is displayed, enter s (Subtract).
  2. Use one of the following methods:
    • Specify points to define the area you want to subtract and press ENTER.
    • Enter o (Object) and select the objects you want to subtract.

    AutoCAD LT updates the running total as you define new areas.
  3. Press ENTER to end the command.

Inquiry toolbar:
Command line equivalent: AREA


Calculating Areas

Commands

AREA Calculates the area and perimeter of objects or of defined areas

System Variables

No entries.


Calculating Distance and Angle

Obtaining Distance and Angle

To determine the relation between two points, you can display the

  • Distance between them
  • Angle between the points in the XY plane
  • Angle of the points from the XY plane
  • Delta, or changed, X, Y, and Z distance between them

See Also
Displaying Coordinates on the Status Bar


Obtaining Distance and Angle (proc 1 of 1)

Obtaining Distance and Angle

To calculate a distance and angle

  1. From the Tools menu, choose Inquiry, then choose Distance.
  2. Specify the first and second points of the distance you want to calculate.

AutoCAD LT displays a brief report on the command line.

Inquiry toolbar:
Command line equivalent: DIST


Calculating Distance and Angle

Obtaining Distance and Angle

Commands

DIST Measures the distance and angle between two points

System Variables

No entries.


Drawing with Precision

To set running object snaps
To turn on and turn off running object snaps as you work
To snap to a geometric point on an object
To change the AutoSnap settings
To display a grid and set grid spacing
To turn on Snap mode and set snap spacing
To rotate the snap angle and change its base point
To turn on or turn off Ortho mode including PolarSnap settings
To restrict the cursor to the horizontal or vertical axis
To turn on PolarSnap
To enter an absolute coordinate (2D)
To enter a relative coordinate (2D)
To enter a polar coordinate (2D)
To shift the XY plane
To define a new UCS origin
To restore the WCS
To restore the previous UCS
To save a UCS
To restore a named UCS
To rename a UCS
To delete a UCS
To turn the display of the UCS icon on and off
To display the UCS icon at the UCS origin
To display the coordinate values of a point
To visually locate a point
To offset a point from a temporary reference point
To draw a line using direct distance entry
To use point filters to specify a point
To use tracking to specify a point
To create a construction line by specifying two points
To create a ray
To insert points at measured intervals on an object
To insert blocks at measured intervals on an object
To insert points at a specified number of intervals on an object
To insert blocks at a specified number of intervals on an object
To calculate an area you define
To calculate the area of an object
To subtract areas from a calculation
To add areas as you calculate
To calculate a distance and angle


Drawing with Precision

Commands

APERTURE | Controls the size of the object snap target box
AREA | Calculates the area and perimeter of objects or of defined areas
BLOCK | Creates a block definition from selected objects
BMAKE | Defines a block or drawing file from selected objects
DIST | Measures the distance and angle between two points
DDOSNAP | Same as OSNAP
DDPTYPE | Specifies the display mode and size of point objects
DDRMODES | Sets drawing aids
DDUCS | Manages defined user coordinate systems
DDUCSP | Selects a preset user coordinate system
DDUNITS | Controls coordinate and angle display formats and determines precision
DIVIDE | Places evenly spaced point objects or blocks along the length or perimeter of an object
GRID | Displays a dot grid in the current viewport
ID | Displays the coordinate values of a location
LIMITS | Sets and controls the drawing boundaries and grid display
LINE | Creates straight line segments
LIST | Displays database information for selected objects
MEASURE | Places point objects or blocks at measured intervals on an object
OSNAP | Sets running object snaps and changes the aperture box
ORTHO | Constrains cursor movement
POLAR | Constrains cursor input to specified angles and radial distances
RAY | Creates a semi-infinite line
SNAP | Restricts cursor movement to regular intervals
UCS | Manages user coordinate systems
UCSICON | Controls the visibility and placement of the UCS icon
UNITS | Selects coordinate and angle display formats and precision
WBLOCK | Writes objects to a new drawing file
XLINE | Creates an infinite line

System Variables

ANGBASE | Sets the base angle 0 with respect to the current UCS
ANGDIR | Sets the positive angle direction from angle 0 with respect to the current UCS
AUNITS | Stores Angular Units mode
APBOX | Turns the AutoSnap aperature box on and off
AUPREC | Sets the number of decimal places for angular units displayed on the status line or when listing an object
AUTOSNAP | Controls settings of snap marker, magnet, and SnapTip
COORDS | Controls when coordinates are updated on the status line
GRIDUNIT | Specifies the grid spacing (X and Y) for the current viewport
LASTPOINT | Stores the last point entered, expressed as a UCS coordinate for the current space
LIMCHECK | Controls object creation outside the drawing limits
LIMMAX | Stores upper-right drawing limits for the current space, expressed as a World coordinate
LIMMIN | Stores lower-left drawing limits for the current space expressed as a World coordinate
ORTHOMODE | Constrains cursor movement to the perpendicular
OSMODE | Sets running object snap modes using bit-codes
OSNAPCOORD | Controls whether coordinates entered on the command line override running object snaps
PDMODE | Controls how point objects are displayed
PDSIZE | Sets the display size for point objects
POLARANG | Sets PolarSnap angle relative to the current UCS
POLARDIST | Sets the distance from the last point for PolarSnap intervals
POLARMODE | Controls whether PolarSnap is constrained for distance and angle
POLARSTYLE | Controls whether PolarSnap coordinates are displayed in tooltips
SNAPANG | Sets the snap and grid rotation angle for the current viewport
SNAPBASE | Sets the snap and grid origin point for the current viewport relative to the current UCS
SNAPUNIT | Sets snap spacing for the current viewport
UCSICON | Displays the user coordinate system icon for the current viewport using bit-code
UCSNAME | Stores the name of the current coordinate system for the current space
UCSORG | Stores the origin point of the current user coordinate system for the current space
UCSXDIR | Stores the X direction of the current UCS for the current space
UCSYDIR | Stores the Y direction of the current UCS for the current space

Command Modifiers

CEN | Center object snap
ENDP | Endpoint object snap
FROM | Prompts for a relative coordinate from a base point
INS | Insert object snap
INT | Intersection object snap
MID | Midpoint object snap
NEA | Nearest object snap
NOD | Node object snap
PER | Perpendicular object snap
QUA | Quadrant object snap
TAN | Tangent object snap
TRACKING | Locates a point from a series of temporary points
.X, .Y, .Z | Used to specify one coordinate value at a time


Glossary

Definitions of common terms associated with AutoCAD LT

A

absolute coordinates

Coordinate values measured from a coordinate system's origin point. See also origin, relative coordinates, user coordinate system (UCS), world coordinates, and World Coordinate System (WCS).

adaptive sampling

A method to accelerate the anti-aliasing process within the bounds of the sample matrix size. See also anti-aliasing.

ADI

For Autodesk Device Interface. An interface specification for developing device drivers that are required for peripherals to work with AutoCAD LT and other Autodesk products.

affine calibration

A tablet calibration method that provides an arbitrary linear transformation in two-dimensional space. Affine calibration requires three calibration points to allow a tablet transformation that combines translation, independent X and Y scaling, rotation, and some skewing. Use affine calibration if a drawing has been stretched differently in the horizontal or vertical direction. (Associated command: TABLET)

alias

A shortcut for an AutoCAD LT command. For example, CP is an alias for COPY, and Z is an alias for ZOOM. You define aliases in the aclt.pgp file.

aliasing

The effect of discrete picture elements, or pixels, aligned as a straight or curved edge on fixed grid appearing to be jagged or stepped. See also anti-aliasing.

aligned dimension

A dimension that measures the distance between two points at any angle. The dimension line is parallel to the line connecting the dimension's definition points. (Associated command: DIMALIGNED)

angular dimension

A dimension that measures angles or arc segments and consists of text, extension lines, and leaders. (Associated command: DIMANGULAR)

angular unit

The unit of measurement for an angle. Angular units can be measured in decimal degrees, degrees/minutes/seconds, grads, and radians.

annotations

Text, dimensions, tolerances, symbols, or notes.

anonymous block

An unnamed block that supports associative dimensions.

ANSI

For American National Standards Institute. Coordinator of voluntary standards development for both private and public sectors in the United States. Standards pertain to programming languages, Electronic Data Interchange (EDI), telecommunications, and the physical properties of diskettes, cartridges, and magnetic tapes.

anti-aliasing

A method that reduces aliasing by shading the pixels adjacent to the main pixels that define a line or boundary.

approximation points

Point locations that a B-spline must pass near, within a fit tolerance. See also fit points and interpolation points.

array

1. Multiple copies of selected AutoCAD LT objects in a rectangular or polar (radial) pattern. (Associated command: ARRAY) 2. A collection of data items, each identified by a subscript or key, arranged so a computer can examine the collection and retrieve data with the key.

arrowhead

A terminator, such as an arrowhead, slash, or dot, at the end of a dimension line showing where a dimension begins and ends.

ASCII

For American Standard Code for Information Interchange. A common numeric code used in computer data communications. The code assigns meaning to 128 numbers, using seven bits per character with the eighth bit used for parity checking. Nonstandard versions of ASCII assign meaning to 255 numbers.

aspect ratio

Ratio of display width to height.

associative dimension

A dimension that adapts as the associated geometry is modified.

associative hatching

Hatching that conforms to its bounding objects such that modifying the bounding objects automatically adjusts the hatch. (Associated command: BHATCH)

attribute definition

An AutoCAD LT object that is included in a block definition to store alphanumeric data. Attribute values can be predefined or specified when the block is inserted. Attribute data can be extracted from a drawing and inserted into external files. (Associated commands: DDATTDEF, ATTDEF)

attribute extraction file

An ASCII text file to which extracted attribute data is written. The contents and format are determined by the attribute extraction template file.

attribute extraction template file

An ASCII text file that determines which attributes are extracted and how they are formatted when written to an attribute extraction file.

attribute prompt

The text string displayed when you insert a block with an attribute whose value is undefined. See also attribute definition, attribute tag, and attribute value.

attribute tag

A text string associated with an attribute that identifies a particular attribute during extraction from the drawing database. attribute definition, attribute prompt, and attribute value. See also attribute definition, attribute prompt, and attribute value.

attribute value

The alphanumeric information associated with an attribute tag. See also attribute definition, attribute prompt, and attribute tag.

AutoCAD LT library search path

The order in which AutoCAD LT looks for a support file: current directory, drawing directory, directory specified in the support path, and directory containing the AutoCAD executable file, aclt.exe.

axis tripod

Icon with X, Y, and Z coordinates that is used to visualize the viewpoint (view direction) of a drawing without displaying the drawing. (Associated command: VPOINT)

B

baseline

An imaginary line on which text characters appear to rest. Individual characters can have descenders that drop below the baseline.

baseline dimension

Multiple dimensions measured from the same baseline. Also called parallel dimensions.

base point

1. In the context of editing grips, the grip that changes to a solid color when selected to specify the focus of the subsequent editing operation. 2. A point for relative distance and angle when copying, moving, and rotating objects. 3. The insertion base point of the current drawing. (Associated command: BASE) 4. The insertion base point for a block definition. (Associated command: BLOCK)

Bezier curve

A polynomial curve defined by a set of control points, representing an equation of an order one less than the number of points being considered. A Bezier curve is a special case of a B-spline curve.

bitmap

The digital representation of an image having bits referenced to pixels. In color graphics, a different value represents each red, green, and blue component of a pixel.

blip marks

Temporary screen markers displayed in the AutoCAD LT graphics area when you specify a point or select objects. (Associated command: BLIPMODE)

block

A generic term for one or more AutoCAD LT objects that are combined to create a single object. Commonly used for either block definition or block reference. See block definition and block reference. (Associated command: BLOCK)

block definition

The name, base point, and set of objects that are combined and stored in the symbol table of a drawing. See block. See also block reference. (Associated command: BLOCK)

block reference

A compound object that is inserted in a drawing and displays the data stored in a block definition. Also called instance. See block. See also block definition. (Associated command: INSERT)

block table

The nongraphic data area of a drawing file that stores block definitions. See also symbol table.

B-spline curve

A blended piecewise polynomial curve passing near a given set of control points. (Associated command: SPLINE)

button menu

The menu for a pointing device with multiple buttons. Each button on the pointing device (except the pick button) can be defined in the AutoCAD LT menu file aclt.mnu in the BUTTONSn and AUXn sections.

BYBLOCK

A special object property used to specify that the object inherits the color or linetype of any block containing it. See also BYLAYER.

BYLAYER

A special object property used to specify that the object inherits the color or linetype associated with its layer. See also BYBLOCK.

C

circular external reference

An externally referenced drawing (xref) that references itself directly or indirectly. AutoCAD LT ignores the xref that creates the circular condition.

clipping planes

The boundaries that define or clip the field of view. (Associated command: DVIEW)

command line

A text area reserved for keyboard input, prompts, and messages.

construction plane

A plane on which planar geometry is constructed. The XY plane of the current UCS represents the construction plane. See also elevation and user coordinate system.

continued dimension

A type of linear dimension that uses the second extension line origin of a selected dimension as its first extension line origin, breaking one long dimension into shorter segments that add up to the total measurement. Also called chain dimension. (Associated command: DIMCONTINUE)

control frame

A series of point locations used as a mechanism to control the shape of a B-spline. These points are connected by a series of line segments for visual clarity and to distinguish the control frame from fit points. The SPLFRAME system variable must be turned on to display control frames.

coordinate filters

Functions that extract individual X, Y, and Z coordinate values from different points to create a new, composite point. Also called X,Y,Z point filters.

CPolygon

A multisided area specified to select objects fully or partially within its borders. See also crossing window and WPolygon.

crosshairs

A type of cursor consisting of two lines that intersect. Also called graphics cursor.

crossing window

A rectangular area drawn to select objects fully or partly within its borders. See also CPolygon.

cursor

A pointer on a video display screen that can be moved around to place textual or graphical information. Also called graphics cursor. See also crosshairs.

cursor menu

The menu that is displayed in the graphics area at the cursor location when you hold down SHIFT and press the Enter button on a pointing device. The cursor menu is defined in the POP0 section of aclt.mnu.

D

default

A predefined value for a program input or parameter. Default values and options for AutoCAD LT commands are denoted by angle braces <>.

definition points

Points for creating an associative dimension. AutoCAD LT refers to the points to modify the appearance and value of an associative dimension when the associated object is modified. Also called defpoints and stored on the special layer DEFPOINTS.

dependent symbols

Symbol table definitions that are brought into a drawing by an external reference. See also symbol table.

DIESEL

For Direct Interpretively Evaluated String Expression Language. A macro language for altering the AutoCAD LT status line with the MODEMACRO system variable and for customizing menu items.

dimension line arc

An arc (usually with arrows at each end) spanning the angle formed by the extension lines of an angle being measured. The dimension text near this arc sometimes divides it into two arcs. See also angular dimension.

dimension style

A named group of dimension settings that determines the appearance of the dimension and simplifies setting dimension system variables. (Associated command: DDIM)

dimension text

The measurement value of dimensioned objects.

dimension variables

A set of numeric values, text strings, and settings that control AutoCAD LT dimensioning features. (Associated command: DDIM)

direct distance entry

A method to specify a second point by first moving the cursor to indicate direction and then entering a distance.

dithering

Combining color dots to give the impression of displaying more colors than are actually available.

drawing extents

The smallest rectangle that contains all objects in a drawing, positioned on the screen to display the largest possible view of all objects. (Associated command: ZOOM)

drawing limits

The user-defined rectangular boundary of the drawing area covered by dots when the grid is turned on. Also called grid limits. (Associated command: LIMITS)

DWF

For drawing Web format. A highly compressed file format that is created from a DWG file. DWF files are easy to publish and view on the Web.

DWG

Standard file format for saving vector graphics from within AutoCAD LT.

DXF

For drawing interchange format. An ASCII or binary file format of an AutoCAD LT drawing file for exporting AutoCAD LT drawings to other applications or for importing drawings from other applications.

E

elevation

The default Z value above or below the XY plane of the current user coordinate system, which is used for entering coordinates and digitizing locations. (Associated command: ELEV)

embed

To use object linking and embedding (OLE) information from a source document in a destination document. An embedded object is a copy of the information from a source document that is placed in the destination document and has no link to the source document. See also link.

explode

To disassemble a complex object, such as a block, solid, or polyline, into simpler objects. In the case of a block, the block definition is unchanged. The block reference is replaced by the components of the block. See also block, block definition, and block reference. (Associated command: EXPLODE)

external reference (xref)

A drawing file linked (or attached) to another drawing. (Associated command: XREF)

F

feature control frame

Specifies the tolerance that applies to specific features or patterns of features. Feature control frames always contain at least a geometric characteristic symbol to indicate the type of control and a tolerance value to indicate the amount of acceptable variation.

fence

A multisegmented line specified to select objects it passes through.

fill

A solid color covering an area bounded by lines or curves. (Associated command: FILL)

fit points

Locations that a B-spline must pass through exactly or within a fit tolerance. See also interpolation points and approximation points.

fit tolerance

The setting for the maximum distance that a B-spline can pass for each of the fit points that define it.

floating viewports

Rectangular objects that are created in paper space that display views. See also paper space. (Associated command: MVIEW)

font

A character set, comprising letters, numbers, punctuation marks, and symbols, of a distinctive proportion and design.

freeze

A setting that suppresses the display of objects on selected layers. Objects on frozen layers are not displayed, regenerated, or plotted. Freezing layers shortens regenerating time. See also thaw. (Associated command: LAYER)

G

graphics area

The area of the AutoCAD LT screen for creating and editing a drawing.

graphics cursor

See crosshairs and cursor.

graphics window

The graphics area, its surrounding menus, and the command line.

grid

An area on the graphics display covered with regularly spaced dots to aid drawing. The spacing between grid dots is adjustable. Grid dots are not plotted. See also drawing limits. (Associated command: GRID)

grip modes

The editing capabilities activated when grips are displayed on an object: stretching, moving, rotating, scaling, and mirroring.

grips

Small squares that appear on objects you select. After selecting the grip, you edit the object by dragging it with the mouse instead of entering commands.

H

handle

A unique alphanumeric tag for an object in the AutoCAD LT database.

home page

The main navigating screen for a Web site.

I

IGES

For initial graphics exchange specification. An ANSI-standard format for digital representation and exchange of information between CAD/CAM systems.

initial environment

The variables and settings for new drawings as defined by the default template drawing, such as aclt.dwg or acltiso.dwg. See also template drawing.

interpolation points

Defining points that a B-spline passes through. See also approximation points and fit points.

island

An enclosed area within a hatched area.

ISO

For International Standards Organization. The organization that sets international standards in all fields except electrical and electronics. Headquarters are in Geneva, Switzerland.

isometric snap style

An AutoCAD LT drafting option that aligns the cursor with two of three isometric axes and displays grid points, making isometric drawings easier to create.

L

layer

A logical grouping of data that are like transparent acetate overlays on a drawing. You can view layers individually or in combination. (Associated command: LAYER)

linetype

How a line or type of curve is displayed. For example, a continuous line has a different linetype than a dashed line. Also called line font. (Associated command: LINETYPE)

link

To use object linking and embedding (OLE) to reference data in another file. When data is linked, any changes to it in the source document is automatically updated in any destination document. See also embed.

M

mirror

To create a new version of an existing object by reflecting it symmetrically with respect to a prescribed line or plane. (Associated command: MIRROR)

mode

A software setting or operating state.

model

A two- or three-dimensional representation of an object.

model space

One of the two primary spaces in which AutoCAD LT objects reside. Typically, a geometric model is placed in a three-dimensional coordinate space called model space. A final layout of specific views and annotations of this model is placed in paper space. See also paper space. (Associated command: MSPACE)

N

named view

A view saved for restoration later. (Associated command: VIEW)

node

An object snap specification to locate points, dimension definition points, and dimension text origins.

noun-verb selection

Selecting an object first and then performing an operation on it rather than entering a command first and then selecting the object.

NURBS

For nonuniform rational B-spline curve. A B-spline curve or surface defined by a series of weighted control points and one or more knot vectors. See B-spline curve.

O

object

One or more AutoCAD LT graphical elements, such as text, dimensions, lines, circles, or polylines, treated as a single element for creation, manipulation, and modification. Also called entity.

Object Snap modes

Methods for selecting commonly needed points on an object while you create or edit an AutoCAD LT drawing. See also running object snap and object snap override.

object snap override

Turning off or changing a running object snap mode for input of a single point. See also Object Snap modes and running object snap.

OLE

For object linking and embedding. An information-sharing method in which data from a source document can be linked to or embedded in a destination document. Selecting the data in the destination document opens the source application so that the data can be edited. See also embed and link.

origin

The point where coordinate axes intersect. For example, the origin of a Cartesian coordinate system is where the X, Y, and Z axes meet at 0,0,0.

orthogonal

Having perpendicular slopes or tangents at the point of intersection.

Ortho mode

An AutoCAD LT setting that limits pointing device input to horizontal or vertical (relative to the current snap angle and the user coordinate system). See also snap angle and user coordinate system.

P

pan

To shift the view of a drawing without changing magnification. See also zoom. (Associated command: PAN)

paper space

One of two primary spaces in which AutoCAD LT objects reside. Paper space is used for creating a finished layout for printing or plotting, as opposed to doing drafting or design work. Model space is used for creating the drawing. See also model space and viewport. (Associated command: PSPACE)

personalization

Customizing the AutoCAD LT executable file, aclt.exe, during installation by entering the user name, company, and other information.

pick button

The button on a pointing device that is used to select objects or specify points on the screen. For example, on a two-button mouse, it is the left button.

plan view

A view orientation from a point on the positive Z axis toward the origin (0,0,0). (Associated command: PLAN)

point

1. A location in three-dimensional space specified by X, Y, and Z coordinate values. 2. An AutoCAD LT object consisting of a single coordinate location. (Associated command: POINT)

polar array

Objects copied around a specified center point a specified number of times. (Associated command: ARRAY)

polygon window

A multisided area specified to select objects in groups. See also CPolygon, crossing window, and WPolygon.

polyline

An AutoCAD LT object composed of one or more connected line segments or circular arcs treated as a single object. Also called pline. (Associated commands: PLINE, PEDIT)

prompt

A message on the command line that asks for information or requests action such as specifying a point.

R

redraw

To quickly refresh or clean up the current viewport without updating the drawing's database. See also regenerate. (Associated command: REDRAW)

regenerate

To update a drawing's screen display by recomputing the screen coordinates from the database. See also redraw. (Associated command: REGEN)

relative coordinates

Coordinates specified in relation to previous coordinates.

return button

The button on a pointing device used to accept an entry. For example, on a two-button mouse, it is the right button.

RGB

For red, green, and blue. A system of defining colors by specifying percentages of red, green, and blue.

rubber-band line

A line that stretches dynamically on the screen with the movement of the cursor. One endpoint of the line is attached to a point in your drawing, and the other is attached to the moving cursor.

running object snap

Setting an object snap mode so it continues for subsequent selections. See also Object Snap modes and object snap override. (Associated command: OSNAP)

S

script file

A set of AutoCAD LT commands executed sequentially with a single SCRIPT command. Script files are created outside AutoCAD LT using a text editor, saved in text format, and stored in an external file with the extension .scr.

selection set

One or more AutoCAD LT objects specified for processing as a unit.

selection window

A rectangular area drawn in the AutoCAD LT graphics area to select objects in groups. See also CPolygon, crossing window, polygon window, and WPolygon.

slide file

A file that contains a raster image or snapshot of the display on the graphics screen. Slide files work with Autodesk Animator and Animator Pro and have the file extension .sld. (Associated commands: MSLIDE, VSLIDE)

slide library

A collection of slide files organized for convenient retrieval and display. Slide library names have the extension .slb and are created with the slidelib.exe utility.

snap angle

The angle that the snap grid is rotated.

snap grid

The invisible grid that locks the graphics cursor into alignment with the grid points according to the spacing set by SNAP. Snap grid does not necessarily correspond to the visible grid, which is controlled separately by GRID. (Associated command: SNAP)

Snap mode

A mode for locking a pointing device into alignment with an invisible rectangular grid. When Snap mode is on, the screen crosshairs and all input coordinates are snapped to the nearest point on the grid. The snap resolution defines the spacing of this grid. See also Object Snap modes. (Associated command: SNAP)

snap resolution

The spacing between points of the snap grid.

symbol table

A nongraphic AutoCAD LT object definition that is stored in the drawing, also known as a named object. Symbols can include definitions of blocks, dimensioning styles, layers, linetypes, and text styles.

system variable

A name that AutoCAD LT recognizes as a mode, size, or limit. Read-only system variables, such as DWGNAME, cannot be modified directly by the user.

T

template drawing

A drawing file with preestablished settings for new drawings such as aclt.dwg and acltiso.dwg; however, any drawing can be used as a template. See also initial environment.

temporary files

Data files created during an AutoCAD LT session. AutoCAD LT deletes the files by the time you end the session. If the session ends abnormally, such as during a power outage, temporary files might be left on the disk.

tessellation lines

Lines that help you visualize a curved surface. See also thickness.

text style

A named, saved collection of settings that determines the appearance of text characters-for example, stretched, compressed, oblique, mirrored, or set in a vertical column.

thaw

A setting that displays previously frozen layers. See also freeze. (Associated command: LAYER)

thickness

The distance certain objects are extruded to give them a 3D appearance. (Associated commands: CHPROP, DDCHPROP, ELEV, THICKNESS)

tiled viewports

A type of display that splits the AutoCAD LT graphics area into one or more adjacent rectangular viewing areas. See also floating viewports, TILEMODE, and viewport. (Associated command: VPORTS)

TILEMODE

A system variable that controls whether viewports can be created as movable, resizable objects (floating), or as nonoverlapping display elements that appear side-by-side (tiled). See also viewport. (Associated system variable: TILEMODE)

toolbar

Part of the AutoCAD LT interface containing icons that represent commands.

tracking

A way to locate a point relative to other points on the drawing.

transparent command

A command started while another is in progress. Precede transparent commands with an apostrophe.

U

UCS icon

An icon that indicates the orientation of the UCS axes. (Associated command: UCSICON)

user coordinate system (UCS)

A user-defined coordinate system that defines the orientation of the X, Y, and Z axes in 3D space. The UCS determines the default placement of geometry in a drawing. See also World Coordinate System. (Associated command: UCS)

V

vector

A mathematical object with precise direction and length but without specific location.

vertex

A location where polyline segments meet.

view

A graphical representation of a model from a specific location (viewpoint) in space. (Associated commands: VPOINT, DVIEW, VIEW)

viewpoint

The location in 3D model space from which you are viewing a model. (Associated commands: DVIEW, VPOINT)

viewport

A bounded area that displays some portion of the model space of a drawing. The TILEMODE system variable determines the type of viewport created. 1. When TILEMODE is off (0), viewports are objects that can be moved and resized. (Associated command: MVIEW) 2. When TILEMODE is on (1), viewports are noneditable, nonoverlapping screen displays. See also floating viewports and TILEMODE. (Associated command: VPORTS)

viewport configuration

A named collection of tiled viewports that can be saved and restored. (Associated command: VPORTS)

virtual screen display

The area in which AutoCAD LT can pan and zoom without regenerating the drawing.

W

wireframe model

The representation of an object using lines and curves to represent its boundaries.

working drawing

A drawing for manufacturing or building purposes.

World Coordinate System (WCS)

A coordinate system used as the basis for defining all objects and other coordinate systems.

world coordinates

Coordinates expressed in relation to the World Coordinate System.

WPolygon

A multisided polygon area specified to select objects contained completely within its borders. See also crossing window and CPolygon.

Z

zoom

To reduce or increase the apparent magnification of the graphics display. (Associated command: ZOOM)


Hatching and Filling Areas

Many drafting applications use a process called crosshatching or pattern filling to fill an area with a pattern. The pattern is used to help differentiate between components of a project or to signify the material composing an object. You can hatch an enclosed area or hatch within a specified boundary using the BHATCH and HATCH commands. BHATCH creates associative hatches, which are updated when the boundary is changed.

You can use HATCH to create nonassociative hatches, which are independent of their boundaries. HATCH is useful for hatching areas that do not have closed boundaries.

You can apply hatching to whole or partial objects, or you can create your own boundaries that define a new area to be hatched. You can use patterns supplied with AutoCAD LT, create your own hatch patterns, and edit any of the patterns.


Defining Hatch Boundaries

You create a hatch by selecting an object to hatch or by defining a boundary and then specifying an internal point. A hatch boundary can be any combination of lines, arcs, circles, polylines, ellipses, blocks, and paper space viewports that forms an enclosed area. You can also specify points to define a boundary. If you are hatching a small area in a complex drawing, you can use boundary sets to speed the process. Each boundary component must be at least partly within the current view.

You can hatch islands within the boundary or leave them unhatched.

Objects can be hatched only if they are in a plane parallel to the current UCS. The interiors of polylines with width and solid fills cannot be hatched because their outlines are not acceptable boundaries.


Using Boundary Sets

By default, AutoCAD LT defines the boundary by analyzing all the closed objects in the drawing. Analysis of all objects fully or partially visible on the screen as boundaries can be time consuming in a complex drawing. To hatch a small area of a complex drawing, you can define a set of objects in the drawing called a boundary set. When you specify an internal point within the boundary set, AutoCAD LT does not analyze objects that are not included in the boundary set. Boundary sets are also useful for applying hatches to islands differently in different sections of a drawing.

For clarity, first zoom into the area you want to hatch.

The View Selections option in the Boundary Hatch dialog box highlights the objects in the drawing that define the boundary.


To define a boundary set in a complex drawing

Using Boundary Sets

To define a boundary set in a complex drawing

  1. From the Draw menu, choose Hatch.
  2. In the Boundary Hatch dialog box under Boundary, choose Advanced.
  3. In the Advanced Options dialog box, choose Make New Boundary Set.
  4. At the Select Objects prompt, specify opposite corner points for the boundary set and press ENTER.
  5. In the Advanced Options dialog box, choose OK.
  6. In the Boundary Hatch dialog box, choose Pick Points.
  7. Specify the internal point and press ENTER.
  8. In the Boundary Hatch dialog box, choose Apply to apply the hatch.

If you specify the selection rectangle from right to left, you select all objects it encloses or crosses.

Draw Toolbar:
Command line equivalent: BHATCH


Reference: Using Boundary Sets

Using Boundary Sets

Commands

BHATCH | Fills an enclosed area with a hatch pattern
BOUNDARY | Creates a region or polyline of a closed boundary
HATCH | Fills a specified boundary with a nonassociative pattern

System Variables

No entries.


Specifying Points to Define a Hatch Boundary

You can define a hatch boundary by specifying points. For example, you might want to show that a large area of a drawing is filled with a pattern by filling only a small section of that area, as shown in the following illustration.

In the illustration, you define an area to be hatched by specifying points directly. The hatch pattern is EARTH, and it is rotated by 45 degrees. You can choose whether to retain the polyline boundary after the hatch is created; here the polyline boundary is not retained.


To define a boundary by specifying points

Specifying Points to Define a Hatch Boundary

To define a boundary by specifying points

  1. From the Command prompt, enter hatch.
  2. Enter the desired pattern. For example, enter earth to select the EARTH pattern.
  3. Specify the scale and angle for the pattern.
  4. At the Select Objects prompt, press ENTER.

    This option creates a boundary from the points you specify.

  5. Enter n to discard the polyline boundary once it has been defined.
  6. Specify the points that define the boundary, enter c to close the polyline boundary, and then press ENTER.


Reference: Specifying Points to Define a Hatch Boundary

Specifying Points to Define a Hatch Boundary

Commands

BHATCH | Fills an enclosed area with a hatch pattern
BOUNDARY | Creates a region or polyline of a closed boundary
HATCH | Fills a specified boundary with a nonassociative pattern

System Variables

No entries.


Controlling How Islands Are Hatched

You can determine how islands, enclosed areas within the hatch boundary are hatched using the three hatching styles: Normal, Outer, and Ignore. You can preview these hatching styles under Style in the Advanced Options dialog box.

Normal hatching style (the default) hatches inward from the outer boundary. If the hatching process encounters an internal boundary, hatching is turned off until another boundary is encountered.

Outer hatching style hatches inward from the outer boundary and stops at the next boundary.

Ignore hatching style hatches the entire enclosed area, ignoring internal boundaries.

If you hatch using the Normal hatching style, islands remain unhatched and islands within islands are hatched, as in the mechanical part shown below.

You can also remove any islands from the hatch area.


To remove islands from the hatch area

Controlling How Islands Are Hatched

To remove islands from the hatch area

  1. From the Draw menu, choose Hatch.
  2. In the Boundary Hatch dialog box under Boundary, choose Pick Points.
  3. Specify a point in your drawing inside the hatch area and press ENTER.
  4. In the Boundary Hatch dialog box, choose Remove Islands.
  5. Specify the islands for removal and press ENTER.
  6. In the Boundary Hatch dialog box, choose Apply to apply the hatch.

Draw Toolbar:
Command line equivalent: BHATCH


Controlling How Islands Are Hatched

Commands

BHATCH | Fills an enclosed area with a hatch pattern
BOUNDARY | Creates a region or polyline of a closed boundary
HATCH | Fills a specified boundary with a nonassociative pattern

System Variables

No entries.


Creating Solid-Filled Areas

In AutoCAD LT, solid-filled areas are triangular and quadrilateral areas filled with a color. You can use BHATCH to fill an enclosed area with a solid hatch pattern, or you can use FILLMODE. For quicker results, you can create these areas with the FILLMODE system variable off, and then turn on FILLMODE to fill the finished area. You don't see the area outline until it is complete.

Example

Example: Creating a Triangular Solid-Filled Area

See Also
Creating an Associative Hatch


Procedure: Defining Hatch Boundaries

Defining Hatch Boundaries

To hatch an area
To hatch selected objects


To hatch an area

Defining Hatch Boundaries

To hatch an area

  1. From the Draw menu, choose Hatch.
  2. In the Boundary Hatch dialog box under Boundary, choose Pick Points.
  3. Specify a point in your drawing inside each area you want hatched and press ENTER. This point is known as the internal point.
  4. Under Pattern Type, verify that the sample pattern is the pattern you want to use. If you need to change patterns, select another pattern from the Pattern list under Pattern Properties.
  5. Preview how the hatch pattern will look by choosing Preview Hatch. Choose Continue when you have finished previewing.
  6. In the Boundary Hatch dialog box, make adjustments, if necessary. (You can specify new hatch boundaries by choosing Pick Points.)
  7. In the Boundary Hatch dialog box, choose Apply to create the hatch.

Specify one internal point per hatch block. Specifying more than one internal point can produce unexpected results when you edit the hatch boundary.

Draw Toolbar:
Command line equivalent: BHATCH


To hatch selected objects

Using Hatch Patterns

To hatch selected objects

  1. From the Draw menu, choose Hatch.
  2. In the Boundary Hatch dialog box under Boundary, choose Select Objects.
  3. Specify the object or objects you want to hatch. The objects need not form a closed boundary. You can also specify any islands that should remain unhatched.
  4. Press ENTER.
  5. In the Boundary Hatch dialog box, choose Apply to apply the hatch.

Draw Toolbar:
Command line equivalent: BHATCH


Reference: Defining Hatch Boundaries

Defining Hatch Boundaries

Commands

BHATCH | Fills an enclosed area with a hatch pattern
BOUNDARY | Creates a region or polyline of a closed boundary
HATCH | Fills a specified boundary with a nonassociative pattern

System Variables

No entries.


Using Hatch Patterns

AutoCAD LT supplies a solid fill and more than 50 industry-standard hatch patterns, which can represent materials such as earth, brick, or clay. Fourteen hatch patterns conform to International Standards Organization (ISO) standards. These patterns are at the end of the pattern list in the Boundary Hatch dialog box. When you select an ISO pattern, you can specify a pen width, which determines the line weight in the pattern. In addition to the patterns supplied with AutoCAD LT, you can use patterns from an external pattern library. These patterns are also listed by name and displayed in the Hatch Pattern Palette dialog box.

You can define a simple line pattern using the current linetype with the User-Defined Pattern option, or you can create more complex hatch patterns. To reduce file size, a hatch pattern is defined in the drawing database as a single graphic object.

The hatch patterns supplied by AutoCAD LT are stored in the ASCII text file aclt.pat. You can add pattern definitions to this file or create your own files.

The Pattern area of the Boundary Hatch dialog box displays the names of all the hatch patterns defined in the aclt.pat text file. You can add new hatch patterns to the dialog box by adding their definitions to the aclt.pat file.


Creating Solid-Filled Areas

In AutoCAD LT, solid-filled areas can be created using

  • Hatches with a solid hatch pattern (BHATCH)
  • 2D solids (SOLID)
  • Wide polylines or donuts (PLINE, DONUT)

solid-filled areas used to depict buildings


Example: Creating a Triangular Solid-Filled Area

Example: Creating a quadrilateral Solid-Filled Area

When you create a quadrilateral solid-filled area, the sequence of the third and fourth points determines its shape. Compare the following illustrations:

Notice that to create the quadrilateral area, both the top and bottom edges are specified in a left-to-right direction. If you specify the first point on the right and the second point on the left, then the third and fourth points should also be in a right-to-left direction. As you continue to specify pairs of points, be sure to continue this zigzag sequence to ensure the results you expect.


To create a triangular solid-filled area

Creating Solid-Filled Areas

To create a solid-filled area

  1. From the Draw menu, choose Hatch.
  2. In the Boundary Hatch dialog box under Boundary, choose Pick Points.
  3. Specify a point in your drawing inside each area you want hatched and press ENTER. This point is known as the internal point.
  4. Under Pattern Type, choose Pattern. In the Hatch Pattern dialog box, select Solid from the pattern list.
  5. Preview how the hatch pattern will look by choosing Preview Hatch. Choose Continue when you have finished previewing.
  6. In the Boundary Hatch dialog box, make adjustments, if necessary. (You can specify new hatch boundaries by choosing Pick Points.)
  7. In the Boundary Hatch dialog box, choose Apply to create the hatch.

Specify one internal point per hatch block. Specifying more than one internal point can produce unexpected results when you edit the hatch boundary.

Draw Toolbar:
Command line equivalent: SOLID


Reference: Creating Solid-Filled Areas

Creating Solid-Filled Areas

Commands

BHATCH | Fills an enclosed area with a hatch pattern
BOUNDARY | Creates a region or polyline of a closed boundary
DONUT | Draws filled circles and rings
FILL | Controls the filling of hatches, two-dimensional solids, and wide polylines
HATCH | Fills a specified boundary with a nonassociative pattern
PLINE | Creates two-dimensional polylines
SOLID | Creates solid-filled polygons

System Variables

FILLMODE Specifies whether objects created with SOLID are filled in


Customizing Hatch Patterns

You can create custom hatch patterns. Developing a hatch pattern definition for AutoCAD LT requires some knowledge, practice, and patience. Because customizing hatches requires familiarity with hatch patterns, it is not recommended for new users.

A hatch pattern is made up of one or more pattern lines. AutoCAD LT imposes no limit on the number of lines. Each pattern line is considered to be the first member of a line family, created by applying the delta offsets in both directions to generate an infinite family of parallel lines. The delta-y value indicates the spacing between members of the family, that is, it is measured perpendicular to the lines. The delta-x value indicates the displacement between members of the family in the direction of the line; it is meaningful only for dashed lines. A line is considered to be of infinite length; a dash pattern is superimposed on the line.

The process of hatching consists of expanding each line in the pattern definition to its infinite family of parallel lines. All selected objects are checked for intersections with any of these lines; any intersections cause the hatch lines to be turned on and off as governed by the hatching style. If the hatch line is dashed, it is drawn with the dash pattern in those areas.

Because each family of hatch lines is generated by parallel transport from an initial line with an absolute origin, the hatching of adjacent areas is guaranteed to align properly.

If you create a very dense hatch, AutoCAD LT may reject the hatch and request and display a message indicating that the hatch scale is too small or its dash length is too short. You can change the maximum number of hatch lines by setting MaxHatch system registry variable using SETENV.

Example: Hatch Patterns with Dashed Lines

See Also
Hatch Pattern Definition Files


Example: Hatch Patterns with Dashed Lines

To define dashed-line patterns, you append dash-length items to the end of the line definition item. Each dash-length item specifies the length of a segment making up the line. If the length is positive, a pen-down segment is drawn. If the length is negative, the segment is pen-up, and it is not drawn. The pattern starts at the origin point with the first segment and cycles through the segments in circular fashion. A dash length of 0 draws a dot. You can specify up to six dash lengths per pattern line.

For example, to modify a pattern for 45-degree lines to draw dashed lines with a dash length of 0.5 units and a space between dashes of 0.5 units, the line definition would be

*DASH45,Dashed lines at 45 degrees

45, 0,0, 0,.5, .5,-.5

This is the same as the original 45-degree pattern, but you have added a dash specification to the end. The pen-down length is 0.5 units, and the pen-up length is 0.5, meeting the stated objectives. If you wanted to draw a 0.5-unit dash, a 0.25-unit space, a dot, and a 0.25-unit space before the next dash, the definition would be

*DDOT45,Dash-dot-dash pattern: 45 degrees

45, 0,0, 0,.5, .5,-.25,0,-.25

Now consider the effect of delta-x specifications on dashed-line families. First, consider the following definition:

*GOSTAK

0, 0,0, 0,.5, .5,-.5

This draws a family of lines separated by 0.5, with each line broken equally into dashes and spaces. Because delta-x is zero, the dashes in each family member line up. An area hatched with this pattern would look like this:

Now change the pattern to

*SKEWED

0, 0,0, .5,.5, .5,-.5

It is the same, except that you have set delta-x to 0.5. This offsets each successive family member by 0.5 in the direction of the line (in this case, parallel to the X axis). Because the lines are infinite, the dash pattern slides down the specified amount. The hatched area would look like this:

So far, the patterns described here use origin points of (0,0). Thus, one member of the line family passes through the origin with its dash pattern starting at that point. In composing more complex patterns, you need to carefully specify the starting point, offsets, and dash pattern of each line family to form the hatch pattern correctly. Consider the following. You want to draw a squared-off, inverted-U pattern (one line up, one over, and one down). In the following figure, the pattern repeats every one unit, and each unit is 0.5 high and wide.

This pattern would be defined as follows:

*IUS,Inverted U's

90, 0,0, 0,1, .5,-.5

0, 0,.5, 0,1, .5,-.5

270, .5,.5, 0,1, .5,-.5

The first line (the up bar) is a simple dashed line with 0,0 origin. The second line (the top bar) should begin at the end of the up bar, so its origin is 0,.5. The third line (the down bar) must start at the end of the top bar - at .5,.5 for the first instance of the pattern - so its origin is at this point. The third line of the pattern could be the following:

90, .5,0, 0,1, .5,-.5

or

270, .5,1, 0,1, -.5,.5

The dashed pattern starts at the origin points and continues in the vector direction given by the angle specification. Therefore, two dashed-line families that are opposed 180 degrees are not alike. Two solid-line families are alike.

The following pattern creates six-pointed stars.

This example can help you refine your skills at pattern definition. (Hint: 0.866 is the sine of 60 degrees.) The following is the AutoCAD LT definition of this pattern:

*STARS,Star of David

0, 0,0, 0,.866, .5,-.5

60, 0,0, 0,.866, .5,-.5

120, .25,.433, 0,.866, .5,-.5


Customizing Hatch Patterns

To set the limit of objects in a hatch pattern

  1. At the command prompt, enter setenv.
  2. At the Variable Name prompt, enter MaxHatch.
  3. At the value prompt, enter a value from 100 to 10000000.

The higher the value, the more dense the hatch pattern.


Reference: Customizing Hatch Patterns

Customizing Hatch Patterns

Commands

No entries.

System Variables

No entries.


Using Hatch Pattern Definition Files

The hatch patterns supplied by AutoCAD LT are stored in the text file aclt.pat. You can add pattern definitions to this file or create your own files.

The Pattern area of the Boundary Hatch dialog box displays the names of all the hatch patterns defined in the aclt.pat text file. You add new hatch patterns to the dialog box by adding their definitions to the aclt.pat file. Whenever a slide name in aclt.slb matches a pattern name in aclt.pat, the slide is also displayed by the Boundary Hatch dialog box image tile.

You can add a pattern to the library file aclt.pat or store it in a file by itself, in which case the file name must be the same as the pattern name. For instance, a pattern named PIT would reside in the file pit.pat.

Regardless of where the definition is stored, it has the same format. It has a header line that looks like this (the description is optional):

*patternname[,description]

It also has one or more line descriptors in the following form.

angle, x-origin,y-origin, delta-x,delta-y [, dash-1, dash-2,…]

AutoCAD LT ignores both blank lines and text to the right of a semicolon.

For example, a pattern called L45 that creates 45-degree lines separated by spaces of 0.5 in length would be defined as follows:

*L45,45 degree lines

45, 0,0, 0,0.5

This simple pattern specifies that a line is to be drawn at an angle of 45 degrees, that the first line of the family of hatch lines is to pass through the (0,0) drawing origin, and that the spacing between hatch lines of the family is to be 0.5 drawing units. L45 is the name of the pattern, and 45 degree lines is the optional description of the pattern displayed by the list option of the HATCH command. (If you omit the description, do not enter a comma after the pattern name.) Each line in a pattern definition file can contain up to 80 characters.


Procedure: Hatch Pattern Definition Files

Using Hatch Pattern Definition Files

No entries.


Reference: Hatch Pattern Definition Files

Using Hatch Pattern Definition Files

Commands

BHATCH | Fills an enclosed area with a hatch pattern
BOUNDARY | Creates a region or polyline of a closed boundary
HATCH | Fills a specified boundary with a nonassociative pattern

System Variables

No entries.


Using Hatch Patterns

To define a hatch pattern
To create a solid-filled area
To set the limit of objects in a hatch pattern


To define a hatch pattern

Using Hatch Patterns

To define a hatch pattern

  1. From the Draw menu, choose Hatch.
  2. In the Boundary Hatch dialog box under Pattern Type, select User-Defined.
  3. To change the distance between hatch lines or other elements, enter a new value for Spacing.
  4. To change the rotation of the pattern, enter an angle in the Angle box.
  5. To add lines at 90 degrees to the original, select Double.
  6. Choose Pick Points, specify the internal point, and press ENTER.
  7. Choose Apply.

If you select the Explode option in the Boundary Hatch dialog box, each hatch pattern is created from individual line segments rather than as a hatch block and therefore cannot be edited as a hatch. Choosing this option can increase the size of your drawing file.

Draw Toolbar:
Command line equivalent: BHATCH


Reference: Using Hatch Patterns

Using Hatch Patterns

Commands

BHATCH | Fills an enclosed area with a hatch pattern
BOUNDARY | Creates a region or polyline of a closed boundary
DONUT | Draws filled circles and rings
FILL | Controls the filling of hatches, two-dimensional solids, and wide polylines
HATCH | Fills a specified boundary with a nonassociative pattern
PLINE | Creates two-dimensional polylines
SOLID | Creates solid-filled polygons

System Variables

FILLMODE Specifies whether objects created with SOLID are filled in


Modifying Hatches and Solid-Filled Areas

You can modify both the pattern fill and the boundaries of hatches. You can also modify solid-filled areas, but the method you use depends on whether the solid-filled area is a solid-filled hatch, a 2D solid, or a wide polyline or donut.

Controlling Hatch Pattern Density

Hatching can produce a very large number of line and point objects. Although stored as hatch objects, these line and point objects do use disk space and take time to generate. If you use a relatively small scale factor when hatching an area, the hatch could require millions of line and point objects, thus taking a very long time to complete and possibly exhausting the available resources. You can avoid this problem by imposing a limit on the number of objects created by a single HATCH or BHATCH command. If the approximate number of objects needed for a particular hatch (considering the boundary extents, pattern, and scale) exceeds the limit, AutoCAD LT displays a message indicating that the hatch scale is too small or that its dash length is too short, and the hatch request is rejected. If this occurs, carefully examine your hatch parameters. The scale factor may be unreasonable and may need to be adjusted.

The hatch object limit is set by the MaxHatch environment setting, which is stored in the system registry. Its default value is 10000; however, If you must create very dense hatches, you can edit the MaxHatch=10000 line, assigning any value from 100 to 10000000 (10 million). If you specify a number outside this range AutoCAD LT uses the default value (10000).

Changing an Existing Hatch Pattern Fill

You can modify the pattern properties, such as scale and hatch angle, of an existing hatch, or you can choose a new pattern for it. You can also explode a hatch pattern into its component objects.

Modifying a Hatch Boundary

Hatch boundaries can be copied, moved, stretched, and so on. You can also use grips to stretch, move, rotate, scale, and mirror hatch boundaries and their associated hatches just as you do other objects. If the editing you do maintains a closed boundary, an associative hatch is updated automatically. If the editing produces an open boundary, the hatch loses any associativity with the boundary and remains unchanged. Associativity may also be lost during editing of a hatch boundary if the hatch pattern file is not available at the time of editing.

Hatch associativity depends on whether you choose Associative in the Boundary Hatch (BHATCH) and Hatch Edit (HATCHEDIT) dialog boxes. Nonassociative hatches are not updated when their original boundary is changed. You can remove hatch associativity at any time, but once it is removed for an existing hatch, it cannot be reestablished. The hatch must be re-created to restore associativity.

Modifying Solid-Filled Areas

Solid-filled areas can be represented by

  • Hatches (with a solid hatch pattern)
  • 2D solids
  • Wide polylines or donuts

You modify each of these solid-filled objects just as you would any other hatch, 2D solid, wide polyline, or donut. In addition to DDMODIFY, you can use HATCHEDIT for solid-filled hatches, grip editing for 2D solids, and PEDIT for wide polylines and donuts.


Modifying Hatches and Solid-Filled Areas

To change the angle of a hatch
To set the limit of objects in a hatch pattern


To change the angle of a hatch

Modifying Hatches and Solid-Filled Areas

To change the angle of a hatch

  1. From the Object Properties toolbar, choose Properties.
  2. Select the hatch pattern and press ENTER.
  3. In the Modify Hatch dialog box, choose Hatch Edit.
  4. In the Hatch Edit dialog box under Pattern Properties, enter the new angle.
  5. Choose Apply.

Modify toolbar:
Command Line equivalent: DDMODIFY


To set the limit of entities in a hatch pattern

Modifying Hatches and Solid-Filled Areas

To set the limit of objects in a hatch pattern

  1. At the Command prompt, enter setenv.
  2. At the Variable Name prompt, enter MaxHatch.
  3. At the Value prompt, enter a value from 100 to 10000000.

The higher the value, the more dense the hatch pattern.


Reference Modifying Hatches and Solid-Filled Areas

Modifying Hatches and Solid-Filled Areas

Commands

DDMODIFY | Controls object properties
EXPLODE | Breaks a compound object into its component objects
FILL | Controls the filling of hatches, 2D solids, and wide polylines
HATCHEDIT | Modifies an existing hatch object
PEDIT | Edits polylines

System Variables

FILLMODE | Specifies the filling of hatches, 2D solids, and wide polylines
HPANG | Specifies the hatch pattern angle
HPDOUBLE | Specifies hatch pattern doubling for "U" (user-defined) patterns
HPNAME | Specifies the default hatch pattern name
HPSCALE | Specifies the hatch pattern scale factor
HPSPACE | Specifies the hatch pattern line spacing for "U" (user-defined) simple patterns


Creating an Associative Hatch

Hatched areas created with BHATCH are associative by default. Associative means the pattern is updated when you change the boundary. You can remove hatch associativity at any time or use HATCH to create a nonassociative hatch. AutoCAD LT removes associativity if editing creates an open boundary.

Any whole or partial objects that are not part of the object boundary are ignored. If a hatch line encounters a text, attribute, shape, or solid-fill object, and if the object is selected as part of the boundary set, AutoCAD LT hatches around the object. Therefore, if you draw a pie slice, label it with text, and hatch it, the text remains readable. To hatch through the text object, use the Ignore style.

You can hatch them or leave them unhatched. Enclosed areas within the hatch area are referred to as islands.

Due to the many combinations of geometry that can be hatched, editing hatched geometry can produce unexpected results. If you create a hatch that you don't want, you can undo it or you can delete the hatch block and rehatch the area.


Procedures: Creating an Associative Hatch

Creating an Associative Hatch

To hatch an area
To hatch selected objects


Reference: Creating an Associative Hatch

Creating an Associative Hatch

Commands

BHATCH | Fills an enclosed area with a hatch pattern
BOUNDARY | Creates a region or polyline of a closed boundary
HATCH | Fills a specified boundary with a nonassociative pattern

System Variables

No entries.


Hatching and Filling Areas

To hatch an area
To hatch selected objects
To remove islands from the hatch area
To define a boundary set in a complex drawing
To define a boundary by specifying points
To define a hatch pattern
To create a solid-filled area
To change the angle of a hatch
To set the limit of objects in a hatch pattern


Reference: Hatching and Filling Areas

Hatching and Filling Areas

Commands

BHATCH | Fills an enclosed area with a hatch pattern
BOUNDARY | Creates a region or polyline of a closed boundary
DONUT | Draws filled circles and rings
FILL | Controls the filling of hatches, two-dimensional solids, and wide polylines
HATCH | Fills a specified boundary with a nonassociative pattern
HATCHEDIT | Modifies an existing hatch object
PLINE | Creates two-dimensional polylines
SOLID | Creates solid-filled polygons

System Variables

FILLMODE | Specifies whether objects created with SOLID are filled in
HPANG | Specifies the hatch pattern angle
HPDOUBLE | Specifies hatch pattern doubling for "U" (user-defined) patterns
HPNAME | Specifies the default hatch pattern name
HPSCALE | Specifies the hatch pattern scale factor
HPSPACE | Specifies the hatch pattern line spacing for "U" (user-defined) simple patterns


About

3DPOLY Command

Creates a polyline of line segments in 3D space

Command line: 3dpoly

From point: Specify a point
Close / Undo / <Endpoint of line>: Specify a point or enter an option

Endpoint of Line (3DPOLY)

Draws a straight line from the previous point to the specified new point. The prompt is repeated until you press ENTER to end the command.

Close (3DPOLY)

Draws a closing line from the endpoint back to the first point and ends the command. To be closed, a 3D polyline must contain at least two lines.

Undo (3DPOLY)

Deletes the last line created. You can continue drawing from the previous point.


Area

AREA Command

Calculates the area and perimeter of objects or of defined areas

Standard toolbar:
Command line: area
Tools menu: Inquiry > Area

First point / Object / Add / Subtract: Specify a point or enter an option

The AREA command will not process multiple objects in a single operation.

First Point

Calculates the area and perimeter you define by selecting points. All points must lie in a plane parallel to the XY plane of the current UCS.

Next point: Specify a point (2) or press ENTER

Select points to define a polygon and then press ENTER to complete definition of the perimeter.

If you do not close the polygon, AutoCAD LT calculates the area as if a line were drawn from the last point entered to the first. When calculating the perimeter, AutoCAD LT adds in that line length.

Object

Calculates the area and perimeter of the selected object. You can calculate the area of circles, ellipses, splines, polylines, and polygons.

Select object: Use an object selection method

If you select an open polyline, AutoCAD LT calculates the area as if a line were drawn from the last point entered to the first. When calculating the perimeter, however, AutoCAD LT ignores that line.

The centerline of a wide polyline is used to make area and perimeter (or length) calculations.

Add

Turns on Add mode and keeps a running balance of additions and subtractions.

First point / Object / Subtract: Specify a point (1) or enter an option

First Point

Calculates the area and perimeter you define by selecting points. All points must lie in a plane parallel to the XY plane of the current UCS.

(ADD mode) Next point: Specify a point (2) or press ENTER

Specify points to define a polygon. Press ENTER and AutoCAD LT calculates the area and perimeter.

If you do not close the polygon, AutoCAD LT closes it by defining a line from the last point to the first. To calculate the perimeter, AutoCAD LT adds in that line length. Further, AutoCAD LT calculates the total of all the areas defined by selecting points or objects since Add mode was turned on.

Object

Calculates the area and perimeter of the selected object.

(ADD mode) Select object: Use an object selection method or press ENTER to end selection

AutoCAD LT calculates the area and perimeter of the object and of all the areas defined by selecting points or objects since Add mode was turned on.

If you select an open polyline, AutoCAD LT calculates the area as if a line were drawn from the last point entered to the first. When calculating the perimeter, however, AutoCAD LT ignore that line.

For wide lines, or objects with wide lines, the centerline of a wide polyline is used to make area and perimeter calculations.

Subtract

Turns on Subtract mode and keeps a running balance of subtracted areas and perimeters.

Subtract

Similar to the Add option, but subtracts areas and perimeters. All prompts are preceded by (SUBTRACT mode).

Related Commands: BOUNDARY creates a polyline from an enclosed area. LIST displays database information for selected objects.
System Variables: AREA stores the sum of areas collected. PERIMETER displays the perimeter of the object last found by AREA.


Attachurl

ATTACHURL Command

Attaches a URL to objects or areas

Internet Utilities toolbar:
Command line: attachurl

URL by (Area/<Objects>): Enter an option or press ENTER

The ATTACHURL command enables you to attach a URL to objects or areas in your drawing. When you view the DWF file with a Web browser and the WHIP! plug-in you can select the object or area, which will connect you to the Web site identified by the attached URL.

You need to decide when to attach URLs by object or area. For contiguous geometry, attaching by area is most effective. Attaching by area is also effective for placing URLs in places where there is no geometry. In cases where geometry is distributed throughout the drawing, attaching by object is most effective.

Objects

Select objects: Use an object selection method
Enter URL:Enter a valid URL

For example, entering www.autodesk.com will attach the object to the Autodesk Web site.

When you attach a URL to objects, AutoCAD LT places a rectangular URL area around each object. The URL is attached as xdata (extended data) to objects in the drawing. For each object with a URL attached there is xdata, so when you attach many individual objects to a URL, your AutoCAD LT database will have many bits of xdata attached to each relevant object.

Area

When you attach a URL to an area, AutoCAD LT creates a rectangle around the area you specify and stores the rectangle on a special layer called URLLAYER. Do not delete this layer. For each URL attached there is xdata, just as when you attach a URL to objects, but the xdata is attached as large areas.

First corner:Specify a point (1)
Other corner: Specify a point (2)
Enter URL:Enter a valid URL

Warning: The AutoCAD LT Internet Utilities attach URLs to an area by creating a rectangle on a layer named URLLAYER and then attaching the URL string as xdata. You can destroy the hyperlink information in your drawing if you tamper with URLLAYER. You should not freeze, lock, or change the visibility of URLLAYER; nor should you edit or delete the rectangles on URLLAYER or attach URLs to them using the ATTACHURL command. If you turn off the visibility of URLLAYER for normal viewing of your drawing, it should be turned back on before using the DWFOUT command.


Attedit

ATTEDIT Command

Changes attribute information independent of its block definition

Attribute toolbar:
Modify menu: Objects > Attribute > Global
Command line: attedit

Edit attributes one at a time? <Y>: Enter y or press ENTER to edit attributes one at a time, or enter n to edit attributes globally

Editing Attributes One at a Time

Attributes to be edited one at a time must be visible and parallel to the current UCS.

Block name specification: Enter a name list or press ENTER
Attribute tag specification: Enter a name list or press ENTER
Attribute value specification: Enter a name list or press ENTER

Attribute values are case sensitive.

Select Attributes: Select only those attributes parallel to the current UCS

AutoCAD LT marks the first attribute in the selection set with an X. You can change any properties of the attribute you select.

Value / Position / Height / Angle / Style / Layer / Color / Next <N>: Enter the property to change, or press ENTER for the next attribute

If the original attribute was defined with aligned or fit text, the prompt does not include Angle. The Height option is omitted for aligned text. For each of the options, except Next, AutoCAD LT prompts for a new value. The X remains on the current attribute until you move to the next attribute.

Value

Changes or replaces an attribute value.

Change or Replace? <R>: Enter c or r, or press ENTER

Replace

Substitutes a new attribute value for the entire attribute value.

New Attribute value: Enter a new attribute value or press ENTER

If you press ENTER, the attribute value is set to a null string.

Position

Changes the text insertion point.

Enter text insertion point: Specify a point or press ENTER

AutoCAD LT prompts for a new starting, center, or end point, depending on the position of the attribute. If the attribute is aligned, AutoCAD LT prompts for both ends of a new text baseline.

Height

Changes the text height.

New height <current>: Enter a value, specify a point, or press ENTER

If you specify a point, the height becomes the distance between the specified point and the start point of the text.

Angle

Changes the rotation angle.

New rotation angle <current>: Enter a value, specify a point, or press ENTER

If you specify a point, the text is rotated along an imaginary line between the specified point and the start point of the text.

Style

Changes the text style.

Enter a new style or press ENTER for no change: Enter a style name or press ENTER

Layer

Changes the layer of the attributes.

New layer <current>: Enter a layer name or press ENTER

Color

Changes the color of the attribute.

New color <current>: Enter a color or press ENTER

You can enter a color name, a color number between 1 and 255, or bylayer or byblock.

Next

Moves to the next attribute in the selection set. If there are no more attribute selected, the ATTEDIT command ends.

Editing Attribute Values Globally

Global editing applies to both visible and invisible attributes.

Editing attributes globally limits you to replacing a single text string with another text string. If you edit attributes one at a time, you can edit any or all of the attributes.

Edit only attributes visible on screen? <Y>: Enter y or press ENTER to edit only visible attributes, or enter n to edit all attributes

Visible Attributes Only

Block name specification <*>: Enter a name list or press ENTER
Attribute tag specification: Enter a name list or press ENTER
Attribute value specification: Enter a name list or press ENTER

Attribute values are case sensitive. Because null attributes are not visible and cannot be selected for editing, to select null attribute values, enter a backslash (\).

Select Attributes: Select only attributes parallel to the current UCS
String to change: Enter a string to change or press ENTER
New string: Enter replacement string or press ENTER

Either string can be null. The ? and * characters are interpreted literally, not as wild-card characters.

All Attributes

Changes to attributes are not reflected immediately. AutoCAD LT regenerates the drawing at the end of the command.

Block name specification <*>: Enter a name list or press ENTER
Attribute tag specification: Enter a name list or press ENTER
Attribute value specification: Enter a name list or press ENTER

Attribute values are case sensitive. Because null attributes are not visible and cannot be selected for editing, to select null attribute values, enter a backslash (\).

String to change: Enter string to change or press ENTER
New string: Enter replacement string or press ENTER

Either string can be null. The ? and * characters are interpreted literally, not as wild-card characters.

Change

Modifies a few characters of the attribute value.

String to change: Enter string to change or press ENTER
New string: Enter replacement string or press ENTER

Either string can be null. The ? and * characters are interpreted literally, not as wild-card characters.

Related Commands: ATTDISP globally controls the visibility of attributes. DDATTEXT and ATTEXT extract attribute data. ATTDEF and DDATTDEF create an attribute definition for text to be associated with a block. DDATTE uses dialog boxes to edit attributes independently of the block definitions with which they're associated.

System Variables: ATTDIA causes the INSERT command to use dialog boxes for entry of attribute values. ATTMODE controls the attribute display mode. ATTREQ determines whether the INSERT command uses default attribute settings during insertion of blocks.


Bhatch

BHATCH Command

Fills an enclosed area with an associative hatch pattern

Draw toolbar:
Draw menu: Hatch
Command line: bhatch

The Boundary Hatch dialog box is displayed.

If you enter -bhatch at the Command prompt, AutoCAD LT presents options on the command line.

BHATCH computes a polyline boundary from objects that make up an enclosed area. You can then fill the boundary with an associative hatch, a hatch that updates when its boundaries are modified. Hatches are stored as single hatch objects, which can reduce the amount of disk space a drawing occupies and also can reduce regen times.

The hatch entity limit is set by the MaxHatch environment setting, which is stored in the AutoCAD LT General section of the aclt.ini file. The MaxHatch environment setting is changed through the GETENV and SETENV commands. Its default value is 10000; however, if you must create very dense hatches, you can edit the MaxHatch=10000 line, assigning any value from 100 to 10000000 (10 million). A number specified outside this range is replaced by the default value (10000).

Boundary Hatch Dialog Box

Pattern Type

Specifies a pattern type:

  • Pattern. Opens the Hatch Pattern Palette dialog box, which displays the pattern images. Fourteen hatch patterns conform to International Standards Organization (ISO) standards. These patterns are at the end of the pattern list in the Hatch Pattern Palette dialog box. When you select an ISO pattern, you can specify a pen width, which determines the line weight in the pattern.
  • Predefined. Specifies a pattern from those defined in the aclt.pat or acltiso.pat file.
  • User-Defined. Defines a pattern of lines using the current linetype.
  • Custom. Specifies a custom pattern in a .pat file other than the aclt.pat or acltiso.pat file.
Pattern Properties

Sets properties for the chosen pattern:

  • ISO Pen Width. Scales an ISO-related pattern based on the selected pen width. This option is available only if a predefined ISO hatch pattern is selected.
  • Pattern. Specifies a predefined pattern name. AutoCAD LT stores the pattern name in the HPNAME system variable. This option is not available if User-defined or Custom is selected under Pattern Type.
  • Custom Pattern. Specifies a custom pattern name. AutoCAD LT stores the pattern name in the HPNAME system variable. This option is available only if Custom is selected under Pattern Type.
  • Scale. Expands or contracts a predefined or custom hatch pattern. AutoCAD LT stores the scale in the HPSCALE system variable. This option is not available if User-defined is selected under Pattern Type.
  • Angle. Specifies an angle for the hatch pattern relative to the X axis of the current UCS. AutoCAD LT stores the angle in the HPANG system variable.
  • Spacing. Specifies the spacing of lines in a user-defined hatch pattern. AutoCAD LT stores the spacing in the HPSPACE system variable. This option is available only if User-defined is selected under Pattern Type.
  • Double. Specifies a second set of lines to be drawn at 90 degrees to the original lines in a user-defined hatch pattern. AutoCAD LT stores this information in the HPDOUBLE system variable. This option is available only if User-defined is selected under Pattern Type.

Boundary

Defines a boundary:

  • Pick Points. Determines a boundary from existing objects that form an enclosed area. If Island Detection is selected in the Advanced Options dialog box, AutoCAD LT detects objects within the outermost boundary as islands that are hatched or not hatched as specified by the hatch style. The Boundary Hatch dialog box closes, and AutoCAD LT prompts for point specification.

    • Select internal point: Specify a point, enter u, or press ENTER to end point specification

    To undo the last selection, enter u or undo.

  • Select Objects. Specifies specific objects for hatching. The Boundary Hatch dialog box closes and AutoCAD LT prompts for object selection.

    • When you use the Select Objects option, AutoCAD LT does not detect interior objects automatically. You must select the objects within the selected boundary to ensure that those objects are hatched according to the current hatch style.

    Each time you choose Select Objects, AutoCAD LT clears the previous selection set.

  • Remove Islands. Removes from the boundary objects defined as islands by the Pick Points option. You cannot remove the outer boundary.

  • View Selections Displays the currently defined boundary set. This option is not available when no selection or boundary has been made.
  • Advanced. Displays the Advanced Options dialog box. In large drawings, the default method of defining a boundary may be slow, because AutoCAD LT examines everything visible in the current viewport. To improve the speed of hatching, redefine the boundary set in the Advanced Options dialog box.
  • Preview Hatch Displays the hatching before applying it. The dialog box closes and the selected area is hatched. After viewing the hatch, click Continue to redisplay the Boundary Hatch dialog box. This option is not available if you do not select an area.
  • Inherit Properties Applies the properties of an existing hatch to the current Pattern Type and Pattern Properties options. The Boundary Hatch dialog box closes, and you are prompted to select an object.

    Select hatch object: Select a hatch block

After you select an object, the Boundary Hatch dialog box is displayed with the hatch pattern properties updated to match the hatch pattern settings you selected.

Attributes

The following two options define whether the hatch is associative or exploded.

  • Associative. Controls associative hatching. If you select this option, the new hatch is associative and is updated automatically when its boundaries are modified.
  • Exploded. Specifies that the hatch pattern be created from individual line segments rather than as a hatch block. AutoCAD LT stores this information by preceding the pattern name with an asterisk in the HPNAME system variable. You can also use the EXPLODE command to split hatch blocks into individual line objects.
Apply

Applies the specified hatching to the drawing. The Apply option is not available when no selection or boundary is made.

Advanced Options Dialog Box

Define Boundary Set

Defines the set of objects analyzed when AutoCAD LT defines a boundary from a specified pick point.

Specifying a boundary set can produce the boundary faster because AutoCAD LT examines fewer objects. When there's no existing boundary set, the From Existing Boundary Set option is not available.Select an option:

  • Make New Boundary Set. Selects a set of objects. When you choose Make New Boundary Set, all dialog boxes close to allow object selection. AutoCAD LT includes only the hatchable objects you select when it constructs the new boundary set. If there's already a boundary set, it's discarded and replaced by the new one. If you do not select any hatchable objects, AutoCAD LT retains any current set. Until you exit BHATCH or define a new boundary set, AutoCAD LT uses only the objects you have selected to construct boundaries.
  • From Everything on Screen. Creates a boundary set from everything visible on the screen. Selecting this option when there's a current boundary set discards the current set and uses everything visible in the current viewport.
  • From Existing Boundary Set. Selects the current boundary set.
  • Island Detection. Specifies whether objects within the outermost boundary are used as boundary objects. These internal objects are known as islands.

Boundary Style
  • Style Specifies the method used to hatch objects within the outermost hatch boundary: Normal, Outer, or Ignore. If there are no internal objects selected, specifying a hatching style has no effect. Because you can define a precise set of boundaries, it's often best to use the Normal style.
  • Normal. Hatches inward from the area boundary. If AutoCAD LT encounters an internal intersection, it turns off hatching until it encounters another intersection. Thus, areas separated from the outside of the hatched area by an odd number of intersections are hatched, and areas separated by an even number of intersections are not.

  • Outer. Hatches inward from the area boundary. AutoCAD LT turns hatching off if it encounters an internal intersection and doesn't turn it back on. Because this process starts from both ends of each hatch line, only the outermost level of the structure is hatched, and the internal structure is left blank.

  • Ignore. Ignores all internal objects and hatches through them.

    • Note: Hatching concave curves with the Outer and Ignore styles can cause hatching discrepancies.

    The image tile above the Style list shows an example of the selected hatching style, a group of four nested objects: text within a triangle within a square within a circle. For these image tile examples, assume that all these objects are boundary objects.

Boundary Options
  • Retain Boundaries. Specifies whether the temporary boundary objects will be added to the drawing.

BHATCH (Command Line)

If you enter -bhatch at the Command prompt, AutoCAD LT presents options on the command line.

Properties / Select / Remove islands / Advanced / <Internal point> : Specify a point or enter an option

Properties (-BHATCH)

Specifies new hatch pattern properties. For more information, see the HATCH command.

Pattern (? or name / U, style) <current> : Enter a predefined pattern name, enter u, enter ?, or press ENTER

Pattern Name (Predefined)

Specifies a predefined pattern or a custom pattern name. Enter the pattern name followed by an optional hatch style code. Precede the pattern name with an asterisk (*) to fill the area with individual lines instead of a hatch block.

Scale for pattern <current> : Specify a scale or press ENTER
Angle for pattern <current> : Specify an angle or press ENTER

U (User-Defined Pattern Name)

Specifies a user-defined pattern. Enter u, followed by an optional hatch style code. Precede the u with an asterisk (*) to fill the area with individual lines instead of a hatch block.

Angle for crosshatch lines <current> : Specify an angle for the pattern or press ENTER
Spacing between lines <current> : Specify the distance between pattern lines or press ENTER
Double hatch area? <current> : Enter y to specify a second set of lines to be drawn at 90 degrees to the original lines, or press ENTER

Select (-BHATCH)

Selects specific objects for hatching.

Select objects: Use an object selection method

Remove Islands (-BHATCH)

Removes from the boundary set objects defined as islands by the Internal Point option.

Select island to remove: Select an island

Advanced (-BHATCH)

Refines the method AutoCAD LT uses to create the hatch boundary.

Boundary set / Retain boundary / Island detection / Associativity / Style / <eXit>: Enter an option or press ENTER

Boundary Set

Defines the set of objects analyzed when AutoCAD LT defines a boundary from a specified point.

New / <Everything> : Enter an option or press ENTER

Everything

Creates a boundary set from everything visible on the screen or in the current viewport. Selecting this option when there's a current boundary set discards the current set and uses everything visible on the screen or in the current viewport.

New

Creates a boundary from a selection set you define. Selecting this option when there's a current boundary set discards the current set and uses everything visible in the current viewport.

Select objects: Use an object selection method

Retain Boundary

Specifies whether or not the derived (temporary) boundary objects will be added to the drawing after hatching is completed.

Retain derived boundaries? <current> : Enter y or n, or press ENTER

Island Detection

Specifies whether objects within the outermost boundary are used as boundary objects.

Do you want island detection? <current> : Enter y or n, or press ENTER

Specifying no island detection prompts for the ray casting method.

Specify ray: Nearest / +X / -X / +Y / -Y / Angle <current> : Enter an option or press ENTER

  • Nearest. Runs a line from the point you specify to the nearest object and then traces the boundary in a counterclockwise direction.

  • +X. Runs a line in the positive X direction from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.The illustration indicates that the valid internal points for positive X direction ray casting are nearest the right-hand edges of the circle. The X indicates the area that causes a boundary definition error.
  • -X. Runs a line in the negative X direction from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.

    • The illustration indicates that the valid internal points for negative X direction ray casting are nearest the left-hand edges of the circle. The X indicates the area that causes a boundary definition error.

  • +Y. Runs a line in the positive Y direction from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.

    • The illustration indicates that the valid internal points for positive Y direction ray casting are nearest the upper edges of the circle. The X indicates the area that causes a boundary definition error.

  • -Y. Runs a line in the negative Y direction from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.

    • The illustration indicates that the valid internal points for negative Y direction ray casting are nearest the lower edges of the circle. The X indicates the area that causes a boundary definition error.

Angle

Runs a line at the specified angle from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.

Ray casting angle: Specify an angle

Style

Ignore / Outer / <Normal>: Enter an option or press ENTER

Specifies the method used to hatch objects within the outermost hatch boundary. If there are no internal objects selected, specifying a hatching style has no effect. Because you can define a precise set of boundaries, it's often best to use the Normal style.

  • Ignore. Ignores all internal objects and hatches through them. AutoCAD stores the Ignore style code by adding ,I to the pattern name in the HPNAME system variable.

  • Outer. Hatches inward from the area boundary. AutoCAD turns hatching off if it encounters an internal intersection and doesn't turn it back on. Because this process starts from both ends of each hatch line, only the outermost level of the structure is hatched, and the internal structure is left blank. AutoCAD stores the Outer style code by adding ,O to the pattern name in the HPNAME system variable.

  • Normal. Ignores all internal objects and hatches through them. AutoCAD stores the Ignore style code by adding ,I to the pattern name in the HPNAME system variable.

Associativity

Specifies that the new hatch pattern updates when its boundaries are modified. Hatching created with BHATCH is, by default, associative.

Do you want associativity? <current> : Enter y or n, or press ENTER

eXit

Returns to the initial prompt of the -BHATCH command.

Internal Point (-BHATCH)

Determines a boundary from existing objects that form an enclosed area. If Island Detection is turned on, AutoCAD LT detects objects within the outermost boundary as islands and hatches them or not, depending on the current hatch style. Hatching applied is associative.

Related Commands: HATCH fills selected objects with a nonassociative hatch pattern. HATCHEDIT modifies an existing associative hatch block. BOUNDARY creates a polyline from an enclosed area.
System Variables: HPANG sets the hatching angle. HPDOUBLE specifies whether a user-defined hatch is double hatched. HPNAME sets the hatch pattern name. HPSCALE sets the hatch pattern scale. HPSPACE sets the spacing of a user-defined hatch pattern. SNAPBASE specifies the starting point for the hatch pattern.


Bmake

BMAKE Command

Defines a block or drawing file from selected objects

Draw toolbar:
Draw menu: Block > Make
Command line: bmake

The Create Block dialog box is displayed. After the block is specified, the selected objects are removed from the drawing if Delete Selected Objects After Block Creation is selected.

Create Block Dialog Box

Save as Internal Block

Creates a block definition in the current drawing.

Save as DWG File

Creates a new drawing file from selected objects.

Name

Specifies the name of the block or drawing file to be created. A block name can be up to 31 characters. You can use letters, numbers, and special characters, such as $, -, and _.

Select Objects

Picks the objects to include in the new block. When you have finished selecting objects, press RETURN to display the dialog box. The objects you select are deleted from the drawing unless you selected Retain Objects.

Delete Selected Objects after Block Creation

If the check box is checked, AutoCAD LT automatically deletes the selected objects after they have been included in the block.

Base Point

Indicates where the insertion point for the block is. You can specify a base point by choosing Select Point and selecting a point on screen, or you can enter coordinates in the X, Y, and Z text boxes.

Description

Accepts a textual description up to 256 ASCII characters long for display in Content Explorer. This description can be modified with BMOD.

Apply

Creates the specified block or drawing file. After choosing Apply, you can continue creating additional blocks or drawings.

Related Commands: ATTDEF and DDATTDEF create an attribute definition for text to be associated with a block. DDINSERT and INSERT place a previously defined block or drawing in the current drawing. OOPS restores erased objects. WBLOCK writes selected objects to a new drawing file. XREF controls xrefs (external references). CONTENT displays the Content Explorer, which manages all objects that can be inserted into your drawings. BMOD modifies the description of a block definition or of the current drawing.


Browser

BROWSER Command

Launches the default web browser defined in your system's registry

Help Menu: Connect to Internet
Command line: browser

Location <http://www.autodesk.com/acaduser>: Press ENTER or enter a new location; it is not necessary to enter http:// before the location

Pressing ENTER displays your Web browser, which automatically connects to the location you specified.

Note: BROWSER requires that you have Netscape Navigator 3.0 (or later) or Microsoft Internet Explorer 3.0 (or later) installed.

Related Commands: SAVEURL saves your drawing to the FTP (File Transfer Protocol) site you specify. DWFOUT saves your drawing as a DWF (drawing Web format) file.
System Variables: INETLOCATION stores the Internet location last used by your default Web browser. You can also specify an Internet location on the Files tab of the Preferences dialog box; see Menu, Automatic Save, and Default Internet Location in the Preference dialog box.


BUPDATE

BUPDATE Command

Adds or removes block icons displayed in Content Explorer

File menu: Drawing Utilities > Update Block Icons
File menu: Drawing Utilities > Remove Block Icons
Command line: bupdate

Remove icons/<Add icons>: Enter an option or press ENTER

Add Icons

Adds block icon to existing block definitions in the current drawing. You can add block icon if the drawing was created in an earlier release of AutoCAD LT or if they were removed with BUPDATE or the Remove option of LTUPDATE. Block icons of block definitions can be viewed and selected in Content Explorer.

Remove Icons

Removes block icon of block definitions stored in the current drawing. Removing block icon decreases the file size of the drawing.


PREFERENCES

PREFERENCES Command

Customizes AutoCAD LT settings

Tools menu: Preferences
Command line: preferences

The Preferences dialog box is displayed.

Preferences Dialog Box
  • Work Space Tab. Controls user-interface settings.
  • Color Tab. Specifies color preferences for AutoCAD LT components.
  • Font Tab. Specifies text font preferences for the AutoCAD LT command window and text window.
  • System Tab. Specifies a number of general AutoCAD LT operating preferences.
  • Printer Tab. Customizes printer or plotter settings and sets the current printer.
  • Files Tab. Specifies the location of temporary files, support folders, and several default file names.

Work Space Tab (PREFERENCES)

Controls user-interface settings.

Show the Start Up Dialog

Controls whether the Start Up dialog box is displayed when you start AutoCAD LT. You can use the Start Up dialog box to specify settings in the new AutoCAD LT session.

Beep on Error

Controls whether a sound is emitted when AutoCAD LT encounters an input error.

Display Scrollbars

Controls whether the scrollbars display on the bottom and right side of AutoCAD LT.

Graphics Cursor Size

Controls the size of the crosshair. The allowable range is from 1 to 100 percent of the total screen. At 100% the ends of the crosshair are never visible. When the size is decreased to 99% or below, the crosshairs have a finite size, and the crosshairs' ends are visible when moved to the edge of the graphics area. The default size is 5%.

Right-Click Mouse Button

  • AutoCAD Classic (Enter). Repeats the last command.
  • Shortcut Menu. Displays a pop-up menu containing selections relevant to the previous action.

Shortcut (Accelerator) Keys

  • MS Windows Standard. Follows Microsoft Windows standards in interpreting shortcut keys. For example, CTRL+C equals COPYCLIP.
  • AutoCAD LT Classic. Interprets shortcut keys using AutoCAD LT standards rather than Microsoft Windows standards. For example, CTRL+C equals cancel. CTRL+C does not cancel dialog boxes.

Running Object Snap/Coordinate Entry Priority

  • Running Object Snap. Running object snaps override specific coordinates at all times.
  • Coordinate Entry. Specific coordinates that you enter override running object snaps at all times.
  • Coordinate Entry (except scripts). Specific coordinates that you enter override running object snaps, except in scripts.
User Name

Specifies the user name inserted into your drawing with REVDATE.

Color Tab (PREFERENCES)

Specifies color preferences for AutoCAD LT components.

Window Element

Specifies which element you are changing.

Basic Colors

Sets the colors for the currently selected AutoCAD LT window element. Select a color or use the sliders to adjust the color.

System Colors

Resets the AutoCAD LT window colors to the default colors.

Monochrome Vectors

Displays all objects in a drawing in a single color regardless of layer and color assignments.

Font Tab (PREFERENCES)

Specifies text font preferences for the AutoCAD LT command window and text window.

Font

Specifies a text font from a list.

Font Style

Specifies a display style, such as italic, bold, or regular, for the selected font.

Size

Specifies the point size of the text font.

Font to Change

Specifies whether you are changing the font in the text window or the command window.

Sample Text Window Font

Displays a sample showing your changes.

System Tab (PREFERENCES)

Specifies a number of general AutoCAD LT operating preferences.

External Reference File Demand Load

Controls demand loading of xrefs. Demand loading improves performance by loading only the parts of the referenced drawing that are needed to regenerate the current drawing.

Always Create Backups (BAK)

Specifies whether a backup copy of a drawing is created when you save the drawing.

Maintain a Log File

Specifies whether the contents of the text window are written to a log file. To specify the location and name of the log file, use the Files tab. You can also control the log file using LOGFILEMODE and LOGFILENAME.

Save Thumbnail Preview Image

Specifies whether an image of the drawing should be displayed in the Preview area of the Select File dialog box. Save Thumbnail Preview Image is also controlled by the RASTERPREVIEW system variable.

Automatic Save Every

Choose Automatic Save to save your drawing automatically at the interval you specify. You can also set the interval using the SAVETIME system variable.

Pointing Device Input

Sets the current AutoCAD LT pointing device.

  • System Pointing Device. Specifies the system pointing device, typically a mouse, as the AutoCAD LT pointing device.
    IntelliMouse Zoom Factor. Controls the response rate of zooming with an IntelliMouse wheel.

  • Wintab Digitizer. Specifies a Wintab-compatible digitizing tablet as the AutoCAD LT pointing device.
    Digitizer Input from Calibrated Tablet Only. Specifies that AutoCAD LT accepts pointing device input only from the digitizing tablet, and only when the tablet is calibrated and tablet mode is on. If you have no tablet calibrated, this option is unavailable.
    Digitizer Input from Tablet or Mouse. Specifies that AutoCAD LT accepts pointing device input from the system pointing device in addition to the digitizing tablet.

Printer (PREFERENCES)

Customizes printer or plotter settings and sets the current printer.

Current Printer

Displays the name of the current printer.

List of Printers

Displays a list of the available printers.

Printer Description

Displays information about the currently selected printer.

Set Current

Makes the selected printer the current printer.

Modify

Reconfigures the selected printer. Select a printer from the list of available printers and choose Modify. In the Reconfigure a Printer dialog box, provide a description for the printer. Then choose Reconfigure. AutoCAD LT displays the text window with prompts for printer settings. If you just want to update the printer description, choose OK instead of Reconfigure in the Reconfigure a Printer dialog box.

New

Displays the Add a Printer dialog box. To add a printer, select a printer from the list of available printers, provide a description, and then choose OK. AutoCAD LT displays the text window with prompts for printer settings.

Open

Opens a printer configuration file. In the Replace from PC2 File dialog box, select the configuration file for the device you want to use. Then choose OK.

Save As

Saves the complete configuration information for a printer to a file. Specify a directory and name for the PC2 file. Then choose OK.

Remove

Removes the selected printer from the list of available printers.

Files Tab (PREFERENCES)

Specifies the folders in which AutoCAD LT looks for text fonts, menus, plug-ins, drawings to insert, linetypes, and hatch patterns that are not in the current folder. Also specifies optional user-defined settings such as which dictionary to use for checking spelling.

Search Paths, File Names, and File Locations

Displays a list of the folders and files used by AutoCAD LT. To specify a location for a folder or file, select the directory or file from the list. Choose Browse and use the Browse for Folder dialog box to locate the directory or file you want to use.

Support File Search Path

Specifies the folders AutoCAD LT searches for support files. In addition to the files required to run AutoCAD LT, you can specify folders for fonts, menus, drawings to insert, linetypes, and hatch patterns in the support file search path.

Menu, AutoSave, Log, and Default Internet Location

Specifies the names and locations of various types of files.

  • Menu File. Specifies the location of the AutoCAD LT menu file to use.
  • Automatic Save File. Specifies the path for the file that is created if you select Automatic Save on the System tab.
  • Log File. Specifies the path for the file that is created if you select Maintain a Log File on the System tab.
  • Default Internet Location. Specifies the default Internet location used by Connect to Internet on the Help menu.
Dictionary and Font File Names

Specifies a number of optional settings.

  • Main Dictionary. Specifies the dictionary to use for checking spelling.
  • Custom Dictionary File. Specifies a custom dictionary to use if you have one.
  • Alternate Font File. Specifies the font file to use if AutoCAD LT cannot locate the original font and an alternate font is not specified in the font mapping file.
  • FontMapping File. Specifies the file that defines how AutoCAD LT should convert fonts that it cannot locate.
Print File Name

Specifies an alternate name to use for the temporary plot file name. The default name is the name of the drawing plus the file extension .plt.

Template Drawing File Location

Specifies the folder for the template files used by the start-up wizards.

Temporary Drawing File Location

Specifies the folder AutoCAD LT uses to store temporary files.


Content

CONTENT Command

Finds drawing files, inserts blocks, and attaches xrefs

Insert toolbar:
Insert menu: Content Explorer
Command line: content

The Content Explorer window is displayed.
Tree View
Content View

Content Explorer provides easy ways to find, preview, and insert blocks and drawing files. The Tree View is the left side of the Content Explorer when it's expanded. The tabs on the right side, or Content View, display thumbnail previews or descriptions of

  • Drawing files in a folder
  • Block definitions in a drawing

You can insert blocks or attach external references either by dragging and dropping or by specifying location, scaling, and rotation values.

Custom tabs that you create act as bookmarks for folders you use frequently, and you can save sets of tabs for later use.

You can move and copy drawing files between folders either by dragging and dropping from the current tab to other tabs or by using a dialog box.

Content Explorer Window

File Menu
  • Block Insert. Changes the operation of Content Explorer to Block Insert mode.

  • Xref Attach. Changes the operation of Content Explorer to Xref Attach mode.

  • Move Content. Moves selected drawing files to a different folder. Select the name of the destination tab name from the Move Contents dialog box.
  • Copy Content. Copies selected drawing files to a different folder. Select the name of the destination tab from the Copy Contents dialog box.
  • Close. Exits Content Explorer.
View Menu

  • Toolbar. Displays or hides the toolbar.
  • Status Bar. Displays or hides the status bar.
  • Always on Top. Controls whether Content Explorer is always on top of other windows.
  • Tree View. Displays or hides the Tree View.

  • Find. Displays the Find window to locate files by specifying criteria.

  • Icons and Names. Displays both names and icons for block definitions and drawings.
  • Names Only. Displays names only for block definitions and drawings.
  • Description. Displays a description of the selected drawing or block definition. This description is limited to 256 ASCII characters and can be modified with BMOD.

  • Preview. Displays a thumbnail preview of the selected drawing or block definition.

  • Refresh. Updates the information displayed in Content Explorer. Refreshes only the Tree View and the current tab.
Tab Menu

  • Create. Displays the Create Tab dialog box to creates a new tab as a bookmark to the current folder.

  • Rename. Displays the Rename Tab dialog box to rename the current tab.
  • Delete. Deletes the current tab. Does not delete the associated folder or its contents.
  • Open Tab Set. Displays the Open dialog box to restore a saved tab set.
  • Save As Tab Set. Displays the Save As dialog box to save a set of tabs in a .set file.
  • Merge Tab Set. Combines a tab set selected from the Merge dialog box with the current tabs.

Tree View

The expanded left side of the Content Explorer window, which displays a hierarchical list of folders and drawing files. Select a folder to display its drawing files in Content View. Select a file to display its blocks in Content View.

Content View

The default Content Explorer window, and the right side when Content Explorer is expanded, which displays icon images of blocks in a drawing or files in a folder. Content View includes at least two tabs:

  • Current Dwg. Displays internal block definitions in the current drawing.
  • Tree View. Displays internal block definitions in the current drawing currently selected in Tree View.

In Block Insert mode, you can drag a block reference or a drawing file to insert it as a block reference in the current drawing file or in a drawing file listed in Tree View. Double-click the block or file to specify insertion location, scale, and rotation values.

In Xref Attach mode, you can drag a drawing file to insert it as an external reference (xref) in the current drawing file or in a drawing file in Tree View. Double-click the file to specify insertion location, scale, and rotation values.

Preview and icon images in Content Explorer do not display text, wide polylines, 2D solids, raster images, or object colors.

Note: Content Explorer does not support the special capabilities of the My Briefcase folder. My Briefcase is treated in the same way as any other folder.


Copy

COPY Command

Duplicates objects

Modify toolbar:
Modify menu: Copy
Command line: copy

Select objects: Use an object selection method
Base point or displacement /Multiple: Specify a point or enter m

Base Point or Displacement

Second point of displacement: Specify a point or press ENTER

If you specify two points, AutoCAD LT uses the first point as a base point and places a single copy relative to that base point. The two points you specify define a displacement to determine how far the selected objects are moved and in what direction.

If you press ENTER at the second point, the first point is interpreted as relative X, Y, Z displacement. In this case, the first point is usually entered at the keyboard.

Note: The @ symbol should not be entered as part of this displacement coordinate.

Multiple

Makes multiple copies using one COPY command. AutoCAD LT prompts for an insertion base point for the selection object.

Base point: Specify a point
Second point of displacement: Specify a point or press ENTER

If you specify a point, AutoCAD LT places a copy at that point relative to the base point. The Second point of displacement prompt is repeated, for placement of multiple copies of the object. If you press ENTER, the command ends.

Related Commands: ARRAY creates multiple copies of objects in a rectangular or polar pattern.
System Variables: GRIPS controls the grips used to manipulate objects. COPYCLIP copies objects to the Windows clipboard.


DDATTEXT

DDATTEXT Command

Extracts attribute data

Command line: ddattext

The Attribute Extraction dialog box is displayed.

An attribute is informational text associated with a block. Use DDATTEXT to extract attribute data from a drawing into a separate file.

Attribute Extraction Dialog Box

File Format

Select the file format for the attribute data extracted from the current drawing.

  • Comma Delimited File (CDF). Generates a file containing one record for each block reference. Character fields are enclosed in single quotation marks and separated by commas.
  • Space Delimited File (SDF). Generates a file containing one record for each block reference. Character fields of each record have a fixed width. Field separators are not used.
  • Drawing Interchange File (DXF). Produces a subset of the drawing interchange file format containing only block reference, attribute, and end-of-sequence objects. No attribute template file is required. The output file has a .dxx extension to distinguish it from normal DXF files.
Select Objects

Selects objects from which to extract attribute data. When you have finished selecting objects, the Attribute Extraction dialog box is redisplayed.

Attribute Template File

Specifies the file to use as a template for the output extract file in CDF and SDF formats. Enter the path and file name to use, or choose Attribute Template File to display the Attribute Template File dialog box.

Note: If you selected Drawing Interchange File in File Format, Attribute Template File is unavailable.

Output File

Specifies the file name and location for the extracted attribute data. Enter the path and file name for the extracted attribute data, or choose Output File to display the Output File dialog box.

Attribute Template File Dialog Box
File Name

Select or enter the name of the file you want to use as a template for the output file.

List Files of Type

Select the type of files you want displayed in the File Name list box.

Directories

Select the directory for the attribute template file.

Drives

Select the drive for the attribute template file.

Find File...

To use search criteria to find attribute template files on multiple drives and directories, choose Find File. The Browse/Search dialog box is displayed.

Output File Dialog Box
File Name

Select or enter the name for the output file.

Files of Type

Select the type of files you want displayed in the File Name list box.

Save in

Select the drive and directory for the output file.

Related Commands: ATTEXT extracts attribute data on the command line. DDATTDEF and ATTDEF create attributes. ATTDISP controls attribute visibility. DDATTE and ATTEDIT edit attributes. DDEDIT edits text and attribute definitions. EXPORT saves objects to other file formats.
System Variables: ATTDIA controls the display of attribute dialog boxes. ATTMODE sets the current attribute display mode. ATTREQ enables and disables the prompts for attribute values.


DDMODIFY

DDMODIFY Command

Controls object properties

Object Properties toolbar:
Modify menu: Properties
Command line:ddmodify

Select object to modify: Use an object selection method

AutoCAD LT displays the appropriate dialog box for the type of object you selected:

Arc | MText
Associative Hatch | Point
Attribute Definition | Polyline
Block Insertion | Ray
Circle | Solid
Dimension | Spline
Ellipse | Text
External Reference | Tolerance
Leader | Viewport
Line | Xline
AutoCAD Object

Modify Arc Dialog Box

Properties

Controls the properties of the arc.

  • Color. Changes the color of the arc with the Select Color dialog box.
  • Layer. Changes the layer of the arc with the Select Layer dialog box.
  • Linetype. Changes the linetype of the arc with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected arc. You cannot change this value with DDMODIFY.
  • Thickness. Specifies the thickness of the arc.
  • Linetype Scale. Specifies the linetype scale factor for the arc.
Center

Controls the location of the center point of the arc.

  • Pick Point. Closes the dialog box so that you can define a new center point for the arc on the screen. After you select a new center point, the Modify Arc dialog box is redisplayed.
  • X.Specifies the X value for the coordinate of the center point.
  • Y.Specifies the Y value for the coordinate of the center point.
  • Z. Specifies the Z value for the coordinate of the center point.
Radius

Specifies the radius of the arc.

Start Angle

Specifies the start angle of the arc.

End Angle

Specifies the end angle of the arc.

Total Angle

Displays the total angle of the arc.

Arc Length

Displays the total length of the arc.

Modify Associative Hatch Dialog Box

Properties

Controls the properties of the associative hatch.

  • Color. Changes the color of the associative hatch with the Select Color dialog box.
  • Layer. Changes the layer of the associative hatch with the Select Layer dialog box.
  • Linetype. Changes the linetype of the associative hatch with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected associative hatch. You cannot change this value with DDMODIFY.
  • Thickness. Specifies the thickness of the associative hatch.
  • Linetype Scale. Specifies the linetype scale factor for the associative hatch.
Hatch Edit

Changes the appearance of the hatch with the Hatch Edit dialog box.

Modify Attribute Definition Dialog Box

Properties

Controls the properties of the attribute definition.

Tag

Displays the current tag of the attribute definition. You can enter a new tag.

Prompt

Displays the current prompt of the attribute definition. You can enter a new prompt.

Default

Displays the current default value of the attribute definition. You can enter a new value.

Origin

Controls the location of the origin of the attribute definition.

Height

Specifies the height of the text in the attribute definition.

Note: Changing this value affects only the selected attribute definition, not the default height defined in the text style. To revert to the default value, select the original style in the Style list box.

Rotation

Specifies the rotation of the text in the attribute definition.

Width Factor

Specifies the width factor for the text in the attribute definition. A value greater than 1 expands the width of each character in the font. A value less than 1 compresses the width of each character in the font.

Note: Changing this value affects only the selected attribute definition, not the default width factor defined in the text style. To revert to the default value, select the original style in the Style list box.

Obliquing

Specifies the angle that you want to oblique (italicize) the text in the attribute definition.

Note: Changing this value affects only the selected text object, not the default obliquing value defined in the text style. To revert to the default value, select the original style in the Style list box.

Justify

Specifies the justification for the selected text object. For a description of each justification setting, see DTEXT.

Note: Changing this value affects only the selected text object, not the default justification defined in the text style. To revert to the default value, select the original style in the Style list box.

Style

Specifies the style for the selected attribute definition. All settings changed previously will be set to the default values of this style.

Upside Down

Causes the text to be displayed upside down.

Note: Changing this value affects only the selected text object, not the default value defined in the text style. To revert to the default value, select the original style in the Style list box.

Backward

Causes the text to be displayed backward (reversed).

Note: Changing this value affects only the selected text object, not the default value defined in the text style. To revert to the default value, select the original style in the Style list box.

Invisible

Makes the attribute value invisible. The attribute value is not displayed or printed.

Constant

Assigns a fixed attribute value. The attribute value is inserted automatically into the drawing when the block is inserted.

Verify

Causes AutoCAD LT to prompt you to verify that an attribute value is correct before the block is inserted in the drawing.

Preset

Sets the attribute to its default value when you insert a block containing a preset attribute.

Properties

Color

Changes the color of the attribute definition with the Select Color dialog box.

Layer

Changes the layer of the attribute definition with the Select Layer dialog box.

Linetype

Changes the linetype of the attribute definition with the Select Linetype dialog box.

Handle

Displays the handle of the selected attribute definition. You cannot change this value with DDMODIFY.

Thickness

Specifies the thickness of the attribute definition.

Linetype Scale

Specifies the linetype scale factor for the attribute definition.

Origin

Pick Point

Closes the dialog box so you can define a new origin for the attribute definition. After you select a new origin, the Modify Attribute Definition dialog box is redisplayed.

X

Specifies the X value for the coordinate of the origin.

Y

Specifies the Y value for the coordinate of the origin.

Z

Specifies the Z value for the coordinate of the origin.

Modify Block Insertion Dialog Box

Properties

Controls the properties of the block insertion.

  • Color. Changes the color of the block insertion with the Select Color dialog box.
  • Layer. Changes the layer of the block insertion with the Select Layer dialog box.
  • Linetype. Changes the linetype of the block insertion with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected block insertion. You cannot change this value.
  • Thickness. Specifies the thickness of the block insertion.
  • Linetype Scale. Specifies the linetype scale factor for the block insertion.
Insertion Point

Controls the location of the insertion point of the block insertion.

  • Pick Point. Closes the dialog box so you can define a new insertion point for the block insertion. After you select a new insertion point, the Modify Block Insertion dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the insertion point.
  • Y. Specifies the Y value for the coordinate of the insertion point.
  • Z. Specifies the Z value for the coordinate of the insertion point.
X-scale

Specifies the scale factor for the block insertion in the X (horizontal) direction.

Y-scale

Specifies the scale factor for the block insertion in the Y (vertical) direction.

Z-scale

Specifies the scale factor for the block insertion in the Z direction.

Rotation

Specifies the rotation angle for the block insertion.

Columns

Displays the number of columns.

Rows

Displays the number of rows.

Col Spacing

Displays the current setting for column spacing.

Row Spacing

Displays the current setting for row spacing.

Attributes

Displays the attributes of the block insertion.

Modify Circle Dialog Box

Properties

Controls the properties of the circle.

  • Color. Changes the color of the circle with the Select Color dialog box.
  • Layer. Changes the layer of the circle with the Select Layer dialog box.
  • Linetype. Changes the linetype of the circle with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected circle. You cannot change this value with DDMODIFY.
  • Thickness. Specifies the thickness of the circle.
  • Linetype Scale. Specifies the linetype scale factor for the circle.
Center
  • Pick Point. Closes the dialog box so you can define a new center point for the circle on screen. After you select a new center point, the Modify Circle dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the center point.
  • Y. Specifies the Y value for the coordinate of the center point.
  • Z. Specifies the Z value for the coordinate of the center point.
Radius

Enter the radius of the circle.

Diameter

Displays the value of the diameter of the circle based on the radius you enter.

Circumference

Displays the value of the circumference of the circle based on the radius you enter.

Area

Displays the value of the area of the circle based on the radius you enter.

Modify Dimension Dialog Box

Properties

Controls the properties of the dimension.

  • Color. Changes the color of the dimension with the Select Color dialog box.
  • Layer. Changes the layer of the dimension with the Layer Control dialog box.
  • Linetype. Changes the linetype of the dimension with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected dimension. You cannot change this value with DDMODIFY.
  • Thickness. You cannot change the thickness of a dimension.
  • Linetype Scale. Specifies the linetype scale factor for the dimension.
Contents

The current dimension value is indicated between the brackets. To replace the current dimension value, enter new text before, after, or between the brackets.

Full Editor

Opens the Multiline Text Editor dialog box.

Style

Specifies a text style to apply to the dimension text.

Modify Ellipse Dialog Box

Properties

Controls the properties of the ellipse.

  • Color. Changes the color of the ellipse with the Select Color dialog box.
  • Layer. Changes the layer of the ellipse with the Select Layer dialog box.
  • Linetype. Changes the linetype of the ellipse with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected ellipse. You cannot change this value with DDMODIFY.
  • Thickness. Specifies the thickness of the ellipse.
  • Linetype Scale. Specifies the linetype scale factor for the ellipse.
Center

Controls the location of the center point of the ellipse.

  • Pick Point. Closes the dialog box so you can define a new center point for the ellipse on the screen. After you select a new center point, the Modify Ellipse dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the center point.
  • Y. Specifies the Y value for the coordinate of the center point.
  • Z. Specifies the Z value for the coordinate of the center point.
Major Radius

Specifies the major radius of the ellipse.

Minor Radius

Specifies the minor radius of the ellipse.

Radius Ratio

Specifies the ratio of the major radius to the minor radius.

Start Angle

Specifies the start angle of the ellipse.

End Angle

Specifies the end angle of the ellipse.

Major Axis Vector

Displays the X, Y, and Z values of the vector that defines the major axis direction of the ellipse.

Area

Displays the area of the ellipse.

Modify External Reference Dialog Box

Properties

Controls the properties of the external reference.

  • Color. Changes the color of the external reference with the Select Color dialog box.
  • Layer. Changes the layer of the external reference with the Select Layer dialog box.
  • Linetype. Changes the linetype of the external reference with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected external reference. You cannot change this value with DDMODIFY.
  • ThicknessThickness is unavailable when modifying xrefs.
  • Xref Name Specifies the name of the currently selected xref.
  • Path Specifies the path of the currently selected xref.
  • Linetype Scale. Linetype Scale is unavailable when modifying xrefs.
Insertion Point

Controls the location of the insertion point of the external reference.

  • Pick Point. Closes the dialog box so you can define a new insertion point for the external reference. After you select a new insertion point, the Modify External Reference dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the insertion point.
  • Y. Specifies the Y value for the coordinate of the insertion point.
  • Z. Specifies the Z value for the coordinate of the insertion point.
X-scale

Specifies the scale factor for the external reference in the X (horizontal) direction.

Y-scale

Specifies the scale factor for the external reference in the Y (vertical) direction.

Z-scale

Specifies the scale factor for the external reference in the Z direction.

Rotation

Specifies the rotation angle for the external reference.

Columns

Specifies the number of columns to use when creating a rectangular array using the selected xref.

Rows

Specifies the number of rows to use when creating a rectangular array using the selected xref.

Row Spacing

Controls the array row spacing.

Modify Leader Dialog Box

Properties

Controls the properties of the leader line.

  • Color. Changes the color of the leader with the Select Color dialog box.
  • Layer. Changes the layer of the leader with the Select Layer dialog box.
  • Linetype. Changes the linetype of the leader with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected leader. You cannot change this value with DDMODIFY.
  • Linetype Scale. Specifies the linetype scale factor for the leader.
Style

Applies a text style to the text in the leader.

Type

Specifies the leader type.

  • Straight. Makes the leader a straight line.
  • Spline. Makes the leader a spline.
Arrow

Displays arrows on the leader.

Note: To modify the text in a leader, use DDMODIFY and select the text rather than the leader line. The Modify Mtext dialog box is displayed.

Modify Line Dialog Box

Properties

Controls the properties of the line.

  • Color. Changes the color of the line with the Select Color dialog box.
  • Layer. Changes the layer of the line with the Select Layer dialog box.
  • Linetype. Changes the linetype of the line with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected line. You cannot change this value.
  • Thickness. Specifies the thickness of the line.
  • Linetype Scale. Specifies the linetype scale factor for the line.
From Point

Controls the location of the From (first) point of the line.

  • Pick Point. Closes the dialog box so you can define a new From point for the line on the screen. After you select a new From point, the Modify Line dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the From point.
  • Y. Specifies the Y value for the coordinate of the From point.
  • Z. Specifies the Z value for the coordinate of the From point.
To Point

Controls the location of the To (second) point of the line.

  • Pick Point. Closes the dialog box so you can define a new From point for the line on the screen. After you select a new From point, the Modify Line dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the To point.
  • Y. Specifies the Y value for the coordinate of the To point.
  • Z. Specifies the Z value for the coordinate of the To point.
Delta XYZ

Displays the change in coordinate values from the start point to the end point of the line.

Length

Displays the length of the line.

Angle

Displays the angle of the line.

Modify MText Dialog Box

Properties

Controls the properties of the mtext object.

  • Color. Changes the color of the mtext object with the Select Color dialog box.
  • Layer. Changes the layer of the mtext object with the Select Layer dialog box.
  • Linetype. This option is unavailable.
  • Handle. Displays the handle of the selected mtext object. You cannot change this value.
  • Thickness. This option is unavailable.
  • Linetype Scale. This option is unavailable.
Insertion Point

Controls the location of the insertion point of the mtext object.

  • Pick Point. Closes the dialog box so you can define a new insertion point for the mtext object. After you select a new insertion point, the Modify MText dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the insertion point.
  • Y. Specifies the Y value for the coordinate of the insertion point.
  • Z. Specifies the Z value for the coordinate of the insertion point.
Contents

Displays the current contents of the mtext object.

Full Editor

Edits the contents of the mtext object with the Edit MText dialog box.

Style

Controls the style used by the selected text.

Justify

Determines both text justification and text flow for new or selected text in relation to the text boundary. Text justification is modified to one of nine available positions based on the current justification point, not on the justification points of the current text object.

Direction

Determines whether the text is oriented vertically, horizontally, or according to the direction set by the current style (ByStyle). Vertical is only available if the selected font supports dual orientation.

Width

Specifies the width of the paragraph text object. If you specify a width of zero, word wrap is turned off, and the multiline text object is displayed on a single line.

Text Height

Specifies the height of the multiline text object. Characters with individual height formatting are not affected by this setting.

Rotation

Specifies the rotation angle of the text boundary.

Modify Point Dialog Box

Properties

Controls the properties of the point.

  • Color. Changes the color of the point with the Select Color dialog box.
  • Layer. Changes the layer of the point with the Select Layer dialog box.
  • Linetype. Changes the linetype of the point with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected point. You cannot change this value.
  • Thickness. Specifies the thickness of the point.
  • Linetype Scale. Specifies the linetype scale factor for the point.
Location

Controls the location of the point.

  • Pick Point. Closes the dialog box so you can define a new location on the screen for the point. After you select a new location, the Modify Point dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the point.
  • Y. Specifies the Y value for the coordinate of the point.
  • Z. Specifies the Z value for the coordinate of the point.

Modify Polyline Dialog Box

Properties

Controls the properties of the polyline.

  • Color. Changes the color of the polyline with the Select Color dialog box.
  • Layer. Changes the layer of the polyline with the Select Layer dialog box.
  • Linetype. Changes the linetype of the polyline with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected polyline. You cannot change this value with DDMODIFY.
  • Thickness. Specifies the thickness of the polyline.
  • Linetype Scale. Specifies the linetype scale factor for the polyline.
Polyline Type

Displays the polyline type of the selected polyline.

Vertex Listing

Displays the X, Y, and Z coordinates for each vertex in the polyline.

  • Vertex. Displays the number of the vertex for which the X, Y, Z coordinate is displayed.
  • Next. Displays the values for the next vertex.
Fit/Smooth

Specifies the type of line curve fitting.

  • None. Does not apply line fitting.
  • Quadratic. Applies quadratic line fitting.
  • Cubic. Applies cubic line fitting.
  • Curve Fit. Applies curve fitting.
Polyline

Controls the appearance of the polyline.

  • Closed. Closes the ends of the polyline.
  • LT Gen. Controls how linetype patterns are assigned to a 2D polyline. If LT Gen is selected, the linetype pattern is maintained across vertices rather than beginning and ending at each vertex with a down stroke (dash). This is especially important if vertices are close together.

    • Note: On splined or curved polylines with short segments, the linetype may appear continuous because the pattern cannot be fully displayed between the vertices.

Modify Ray Dialog Box

Properties

Controls the properties of the ray.

  • Color. Changes the color of the ray with the Select Color dialog box.
  • Layer. Changes the layer of the ray with the Select Layer dialog box.
  • Linetype. Changes the linetype of the ray with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected ray. You cannot change this value.
  • Thickness. Thickness is not defined for rays.
  • Linetype Scale. Specifies the linetype scale factor for the ray.
Start Point

Controls the location of the Start point of the ray.

  • Pick Point. Closes the dialog box so you can specify a new Start point for the on screen for the ray. After you select a new Start point, the Modify Ray dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the Start point.
  • Y. Specifies the Y value for the coordinate of the Start point.
  • Z. Specifies the Z value for the coordinate of the Start point.
Second Point

Controls the location of the Second point of the ray, which defines the angle at which the ray travels.

  • Pick Point. Closes the dialog box so you can specify a new Second point for the on screen for the ray. After you select a new Second point, the Modify Ray dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the Second point.
  • Y. Specifies the Y value for the coordinate of the Second point.
  • Z. Specifies the Z value for the coordinate of the Second point.
Direction Vector

Displays the relative change in the X, Y, Z, coordinate values from any point on the ray to another point on the ray.

Modify Solid Dialog Box

Properties

Controls the properties of the solid.

  • Color. Changes the color of the solid with the Select Color dialog box.
  • Layer. Changes the layer of the solid with the Select Layer dialog box.
  • Linetype. Changes the linetype of the solid with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected solid. You cannot change this value with DDMODIFY.
  • Thickness. Specifies the thickness of the solid.
  • Linetype Scale. Specifies the linetype scale factor for the solid.
Point

Controls the location of each point of the solid. For each point, enter new X, Y, and Z values.

  • Pick Point. Closes the dialog box so you can specify a new point. After you select a new point, the Modify Solid dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the point.
  • Y. Specifies the Y value for the coordinate of the point.
  • Z. Specifies the Z value for the coordinate of the point.

Modify Spline Dialog Box

Properties

Controls the properties of the spline.

  • Color. Changes the color of the spline with the Select Color dialog box.
  • Layer. Changes the layer of the spline with the Select Layer dialog box.
  • Linetype. Changes the linetype of the spline with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected spline. You cannot change this value with DDMODIFY.
  • Thickness. This option is not available.
  • Linetype Scale. Specifies the linetype scale factor for the spline.
Control Points

Displays the X, Y, Z coordinate and the weight of each control point on the spline. Additional weight assigned to a control point reduces the distance between the spline and that control point.

  • Vertex. Displays the number of the vertex for which the X, Y, Z coordinate is displayed.
  • Next. Displays values for the next vertex.
  • Weight. Displays the weight at the current control point. Weight refers to the distance between the spline and a given control point. The larger the integer value, the more the spline is pulled toward the control point.
Degree

Displays the degree of the spline curve.

Properties

Displays the properties of the spline curve.

Data Points

Displays the X, Y, Z coordinate of each data point on the spline.

  • Vertex. Displays the number of the vertex for which the X, Y, Z coordinate is displayed.
  • Next. Displays the values for the next vertex.

Modify Text Dialog Box

Properties

Controls the properties of the text object.

  • Color. Changes the color of the text object with the Select Color dialog box.
  • Layer. Changes the layer of the text object with the Select Layer dialog box.
  • Linetype. Changes the linetype of the text object with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected text object. You cannot change this value with DDMODIFY.
  • Thickness. Specifies the thickness of the text object.
  • Linetype Scale. Specifies the linetype scale factor for the text object.
Text

Displays the current text. Edit the text or enter new text.

Origin

Controls the location of the origin of the text object.

  • Pick Point. Closes the dialog box so you can specify a new origin for the text object on screen. After you select a new origin, the Modify Text dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the origin.
  • Y. Specifies the Y value for the coordinate of the origin.
  • Z. Specifies the Z value for the coordinate of the origin.
Height

Specifies the height of the text.

Note: Changing this value affects only the selected text object, not the default height defined in the text style. To revert to the default value, select the original style in the Style list box.

Rotation

Specifies the rotation of the text.

Width Factor

Specifies the width factor for the text. A value greater than 1 expands the width of each character in the font. A value less than 1 compresses the width of each character in the font.

Note: Changing this value affects only the selected text object, not the default width factor defined in the text style. To revert to the default value, select the original style in the Style list box.

Obliquing

Specifies the angle that you want to oblique (italicize) the font.

Note: Changing this value affects only the selected text object, not the default obliquing value defined in the text style. To revert to the default value, select the original style in the Style list box.

Justify

Specifies the justification for the selected text object. For a description of each justification setting, see DTEXT.

Note: Changing this value affects only the selected text object, not the default justification defined in the text style. To revert to the default value, select the original style in the Style list box.

Style

Specifies the style for the selected text object. All settings changed previously will be set to the default values.

Upside Down

Causes the text to be displayed upside down.

Note: Changing this value affects only the selected text object, not the default defined in the text style. To revert to the default value, select the original style in the Style list box.

Backward

Causes the text to be displayed backward (reversed).

Note: Changing this value affects only the selected text object, not the default defined in the text style. To revert to the default value, select the original style in the Style list box.

Modify Tolerance Dialog Box

When you select a geometric tolerance, AutoCAD LT displays the Modify Tolerance dialog box.

Properties

Controls the properties of the tolerance object.

  • Color. Changes the color of the tolerance symbol with the Select Color dialog box.
  • Layer. Changes the layer of the tolerance symbol with the Select Layer dialog box.
  • Linetype. Changes the linetype of the tolerance symbol with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected tolerance symbol. You cannot change this value with DDMODIFY.
  • Thickness. This option is not available.
  • Linetype Scale. Specifies the linetype scale factor for the tolerance symbol.
Edit

Displays the tolerance symbols and text. You can enter new symbols and text.

Style

Specifies a text style for the tolerance symbols and text.

Modify Viewport Dialog Box

Properties

Controls the properties of the floating viewport.

  • Color. Changes the color of the floating viewport with the Select Color dialog box.
  • Layer. Changes the layer of the floating viewport with the Select Layer dialog box.
  • Linetype. This option is not available.
  • Handle. Displays the handle of the selected floating viewport. You cannot change this value with DDMODIFY.
  • Thickness. This option is not available.
  • Linetype Scale. This option is not available.
  • View Center. Displays the selected viewport's X, Y, and Z coordinates.
  • Vport ID. Displays the identification number of the viewport.
  • Width. Displays the width of the selected viewport.
  • Height. Displays the height of the selected viewport.
  • Status. Displays the status of the selected viewport. The status settings indicate whether a viewport is on (meaning its objects are visible) and active (meaning it's the current viewport.)

Modify Xline Dialog Box

Properties

Controls the properties of the xline.

  • Color. Changes the color of the xline with the Select Color dialog box.
  • Layer. Changes the layer of the xline with the Select Layer dialog box.
  • Linetype. Changes the linetype of the xline with the Select Linetype dialog box.
  • Handle. Displays the handle of the selected xline. You cannot change this value with DDMODIFY.
  • Thickness. This option is not available.
  • Linetype Scale. Specifies the linetype scale factor for the xline.
Root Point

Controls the location of the root point of the xline.

  • Pick Point. Closes the dialog box so you can specify a new root point for the xline. After you select a new root point, the Modify Xline dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the root point.
  • Y. Specifies the Y value for the coordinate of the root point.
  • Z. Specifies the Z value for the coordinate of the root point.
Second Point

Controls the location of the second point of the xline.

  • Pick Point. Closes the dialog box so you can specify a new second point for the xline. After you select a second root point, the Modify Xline dialog box is redisplayed.
  • X. Specifies the X value for the coordinate of the second point.
  • Y. Specifies the Y value for the coordinate of the second point.
  • Z. Specifies the Z value for the coordinate of the second point.
Direction Vector

Displays the relative change in the X, Y, Z coordinate values from any point on the xline to another point on the xline.

Modify AutoCAD Object Dialog Box

Several types of objects can be created in AutoCAD that cannot be created in AutoCAD LT for Windows 95. However, these AutoCAD objects can be displayed, edited, and saved in AutoCAD LT:

  • 3D faces
  • 3D meshes
  • 3D (ACIS) solids
  • Bodies
  • Multilines
  • Pface (polygon) meshes
  • Regions
  • Shapes
  • Traces
Properties

Controls the properties of the AutoCAD objects. Not all properties are available for modification with some AutoCAD objects.

  • Color. Changes the color of the AutoCAD object with the Select Color dialog box.
  • Layer. Changes the layer of the AutoCAD object with the Select Layer dialog box.
  • Linetype. Changes the linetype of the AutoCAD object with the Select Linetype dialog box.
  • Handle. Displays the handle of the AutoCAD object. You cannot change this value.
  • Thickness. Specifies the thickness of the AutoCAD object.
  • Linetype Scale. Specifies the linetype scale factor for the AutoCAD object.

Related Commands: DDCHPROP and CHPROP change an existing object's color, layer, linetype, and thickness. DDCOLOR and COLOR set the color of new objects. -LAYER and LAYER control layer settings. LINETYPE creates, loads, and sets linetypes. ELEV sets elevation and extrusion thickness of new objects. STYLE creates text styles and changes existing style settings.
System Variables: CECOLOR sets the color of new objects. CELTSCALE sets the current linetype scale factor of new objects. CELTYPE sets the linetype of new objects. CLAYER sets the current layer. ELEVATION stores the current 3D elevation. THICKNESS sets the current 3D thickness.


DDRMODES

'DDRMODES Command

Sets drawing aids

Tools menu: Drawing Aids
Command line: ddrmodes

The Drawing Aids dialog box is displayed.

DDRMODES controls the settings for AutoCAD LT drawing aids including Grid and Snap.

Drawing Aids Dialog Box

Modes

Controls several drawing modes.

  • Ortho. Turns Orthogonal mode and PolarSnap on and off. With Ortho mode, cursor input is restricted to either horizontal or vertical locations relative to the previous point. With PolarSnap, you can set a specified snap angle distance.
  • Solid Fill. Turns Fill mode on and off. Fill mode controls the solid filling of wide polylines, donuts, and 2D solids.
  • Quick Text. Turns on Quick Text mode. Quick Text mode displays text and attributes as simple rectangles.
  • Blips. Turns Blip mode on and off. Blip mode controls the display of marker blips on the screen.
  • Highlight. Turns highlighting of selected objects on and off.
Snap

Controls Snap mode settings.

  • On. Turns Snap mode on and off.
  • X Spacing. Enter a value for the snap spacing in the X direction.
  • Y Spacing. Enter a value for the snap spacing in the Y direction.
  • Snap Angle. Enter a value by which you want to rotate the snap grid.
  • X Base. Enter a value for the X basepoint for the snap grid.
  • Y Base. Enter a value for the Y basepoint for the snap
Grid

Controls Grid mode settings.

  • On. Turns Grid mode on and off.
  • X Spacing. Enter a value for the grid spacing in the X direction.
  • Y Spacing. Enter a value for the grid spacing in the Y direction.
Isometric Snap/Grid

Controls ISO mode settings.

  • On. Changes the Snap and Grid orientation to isometric. This setting facilitates drawing a 2D representation of a 3D isometric view of an object using Snap, Grid, and the Isocircle option of the ELLIPSE command.
  • Left. Select a simulated XY plane.
  • Top. Select a simulated XZ plane.
  • Right. Select a simulated YZ plane.

Related Commands: BLIPMODE controls the display of marker blips. FILL controls the filling of traces, solids, and wide polylines. GRID displays a dot grid at the specified spacing(s). ISOPLANE selects the current isometric plane. ORTHO constrains cursor movement to the horizontal or vertical directions. QTEXT displays text and attributes as simple rectangles. SNAP restricts cursor movement to specific intervals.
System Variables: HIGHLIGHT controls object selection highlighting.


DDUCSP

DDUCSP Command

Selects a preset user coordinate system

Standard toolbar:
Tools menu: UCS, then Preset UCS
Command line: dducsp

The UCS Orientation dialog box is displayed.

A user coordinate system (UCS) is a user-controlled coordinate system for convenient placement of objects. DDUCSP provides choices among preset UCS orientations.

UCS Orientation Dialog Box

The image tiles illustrate the ways you can change the current UCS. After you select an image tile, AutoCAD LT changes the current UCS based on the setting of the Relative to Current UCS or Absolute to WCS options. Relative to Current UCS and Absolute to WCS are not used if you restore the UCS to the WCS (World Coordinate System)or the previous UCS, or set the UCS to the current view.

Images of Preset User Coordinate Systems

To change the position of the UCS, select an image of a preset user coordinate system (UCS). The orientation of the UCS is determined by the following:

  • Relative to Current UCS. Select to reorient the UCS relative to the current UCS orientation.
  • Absolute to WCS. Select to reorient the UCS relative to the fixed World Coordinate System (WCS).

Related Commands: DDUCS renames, restores, deletes, or lists defined coordinate systems. UCS defines or modifies the current user coordinate system.
System Variables: UCSICON controls visibility and placement of the UCS icon viewports. UCSNAME displays the name of the current coordinate system. UCSXDIR displays the X direction of the current UCS of the current space. UCSYDIR displays the Y direction of the current UCS for the current space.


DETACHURL

DETACHURL Command

Detaches URLs from blocks or objects

Command line: detachurl

To remove the hyperlink to a Web site identified by the attached URL, use DETACHURL to detach a URL from objects in a drawing. AutoCAD LT automatically detaches the URL xdata (extended data) from the associated objects.


DIMALIGNED

DIMALIGNED Command

Creates an aligned linear dimension

Dimension toolbar:
Dimension menu: Aligned
Command line: dimaligned

First extension line origin or ENTER to select: Specify a point for manual extension lines, or press ENTER for automatic extension lines

Object Selection Automatic Extension Lines (DIMALIGNED)

Automatically determines the origin points of the first and second extension lines.

Select object to dimension: Select an object

For polylines, only the individual line and arc segments are dimensioned. You cannot select objects in a nonuniformly scaled block reference. If you select a line or an arc, its endpoints are used as the origins of the extension lines, which are offset by the distance specified under Origin Offset in the DDIM Geometry dialog box. AutoCAD LT stores this value in the DIMEXO system variable.

If you select a circle, the endpoints of its diameter are used as the origins of the extension line. The point used to select the circle defines the origin of the first extension line.

Point Selection Manual Extension Lines (DIMALIGNED)

After you specify the first extension line origin point, AutoCAD LT prompts for the origin point of the second extension line.

Specify a second Extension Line Origin: Specify a point (2)

After the origin points of the extension lines have been established, AutoCAD LT displays the following prompt:

Dimension line location (Mtext/Text / Angle): Specify a point or enter an option

Point Specification

If you specify a point, AutoCAD LT uses the point to locate the dimension line and determines the direction to draw the extension lines. After you specify the location, the DIMALIGNED command ends.

Mtext

Customizes the text. AutoCAD LT measures the distance and displays the dimension text as angle brackets (< >) in the Multiline Text Editor dialog box. Enter or delete characters for customized text, or choose OK to accept the default measured length. If you edit the text, you can use Unicode character strings to express special characters. Enclose format strings for alternate units in square brackets ([ ]). Enclose format strings for prefixes and suffixes in angle brackets (< >). AutoCAD draws the dimension measurement in place of the < > characters.

The units settings and the current text style determine the appearance of the dimension text. After you specify the text, AutoCAD redisplays the Dimension Line Location prompt.

Text

Customizes the text. AutoCAD measures the distance and displays it as the default value at the command line. Enter or delete characters for customized text, or choose OK to accept the default measured length. To include the default length in your custom text, represent the length as angle brackets (< >).

Enter or delete characters for customized text, or choose OK to accept the default measured length.

If you edit the text, you can use Unicode character strings to express special characters. Enclose format strings for alternate units in square brackets ([ ]). Strings for prefixes and suffixes should precede or follow angle brackets (< >). AutoCAD LT draws the dimension measurement in place of the < > characters.

The units settings and current text style determine the appearance of the dimension text.

After you specify the text, AutoCAD LT displays the Dimension Line Location prompt.

Angle

Changes the angle of the dimension text.

Enter text angle: Specify an angle

After you specify the angle, AutoCAD LT displays the Dimension Line Location prompt.

Commands: DDIM controls dimension styles and settings such as units and style.
System Variables: DIMEXO stores the dimension extension line offset.


DIMBASELINE

DIMBASELINE Command

Continues a linear, angular, or ordinate dimension from the baseline of the previous or selected dimension
Dimensioning toolbar:
Dimension menu: Baseline
Command line: dimbaseline

The prompts that follow depend on the most recent dimension created in the current session of AutoCAD LT: no prior dimension, linear, ordinate, or angular.

DIMBASELINE creates a series of related dimensions measured from the same baseline. AutoCAD LT uses a baseline increment value to offset each new dimension line and to avoid overlaying the previous dimension line. The baseline increment value is specified under Dimension Line in the DDIM Geometry dialog box and stored in the DIMDLI system variable. Baseline dimensioning is also called parallel dimensioning.

No Prior Dimension (DIMBASELINE)

If no dimension has been created in the current session, AutoCAD LT prompts you to select a linear, ordinate, or angular dimension to use as the base for the baseline dimension.

Select base dimension: Select a linear, ordinate, or angular dimension

After you select a base dimension, AutoCAD LT displays additional prompts depending on the type of dimension you select: linear, ordinate, or angular. To end the command, press ENTER or ESC. The units settings, tolerance settings, and current text style determine the appearance of the text.

Linear Dimension

If the previous dimension was linear, AutoCAD LT prompts

Specify a second Extension Line Origin (<select>/Undo): Specify a point or press ENTER to select a base dimension

AutoCAD LT uses the first extension line origin of the base dimension for the first extension line origin of the baseline dimension. After you specify a point, AutoCAD LT draws the baseline dimension and redisplays the Specify a Second Extension Line Origin prompt. To end the command, press ESC.

If you press ENTER at the Specify a Second Extension Line Origin prompt, AutoCAD LT prompts you to select a linear, ordinate, or angular dimension to use as the basis for the baseline dimension.

Select base dimension: Select a linear, ordinate, or angular dimension

After you select a base dimension, AutoCAD LT redisplays the Specify a Second Extension Line Origin prompt. To end the command, press ESC. The units settings, tolerance settings, and current style determine the appearance of the text.

Ordinate or Angular Dimension

If the previous dimension was angular or ordinate, AutoCAD LT prompts

Specify a point on an object or (<select>/Undo): Specify a point, snap to an object, or press ENTER to select a base dimension

AutoCAD LT uses the first extension line origin of the base dimension for the first extension line origin of the baseline dimension. After you specify a point, AutoCAD LT draws the baseline dimension and redisplays the Specify a Point prompt.

If you press ENTER at the Specify a Point prompt, AutoCAD LT prompts you to select a linear, ordinate, or angular dimension to use as the basis for the baseline dimension.

Select base dimension: Select a linear, ordinate, or angular dimension

After you select a base dimension, AutoCAD LT redisplays the Specify a Point prompt. To end the command, press ESC. The units settings, tolerance settings, and current text style determine the appearance of the text.

Related Commands: DDIM controls dimension styles and settings such as units and style. To modify the appearance of dimension and the dimension text use DDEDIT, DIMEDIT, and DIMTEDIT.
System Variables: DIMDLI specifies a distance for spacing between dimension lines of a baseline dimension.


DIMCONTINUE

s

DIMCONTINUE Command

Continues a linear, angular, or ordinate dimension from the second extension line of the previous dimension or a selected dimension

Dimension toolbar:
Dimension menu: Continue
Command line: dimcontinue

DIMCONTINUE draws a series of related dimensions, such as several shorter dimensions that add up to the total measurement. Continued dimensioning is also known as chain dimensioning.

Note: When you create linear continued dimensions, the first extension line is suppressed and the placement of text and arrowheads might include a leader line. These appear as overrides for the continued dimension (the DIMSE1 system variable is on and the DIMFIT system variable is 4).

The prompts that follow depend on the most recent dimension created in the current session of AutoCAD LT: no prior dimension, linear, ordinate, or angular.

No Prior Dimension (DIMCONTINUE)

If no dimension was created in the current session, AutoCAD LT prompts you to select a linear, ordinate, or angular dimension to use as the basis for the continued dimension.

Select continued dimension: Select a linear, ordinate, or angular dimension

After you select a continued dimension, AutoCAD LT displays additional prompts depending on the type of dimension you select: linear, ordinate, or angular. To end the command, press ENTER or ESC. The units settings, tolerance settings, and current text style determine the appearance of the text.

Linear Dimension

If the previous dimension was linear, AutoCAD LT prompts

Specify a Second Extension Line Origin or (<select>/Undo): Specify a point (1) or press ENTER to select a continued dimension

AutoCAD LT uses the first extension line origin of the continued dimension for the first extension line origin of the next dimension. After you specify a point, AutoCAD LT draws the dimension and redisplays the Specify a Second Extension Line Origin prompt. To end the command, press ESC. If you press ENTER at the Specify a Second Extension Line Origin prompt, AutoCAD LT prompts you to select a linear, ordinate, or angular dimension to use as the continued dimension.

Select continued dimension: Select a linear, ordinate, or angular dimension

After you select a continued dimension, AutoCAD LT redisplays the Specify a Second Extension Line Origin prompt. To end the command, press ESC. The units settings, tolerance settings, and current style determine the appearance of the text.

Ordinate or Angular Dimension

If the previous dimension was angular or ordinate, AutoCAD LT prompts

Specify a point on an object or (<select>/Undo): Specify a point, snap to an object, or press ENTER to select a continued dimension

AutoCAD LT uses the first extension line origin of the continued dimension for the first extension line origin of the next dimension. After you specify a point, AutoCAD LT draws the dimension and redisplays the Specify a Point prompt. If you press ENTER at the Select Next Feature prompt, AutoCAD LT prompts you to select a linear, ordinate, or angular dimension to use as the continued dimension.

Select continued dimension: Select a linear, ordinate, or angular dimension

After you select a continued dimension, AutoCAD LT redisplays the Select Next Feature prompt. To end the command, press ESC. The units settings, tolerance settings, and current text style determine the appearance of the text.

Related Commands: DDIM controls dimension styles and settings such as units and style. DDEDIT controls how single line text is displayed. To modify the appearance of dimension and the dimension text use DDEDIT, DIMEDIT, and DIMEDIT.
System Variables: DIMFIT controls how the dimension line, text, and arrowheads are positioned within the measured points.


DIMDIAMETER

DIMDIAMETER Command

Creates diameter dimensions for circles and arcs

Dimensioning toolbar:
Dimension menu: Diameter
Command line: dimdiameter

Select arc or circle: Select an arc or a circle

DIMDIAMETER creates different types of diameter dimensions depending on the size of the circle or arc, the options in the DDIM Format dialog box, and the position of the cursor. AutoCAD LT stores the values of the options in the dimensioning system variables DIMUPT, DIMTOFL, DIMFIT, DIMTIH, DIMTOH, DIMJUST, and DIMTAD.

The position of the cursor determines the location of the dimension line. As you move the cursor, the dimension moves around or inside the circle or arc. AutoCAD LT draws a hook line, also called a landing or dogleg, that is one arrowhead long (as shown in the first two illustrations).

Different types of diameter dimensions

AutoCAD LT measures the diameter and displays the text with an Æ symbol in front of it. The next prompt is

Dimension line location (Mtext / Text / Angle): Specify a point or enter an option

If you specify a point, AutoCAD LT uses the point to locate the dimension line. After you specify the location, DIMDIAMETER ends.

Mtext (DIMDIAMETER)

Customizes the text. AutoCAD LT measures the coordinate and displays the dimension text as angle brackets (< >) in the Multiline Text Editor dialog box. Enter or delete characters for customized text, or choose OK to accept the default measured length. If you edit the text, you can use Unicode character strings to express special characters. Enclose format strings for prefixes and suffixes in angle brackets (< >). Enclose format strings for alternate units in square brackets ([ ]). AutoCAD LT draws the dimension measurement in place of the < > characters.

The units settings, tolerance settings, and current text style determine how the text is displayed. After you specify the text, AutoCAD redisplays the Dimension Line Location prompt.

Text (DIMDIAMETER)

Customizes the text. AutoCAD LT measures the distance and displays it as the default value at the command line. Enter or delete characters for customized text, or choose OK to accept the default measured length. To include the default length in your custom text, represent the length as angle brackets (< >).

The units settings, tolerance settings, and current text style determine how the text is displayed. After you specify the text, AutoCAD LT redisplays the Dimension Line Location prompt.

Angle (DIMDIAMETER)

Changes the angle of the dimension text.

Enter text angle: Specify an angle

After you specify the angle, AutoCAD LT redisplays the Dimension Line Location prompt.

Center Marks and Center Lines

You control center marks or lines with the options in the DDIM Geometry dialog box. When a dimension line is drawn inside the arc or circle, AutoCAD LT does not create a center mark or line. AutoCAD LT stores the value in the DIMCEN dimensioning system variable.

Related Commands: DDIM controls dimension styles and settings such as units and style. To modify the appearance of dimension and the dimension text use DDEDIT, DIMEDIT, and DIMTEDIT.
System Variables: DIMCEN controls the creation of center marks and lines. DIMFIT controls how text fits within the extension lines. DIMJUST controls the horizontal justification of dimension text. DIMTAD controls the vertical justification of dimension text. DIMTIH and DIMTOH control the position of dimension text inside and outside the extension lines. DIMTOFL controls drawing a dimension line between the extension lines even when the text is placed outside the extension lines. DIMUPT controls user-positioned text.


DIMEDIT

DIMEDIT Command

Edits dimensions

Dimension Toolbar
Command line: dimedit

Dimension Edit (Home / New / Rotate / Oblique) <Home>: Enter an option or press ENTER

DIMEDIT affects dimension text and extension lines on one or more dimension objects. The Home, New, and Rotate options affect dimension text. The Oblique option controls the angle of extension lines.

Home (DIMEDIT)

Moves dimension text back to its default position.

Select objects: Select one or more dimension objects

The selected dimension text is returned to its default position and rotation as specified in its dimension style.

New (DIMEDIT)

Changes dimension text using the Multiline Text Editor dialog box.

Enter the new dimension text, or choose OK to accept the default measured length.You can use Unicode character strings to express special characters. Enclose format strings for alternate units in square brackets ([ ]). Strings for prefixes and suffixes should precede or follow angle brackets (< >). AutoCAD LT draws the dimension measurement in place of the < > characters. Accepting the default (< >) for the new text string uses the actual dimension measurement as the text.

Select objects: Select one or more dimension objects

AutoCAD LT changes the original dimension text to the text you entered in the Multiline Text Editor dialog box.

Rotate (DIMEDIT)

Rotates dimension text. This option is similar to the Angle option of the DIMTEDIT command.

Enter text angle: Specify an angle

To place the text in its default orientation, enter an angle of zero. The default orientation of the dimension text is determined by the Inside horizontal and Outside horizontal settings in the Format dialog box of DDIM or alternately the DIMTIH and DIMTOH dimensioning system variables.

Select objects: Select one or more dimension objects

Oblique (DIMEDIT)

Adjusts the obliquing angle of the extension lines for linear dimensions. AutoCAD LT creates linear dimensions with extension lines perpendicular to the direction of the dimension line. This option is useful when extension lines conflict with other features of the drawing.

Enter obliquing angle (press ENTER for none): Enter an angle or press ENTER.

Related Commands: DIMTEDIT repositions and rotates text in a dimension without affecting other dimension subobjects. DDEDIT modifies the contents of dimension text.
System Variables: DIMTIH and DIMTOH control the position of dimension text inside and outside the extension lines.


DIMORDINATE

DIMORDINATE Command

Creates ordinate point dimensions

Dimension toolbar:
Dimension menu: Ordinate
Command line: dimordinate

Select feature: Specify a point or snap to an object
Leader endpoint (Xdatum / Ydatum / Mtext / Text): Specify a point or enter an option

AutoCAD LT uses the point as the start point of the leader line and then prompts for the endpoint.

If you specify a point, AutoCAD LT uses the difference between the feature location and the leader endpoint to determine whether it is an X or Y ordinate dimension. If the difference in the Y coordinate is greater, the dimension measures the X coordinate. Otherwise, it measures the Y coordinate.

Ordinate point dimensions, also known as datum dimensions, display the X or Y ordinate of a feature along with a simple leader line. AutoCAD LT uses the current UCS to determine the measured X or Y ordinate, then it draws the leader line in a direction orthogonal to the axes of the current UCS. The absolute value of the coordinate is used according to the prevailing standards for ordinate point dimensions. When you are creating ordinate point dimensions, it's recommended that you turn on Ortho mode.

Xdatum (DIMORDINATE)

Measures the X ordinate and determines the orientation of the leader line and dimension text. AutoCAD LT then prompts for the endpoint.

Leader endpoint: Specify a point

AutoCAD LT draws the dimension, and DIMORDINATE ends.

Ydatum (DIMORDINATE)

Measures the Y ordinate and determines the orientation of the leader line and dimension text. AutoCAD LT then prompts for the endpoint.

Leader endpoint: Specify a point

AutoCAD LT draws the dimension.

Mtext (DIMORDINATE)

Customizes the text. AutoCAD LT measures the ordinate and displays the dimension text as angle brackets (< >) in the Multiline Text Editor dialog box.

Enter or delete characters for customized text, or choose OK to accept the default measured length.

If you edit the text, you can use Unicode character strings to express special characters. Strings for prefixes and suffixes should be enclosed in angle backets (< >). Enclose format strings for alternate units in square brackets ([ ]). AutoCAD LT draws the dimension measurement in place of the < > characters.

The units settings and the current text style determine how the text is displayed. The text aligns with the leader line, regardless of the alignment settings for dimension text. After you specify the text, AutoCAD prompts for the endpoint of the leader line.

Leader endpoint (Xdatum / Ydatum / Mtext / Text): Specify a point or enter an option

If you specify a point, AutoCAD draws the dimension.

Text (DIMORDINATE)

Customizes the text. AutoCAD LT measures the distance and displays it as the default value at the command line.

Enter or delete characters for customized text, or choose OK to accept the default measured length. To include the default length in your custom text, represent the length as angle brackets (< >).

The units settings and the current text style determine how the text is displayed. The text aligns with the leader line, regardless of the alignment settings for dimension text.

After you specify the text, AutoCAD prompts for the endpoint of the leader line.

Leader endpoint (Xdatum / Ydatum / Mtext / Text): Specify a point

AutoCAD LT draws the dimension.

Related Commands: DDIM controls dimension styles and settings such as units and style. To modify the appearance of dimension and the dimension text use DDEDIT, DIMEDIT, and DIMTEDIT. ORTHO constrains cursor movement to the horizontal or vertical directions or aligns movement with the current grid rotation angle. MTEXT creates multiline text.


DIMSTYLE

DIMSTYLE Command

Creates and modifies dimension styles on the command line

Command line: dimstyle

Dimension style: stylename
Dimension style overrides: variable value
Dimension style edit (Save / Restore / STatus / Variables / Apply / ? ) <Restore>: Enter an option or press ENTER

A dimension style is a saved set of dimension settings that determines the appearance of a dimension. By creating a dimension style, you can set relevant dimensioning system variables and control the layout and appearance of any dimension. You can create and modify dimension styles using a set of dialog boxes associated with DDIM.

? - List Dimension Styles (DIMSTYLE)

Lists the named dimension styles in the active drawing.

Dimension style(s) to list <*>: Enter a name list or press ENTER

Save (DIMSTYLE)

Saves the current settings of dimensioning system variables to a dimension style.

? / Name for new dimension style: Enter ? or enter a name

? - List Dimension Styles

Lists the named dimension styles in the active drawing.

Dimension style(s) to list <*>: Enter a name list or press ENTER

After listing the named dimension styles, AutoCAD LT returns to the ?/Name for New Dimension Style prompt.

New Dimension Style

Saves the current settings of dimensioning system variables to a new dimension style using the name you enter. The new dimension style becomes the current one and remains current until you change any dimensioning system variables or until you save or restore another style.

If you enter the name of an existing dimension style, AutoCAD LT prompts.

That name is already in use, redefine it? <N>: Enter y or press ENTER

If you enter y, AutoCAD LT regenerates associative dimensions that use the redefined dimension style.

To display the difference between the dimension style name you enter and the current style, enter a tilde (~) followed by a style name, as in the following example:.

? / Name for new dimension style: ~standard
Differences between STANDARD and current settings:

STANDARD | Current Settings
DIMBLK1 | _OBLIQUE
DIMBLK2 | _OBLIQUE
DIMSAH | Off/On

After displaying the differences, AutoCAD LT redisplays the ?/Name for New Dimension Style prompt.

Restore (DIMSTYLE)

Restores dimensioning system variable settings to those of an existing dimension style.

? / Enter dimension style name or ENTER to select dimension: Enter ?, enter a name, or press ENTER

? - List Dimension Styles

Lists the named dimension styles in the active drawing.

Dimension style(s) to list <*>: Enter a name list or press ENTER

After listing the dimension styles, AutoCAD LT returns to the ?/Enter Dimension Style Name prompt.

Dimension Style Name

Sets the named dimension style you enter as the current dimension style. The style remains current until you change any dimensioning system variables or save or restore another style.

To display the difference between the dimension style name you enter and the current style, enter a tilde (~) followed by a style name, as in the following example:.

? / Enter dimension style name or ENTER to select dimension: ~standard
Differences between STANDARD and current settings:

STANDARD | Current Settings
DIMBLK1 | _OBLIQUE
DIMBLK2 | _OBLIQUE
DIMSAH | Off/On

After displaying the differences, AutoCAD LT redisplays the ?/Enter Dimension Style Name prompt.

Select a Dimension

Makes the dimension style of the dimension object you select the current dimension style. The style remains current until you change any dimensioning system variables or save or restore another style.

Status (DIMSTYLE)

Displays the current values of all dimensioning system variables. After listing the variables, DIMSTYLE ends.

Variables (DIMSTYLE)

Lists the dimensioning system variable settings for a dimension style without modifying the current settings.

? / Enter dimension style name or ENTER to select dimension: Enter ?, enter a name, or press ENTER to select a dimension

? - List Dimension Styles

Lists the named dimension styles in the active drawing.

Dimension style(s) to list <*>: Enter a name list or press ENTER

After listing the dimension styles, AutoCAD LT returns to the ?/Enter Dimension Style Name prompt.

Dimension Style Name

Lists the settings of dimensioning system variables for the dimension style name you entered. After listing the variables, DIMSTYLE ends.

To display the difference between the dimension style name you enter and the current style, enter a tilde (~) followed by the style name, as in the following example:

? / Name for new dimension style: ~standard
Differences between STANDARD and current settings:

STANDARD | Current Settings
DIMBLK1 | _OBLIQUE
DIMBLK2 | _OBLIQUE
DIMSAH | Off/On

After showing the differences, AutoCAD LT returns to the ?/Name for New Dimension Style prompt.

Select a Dimension

Lists the settings of dimensioning system variables for the dimension object you select.

Select dimension: Select a dimension object

You can choose the dimension style by name or by selecting a dimension that refers to the style.

Apply (DIMSTYLE)

Updates the selected dimension objects so that they use the current dimensioning system variables settings, including the dimension style and any overrides.

Select objects: Select one or more dimension objects

Note: Any references to dimension styles in the dimension objects you select are lost.

AutoCAD LT does not update the dimension line spacing (DIMDLI) between existing baseline dimensions.

Related Commands: DDIM controls dimension styles and settings such as units and style.
System Variables: DIMSTYLE stores the name of the current dimension style.


DSVIEWER

DSVIEWER Command

Opens the Aerial View window

View: Aerial View
Command line: dsviewer

The Aerial View window is a navigation tool. It displays a view of the entire drawing in a separate window so that you can quickly locate and move to a specific area. With the Aerial View window open, you can zoom and pan without choosing a menu option or entering a command. In paper space, the Aerial View window shows only paper space entities, including viewport borders. Real-time updating of the AutoCAD window from the Aerial View window is not available in paper space.

The Aerial View window opens and displays the entire drawing. The current view is marked by a wide outline box.

View Menu

Changes the magnification of the Aerial View by zooming into and out of the drawing or by displaying the entire drawing in the Aerial View window.

When the entire drawing is displayed in the Aerial View, the Zoom Out menu item and button are unavailable. When the current view nearly fills the Aerial View window, the Zoom In menu item and button unavailable. It is possible for both of these conditions to exist at the same time, causing both to be unavailable such as after a Zoom Extents.

Zoom In

Increases the magnification of the drawing in the Aerial View, by zooming in by a factor of 2, centered on the current view box.

Zoom Out

Decreases the magnification of the drawing in the Aerial View, by zooming out by a factor of 2, centered on the current view box.

Global

Displays the entire drawing and the current view in the Aerial View window.

Mode Menu

Switches between Pan and Zoom modes. You can also switch between Pan and Zoom modes by right-clicking in the Aerial View window.

Pan

Switches to Pan mode. Pan mode moves the current view without changing its size.

Zoom

Switches to Zoom mode. Zoom mode changes the current view by allowing you to pick two points that determine the new corners of the current view.

Options Menu

Provides toggles for automatic viewport display and dynamic updating of the drawing.

Auto Viewport

When on, displays the model space view of the active viewport automatically. When Auto Viewport is off, AutoCAD does not update the Aerial View to match the active viewport.

Dynamic Update

Controls whether or not AutoCAD updates the Aerial View while you edit the drawing.

RealTime Zoom

Controls whether or not the AutoCAD window updates in real time when you zoom using the Aerial View.


DTEXT

DTEXT Command

Displays text on screen as it is entered

Draw toolbar:
Command line: dtext

Justify / Style / <Start point>: Specify a point or enter an option

AutoCAD LT can create text with a variety of character patterns, or fonts. These fonts can be stretched, compressed, obliqued, mirrored, or aligned in a vertical column by applying a style to the font. Text can be rotated, justified, and made any size. With DTEXT, you can enter several lines of text and BACKSPACE to edit the text. The prompts are the same as those for the TEXT command, except that you can enter several lines without restarting the command. To end a line, press ENTER after entering characters at the Text prompt. To end DTEXT, press ENTER at the Text prompt. Each line of text is a separate object.

If DTEXT was the last command entered, and you press ENTER at the Justify/Style/ prompt, AutoCAD LT skips the prompts for height and rotation angle and immediately displays the Text prompt. The text is placed directly beneath the previous line of text. The point specified at the Start Point prompt is stored as the Insertion Point object snap.

Start Point (DTEXT)

Justifies text along its baseline from a specified start point.

Height <current>: Specify a point (1), enter a value, or press ENTER

The Height prompt is displayed only if the current text style doesn't have a fixed height.

Rotation angle <current>: Specify a point, enter a value, or press ENTER
Text: Enter characters or press ENTER

Justify (DTEXT)

Controls text justification.

Align / Fit / Center / Middle / Right: Enter an option

You can also enter any of these Justify options at the Justify/Style/<Start point> prompt.

Align

Specifies both text height and text orientation by designating the endpoints of the baseline.

First text line point: Specify a point (1)
Second text line point: Specify a point (2)
Text: Enter characters or press ENTER

The longer the text string, the shorter the characters. The size of the characters adjusts in proportion to their height.

Fit

Specifies that text will fit within an area and at an orientation defined with two points and a height.

First text line point: Specify a point (1)
Second text line point: Specify a point (2)
Height <current>: Specify a height or press ENTER
Text: Enter characters or press ENTER

The height is the distance in drawing units that the uppercase letters extend from the baseline. Designated text height is the distance between the start point and a point you specify. The longer the text string, the narrower the characters. The height of the characters remains constant. The Fit option is available only for horizontally oriented text.

Center

Aligns text from the horizontal center of the baseline, which you specify with a point.

Center point: Specify a point (1)
Height <current>: Specify a height or press ENTER
Rotation angle <current>: Specify an angle or press ENTER
Text: Enter characters or press ENTER

The rotation angle specifies the orientation of the text baseline with respect to the center point. You can designate the angle by specifying a point. The text baseline runs from the start point toward the specified point. If you specify a point to the left of the center point, AutoCAD LT draws the text upside down.

Middle

Aligns text at the horizontal center of the baseline and the vertical center of the height you specify with a point. Middle-aligned text does not rest on the baseline.

Middle point: Specify a point (1)
Height <current>: Specify a height or press ENTER
Rotation angle <current>: Specify an angle or press ENTER
Text: Enter characters or press ENTER

Right

Right-justifies the text at the baseline of a specified point.

End point: Specify a point (1)
Height <current>: Specify a height or press ENTER
Rotation angle <current>: Specify an angle or press ENTER
Text: Enter characters or press ENTER

Style (DTEXT)

Sets the text style, which determines the appearance of the text characters. Text you enter uses the current text style.

Style name (or ?) <current>: Enter an existing text style name, enter ?, or press ENTER

To view a list of the current text styles, associated font files, height, and other parameters, enter ?.


DVIEW

DVIEW Command

Defines parallel projection or perspective views

View menu: 3D Dynamic View
Command line: dview

Select objects: Select objects or press ENTER

After you've selected objects or pressed ENTER to use DVIEWBLOCK, AutoCAD LT prompts

CAmera / TArget / Distance / POints / PAn / Zoom / TWist / CLip / Hide / Off / Undo / <eXit>: Specify a point with your pointing device, enter an option, or press ENTER

To help you view a model from any point in space, DVIEW uses a camera-target metaphor. The line of sight, or viewing direction, is the line between the camera and the target.

DVIEW uses objects you select or a special block named DVIEWBLOCK to display a preview image. The preview image shows the changes you make in the view. When you end the command, AutoCAD LT regenerates the drawing based on the view you set.

Transparent ZOOM, DSVIEWER, PAN, and scrollbars are not available in DVIEW. When you define a perspective view, ZOOM and PAN, along with transparent ZOOM, DISVIEWER, PAN, and scrollbars, are not available while that view is current.

Select Objects (DVIEW)

When you select objects, they are dragged in the preview image as you change views. Selecting too many objects slows image dragging and updating.

Preview with DVIEWBLOCK (DVIEW)

If you press ENTER at the Select Objects prompt, AutoCAD LT uses DVIEWBLOCK for the preview image. You can create your own DVIEWBLOCK block in a 1x1x1-unit area, with its origin at the lower-left corner. The following illustration shows an example of using the default DVIEWBLOCK to set the view (moving the graphics cursor adjusts the view).

Point Specification (DVIEW)

Rolls the view under the camera. The point you select with your pointing device is a starting point for the dragging operation. Your viewing direction changes about the target point as you move the cursor.

Enter direction and magnitude angles: Enter angles from 0 through 360 degrees or specify a point with your pointing device

Enter both angles, separated by a comma. The angles must be positive. The direction angle indicates the front of the view, and the magnitude angle determines how far the view rolls.

Exit (DVIEW)

Ends DVIEW.

Camera (DVIEW)

Specifies a new camera position by rotating the camera about the target point. Two angles determine the amount of rotation.

Toggle angle in / Enter angle from XY plane <current>: Enter t, enter an angle, or press ENTER

After you've toggled the angle input mode or specified the angle from the XY plane, AutoCAD LT prompts:

Toggle angle from / Enter angle in XY plane from X axis <current>: Enter t, enter an angle, or press ENTER

The illustrations show how the camera rotates to the left from its initial position, leaving its angle from the XY plane unchanged.

Toggle Angle In

Switches between two angle input modes. Entering an angle on the command line locks the cursor movement so you see only the positions available for that angle. The toggle option unlocks the cursor movement for the angle, and you can use the cursor to rotate the camera.

Enter Angle from the XY Plane

Sets the camera's position at an angle above or below the XY plane. An angle of 90 degrees looks down from above, and an angle of -90 degrees looks up from below. A camera angle of 0 degrees places the camera parallel to the XY plane of the UCS.

Toggle Angle From

Switches between two angle input modes. Entering an angle on the command line locks the cursor movement so you see only the positions available for that angle. The toggle option unlocks the cursor movement for the angle, and you can use the cursor to rotate the camera.

Enter Angle in XY Plane from X Axis

Sets the camera's position at an angle in the XY plane relative to the X axis of the current UCS. This angle measures from -180 to 180 degrees. With rotation angle of 0 degrees, you look down the X axis of the UCS toward the origin.

Target (DVIEW)

Specifies a new position for the target by rotating it around the camera. The effect is like turning your head to see different views of the drawing from one vantage point. Two angles determine the amount of rotation.

Toggle angle in / Enter angle from XY plane <current>: Enter t, enter an angle, or press ENTER

After you've toggled the angle input mode or specified the angle from the XY plane, AutoCAD LT prompts:

Toggle angle from / Enter angle in XY plane from X axis <current>: Enter t, enter an angle, or press ENTER

The following illustrations show the effect of rotating the target point from left to right, leaving its angle from the XY plane unchanged.

Enter Angle from XY Plane

Sets the target's position at an angle above or below the XY plane. An angle of 90 degrees looks down from above, and an angle of -90 degrees looks up from below. A target angle of 0 degrees places the target parallel to the XY plane of the UCS.

Enter Angle in XY Plane from X Axis

Sets the target's position at an angle of rotation in the XY plane relative to the X axis of the current UCS. This angle measures from -180 to 180 degrees. With rotation angle of 0 degrees, you look down the X axis of the UCS toward the origin.

Distance (DVIEW)

Moves the camera in or out along the line of sight relative to the target. This option turns on perspective viewing, which causes objects farther from the camera to appear smaller than those closer to the camera. A special perspective icon replaces the coordinate system icon. AutoCAD LT prompts for the new camera-to-target distance.

New camera / target distance <current>: Enter a distance or press ENTER

A slider bar is displayed along the top of the graphics window and is labeled from 0x to 16x, with 1x representing the current distance. Move the slider bar cursor to the right to increase the distance between the camera and target. Move the cursor to the left to decrease that distance. To turn off perspective viewing, use the Off option. If the target and camera points are close together, or if you specify a long-focal-length lens, you might see very little of your drawing when you specify a new distance. If you see little or none of your drawing, try the maximum scale value (16x) or enter a large distance. To magnify the drawing without turning perspective viewing on, use the DVIEW Zoom option. The illustration shows the effect of moving the camera along the line of sight relative to the target, where the field of view remains constant.

Camera-to-target distance

Points (DVIEW)

Locates the camera and target points using X,Y,Z coordinates. You can use XYZ point filters. You must specify these points in a nonperspective view. If perspective viewing is on, AutoCAD LT turns it off while you specify new camera and target locations and then redisplays the preview image in perspective view.

Enter target point <current>: Specify a point or press ENTER

To help you define a new line of sight, AutoCAD LT draws a rubber-band line from the current camera position to the crosshairs. Then AutoCAD LT prompts you for a new camera location.

Enter camera point <current>: Specify a point, enter direction and magnitude angles, or press ENTER

A rubber-band line connects the target point to the crosshairs to help you place the camera relative to the target. The illustration shows the change in view as the camera and target points are swapped. Lens and distance settings are the same in each case.

Swapping camera and target points

For information on entering direction and magnitude angles, see Point Specification.

Pan (DVIEW)

Shifts the image without changing the level of magnification.

Displacement base point: Specify a point

Second point: Specify a point

Zoom (DVIEW)

If perspective viewing is off, Zoom dynamically increases or decreases the apparent size of objects in the current viewport.

Adjust zoom scale factor <current>: Specify a scale or press ENTER

A slider bar is displayed along the top of the graphics window and labeled from 0x to 16x, with 1x representing the current scale. Move the slider bar cursor to the right to increase the scale. Move the cursor to the left to decrease the scale.

If perspective viewing is on, Zoom adjusts the camera lens length, which changes the field of view and causes more or less of the drawing to be visible at a given camera and target distance. The default lens length is 50mm, simulating what you would see with a 35mm camera and a 50mm lens. Increasing the lens length is similar to switching to a telephoto lens. Decreasing the lens length widens the field of view, as with a wide-angle lens.

Adjust lenslength <current>: Specify a value or press ENTER

A slider bar is displayed along the top of the graphics window and labeled from 0x to 16x, with 1x representing the current lens length. Move the slider bar cursor to the right to increase the lens length. Move the cursor to the left to decrease the lens length.

Twist (DVIEW)

Twists or tilts the view around the line of sight. AutoCAD LT measures the twist angle counterclockwise, with 0 degrees to the right.

New view twist <current>: Specify a value or press ENTER

Clip (DVIEW)

Clips the view, obscuring portions of the drawing that are behind or in front of the front clipping plane. The front and back clipping planes are invisible walls that you can position perpendicular to the line of sight between the camera and target.

Back / Front / <Off>: Enter an option or press ENTER

Off

Disables front and back clipping. If perspective viewing is on, front clipping remains on at the camera position.

Back

Obscures objects located behind the back clipping plane.

ON / OFF / <Distance from target> <current>: Specify a distance, enter an option, or press ENTER

  • Distance from Target. Positions the back clipping plane and turns on back clipping. A positive distance places the clipping plane between the target and the camera. A negative distance places it beyond the target. Use the slider bar to drag the clipping plane.
  • On. Turns on back clipping at the current clipping distance.
  • Off. Turns off back clipping.
Front

Obscures objects located between the camera and the front clipping plane.

Eye / ON / OFF / <Distance from target> <current>: Specify a distance, enter an option, or press ENTER

  • Distance from Target. Positions the front clipping plane and turns on front clipping. A positive distance places the clipping plane between the target and the camera. A negative distance places it beyond the target. Use the slider bar to drag the clipping plane.
  • Eye. Positions the front clipping plane at the camera.
  • On. Turns on front clipping. This option is available only when perspective viewing is off.
  • Off. Turns off front clipping. This option is available only when perspective viewing is off.

Hide (DVIEW)

Performs hidden line suppression on the selected objects to aid visualization. Circles, 2D solids, wide polyline segments, and extruded objects have opaque surfaces and can hide other objects. This hidden line suppression is quicker than that performed by HIDE, but it can't be plotted.

Off (DVIEW)

Turns off perspective viewing. The Distance option turns on perspective viewing.

Undo (DVIEW)

Reverses the effects of the last DVIEW operation. You can undo multiple DVIEW operations.


ELLIPSE

ELLIPSE Command

Creates an ellipse or an elliptical arc

Draw toolbar:
Draw menu: Ellipse
Command line: ellipse

Arc / Center / Isocircle / <Axis endpoint 1>: Specify a point (1) or enter an option

Arc (ELLIPSE)

Creates an elliptical arc. The angle of the first axis determines the angle of the elliptical arc. The first axis can be either the major or the minor axis of the elliptical arc.

<Axis endpoint 1> / Center / Isocircle : Specify a point or enter c or i

Axis Endpoint 1 (ELLIPSE, Arc)

Defines the endpoint of the first axis.

Axis endpoint 2: Specify a point
<Other axis distance> / Rotation: Specify a point or enter r

Center (ELLIPSE, Arc)

Creates the elliptical arc by starting at a specified center point.

Center of ellipse: Specify a point
Axis endpoint: Specify a point
<Other axis distance> / Rotation: Specify a point or enter r

Isocircle (ELLIPSE, Arc)

Creates an isometric circle in the current isometric drawing plane.

Center of circle: Specify a point
Circle radius / Diameter: Specify a point or enter d

Center (ELLIPSE)

Creates an ellipse by starting at a specified center point.

Center of ellipse: Specify a point
Axis endpoint: Specify a point
<Other axis distance> / Rotation: Specify a distance by entering a value or locating a point (3), or enter r

Other Axis Distance (ELLIPSE, Center)

Defines the second axis using the distance from the midpoint of the first axis to the endpoint of the second axis.

Parameter / <start angle>: Specify a point (1) or enter p

Specifying a point determines the start angle of the elliptical arc.

Parameter / Included / <end angle>: Specify a point (2) or enter an option

Specifying a point for the end angle creates the elliptical arc.The Included option defines an included angle beginning at the start angle.

Included angle <current>: Specify an angle or press ENTER

Rotation (ELLIPSE, Center)

Creates the ellipse with the appearance of rotating a circle about the first axis.

Rotation around major axis: Specify a point or enter an angle value
Parameter / <start angle>: Specify a point or enter p

Move the crosshairs around the center of the ellipse and pick a point. If you enter a value, the higher the value, the greater the eccentricity of the ellipse. Entering 0 defines a circle.

Specifying a point determines the start angle of the elliptical arc.

Parameter / Included / <end angle>: Specify a point or enter an option

Specifying a point for the end angle creates the elliptical arc.

The Included option defines an included angle beginning at the start angle.

Included angle <current>: Specify an angle or press ENTER

Parameter

Parameter requires the same input as Start Angle, but AutoCAD LT creates the elliptical arc using the following parametric vector equation:

p(u) = c + a* cos(u) + b* sin(u)

where c is the center of the ellipse and a and b are its major and minor axes, respectively.

Angle / <start parameter>: Enter a valid numeric angle, second point, or option keyword
Angle / Included / <end parameter>: Enter a valid numeric angle, second point, or option keyword

Isocircle

Creates an isometric circle in the current isometric drawing plane.

Center of circle: Specify a point
Circle radius / Diameter: Specify a distance or enter d

Note: The Isocircle option is not available if the Isometric option of SNAP is Off.

Circle Radius

Creates a circle using the specified radius.

Diameter

Creates a circle using the specified diameter.

Circle diameter: Specify a distance

Axis Endpoint 1

Defines the first axis by its two endpoints. The angle of the first axis determines the angle of the ellipse. The first axis can by either the major or the minor axis of the ellipse.

Axis endpoint 2: Specify a point (2)
Other axis distance / Rotation: Specify a distance by entering a value or locating a point (3), or enter r

Other Axis Distance (ELLIPSE, Axis Endpoint 1)

Defines the second axis using the distance from the midpoint of the first axis to the endpoint of the second axis (3).

Rotation (ELLIPSE, Axis Endpoint 1)

Creates the ellipse with the appearance of rotating a circle about the first axis.

Rotation around major axis: Specify a point (1) or enter an angle value (0-89.4)

Move the crosshairs around the center of the ellipse and pick a point. If you enter a value, the higher the value, the greater the eccentricity of the ellipse. Entering 0 defines a circular ellipse.

System Variables: PELLIPSE creates a polyline ellipse if set to 1 or a true ellipse if set to 0.


EXPORT

EXPORT Command

Saves objects to other file formats

File menu: Export
Command line: export

The Export Data dialog box is displayed.

AutoCAD LT exports the objects to the specified file format using the specified file name.

Export Data Dialog Box

Note: The DXX file format available from this command creates an abbreviated DXF file format identical to that generated by DDATTEXT.

File Name

Select or enter the name you want to assign to the exported file.

Save as Type

Select the type of file to which you want to export the objects. The following options are available.

  • DXF. AutoCAD LT R4/R14 DXF File
  • DXF. AutoCAD LT 95/R13 DXF File
  • DXF. AutoCAD LT R2/R12 DXF File
  • DWF. AutoCAD drawing web format file
  • DWG. AutoCAD LT Block in DWG format
  • WMF. Windows Metafile
  • EPS. Encapsulated PostScript file
  • DXX. Attribute extract DXF file
  • BMP. Windows bitmap

Save In

Select the drive and directory where you want to place the exported file.

Options

The Options button displays a dialog box you can use to set export options. Options is available when you select a file type of DWF, DXF, or EPS.

Import/Export Options

Controls Save As options, export options for DXF and PostScript files, and import options for Windows Metafiles. The title and contents of this dialog box vary depending on whether you access it from SAVEAS, DXFOUT, PSOUT, or WMFIN. The following options are available.

DXF Out

Sets Drawing Interchange File output options.

Format

Specifies whether an ASCII or binary DXF file is created.

  • ASCII. ASCII DXF files can be read with any text editor and are compatible with a wider range of applications.
  • Binary. Binary-format DXF files contain the same information as ASCII files, but in a more compact form. The read/write speed of Binary-format files is also faster.
Select Objects

Controls whether the DXF file consists of selected objects or the entire drawing. When this option is selected, the output file includes only selected objects and the block reference portions of any included blocks. The block symbol tables are not included.

Decimal Places of Accuracy (0 to 16)

Saves the file using the specified number of bits of precision. Entering a value from 0 to 16 creates the file at the specified level of precision.

Note: By default, DXFOUT uses a precision of 6. Though this is adequate in most cases, it might need to be increased for certain drawings and for certain applications. If you encounter problems loading a .dxf file you've created, try increasing the precision. The only disadvantage of higher precision is increased file size. Lower precision is useful for specialized purposes, but is not recommended in general.

Postscript Out

Prolog Section Name

Assigns a name for a prolog section to be read from the aclt.psf file when using the PSOUT command. The prolog name is optional and is used to customize PostScript output in a number of ways.

What to Plot
  • Display. Exports the view in the current viewport in model space or the current view in paper space.
  • Extents. Exports the portion of the current space of the drawing that contains objects.
  • Limits. Exports the entire drawing area as defined by the drawing limits. If the current viewpoint isn't the plan view (0,0,1), this option is the same as the Extents option.
  • View. Exports a view saved previously with the VIEW command. When View is selected, the View button becomes available. Use this button to select a name from a list of available views.
  • Window.Exports any portion of your drawing. When Window is selected, the Window button becomes available. You can use this button to specify a window using X,Y coordinates. If you don't select coordinates, AutoCAD prompts you for a window selection when you exit the EXPORT or PSOUT command.

First corner: Specify a point
Other corner: Specify a point

Preview
  • None. Specifies no screen preview image in the file.
  • EPSI. Includes an EPSI screen preview image. Use the Pixels area to specify a screen preview image of 128 x 128, 256 x 256, or 512 x 512.
  • TIFF. Includes a TIFF screen preview image. Use the Pixels area to specify a screen preview image of 128 x 128, 256 x 256, or 512 x 512. If you include a TIFF screen preview, you can't print the .eps file directly to a PostScript printer and produce the image output.
Size Units

Sets the paper size units to inches or millimeters. The list of available paper sizes changes to match the option that you select.

Scale

Creates an explicit scale by specifying how many drawing units are to be output per unit (millimeters or inches). For example, to produce output at a scale of 1 drawing unit per millimeter, enter 1 for both Output Units and Drawing Units.

If you use Fit to Paper, AutoCAD scales the output so that the portion of the drawing output is made as large as possible for the specified paper size.

Paper Size

Specifies a paper size for the exported PostScript image. Select a size from the list, or enter an explicit width and height value. Use the Size Units option to specify whether the paper sizes display in inches or millimeters.

If you enter a unique size by specifying the width and height of the paper, it appears with the name USER in the list of paper sizes the next time you create an EPS file.

WMF In

Sets Windows Metafile input options (see WMFIN).

Wire Frame (No Fills)

WMFIN imports objects as wireframes. If you clear this option, objects are imported as filled objects.

Wide Lines

WMFIN maintains the relative line widths of lines and borders. If you clear this option, lines are imported with zero width.

Related Commands: DXFOUT saves drawings as .dxf files. DWFOUT saves drawings as .dwf files. WBLOCK saves drawings as blocks. WMFOUT saves drawings as .wmf files. PSOUT saves drawings as .eps files. ATTEXT saves drawings as .dxx files. BMPOUT saves drawings as .bmp files. IMPORT imports drawings in other file formats into AutoCAD LT.


FILLET

FILLET Command
Rounds and fillets the edges of objects

Modify toolbar:
Modify menu: Fillet
Command line:fillet

Polyline / Radius / Trim / <Select first object>: Use an object selection method or enter an option

The FILLET command rounds the edges of two arcs, circles, elliptical arcs, lines, polylines, rays, splines, or xlines with an arc of a specified radius. FILLET also rounds the edges of solids.

If the TRIMMODE system variable is set to 1, FILLET trims the intersecting lines to the endpoints of the fillet arc. If the selected lines do not intersect, AutoCAD LT extends them so that they do.

If both objects are on the same layer, AutoCAD LT creates the fillet on that layer. Otherwise, AutoCAD LT creates the fillet line on the current layer. The same applies to fillet color and linetype.

You cannot fillet line segments that intersect outside the drawing limits when limits checking is on.

Polyline (FILLET)

Inserts fillet arcs at each vertex of a 2D polyline where two line segments meet.

Select 2D polyline: Use an object selection method

If one arc segment separates two line segments that converge as they approach the arc segment, the arc segment is removed and replaced by a fillet arc.

Note: You cannot fillet polyline segments from different polylines.

Radius (FILLET)

Defines the radius of the fillet arc.

Enter fillet radius <current>: Specify a distance or press ENTER

The value you enter becomes the current radius for subsequent FILLET commands. Changing this value does not affect existing fillet arcs.

Trim (FILLET)

Controls whether AutoCAD LT trims the selected edges to the fillet arc endpoints.

Trim / No Trim <current>: Enter an option or press ENTER

Trim

Trims the selected edges to the fillet arc endpoints.

No Trim

Does not trim the selected edges.

Select First Object (FILLET)

Selects the first of two objects required to define a 2D fillet.

Select second object: Use an object selection method

If you select lines or arcs, AutoCAD LT extends then until they intersect, or trims them at the intersection.

If the selected objects are straight line segments of a 2D polyline, they must be adjacent or separated by only one other segment. If they are separated, FILLET deletes the segment that separates them and replaces it with an arc.

More than one fillet can exist between arcs and circles. AutoCAD LT chooses the fillet with endpoints closest to the object selection points

Circles are not trimmed; the fillet arc meets the circle smoothly.

You can fillet two lines with different extrusion directions only if the Z values of the endpoints of both lines are equal in the current UCS.

Related Commands: CHAMFER bevels the edges of objects.
System Variables: FILLETRAD stores the current fillet radius. TRIMMODE controls whether selected lines are trimmed to the fillet arc endpoints.


From
Locates a point offset from a reference point within a command

Cursor menu: From
Locate a point prompt: from

Base Point: Specify a point to use as a basepoint
of <offset>: Enter relative offset

At an AutoCAD LT prompt for locating a point, you can enter FROM and then a temporary reference or base point from which you can specify an offset to locate the next point. You can enter the offset location from this base point as a relative coordinate, or you can use direct distance entry.

Note: You cannot use this method during dragging in commands such as MOVE and COPY. Specifying an absolute coordinate, either by keyboard entry or with a pointing device, essentially cancels the FROM method.

Related Commands: TRACKING locates a point from a series of temporary points. Direct distance entry locates a point using a value and the direction you move your cursor. Point filters combine X, Y, and Z values from different points to specify a single point. Relative coordinate entry locates a point relative to the last point entered (see How to Enter Coordinate Locations).


HELP

'HELP Command

Displays online help

Standard Toolbar:
Help Menu: AutoCAD LT Help
Command line: help or ? or press F1

To display help for a pull-down menu, select the menu name to open the menu, and then press F1. Pressing F1 or entering 'help while a command is active displays help for that command. Choosing the Help button in a dialog box displays help for that dialog box.


HIDE

HIDE Command
Regenerates a 3D model with hidden lines suppressed

View menu: Hide
Command line: hide

When you use the VPOINT, DVIEW, or VIEW command to create a 3D view of your drawing, AutoCAD LT produces a wireframe display in the current viewport. All lines are present, including those hidden by other objects. The HIDE command eliminates the hidden lines from the screen.

The HIDE command treats circles, 2D solids, wide polyline segments, and the extruded edges of objects with nonzero thickness as opaque surfaces that hide objects. If extruded, circles, 2D solids, and wide polyline segments are treated as solid objects with top and bottom faces. You cannot use HIDE on objects whose layers have been frozen; however you can use the HIDE command on objects whose layers have been turned off.

Related Commands: DVIEW defines parallel projection or perspective views on the screen as you change views. VIEW saves and restores named views. VPOINT sets the viewing direction for a 3D visualization of the current drawing.


ID

'ID Command

Displays the coordinates of a location

Standard toolbar:
Tools menu: Inquiry > ID point
Command line: id

Point: Specify a point

AutoCAD LT displays the UCS coordinate of the location on the command line.

ID lists the X, Y, and Z values of the specified point and stores the coordinate of the specified point as the last point. You can reference the last point by entering @ at the next prompt that requests a point.

The ID command is a good way to determine the coordinate values of a feature.

System Variables: LASTPOINT stores coordinate information about the last point specified.


IMPORT

IMPORT Command
Imports various file formats into AutoCAD LT

Insert toolbar:
Command line: import

The Import File dialog box is displayed.

Select the format type you want to import and the name of the file. AutoCAD LT imports the file into the AutoCAD LT drawing.

Import File Dialog Box
Look in

Select the drive and directory that contains the file you want to import.

File Name

Select or enter the name of the file you want to import.

Files of Type

Select the type of file you want to import.

Preview

Preview the selected drawing.

Find File...

To use search criteria to find the files you want to import on multiple drives and directories, choose Find File. The Browse/Search dialog box is displayed.

Related Commands: EXPORT saves objects to other file formats.


INSERTOBJ

INSERTOBJ Command
Inserts a linked or embedded object

Insert toolbar:
Insert menu: OLE Objects
Command line: insertobj

AutoCAD LT displays the Insert Object dialog box.

A linked object remains associated with its source. When you edit a linked object in AutoCAD LT, the source file changes. When you edit the object in the source file, the linked AutoCAD LT object changes.

An embedded object is no longer associated with its source. You edit the embedded data from inside the AutoCAD LT drawing by using the original application. This editing does not change the original file.

Linked or embedded objects appear on the screen in AutoCAD LT and can be printed or plotted using Windows system drivers.

If you open an AutoCAD LT drawing that contains an embedded object, the Save option on the File menu is replaced by Update. Choosing Update inserts the object into the drawing or updates it.

Insert Object Dialog Box

Create New

Opens the application that's highlighted in the Object Type box so that you can create a new object to insert.

Create from File

Inserts as an object the contents of the file you select. Selecting this option changes the dialog box to display a directory path and browse button. To link the object to AutoCAD LT, select Link.

Object Type

When Create New is selected, lists applications on your system that support OLE. To create an object to embed, double-click a listed application.

Display as Icon

Displays the source application's icon in the AutoCAD LT drawing.

Related Commands: COPYLINK copies the current view of the AutoCAD LT drawing to the Clipboard. OLELINKS updates, modifies, and cancels existing links. PASTECLIP inserts data from the Windows Clipboard into a drawing. PASTESPEC inserts data from the Windows Clipboard and controls the format of the pasted data.


inserturl

INSERTURL Command

Inserts a DWG file from an Internet address

Internet Utilities toolbar:
Insert Menu: File from Internet
Command line: inserturl

The Insert DWG from URL dialog box is displayed.

To insert AutoCAD LT drawings as block references directly from the Internet into the current AutoCAD LT drawing, use INSERTURL. You can enter a URL using http, ftp, or file formats.

Note: AutoCAD LT Internet Utilities cannot transfer files using ftp when you are connected to the Internet through a proxy server.

Insert DWG from URL Dialog Box

You specify the address of the Internet site with the drawing you want to insert in this dialog box.

Options

Use Options to specify how your computer is connected to the Internet, whether by direct connection or proxy server, and to enter your login, user names, and passwords.

FTP Login
  • Anonymous Login. Select to log in anonymously and enter the user name anonymous with no password. Clear to log in to a secured server and enter your user name and password.

    Note: The FTP password is not remembered across AutoCAD LT sessions.

  • HTTP Secure Access. Enter your user name and password if your regularly access HTTP addresses that require authentication. If you leave these values blank, and the address requires authentication, you will be prompted.

    Note: The HTTP password is not remembered across AutoCAD LT sessions.

  • Direct Connection. Select if you have a connection to the Internet through an ISP (Internet service provider).
  • Proxy Server. Select if you have a connection through a machine that serves as a gateway between a company�s internal intranet and the external Internet. If you do not know if you are using a proxy server you can usually look at the proxy settings in your browser by selecting Options or you can contact your network system administrator.
Proxy Information
  • Proxy Server Name. Enter the proxy server name that you found by using Options in your browser or that your network system administrator supplied you.
  • FTP Port. The default port is automatically set. To select another port, enter its number.
  • HTTP Port. The default port is automatically set. To select another port, enter its number.


LAYER

LAYER Command

Manages layers

Object Properties toolbar:
Format menu: Layer
Command line: layer

The Layer tab of the Layer & Linetype Properties dialog box is displayed.

If you enter -layer at the command prompt, LAYER presents options on the command line.

LAYER creates new layers, makes a layer current, sets the color and linetype for designated layers, turns layers on and off, locks or unlocks layers, freezes or thaws layers, and lists defined layers.

The Layer & Linetype Properties Dialog Box

In the Layer & Linetype Properties dialog box, you can make a layer current, add new layers to the Layer Name list, delete layers from the Layer Name list, and rename an existing layer. You can change the colors and linetypes of multiple layers. You can turn layers on and off, freeze and thaw layers, and lock and unlock layers globally or by viewport.

Show

Determines which layers are displayed in the layer name list. You can filter layers based on whether they're xref-dependent, or whether they contain objects. You can also filter layers based on their name, state, color, linetype, or whether they're frozen in the current viewport or in new viewports.

  • All. Shows all layers in the drawing, including those from xref-dependent drawings.
  • All in Use. Shows all layers in use.
  • All unused. Shows all unused layers.
  • All Xref dependent. Shows all layers are xref-dependent.
  • All not xref dependent. Shows all layers are not xref-dependent.
  • All that pass filter. Shows all layers that match the settings specified in the Set Layer Filters dialog box.
  • Set Filter dialog box. Displays the Set Filter dialog box.

Current

Sets the selected layer to be the current layer. The layer name is stored in the CLAYER system variable.

List of Layers

Displays layers and their properties. To modify a property, click on its icon. To quickly select all layers, right-click your pointing device and use the cursor menu.

  • On/Off. When a layer is on, it is visible and available for plotting. When a layer is off, it is invisible and excluded from plotting.
  • Freeze/Thaw. A frozen layer is invisible and excluded from regeneration and plotting. A thawed layer is visible and available for regeneration and plotting. You can freeze layers in all viewports, in the current viewport, or in new viewports as they are created.
  • Freeze in All Viewports. Freezes selected layers in all viewports. You can freeze layers to speed up ZOOM, PAN, and VPOINT; improve object selection performance; and reduce regeneration time for complex drawings. AutoCAD LT does not display, plot, or regenerate objects on frozen layers. Freeze the layers you want to be invisible for long periods. When you thaw a frozen layer, AutoCAD LT regenerates and displays the objects on that layer. If you will be switching between visible and invisible states frequently, use the On/Off setting.
  • Freeze in Current Viewport. Freezes selected layers in the current floating viewport. You can freeze or thaw layers in the current floating viewport without affecting layer visibility in other viewports. Frozen layers are invisible; they are not regenerated or plotted. This feature is useful, for example, if you want to create an annotation layer that is visible only in a particular viewport. Thawing restores the layer's visibility.
  • Freeze in New Viewports. Freezes selected layers in new floating viewports. For example, freezing the DIMENSIONS layer in all new viewports restricts the display of dimensions on that layer in any newly created floating viewports, but does not affect the DIMENSIONS layer in already existing viewports. If you then create a viewport that requires dimensions, you can override the default setting by changing the current viewport setting.
  • Lock/Unlock. A locked layer cannot be edited; an unlocked layer can be edited.
  • Color. Changes the color associated with a layer. Clicking the color name displays the Select Color dialog box.
  • Linetype. Changes the linetype associated with a layer. Clicking any linetype name displays the Select Linetype dialog box.

New

Creates a new layer. After you choose New, Layer1 is displayed in the list and you can edit it immediately. Once a layer name is activated for editing, you can use the comma key just like the New button to create multiple layers more quickly. If a layer is selected in the layer list when a new layer is created, the new layer inherits the properties of the selected layer (Color, On/Off state, and so forth). To create layers with default settings, make sure that no layers are selected in the list or that a layer with default settings is selected prior to beginning layer creation.

  • Delete. Deletes selected layers from the drawing file definition. Only layers that are not referenced in any way can be deleted. Referenced layers include layers 0 and defpoints, layers containing objects, the current layer, and xref-dependent layers. Warning: Be careful about deleting layers if you are working on a drawing in a shared project, or one based on a set of layering standards.
Details

Displays an extension of the dialog box with alternate access to properties and additional settings.

  • Name. Displays the highlighted layer name, which can be edited. The layer name can include up to 31 characters. Layer names can contain letters, digits, and the special characters dollar sign ($), hyphen (-), and underscore (_). Layer names cannot include blank spaces.
  • Color. Displays a list of colors available to apply to the currently selected layer. To assign a color other than those displayed in the list, choose Other.
  • Linetype. Displays linetypes available to apply to the currently selected layer. To load additional linetypes, select the Linetype tab, then choose Load.
  • Retain Changes to Xref-Dependent Layers. Saves changes to xref-dependent layers. When the drawing is reloaded, the properties currently assigned to xref-dependent layers are retained. This box corresponds to the VISRETAIN system variable.
  • On. Turns selected layers on or off. Turned-off layers are regenerated with the drawing but are not displayed or plotted. You can turn layers off rather than freezing layers if you are frequently changing layers from visible to invisible. By turning layers off to make their objects invisible, you avoid regenerating the drawing every time you restore visibility. When you turn a layer on that has been turned off, AutoCAD LT only redraws the objects on that layer.
  • Freeze in All Viewports. Freezes selected layers in all viewports. You can freeze layers to speed up ZOOM, PAN, and VPOINT; improve object selection performance; and reduce regeneration time for complex drawings. AutoCAD LT does not display, plot, or regenerate objects on frozen layers. Freeze layers that you want to be invisible for long periods. When you thaw a frozen layer, AutoCAD LT regenerates and displays the objects on that layer. If you are switching between visible and invisible states frequently, use the On/Off setting.
  • Freeze in Current Viewport. Freezes selected layers in the current floating viewport. You can freeze or thaw layers in the current floating viewport without affecting layer visibility in other viewports. Frozen layers are invisible; they are not regenerated or plotted. This feature is useful, for example, if you want to create an annotation layer that is visible only in a particular viewport. Thawing restores the layer's visibility.
  • Freeze in New Viewports. Freezes selected layers in new floating viewports. For example, freezing the DIMENSIONS layer in all new viewports restricts the display of dimensions on that layer in any newly created floating viewports but does not affect the dimensions layer in already existing viewports. If you then create a viewport that requires dimensions, you can override the default setting by changing the current viewport setting.
  • Lock. Determines whether objects on selected layers can be edited. Locking layers is useful when you want to edit objects that are associated with particular layers but also want to view objects on other layers. While you cannot edit objects on a locked layer, they are still visible if the layer is on and thawed. You can make a locked layer current, and you can add objects to it.

Set Layer Filters Dialog Box

Filter layers based on criteria you select. Filtered layers are displayed in the Layer & Linetype Properties dialog box.

Layer Names

Specifies which layers to filter.

On/Off

Specifies whether filtered layers are on, off, or both.

Freeze/Thaw

Specifies whether filtered layers are frozen, thawed, or both.

Current Viewport

Specifies whether filtered layers in the current viewport are frozen, thawed, or both.

New Viewport

Specifies whether filtered layers in the new viewport are frozen, thawed, or both.

Lock/Unlock

Specifies whether filtered layers are locked, unlocked, or both.

Colors

Specifies the layer colors to filter.

Linetypes

Specifies the layer linetypes to filter.

Apply This Filter to the Layer Control in the Object Properties Toolbar

When selected, displays only layers that pass this filter in the layer list box in the Object Properties toolbar. When this option in not selected, all layers are displayed.

Reset

Resets all filters to their default values.

LAYER (Command Line)

The command line version of LAYER creates new layers, sets the current layer, sets the color and linetype for designated layers, turns layers on and off, locks or unlocks layers, freezes or thaws layers, and lists defined layers.

? / Make / Set / New / ON / OFF / Color/ Ltype / Freeze / Thaw / LOck / Unlock: Enter an option

? List Layers (-LAYER)

Displays a list of the currently defined layers, showing their names, states, color numbers,and linetypes, and whether any are externally dependent.

Layer name(s) to list <*>: Enter a name list or press ENTER

Make (-LAYER)

Creates a layer and makes it current. New objects are placed on the current layer as they are drawn.

New current layer <current>: Enter a name or press ENTER

If no layer exists for the name you enter, AutoCAD LT creates a new layer by that name. That layer is turned on and is assigned color number 7 and the CONTINUOUS linetype. If the layer exists but is turned off, AutoCAD LT turns it on.

Set (-LAYER)

Makes a new layer current but does not create the layer if it doesn't already exist. If the layer exists but is turned off, AutoCAD LT turns it on and makes it current.

New current layer <current>: Enter a name

New (-LAYER)

Creates one or more layers. You can create two or more layers by entering names separated by commas.

New layer name(s): Enter a name list

On (-LAYER)

Makes selected layers visible and available for plotting.

Layer name(s) to turn On: Enter a name or a list of names separated by commas

Off (-LAYER)

Makes selected layers invisible and excludes them from plotting.

Layer name(s) to turn Off: Enter a name or a list of names separated by commas

Color (-LAYER)

Changes the color associated with a layer.

Color: Enter a color name or a color number(1-255)

AutoCAD LT prompts for layer names to which the color should be applied.

Layer name(s) for color n <current>: Enter a name or a list of names separated by commas, or press ENTER

The layers are turned on. To assign a color but turn off the layer, precede the color with a minus sign (-).

Ltype (-LAYER)

Changes the linetype associated with a layer.

Linetype (or ?) <CONTINUOUS>: Enter a currently loaded linetype name, enter ?, or press ENTER

If you enter ?, AutoCAD LT prompts for the linetypes to list.

Linetype(s) to list <*>: Enter a wild-card pattern or press ENTER to list all names in the drawing

If you enter a linetype name or press ENTER, AutoCAD LT prompts for a list of layers to which the linetype should be applied.

Layer name(s) for linetype xxx <current>: Enter a wild-card pattern, a name, or a list of names separated by commas, or press ENTER

Freeze (-LAYER)

Freezes layers, making them invisible and excluding them from regeneration and plotting.

Layer name(s) to Freeze: Enter a name or a list of names separated by commas

Thaw (-LAYER)

Thaws frozen layers, making them visible and available for regeneration and plotting.

Layer name(s) to Thaw: Enter a name or a list of names separated by commas

Lock (-LAYER)

Locks layers, preventing editing on those layers.

Layer name(s) to Lock: Enter a name or a list of names separated by commas

Unlock (-LAYER)

Unlocks selected locked layers, permitting editing on those layers.

Layer name(s) to Unlock: Enter a name or a list of names separated by commas

Related Commands: -LAYER presents options at the command line. COLOR and DDCOLOR set the color for new objects. -LINETYPE and LINETYPE create, load, and set linetypes. VPLAYER sets viewport visibility for new and existing layers.
System Variables: CLAYER stores the name of the current layer.


LEADER

LEADER Command

Creates a line that connects annotation to a feature

Dimensioning toolbar:
Dimension menu: Leader
Command line: leader

The following prompt is displayed at the command line.

From point: Specify a point or use an Object Snap mode to attach the leader line to an object
To point: Specify a point

AutoCAD LT draws a leader line segment to the point specified and continues to prompt for other points and options.

A leader is an object that can be composed of an arrowhead attached to splines or straight line segments. In some cases, a short horizontal line, called a hook line, dogleg, or landing, connects text and feature control frames to the leader line.

You can use various dimensioning system variables to control the appearance of leader lines, such as placing the text above the hook line with DIMTAD.

The LEADER command creates complex leader lines. DIMDIAMETER and DIMRADIUS create simple automatic leader lines for circle and arc dimensions.

To Point (LEADER)

Draws a leader line segment to the point specified and continues to prompt for points and options.

To point (Format / Annotation / Undo) <Annotation>: Specify a point, enter an option, or press ENTER

Format (LEADER)

Controls the way the leader is drawn and whether it has an arrowhead.

Spline / STraight / Arrow / None / <Exit>: Enter an option or press ENTER

After each option, AutoCAD LT returns to the To Point (Format / Annotation / Undo) <Annotation> prompt.

Spline

Draws the leader line as a spline. The vertices of the leader are the control points, each of equal weight.

Straight

Draws the leader line as a set of straight line segments.

Arrow

Draws an arrowhead at the start point of the leader line.

None

Draws a leader line with no arrowhead at the start point.

Exit

Exits the Format option.

Annotation (LEADER)

Inserts annotation at the end of the leader line, such as line text, paragraph text, a feature control frame containing geometric tolerances, or a block.

Annotation (or ENTER for options): Enter text or press ENTER

When you press ENTER AutoCAD LT places the text you enter at the end of the leader line and ends the command. Pressing ENTER without entering text displays the following prompt:

Tolerance / Copy / Block / None / <Mtext>: Enter an option or press ENTER

After you enter the text, the LEADER command ends.

Tolerance

Creates a feature control frame containing geometric tolerances using the Geometric Tolerance dialog boxes. For a complete description, see TOLERANCE.

You can create datum indicators and basic dimension notation in these dialog boxes. After you specify the geometric tolerance, the LEADER command ends.

Copy

Copies text, paragraph text, a feature control frame with geometric tolerances, or a block and connects the copy to the end of the leader line. The copy is associated with the leader line. The display of the hook line depends on the object copied.

Select an object: Use an object selection method

AutoCAD LT places the object and ends the LEADER command. The text is inserted at a location determined by the value of the current text gap (see the DDIM command or the DIMGAP dimensioning system variable). Any blocks or feature control frames with geometric tolerances are attached to the end of the leader line.

Block

Inserts a block at the end of the leader line. AutoCAD LT uses the same prompts as the INSERT command. The block reference is inserted at an offset from the end of the leader line and is associated to the leader line. No hook line is displayed.

None

Ends the command without adding any annotation to the leader line.

Mtext

Creates paragraphs of text using the Edit MText dialog box. Enter the text. Strings for prefixes should precede, and for suffixes should follow, angle brackets (< >). Enclose format strings for alternate units in square brackets ([ ]).

The units settings and the current text style determine the appearance of the text. The paragraph of text is vertically centered, and it's horizontally aligned according to the X axis direction of the last two vertices of the leader line.

The text is offset from the hook line by the distance specified under Gap in the DDIM Annotation dialog box. If the offset specified is negative, the paragraph text is enclosed in a box as a basic dimension.

Undo (LEADER)

Undoes the last vertex point on the leader line. AutoCAD LT redisplays the To Point (Format / Annotation / Undo) <Annotation> prompt.

Controlling the Appearance of Leader Lines (LEADER)

Leader lines are planar 2D objects similar to dimension objects. The appearance of the leader line is controlled by a dimension style. Any units or text style settings defined in the dimension style are applied to the annotation whenever possible.

Leader line feature | Controlled by | System variable
Color of leader line and arrowhead | Color option for dimension line in the DDIM Geometry dialog box | DIMCLRD
Arrowhead type | 1st option for arrowheads in the DDIM Geometry dialog box | DIMBLK or DIMBLK1 when the arrowheads vary
Arrowhead and hook line size (hook lines are one arrowhead long) | Size option for arrowheads in the DDIM Geometry dialog box | DIMASZ
Gap between annotation and hook line | Gap option for text in the DDIM Annotation dialog box | DIMGAP
Scale | Overall Scale option in the DDIM Geometry dialog box | DIMSCALE
Basic dimension annotation boxed text | Basic option for dimension tolerance in the DDIM Annotation dialog box | DIMGAP (negative value)

Hook Lines (LEADER)

AutoCAD LT automatically includes a hook line if the angle of the leader line is greater than 15 degrees from horizontal.

To position text above the hook line, as it is in JIS (Japanese Industrial Standards), select the Outside Horizontal option for text and the Above option for vertical justification options in the DDIM Format dialog box. AutoCAD LT stores these values in the DIMTOH and DIMTAD variables, respectively.

Related Commands: DDIM creates and modifies dimension styles. DIMDIAMETER creates diameter dimensions for circles or arcs. DIMRADIUS dimensions the radius of a circle or arc, with an optional center mark or centerline. MTEXT creates paragraphs. SPLINE creates a spline (NURBS) curve. TOLERANCE creates geometric tolerances to control form, profile, orientation, location, and runout of a feature.
System Variables: DIMASZ controls the size of arrowheads. DIMBLK defines the block for arrowheads. DIMBLK1 defines the block for the first arrowhead. DIMCLRD controls the color of the dimension line. DIMGAP controls the size of the text gap. DIMSCALE controls the overall scale of dimension objects. DIMTAD controls the vertical justification of dimension text.


LENGTHEN

LENGTHEN Command

Changes the length of objects and the included angle of arcs

Modify toolbar:
Modify menu: Lengthen
Command line: lengthen

DElta / Percent / Total / DYnamic / <Select object>: Select one object or enter an option

The LENGTHEN command does not affect closed objects.

Delta (LENGTHEN)

Changes the length of an object by a specified increment, measured from the endpoint of the selected object closest to the pick point.

The Delta option changes the angle of an arc by a specified increment measured from the endpoint of the arc. A positive value extends the objects, a negative value trims it.

Angle / <Enter delta length> (<current>): Specify a distance, enter a, or press ENTER

Angle

Changes the included angle of the selected arc by the specified angle value.

Enter delta angle current>: Specify an angle or press ENTER
<Select object to change> / Undo: Select one object or enter u

This prompt is repeated until you press ENTER to end the command.

Enter Delta Length

Changes the length of the object by the specified increment.

<Select object to change> / Undo: Select one object or enter u

This prompt is repeated until you press ENTER to end the command.

Percent (LENGTHEN)

Sets the length of an object by a specified percentage of its total length. The Percent option changes the angle of an arc by a specified percentage of the total included angle of the arc.

Enter percent length <current>: Enter a positive nonzero value or press ENTER
<Select object to change> / Undo: Select one object or enter u

This prompt is repeated until you press ENTER to end the command.

Total (LENGTHEN)

Sets the length of a selected object by specifying the total absolute length from the fixed endpoint. The Total option sets the included angle of a selected arc by a specified total angle.

Angle / <Enter total length> (<current>): Specify a distance, enter a positive nonzero value, enter a, or press ENTER

Angle

Sets the included angle of the selected arc to a specified value.

Enter total angle <current>: Specify an angle or press ENTER
<Select object to change> / Undo: Select one object or enter u

This prompt is repeated until you press ENTER to end the command.

Enter Total Length

Lengthens the object to the specified value from the endpoint nearest the selection point.

<Select object to change> / Undo: Select one object or enter u

This prompt is repeated until you press ENTER to end the command.

Dynamic (LENGTHEN)

Turns on Dynamic Dragging mode. You change the length of a selected object by dragging one of its endpoints. The other end remains fixed.

<Select object to change> / Undo: Select one object or enter u

This prompt is repeated until you press ENTER to end the command.

Select Object to Change

Specifies the object to change. Then select the object near the end you want to change.

Undo

Reverses the most recent change made by LENGTHEN.

Select Object (LENGTHEN)

Displays the length and, where applicable, the included angle of the object.

Current length: <current>, included angle <current>

Related Commands: EXTEND extends an object to meet another object. TRIM trims objects at a cutting edge defined by one or more objects.


LIMITS

LIMITS Command

Sets and controls the drawing boundaries and grid display

Format menu: Drawing Limits
Command line: limits

ON / OFF / <current>: Specify a point, enter on, or off, or press ENTER

The drawing limits are 2D points in the World Coordinate System that represent the lower-left and upper-right boundaries. You cannot impose limits in the Z direction.

When turned on, the drawing limits restrict the coordinates you can enter, to within the rectangular area. Drawing limits also determine the area of the drawing that can display grid dots, the area displayed by one of the scale options of the ZOOM command, and the minimum area displayed with a ZOOM All command.

Lower-Left corner

Specifies the lower-left corner for the drawing limits.

Upper right corner <current>: Specify a point or press ENTER

On

Turns on limits checking. With limits checking on, AutoCAD LT rejects attempts to enter points outside the drawing limits. Because limits checking tests only points that have been entered, portions of objects such as circles can extend outside the limits.

Off

Turns off limits checking but maintains the current values for the next time limits checking is turned on.


LINE

LINE Command

Creates straight line segments

Draw toolbar:
Draw menu: Line
Command line:line

From point: Specify a point or press ENTER to continue the line or arc
To point: Specify a point
To point: Specify a point, enter u, enter c, or press ENTER

You can specify the endpoints of lines using 2D or 3D coordinates.

AutoCAD LT draws a line segment and continues to prompt for points. You can draw a continuing series of line segments, but each line segment is a separate object. Press ENTER to end the command.

For example, the following command sequence draws a single line segment:

Command: line
From point: Specify a point (1)
To point: Specify a point (2)
To point: Press ENTER

Undo a Line (LINE)

At the To Point prompt, erases the most recent segment of a line sequence.

Entering u more than once backtracks through line segments in the order they were created.

Close a Series of Line Segments

After a series of two or more segments are drawn, the last line segment ends at the beginning of the first line segment, which forms a closed loop of line segments.

Enter c or close at the To Point prompt to form a closed polygon from a sequence of lines.

ENTER - Continue a Line or Arc (LINE)

Continues a line from the endpoint of the most recently drawn line. Press ENTER at the From Point prompt to define the starting point of the line.

If you drew an arc most recently, its endpoint defines the starting point of the line, and the line is drawn tangent to the arc.

Related Commands: PLINE creates 2D polylines. XLINE creates an infinite line. RAY creates a semi-infinite line. DLINE creates a double line using straight line segments and arcs.


LINETYPE

LINETYPE Command

Creates, loads, and sets linetypes

Object Properties toolbar:
Format menu: Linetype
Command line: LINETYPE

The Linetype tab of the Layer and Linetype Properties dialog box is displayed.

If you enter -linetype at the command prompt, LINETYPE presents options on the command line.

LINETYPE defines line characteristics consisting of combinations of dashes, dots, and spaces.

You can use LINETYPE to load linetype definitions from a linetype library (LIN), make a linetype current, or modify linetype scales.

The Layer & Linetype Properties Dialog Box

Loaded Linetypes

Displays the names of all linetypes that are currently loaded.

Show

Determines which linetypes are displayed in the linetype list. You can filter linetypes based on whether they're xref-dependent or they're referenced by objects.

  • All. Displays all the loaded linetypes in the Linetype list.
  • All in use. Displays all the loaded linetypes in use. Unused linetypes are not displayed in the list.
  • All xref dependent. Displays all the xref-dependent linetypes loaded in the current drawing.
  • All not xref dependent. Displays all the loaded linetypes that are not xref-dependent.
Current

Sets a selected linetype to be the current linetype, or displays ByLayer or ByBlock. Setting linetype to the ByLayer option means that an object will assume the linetype that is assigned to a particular layer. Setting the linetype to the ByBlock option means that an object will assume the CONTINUOUS linetype until it is grouped into a block. Whenever the block is inserted, all objects inherit the block's linetype. The linetype name is stored in the CELTYPE system variable.

Linetype List

Displays the currently loaded linetypes according to the option specified in the Show control. To quickly select or clear all linetypes, right-click your pointing device in the Linetype List to display the cursor menu.

  • Linetype. Press F2 or click a linetype to rename it. ByLayer, ByBlock, Continuous, and Xref-dependent linetypes cannot be renamed.
  • Appearance. Displays an image of the way the linetype is drawn in the drawing.
  • Description. Lists the descriptions of the linetypes, which may include both text and a sample of the linetype.
Delete

Deletes selected linetypes from the Linetype list.

Details

Displays an extension of the dialog box with alternate access to properties and additional settings.

  • Name. Displays the highlighted linetype name, which can be edited. The linetype name can include up to 31 characters. Linetype names can contain letters, digits, and the special characters dollar sign ($), hyphen (-), and underscore (_). Linetype names cannot include blank spaces.
  • Description. Displays descriptions of selected linetypes, which can be edited.
  • Global Scale Factor. Displays the global scale factor for all linetypes. Global scale factor is also controlled by the LTSCALE system variable.
  • Current Object Scale. Sets linetype scale for newly created objects. The resulting scale is the global scale factor multiplied by the object's scale factor. Current object scale is also controlled by the CELTSCALE system variable.
  • SO Pen Width. Sets the linetype scale to one of a list of standard ISO values. The resulting scale is the global scale factor multiplied by the object's scale factor.
  • Use Paper Space Units for Scaling. Scales linetypes in paper space and model space identically. Useful when working with multiple viewports. Use Paper Space Units for Scaling is also controlled by the PSLTSCALE system variable.

Load

Displays the Load or Reload Linetypes dialog box.

Load or Reload Linetypes Dialog Box

File

Displays the name of the current linetype library (LIN) file. To display the linetypes available in another linetype library file, enter the path and file name or select File to display the Select Linetype File dialog box.

Available Linetypes

Displays all linetypes currently available in the selected linetype library file.

Select All

Selects all linetypes displayed in Available linetypes.

Clear All

Clears all linetypes displayed in Available linetypes.

Select Linetype File Dialog Box

File Name

Select or enter the name of the linetype library file (file extension .lin) you want to load.

List Files of Type

Select the type of files you want displayed in the File Name list box.

Look in list

Displays the current folder containing the aclt.lin file. You may need to change drives or directories to find the linetype linrary file you are looking for.

Find File...

To find linetype library files on multiple drives and directories, select Find File.

LINETYPE (Command Line)

LINETYPE defines line characteristics consisting of combinations of dashes, dots, and spaces. You can use LINETYPE to load linetype definitions from a linetype library (LIN), make a linetype current, or modify linetype scales.

? / Create / Load / Set: Enter an option

? - List Linetypes (-LINETYPE)

Lists the linetypes available in a file.The Select Linetype File dialog box is displayed. Enter the name of a linetype file.

Create (-LINETYPE)

Creates a new linetype and stores it in a library (.lin) file.

Name of linetype to create: Enter a name

AutoCAD LT displays the Create or Append Linetype File dialog box. Specify the file to which you want the linetype added.

Descriptive text: Enter optional descriptive text

Enter a linetype description up to 47 characters long. The description can be a comment or a series of underscores, dots, dashes, and spaces to show a simple representation of the linetype pattern.

Enter pattern (on next line)
A Enter pattern definition as a series of numbers separated by commas

Enter positive values to specify lengths of dashes and negative values to specify lengths of spaces. Use a zero to represent a dot.

The A, in the pattern definition prompt specifies the pattern alignment used at the ends of individual lines, circles, and arcs. AutoCAD LT supports A-type alignment only. With A-type alignment, AutoCAD LT guarantees that lines and arcs start and end with a dash. The A is automatically included in the definition. If you use a text editor to create a linetype, you must enter a, at the beginning of the definition.

After creating a linetype, you must load it to make it accessible.

Load (-LINETYPE)

Loads a linetype whose definition exists in a file. The aclt.lin file contains the standard linetypes supplied by AutoCAD LT.

Linetype(s) to load: Enter a name or a list of names separated by commas

AutoCAD LT displays the Select Linetype File dialog box. Enter or select the name of the file in which the linetype is stored.

Set (-LINETYPE)

Sets the current linetype for subsequently drawn objects. You can control the linetype of objects individually or by layer.

New object linetype (or ?) <current>: Enter a linetype name, ?, bylayer, or byblock, or press ENTER

The linetype you enter becomes the current linetype. AutoCAD LT draws all new objects with this linetype, regardless of the current layer. If the linetype you request is not loaded, AutoCAD LT searches for its definition in aclt.lin. If the linetype is neither loaded nor in aclt.lin, AutoCAD LT reports this and returns to the ? / Create / Load / Set prompt.

Enter ? to list all loaded linetype names. If you enter bylayer, new objects inherit the linetype associated with the layer on which the object is drawn. If you enter byblock, new objects are drawn using the CONTINUOUS linetype until they are grouped into a block. Whenever you insert that block, the objects inherit the linetype of the block.

Related Commands: LTSCALE sets the global linetype scale factor for all objects in the drawing.
System Variables: CELTSCALE sets the current linetype scale factor for new objects. LTSCALE stores the global linetype scale factor for all objects. PSLTSCALE controls paper space linetype scaling.


MTEXT

MTEXT Command

Creates paragraph text

Draw toolbar:
Draw menu: Paragraph Text
Command line: mtext

Specify first corner: Specify a point
Height / Justify / Rotation / Style / Width: Specify a point or enter an option

If you enter -mtext at the Command prompt, Autocad LT does not display the Edit Mtext dialog box, but presents options at the Command prompt where you also enter text.

As you drag the pointing device to specify the opposite corner, a rectangle is displayed to show the location and size of the multiline text object. Arrows within the rectangle indicate the direction of the paragraph's text flow. After you specify the second corner, AutoCAD LT displays the Multiline Text Editor dialog box.

The paragraphs that the MTEXT command creates fit within a boundary. You define the text boundary, which specifies the width and alignment of the paragraph. Each paragraph is a single object, regardless of the number of lines it contains. The text boundary, though not plotted or printed, remains part of the object's framework. The MText Editor does not recognize rich text format (RTF). Text from other programs with embedded formatting will lose that formatting when imported or pasted into the MText Editor.

You can apply bold and italic formatting, overscore and underscore text and insert special characters. See Special Unicode Characters and Control Codes and Special Characters.

You can specify a different paragraph editing tool by changing the MTEXTED system variable.

Note: The automatic word wrap may not be the same in a text object as it is in the Edit MText dialog box. Word wrap depends on the text font used. Pressing ENTER will always terminate a line of text.

Height (MTEXT)

Specifies the text height to use for paragraph text.

Specify height <current height>: Enter a value or specify a point

The default height, if nonzero, is the height of the current style; otherwise it is the height stored in the TEXTSIZE system variable. Character height is calculated in drawing units. Changing the height updates the value stored in TEXTSIZE.

AutoCAD LT returns to the previous prompt until the opposite corner of the text box is specified.

Justify (MTEXT)

Determines both text justification and text flow, for new or selected text, in relation to the text boundary. The current justification (Top Left by default) is applied to new text. The text is justified within the specified rectangle based on the justification setting and one of nine justification points on the rectangle. The justification point is based on the first point used to specify the rectangle. Text is center-, left-, or right-justified with respect to the left and right text boundaries. Text flow controls whether text is aligned from the middle, the top, or the bottom of the paragraph with respect to the top and bottom text boundaries.

TL / TC / TR / ML / MC / MR / BL / BC / BR: Enter an option or press ENTER

AutoCAD LT returns to the previous prompt.

TL-Top Left | TC-Top Center
TR-Top Right | ML-Middle Left
MC-Middle Center | MR-Middle Right
BL-Bottom Left | BC-Bottom Center
BR-Bottom Right

Rotation (MTEXT)

Specifies the rotation angle of the text boundary.

Specify rotation angle <0>: Enter a value or specify a point

If you use the pointing device to specify a point, the rotation angle is determined by the angle between the X axis and the line defined by the point last entered (default is 0,0,0) and the specified point.

AutoCAD LT returns to the previous prompt until the opposite corner of the text box is specified.

Style (MTEXT)

Specifies the text style to use for paragraph text.

Style name (or ?) <current>: Enter a name, enter a question mark (?), or press ENTER

AutoCAD LT returns to the previous prompt.

Width (MTEXT)

Specifies the width of the paragraph text object.

Specify width: Specify a point or enter a value

If you use the pointing device to specify a point, the width is calculated as the distance between the starting point and the specified point. If you specify a width of zero, word wrap is turned off, and the multiline text object appears on a single line.

AutoCAD LT returns to the previous prompt until the opposite corner of the text box is specified.

Multiline Text Editor Dialog Box (MTEXT)

The Multiline Text Editor dialog box displays characters that have been entered from the keyboard or imported from other files. To edit text, use the following options. The background color by default is the same as that in the graphics area but changes to white when black text is imported or pasted. Pressing the return button on your pointing device in the Multiline Text Editor dialog box displays a cursor menu with these options: Undo, Cut, Copy, Paste, and Select All.

Character Tab

Controls character formatting for text entered at the keyboard or imported into the text editor. To change the current formatting, double-click text to select a single word, or triple-click to select an entire paragraph. Then choose one of the formatting options described below.

Font

Specifies a font for new text or changes the font of selected text. TrueType fonts are listed by font family name. AutoCAD LT compiled shape (SHX) fonts are listed by the name of the file in which the fonts are stored. Custom fonts or third-party fonts are replaced with Autodesk supplied proxy fonts. A custom SHX font is available for character formatting overrides only if it is defined in a text style in the drawing.

Height

Sets the character height in drawing units. Each paragraph text object can contain characters of varying heights. All heights in the currently selected paragraph text object are listed in the Height list box. However, when editing text, you can enter a new height in addition to those listed.

The text displayed in the text editor is scaled in proportion to the value stored in TEXTSIZE. For example, if the style of the character has a current height of 2 inches, and you change the value to 1 inch, the text in the dialog box changes from its default size of 16 points to 8 points. Dialog box text is displayed at a minimum size of 4 points and a maximum size of 100 points. Text that is proportionally bigger or smaller may cause word wrapping to be displayed incorrectly.

Bold

Turns on and off bold formatting for new or selected text. This option is not available if none of the selected characters belong to a TrueType font. If selected characters include both TrueType and non-TrueType fonts, the entire selection inherits the TrueType font, and all characters are changed to the bold format.

Italic

Turns on and off italic formatting for new or selected text. This option is not available if none of the selected characters belong to a TrueType font. If selected characters include both TrueType and non-TrueType fonts, the entire selection inherits the TrueType font, and all characters are changed to the italic format.

Underline

Turns on and off underlining for new or selected text.

Undo

Undoes the last edit action in the Multiline Text Editor dialog box. Changes to either text content or text formatting are undone.

You can undo the most recent change made with any option by pressing CTRL+Z.

Stack

Turns on and turns off stacking for selected text. To be stacked, text must contain a carat (^) or a forward slash (/). Text to the left of the character is stacked on top of text to the right.

Text that contains a carat represents left-justified tolerance values. Text that contains a forward slash represents center-justified fractional numbers; the slash is converted to a horizontal bar the length of the longer text string. Stacked text can be unstacked by selecting it and then choosing Stacked.

Color

Specifies a color for new text or changes the color of selected text.

You can assign text the color associated with the layer it is on (BYLAYER), the color of the block it is contained in (BYBLOCK), or one of the colors in the list. Choosing Other from the list of colors displays the Select Color dialog box.

Symbol

Inserts a listed symbol or a nonbreaking space at the cursor position. Symbols can be inserted manually as well as from the Symbol list. See Special Unicode Characters and Control Codes and Special Characters.

Choosing Other from the list displays the Character Map dialog box showing the entire character set of the current font. To insert a character from the dialog box, select it, and then copy and paste it into the Multiline Text Editor dialog box.

Properties

Controls properties that apply to the paragraph object.

Style

Applies an existing style to new or selected text. The current style (saved in the TEXTSTYLE system variable) is applied to new text.

Character formatting for font, height, and bold or italic attributes is overridden if you apply a new style to an existing multiline text object. Stacking, underlining, and color attributes are retained in characters to which a new style is applied.

Styles that have backwards or upside-down effects are not applied. If a style defined with a vertical effect is applied to an SHX font, the text is displayed horizontally in the Multiline Text Editor dialog box.

Justification

Sets justification for new or selected text. The current setting (Top Left by default) is applied to new text. Text is center-, left-, or right-justified with respect to the left and right text boundaries. Text flows from the middle, the top, or the bottom of the paragraph with respect to the top and bottom text boundaries. For a complete description of each justification option, see the Justify option of MTEXT.

Width (Paragraph Width)

Applies a specified paragraph width to new or selected text. If you select the No Wrap option, the resulting multiline text object appears on a single line. The width of individual characters is not affected.

Rotation

Sets the rotation angle for new or selected text in the current unit of angle measurement (degrees, radians, or grads).

Find/Replace Tab

Searches for specified text strings and replaces them with new text.

Find

Defines the text string to be searched for when you choose Find.

Find Button

Starts a search for the text string in the Find box. To continue the search, choose Find again.

Match Case

When checked, AutoCAD LT finds text only if the case of all characters in the text object is identical to the text in the Find box. When not checked, AutoCAD LT finds a match for specified text strings regardless of the case of the characters.

  • Whole-Word. When checked, matches the text in the Find box only if it is a single word. If the text is part of another text string, it is ignored. When not checked, AutoCAD LT finds a match on text strings whether they are single words or part of other words.
  • Replace Box. Defines the text string to replace the text in the Find box.
  • Replace Button. Replaces the highlighted text with the text in the Replace box.

Import Text

Displays the Open dialog box. Choose any file that is in ASCII or RTF format. Inserted text retains its original character formatting and style properties. After you select a text file to import, you can choose to replace either selected text or all text or to append the inserted text to the current selection within the text boundary. Imported text is limited to 16KB in size. When black characters are inserted and the background color is black, the Mutliline Text Editor dialog box automatically changes to white or the current color.

Special Unicode Characters

When using paragraph text (MTEXT), you can create special characters, including the degree symbol, the plus/minus tolerance symbol, and the diameter symbol by entering the following Unicode character strings:

\U+00B0 | Degrees symbol (°)
\U+00B1 | Tolerance symbol (±)
\U+2205 | Diameter symbol (Ø)-

Control Codes and Special Characters

When using line text (DTEXT and TEXT), you can specify special characters by including control information in the text string. Use a pair of percent signs to introduce each control sequence. In the Edit Mtext dialog box, you can specify only the special characters %%d (degrees symbol), %%p (plus/minus tolerance symbol), and %%c (circle diameter dimensioning symbol).

This control code works with standard AutoCAD LT text fonts and PostScript fonts:

%%nnn Draws character number nnn.

These control codes work with standard AutoCAD LT text fonts only:

%%o | Toggles overscore mode on/off.
%%u | Toggles underscore mode on/off.
%%d | Draws degrees symbol (°).
%%p | Draws plus/minus tolerance symbol (±).
%%c | Draws circle diameter dimensioning symbol (Ø).
%%% | Draws a single percent sign.

Overscore and underscore modes can be in effect at the same time. Both modes turn off automatically at the end of the text string.

You can use the %%nnn control sequence to display special characters using the PostScript fonts. However, if you use PSOUT to create a PostScript file containing characters created with this method, the characters appear as outlines.

-MTEXT (Command prompt)

When using paragraph text (-mtext) from the Command prompt, you can also enter Unicode strings but you don't need to include the leading percent character (%).

\U+00B0 Degrees symbol (°)

\U+00B1 Tolerance symbol (±)

\U+2205 Diameter symbol (Ø)

DTEXT and TEXT

When using line text (DTEXT and TEXT), you can also enter Unicode strings but you don't need to include the leading percent character (%).

\U+00B0 Degrees symbol (°)

\U+00B1 Tolerance symbol (±)

\U+2205 Diameter symbol (Ø)

Insertion point (-MTEXT Command Line)

Specifies a corner of the text boundary. This point is also the text insertion point.

Justify / Width / 2Points / <Other corner>: Specify a point or enter an option

Other Corner (-MTEXT)

Specifies the diagonally opposite corner of the text boundary.

MText: Enter characters or press ENTER

AutoCAD LT wraps text within the text boundary. You can end a line of text at a specific point by typing the text and pressing ENTER. To end the command, press ENTER at the MText prompt.

Justify (-MTEXT)

Controls which part of the text boundary aligns at the insertion point. The option you select determines both text justification and text spill in relation to the text boundary. Justification controls whether text is aligned on the left, right, or center of the text boundary. Text spill controls how excess text flows from the insertion point.

TL / TC / TR / ML / MC / MR / BL / BC / BR: Enter an option or press ENTER

For a complete description of each attachment option, see Justify (MTEXT). AutoCAD LT returns to the previous prompt.

Width (-MTEXT)

Specifies the width of the text boundary.

Object width: Specify a point or enter a value
MText: Enter characters or press ENTER

AutoCAD LT wraps text within the text boundary. You can end a line of text at a specific point by typing the text and pressing ENTER. To end the command, press ENTER at the MText prompt.

2Points (-MTEXT)

Specifies the width of the text boundary using two points rather than a rectangular area.

First point: Specify a point
Second point: Specify a point
MText: Specify a point or enter a value

AutoCAD LT wraps text within the text boundary. You can end a line of text at a specific point by typing the text and pressing ENTER. To end the command, press ENTER at the MText prompt.

Related Commands: DDEDIT edits text and attribute definitions. DDMODIFY moves or modifies paragraph text. DTEXT creates text on the screen as you enter it. PREFERENCES specifies the text editor you want to use to create paragraph text. SPELL checks the spelling of text. STYLE creates text styles. TEXT creates single-line text.
System Variables: MTEXTED specifies the name of a third-party ASCII text editor you want to use to create paragraph text. Alternatively, you can enter internal to use AutoCAD LT's internal text editor.


OPEN

OPEN Command

Opens an existing drawing file

Standard toolbar:
File menu: Open
Command line: open

If the current drawing has not been saved, AutoCAD LT displays a dialog box so that you can save the current drawing before opening a different drawing. AutoCAD LT displays the Select File dialog box.

Select File Dialog Box

Specifies a file name.

Look in

Select the drive and directory that contain the drawing file you want to open.

File Name

Select or enter the name of the drawing file you want to open.

Note: You can open only a file with the .dwg or .dxf extension.

Files of Type

Select the type of files you want to see in the File Name list.

Preview

Displays a preview of the selected drawing.

Find File...

To find drawing files on multiple drives and directories, choose Find File. The Browse/Search dialog box is displayed.

Open as Read-Only

Select to open the drawing file in read-only mode. You can edit the drawing file, but to save changes you must save the drawing with a new file name.

Select Initial View

Select if you want to specify a previously saved view for display when the drawing is opened. When you choose OK, the Select Initial View dialog box is displayed.Select a named view or the last view used in the drawing. The letter to the right of the view name represents the space in which the view was created, M for model space or P for paper space.

Browse/Search Dialog Box

Specifies a file or files.

Browse Tab

Previews and opens files on a selected drive or directory.

Look in

Select the drive and directory that contain the file you want to open.

File Name

Select a preview image or enter the name of the file you want to open.

List Files of Type

Select the type of files you want to see in the File Name list.

Size

Select the size at which you want the preview images of files to appear in the File Name list.

Open

To open the selected file, choose Open.

Exit

To close the dialog box, choose Exit.

Search Tab

Uses search criteria to search for and open files on multiple drives and directories.

Files

Select a file from a list of all files located in the drives and directories you specify and that match the criteria you define. The list is displayed after you choose Search.

Search Pattern

Enter the file name pattern you want to search for and display in the File Name list. For example, you can enter floor* to search for all files that begin with floor and are of the file type specified.

File Types

Select the type of file for which you want to search.

Date Filter

Controls how AutoCAD LT searches for files based on the date and time of creation of the file.

  • Before This Date. Select to search for files created before the time and date you specify.
  • After This Date. Select to search for files created after the time and date you specify.
  • Time. Enter the time from which AutoCAD LT searches for files.
  • Date. Enter the date from which AutoCAD LT searches for files created.
Search Location

Controls how AutoCAD LT searches for files based on the date and time of creation of the file.

  • Drives. Select the drive you want to search.
  • All Drives. Select to search all local drives on your computer, or all drives connected to your computer. Local Fixed Drives searches all local fixed drives on your computer. All Drives searches all drives connected to your computer, including local drives and network drives
  • Path. Select to search a specific directory or directories. Enter the drive and path of the directory or directories you want to search. To search more than one directory, separate the path names of the directories with a semicolon (;).
  • Edit. To use a dialog box to specify the paths you want to search, choose Edit. The Edit Path dialog box is displayed.
Open

To open the selected file, choose Open.

Exit

To close the dialog box, choose Exit.

Search

To begin the file search, choose Search.

Edit Path Dialog Box

Specifies the path you want to search.

Path

Enter the name of the path or paths you want to search. To enter more than one path, separate paths with a semicolon (;).

Directories

Select the directory of the path you want to search.

Drives

Select the drive of the path you want to search.

Search Path

Displays a list of the search paths you want to search.

Add

To add the path or paths displayed in Path, choose Add. The paths are added to Search Path.

Delete

To delete the path you select in Search Path, choose Delete.

Delete All

To delete all paths displayed in Search Path, choose Delete All.

Close

To close the dialog box, choose Close.

See Also:
"Opening Existing Drawings" in chapter 2 of the AutoCAD LT User's Guide.

Related Commands: NEW creates a new drawing file.


OSNAP

'OSNAP Command

Sets running Object Snap modes

Object Snap toolbar:
Tools menu: Object Snap Settings
Command line: osnap

The Osnap Settings dialog box is displayed.

  • Running Osnap Tab
  • AutoSnaps Tab

If you enter -osnap at the Command prompt, it displays options on the command line.

Osnap Dialog Box

Running Osnap Tab

Sets running object snap modes and changes the aperture box size.

With running object snap modes, also called Osnap modes, you can specify a snap point at an exact location on an object. The mode determines the location. Running object snap modes can be turned on and off with the Osnap button on the status bar without losing your settings. You can use the TAB key to cycle through available snap settings. Object snap settings are stored with the drawing.
Endpoint | Tangent
Midpoint | Node
Intersection | Insertion
Center | Nearest
Quadrant | None
Perpendicular

Select Settings

Specifies the running object snap modes. Select one or more options.

Endpoint

Snaps to the closest endpoint of an arc, elliptical arc, line, polyline segment, or ray.

Midpoint

Snaps to the midpoint of an arc, ellipse, elliptical arc, line, polyline segment, spline, or xline.

Center

Snaps to the center of an arc, circle, ellipse, or elliptical arc.

Node

Snaps to a point object.

Quadrant

Snaps to a quadrant point of an arc, circle, ellipse, or elliptical arc.

Intersection

Snaps to the intersection of an arc, circle, ellipse, elliptical arc, line, polyline, ray, spline, or xline.

Extended Intersection snaps to the imaginary intersection of two objects that would intersect if the objects were extended along their natural paths. Extended Intersection is automatically enabled when you select the Intersection object snap mode.

Insertion

Snaps to the insertion point of an attribute, a block, or text.

Perpendicular

Snaps to a point perpendicular to an arc, circle, ellipse, elliptical arc, line, polyline, ray, spline, or xline. Deferred perpendicular snap mode is automatically enabled when the object you are drawing requires more than one perpendicular snap point to be completed. You can use a line, arc, circle, pline, ray, xline, as an object from which to draw a perpendicular line. Deferred perpendicular can be used to draw perpendicular lines between such objects. When the aperture box passes over a deferred perpendicular snap point, a Snaptip and marker are displayed.

Tangent

Snaps to the tangent of an arc, circle, ellipse, or elliptical arc. The deferred tangent snap mode is automatically enabled when the object you are drawing requires more than one tangent snap point to be completed. For example, you can use deferred tangent to draw a line that is tangent to two arcs, pline arcs, or circles. When the aperture box passes over a deferred tangent snap point, a marker and Snaptip are displayed.

If you use the From option in conjunction with the Tangent snap mode to draw objects other than lines from arcs or circles, the first point drawn will be tangent to the arc or circle in relation to the last point selected in the drawing area.

Nearest

Snaps to the nearest point on an arc, circle, ellipse, elliptical arc, line, point, polyline, spline, or xline.

Clear All

Turns off all object snap modes.

When more than one option is selected, AutoCAD LT applies the selected snap modes to return a point closest to the center of the aperture box.

Aperture Size

Specifies the size of the aperture box. The maximum size is 20 pixels using the Running Object Snap dialog box. (APERTURE can increase the aperture box to 50 pixels.) The slider bar moves between Min and Max. The sample aperture box changes to show the new size.

The aperture size setting is stored in the registry, and will stay in effect until you specify another size.

AutoSnaps Tab (OSNAP)

Specifies changes to the AutoSnap settings. When you are using any running object snaps, AutoSnap displays a marker and a Snaptip when you move your aperture box over a snap point. AutoSnap settings are saved in the registry.

When the aperture box is on an object, you can press the TAB key to cycle through all the snap points available for that object.

Marker

Turns the marker on or off. The marker is a geometric shape that is displayed when your aperture box moves over a snap point.

Magnet

Turns the magnet on or off. The magnet locks your aperture box onto the snap point.

SnapTip

Turns the Snaptip on or off. The Snaptip is a tooltip-like flag that describes the name of the snap location.

Display Aperture Box

Turns the aperture box on or off. The aperture box is displayed in the center of the crosshairs when you snap to an object. This option is available only when Marker, Magnet, or Snaptip is selected.

Marker Size

Controls the size of the marker. Slide the bar to the right to increase the size of the marker or left to decrease the size of the marker.

Marker Color

Shows the current color of the marker. Click the down arrow to change the marker's color.

Image Tile

Shows the current size of the marker.

-OSNAP (Command Line)

If you enter -osnap at the Command prompt, it displays options on the command line.

Object snap modes: Enter a name list, enter none or off, or press ENTER

Specify one or more object snap modes by entering the first three characters of the name. If you enter more than one name, separate the names with commas.

ENDpoint

Snaps to the closest endpoint of an arc, elliptical arc, line, polyline segment, or ray.

MIDpoint

Snaps to the midpoint of an arc, ellipse, elliptical arc, line, polyline segment, spline, or xline.

INTersection

Snaps to the intersection of an arc, circle, ellipse, elliptical arc, line, polyline, ray, spline, or xline.

CENter

Snaps to the center of an arc, circle, ellipse, or elliptical arc.

NODe

Snaps to a point object.

QUAdrant

Snaps to a quadrant point of an arc, circle, ellipse, or elliptical arc.

INSertion

Snaps to the insertion point of an attribute, a block, or text.

PERpendicular

Snaps to a point perpendicular to an arc, circle, ellipse, elliptical arc, line, polyline, ray, spline, or xline.

TANgent

Snaps to the tangent of an arc, circle, ellipse, or elliptical arc.

NEArest

Snaps to the nearest point on an arc, circle, ellipse, elliptical arc, line, point, polyline, spline, or xline.

NONe

Turns off object snap mode.

Related Commands: APERTURE controls the size of the object snap target box. DDOSNAP sets running Object Snap modes from a dialog box.
System Variables: OSMODE stores the Object Snap mode setting.


PAN

'PAN Command

Moves the drawing display in the current viewport

Standard toolbar:
View menu: Pan > Realtime
Command line: -pan

Press Esc or Enter to exit, or right-click to activate pop-up menu.

If you enter -pan at the Command prompt, PAN presents options on the command line.

The cursor changes to a hand cursor. By holding down the pick button on the pointing device, you lock the cursor to its current location relative to the viewport coordinate system. Graphics within the window are moved in the same direction as the cursor.

When you reach a logical extent (edge of the drawing space), a bar is displayed on the hand cursor on the side where the extent has been reached. Depending upon whether the logical extent is at the top, bottom, or side of the drawing, the bar is either horizontal (top or bottom) or vertical (left or right side).

When you release the pick button, panning stops. You can release the pick button, move the cursor to another location in the drawing, and then press the pick button again to pan the display from that location. To stop panning at the new position, press ENTER or ESC.

Zoom/Pan Pop-up Menu

Exit

Cancels the Realtime option and returns the command prompt.

Pan

Switches from ZOOM Realtime to Pan.

Zoom

Switches from PAN to Zoom Realtime.

Zoom Window

Zooms to display a specified window and returns to the Realtime option.

Zoom Previous

Restores the previous view and returns to the Realtime option.

Zoom Extents

Zooms to display the drawing extents and returns to the Realtime option.

Using the Command Line (PAN)

The command-line version of PAN works in two ways. You can specify a single point, indicating the relative displacement of the drawing with respect to the screen, or (more commonly) you can specify two points, in which case AutoCAD LT computes the displacement from the first point to the second point.

You can use PAN transparently if VIEWRES Fast Zoom mode is on. You cannot use PAN transparently during VPOINT or DVIEW, or while another ZOOM, PAN, or VIEW command is in progress.

Related Commands: DVIEW creates and restores views. VIEW saves and restores named views. VPOINT sets the viewing direction for a 3D visualization of the current drawing. ZOOM increases or decreases the apparent size of objects in the current viewport.


PASTECLIP

PASTECLIP Command

Inserts data from the Windows Clipboard

Standard toolbar:
Edit menu: Paste
Command line: pasteclip

You can paste AutoCAD LT objects, text, and various file formats such as metafile, bitmap, and multimedia into a drawing.

If the Clipboard contains a graphic object, AutoCAD LT inserts the object in the upper-left corner of the graphics area. If the Clipboard contains text, AutoCAD LT inserts the text in the upper-left corner of the graphics area using the MTEXT command prompt defaults. Pasted text becomes an MText object.

All other objects, except AutoCAD LT objects, exist as embedded or linked objects in their Clipboard formats. You can edit these embedded or linked objects by double-clicking on them in AutoCAD LT; the object's native application becomes available so that you can make changes.

Related Commands: DDINSERT inserts a block by using a dialog box. INSERT inserts a block by using the command line. MTEXT creates multiline paragraphs. PASTESPEC inserts data from the Windows Clipboard and controls the format of the pasted data.


PEDIT

PEDIT Command

Edits polylines

Modify II toolbar:
Modify menu: Objects > Polyline
Command line: pedit

Select polyline: Use an object selection method

If the selected object is a line or an arc, AutoCAD LT prompts:

Object selected is not a polyline.
Do you want it to turn into one? <Y>: Enter y or n, or press ENTER

If you enter y, the object is converted into a single-segment 2D polyline that you can edit. You can use this method to join lines and arcs into a polyline.

The prompts for the PEDIT command vary depending on whether you have selected a 2D or a 3D polyline:
2D Polyline Selection
3D Polyline Selection

2D Polyline Selection

If you have selected a 2D polyline, AutoCAD LT prompts:

Close / Join / Width / Edit vertex / Fit / Spline / Decurve / Ltype gen / Undo / eXit <X>: Enter an option or press ENTER

If the polyline you have selected is closed, Open replaces the Close option in the prompt.

Note: You can edit a 2D polyline only if the XY plane of the current UCS is the same or parallel to the plane on which the 2D polyline was originally created. You can use the Object option of the UCS command to realign the UCS to the 2D polyline, if necessary.

Close (PEDIT, 2D Polyline)

Creates the closing segment of the polyline, connecting the last segment with the first. AutoCAD LT considers the polyline open unless you close it using the Close option.

Open (PEDIT, 2D Polyline)

Removes the closing segment of the polyline. AutoCAD LT considers the polyline closed unless you open it using the Open option.

Join (PEDIT, 2D Polyline)

Adds lines, arcs, or polylines to the end of an open polyline and removes the curve fitting from a curve-fit polyline. For objects to join the polyline, their endpoints must touch.

Select objects: Use an object selection method

Width (PEDIT, 2D Polyline)

Specifies a new uniform width for the entire polyline.

Enter new width for all segments: Specify a width

Use the Width option of the Edit Vertex option to change the starting and ending widths of segments.

Edit Vertex (PEDIT, 2D Polyline)

Marks the first vertex of the polyline by drawing an X on the screen. If you have specified a tangent direction for this vertex, an arrow is also drawn in that direction.

Next / Previous / Break / Insert / Move / Regen / Straighten / Tangent / Width / eXit <N>: Enter an option or press ENTER

Next

Moves the X marker to the next vertex. The marker does not wrap around from the end to the start of the polyline even if the polyline is closed.

Previous

Moves the X marker to the previous vertex. The marker does not wrap around from the end to the start of the polyline even if the polyline is closed.

Break

Saves the location of the marked vertex while you move the X marker to any other vertex.

Next / Previous/ Go / eXit <N>: Enter an option or press ENTER

If you leave the X marker where it is and enter go, AutoCAD LT splits the polyline into two pieces at the specified vertex. If you move the marker, any segments and vertices between the two vertices you specified are deleted.

If one of the specified vertices is at an end of the polyline, the polyline is truncated. If both specified vertices are at endpoints of the polyline, or if just one vertex is specified and it is at an endpoint, you cannot use Break mode.

  • Next. Moves the X marker to the next vertex. The marker does not wrap around from the end to the start of the polyline, even if the polyline is closed.
  • Previous. Moves the X marker to the previous vertex. The marker does not wrap around from the end to the start of the polyline, even if the polyline is closed.
  • Go. Deletes any segments and vertices between the two vertices you specify and returns to Edit Vertex mode.
  • Exit. Exits Break mode and returns to Edit Vertex mode.
Insert

Adds a new vertex to the polyline after the marked vertex.

Enter location of new vertex: Specify a point (1)

Move

Moves the marked vertex.

Enter new location: Specify a point (1)

Regen

Regenerates the polyline.

Straighten

Saves the location of the marked vertex while you move the X marker to any other vertex.

Next / Previous / Go / eXit <N>: Enter an option or press ENTER

If you enter go, any segments and vertices between the two vertices you specified are deleted, and a single straight line segment replaces them. If you specify only one vertex by entering go without moving the X marker, the segment following that vertex is made straight if it is an arc.

If you want to remove an arc segment that connects two straight segments of a polyline and then extend the straight segments until they intersect, use the FILLET command with a fillet radius of 0.

  • Next. Moves the X marker to the next vertex.
  • Previous. Moves the X marker to the previous vertex.
  • Go. Deletes any segments and vertices between the two vertices you specify and returns to Edit Vertex mode.
  • Exit. Exits Straighten mode and returns to Edit Vertex mode.
Tangent

Attaches a tangent direction to the marked vertex, X for use later in curve fitting. AutoCAD LT prompts:

Direction of tangent: Specify a point or enter an angle

Width

Changes the starting and ending widths for the segment that immediately follows the marked vertex.

Enter starting width <current>: Specify a point, enter a value, or press ENTER
Enter ending width <start>: Specify a point, enter a value, or press ENTER

To display the new width, you must regenerate the polyline.

Exit

Exits Edit Vertex mode.

Fit (PEDIT, 2D Polyline)

Creates an arc-fit polyline, a smooth curve consisting of arcs joining each pair of vertices. The curve passes through all vertices of the polyline and uses any tangent direction you specify.

Spline (PEDIT, 2D Polyline)

Uses the vertices of the selected polyline as the control points, or frame, of a curve approximating a B-spline. This curve, called a spline-fit polyline, passes through the first and last control points unless the original polyline was closed. The curve is pulled toward the other points but does not necessarily pass through them. The more control points you specify in a particular part of the frame, the more pull they exert on the curve. AutoCAD LT can generate quadratic and cubic spline-fit polylines.

Spline-fit polylines are very different from the curves produced by the Fit option. Fit constructs pairs of arcs that pass through every control point. Both these curves are different from true B-splines produced with the SPLINE command.

If the original polyline included arc segments, they are straightened when forming the spline's frame. If the frame has width, the resulting spline tapers smoothly from the width of the first vertex to the width of the last vertex. All intermediate width information is ignored. Once spline-fit, the frame, if displayed, is shown with zero width and CONTINUOUS linetype. Tangent specifications on control point vertices have no effect on spline-fitting.

When a spline-fit curve is fit to a polyline, the spline-fit curve's frame is stored so that it may be recalled by a subsequent decurving. You can turn a spline-fit curve back into its frame polyline by using the PEDIT Decurve option. This option works on fit curves in the same manner as it does on splines.

Spline frames are not usually displayed on the screen. If you want to see them, set the SPLFRAME system variable to 1. Next time the drawing is regenerated, AutoCAD LT draws both the frame and the spline curve.

Most editing commands act the same when applied to spline-fit polylines or fit curves.

  • MOVE, ERASE, COPY, MIRROR, ROTATE, and SCALE operate on both the spline curve and its frame, whether the frame is visible or not.
  • EXTEND changes the frame by adding a new vertex where the initial or final line of the frame intersects the boundary geometry.
  • BREAK, TRIM, and EXPLODE delete the frame and generate a polyline with only the fit spline, which is consistent with fit curves, where the curve fitting is permanent.
  • OFFSET generates a polyline with only the fit spline, which is consistent with its behavior with fit curves.
  • DIVIDE, MEASURE, the Object option of AREA, HATCH, FILLET, and CHAMFER see only the fit spline, not the frame.
  • STRETCH refits the spline to the stretched frame after a spline is stretched.

The Join option of PEDIT decurves the spline and discards the spline information of the original and any added polylines. Once the Join operation is complete, you can fit a new spline to the resulting polyline.

The Next and Previous options of the Edit Vertex option of PEDIT move the X marker only to points on the frame of the spline, whether visible or not. The Break option of the Edit Vertex option discards the spline. The Insert, Move, Straighten, and Width options of the Edit Vertex option automatically refit the spline. The Tangent option of the Edit Vertex option has no effect on splines.

Object snap uses only the spline-fit curve itself, not the frame. If you want to snap to the frame control points, use PEDIT to recall the polyline frame first.

Decurve (PEDIT, 2D Polyline)

Removes extra vertices inserted by a fit or spline curve and straightens all segments of the polyline. Retains tangent information assigned to the polyline vertices for use in subsequent fit curve requests. If you edit a spline-fit polyline with commands such as BREAK or TRIM, you cannot use the Decurve option.

Ltype Gen (PEDIT, 2D Polyline)

Generates the linetype in a continuous pattern through the vertices of the polyline. When turned off, this option generates the linetype starting and ending with a dash at each vertex. This option does not apply to polylines with tapered segments.

Full PLINE line type ON / OFF <current>: Enter on or off, or press ENTER

Undo (PEDIT, 2D Polyline)

Reverses actions as far back as the beginning of the PEDIT command.

Exit (PEDIT, 2D Polyline)

Exits PEDIT.

3D Polyline Selection

If you have selected a 3D polyline, AutoCAD LT prompts:

Close / Edit vertex / Spline curve / Decurve / Undo / eXit <X>: Enter an option or press ENTER

If the polyline you have selected is closed, Open replaces the Close option in the prompt.

Close (PEDIT, 3D Polyline)

Creates the closing segment of the polyline, connecting the last segment with the first. AutoCAD LT considers the polyline open unless you close it using the Close option.

Open (PEDIT, 3D Polyline)

Removes the closing segment of the polyline. AutoCAD LT considers the polyline closed unless you open it using the Open option.

Edit Vertex (PEDIT, 3D Polyline)

Marks the first vertex of the polyline by drawing an X on the screen. If you have specified a tangent direction for this vertex, an arrow is also drawn in that direction.

Next / Previous / Break / Insert / Move / Regen / Straighten / eXit <N>: Enter an option or press ENTER

Next

Moves the X marker to the next vertex. The marker does not wrap around from the end to the start of the polyline, even if the polyline is closed.

Previous

Moves the X marker to the previous vertex. The marker does not wrap around from the end to the start of the polyline, even if the polyline is closed.

Break

Saves the location of the marked vertex while you move the X marker to any other vertex.

Next / Previous / Go / eXit<N>: Enter an option or press ENTER

If you leave the X marker where it is and enter go, AutoCAD LT splits the polyline into two pieces at the specified vertex. If you move the marker, any segments and vertices between the two vertices you specified are deleted.

If one of the specified vertices is at the end of the polyline, the polyline is truncated. If both specified vertices are at endpoints of the polyline, or if just one vertex is specified and it is an endpoint, you cannot use Break mode.

  • Next. Moves the X marker to the next vertex. The marker does not wrap around from the end to the start of the polyline, even if the polyline is closed.
  • Previous. Moves the X marker to the previous vertex. The marker does not wrap around from the end to the start of the polyline, even if the polyline is closed.
  • Go. Deletes any segments and vertices between the two vertices you specify and returns to Edit Vertex mode.
  • Exit. Exits Break mode and returns to Edit Vertex mode.
Insert

Adds a new vertex to the polyline after the marked vertex.

Enter location of new vertex: Specify a point

Move

Moves the marked vertex.

Enter new location: Specify a point

Regen

Regenerates the polyline.

Straighten

Saves the location of the marked vertex while you move the X marker to any other vertex. If you enter go, any segment and vertices between the two vertices you specify are deleted, and a single straight line segment replaces them.

Next / Previous / Go / eXit <N>: Enter an option or press ENTER

  • Next. Moves the X marker to the next vertex.
  • Previous. Moves the X marker to the previous vertex.
  • Go. Deletes any segments and vertices between the two vertices you specify and returns to Edit Vertex mode.
  • Exit. Exits Straighten mode and returns to Edit Vertex mode.
Exit

Exits Edit Vertex mode.

Spline Curve (PEDIT, 3D Polyline)

Fits a 3D B-spline curve to its control points. The SPLFRAME system variable controls the accuracy of and displays the control points for the 3D B-spline, whose curves can be approximated only by line segments. AutoCAD LT ignores negative values for spline segments.

Decurve (PEDIT, 3D Polyline)

Removes extra vertices inserted by a fit or spline-fit curve and straightens all segments of the polyline. Retains tangent information assigned to the polyline vertices for use in subsequent fit-curve requests. If you edit a spline-fit polyline with commands such as BREAK or TRIM, you cannot use the Decurve option.

Undo (PEDIT, 3D Polyline)

Reverses actions as far back as the beginning of the PEDIT command.

Exit (PEDIT, 3D Polyline)

Exits PEDIT.

Related Commands: 3DPOLY creates 3D polylines. PLINE creates 2D polylines.
System Variables: SPLFRAME, if set to 1, displays the control polygon for spline-fit polylines, the fit surface of a polygon mesh, and the invisible edges of a 3D face or polyface mesh. SPLINESEGS stores the number of line segments to be generated for each spline patch. SPLINETYPE controls the type of spline curve that AutoCAD LT generates.


POINT

POINT Command

Creates a point object

Draw toolbar:
Draw menu: Point > Single Point
Command line: point

Point: Specify a point

You can specify a full 3D location for a point. The current elevation is assumed if you omit the Z coordinate. To snap to a point object, use the Node object snap. You can change the appearance and size of points using by using the DDPTYPE command.

Related Commands: DDPTYPE specifies a new Point Display mode and size. REGEN regenerates the drawing and refreshes the current viewport.
System Variables: PDMODE specifies the object displayed by POINT. PDSIZE specifies the size of the object displayed by POINT.


POLAR

POLAR Command

Constrains cursor input to specified angles and radial distances

Standard toolbar
Tools Menu: Polar Snap Settings
Command line: polar

The Ortho/Polar Settings dialog box is displayed.

With PolarSnap, you can draw or modify objects using specific angle and distance increments without entering values on the keyboard. When PolarSnap is turned on, you can constrain cursor input of point locations to angle increments, distance increments, or both angle and distance increments from the last point. Polar ToolTips display the current angle and distance from the previous point at the cursor location. Angle increments are relative to the UCS orientation and the grid snap rotation angle.

Ortho/Polar Settings Dialog Box

Ortho/Polar
  • On. Turns Orthogonal mode and PolarSnapping on and off.
  • Ortho. Selects Orthogonal mode. Cursor input is restricted to either horizontal or vertical locations relative to the previous point. See ORTHO.
  • Polar: Angle Snap. Selects polar angle snap mode. Cursor input is restricted to specific angle increments from the last point.
  • Polar: Distance Snap. Selects polar distance snap mode. Cursor input is restricted to distance increments from the last point.
  • Polar: Angle & Distance Snap. Selects polar angle and polar distance mode. Cursor input is limited both to angle and distance increments from the last point.

PolarSnap Settings
  • Angle. Sets the angle increments for PolarSnap. Saved in the POLARANG system variable.
  • Distance. Sets the radial distance increments for PolarSnap. Saved in the POLARDIST system variable.
  • Polar ToolTip. Controls whether polar ToolTips are displayed when the cursor stops moving. Saved in the registry.


POLYGON

POLYGON Command

Creates an equilateral closed polyline

Draw toolbar:
Draw menu: Polygon > Polygon
Command line: polygon

Number of sides <current>: Enter a value between 3 and 1024 or press ENTER
Edge / <Center of polygon>: Specify a point or enter e

Center of Polygon (POLYGON)

Defines the center of the polygon.

Specify the distance from the center of the polygon to the midpoints of the polygon segments.

Radius of circle: Specify a distance

Specifying the radius with your pointing device determines the rotation and size of the polygon. Specifying the radius with keyboard entry draws the bottom edge of the polygon at the current snap rotation.

Edge (POLYGON)

Defines a polygon by specifying the endpoints of the first edge.

First endpoint of edge: Specify a point (1)
Second endpoint of edge: Specify a point (2)

A polygon is a polyline object. AutoCAD LT draws polylines with zero width and no tangent information. You can use the PEDIT command to change these values.

Related Commands: PEDIT edits polylines. PLINE creates open or closed two-dimensional polylines.
System Variables: POLYSIDES stores the current number of polygon sides.


PREFERENCES

PREFERENCES Command

Customizes AutoCAD LT settings

Tools menu: Preferences
Command line: preferences

The Preferences dialog box is displayed.

Preferences Dialog Box
  • Work Space Tab. Controls user-interface settings.
  • Color Tab. Specifies color preferences for AutoCAD LT components.
  • Font Tab. Specifies text font preferences for the AutoCAD LT graphics window and text window.
  • System Tab. Specifies a number of general AutoCAD LT operating preferences.
  • Printer Tab. Customizes printer or plotter settings and sets the current printer.
  • Files Tab. Specifies the location of temporary files, support directories, and several default file names.

Work Space Tab (PREFERENCES)

Show the Start Up Dialog Box

Controls whether the Start Up dialog box is displayed when you start AutoCAD LT. You can use the Start Up dialog box to specify settings in the new AutoCAD LT session.

Beep on Error

Toggles whether a sound is emitted when AutoCAD LT encounters an input error.

Display Scrollbars

Controls whether the scrollbars display on the bottom and right side of AutoCAD LT.

Graphics Cursor Size

Controls the size of the crosshair. The allowable range is from 1 to 100 percent of the total screen. At 100% the ends of the crosshair are never visible. When the size is decreased to 99% or below, the crosshairs have a finite size, and the crosshairs' ends are visible when moved to the edge of the graphics area. The default size is 5%.

Right-Click Mouse Button

  • AutoCAD LT Classic. Repeats the last command.
  • Bring up Pop-up Menu. Displays a pop-up menu containing selections relevant to the previous action.

Shortcut (Accelerator) Keys

  • MS Windows Standard. Follows Microsoft Windows standards in interpreting shortcut keys. For example, CTRL+C equals COPYCLIP.
  • AutoCAD LT Classic. Interprets shortcut keys using AutoCAD LT standards rather than Microsoft Windows standards. For example, CTRL+C equals cancel. CTRL+C does not cancel dialog boxes.

Running Object Snap/Coordinate Entry Priority

  • Running Object Snap. Running object snaps override specific coordinates at all times.
  • Coordinate Entry. Specific coordinates that you enter override running object snaps at all times.
  • Coordinate Entry (except scripts). Specific coordinates that you enter override running object snaps, except in scripts.
User Name

Inserts the user name that you specify into your drawing along with the drawing name, revision date, and time.

Color Tab (PREFERENCES)

Window Element

Specifies which element you are changing.

Basic Colors

Sets the colors for the currently selected AutoCAD LT window element. Select a color or use the sliders to adjust the color.

System Colors

Resets the AutoCAD LT window colors to the default colors.

Monochrome Vectors

Displays all objects in a drawing in a single color regardless of layer and color assignments.

Font Tab (PREFERENCES)

Font

Specifies a text font from a list.

Font Style

Specifies a display style, such as italic, bold, or regular, for the selected font.

Size

Specifies the point size of the text font.

Font to Change

Specifies whether you are changing the font in the text window or the command window.

Sample Text Window Font

Displays a sample showing your changes.

System Tab (PREFERENCES)

External Reference File Demand Load

Controls demand loading of xrefs. Demand loading improves performance by loading only the parts of the referenced drawing that are needed to regenerate the current drawing.

Always Create Backups (BAK)

Specifies whether a backup copy of a drawing is created when you save the drawing. To specify the location and name of the backup file, use the Files tab. You can also use the ISAVEBAK system variable to control whether a backup copy of the drawing is created.

Maintain a Log File

Specifies whether the contents of the text window are written to a log file. To specify the location and name of the log file, use the Files tab. You can also control the log file using LOGFILEMODE and LOGFILENAME.

Save Thumbnail Preview Image

Specifies whether an image of the drawing should be displayed in the Preview area of the Select File dialog box. Save Thumbnail Preview Image is also controlled by the RASTERPREVIEW system variable.

Automatic Save Every

Choose Automatic Save to save your drawing automatically at the interval you specify. You can also set the interval using the SAVETIME system variable.

Pointing Device Input

Sets the current AutoCAD LT pointing device.

Wintab Digitizer

Controls the type of digitizer from which AutoCAD LT accepts input.

Digitizer Input from Calibrated Tablet Only

Accepts input only when the tablet is calibrated and tablet mode is on. If you have no tablet calibrated, this option is unavailable and AutoCAD LT defaults to Tablet or Mouse input.

Digitizer Input from Tablet or Mouse

Accepts input from the tablet or the mouse.

Printer (PREFERENCES)

Customizes printer or plotter settings and sets the current printer.

Current Printer

Displays the name of the current printer.

List of Printers

Displays a list of the available printers.

Printer Description

Displays information about the currently selected printer.

Set Current

Makes the selected printer the current printer.

Modify

Reconfigures the selected printer. Select a printer from the list of available printers and choose Modify. In the Reconfigure a Printer dialog box, provide a description for the printer. Then choose Reconfigure. AutoCAD LT displays the text window with prompts for printer settings. If you just want to update the printer description, choose OK instead of Reconfigure in the Reconfigure a Printer dialog box.

New

Displays the Add a Printer dialog box. To add a printer, select a printer from the list of available printers, provide a description, and then choose OK. AutoCAD LT displays the text window with prompts for printer settings.

Open

Opens a printer configuration file. In the Select PC2 File dialog box, select the configuration file for the device you want to use. Then choose OK.

Save As

Saves the complete configuration information for a printer to a file. Specify a directory and name for the PC2 file. Then choose OK.

Remove

Removes the selected printer from the list of available printers.

Files Tab (PREFERENCES)

Specifies the folders in which AutoCAD LT looks for text fonts, menus, plug-ins, drawings to insert, linetypes, and hatch patterns that are not in the current folder. Also specifies optional user-defined settings such as which dictionary to use for checking spelling.

Search Paths, File Names, and File Locations

Displays a list of the directories and files used by AutoCAD LT. To specify a location for a directory or file, select the directory or file from the list. Choose Browse and use the Choose Directory dialog box to locate the directory or file you want to use.

Support File Search Path

Specifies the directories AutoCAD LT searches for support files. In addition to the files required to run AutoCAD LT, you can include files for fonts, menus, drawings to insert, linetypes, and hatch patterns in the support file search path.

Menu, AutoSave, Log, and Default Internet Location

Specifies the names and locations of various types of files.

Menu File

Specifies the location of the AutoCAD LT menu file to use.

Automatic Save File

Specifies the path for the file that is created if you select Automatic Save on the General tab.

Log File

Specifies the path for the file that is created if you select Maintain a Log File on the System tab.

Default Internet Location

Specifies the default internet location used by Connect to Internet on the Help menu.

Dictionary and Font File Names

Specifies a number of optional settings.

Main Dictionary

Specifies the dictionary to use for checking spelling. You can select American English, one of two options for British English, or one of two options for French.

Custom Dictionary File

Specifies a custom dictionary to use if you have one.

Alternate Font File

Specifies the location of the font file to use if AutoCAD LT cannot locate the original font and an alternate font is not specified in the font mapping file.

Font Mapping File

Specifies the location of the file that defines how AutoCAD LT should convert fonts that it cannot locate.

Print File Name

Specifies an alternate name to use for the temporary plot file name. The default name is the name of the drawing plus the file extension .plt.

Template Drawing File Location

Specifies the path for the template files used by the start-up wizards.

Temporary Drawing File Location

Specifies the location AutoCAD LT uses to store temporary files.


Preview

PREVIEW Command

Shows how the drawing will look when it is printed or plotted

File menu:
Command line: preview

Press ESC or ENTER to exit, right-click to access the Print Preview pop-up menu, which offers additional preview options.

AutoCAD LT displays the preview, and the cursor changes to a magnifying glass with plus (+) and minus (-) signs. Dragging the cursor toward the top of the screen enlarges the preview image. Dragging toward the bottom of the screen reduces the preview image.

PREVIEW displays a full-page preview of the current drawing. The preview is based on the current plot configuration, as defined by the PLOT command.

Print Preview Menu

Controls Print Preview options. To access this menu, right-click in the preview area.

Exit

Exits Print Preview.

Plot

Prints or plots the drawing as it displays in the full-sheet preview, then exits Print Preview.

Pan

Displays a hand cursor you can use to pan the preview image. Hold the pick button and drag the cursor in any direction. The pan cursor stays active until you select Zoom again.

Zoom

Displays a magnifying glass cursor you can use to enlarge or reduce the preview image. To enlarge the image, hold the pick button and drag the cursor toward the top of the screen. To reduce the image, hold the pick button and drag the cursor toward the bottom of the screen.

Zoom Window

Zooms to display a specified window. Zoom Window works with both the zoom cursor and the pan cursor.

Zoom Previous

Restores the initial full-sheet preview. Zoom Previous works with both the zoom cursor and the pan cursor.

Related Commands: PLOT plots a drawing to a plotter, printer, or file.


SAVEAS

SAVEAS Command

Saves a copy of the current drawing under a new file name

File menu: Save As
Command line: saveas

The Save Drawing As dialog box is displayed. You can also specify a new file location and format.

Save Drawing As Dialog Box
File Name

Select or enter the name you want to assign to the drawing file you want to save.

Save as Type

Select the type of files you want displayed in the File Name box. Select the file format in which you want to save the drawing.

Save In

Select the drive and directory where you want to store the saved drawing file.

Options

Open the Export Options dialog box.

Export Options Dialog Box

Controls the drawing index and display of custom objects

Drawing Index

Determines whether layer or spatial indexes are created when you save a drawing. The indexes are used to improve performance during demand loading. Using indexes may slightly increase time required to save a drawing. Index types are None, Layer, Spatial, and Layer and Spatial.

Save Proxy Images of Custom Objects

If you save to the Release 14 or Release 13 file type, and the drawing contains custom objects from another application, you can select Save Proxy Images of Custom Objects. Images of the custom objects are saved in the drawing file. If you do not choose this option, a frame for each object is saved in the drawing file.

  • None. Neither layer nor special indexes are created when you save a drawing.
  • Layer. Specifies that AutoCAD LT loads only layers that are on and thawed.
  • Spatial. Specifies that AutoCAD LT loads only the portion of the drawing within a clipped boundary.
  • Layer and Spatial. Optimizes performance by specifying that AutoCAD LT loads only layers that are on and thawed and are within a clipped boundary area.

Related Commands: QSAVE saves the current drawing. QUIT exits AutoCAD LT and allows you to save changes to the current drawing. SAVE saves the drawing under the current file name or a specified name.


SAVEURL

SAVEURL Command

Saves a DWG file to an Internet address

Internet Utilities toolbar:
File menu: Save to Internet
Command line: saveurl

The The Save DWG to URL dialog box is displayed.

To save the current AutoCAD LT drawing directly to the Internet, use SAVEURL. You can enter a URL using ftp. You cannot use http and file formats.

Note: AutoCAD LT Internet Utilities cannot transfer files using ftp when you are connected to the Internet through a proxy server.

Save DWG to URL Dialog Box

You specify the address of the Internet site with the drawing you want to save in this dialog box. Enter a URL with an FTP address.

Options

Use Options to specify how your computer is connected to the Internet, whether by direct connection or proxy server, and to enter your login, user names, and passwords.

FTP Login
  • Anonymous Login. Select to login anonymously and enter the user name anonymous with no password. Clear to login to a secured server and enter your user name and password.

    Note: The FTP password is not remembered across AutoCAD LT sessions.

  • HTTP Secure Access. Enter your user name and password if your regularly access HTTP addresses that require authentication. If you leave these values blank, and the address requires authentication, you will be prompted.

    Note: The HTTP password is not remembered across AutoCAD LT sessions.

    Connection
  • Direct Connection. Select if you have a connection to the Internet through an ISP (Internet service provider).
  • Proxy Server. Select if you have a connection through a machine that serves as a gateway between a company�s internal intranet and the external Internet. If you do not know if you are using a proxy server you can usually look at the proxy settings in your browser by selecting Options or you can contact your network system administrator.
    Proxy Information
  • Proxy Server Name. Enter the proxy server name that you found by using Options in your browser or that your network system administrator supplied you.
  • FTP Port. The default port is automatically set. To select another port, enter its number.
  • HTTP Port. The default port is automatically set. To select another port, enter its number.


SPLINEDIT

SPLINEDIT Command

Edits a spline object or spline-fit polyline

Modify II toolbar:
Modify menu: Objects > Spline
Command line: splinedit

Select spline: Use an object selection method
Fit Data / Close / Move Vertex / Refine / rEverse / Undo / eXit <X>: Enter an option or press ENTER

When you select a spline object or spline-fit polyline, grips appear at the control points.

If the selected spline is closed, the Close option changes to Open. If the selected spline has no fit data, the Fit Data option is not available. Fit data consists of all fit points, the fit tolerance, and tangents associated with splines created with the SPLINE command.

A spline can lose its fit data if you

  • Use the Purge option while editing fit data
  • Refine the spline by elevating the order, adding a control point, or changing the weight of a control point
  • Change the fit tolerance
  • Move a control point
  • Trim, break, stretch, or lengthen the spline

Fit Data (SPLINEDIT)

Edits fit data splines using the following options:

Add / Close / Delete / Move / Purge / Tangents / toLerance / eXit <X>: Enter an option or press ENTER

Add

Adds fit points to a spline.

Select point: Select a fit point
Enter new point: Specify a point
Enter new point: Specify a point or press ENTER

When you select a point, AutoCAD LT highlights it and the next point and interprets the new point to go between the highlighted points. Use the Undo option to remove the last point added.

Selecting the last point on an open spline highlights only that point, and AutoCAD LT adds the new point after the last. If you select the first point on an open spline, you have the option of placing the new point before or after the first point.

After / <Before> <Enter new point>: Specify a point, enter an option, or press ENTER
Enter new point: Specify a point or press ENTER

AutoCAD LT adds the point and refits the spline through the new set of points.

Close

Closes an open spline and makes it tangent continuous (smooth) at its endpoints.

If the start point and endpoint of the spline are the same, the close option makes it tangent continuous at both points

Open

Opens a closed spline. If the start point and endpoint of the spline were the same before the Close option was used to make it tangent continuous at both points, the Open option returns the spline to its original state. The start point and endpoint remain the same but lose their tangent continuity (smoothness).If the spline was open before the Close option was used to make it tangent continuous where the start point and endpoint meet, the open option returns the spline to its original open state and removes tangent continuity.

Delete

Removes fit points from a spline and refits the spline through the remaining points.

Select point: Select a fit point or press ENTER

Move

Moves a fit point to a new location.

Next / Previous / Select Point / eXit / Enter new location: <N>: Specify a point, enter an option, or press ENTER

  • Select Point. Selects from the set of fit points.
  • Next. Changes the selected point to be the next point.
  • Previous. Changes the point to the previous point.
  • Enter New Location. Moves the selected point when you specify a point.
  • Exit. Returns you to the main prompt of the SPLINEDIT command.

Purge

Removes a spline's fit data from the drawing database. After purging the spline's fit data, AutoCAD LT displays the main prompt without the Fit Data option.

Tangents

Edits the start and end tangents of a spline.

System Default/<Enter start tangent>: Specify a point, enter an option, or press ENTER
System Default/<Enter end tangent>: Specify a point, enter an option, or press ENTER

If the spline is closed, the Enter Start Tangent option changes to Enter Tangent. The System Default option calculates the default tangents at the ends. You can specify a point or use Tan or Perp object snap mode to make the spline tangential or perpendicular to existing objects.

Tolerance

Refits the spline to the existing points with new tolerance values.

Enter fit tolerance <current>: Enter a value or press ENTER

Exit

Returns to the main prompt of the SPLINEDIT command.

Close (SPLINEDIT)

Closes an open spline and makes it tangent continuous (smooth) at its endpoints. If the start point and endpoint of the spline are the same, the Close option makes it tangent continuous at both points.

Open

Opens a closed spline. If the start point and endpoint of the spline were the same before the Close option was used to make it tangent continuous at both points, the Open option returns the spline to its original state. The start point and endpoint remain the same but lose their tangent continuity (smoothness).

If the spline was open before the Close option was used to make it tangent continuous where the start point and endpoint meet, the Open option returns the spline to its original open state and removes tangent continuity.

Move Vertex (SPLINEDIT)

Relocates the control vertices of a spline and purges the fit points.

Next / Previous / Select Point / eXit / Enter new location <N>: Specify a point, enter an option, or press ENTER

Next

Changes the selected point to be the next point. The point marker does not wrap around from the end to the start of the spline, even if the spline is closed.

Previous

Changes the selected point to be the previous point. The point marker does not wrap around from the end to the start of the spline, even if the spline is closed.

Select Point

Selects a point from the set of control points.

Exit

Ends the SPLINEDIT command.

Enter New Location

Moves the selected point to a new location when you locate a point or enter a coordinate.

After you enter a new location for the selected point, AutoCAD LT recalculates and displays the spline with a new set of control points.

Refine (SPLINEDIT)

Fine-tunes a spline definition.

Add control point / Elevate Order / Weight / eXit <X>: Enter an option or press ENTER

Add Control Point

Increases the number of points that control a portion of a spline.

Select a point on the spline: Select a point or press ENTER

AutoCAD LT adds a new control point close to the location you select between the two control points.

Elevate Order

Increases the order of the spline.

Enter new order <current>: Enter an integer or press ENTER

Entering a value greater than the current value increases the number of control points uniformly across the spline for more localized control. The maximum value for order is 26.

Weight

Changes the weight at various spline control points. A larger value will pull the spline closer to the control point.

Next / Previous / Select Point / eXit / <Enter new weight> <current> <N>: Enter an integer, enter an option, or press ENTER

  • Next. Changes the selected point to be the next point. The point marker does not wrap around from the end to the start of the spline, even if the spline is closed.
  • Previous. Changes the selected point to be the previous point. The point marker does not wrap around from the end to the start of the spline, even if the spline is closed.
  • Select Point. Selects a point from the set of control points.
  • Exit. Returns to the main Refine prompt.
  • Enter New Weight. Recalculates the spline based on the new weight value at the selected control point. The larger the value, the more the spline is pulled toward the control point.
Exit

Returns to the main prompt.

Reverse

Reverses the direction of a spline. This option is intended primarily for applications that are added on to AutoCAD LT.

Undo

Cancels the last editing action.

Exit

Ends the command and returns to the Command prompt.

Related Commands: PEDIT edits spline-fit polylines. SPLINE creates a quadratic or cubic spline (NURBS) curve.


STYLE

'STYLE Command

Creates named text styles

Format menu: Text Style
Command line: style

The Text Style dialog box is displayed.

If you enter -style at the Command prompt, STYLE presents options on the command line.

The STYLE command also modifies existing styles and sets the current style for subsequent TEXT, DTEXT, and MTEXT commands.

Text Style Dialog Box

Add or modify styles.

Style Name

Displays text style names, adds new styles, renames and deletes existing styles. Style names can be up to 31 characters long. They can contain letters, numbers, and the special characters dollar sign ($), underscore (_), and hyphen (-). AutoCAD converts the name to uppercase characters.

The list contains defined style names and displays the current style by default. To change the current style, select another style from the list, or choose New to create a new style.

  • New. Displays the New Text Style dialog box and automatically supplies the name "stylen" (where n is the number of the supplied style) for the current settings. You can accept the default or enter a name in the box and choose OK to apply the current style settings to the new style name.
  • Rename. Displays the Rename Text Style dialog box. The text style listed in the box is renamed when you enter a new name and choose OK.
    Note: You can also use DDRENAME or RENAME to change the name of an existing text style. If any existing text object uses the old style name, the text object takes the new name automatically.
  • Delete. Deletes a text style. Select a name from the list to make it current, and then choose Delete.
Font (STYLE)

Changes the style's font.

  • Font Name. Lists the font family name for all registered TrueType fonts and all AutoCAD compiled shape (SHX) fonts in the AutoCAD Fonts directory. When you select a name from the list, AutoCAD reads the file for the specified font. The file's character definitions are loaded automatically unless the file is already in use by another text style. You can define several styles that use the same font.
  • Font Style. Specifies font character formatting, such as italic, bold, or regular. When Use Big Font is selected, this option changes to Big Font Name and is used to select a Big Font file name.
  • Height. Sets the text height based on the value you enter. If you enter 0.0, AutoCAD prompts for the text height each time you enter text using this style. Entering a height greater than 0.0 sets the text height for this style. TrueType fonts may be displayed at a smaller height than SHX fonts with the same height setting.

Use the Big Font option to specify an Asian-language Big Font file; Use Big Font is available only if an SHX file is specified under Font Name; only SHX files are valid file types for creating Big Fonts.

Note: The text height you specify may not be accurately represented by uppercase letters in TrueType fonts supplied with AutoCAD.

Effects (STYLE)

Modifies characteristics of the font, such as whether it is displayed upside down or not, backwards, or vertically aligned, as well as its height, width factor, and obliquing angle.

  • Upside Down. Displays the characters upside down.
  • Backwards. Displays the characters backwards.
  • Vertical. Displays the characters aligned vertically. Vertical is available only if the selected font supports dual orientation. Vertical orientation is not available for TrueType fonts.
  • Width Factor. Sets the character spacing. Entering a value less than 1.0 condenses the text. Entering a value greater than 1.0 expands it.
  • Oblique Angle. Sets the obliquing angle of the text. Entering a value between -85 and 85 italicizes the text.

Note: TrueType fonts using these effects might appear bold on the screen. Onscreen appearance has no effect on plotted output; fonts are plotted as specified by applied character formatting.

Preview (STYLE)

Displays sample text that changes dynamically as you change fonts and modify the effects. To change the sample text, enter characters in the box below the character preview image.

  • Preview Button. Updates the sample text in the character preview image according to any changes you've made in the dialog box.

Note: Height has no effect in the character preview image, because a very large text height might show little or no text.

Apply (STYLE)

Applies style changes made in the dialog box to text of the current style in the drawing.

Cancel (STYLE)

Cancel changes to Close whenever a change is made to any of the options under Style Name.

Close (STYLE)

Cancel changes to Close whenever a change is made to any of the options under Style Name. Changing, renaming, or deleting the current style and creating a new style are operations that take place immediately and cannot be canceled.

Using the Command Line

Text style name (or ?) <current>: Enter a style name, enter ?, or press ENTER

At the Text Style Name prompt, you can enter a text style name of up to 31 characters. The name can contain letters, numbers, and the special characters dollar sign ($), hyphen (-), and underscore (_). To define a style that uses Big Fonts, you can use long file names that do not contain commas; commas are used to separate SHX files and Big Font files for defining a Big Font file. Pressing ENTER displays the following prompt (full font names are displayed only if the current font is a TrueType font):

Existing style. Full font name = <current>: Specify full font name or font file name <complex.shx,bigfont.shx>

Enter a TrueType font family name or an SHX font file name. If you do not enter a file extension, AutoCAD searches for an SHX file. If the file is not located, the Windows operating system substitutes the first located registered TrueType font.

All long file names except those containing commas are accepted at the prompt. The comma is reserved for the Big Font naming convention: an SHX file followed by a comma (,), followed by the Big Font file name. A space is interpreted as part of the font name, not as a carriage return.

Entering a tilde (~) displays the Select Font File dialog box.

In the Select Font File dialog box, valid types include SHX and TTF. AutoCAD reads the specified font file. The file's character definitions are loaded automatically unless the file is already in use by another text style. You can define several styles that use the same font file.

Height <current>: Specify a distance or press ENTER

If you enter a height of 0.0, AutoCAD prompts you for the text height each time you enter text using this style. Entering a height greater than 0.0 sets the text height for this style.

Width factor <current>: Specify a distance or press ENTER

Entering a value less than 1.0 condenses the text. Entering a value greater than 1.0 expands it.

Obliquing angle <current>: Specify an angle or press ENTER

Entering a value between -85 and 85 obliques the text.

Backwards : Enter y or n or press ENTER
Upside-down <N>: Enter y or n or press ENTER
Vertical <N>: Enter y or n or press ENTER

Vertical is available only if the selected font supports dual orientation.

Entering ? displays the following prompt:

Text style(s) to list <*>: Enter the name of a style, enter *, or press ENTER

At the Text Style(s) to List prompt, entering the name of a style displays the name, font file, height, width factor, obliquing angle, and generation of the style and exits the command. Entering an asterisk (*) or pressing ENTER displays the height, width factor, obliquing angle, and generation of each style and exits the command.

If you change the orientation or font file of an existing text style, all text objects with that style use the new values when the drawing is regenerated. If REGENAUTO is on, the change causes an automatic regeneration.

You can use DDRENAME or RENAME to change the name of an existing text style. If any existing text object uses the old style name, the text object takes the new name automatically.


TABLET

TABLET Command

Calibrates and configures the tablet; turns Tablet mode on and off

Options menu: Tablet
Command line: tablet

Option (ON / OFF / CAL/ CFG): Enter an option

On

Turns on Tablet mode. Setting the TABMODE system variable to 1 also turns on Tablet mode. Pressing CTRL+T on some systems turns Tablet mode on and off.

Off

Turns off Tablet mode. Setting the TABMODE system variable to 0 also turns off Tablet mode. Pressing CTRL+T on some systems turns Tablet mode on and off.

Cal

Calibrates the digitizer with a paper drawing or photograph, creating the tablet transformation, which is the mapping of points from the tablet to the coordinate drawing system. Calibration is digitizing points on the drawing and mapping them to their real coordinates.

Calibration can be performed in model space or paper space. The CAL option turns on Tablet mode in the space in which the tablet is calibrated. When the space is changed, the CAL option turns off Tablet mode.

The paper should be flat (with no bumps or wrinkles), and securely fastened to the digitizing tablet. The paper can be oriented at any angle.

Digitize point 1: Digitize a point on the paper drawing
Enter coordinates point 1: Specify an X,Y coordinate at the digitized point
Digitize point 2: Digitize a point on the paper drawing
Enter coordinates point 2: Specify an X,Y coordinate at the digitized point
Digitize point 3 (or ENTER to end): Digitize a point on the tablet or press ENTER
Enter coordinates for point 3: Specify an X,Y coordinate in the drawing

The points entered cannot be duplicates. The points need not be the origin on either axis, and you can enter as many points as you like. The more points entered, the more accurate the drawing will be.

After calibrating the tablet, set the transformation to Orthogonal, Affine, or Projective.

  • Orthogonal. Specifies translation, uniform scaling, and rotation with two calibration points. Use Orthogonal for dimensionally accurate paper drawings and paper drawings in which the portion to be digitized is long and narrow, with most points confined to single lines.

    • Note: You must specify the lower-left point location before the upper-right point location.

  • Affine. Specifies arbitrary linear transformation in two dimensions consisting of translation, independent X- and Y-scaling, rotation, and skewing with three calibration points.

    • Use Affine when horizontal dimensions in a paper drawing are stretched with respect to vertical dimensions, and lines that are supposed to be parallel actually are parallel.

    The RMS (root mean square) error reported after calibration measures how close AutoCAD LT has come to making a perfect fit. Affine should be used if the RMS is small.

  • Projective. Specifies a transformation equivalent to a perspective projection of one plane in space onto another plane with four calibration points. A projective transformation provides a limited form of what cartographers call rubber sheeting, in which different portions of the tablet surface are stretched by varying amounts. Straight lines map into straight lines. Parallel lines do not necessarily stay parallel.

    • Projective transformation corrects parallel lines that appear to converge.

If only two points are entered, AutoCAD LT LT automatically computes an orthogonal transformation. If it is successful, AutoCAD LT ends the command.

If three or more points are entered, AutoCAD LT computes the transformation in each of the three types to determine which best fits the calibration points. If more than four points are entered, computing the best-fitting projective transformation can take a long time. You can cancel the process by pressing ESC.

When the computations are complete, AutoCAD LT displays a table with the number of calibration points and a column for each transformation type. The following information is provided under each column.

  • Outcome of fit. Reports the outcome of fit for each of the transformation types. If the outcome of fit is not Success or Exact for any of the transformation types, AutoCAD LT reports failure of the entire calibration process and ends the command.

  • RMS error. Reports the RMS (root mean square) error, which measures how close AutoCAD has come to finding a perfect fit. The goal is the smallest RMS error.

  • Standard deviation. Reports the standard deviation of the residuals. If it is near zero, the residual at each calibration point is about the same.

  • Largest residual/At point. Reports the point at which the mapping is least accurate. The residual is the distance between where the point was mapped during transformation and where it would be mapped if the fit were perfect. The distance is given in the current linear units.

  • Second largest residual/At point. Reports the point at which the mapping is second-least accurate. The residual is the distance between where the point was mapped during transformation and where it would be mapped if the fit were perfect. The distance is given in the current linear units.

The remaining entries in each column are blank unless the outcome of fit is Success.

Cfg

Designates or realigns the tablet menu areas or designates a portion of a large tablet as a screen pointing area.

Enter number of tablet menus desired (0-4) <current>: Enter a value or press ENTER

If tablet menus are in use and the same number of menus is selected, AutoCAD LT prompts:

Do you want to realign tablet menu areas? <:N>: Enter y or n or press ENTER
Digitize upper-left corner of menu area n: Digitize a point (1)
Digitize lower-left corner of menu area n: Digitize a point (2)
Digitize lower-right corner of menu area n: Digitize a point (3)

In the prompt, n is the menu number (1-4).

The printed menu form must be affixed to the tablet surface, and the requested points must be digitized. The set of three points must form a 90-degree angle. Tablet menu areas can be skewed at any angle.

Enter the number of columns for menu area n: Enter a positive value
Enter the number of rows for menu area n: Enter a positive value

After all interaction concerning tablet menus is complete, AutoCAD LT displays the following prompt:

Do you want to respecify the screen pointing area? <N>: Enter y or n or press ENTER

If you enter y AutoCAD LT displays the following prompt:.

Digitize lower-left corner of the pointing area: Digitize a point
Digitize upper-right corner of the pointing area: Digitize a point

A small portion of the tablet's surface is designated as the Fixed Screen Pointing area. AutoCAD LT displays the following prompts:

Do you want to specify the Floating Screen Pointing area? <N>: Enter y or n or press ENTER

If you responded y to the previous prompt, respond to the following prompt.

Do you want the Floating Screen Area to be the same size as the Fixed Screen Pointing Area? <Y>: Enter y or n or press ENTER

If you responded n to the previous prompt, respond to the following prompts.

Digitize lower-left corner of the Floating Screen pointing area: Digitize a point
Digitize upper-right corner of the Floating Screen pointing area: Digitize a point

Respond to the following prompt.

The F12 key will toggle the Floating Screen Area ON and OFF. Would you also like to specify a button to toggle the Floating Screen Area? <N>: Enter y or n or press ENTER

If you responded y to the previous prompt, respond to the following prompt.

Press any non-pick button on the digitizer puck that you wish to designate as the toggle for the Floating Screen Area.

Related Commands: REINIT reinitializes the digitizer.
System Variables: TABMODE turns Tablet mode on and off.


TIME

'TIME Command

Displays the date and time statistics of a drawing

Tools menu: Time
Command line: time

AutoCAD LT displays information as in the following example:

Current time: 16 Mar 1994 at 09:10:44.005

Times for this drawing:

Created: 23 Jul 1993 at 07:21:30.648

Last updated: 12 Mar 1994 at 15:33:59.771

Total editing time: 0 days 01:44:10.520

Elapsed timer (on): 0 days 00:07:05.312

Next automatic save in: 0 days 01:59:15.570

Related Commands: PREFERENCES sets the time interval for automatic saves. REVDATE inserts or updates a block containing user name, current time and date, and drawing name.
System Variables: SAVETIME stores the time interval for automatic saves. CDATE stores the current date. TDCREATE stores the time and date of the drawing creation. TDINDWG calculates the total editing time. TDUPDATE stores the time and date of the last update/save. TDUSRTIMER calculates time for the user elapsed timer.


TOOLBAR

TOOLBAR Command

Displays, hides, and positions toolbars

View menu: Toolbars
Command line: toolbar

AutoCAD LT displays the Toolbars dialog box.

If you enter -toolbar at the Command prompt, TOOLBAR presents options on the command line.

Toolbars Dialog Box

Displays or hides toolbars. To turn a toolbar on or off, select the box to the left of its name.

New

Displays the New Toolbar dialog box.

Delete

Removes the toolbar selected in the Toolbars list.

Customize

Displays the Customize Toolbars dialog box.

Properties

Displays the Toolbar Properties dialog box.

Large Buttons

Controls the size at which buttons are displayed. The default display size is 16 x 16 pixels. Turning on Large Buttons displays icons at 24 x 24 pixels.

Show ToolTips

Controls whether ToolTips are displayed when you move your cursor over an icon in the toolbar.

Menu Group

Displays the menu group that a toolbar belongs to. If the toolbars you want to display, hide, or edit belong to a menu group other than ACLT, you need to select that menu group from the list box.

New Toolbar Dialog Box

Creates a new toolbar.

Toolbar Name

Specifies a name for the new toolbar.

Menu Group

Specifies a menu group for the new toolbar. For more information, see "Creating Pull-Down and Right-Click Menus".

Customize Toolbars Dialog Box

Moves or copies icons from one toolbar to another. Drag the icon from the Customize Toolbars dialog box to a visible toolbar. To copy a tool icon, hold down CTRL while you drag.

When the Customize Toolbars dialog box is displayed, right-clicking any icon displays the Button Properties dialog box. Right-clicking an icon that contains a flyout toolbar displays the Flyout Properties dialog box.

Toolbar Properties

Provides information about the toolbar and changes the toolbar name and help text.

Name

Specifies a toolbar name.

Help

Displays the text displayed at the left end of the status bar when the pointing device moves over the toolbar.

Alias

Displays the toolbar name that AutoCAD LT uses internally. The name includes a prefix that represents the toolbar's menu group, followed by the toolbar name as it appears in the aclt.mnu file. The toolbar alias is used in the TOOLBAR command.

Button Properties Dialog Box

Name

Specifies the tool name. If Show ToolTips is selected in the Toolbars dialog box, the name is displayed when the pointing device moves over the tool icon.

Help

Displays the text displayed at the left end of the status bar when the pointing device moves over the tool icon.

Macro

Controls the command or set of commands associated with a tool icon. Enter a command in the box. Separate a series of commands using a semicolon (;).

Button Icon Dialog Box

Specifies the icon associated with a tool. Select an icon from the list or choose Edit to modify an icon. Edit displays the Button Editor dialog box, in which you can customize an existing button or create a new one.

Flyout Properties Dialog Box

Name

Specifies the tool icon name. If Show ToolTips is selected in the Toolbars dialog box, the name is displayed when the pointing device moves over the tool icon.

Help

Displays the text displayed at the left end of the status bar when the pointing device moves over the tool icon.

Associated Toolbar

Specifies the toolbar associated with the flyout icon.

Show This Button's Icon

Displays the flyout icon specified under Button Icon. If Show This Button's Icon is selected, AutoCAD LT uses this icon for the flyout. Otherwise, the flyout icon displayed is the icon of the last flyout selected.

Button Icon

Specifies the icon associated with a tool. Select an icon from the list, or choose Edit to modify an icon. Edit displays the Button Editor dialog box, in which you can customize an existing button or create a new one.

Button Editor

Modifies or creates buttons.

Button Image

Displays the button at its actual size.

Editing Tools
  • Pencil. Edits one pixel at a time in the selected color. Drag the pointing device to edit several pixels at once.
  • Line. Creates lines in the selected color. Press the return button on the pointing device to set the first endpoint of the line. Drag to draw the line. Release the return button to complete the line.
  • Circle. Creates circles in the selected color. Press the return button on the pointing device to set the center of the circle. Drag to set the radius. Release the return button to complete the circle.
  • Erase. Sets pixels to white. Double-click the Erase tool with the pointing device to set all pixels to white.
Editing Area

Provides a close-up view of the button icon for pixel editing.

Color Palette

Sets the current color.

Clear

Clears the editing area.

Open

Opens an existing button icon for editing. Button icons are stored as BMP files.

Undo

Undoes the last action.

Save

Saves the customized button icon as a BMP file.

Close

Closes the current button icon.

Grid

Turns on the grid. Each grid dot represents one pixel.

Using the Command Line

If you enter -toolbar at the Command prompt, TOOLBAR presents options on the command line.

Toolbar name (or ALL): Enter a name or all

Toolbar Name (TOOLBAR Command Line)

Specifies a toolbar to display, close, or position.

Enter a valid toolbar name. If the default menu is loaded, the following names are available:

_object_properties | insert | surfaces
_standard_toolbar | modify | ucs
dimension | modify_II | viewpoint
draw | object snap | zoom
external_database | render
inquiry | solids

Show/Hide/Left/Right/Top/Bottom/Float <Current>: Enter an option or press ENTER

Show

Displays the specified toolbar.

Hide

Closes the specified toolbar.

Left

Docks the specified toolbar at the left side of the screen.

Position <0,0>: Specify a position or press ENTER

The Position prompt sets the position of the toolbar in columns and rows relative to a toolbar dock. The first value is horizontal. The second value is vertical.

Right

Docks the specified toolbar at the right side of the screen.

Position <0,0>: Specify a position or press ENTER

The Position prompt sets the position of the toolbar in columns and rows relative to a toolbar dock. The first value is horizontal. The second value is vertical.

Top

Docks the specified toolbar at the top of the screen.

Position <0,0>: Specify a position or press ENTER

The Position prompt sets the position of the toolbar in columns and rows relative to a toolbar dock. The first value is horizontal. The second value is vertical.

Bottom

Docks the specified toolbar at the bottom of the screen.

Position <0,0>: Specify a position or press ENTER

The Position prompt sets the position of the toolbar in columns and rows relative to a toolbar dock. The first value is horizontal. The second value is vertical.

Float

Changes the toolbar from docked to floating.

Position <0,0>: Specify a position or press ENTER
Rows <1>: Specify a value

The Position prompt specifies the location of the floating toolbar in screen coordinate values. The Rows prompt specifies the number of rows in the floating toolbar.

ALL (-TOOLBAR Command Line)

Displays or closes all toolbars.

Show/Hide: Enter s or h

Show

Displays all toolbars.

Hide

Closes all toolbars.


TRACKING

Locates a point from a series of temporary points

Object Snap toolbar:
Cursor menu: Tracking

Tracking turns on Ortho mode and can be used with Snap mode.

At any AutoCAD LT prompt to locate a point, enter tracking, track, or tk.

First tracking point: Specify a location or distance
Next point (Press ENTER to end tracking): Specify a second location or distance

Tracking accepts a series of temporary points, each offset from the previous one. Thus, you specify a new point location from a series of directions and distances. To determine the location of each temporary point, you can use direct distance entry. First move the cursor to specify the direction, and then enter a numeric distance.

Alternatively, tracking can establish a new point by combining the X and Y values of two specified points. You can specify these two points in any order depending on the cursor direction after the first point. From locates a point offset from a reference point within a command. Direct distance entry accepts a distance in the direction of the current location of your cursor. Point filters combine X, Y, and Z values from different points into a single point. Relative coordinate entry locates a point relative to the last point entered.

Related Commands: The POLAR command constrains cursor input to specified angles and radial distances.


TRIM

TRIM Command

Trims objects at a cutting edge defined by other objects

Modify toolbar: Trim
Modify menu: Trim
Command line: trim

Select cutting edges: (Projmode = UCS, Edgemode = No extend)
Select objects: Use an object selection method
<Select object to trim> / Project / Edge / Undo: Select an object, enter an option, or press ENTER

Objects that can be trimmed include arcs, circles, elliptical arcs, lines, open 2D and 3D polylines, rays, xlines, and splines.

Select the objects that define the cutting edges at which you want to trim an object, or press ENTER to select all objects as potential cutting edges. Valid cutting edge objects include 2D and 3D polylines, arcs, circles, ellipses, lines, floating viewports, rays, splines, text, and xlines.

Select Object to Trim (TRIM)

Specifies the object to trim. AutoCAD LT repeats the main TRIM prompt with its options so that you can trim multiple objects. Pressing ENTER ends the command.

If the point you used to select the object is between the end of the object and a cutting edge, TRIM removes the portion of the object extending beyond the cutting edge. If the selection point is between two cutting edges, the portion between is deleted and the portions outside are preserved, turning one object into two.

AutoCAD LT trims wide 2D polylines at their center lines. If the polyline is tapered, the width at the cutting edge is the same after trimming. The ends of a wide polyline are always square. Cutting a wide polyline at an angle causes portions of the end to extend beyond the cutting edge. Trimming a spline-fit polyline turns the curve-fit information into ordinary polyline segments.

Project (TRIM)

Specifies the Projection mode AutoCAD LT uses when trimming objects.

None / Ucs / View <current>: Enter an option or press ENTER

None

Specifies no projection. AutoCAD LT trims only objects that intersect the boundary edge in 3D space.

UCS

Specifies projection onto the XY plane of the current UCS. AutoCAD LT trims objects that do not intersect with the boundary objects in 3D space.

View

Specifies projection along the current view direction. AutoCAD LT trims objects that intersect the boundary in the current view.

Edge (TRIM)

Determines whether the cutting edge is extended along its natural path to trim an object or must intersect an object in order to trim it.

Extend / No extend <current>: Enter an option or press ENTER

Extend

Extends the cutting edge along its natural path to trim an object in 3D space

No extend

Specifies that the object is to be trimmed only at a cutting edge that intersects it in 3D space.

Undo (TRIM)

Reverses the most recent change made by TRIM.

Related Commands: BREAK erases parts of an object or splits an object in two. EXTEND extends an object to meet another object.

System Variables: EDGEMODE determines whether an object is trimmed at another object's implied edge, or only to an object that intersects it in 3D space. PROJMODE sets the Projection mode AutoCAD LT uses when trimming objects.


UCS

UCS Command

Manages user coordinate systems
Standard toolbar:
View menu: Set UCS
Command line: ucs

Origin / ZAxis / 3point / OBject / View / X / Y / Z / Prev / Restore / Save / Del / ? / <World>: Enter an option or press ENTER

The user coordinate system is a movable system for coordinate entry, planes of operation, and viewing. Most AutoCAD LT geometric editing commands are dependent on the location and orientation of the UCS.

The UCS command sets the orientation of the user coordinate system in 3D space. It defines the orientation for 2D objects and the extrusion direction for the THICKNESS command. It also provides the axis of rotation for the ROTATE command and the default projection plane for specifying points.

World (UCS)

Sets the current UCS to the World Coordinate System (WCS). The WCS is the basis for all user coordinate systems and cannot be redefined.

Origin (UCS)

Defines a new UCS by shifting the origin of the current UCS, but leaving the direction of its X, Y, and Z axes unchanged.

Origin point <0,0,0>: Specify a point

Specify a new origin point relative to the origin of the current UCS. If you do not specify a Z coordinate value for the origin, this option uses the current elevation.

Zaxis (UCS)

Defines a UCS with a particular positive Z axis.

Origin point <0,0,0>: Specify a point
Point on positive portion of Z-axis <current>: Specify a point

Specify a new origin and a point that lies on the new positive Z axis. The Z Axis option tilts the XY plane.

3point (UCS)

Specifies the new UCS origin and the direction of its positive X and Y axes. The Z axis follows by applying the right-hand rule. You can use this option to specify any possible coordinate system.

Origin point <0,0,0>: Specify a point (1)
Point on positive portion of the X-axis <current>: Specify a point (2)
Point on positive-Y portion of the UCS XY plane <current>: Specify a point (3)

The first point specifies the origin of the new UCS. The second point defines the positive X axis. The third point defines the positive Y axis. The third point can be anywhere on the positive Y portion of the new UCS XY plane.

Object (UCS)

Defines a new coordinate system based on a selected object. The new UCS has the same extrusion direction (positive Z axis) as that of the selected object.

Select object to align UCS: Select an object

The following objects cannot be used: polyline, viewport, spline, ellipse, ray, xline, leader, mtext.

For objects other than 3D faces (available only when viewing AutoCAD LT drawings), the XY plane of the new UCS is parallel to the XY plane in effect when the object was drawn. However, the X and Y axes can be rotated differently.

The new UCS is defined as described in the following table.

Object | Method of UCS determination
Arc | The center of the arc becomes the new UCS origin. The X axis passes through the arc endpoint that is closest to the selection point.
Circle | The center of the circle becomes the new UCS origin. The X axis passes through the selection point.
Dimension | The midpoint of the dimension text becomes the new UCS origin. The direction of the new X axis is parallel to the X axis of the UCS in effect when the dimension was drawn.
Line | The endpoint nearest the selection point becomes the new UCS origin. AutoCAD LT chooses the new X axis so that the line lies in the XZ plane of the new UCS. The line's second endpoint has a Y coordinate of zero in the new system.
Point | The point becomes the new UCS origin.
2D polyline | The start point of the polyline is the new UCS origin. The X axis extends along the line segment from the start point to the next vertex.
2D Solid | The first point of the solid determines the new UCS origin. The new X axis lies along the line between the first two points.
Shape, Text, Block Reference, Attribute Definition | The insertion point of the object becomes the new UCS origin, and the new X axis is defined by the rotation of the object around its extrusion direction. The object you select to establish a new UCS has a rotation angle of zero in the new UCS.

View (UCS)

Establishes a new coordinate system with the XY plane perpendicular to your viewing direction (parallel to your screen). The UCS origin remains unchanged.

X / Y / Z (UCS)

Rotates the current UCS about a specified axis.

Rotation angle about n axis <0>: Specify an angle

In the prompt, n is X, Y, or Z. Enter a positive or negative angle to rotate the UCS. AutoCAD LT uses the right-hand rule to determine the positive direction of rotation around the axis.

You can define any UCS by specifying an origin and one or more rotations around the X, Y, or Z axis.

Prev (UCS)

Restores the previous UCS. AutoCAD LT saves the last 10 coordinate systems created in paper space and the last 10 coordinate systems created in model space. Repeating the Previous option steps back through one set or the other depending on which space is current.

Restore (UCS)

Makes a saved UCS the current UCS. Restoring a saved UCS does not reestablish the viewing direction in effect when the UCS was saved.

? / Name of UCS to restore: Enter ? or a name

Enter ? to view a list of names.

UCS name(s) to list <*>: Enter a wild-card pattern or press ENTER

Save (UCS)

Saves the current UCS to a specified name. The name can contain up to 31 characters, including letters, digits, and the special characters dollar sign ($), hyphen (-), and underscore (_). AutoCAD LT converts all UCS names to uppercase.

? / Desired UCS name: Enter ? or a name

Enter ? to list the currently defined UCS names.

UCS name(s) to list <*>: Enter a wild-card pattern or press ENTER

Del (UCS)

Removes the specified UCS from the list of saved coordinate systems.

UCS name(s) to delete <none>: Enter a name or a list of names separated by commas

? List (UCS)

Lists defined UCS names and provides the origin and X, Y, and Z axes for each saved coordinate system relative to the current UCS. If the current UCS is unnamed, it is listed as *WORLD* or *NO NAME*, depending on whether it's the same as the WCS.

UCS name(s) to list <*>: Enter a wild-card pattern or press ENTER

Changing from one UCS to another does not change the drawing view unless the UCSFOLLOW system variable is on.

Related Commands: DDUCS renames, restores, deletes, or lists defined coordinate systems. DDUCSP selects a preset User Coordinate System. PLAN displays the plan view of a specified UCS.
System Variables: UCSICON controls visibility and placement of the UCS icon in viewports. UCSNAME displays the name of the current coordinate system. UCSORG displays the origin point of the current coordinate system for the current space. UCSXDIR displays the X direction of the current UCS for the current space. UCSYDIR displays the Y direction of the current UCS for the current space.


XREF

XREF Command

Controls external references to drawing files

Insert toolbar:
Insert menu: External Reference
Command line: xref

The External Reference dialog box is displayed.

If you enter -xref at the command prompt, AutoCAD LT presents options on the command line.

XREF attaches, overlays, lists, binds, detaches, modifies the path of, and reloads other drawings as external references (xrefs) to the current drawing.

You can attach xrefs to create subassemblies that make up a drawing. You can overlay xrefs to check how your drawing relates to other drawings.

Attaching or overlaying an xref is similar to inserting an entire drawing as a block. The contents of the specified drawing, except for overlaid xrefs, are copied into a new block definition. Instances of the xref in the drawing are block references.

When you open or plot a drawing containing xrefs, AutoCAD LT automatically reloads the latest version of each xref.

External Reference Dialog Box

Attaches, overlays, lists, binds, detaches, reloads, unloads, renames, and modifies paths to external references (xrefs) in the current (or host) drawing.

Dialog Box Options
  • List of external references (List View and Tree View)
  • Attach (displays the Attach Xref dialog box)
  • Detach
  • Reload
  • Unload
  • Bind (displays the Bind Xrefs dialog box)
  • Browse
  • Save Path

List of External References (XREF)

List View

Displays a flat listing of the attached xrefs and their associated data. You can sort the list of references by name, status, type, file date, file size, or the saved path and file name.

Selecting any field highlights the xref name and selects the xref.

Tree View

Displays a hierarchical representation of the xrefs, displaying the relationships between xref definitions. Tree view shows the level of nesting relationship of the attached xrefs, whether they are attached or overlaid, and whether they are loaded, unloaded, marked for reload or unload, or not found, unresolved, or unreferenced.

You can also use the F3 and F4 keys to toggle between list view and tree view.

  • Reference Name. Lists the names of the xrefs as stored in the block definition symbol table.
  • Status. Shows whether the xref is loaded, unloaded, unreferenced, not found, unresolved, orphaned, or marked for unloading or reloading.
  • Size. Shows the file size of the corresponding reference drawing. The size is not displayed if the xref is unloaded, not found, or unresolved.
  • Type. Indicates whether the xref is an attachment or an overlay.
  • Date. Displays the last date the associated drawing was modified. This date is not displayed if the xref is unloaded, not found, or unresolved.
  • Saved Path. Shows the saved path of the associated xref (this is not necessarily where the xref is found).
Attach (XREF)

Displays the Attach Xref dialog box.

Detach (XREF)

Detaches one or more xrefs from your drawing, erasing all instances of a specified xref and marking the xref definition for deletion from the symbol table. Only the xrefs attached or overlaid directly to the current drawing can be detached; nested xrefs cannot be detached. AutoCAD LT cannot detach an xref referenced by another xref or block.

Reload (XREF)

Marks one or more xrefs for reloading. This option rereads and displays the most recently saved version of the drawing.

Unload (XREF)

Unloads one or more xrefs. Unloaded xrefs can be easily reloaded. Unlike detach, unloading does not remove the xref permanently. It merely suppresses the display and regeneration of the xref definition, to help current session editing and improvement of performance.

Bind

Displays the Bind Xrefs dialog box.

Browse (XREF)

Displays the Select New Path dialog box, in which you can select a different path or file name.

Save Path (XREF)

Saves the path, as it appears in the Xref Found At field, to the currently selected xref.

Bind Xrefs

Converts xref definitions to standard local block definitions. XBIND adds xref-dependent symbol table definitions, such as blocks, text styles, dimension styles, layers, and linetypes to the local symbol table. To bind a nested xref, you must also select the parent xref. There are two methods of binding xrefs to the current drawing, Bind and Insert.

Bind

Binds the selected xref definition to the current drawing. Xref-dependent symbol table names are changed from blockname#$#symbolname to blockname$#$symbolname syntax. For example, if you have an xref name RED containing a layer named BLUE, after binding the xref-dependent layer, RED$0$BLUE becomes a locally defined layer named RED$0$BLUE. The number in $#$ is automatically incremented if a local symbol table definition with the same name already exists. In this example, if RED$0$BLUE already existed in the drawing, the xref-dependent layer RED$0$BLUE would be renamed RED$1$BLUE. In this manner, unique symbol table names are created for all xref-dependent symbol table definitions bound to the current drawing.

Insert

Binds the xref to the current drawing in a way similar to detaching and inserting the reference drawing. Rather than being renamed using blockname$#$symbolname syntax, xref-dependent symbol table names are stripped of the xref name. For example, if you had an xref named RED containing a layer named BLUE, after an insert-like bind, the xref-dependent layer RED|BLUE would become the locally defined layer BLUE. As with inserting drawings, no symbol table name incrementing occurs if a local symbol table shares the same name as a bound xref-dependent symbol. The bound xref-dependent symbol would assume the properties of the locally defined symbol table name.

Using the Command Line

? / Bind / Detach / Path / Reload / Overlay / <Attach>: Enter an option or press ENTER

? - List (XREF Command Line)

Lists the xref names, with path, and xref type, and the number of xrefs currently attached to your drawing. AutoCAD LT displays the following prompt:

Xref(s) to list <*>: Enter a wild-card pattern or press ENTER

Bind (XREF Command Line)

Converts a block, making it a permanent part of the drawing.

Xref(s) to bind: Enter a name or a list of names separated by commas

The dependent symbols, such as layer names, of the former xref are added to your drawing. In each dependent symbol name, AutoCAD LT replaces the vertical bar symbol (|) with three new characters: a number (usually 0) between two dollar signs ($).

Detach (XREF Command Line)

Erases all copies of a specified xref from your drawing, and marks the xref definition for deletion.

Xref(s) to detach: Enter a name or a list of names separated by commas

AutoCAD LT does not detach an xref referenced by another xref or block.

Path (XREF Command Line)

Displays and edits the path name associated with a particular xref. This option is useful if you change the location of or rename the drawing file associated with the xref.

Edit path for which xref(s): Enter an xref name

AutoCAD LT lists the xref and its existing path and prompts for the new path:

Xref name: Enter the xref name
Old path: Enter the existing path name
New path: Enter the new path name

Reload (XREF Command Line)

Reloads one or more xrefs. If another person is currently editing the xref, AutoCAD LT loads the most recently saved version.

Xref(s) to reload: Enter a name or a list of names separated by commas

If AutoCAD LT encounters an error while reloading, the XREF command ends and the entire reloading sequence is undone.

Overlay (XREF Command Line)

Attaches a drawing as an external reference (xref) overlay. If you reference a drawing that itself contains an overlaid xref, the overlaid xref does not appear in the current drawing. Unlike blocks and attached xrefs, overlaid xrefs cannot be nested. If another person is currently editing the xref, AutoCAD LT overlays the most recently saved version.

Xref to overlay <current>: Enter a file name or press ENTER

For more information about attaching xrefs, see Attaching and Overlaying Xrefs.

Attach (XREF Command Line)

Attaches a drawing as an external reference (xref). If you reference a drawing that itself contains an attached xref, the attached xref appears in the current drawing. Like blocks, attached xrefs can be nested. If another person is currently editing the xref, the drawing attached is based on the most recently saved version.

Xref to attach <current>: Enter a file name or press ENTER

For more information on overlaying xrefs, see Attaching and Overlaying Xrefs.

Attaching and Overlaying Xrefs (XREF Command Line)

At the Xref to attach or Xref to overlay prompt, you can also enter a tilde (~) to display a dialog box if FILEDIA=0; otherwise, the standard file dialog will be displayed.

If the xref (including the path) exceeds 31 characters, you need to assign a name different from the drawing name at the prompt using the following syntax.

Xref to attach: xrefname=referenced_file

To request a File dialog box, use the tilde (~) character.

xrefname=~

If the xref you specify is not already attached or overlaid, AutoCAD LT creates a new xref, using the name of the referenced file. AutoCAD LT then prompts for an insertion point, scale, and rotation angle, as described for the INSERT command.

When reading objects from the xref into the new block, AutoCAD LT copies only those objects created in model space and ignores objects created in paper space. Thus, viewports and other objects in paper space do not become a part of the block definition.

In a master drawing, the 0 and DEFPOINTS layers and the CONTINUOUS linetype override entries with the same name that exist in the attaching or overlaying xref. Any objects on these layers remain unaffected. If the DEFPOINTS layer exists in the attaching or overlaying xref but not in the master drawing, the DEFPOINTS layer becomes a permanent part of the master drawing.

Related Commands: BLOCK creates a compound object (a block definition) from a group of objects. INSERT places a previously defined block or drawing in the current drawing. LAYER controls the creation and visibility of layers along with layer settings. XBIND binds dependent symbols of an xref to a drawing.
System Variables: FILEDIA controls the display of dialog boxes used to read and write files. XREFCTL controls the creation of the xref log file.


ZOOM

'ZOOM Command

Increases or decreases the apparent size of objects in the current viewport

Standard toolbar:
View menu: Zoom
Command line: zoom

All / Center / Extents / Previous / Window / Realtime;: Enter an option or a value, specify a point, or press ENTER

All (ZOOM)

Displays the entire drawing in the current viewport. In a plan view, AutoCAD LT zooms to the drawing limits or current extents, whichever is greater. In a 3D view, ZOOM All is equivalent to ZOOM Extents. The display shows all objects even if the drawing extends outside the drawing limits.

In the illustration, LIMITS is greater than the extents of the drawing. Because it always regenerates the drawing, you cannot use ZOOM All transparently.

Center (ZOOM)

Changes the display by using a center point and a magnification value or height. The smaller the value, the greater the magnification. Entering a larger value decreases the magnification.

Center point: Specify a point (1)
Magnification or Height <current>: Enter a value or press ENTER

Extents (ZOOM)

Displays the drawing extents and results in the largest possible display of all the objects.

Previous (ZOOM)

Displays the previous view. You can restore up to 10 previous views.

Scale X / XP (ZOOM)

Changes the display by a specified scale factor. The value you enter is relative to the limits of the drawing. For example, entering 2 displays objects at twice the size they would appear if you were zoomed to the limits of the drawing.

If you enter a value followed by x, AutoCAD LT specifies the scale relative to the current view. For example, entering .5x causes each object to be displayed at half its current size on the screen

If you enter a value followed by xp, AutoCAD LT specifies the scale relative to paper space units. For example, entering .5xp displays model space at half the scale of paper space units. The following illustration shows a number of viewports arranged in paper space. The view in each viewport is scaled relative to paper space. For example, Detail 1 is scaled 1=1 relative to paper space (1xp), Detail 2 is scaled .5=1 relative to paper space (.5xp), and so on.

Window (ZOOM)

Displays an area specified by two opposite points defining a rectangular window.

First corner: Specify a point (1)
Other corner: Specify a point (2)

Realtime

Zooms interactively to a logical extent.

Press Esc or Enter to exit, or right-click to activate the pop-up menu.

The cursor changes to a magnifying glass with plus (+) and minus (-) signs.

The current drawing window is used to determine the zooming factor. ZOOM uses half of the window height to move to a zoom factor of 100%. Holding the pick button down at the midpoint of the window and moving vertically to the top of the window zooms in to 100%. Conversely, holding the pick button down at the midpoint of the window and moving vertically to the bottom of the window zooms out by 100%.

Note: If you place the cursor at the bottom of the window, hold down the pick button, and move vertically to the top of the window, the zoom-in factor is 200%.

When you have reached the zoom-in limit, the plus sign in the cursor disappears, indicating that you can no longer zoom in. When you have reached the zoom-out limit, the minus sign in the cursor disappears, indicating that you can no longer zoom out.

When you release the pick button, zooming stops. You can release the pick button, move the cursor to another location in the drawing, and then press the pick button again and continue to zoom the display from that location.

To exit zooming at the new position, press ENTER or ESC.

Related Commands: LIMITS sets and controls the drawing boundaries. PAN moves the drawing display in the current viewport. VIEW saves and restores named views. VPOINT sets the viewing direction for a 3D visualization of the current drawing.


Using Internet Utilities

AutoCAD LT Internet Utilities is a set of commands that are automatically loaded when you start AutoCAD LT. With them, you can access the Internet from within AutoCAD LT and publish and download drawings in drawing Web format (DWF), which can be viewed using a Web browser and the Whip! plug-in. Sending and receiving DWF files, is faster than using DWG files, and DWF files can be viewed even when AutoCAD LT is not running.

When you publish your drawing on the Web, URLs (Uniform Resource Locators) that you have embedded within your drawing become hyperlinks to other Web pages.

Important: AutoCAD LT requires Microsoft Internet Explorer 3.0 or later, or Netscape Navigator 3.0 or later to use the AutoCAD LT Internet Utilities.


Using Your Web Browser with AutoCAD LT

You can launch your configured Web browser directly from AutoCAD LT. You can then use the browser to open Web pages containing DWG files, and if it is configured with the WHIP! plug-in, to view DWF files.

AutoCAD LT displays the Remote Transfer in Progress dialog box while in the process of opening, inserting, or saving a drawing to a URL. You can terminate the transfer by choosing Cancel.

Note: AutoCAD LT Internet Utilities does not check to confirm that an Internet connection exists. If you are not connected to the Internet and you attempt to connect to a Web location, the Transfer Status dialog box will display 0 bytes and 0% complete until you choose Cancel or the transfer times out. AutoCAD LT Internet Utilities cannot transfer files using FTP (File Transfer Protocol) when you are connected to the Internet through a proxy server.


Configuring the Internet Host from AutoCAD LT

Configuring Your Internet Host from AutoCAD LT

You can configure your Internet host for FTP login, HTTP access, Internet connection, and proxy information. To configure your Internet host, choose Configure Internet Host from the Internet Utilities toolbar, or enter inetcfg at the Command prompt. You can also access INETCFG by choosing Options in the OPENURL, SAVEURL, and INSERTURL dialog boxes.

A proxy server is a machine that serves as a gateway between a company's internal intranet and the external Internet. The proxy server typically runs on a firewall machine, providing access to the outside world for people inside the firewall. The proxy provides various services, mainly caching of requests and a secure means of accessing data. If you do not know if you are using a proxy server, you can look at the proxy settings in your browser:

  • in Netscape Navigator, on the Options menu, choose Network Preferences, and then the Proxies tab, or contact your network system administrator.
  • in Microsoft Internet Explorer, on the Options menu, choose Options and then the Connection tab.


To configure your Internet host

Configuring Your Internet Host from AutoCAD LT

To configure your Internet host

  1. From the Internet Utilities toolbar, choose Configure Internet Host.
  2. On the Internet Configuration dialog box, in the FTP Login box, enter your login name using one of the following methods.
    • To login anonymously, select Anonymous Login. Enter the user name anonymous with no password.
    • To login to a secured FTP server that contains files you want to open, insert, or save, clear Anonymous Login. Then enter your user name and password for that server.
    Note: The FTP password is not remembered across AutoCAD LT sessions.
  3. If you regularly access HTTP URLs that require authentication, enter your user name and password in the HTTP Secure Access box. If you leave these values blank, you will be prompted to enter your user name and password.
  4. If you have a direct connection to the Internet through an ISP (Internet service provider), select Direct Connection and skip the remaining steps. If you are connected to the Internet through a proxy server, complete the remaining steps.
  5. Select Proxy Server and enter the Proxy Server Name.

    Your network system administrator should supply you with a valid machine name and port number.

  6. The default FTP port is automatically set. To select another port, enter its number in the FTP Port box.
  7. The default HTTP port is automatically set. To select another port, enter its number in the HTTP Port box.
  8. Choose OK to end configuration.

Command line equivalent: INETCFG


Using Your Web Browser with AutoCAD LT

Configuring Your Internet Host from AutoCAD LT

Commands

INETCFG Displays and modifies the current configuration for the Internet host

System Variables

No entries.


Transferring DWG Files to and from the Web

If you've configured your Web browser to run with AutoCAD LT, you can

  • Use SAVEURL to save a drawing to the Web
  • Use OPENURL to open an AutoCAD LT drawing from the Web from within AutoCAD LT
  • Use INSERTURL to insert AutoCAD LT drawings as block references directly from the Web into a current AutoCAD LT drawing (you cannot insert a drawing into itself)

You can change the Internet options from any of these commands by clicking Options to display the Internet Configuration dialog box.

While viewing a DWF file in your Web browser, you can open or insert the original DWG file in AutoCAD LT by dragging the DWF image from your browser into AutoCAD LT. For the drag-and-drop method to work, the DWG image file used to create the DWF file must exist in the same directory as the DWF file and AutoCAD LT must be running. AutoCAD LT prompts you to save the current drawing before it opens the DWG file for the displayed DWF image.

Tip: When using OPENURL, a temporary copy of the selected file is placed in your Windows\temp directory. After saving the file to a specified location, you can delete the temporary file.


Opening a Drawing from the Web

Transferring DWG Files to and from the Web

To open a DWG file from the Web
To insert a DWG file from the Web using drag-and-drop
To save the current AutoCAD LT drawing to the Web
To open a DWG file from the Web using drag-and-drop
To insert a DWG file from the Web into the current drawing


To open a drawing from the Web

Transferring DWG Files to and from the Web

To open a DWG file from the Web

  1. On the Internet Utilities toolbar, choose Open from URL.
  2. In the Open DWG from URL dialog box, enter the URL where the drawing resides in the Open DWG from URL box, and then choose Open.

    You can enter a URL in any of the following formats:
    http://servername/pathname/filename.dwg
    ftp://servername/pathname/filename.dwg
    ftp://servername//
    file:///drive|/pathname/filename.dwg

Note: AutoCAD LT Internet Utilities cannot transfer files using FTP (File Transfer Protocol) when you are connected to the Internet through a proxy server.

Command line equivalent: OPENURL


To insert a DWG in AutoCAD LT using drag-and-drop

Transferring DWG Files to and from the Web

To insert a DWG file from the Web using drag-and-drop

  1. On the Web page that contains the drawing you want to insert, hold down CTRL.
  2. Click the DWF image and drag it into AutoCAD LT.

    If paper space is on, you must drag the DWF image into an active model space viewport.

  3. Release the pick button on the pointing device and then release CTRL.


To save the current AutoCAD LT drawing to the Web

Transferring DWG Files to and from the Web

To save the current AutoCAD LT drawing to the Web

  1. Open the drawing you want to save to the Web.
  2. On the Internet Utilities toolbar, choose Save to URL.
  3. In the Save DWG to URL dialog box, enter the URL in the Save DWG to Internet box, and then choose Save.

    You must enter a URL in the following format (http and file schemes are not supported):

    ftp://servername/path/filename.dwg

Note: AutoCAD LT Internet Utilities cannot transfer files using FTP (File Transfer Protocol) when you are connected to the Internet through a proxy server.

Command line equivalent: SAVEURL


To open a DWG in AutoCAD LT using drag-and-drop

Transferring DWG Files to and from the Web

To open a DWG file from the Web using drag-and-drop

  1. On the Web page that contains the drawing, hold down CTRL and SHIFT simultaneously.
  2. Click the DWF image and drag it into AutoCAD LT.

    If paper space is on, you must drag the DWF image into an active model space viewport.

  3. Release the pick button on the pointing device and then release CTRL and SHIFT.


To open a DWG in AutoCAD LT using drag-and-drop

Transferring DWG Files to and from the Web

To insert a DWG file from the Web into the current drawing

  1. Open a drawing.
  2. On the Internet Utilities toolbar, choose Insert from URL.
  3. In the Insert DWG from URL dialog box, enter the URL where you want to insert the drawing and then choose Insert.

    You can enter a URL in any of the following formats:
    http://servername/path/filename.dwg
    ftp://servername/path/filename.dwg
    ftp://servername//
    file:///drive|/path/filename.dwg

    To use your browser to find a Web site containing a drawing you want to open, choose Browser. Once you identify a Web site, you can copy its URL from your browser and paste it into the Open DWG from URL box.

    AutoCAD LT displays the Remote Transfer in Progress dialog box while it inserts the drawing from the Web site.

Note: AutoCAD LT Internet Utilities cannot transfer files using FTP (file transfer protocol) when you are connected to the Internet through a proxy server.

Command line equivalent: INSERTURL


Using Your Web Browser with AutoCAD LT

Transferring DWG Files to and from the Web

Commands

INSERTURL | Inserts a DWG file from an Internet address
SAVEURL | Saves a DWG file to an Internet address

System Variables

No entries.


Using Your Web Browser with AutoCAD LT

To configure your Internet host
To open a DWG file from the Web
To insert a DWG from the Web using drag-and-drop
To save the current AutoCAD LT drawing to the Web
To open a DWG file from the Web using drag-and-drop
To insert a DWG file from the Web into the current drawing


Using Your Web Browser with AutoCAD LT

Commands

BROWSER | Launches the default Web browser defined in your systems registry
INSERTURL | Inserts a DWG file from an Internet address
OPENURL | Opens a DWG file from an Internet address
SAVEURL | Saves a DWG file to an Internet address

Commands

INETLOCATION Stores the internet location used by BROWSER


Publishing Drawings on the Web

Publishing your AutoCAD LT drawings on the Web involves saving a DWG file in DWF format and then adding it to a Web page. Before you save the file, you can attach URLs to it that become hyperlinks when the DWF file is viewed with a Web browser.

Once you have created a DWF file with DWFOUT, you can add the DWF file to an existing Web page by inserting special tags into the HTML document. You can use any text editor to add the tags as long as you save the file in Text Only format.

Registering a MIME Type

To publish DWF files, your Internet server must be able to recognize the DWF file type. If the DWF MIME type is not already configured on your server, have your webmaster add the MIME type "model/vnd.dwf" (with the .dwf file extension) to your Internet server machine so that it is registered with your Internet server software. If you use an Internet service provider (ISP), ask your provider to register the "model/vnd.dwf" MIME type on their servers.

Note: To publish your Web pages on the Internet, you must have an Internet connection.

See Also
Adding Special HTML Tags


Adding Special HTML Tags

Once you have created a DWF file with DWFOUT, you can add it to a Web page by adding special tags in the HTML document. Each tag is made up of text enclosed in brackets, <like this>. The following example shows the four HTML tags that you must add to your HTML document to embed a DWF file. The four sections that follow the example describe how to modify these tags to suit your application. The italic text in the example should be changed to suit your usage; the regular text must be entered as shown.

<object width=600 height=400
classid="clsid:b2be75f3-9197-11cf-abf4-08000996e931"
codebase="ftp://ftp.autodesk.com/pub/whip/whip.cab">
<param name="filename" value="drawingname.dwf">
<embed width=600 height=400
name=drawingname src="drawingname.dwf"
pluginspage=http://www.autodesk.com/whip/>
</object>

Although some of the tags described here apply only to Netscape Navigator or Microsoft Internet Explorer, it is recommended that you always include all four tags so that your DWF images can be viewed by someone using either browser.

The Object Tag

The optional object tag is ignored by Netscape Navigator and is included only for compatibility with Microsoft Internet Explorer. If you decide to use the object tag, you must also include the param, embed, and /object tags. If you choose not to use this tag, you must remove the param and /object tags.

<object width=600 height=400
classid="clsid:b2be75f3-9197-11cf-abf4-08000996e931"
codebase="ftp://ftp.autodesk.com/pub/whip/whip.cab">

Change the width and height values to the size (in pixels) that you want the DWF image to appear on your Web page. These values must match the values specified in the embed tag.

The other options in this tag (classid and codebase) are used to identify the WHIP! plug-in and tell Microsoft Internet Explorer where to find the latest version of the plug-in.

The Param Tag

The is an optional object tag that is ignored by Netscape Navigator and only included for Microsoft Internet Explorer. The param tag requires the presence of the object and /object tags.

<param name="filename" value="drawingname.dwf">

Change the drawingname string to the name of the DWF file you are inserting into the HTML document.

This parameter actually specifies a URL, and it may be either a relative URL or an absolute URL. If the DWF file is in the same directory as the HTML file, this parameter is just the name of the DWF file. Here are some examples of legal relative URLs for this parameter:

  • my_drawing.dwf specifies that the DWF file is in the same directory as the HTML file
  • drawings/my_drawing.dwf specifies that the DWF is in a subdirectory named drawings that is below the location of the HTML file
  • ../drawings/my_drawing.dwf specifies that the DWF file is in a sibling directory relative to the location of the HTML file

Examples of legal absolute URLs for this parameter:

  • http://www.acme.com/drawings/my_drawing.dwf
  • ftp://ftp.acme.com/our_valut/my_drawing.dwf
  • file:///C|/official/my_drawing.dwf

Relative URLs are recommended because the respective files can be moved more easily.

The Embed Tag

The embed tag is required, and it is the only tag (of the four) that Netscape Navigator uses.

<embed width=600 height=400
name=drawingname src="drawingname.dwf"
pluginspage=http://www.autodesk.com/whip/>

Change the width and height to match the width and height values set in the object tag.

The drawingname string is a name parameter with which you give each DWF in an HTML document a unique name that can be referenced by Java and JavaScript. This name can be changed as desired so that each DWF in the HTML document has a unique name. This name is not a filename or a URL, and it is usually a short one word-identifier. If your DWF filename were linkrod.dwf, for example, you could use linkrod as the drawing's name, or just drawing.

The drawingname.dwf string is a URL that references the desired DWF file. This parameter must be the same as the URL parameter in the param tag.

The final pluginspage parameter is used to tell Netscape where the current version of the WHIP! plug-in can be found. This parameter should not be changed.

The /Object Tag

The optional object tag that is ignored by Netscape Navigator and only included for Microsoft Internet Explorer. This tag requires the presence of the object and param tags.


Adding Special HTML Tags

No entries.


Adding Special HTML Tags

Commands

No entries.

System Variables

No entries.


Publishing Drawings on the Web

To create a DWF file
To embed a DWF file into an HTML document


To embed a DWF file into an HTML document

Publishing Drawings on the Web

To embed a DWF file into an HTML document

  1. Start your text editor and open an existing HTML document.
  2. Enter the following code into a text file.

    <object width=600 height=400
    classid="clsid:b2be75f3-9197-11cf-abf4-08000996e931"
    codebase="ftp://ftp.autodesk.com/pub/whip/whip.cab">
    <param name="filename" value="drawingname.dwf">
    <embed width=600 height=400
    name=drawingname src="drawingname.dwf"
    pluginspage=http://www.autodesk.com/whip/>
    </object>

  3. Modify the italic text as described in Adding Special HTML Tags.
  4. Copy the text and paste it into your HTML document at the location where you want the DWF file to appear in the document.
  5. Save the HTML document.
  6. Start your browser and open the HTML document to verify that it is correct.
  7. Copy the HTML document and its associated DWF files to the proper location on your Web server.


To create a DWF file

Publishing Drawings on the Web

To create a DWF file

  1. Start a new AutoCAD LT drawing or open an existing one.
  2. If you want to attach URLs to objects or areas of your drawing, use ATTACHURL.
  3. From the File menu, choose Save As to save your drawing as a DWF file.

Command line equivalent: DWFOUT


Publishing Drawings on the Web

Commands

ATTACHURL | Attaches a URL to selected objects or to a specified area
DWFOUT | Exports a file in drawing Web format (DWF)

System Variables

No entries.


Viewing Drawings on the Web

With the WHIP! plug-in you can view AutoCAD LT drawings on the Web in the new Drawing Web Format (DWF). DWF provides significant performance benefits over other Web file formats such as GIF or JPG. You can pan, zoom, and print DWF images and highlight embedded URLs from within your Web browser.

The WHIP! plug-in is available free by downloading it from the Autodesk Web site at http://www.autodesk.com/whip/. Versions are available for both Netscape Navigator and Microsoft Internet Explorer.

Documentation for the WHIP! plug-in is also located at http://www.autodesk.com/whip/.


Viewing Drawings on the Web

To view a DWF file in your browser
To control the display of a DWF file


To view a DWF file in your browser

Viewing Drawings on the Web

To view a DWF file in your browser

  1. Start your browser.
  2. Use one of the following methods:
    • Enter the URL for the Web page containing the DWF file you want to view.
    • Start the browser, and then from the File menu, select Open File in Browser. Load the DWF or the HTML file containing the DWF file. You can also type the path using the file:/// syntax in the Location box.
    • View the DWF file in your browser by double-clicking the DWF file.
    • Start the browser, and then drag the DWF or the HTML file containing the DWF file into the browser.


To control the display of the DWF file

Viewing Drawings on the Web

To control the display of a DWF file

  1. In AutoCAD LT, open a DWF file or an HTML file containing an embedded DWF file.
  2. Right-click the pointing device to display the WHIP! menu.
  3. Choose a viewing option.

Panning is the default when you first view a DWF file.

Command line equivalent: OPEN


Viewing Drawings on the Web

Commands

No entries.

System Variables

No entries.


Using URLs in Drawing Files

You can attach a URL (Uniform Resource Locator) to objects or areas in your drawing. When the DWF file is viewed with a Web browser, selecting the object or area connects you to the Web site identified by the URL.

You need to decide when to attach URLs by objects or by areas. For contiguous geometry, attaching by area is most effective. Attaching by area is also effective for placing URLs where there is no geometry. If the geometry you want to attach the URL to is distributed throughout the drawing, attaching by objects is most effective.

Attaching a URL to Objects

The URL is attached as xdata (extended data). Xdata is created for each object with a URL; thus, when many individual objects are attached to a URL, the drawing database contains many bits of xdata.

Attaching a URL to an Area

AutoCAD LT creates a rectangular boundary around the area you attach to a URL and stores the rectangle on a special layer called URLLAYER. Do not delete this layer. Xdata is created for each area with a URL, just as when you attach a URL to objects, but the xdata is attached as large areas.

Warning: You can destroy the hyperlink information in your drawing if you tamper with URLLAYER. You should not freeze or lock URLLAYER; nor should you edit or delete the rectangles on URLLAYER or attach URLs to them using ATTACHURL. If you turn off URLLAYER for normal viewing of your drawing, turn it back on before using DWFOUT.

Selecting Objects and Areas with URLs Attached

Use SELECTURL to select all objects and areas that have URLs attached. AutoCAD LT puts all objects and areas that have URLs attached into the current selection set so that you can edit them.

Listing URLs in a Drawing

You can select all objects and areas that have URLs attached and then list the URLs using LISTURL.

Detaching a URL

When you detach a URL, AutoCAD LT removes the URL xdata from the associated objects and areas. If the URL was attached to an area, the rectangle that represented the area is deleted from the URLLAYER layer. If all rectangles representing areas have been deleted, URLLAYER is purged from the drawing.


Using URLs in Drawing Files

To attach a URL to a drawing
To detach a URL
To list URLs
To select objects and areas with URLs attached


To attach a URL to a drawing

Using URLs in Drawing Files

To attach a URL to a drawing

  1. Open an existing drawing or create a new one.
  2. On the Internet Utilities toolbar, choose Attach URL.

    AutoCAD LT prompts you to attach a URL by defining an area or selecting objects.

  3. Do one of the following:
    • To select objects that you want to associate with the URL, enter o or press ENTER at the URL by (Area/Objects) prompt. Then select the objects.
    • To define an area, enter a at the URL by (Area/Objects) prompt. Then use window selection to select the objects.

    AutoCAD LT creates a rectangular area defining the area and stores it on a special layer, URLLAYER.

    If you select objects before starting the command, and then enter the Area option, AutoCAD LT automatically places a rectangular area around the selected object.

  4. At the Enter URL prompt, enter the full name of the URL, for example http://www.mycompany.com.
  5. Save the drawing.
  6. Save the drawing as a DWF file.

Note: If your browser requires the Hypertext Transfer Protocol part of the address (http://), include it in the URL that you enter. You can enter the URL as an absolute path, for example, http://www.mycompany.com/designs/nova.htm, or as a relative path, for example, nova.htm.

Command line equivalent: ATTACHURL


To detach a URL

Using URLs in Drawing Files

To detach a URL

  1. Open the drawing containing the URL you want to detach.
  2. On the Internet Utilities toolbar, choose Detach URL.
    AutoCAD LT prompts you to select the objects associated with the URL you want to detach.

  3. Use an object selection method.
    If you detach a URL from an object, AutoCAD LT removes the URL stored in the objects xdata. If you detach a URL from an area, AutoCAD LT deletes the rectangle that represents the area from the URLLAYER layer.
  4. To update the drawing and its accompanying DWF file, save the drawing. Then save the DWF file as described in DWFOUT - Saving a DWF File.

Command line equivalent: DETACHURL


To list URLs

Using URLs in Drawing Files

To list URLs

  1. Open a drawing containing objects with URLs attached.
  2. On the Internet Utilities toolbar, choose List URLs, or enter listurl at the Command prompt.
  3. Select the objects with attached URLs that you want to list.

AutoCAD LT lists the URLs in the text window.

Note: To list all the URLs in a drawing, use SELECTURL to select all objects with attached URLs, and then use LISTURL to list the URLs attached to the drawing.

Command line equivalent: LISTURL


To select objects and areas with URLs attached

Using URLs in Drawing Files

To select objects and areas with URLs attached

  1. Open a drawing containing objects with URLs attached.
  2. On the Internet Utilities toolbar, choose Select URLs. AutoCAD LT highlights all objects that have URLs attached.

Command line equivalent: SELECTURL


Using URLs in Drawing Files

Commands

ATTACHURL | Attaches a URL to selected objects or to a specified area
DETACHURL | Detaches a URL from selected objects
LISTURL | Lists URLs attached to selected objects
SELECTURL | Selects objects that have URLs attached to them

System Variables

No entries.


Using Internet Utilities

To configure your Internet host
To open a DWG file from the Web
To insert a DWG file from the Web using drag-and-drop
To save the current AutoCAD LT drawing to the Web
To open a DWG file from the Web using drag-and-drop
To insert a DWG file from the Web into the current drawing
To create a DWF file
To embed a DWF file in an HTML document
To view a DWF file in your browser
To control the display of the DWF file
To attach a URL to a drawing
To detach a URL
To list URLs
To select objects and areas with URLs attached


Using Internet Utilities

Commands

ATTACHURL | Attaches a URL to selected objects or to a specified area
BROWSER | Launches the default Web browser defined in your systems registry
DETACHURL | Detaches a URL from selected objects
DWFOUT | Exports a file in drawing Web format (DWF)
INETCFG | Displays and modifies the current configuration for the Internet host
INSERTURL | Inserts a DWG file from an Internet address
LISTURL | Lists URLs attached to selected objects
OPENURL | Opens a DWG file from an Internet address
SAVEURL | Saves a DWG file to an Internet address
SELECTURL | Selects objects that have URLs attached to them

System Variables

INETLOCATION Stores the internet location used by BROWSER


XLOADCTL

Type: Integer Saved in:Registry Initial value:1

Turns xref demand loading on and off and controls whether it opens the original drawing or a copy.

0 | Turns off demand loading; entire drawing is loaded
1 | Turns on demand loading, reference file is kept open
2 | Turns on demand loading; a copy of the reference file is opened

When XLOADCTL is set to 2, the reference file copy is stored in the AutoCAD LT temporary files directory (defined by PREFERENCES) or in a user-specified directory.


XLOADPATH

Type: String Saved in:Registry Initial value:" "

Creates a path for storing temporary copies of demand-loaded xref files. For more information, see XLOADCTL.


MaxArray

MaxArray System Variable

AutoCAD LT will not allow an array that creates over 100000 objects. The limit is set by the MaxArray variable in the registry. This limit can be reset to any value between 100 and 10000000. For example, to increase the value to 150000, you would enter the following at the command line:

Command: setenv
Variable name: MaxArray
Value <100000>: 150000


MaxHatch

MaxHatch System Variable

AutoCAD LT will not create a hatch pattern that consists of over 10000 segments. The limit is set by the MaxHatch variable in the registry. This limit can be reset to any value between 100 and 10000000. For example, to decrease the value to 8000, you would type the following at the command line:

Command: setenv
Variable name: MaxHatch
Value <10000>: 8000


Managing Files and Formats

With AutoCAD LT, you can work with many different types of files, including both files created with other applications and files created in AutoCAD or earlier releases of AutoCAD LT. You can also recover damaged files.

Importing Files Created in Other Formats
Exporting Drawings to Other File Formats
Saving Files to Other AutoCAD LT Formats
AutoCAD and AutoCAD LT File Compatibility
Recovering Damaged Files
Using Slides and Scripts

See Also
Plotting to a File
Linking and Embedding Data (OLE)


Importing Files Created in Other Formats

You can use drawings or images from other applications by opening them in specific formats. AutoCAD LT handles conversion for DXF and WMF formats. You can convert the formats by using commands associated with each file type. You also can convert a file by opening or importing it.

Using DXF Files

A DXF file is an ASCII or binary description of a drawing file. It is used to share drawing data between applications.

You can import a DXF file into a new drawing only. After saving the new drawing, you can insert it into any other drawing file and explode it.

Using Windows WMF Files

WMF (Windows metafile format) files are frequently used to produce clip art and other nontechnical images that you need for drawings. You can import a WMF file into AutoCAD LT as a block. Unlike bitmaps, WMF files contain vector information and can be resized and printed without losing resolution. If the WMF file contains solids or wide lines, you can turn off their display to increase drawing speed.

WMF files can contain both vector and raster information. AutoCAD LT reads in both types of information. When a WMF file containing raster information is read into AutoCAD LT, it cannot be edited in any way other than being resized.


Importing Files Created in Other Formats

To import a DXF file
To import a WMF file
To control the display of solid fills and wide lines in WMF files


To open a DXF file

Importing Files Created in Other Formats

To import a DXF file

  1. From the File menu, choose New.
  2. In the Create New Drawing dialog box, choose Start from Scratch and either English or Metric units as the default settings. Then choose OK.
  3. From the Insert menu, choose File.
  4. In the Import File dialog box at Files of Type, select DXF (*.dxf).
  5. Find and select the DXF file you want to import, or enter the name of the DXF file at File Name.
  6. Choose Open.

A new drawing is created, and the DXF file is imported into the drawing.

Command line equivalent: IMPORT


To import a WMF file

Importing Files Created in Other Formats

To import a WMF file

  1. From the Import menu, choose File.
  2. In the Import File dialog box, select the WMF file you want to open. Then choose OK.
  3. Specify an insertion point for the WMF file.
  4. To specify the scaling, use one of the following methods:
    • To specify an imaginary box whose dimensions correspond to the scale factor, enter c (Corner) on the command line. Specify the opposite corner above and to the right of the insertion point to avoid inserting a mirror image.
    • To specify 3D scale factors, enter xyz.
    • To set the X and Y scale settings, enter a scale on the command line. You can set different horizontal and vertical scales. Enter 1 to retain the current scale. Enter a higher number to enlarge the metafile image. (Enter 2 to double the size of the image.) Enter a positive number less than 1 to shrink the image. (Enter .5 to halve the size of the image.) Note that using this option makes it very difficult to import the WMF file at a specific scale or size.
  5. Specify the rotation angle.


To control the display of solid fills and wide lines in WMF files

Importing Files Created in Other Formats

To control the display of solid fills and wide lines in WMF files

  1. From the Insert menu, choose File.
  2. In the Import File dialog box, choose Options.
  3. In the WMF Import Options dialog box, select or clear Wire Frame (No Fills) and Wide Lines to set the display of solid fills and wide lines. By default, these options are on.
  4. Choose OK.
  5. Import the WMF file in the normal manner.

Command line equivalent: IMPORT


Reference: Importing Files Created in Other Formats

Importing Files Created in Other Formats

Commands

DXFIN | Imports a drawing interchange file
EXPLODE | Breaks a compound object into its component objects
IMPORT | Imports various file formats into AutoCAD LT
WMFIN | Imports a Windows metafile
WMFOPTS | Sets options for WMFIN

System Variables

No entries.


Exporting Drawings to Other File Formats

If you need to use an AutoCAD LT drawing in another application, you can convert it to a specific format by exporting it. You can also use the Clipboard.

This topic describes how to export files in the DXF, WMF, BMP, and EPS formats.

Creating DXF Files
Creating WMF Files
Creating BMP Files
Creating PostScript Files

See Also
Using Cut, Copy, and Paste


Creating DXF Files

You can export a drawing as a DXF (drawing interchange format) file. DXF files are text files that contain drawing information that can be read by other CAD systems. If you are working with consultants who use a CAD program that accepts DXF files, you can share a drawing by saving it in DXF format.

You can control floating-point precision of the DXF format up to 16 decimal places and save the drawing in either ASCII or binary format. If you do not want to save the entire drawing, you can export only selected objects to remove extraneous material.


To create a DXF file

Creating DXF Files

To create a DXF file

  1. From the File menu, choose Export.
  2. In the Export Data dialog box under Save File as Type, select a DXF format.
  3. To save the entire drawing in DXF format, go directly to step 8.
  4. To save specific objects in DXF format, choose Options.
  5. In the Export Options dialog box, select the DXF format you want and check Select Objects.
  6. Enter a value for the number of decimal places of accuracy.
  7. To close the Export Options dialog box, choose OK.
  8. In the Export Data dialog box, select a directory, enter a file name, and choose Save.

    AutoCAD LT appends the .dxf extension to the file name.

  9. If you chose to save specific objects, select the objects and press ENTER. The objects are saved to the specified file name.

Command line equivalent: EXPORT


Reference: Creating DXF Files

Creating DXF Files

Commands

EXPORT | Saves objects to other file formats
DXFOUT | Creates a drawing interchange file of the current drawing

System Variables

No entries.


Creating WMF Files

A WMF (Windows metafile format) file contains either vector graphic or raster graphic formats. The WMF format is used by many Windows applications. Drawing information such as layers, linetypes, and scale is lost when you export data in the WMF format. AutoCAD LT creates WMF files in vector graphics only.


To create a Windows metafile

Creating WMF Files

To create a Windows metafile (WMF)

  1. From the File menu, choose Export.
  2. In the Export Data dialog box under Save File as Type, select WMF.
  3. Select a directory, enter a file name, and choose OK.

AutoCAD LT appends the .wmf extension to the file name.

Command line equivalent: EXPORT


Reference: Creating WMF Files

Creating WMF Files

Commands

EXPORT | Saves objects to other file formats
WMFOUT | Saves objects to a Windows Metafile

System Variables

No entries.


Creating BMP Files

You can use the BMPOUT command to create a device-independent bitmap image of the objects in your drawing. AutoCAD LT compresses bitmap files as they are created. Compressed files take up less disk space, but they might not be readable by certain applications.


To create a bitmap file

Creating BMP Files

To create a bitmap file (BMP)

  1. From the File menu, choose Export.
  2. In the Export Data dialog box under Save File as Type, select BMP.
  3. Select a directory, enter a file name, and choose OK.

    AutoCAD LT appends the .bmp extension to the file name.

  4. Select the objects you want to save as bitmaps.

Command line equivalent: EXPORT


Reference: Creating BMP Files

Creating BMP Files

Commands

EXPORT | Saves objects to other file formats
BMPOUT | Saves selected objects to a file in device-independent bitmap format

System Variables

No entries.


Creating PostScript Files

The PostScript file format type is used by many desktop publishing applications. Its high-resolution print capabilities make it preferable to raster formats, such as GIF, PCX, and TIFF. By converting the drawing to a PostScript format, you can also use PostScript fonts.

You can create a PostScript file consisting of all or only part of your drawing. When you use PSOUT to create an EPS (Encapsulated PostScript) file, some AutoCAD LT objects are specially rendered into PostScript. When you export a drawing with PSOUT and print it on a PostScript device, TrueType fonts are printed as designed, regardless of the value of the TEXTFILL system variable.

You can customize the appearance of PostScript output in many ways by editing the AutoCAD LT PostScript support file (aclt.psf). This is useful if you want to perform output functions such as assigning different line widths for different colors or creating special linetypes with the PostScript setdash function.


Exporting in PostScript Format

When you export a file in PostScript format as an EPS file, some AutoCAD LT objects are specially rendered.

Text, attribute definitions, attributes: If you specify the font file for converting the text objects in the font substitution map of the PostScript support file aclt.psf, AutoCAD LT plots the text using the PostScript font you specified. Otherwise, AutoCAD LT renders the text using outlined characters. The aclt.psf file must be in the support directory specified in the Preferences dialog box.

Thickened text, text control codes: If AutoCAD LT text has a thickness greater than 0 or contains control codes (such as %%O or %%D), it is not plotted as PostScript text, although the text is accurately rendered. International and special symbols (such as %%213) are output as PostScript text.

ISO 8859 Latin/1 character set: When AutoCAD LT text uses character codes in the 127 to 255 range, the text is interpreted according to the ISO 8859 Latin/1 character set. If such a character appears in text that is mapped to PostScript, AutoCAD LT generates a version of the font with an encoding vector remapped to represent the ISO character set. The resulting text is output in PostScript in a form compatible with the font.

Circles, arcs, ellipses, elliptical arcs: Except when they have thickness, AutoCAD LT translates arcs and circles into the equivalent PostScript path objects. This translation occurs regardless of the projection in effect in the active view when you use PSOUT.

Block references: When a block reference (insertion of a block) includes extended object data indicating it was created in AutoCAD using PSIN, the AutoCAD LT geometry associated with the block is bypassed and replaced by a transcription of the original PostScript code imported into the AutoCAD drawing using PSIN.

Filled solids: A solid fill is plotted as a PostScript filled path.

Two-dimensional polylines: A 2D (planar) polyline with uniform width is output as a PostScript stroked path. The PostScript end cap and miter limit variables are set to approximate the segment joining performed by AutoCAD LT.


Exporting in PostScript Format

No entries.


Reference: Exporting in PostScript Format

Exporting in PostScript Format

Commands

EXPORT | Saves objects to other file formats
PSOUT | Creates an Encapsulated PostScript file
PSUPDATE | Adjusts the size of all PostScript text in a drawing

System Variables

PSPROLOG Assigns a name for a prologue section to be read from the aclt.psf file when using PSOUT


Using the PostScript Support File

The AutoCAD LT PostScript support file (aclt.psf) is the master support file for PSOUT, which exports drawings in PostScript format. This editable ASCII file is divided into sections that control font substitution and define PostScript fill patterns. It also includes prologue sections that consist of PostScript-coded procedure definitions and constants. The sections of the aclt.psf file can appear in any order, but for reasons of efficiency the *fonts section should appear first in the file.

The PSPROLOG system variable (accessed from Options in the Export Data dialog box) instructs PSOUT to reference an additional prologue section that you create in the aclt.psf file. By creating a prologue section and placing PostScript code in it, you can customize the appearance of PostScript output in a number of ways. A single prologue section can contain many PostScript functions.

Each section of aclt.psf begins with a section name that is preceded by an asterisk in column 1. Lines beginning with a semicolon are treated as comments in all sections of this file.

The standard aclt.psf file defines the Type 1 fonts formerly supplied with AutoCAD LT, as well as all PostScript fonts that appear in Adobe Type Manager for Windows, the Adobe Plus Pack, and Adobe Font Pack 1. Because a font downloader is not supplied with AutoCAD LT, you might want to modify aclt.psf to reference fonts that are resident in your printer. If a font downloader was not supplied with your printer, you can obtain one from the Adobe forum on CompuServe.


Using Standard PostScript Definitions

The aclt.psf file contains the following sections: *fonts, *figureprologue, and *isofontprologue. Each line in the *fonts section lists an AutoCAD LT font name (with either .shx or .pfb file extension) and the name of a PostScript font to substitute in text objects that use that font when you use the PSOUT command. PostScript font names defined by Adobe are case sensitive; the AutoCAD LT font names are not. Verification is not performed on the PostScript font names. If a required font is not available when you print, most PostScript implementations issue a warning message and substitute a default font, such as Courier.

The following sample from aclt.psf shows AutoCAD LT font files mapped to a PostScript font. For example, the font file agd.shx is mapped to the PostScript font AvantGarde-Demi.

agd | AvantGarde-Demi
agdo | AvantGarde-DemiOblique
agw | AvantGarde-Book
agwo | AvantGarde-BookOblique
bdps | Bodoni-Poster
bkd | Bookman-Demi
bkdi | Bookman-DemiItalic
bkl | Bookman-Light
bkli | Bookman-LightItalic
c | Cottonwood
cibt | City-Blueprint
cob | Courier-Bold
cobo | Courier-BoldOblique
com | Courier

The first column gives the name by which AutoCAD LT knows a font; the second column gives the official PostScript name for the font. Trailing underscores should be ignored. For example, if the file containing the font AvantGarde-Demi is called agd_ _ _ _ _.pfb, the entry in the first column is agd.

The *isofontprologue section defines the procedures for embedding PostScript figures included with the PSIN command (available in AutoCAD) into Encapsulated PostScript (EPS) files created by PSOUT. By keeping this code in aclt.psf, you can modify it as required to accommodate unusual PostScript files. This code is output at the point that the first PSIN image is encountered.

The *isofontprologue section defines the procedures for reencoding a standard PostScript font to be compatible with the ISO 8859 Latin/1 character set. This code is output when an ISO character is first encountered in a text object.


Creating Custom PostScript Definitions

The PSPROLOG system variable instructs PSOUT to reference an additional prolog section that you create in the aclt.psf file. By creating a prolog section and placing PostScript code in it, you can customize the appearance of PostScript output in a number of ways. This is useful if you want to perform output functions such as assigning different line widths for different colors or creating special linetypes with the PostScript setdash function. A single prolog section can contain many PostScript functions.

To create a custom prolog section, add a section header to aclt.psf with a text editor or word processor. A section header is a line of text preceded by an asterisk.

Example: Custom Prolog Section


Using the PostScript Support File

No entries.


Reference: Using the PostScript Support File

Using the PostScript Support File

Commands

EXPORT | Saves objects to other file formats
IMPORT | Imports various file formats into AutoCAD LT
PSOUT | Creates an Encapsulated PostScript file
PSUPDATE | Adjusts the size of all PostScript text in a drawing

System Variables

PSPROLOG Assigns a name for a prologue section to be read from the aclt.psf file when using PSOUT


To create a PostScript file

Creating PostScript Files

To create a PostScript (EPS) file

  1. From the File menu, choose Export.
  2. In the Export Data dialog box, enter a file name.
  3. At Save As Type, select Encapsulated PS (*.eps), and then choose Options.
  4. In the Export Options dialog box under What to Plot, select an option to specify the area in the drawing to use for the PostScript file.
  5. Under Preview, specify whether you want to include an EPSI or TIFF screen preview or no preview for desktop publishing applications.
  6. Under Size Units, specify whether to use inches or millimeters.
  7. Under Scale, specify a scale for the EPS output using one of these methods:
    • Specify a custom scale based on the size of the plotted output compared with the actual size represented in the drawing. For example, entering 1=10 produces output in which each plotted inch represents 10 actual inches.
    • Select Fit to Paper to scale the output to fill the paper.
  8. Under Paper Size, specify a standard paper size or a custom size that you have defined in the Plot Configuration dialog box.
  9. Choose OK. Then choose Save to exit the Create PostScript File dialog box.

Command line equivalent: EXPORT


Reference: Creating PostScript Files

Creating PostScript Files

Commands

EXPORT | Saves objects to other file formats
PSOUT | Creates an Encapsulated PostScript file
PSUPDATE | Adjusts the size of all PostScript text in a drawing

System Variables

PSPROLOG Assigns a name for a prologue section to be read from the acad.psf file when using PSOUT


Exporting Drawings to Other File Formats

To create a DXF file
To create a Windows metafile (WMF)
To create a bitmap file (BMP)
To create a PostScript (EPS) file


Reference: Exporting Drawings to Other File Formats

Exporting Drawings to Other File Formats

Commands

BMPOUT | Saves selected objects to a file in device-independent bitmap format
DXFOUT | Creates a drawing interchange file of the current drawing
EXPORT | Saves objects to other file formats
PSOUT | Creates an encapsulated PostScript file
WMFOUT | Saves objects to a Windows metafile

System Variables

No entries.


Saving Files to Other AutoCAD Formats

You can save a drawing created with AutoCAD LT 97 in a format compatible with AutoCAD LT for Windows 95 and AutoCAD LT for Windows 3.1 (Release 1 or Release 2). This process creates a drawing with information specific to AutoCAD LT 97 stripped out or converted to another object type. As the drawing is exported, a log lists changed or lost information. Note that the Windows 3.1 format is equivalent to the AutoCAD Release 11 and Release 12 format.

If you use the current release of AutoCAD LT to open a drawing created with a previous release, and you do not add any information specific to the current release, you can then save the drawing in the format of the previous release without loss of data.

PostScript fonts are displayed at seven tenths (7/10ths) their actual size in Windows 3.1 format but are displayed at full size in Windows 95 format. Thus, in Windows 95 the fonts are displayed at approximately 1.4 times their original display size. To convert the fonts back to their original size, use PSUPDATE.

If you need to keep a drawing created in a previous release in its current format, either mark the file as read-only, or load it into AutoCAD LT 97 and use the File Type options in the Save As dialog box to save it in its current format.

Because saving a drawing in an earlier release format may cause some data loss, be sure to assign a different name to avoid overwriting the current drawing. If you overwrite the AutoCAD LT 97 version of the drawing, you can restore the overwritten version from the backup file (filename.bak) that is created during the saving process.


To save an AutoCAD LT drawing in a previous release format

Saving Files to Other AutoCAD Formats

To save an AutoCAD LT drawing in a previous release format

  1. From the File menu, choose Save As.
  2. In the Save Drawing As dialog box, enter a new drawing name.
  3. Under Save File as Type, select the AutoCAD LT or AutoCAD file format you want.
  4. Choose OK.

A drawing log displays the conversion activities as they occur. AutoCAD LT objects that are converted to other object types are specifically noted.

Command line equivalent: SAVEAS


Reference: Saving Files to Other AutoCAD Formats

Saving Files to Other AutoCAD Formats

Commands

PREFERENCES | Customizes the AutoCAD settings
SAVE | Saves the drawing under the current file name or a specified name
SAVEAS | Saves an unnamed drawing with a file name or renames the current drawing

System Variables

No entries.


AutoCAD and AutoCAD LT File Compatibility

AutoCAD Release 14 and AutoCAD LT 97 share a common drawing format: you can open AutoCAD Release 14 drawings in AutoCAD LT 97 and vice versa. You do not need to perform a conversion to preserve the data. You can use AutoCAD LT to edit, but not create, three-dimensional meshes, 3D faces, and other 3D objects. When you reopen the drawing in AutoCAD, the changes are preserved. Similarly, changes made to an AutoCAD LT 97 drawing with AutoCAD Release 14 are preserved when you reopen that drawing in AutoCAD LT 97.

Conversion of AutoCAD LT Objects

See Also
Saving Files to Other AutoCAD Formats


Conversion of AutoCAD LT Objects

none


Reference: Conversion of AutoCAD LT Objects

Commands

SAVE | Saves the drawing under the current file name or a specified name
SAVEAS | Saves an unnamed drawing with a file name or renames the current drawing


AutoCAD and AutoCAD LT File Compatibility

No entries.


Reference: AutoCAD and AutoCAD LT File Compatibility

AutoCAD and AutoCAD LT File Compatibility

Commands

SAVE | Saves the drawing under the current file name or a specified name
SAVEAS | Saves an unnamed drawing with a file name or renames the current drawing

System Variables

No entries.


Recovering Damaged Files

By saving your work frequently, you can ensure a minimum of lost data if your system fails. Computer hardware problems, power surges, user mistakes, or software problems can cause errors that prevent you from editing or plotting the drawing.

When an error occurs, AutoCAD LT tries to record diagnostic information in the aclt.err file, which you can use to report a problem. AutoCAD LT marks a drawing as damaged if it detects corrupted data or if you request that the drawing be saved after a system failure. If the damage is minor, you sometimes can repair the drawing simply by opening it.

You can use RECOVER to perform an audit on and attempt to open any file you select. Use AUDIT to find and correct errors in open file.

Example: Auditing Files

The output from a recovery audit is written to an ADT log file if the AUDITCTL system variable is set to 1 (on).

Recovery does not necessarily preserve the high-level consistency of the drawing file. AutoCAD LT tries to extract as much material as it can from the damaged file.

Recovering Data from Backup Files


Recovering Data from Backup Files

You can restore damaged drawings by copying backup files into new drawings.

When you save a named drawing for the first time, AutoCAD LT creates a backup (.bak file extension) copy of the drawing. Each time you use SAVE or SAVEAS with the current drawing name, AutoCAD LT updates the backup file. You can turn off this automatic backup feature with PREFERENCES. If you want AutoCAD LT to automatically save your drawing to a file, you can use PREFERENCES to specify a time interval between save operations and a file name for the temporary drawing.

If your program terminates unexpectedly, AutoCAD LT tries to rename the backup file to prevent the corrupted file from replacing the existing backup file. AutoCAD LT renames the BAK file with the file extension .bk1 if that file name does not exist. If that backup file does exist, AutoCAD LT generates new file extensions in the sequence .bk2 through .bk9 and .bka through .bkz until it finds a unique file name.

If your system fails and the BAK file contains the previous version of the drawing file, copy it to a safe place in case you need to revert to that version. To use the backup copy of the drawing, copy it into a DWG file.


Recovering Data from Backup Files

To repair a drawing after a fatal or internal error
To audit your drawing file


To repair a drawing after a fatal or internal error

Recovering Damaged Files

To repair a drawing after a fatal or internal error

  1. If AutoCAD LT encounters a problem and cannot continue, it displays an error message and, for some errors, an error code. Record the error code number, save the changes if possible, and exit to the operating system.

    If the current drawing is unnamed, AutoCAD LT saves the drawing to the file unnamed.dwg.

  2. Restart AutoCAD LT and open the drawing that terminated.

    If AutoCAD LT detects that the drawing has been damaged, it displays a message asking if you want to proceed.

  3. Enter y to proceed.

As AutoCAD LT attempts to repair the drawing, it displays a diagnostic report. If the repair is successful, the drawing opens. If AutoCAD LT cannot recover the file, it displays a message.


To audit your drawing file

Recovering Damaged Files

To audit your drawing file

  1. From the File menu, choose Drawing Utilities. Then choose Audit.
  2. At the Fix Any Errors Detected? prompt, enter y or n.

After an audit, AutoCAD LT places all objects with errors in the Previous selection set for easy access. The output from the recovery audit is written to an ADT log file if the AUDITCTL system variable is set to 1 (on). This is the same file created by the recovery operation.

If the drawing contains errors that AUDIT cannot fix, try using RECOVER.

Command line equivalent AUDIT


Reference: Recovering Data from Backup Files

Recovering Data from Backup Files

Commands

PREFERENCES | Customizes the AutoCAD settings
RECOVER | Repairs a damaged drawing

System Variables

No entries.


Recovering Damaged Files

Example: Auditing Files

You can perform a diagnostic audit on your current drawing to find and correct errors.

Auditing a file generates a description of problems and recommendations for correcting them. As you start the audit, you specify whether you want AutoCAD LT to try to fix the problems it encounters. The report is similar to the following example:

Auditing Header
DXF NAME | Current Value | Validation | Default
PDMODE | 990 - 2040
UCSFOLLOW | 811 or 0

Error found in auditing header variables
4 Blocks audited
Pass 1 4 objects audited
Pass 2 4 objects audited
Total errors found 2 fixed 2

If you chose not to correct the errors, the last statement changes to Total errors found 2 fixed 0.


Recovering Damaged Files

To repair a drawing after a fatal or internal error
To audit your drawing file


Reference: Recovering Damaged Files

Recovering Damaged Files

Commands

AUDIT | Evaluates the integrity of a drawing
PREFERENCES | Customizes the AutoCAD settings
RECOVER | Repairs a damaged drawing

System Variable
AUDITCTL Controls whether AutoCAD creates an .adt file (audit report)


Using Slides and Scripts

Slides are snapshots of AutoCAD LT drawing files. You can use slides for giving presentations, creating custom image tile menus, and viewing an image of another drawing while you work.

In addition to using the command line and menus to access commands, you can write scripts to execute a series of commands automatically. A common way to use scripts is to create slide shows of slides you create from AutoCAD LT drawings.

Working with Slides
Using Scripts
Running Slide Shows from Scripts

See Also
Creating Image Tile Menus


Working with Slides

A slide is a "snapshot" of an AutoCAD LT drawing. Although it contains a picture of the drawing at a given instant, it is not a drawing file. You cannot import a slide file into the current drawing, nor can you edit or print a slide. You can only view it.

You can use slide files in the following ways:

  • For making presentations within AutoCAD LT
  • For viewing a snapshot of a drawing while working on a different drawing
  • For creating menus of image tiles within a dialog box
When you view a slide file, it temporarily replaces objects on the screen. You can draw on top of it, but when you change the view (by redrawing, panning, or zooming), the slide file disappears, and AutoCAD LT redisplays only what you drew and any preexisting objects.

You can display slides one by one or use a script to display slides in sequence. Slides also can be used on custom menus. For example, if you create scripts that insert blocks containing mechanical parts you use frequently, you can design a custom image tile menu that displays a slide of each part. When you select the slide image from the menu, AutoCAD LT inserts the block into the drawing.

A slide library is a file containing one or more slides. Slide library files are used for creating custom image tile menus and for combining several slide files for convenient file management.


Creating Slides

You create a slide by saving the current view in slide format. A slide created in model space shows only the current viewport. A slide created in paper space shows all visible viewports and their contents. Slides show only what was visible. They do not show objects on layers that were turned off or frozen or objects in viewports that were turned off.

You cannot edit a slide. You must change the original drawing and remake the slide. If you use a low-resolution graphics monitor when creating a slide file and later upgrade to a high-resolution monitor, you can still view the slide. AutoCAD LT adjusts the image accordingly; however, the slide does not take full advantage of the new monitor until you remake the slide file from the original drawing.


Procedures: Creating Slides

Creating Slides

To make a slide

  1. Display the view you want to use for the slide.
  2. At the Command prompt, enter mslide.
  3. In the Create Slide File dialog box, enter the name for the slide.

    AutoCAD LT offers the current name of the drawing as a default name for the slide and automatically appends the .sld file extension.

  4. Choose OK.

The current drawing remains on the screen, and the slide file is saved to the directory that you specify.


Reference: Creating Slides

Creating Slides

Commands

MSLIDE Creates a slide file of the current viewport

System Variables

No entries.


Viewing Slides

You can view slides individually using VSLIDE. To view a series of slides for a presentation, use a script file. For information about creating scripts, see Using Scripts.

Be careful about using editing commands while you view a slide, which looks like an ordinary drawing. Editing commands affect the current drawing underneath the slide but not the slide itself.

Some commands may force redrawing, which removes the slide from display.


Procedures: Viewing Slides

Viewing Slides

To view a slide

  1. At the Command prompt, enter vslide.
  2. In the Select Slide File dialog box, select a slide to view and choose OK.

    The slide image appears in the graphics area.

  3. From the View menu, choose Redraw.

    The slide image disappears.


Reference: Viewing Slides

Viewing Slides

Commands

REDRAW | Refreshes the display of the current viewport
VSLIDE | Displays a raster image slide file in the current viewport

System Variables

No entries.


Creating and Viewing Slide Libraries

You can create slide libraries from slide files using the SLIDELIB utility. After you have set up a slide library, you can view slides by specifying the name of the slide library and the slide.

Do not delete the original slides after creating the slide library. The SLIDELIB utility cannot update a slide library once it is created. If you want to add or delete a slide, update the slide list file and remake the library with SLIDELIB. When you remake the slide library, all the slide files that you intend to include must be available.


Procedures: Creating and Viewing Slide Libraries

Creating and Viewing Slide Libraries

To create a slide library
To view a slide in a slide library


Reference: Creating and Viewing Slide Libraries

Creating and Viewing Slide Libraries

Commands

REDRAW | Refreshes the display of the current viewport
MSLIDE | Creates a slide file of the current viewport
VSLIDE | Displays a raster image slide file in the current viewport

System Variables

No entries.

Utilities
SLIDELIB Constructs slide library files from slide files


Working with Slides

To make a slide
To view a slide
To create a slide library
To view a slide in a slide library


Working with Slides

Commands

REDRAW | Refreshes the display of the current viewport
MSLIDE | Creates a slide file of the current viewport
VSLIDE | Displays a raster image slide file in the current viewport

System Variables

No entries.

Utilities

SLIDELIB Constructs slide library files from slide files


Using Scripts

AutoCAD LT can read and execute a sequence of commands from a text file called a script. Writing a script is an easy-to-use method for creating continuously running displays for product demonstrations and trade shows.

Scripts can execute any command at the Command prompt except commands that display dialog boxes. AutoCAD LT provides command line versions of the dialog box commands.

Table: Script Access to Dialog Box Commands

Using Script Commands

The following commands are useful in scripts:

  • 'DELAY. Delays execution of the next command for the time specified (in milliseconds)
  • 'GRAPHSCR. Switches to the graphics area
  • RESUME. Resumes an interrupted command script
  • RSCRIPT. Restarts a command script from the beginning
  • 'TEXTSCR. Switches to the text window
Creating Scripts

You create script files outside AutoCAD LT using a text editor (such as Windows Notepad) or a word processor (such as Word) that can save the file in ASCII format. The file extension must be .scr. You must be very familiar with the sequence of AutoCAD LT prompts to provide an appropriate sequence of responses in the script file.

Example: A Script that Changes Settings in a Drawing

Each blank space in a script file is significant: AutoCAD LT accepts either a space or ENTER as a command or data field terminator. Script files can contain comments. Any line that begins with a semicolon (;) is considered a comment, and AutoCAD LT ignores it while processing the script file.

When command input comes from a script, AutoCAD LT assumes that the settings of the PICKADD and PICKAUTO system variables are 1 and 0, respectively; therefore, you do not have to check the settings of these variables.

AutoCAD LT considers a script to be a group, a unit of commands, reversible by a single U command. However, each command in the script causes an entry in the undo log, which can slow script processing. If you like, you can use UNDO Control None to turn off the undo feature before running the script, or you can write it at the beginning of the script itself. Remember to turn it back on (UNDO Control All) when the script is finished.

The script that is running stops when another script command is invoked.

Note: Keep in mind that AutoCAD LT prompts and command names may change in future releases, so you may need to revise your scripts when you upgrade to a later version of AutoCAD LT. For similar reasons, avoid the use of abbreviations; future command additions might create ambiguities.

Specifying a Script When Starting AutoCAD LT

To invoke a script when you start AutoCAD LT, use the following command form:

aclt [existing_drawing or /t template_drawing] [/v view] [/b script_file]

The script file must be the last parameter listed. Including the file extensions .exe, .dwg, .dwt, and .scr is optional.

Example: A Script that Starts AutoCAD LT


Procedures: Using Scripts

Using Scripts

To invoke a script from within AutoCAD LT
To invoke a script when you start AutoCAD LT


Procedures: Using Scripts-1

Using Scripts

To invoke a script from within AutoCAD LT

  1. On the command line, enter script.
  2. In the Select Script File dialog box, select a script file and choose OK.
AutoCAD LT executes the commands in the script file one line at a time.


Procedures: Using Scripts-2

Using Scripts

To invoke a script when you start AutoCAD LT

  1. From the Start menu, choose Run.
  2. In the Run dialog box, enter aclt drawingname scriptfile.


Reference: Using Scripts

Using Scripts

Commands

SCRIPT Executes a sequence of commands from a script file

System Variables

No entries.


Table: Script Access to Dialog Box Commands

Dialog box command | Associated script command | Description
DDATTDEF | ATTDEF | Attribute definition
DDATTE | ATTEDIT | Attribute editing
DDATTEXT | ATTEXT | Attribute extraction
DDRMODES | BLIPMODE FILL GRID ISOPLANE SNAP | Drawing modes: Blips, Fill, Grid, Isoplane, Snap
DDEMODES | COLOR ELEV | Object properties
DDUNITS | UNITS | Unit setting
DDLMODES | LAYER | Layer setting
DDSTYLE | STYLE | Style setting
DDRENAME | RENAME | Renaming
DDINSERT | INSERT | Block insertion
BMAKE | BLOCK | Block creation


Example: Using a script to change settings in a drawing

Example: A Script that Changes Settings in a Drawing

Every time you begin a new drawing, you turn the grid on, set the global linetype scale to 3.0, and set layer 0 as your current layer, with red as the color. You can do this using a template drawing, but you could do it instead with the following script, stored in a text file called setup.scr. The fourth line of the script is blank.

grid on
ltscale 3.0
layer set 0 color red 0

The first line turns on the grid. The second line sets the global scale for linetypes. The third line sets the current layer to layer 0 and sets its default color to red. AutoCAD LT assumes that in a script you want to use the command line version of LAYER rather than the dialog box version. The result is equivalent to entering -layer on the command line. The fourth line is blank, ending LAYER.


Example: Specifying a script when starting AutoCAD LT

Example: A Script that Starts AutoCAD LT

From the Start menu, choose Run and enter aclt widget /b setup.

AutoCAD LT opens the drawing widget and executes the commands in the file setup.scr. When the script has been completed, the Command prompt is displayed.


Running Slide Shows from Scripts

Scripts are useful for creating slide shows. Ordinarily, the speed with which you can display slides is limited by the number of times AutoCAD must access the disk to read the slide file. You can, however, preload the next slide from disk into memory while your audience is viewing the current slide and then quickly display the new slide from memory.

To preload a slide, place an asterisk before the file name in VSLIDE. The next VSLIDE command detects that a slide has been preloaded and displays it without asking for a file name.

The disk-access time to load the next slide overlaps with the viewing time for the current slide. You can specify additional delays with the DELAY command. Each delay unit is equal to one millisecond.

Example: A Script with Preloaded Slides

You break out of a repeating script with ESC. You can resume the script with RESUME.

If the script will run for a long time, it is recommended that you use the UNDO control none to turn off the Undo log file.


Procedures: Running Slide Shows from Scripts

Running Slide Shows from Scripts

No entries.


Reference: Running Slide Shows from Scripts

Running Slide Shows from Scripts

Commands

'DELAY | Delays execution of the next command for the time specified (in milliseconds)
'GRAPHSCR | Switches to the graphics area
RESUME | Resumes an interrupted command script
RSCRIPT | Restarts a command script from the beginning
SCRIPT | Executes a sequence of commands from a script file
'TEXTSCR | Switches to the text window
VSLIDE | Displays a raster image slide file in the current viewport

System Variables

No entries.


Example: Preloading Slides in a Script

Example: A Script with Preloaded Slides

In this example of a script that displays three slides, the time it takes to access the disk drive and load the next slide into memory overlaps with the viewing time for the current slide.

The first line of the script begins the slide show and loads slide1. The second line preloads slide2. The third line specifies a delay of 2000 milliseconds to allow the audience to view slide1.

The fourth, fifth, and sixth lines display slide2, preload slide3, and specify a delay for viewing slide2. The next two lines display slide3 and specify a delay for viewing slide3.

The final line of the script repeats it.

VSLIDE SLIDE1
VSLIDE *SLIDE2
DELAY 2000
VSLIDE
VSLIDE *SLIDE3
DELAY 2000
VSLIDE
DELAY 3000
RSCRIPT


Using Slides and Scripts

To make a slide
To view a slide
To create a slide library
To view a slide in a slide library
To invoke a script from within AutoCAD LT
To invoke a script when you start AutoCAD LT


Using Slides and Scripts

Commands

REDRAW | Refreshes the display of the current viewport
MSLIDE | Creates a slide file of the current viewport
VSLIDE | Displays a raster image slide file in the current viewport

System Variables

No entries.

Utilities
SLIDELIB Constructs slide library files from slide files


Using Standard PostScript Definitions

No entries.


Reference: Using Standard PostScript Definitions

Using Standard PostScript Definitions

Commands

EXPORT | Saves objects to other file formats
IMPORT | Imports various file formats into AutoCAD LT
PSOUT | Creates an Encapsulated PostScript file
PSUPDATE | Adjusts the size of all PostScript text in a drawing

System Variables

PSPROLOG Assigns a name for a prologue section to be read from the aclt.psf file when using PSOUT


Creating Custom PostScript Definitions

Example: Custom Prolog Section

All lines without comments between the section header and the next section of aclt.psf are output to the PostScript file.

You can add as many prolog sections as you wish to aclt.psf (one for each of your printing devices, for instance); however, only one is referenced during PSOUT. Use the PSPROLOG system variable to specify which one to reference. PSPROLOG accepts a string as a value. That string is the name of the prolog section to be referenced without the asterisk. The following example references the *linewidths prolog.

Command: psprolog
New value for PSPROLOG, or . for none <default>:Enter linewidths

An example prolog with comments, called *sampleprolog, is included in aclt.psf.


Creating Custom PostScript Definitions

No entries.


Reference: Creating a Custom Prologue Section

Creating Custom PostScript Definitions

Commands

EXPORT | Saves objects to other file formats
IMPORT | Imports various file formats into AutoCAD LT
PSOUT | Creates an Encapsulated PostScript file
PSUPDATE | Adjusts the size of all PostScript text in a drawing

System Variables

PSPROLOG Assigns a name for a prologue section to be read from the aclt.psf file when using PSOUT


Procedures: Creating and Viewing Slide Libraries-1

Creating and Viewing Slide Libraries

To create a slide library

  1. Use a Windows ASCII text editor to create a list of slide files to include in the library. The file would look similar to this example:
    • entrance.sld
    • hall.sld
    • stairs.sld
    • study.sld
    • balcony.sld
  2. Name and save the file as a text file with a .txt file extension.
  3. From the Windows 95 Start menu, choose Programs. Then choose MS-DOS Prompt.
  4. Change to the AutoCAD LT directory.
  5. In the MS-DOS Prompt window, use the following syntax to create the slide library:
    slidelib library name<list.txt

    For example, if you named your text file areas.txt, you could create a library called house.slb by entering slidelib house<areas.txt. The slidelib utility appends the file extension .slb to the slide library file.


Procedures: Creating and Viewing Slide Libraries-2

Creating and Viewing Slide Libraries

To view a slide in a slide library

  1. At the Command prompt, set the FILEDIA system variable to 0.
  2. At the Command prompt, enter vslide.
  3. Enter library(slidename) to specify the slide.

    For example, enter house (balcony) to open the balcony slide, which is stored in the house slide library file.

  4. From the View menu, choose Redraw to remove the slide from the display.


Managing Files and Formats

To import a DXF file
To import a WMF file
To control the display of solid fills and wide lines in WMF files
To create a DXF file
To create a Windows metafile (WMF)
To create a bitmap file (BMP)
To create a PostScript file (EPS)
To save an AutoCAD LT drawing in a previous release format
To repair a drawing after a fatal or internal error
To audit your drawing file
To make a slide
To view a slide
To create a slide library
To view a slide in a slide library
To invoke a script from within AutoCAD LT
To invoke a script when you start AutoCAD LT


Reference: Managing Files and Formats

Managing Files and Formats

Commands

AUDIT | Evaluates the integrity of a drawing
BMPOUT | Saves selected objects to a file in device-independent bitmap format
DXFIN | Imports a drawing interchange file
DXFOUT | Creates a drawing interchange file of the current drawing
EXPLODE | Breaks a compound object into its component objects
EXPORT | Saves objects to other file formats
IMPORT | Imports various file formats into AutoCAD LT
PREFERENCES | Customizes the AutoCAD LT settings
PSOUT | Creates an Encapsulated PostScript file
PSUPDATE | Adjusts the size of all PostScript text in a drawing
RECOVER | Repairs a damaged drawing
SAVE | Saves the drawing under the current file name or a specified name
SAVEAS | Saves an unnamed drawing with a file name or renames the current drawing
WMFIN | Imports a Windows Metafile
WMFOPTS | Sets options for WMFIN
WMFOUT | Saves objects to a Windows Metafile

System Variables

AUDITCTL | Controls whether AutoCAD creates an .adt file (audit report)
PSPROLOG | Assigns a name for a prologue section to be read from the aclt.psf file when using PSOUT


Modifying Objects

With AutoCAD LT, you can easily modify the size, shape, and location of objects. You can either enter a command first and then select the objects to modify, or you can select the objects first and then enter a command to modify them. If you select the objects first, you can use grips and the Object Properties toolbar for many editing tasks.

Erasing Objects
Moving Objects
Rotating Objects
Copying, Offsetting, and Mirroring Objects
Changing the Size and Shape of Objects
Creating Fillets, Chamfers, and Breaks in Objects
Exploding Objects
Using Grips to Edit Objects

See Also
Selecting Objects


Erasing Objects

You can remove unwanted objects or copies of objects from your drawing by erasing them. ERASE works with all the available selection methods.

  • To restore accidentally erased objects, use Undo.
  • The OOPS command, often used after creating blocks, restores all objects deleted by the most recent use of ERASE, BLOCK, BMAKE, or WBLOCK.
  • To remove the plus-shaped markers called blips, refresh the screen with REDRAW, instead of using ERASE.
  • To remove extra block definitions, dimension styles, layers, linetypes, or text styles, use PURGE.


Procedures (Erasing Objects-1)

Erasing Objects

To erase an object

  1. From the Modify menu, choose Erase.
  2. At the Select Objects prompt, do one of the following:
    • Use a selection method to select the objects to be erased.
    • Enter L (Last) at the Select Objects prompt to erase the last object drawn. Enter p (Previous) to erase the last selection set. Enter all to erase all objects from the drawing. Enter ? to see a list of all selection methods.
  3. Press ENTER to complete the command.

Modify toolbar:
Command line equivalent: ERASE


Procedures (Erasing Objects-2)

Erasing Objects

To restore the last erased object

  • At the Command prompt, enter oops.

The last objects that were removed by ERASE, BLOCK, BMAKE, or WBLOCK are restored.

Command line equivalent: OOPS


Procedures (Erasing Objects)

Erasing Objects

To erase an object
To restore the last erased object


Erasing Objects

Commands

ERASE | Removes objects from a drawing
OOPS | Restores erased objects
PURGE | Removes unused named objects, such as blocks or layers, from the database

System Variables

No entries.


Moving Objects

You can move objects without changing their orientation or size. By using coordinates and object snaps, you can move objects with precision.

In this example, you move the block representing a window. After choosing Move, select the object to be moved (1). Specify the base point for the move (2) followed by the point of displacement (3). The object is moved from (2) to point (3).

The objects you selected are moved to a new location determined by the distance and direction between the first and the second points that you specified.

You can also move an object using relative coordinates by entering coordinate values for the first point and pressing ENTER for the second point of displacement. This instructs AutoCAD LT to use the coordinate values as a relative displacement rather than a base point. The objects you selected are moved to a new location determined by the relative coordinate values you entered. Do not include an @ as you would for relative coordinates since relative coordinates are expected.

You can also use STRETCH to move objects if all their endpoints lie entirely within the selection window. Turning on Ortho mode helps you move the object at a specific angle.

In the illustration, notice that the door itself is entirely within the selection window and thus moves to the new location. The wall lines, on the other hand, merely cross the selection window. Only the endpoints that lie within the selection window move. Therefore, the wall lines stretch in accordance with the movement of the door.


Procedures (Moving Objects-1)

Moving Objects

To move an object using two points

  1. From the Modify menu, choose Move.
  2. Select the objects to move. Press ENTER.
  3. Specify a base point for the move.
  4. Specify a second point, the point of displacement.

The objects you selected are moved to a new location determined by the distance and direction between the first and the second points that you specified.

Modify toolbar:
Command line equivalent: MOVE


Procedures (Moving Objects-2)

Moving Objects

To move an object using a displacement

  1. From the Modify menu, choose Move.
  2. Select the object to move. Press ENTER.
  3. Enter the displacement in the form of a Cartesian, polar, cylindrical, or spherical coordinate value. Do not include the @ symbol, because a relative coordinate is expected.
  4. At the prompt for the second point of displacement, press ENTER.

By entering only one set of coordinate values, you instruct AutoCAD LT to use it as a relative displacement rather than a base point. The objects you select are moved to a new location determined by the relative coordinate values you enter.

Modify toolbar:
Command line equivalent: MOVE


Procedures (Moving Objects-3)

Moving Objects

To move by stretching

  1. From the Modify menu, choose Stretch.
  2. Select the object by using crossing selection. Press ENTER.

    The crossing window must include at least one vertex or endpoint. Specify crossing selection either by entering c or by clicking, moving your pointing device from right to left, and clicking again.

  3. Do one of the following:
    • Specify the base point for the move and then specify a second point, the point of displacement.
    • Enter the displacement in the form of a Cartesian, polar, cylindrical, or spherical coordinate value. Do not include the @ symbol, because a relative coordinate is expected. At the prompt for the second point of displacement, press ENTER.

Any objects with at least one vertex or endpoint included within the crossing selection are stretched. Any objects that are completely within the crossing selection are moved without being stretched.

Modify toolbar:
Command line equivalent: STRETCH


Procedures (Moving Objects)

Moving Objects

To move an object using two points
To move an object using a displacement
To move by stretching


Reference:Moving Objects)

Moving Objects

Commands

DDMODIFY | Controls properties of existing objects
MOVE | Displaces objects a specified distance in a specified direction

System Variables

No entries.


Rotating Objects

You can rotate objects around a point. To determine the angle of rotation, you enter an angle value or specify base points. You can also rotate objects to align with other objects.

Whether entering a positive value rotates the objects counterclockwise or clockwise depends on the Direction Control setting in the Units Control dialog box. The plane of rotation and the direction of the zero angle depend on the orientation of the user coordinate system.

Rotating an Object by a Specified Angle

You can rotate an object around a base point by specifying a relative angle using one of two methods:

  • Enter a rotation angle value from 0 to 360 degrees. You can also enter values in radians, grads, or surveyor bearings.
  • Drag the object around the base point and specify a second point. Turning on Ortho and polar snap, or using object snaps for the second point is often useful with this method.

In this example, you rotate the plan view of a house by specifying an angle.

Rotating an Object to an Absolute Angle

You can rotate an object around a base point to a new absolute angle. For example, to rotate the object in the illustration around the base point to a horizontal orientation, use the Reference option of ROTATE. Select the object to rotate (1). Specify the reference angle with two points. Enter 0 to rotate the reference angle on the object to a horizontal orientation.

You can specify a point instead of entering a new absolute angle. For example, to align the door symbol with the wall, specify the reference angle by specifying two points (2 and 3) on the door symbol that you want to rotate. Object snaps help you ensure precision when specifying the points on this object. You then specify the new absolute angle by specifying a point (4) on the object to align with.


Procedures (Rotating Objects-1)

Rotating Objects

To rotate an object

  1. From the Modify menu, choose Rotate.
  2. Select the object to rotate.
  3. Specify the base point for the rotation.
  4. Do one of the following:
    • Enter the angle of rotation.
    • Drag the object around its base point and specify a point location to which you want to rotate the object.

Modify toolbar:
Command line equivalent: ROTATE


Procedures (Rotating Objects-2)

Rotating Objects

To rotate an object using a reference angle

  1. From the Modify menu, choose Rotate.
  2. Select the object to rotate.
  3. Specify the base point for the rotation.
  4. Enter r (Reference).
  5. Do one of the following:
    • Enter an absolute angle for the reference.
    • Specify two point locations on the object being rotated for the reference.
  6. Then, do one of the following:
    • Enter the absolute angle to which you want to rotate the object.
    • Drag the object around its base point and specify a point location to which you want to align the object.

Modify toolbar:
Command line equivalent: ROTATE


Procedures (Rotating Objects)

Rotating Objects

To rotate an object
To rotate an object using a reference angle


Reference:Rotating Objects)

Rotating Objects

Commands

ROTATE Moves objects about a base point

System Variables

No entries.


Copying, Offsetting, and Mirroring Objects

You can duplicate selected objects once or many times within the current drawing, and you can copy them between drawings or applications. Copying objects is faster than drawing them again, even if you have to make minor modifications to the copies.


Copying Objects Between Points

You can create duplicates of objects at a specified distance from the original. You specify the distance and direction by two points, a from point and a to point, called the base point and the second point of displacement, respectively. These points can be located anywhere within the drawing.

You can also copy an object or a selection set multiple times without leaving the COPY command.


Procedures (Copying Objects Between Points)

Copying Objects Between Points

To copy an object
To copy an object multiple times


Procedures (Copying Objects Between Points-1)

Copying Objects Between Points

To copy an object

  1. From the Modify menu, choose Copy.
  2. Select the objects to copy and press ENTER.
  3. Specify the base point.
  4. Specify the second point of displacement.

Modify toolbar:
Command line equivalent: COPY


Procedures (Copying Objects Between Points-2)

Copying Objects Between Points

To copy an object multiple times

  1. From the Modify menu, choose Copy.
  2. Select the objects to copy and press ENTER.
  3. Enter m (Multiple).
  4. Specify the base point.
  5. Specify the second point of displacement.
  6. Specify the next point of displacement. Continue inserting copies, or press ENTER to end the command.

Modify toolbar:
Command line equivalent: COPY


Reference:Copying Objects Between Points)

Copying Objects Between Points

Commands

COPY Duplicates objects

System Variables

No entries.


Creating an Array of Objects

You can create copies of objects in a rectangular or polar (circular) pattern called an array. For rectangular arrays, you control the number of rows and columns and the distance between each. For polar arrays, you control the number of copies of the object and whether the copies are rotated. To create many regularly spaced objects, arraying is faster than copying.

If you specify a very large number of rows and columns for an array, AutoCAD LT may take a long time to create the copies. By default, the number of array elements that can be generated by one command is limited to 100,000.

Creating Rectangular Arrays

AutoCAD LT builds a rectangular array along a baseline defined by the current snap rotation angle. This angle is zero by default, so the rows and columns of a rectangular array are orthogonal with respect to the X and Y drawing axes.

You can change the angle and create a rotated array. Setting the snap rotation angle to a nonzero value rotates the screen crosshairs accordingly. You can consider all rectangular arrays to be constructed parallel to the crosshairs. Rows align with the X crosshair, and columns align with the Y crosshair.

Creating Polar Arrays

When you create a polar array, the array is drawn counterclockwise or clockwise depending on whether you enter a positive or a negative value for the angle to fill and on the Direction Control setting in the Units Control dialog box.

Limiting the Size of Arrays

By default, AutoCAD LT limits the size of an array to a maximum of 100,000 objects. This limit is controlled by the MaxArray setting in the registry. You can change this limit to any number between 100 and 10,000,000 with SETENV.


Procedures (Creating an Array of Objects)

Creating an Array of Objects

To create a rectangular array
To create a polar array


Procedures (Creating an Array of Objects-1)

Creating an Array of Objects

To create a rectangular array

  1. From the Modify menu, choose Array. Then enter r (Rectangular).
  2. Select the objects to be arrayed and press ENTER.
  3. Enter the number of horizontal rows of objects to be created.
  4. Enter the number of vertical columns of objects to be created.
  5. Do one of the following:
    • Enter the distance between rows, and then enter the distance between columns. Adding a plus sign (+) or a minus sign (-) determines direction.
    • Specify the diagonal corners of a unit cell rectangle, which determines both the vertical and horizontal spacing of the rows and columns.

Modify toolbar:
Command line equivalent: ARRAY


Procedures (Creating an Array of Objects-4)

Creating an Array of Objects

To create a polar array

  1. From the Modify menu, choose Array.
  2. Select the objects to be arrayed and press ENTER.
  3. Then enter p (Polar).
  4. Specify a center point for the array.
  5. Enter the total number of elements you want in the array, including the original object.
  6. Enter the angle the array is to fill, from 0 to 360.
  7. Enter y to rotate the objects as they are arrayed, or enter n to keep the objects at a fixed angle.

Modify toolbar:
Command line equivalent: ARRAY


Reference:Creating an Array of Objects)

Creating an Array of Objects

Commands

ARRAY | Creates multiple copies of objects in a pattern
DDRMODES | Sets drawing aids
GETENV | Shows values of specified registry variables
SETENV | Sets values of specified registry variables
UCS | Manages user coordinate systems

System Variables

SNAPANG Sets snap and grid rotation angle for the current viewport


Offsetting an Object

Offsetting creates a new object whose shape parallels the shape of a selected object. Offsetting a circle or an arc creates a larger or smaller circle or arc, depending on which side you specify for the offset.

A highly effective drawing technique is to offset objects and then trim or extend their ends.

You can offset

  • Lines
  • Arcs
  • Circles
  • Ellipses and elliptical arcs
  • 2D polylines
  • Construction lines (xlines)
  • Rays
  • Splines


Procedures (Offsetting an Object)

Offsetting an Object

To offset an object by specifying a distance
To offset an object through a point


Procedures (Offsetting an Object-1)

Offsetting an Object

To offset an object by specifying a distance

  1. From the Modify menu, choose Offset.
  2. Enter a value to specify the offset distance.

    Alternatively, you can specify two point locations to determine the offset distance.

  3. Select the object to offset.
  4. Specify a point on the side where you want to place the new objects.
  5. Select another object to offset, or press ENTER to end the command.

Modify toolbar:
Command line equivalent: OFFSET


Procedures (Offsetting an Object-2)

Offsetting an Object

To offset an object through a point

  1. From the Modify menu, choose Offset.
  2. Enter t to specify the Through option.
  3. Select the object to offset.
  4. Specify the through point.
  5. Select another object to offset or press ENTER to end the command.

Modify toolbar:
Command line equivalent: OFFSET


Reference:Offsetting an Object)

Offsetting an Object

Commands

OFFSET Creates concentric circles, parallel lines, and parallel curves

System Variables

OFFSETDIST Sets the default offset distance


Mirroring Objects

Mirroring creates a mirror image of objects. It is useful for creating symmetrical objects because you can quickly draw half the object and then mirror it rather than drawing the entire object.

You flip objects about an axis called a mirror line to create a mirror image. To specify this temporary mirror line, you enter two points. You can choose whether to delete or retain the original objects. Mirroring works in any plane parallel to the XY plane of the current UCS.

When you mirror text, attributes, and attribute definitions, they are reversed or turned upside down in the mirror image. To prevent this, set the MIRRTEXT system variable to 0 (off). By default, MIRRTEXT is on. If you turn it off, the text has the same alignment and justification as before the mirroring. Compare the following illustrations.

The MIRRTEXT system variable affects text that is created with the TEXT, DTEXT, ATTDEF, or MTEXT commands; attribute definitions; and variable attributes. Text and constant attributes within an inserted block are mirrored as a consequence of mirroring the entire block. These objects are inverted regardless of the MIRRTEXT setting. For more information about blocks and attributes, see Using Symbols (Blocks).


Procedures (Mirroring Objects)

Mirroring Objects

To mirror objects

  1. From the Modify menu, choose Mirror.
  2. Select the objects to mirror and press ENTER.
  3. Specify the first point of the mirror line.
  4. Specify the second point.
  5. Press ENTER to retain the original objects, or enter y to delete them.

Modify toolbar:
Command line equivalent: MIRROR


Reference:Mirroring Objects)

Mirroring Objects

Commands

MIRROR Creates a mirror image copy of objects

System Variables

MIRRTEXT Controls how MIRROR reflects text


Copying, Offsetting, and Mirroring Objects

To copy an object
To copy an object multiple times
To create a rectangular array
To create a polar array
To offset an object by specifying a distance
To offset an object through a point
To mirror objects


Copying, Offsetting, and Mirroring Objects

Commands

ARRAY | Creates multiple copies of objects in a pattern
COPY | Duplicates objects
DDRMODES | Sets drawing aids
GETENV | Shows values of specified registry variables
MIRROR | Creates a mirror image copy of objects
OFFSET | Creates concentric circles, parallel lines, and parallel curves
SETENV | Sets values of specified registry variables
UCS | Manages user coordinate systems

System Variables

MIRRTEXT | Controls how MIRROR reflects text
OFFSETDIST | Sets the default offset distance
SNAPANG | Sets snap and grid rotation angle for the current viewport


Changing the Size and Shape of Objects

You can resize and reshape objects to make them longer or shorter and larger or smaller. You can also reshape polylines and splines.


Trimming and Extending Objects

You can shorten or lengthen objects to touch the edges, projected edges, or extrapolated edges of other objects. This means you can create an object such as a line first and then later adjust it to fit exactly between other objects.

Objects you select as cutting edges or boundary edges are not required to intersect the object being trimmed. You can trim or extend an object to an extrapolated intersection; that is, where the objects would intersect if they were extended.

Trimming

You can trim objects so that they end precisely at boundary edges defined by other objects. Cutting edges can be lines, arcs, circles, polylines, ellipses, splines, xlines, and rays. They can also be floating viewport objects in paper space. Wide polylines are cut along their center line.

In this example, you clean up the intersection of two walls smoothly by trimming.

An object can be one of the cutting edges and one of the objects being trimmed. For example, in the illustrated light fixture, the circle is a cutting edge for the construction lines and is also being trimmed.

When you are trimming several objects, the different selection methods can help you choose the right cutting edges and objects to trim. In the following example, the cutting edges are selected using crossing selection.

The following example uses the fence selection method to select a series of objects for trimming.

You can trim objects to their nearest intersection with other objects. Instead of selecting cutting edges, you press ENTER. Then, when you select the objects to trim, AutoCAD LT automatically chooses the nearest objects in the drawing as cutting edges. In this example, the walls are trimmed so that they intersect smoothly.

Extending

Extending operates the same way as trimming. You can extend objects so they end precisely at boundary edges defined by other objects. In this example, you extend the lines precisely to a circle, which is the boundary edge.

Trimming and Extending Wide Polylines

Wide polylines trim and extend so that the center line intersects the boundary. Because the ends of wide polylines are right angle corners, part of the end extends past the boundary if the boundary is not perpendicular to the extended segment.

If you trim or extend a tapered polyline segment, the width of the extended end is corrected to continue the original taper to the new endpoint. If this correction gives the segment a negative ending width, the ending width is forced to 0.


Procedures (Trimming and Extending Objects)

Trimming and Extending Objects

To extend an object
To trim an object


Procedures (Trimming and Extending Objects-1)

Trimming and Extending Objects

To extend an object

  1. From the Modify menu, choose Extend.
  2. Select the objects that will serve as boundary edges and press ENTER.

    To select all objects in the drawing as potential boundary edges, press ENTER without selecting any objects.

  3. Select the objects to extend and press ENTER.

Modify toolbar:
Command line equivalent: EXTEND


Procedures (Trimming and Extending Objects-2)

Trimming and Extending Objects

To trim an object

  1. From the Modify menu, choose Trim.
  2. Select the objects that will serve as cutting edges and press ENTER.

    To select all objects in the drawing as potential cutting edges, press ENTER without selecting any objects.

  3. Select the objects that you want trimmed and press ENTER.

Modify toolbar:
Command line equivalent: TRIM


Reference:Trimming and Extending Objects)

Trimming and Extending Objects

Commands

DDMODIFY | Controls properties of existing objects
EXTEND | Extends an object to meet another object
LENGTHEN | Lengthens an object
TRIM | Trims objects at a cutting edge defined by other objects

System Variables

EDGEMODE Controls how TRIM and EXTEND determine cutting and boundary edges


Resizing or Reshaping Objects

You can resize objects to make them longer or shorter in only one direction or to make them proportionally larger or smaller. You can also stretch certain objects by moving an included endpoint, vertex, or control point.

Lengthening

You can change the included angle of arcs and the length of some objects. You can change the length of open lines, arcs, open polylines, elliptical arcs, and open splines. The results are similar to extending and trimming. You can alter length in several ways:

  • Dragging an object endpoint (dynamically)
  • Specifying a new length or angle as a percentage of the total length or angle
  • Specifying an incremental length or angle measured from an endpoint
  • Specifying the object's total absolute length or included angle

Stretching

To stretch an object, you specify a base point and then a point of displacement. Because stretching moves the endpoints that lie within the crossing selection window, you must select the object with a crossing selection. To stretch with greater accuracy, you can combine grip editing with object snaps, grip snaps, grid snaps, and relative coordinate entry.

Scaling

With scaling you can make an object larger or smaller, but you cannot alter its proportions. You can scale it by specifying a base point and a length, which is used as a scale factor based on the current drawing units, or by entering a scale factor. You can also specify the current length and a new length for the object.

Scaling changes the size of all dimensions of the selected object. A scale factor greater than 1 enlarges the object. A scale factor less than 1 shrinks the object.

You can also scale by reference. Scaling by reference uses an existing measurement as a basis for the new size. To scale by reference, specify the current measurement and then the new desired size. For example, if one side of an object is 4.8 units long and you want to expand it to 7.5 units, use 4.8 as the reference length.

You can use the Reference option to scale an entire drawing. For example, use this option when the original drawing units need to be changed. Select all objects in the drawing. Then use Reference to select two points and specify the intended distance. All the objects in the drawing are scaled accordingly.

You can also specify the reference length by selecting a base point and two reference points and dragging to specify the new scale.


Procedures (Resizing or Reshaping Objects)

Resizing or Reshaping Objects

To stretch an object
To scale an object by a scale factor
To scale an object by reference
To change the length of an object by dragging


Procedures (Resizing or Reshaping Objects-1)

Resizing or Reshaping Objects

To stretch an object

  1. From the Modify menu, choose Stretch.
  2. Select the object using a crossing window selection. Press ENTER.

    The crossing window must include at least one vertex or endpoint. Specify a crossing window either by entering a c or by clicking, moving your mouse from right to left, and clicking again.

  3. Do one of the following:
    • Enter the displacement in the form of Cartesian, polar, cylindrical, or spherical coordinates. Do not include the @ symbol, because relative coordinates are expected. Press ENTER at the prompt for the second point of displacement.
    • Specify the base point for the move and then specify a second point, the point of displacement.
    Any objects with at least one vertex or endpoint included within the crossing window are stretched. Any objects that were completely within the crossing window are moved without stretching.

Modify toolbar:
Command line equivalent: STRETCH


Resizing or Reshaping Objects

To scale an object by a scale factor

  1. From the Modify menu, choose Scale.
  2. Select the object to scale.
  3. Specify the base point.
  4. Enter the scale factor.

Modify toolbar:
Command line equivalent: SCALE


Resizing or Reshaping Objects

To scale an object by reference

  1. From the Modify menu, choose Scale.
  2. Select the object to scale.
  3. Select the base point.
  4. Enter r (Reference).
  5. Select the first and second reference points or enter the value of the reference length.
  6. Enter the value for the new length.

Modify toolbar:
Command line equivalent: SCALE


Procedures (Resizing or Reshaping Objects-4)

Resizing or Reshaping Objects

To change the length of an object by dragging

  1. From the Modify toolbar, choose Lengthen.
  2. Enter dy to enter Dynamic Dragging mode.
  3. Select the object to lengthen.
  4. Drag the endpoint closest to the point of selection and specify a new endpoint using any point entry method.

    The selected object is lengthened or shortened without changing its location or orientation.

Modify toolbar:
Command line equivalent: LENGTHEN


Reference:Resizing or Reshaping Objects)

Resizing or Reshaping Objects

Commands

DDMODIFY | Controls properties of existing objects
LENGTHEN | Lengthens an object
PEDIT | Edits polylines and three-dimensional polygon meshes
SCALE | Enlarges or reduces selected objects equally in the X, Y, and Z directions
SPLINEDIT | Edits a spline object
STRETCH | Moves or stretches objects

System Variables

No entries.


Editing Polylines

In addition to the general editing operations available for most objects, there are additional options available for editing polylines with PEDIT.

  • Close. Creates the closing segment of the polyline, connecting the last segment with the first. AutoCAD LT considers the polyline open unless you close it using the Close option.
  • Join. Adds lines, arcs, or polylines to the end of an open polyline and removes the curve fitting from a curve-fit polyline. For an object to join the polyline, their endpoints must touch.
  • Width. Specifies a new uniform width for the entire polyline. Use the Width option of the Edit Vertex option to change the starting and ending widths of segments.
  • Edit Vertex. Marks the first vertex of the polyline by drawing an X on the screen. If you have specified a tangent direction for this vertex, an arrow is also drawn in that direction.
  • Fit. Creates a smooth curve consisting of arcs joining each pair of vertices. The curve passes through all vertices of the polyline and uses any tangent direction you specify.
  • Spline. Uses the vertices of the selected polyline as the control points, or frame, of a spline-fit polyline. The curve passes through the first and last control points unless the original polyline was closed.
  • Decurve. Removes extra vertices inserted by an arc-fit or spline-fit polyline and straightens all segments of the polyline.
  • Ltype Gen. Generates the linetype in a continuous pattern through the vertices of the polyline. When this option is turned off, AutoCAD LT generates the linetype starting and ending with a dash at each vertex.

Polylines edited with Spline

Polylines edited with Width


Procedures (Editing Polylines)

Editing Polylines

To edit a polyline
To taper the width of individual polyline segments


Procedures (Editing Polylines-1)

Editing Polylines

To edit a polyline

  1. From the Modify menu, choose Object>Polyline.
  2. Select the polyline to modify.
  3. At the Command prompt, edit the polyline by choosing one or more of the following options.
    • Enter c (Close) to create a closed polyline.
    • Enter j (Join)to join contiguous lines, arcs, or polylines.
    • Enter w (Width) to specify a new uniform width for the entire polyline.
    • Enter e (Edit Vertex) to edit a vertex.
    • Enter f (Fit) to create a series of arcs joining each pair of vertices.
    • Enter s (Spline) to create an approximation of a spline.
    • Enter d (Decurve) to remove extra vertices inserted by a fit or spline curve and to straighten all segments of the polyline.
    • Enter L (Ltype Gen) to generate the linetype in a continuous pattern through the vertices of the polyline.
    • Enter u (Undo) to reverse actions back to the start of PEDIT.
  4. Enter x (Exit) to end the command.

Modify toolbar:
Command line equivalent: PEDIT


Procedures (Editing Polylines-2)

Editing Polylines

To taper the width of individual polyline segments

  1. From the Modify menu, choose Object>Polyline.
  2. Select the polyline to edit.
  3. Enter e (Edit Vertex).

    The first vertex is marked with an X. Move to the appropriate vertex with Next or Previous.

  4. Enter w (Width).
  5. Enter new starting and ending widths, and press ENTER to move to the next vertex. Repeat steps 4 and 5 for each segment.
  6. Enter u (Undo)to reverse actions back to the start of PEDIT.
  7. Enter x (Exit) to end editing vertexes.
  8. Enter x (Exit) again to end the command.

Modify toolbar:
Command line equivalent: PEDIT


Reference:Editing Polylines)

Editing Polylines

Commands

PEDIT Edits polylines and three-dimensional polygon meshes

System Variables

SPLFRAME | Controls display of spline-fit polylines
SPLINESEGS | Sets the number of line segments to be generated for each spline-fit polyline
SPLINETYPE | Sets the type of spline curve to be generated by PEDIT Spline


Editing Splines

In addition to the general editing operations available for most objects, there are additional options available for editing splines with SPLINEDIT.

  • Fit Data. Edits the fit point data that defines the spline, including changing the tolerance.
  • Close. Changes an open spline into a continuous, closed loop.
  • Move Vertex. Moves a fit point to a new location.
  • Refine. Modifies a spline definition by adding and weighting control points and elevating the order of the spline.
  • Reverse. Changes the direction of the spline.

You also can change the tolerance of the spline. Tolerance refers to how closely the spline fits the set of fit points you specify. The lower the tolerance, the more closely the spline fits the points.

Editing Splines with Grips

When you select splines with grips turned on, AutoCAD LT grips displays on its fit points. You can use grips to modify the shape and location of the spline.

After certain operations, fit points are discarded and grips are displayed on control points instead. These operations include trimming the spline, moving the control points, and purging the fit data. If the splines control frame is turned on, grips are displayed on both the splines control points and its fit points, when available.


Procedures (Editing Splines)

Editing Splines

To edit a spline

  1. From the Modify menu, choose Object>Spline.
  2. Select the spline to modify.
  3. At the Command prompt, edit the spline by choosing one or more of the following options:
    • Enter f (Fit) to edit the fit data that defines the spline.
    • Enter c (Close) to change an open spline into a continuous, closed loop.
    • Enter m (Move Vertex) to move a fit point to a new location.
    • Enter r (Refine) to modify a spline definition by adding and weighting control points, and elevating the order of the spline.
    • Enter e (Reverse) to reverse the direction of the spline.
    • Enter u (Undo) to cancel the last editing action.
  4. Enter x (Exit) to end the command.

Modify toolbar:
Command line equivalent: SPLINEDIT


Reference:Editing Splines)

Editing Splines

Commands

SPLINEDIT Edits a spline object

System Variables

SPLFRAME Controls display of spline-fit polylines


Changing the Size and Shape of Objects

To extend an object
To trim an object
To stretch an object
To scale an object by a scale factor
To scale an object by reference
To change the length of an object by dragging
To edit a polyline
To taper the width of individual polyline segments
To edit a spline


Changing the Size and Shape of Objects

Commands

DDMODIFY | Controls properties of existing objects
EXTEND | Extends an object to meet another object
LENGTHEN | Lengthens an object
PEDIT | Edits polylines and three-dimensional polygon meshes
SCALE | Enlarges or reduces selected objects equally in the X, Y, and Z directions
SPLINEDIT | Edits a spline object
STRETCH | Moves or stretches objects
TRIM | Trims objects at a cutting edge defined by other objects

System Variables

EDGEMODE | Controls how TRIM and EXTEND determine cutting and boundary edges
SPLFRAME | Controls display of spline-fit polylines
SPLINESEGS | Sets the number of line segments to be generated for each spline-fit polyline
SPLINETYPE | Sets the type of spline curve to be generated by PEDIT Spline


Creating Fillets, Chamfers, and Breaks in Objects

You can create rounded or beveled corners between objects. You can also remove part of an object, creating a space or gap in it.


Creating Fillets

Filleting connects two objects with a smoothly fitted arc of a specified radius. Although in traditional paper-based drafting an inside corner is called a fillet and an outside corner is called a round, you can create both using FILLET.

You can fillet

  • Arcs
  • Circles
  • Ellipses and elliptical arcs
  • Lines
  • Polylines
  • Rays
  • Splines
  • Xlines

Using FILLET is also a convenient method of creating an arc with a specified radius that is tangent to two selected objects. FILLET can be used to round all corners on a polyline using a single command.

If both objects being filleted are on the same layer, the fillet line is created on that layer. Otherwise, the fillet line is created on the current layer. The layer affects the fillet color and linetype.

Setting the Fillet Radius

The fillet radius is the radius of the arc that connects filleted objects. Changing the fillet radius affects subsequent fillets. If you set the fillet radius to 0, filleted objects will be trimmed or extended until they meet, but no arc is created.

Trimming and Extending Filleted Objects

You can use the Trim option to specify whether the selected objects are trimmed or extended to the endpoints of the resulting arc or left unchanged. By default, all objects except circles, full ellipses, closed polylines, and splines are trimmed or extended when filleted.

Controlling the Location of the Fillet

Depending on the locations you specify, more than one possible fillet can exist between the selected objects. Compare the selection points and resulting fillets in the illustrations.

Filleting a Line and a Polyline

For you to fillet line and polyline combinations, the line must intersect, or intersect when extended, one of the polyline line segments. If the Trim option is on, the filleted objects and the fillet arc join to form a single new polyline.

Filleting an Entire Polyline

You can fillet an entire polyline or remove fillets from an entire polyline.

If you set a nonzero fillet radius, AutoCAD LT inserts fillet arcs at each vertex where two line segments meet and the segments are long enough to accommodate the fillet radius.

If two polyline line segments are separated by one arc segment and the two line segments converge as they approach the arc segment, AutoCAD LT removes the arc segment and replaces it with a fillet arc.

If you set the fillet radius to 0, no fillet arcs are inserted. If two polyline line segments are separated by one arc segment, AutoCAD LT removes that arc and extends the lines until they intersect.

Filleting Parallel Lines

You can fillet parallel lines, xlines, and rays. AutoCAD LT ignores the current fillet radius and creates an arc that is tangent to both parallel objects and located in the plane common to both objects.

The first selected object must be a line or a ray, but the second object can be a line, an xline, or a ray. The fillet arc connects as shown in the illustration.


Procedures (Creating Fillets)

Creating Fillets

To set the fillet radius
To fillet two line segments
To fillet without trimming
To fillet an entire polyline


Procedures (Creating Fillets-1)

Creating Fillets

To set the fillet radius

  1. From the Modify menu, choose Fillet.
  2. Enter r (Radius).
  3. Enter a value for the radius.
  4. Press ENTER to reenter FILLET.
  5. Select the objects to fillet.

Modify toolbar:
Command line equivalent: FILLET


Procedures (Creating Fillets-2)

Creating Fillets

To fillet two line segments

  1. From the Modify menu, choose Fillet.
  2. Select the first line.
  3. Select the second line.

Modify toolbar:
Command line equivalent: FILLET


Procedures (Creating Fillets-3)

Creating Fillets

To fillet without trimming

  1. From the Modify menu, choose Fillet.
  2. If necessary, enter t (Trim) and then enter n (No trim).
  3. Fillet the objects.

Modify toolbar:
Command line equivalent: FILLET


Procedures (Creating Fillets-4)

Creating Fillets

To fillet an entire polyline

  1. From the Modify menu, choose Fillet.
  2. Enter p (Polyline).
  3. Select the polyline.

Modify toolbar:
Command line equivalent: FILLET


Reference:Creating Fillets)

Creating Fillets

Commands

FILLET Rounds and fillets the edges of objects

System Variables

FILLETRAD | Stores the current fillet radius
TRIMMODE | Controls whether AutoCAD LT trims selected edges for chamfers and fillets


Creating Chamfers

Using CHAMFER is a fast way of creating a line between two nonparallel lines. It is usually used to represent a beveled edge on a corner. CHAMFER can also be used to bevel all corners of a polyline.

You can chamfer lines, polylines, xlines, and rays. With the distance method, you specify the amount that each line should be trimmed or extended. With the angle method, you can also specify the length of the chamfer and the angle it forms with the first line. You can retain the chamfered objects as they were before the chamfer, or you can trim or extend them to the chamfer line.

If both objects being chamfered are on the same layer, the chamfer line is created on that layer. Otherwise, the chamfer line is created on the current layer. The layer affects the chamfer color and linetype.

Chamfering by Specifying Distances

The chamfer distance is the amount each object is trimmed or extended to meet the chamfer line or to intersect the other. If both chamfer distances are 0, chamfering trims or extends the two objects until they meet but does not create a chamfer line.

The default setting for the first distance is the last distance specified. Because symmetrical distances are common, the default setting for the second distance is whatever you chose for the first distance. However, you can reset the chamfer distances.

In this example, you set the chamfer distance to 0.5 for the first line and 0.25 for the second line. After you reset the distances, you are returned to the Command prompt.

Trimming and Extending Chamfered Objects

By default, objects are trimmed when chamfered, but you can use the Trim option to specify that they remain untrimmed.

Chamfering by Specifying Length and Angle

You can chamfer two objects by specifying where on the first selected object the chamfer line starts, and then the angle the chamfer line forms with this object.

In this example, you chamfer two lines so that the chamfer line starts 1.5 units from the intersection along the first line and forms an angle of 30 degrees with this line.

Chamfering Polyline Segments

If the two objects you select for chamfering are segments of a polyline, they must be adjacent or separated by no more than one arc segment. If they are separated by an arc segment, as shown in the illustration, chamfering deletes the arc and replaces it with a chamfer line.

Chamfering an Entire Polyline

When you chamfer an entire polyline, each intersection is chamfered. For best results, keep the first and second chamfer distances equal.

In this example, both chamfer distances are set to equal values.

When you chamfer an entire polyline, AutoCAD LT chamfers only the segments that are long enough to accommodate the chamfer distance. The polyline in the following illustration has some segments too short to be chamfered.


Procedures (Creating Chamfers)

Creating Chamfers

To set chamfer distances
To chamfer two nonparallel line segments
To chamfer by specifying chamfer length and angle
To chamfer without trimming
To chamfer an entire polyline


Procedures (Creating Chamfers-1)

Creating Chamfers

To set chamfer distances

  1. From the Modify menu, choose Chamfer.
  2. Enter d (Distances).
  3. Enter the first chamfer distance.
  4. Enter the second chamfer distance.

Modify toolbar:
Command line equivalent: CHAMFER


Procedures (Creating Chamfers-2)

Creating Chamfers

To chamfer two nonparallel line segments

  1. From the Modify menu, choose Chamfer.
  2. Select the first line.
  3. Select the second line.

Modify toolbar:
Command line equivalent: CHAMFER


Procedures (Creating Chamfers-3)

Creating Chamfers

To chamfer by specifying chamfer length and angle

  1. From the Modify menu, choose Chamfer.
  2. Enter a (Angle).
  3. Enter the distance from the corner to be chamfered along the first line.
  4. Enter the chamfer angle.
  5. Press ENTER to reenter CHAMFER.
  6. Select the first line and then the second line.

Modify toolbar:
Command line equivalent: CHAMFER


Procedures (Creating Chamfers-4)

Creating Chamfers

To chamfer without trimming

  1. From the Modify menu, choose Chamfer.
  2. Enter t (Trim Control).
  3. Enter n (No Trim).
  4. Chamfer the objects.

Modify toolbar:
Command line equivalent: CHAMFER


Procedures (Creating Chamfers-5)

Creating Chamfers

To chamfer an entire polyline

  1. From the Modify menu, choose Chamfer.
  2. Enter p (Polyline).
  3. Select the polyline.

The polyline is chamfered using the current chamfer method and the default distances.

Modify toolbar:
Command line equivalent: CHAMFER


Reference:Creating Chamfers)

Creating Chamfers

Commands

CHAMFER Bevels the edges of objects

System Variables

CHAMFERA | Sets the first chamfer distance
CHAMFERB | Sets the second chamfer distance
CHAMFERC | Sets the chamfer length
CHAMFERD | Sets the chamfer angle
CHAMMODE | Sets the input method by which AutoCAD creates chamfers
TRIMMODE | Controls whether AutoCAD LT trims selected edges for chamfers and fillets


Creating Breaks in Objects

Using BREAK is a convenient way of creating a gap in an object, resulting in two objects with a space between them. BREAK is often used to create space for a block insert or text.

You can create breaks in

  • Arcs
  • Circles
  • Ellipses and elliptical arcs
  • Lines
  • Polylines
  • Rays
  • Splines
  • Xlines

When breaking an object, you can either

  • Select the object at the first break point and then specify a second break point
  • Select the entire object and then specify two break points


Procedures (Creating Breaks in Objects)

Creating Breaks in Objects

To break an object

  1. From the Modify menu, choose Break.
  2. Select the object to break.

    By default, the point at which you select the object will be the first break point. To choose a different pair of break points, enter f (First) and specify the first break point.

  3. Specify the second break point.

Modify toolbar:
Command line equivalent: BREAK


Reference:Creating Breaks in Objects)

Creating Breaks in Objects

Commands

BREAK Erases parts of objects or splits an object in two

System Variables

No entries.


Creating Fillets, Chamfers, and Breaks in Objects

To set the fillet radius
To fillet two line segments
To fillet without trimming
To fillet an entire polyline
To set chamfer distances
To chamfer two nonparallel line segments
To chamfer by specifying chamfer length and angle
To chamfer without trimming
To chamfer an entire polyline
To break an object


Creating Fillets, Chamfers, and Breaks in Objects

Commands

BREAK | Erases parts of objects or splits an object in two
CHAMFER | Bevels the edges of objects
FILLET | Rounds and fillets the edges of objects

System Variables

FILLETRAD | Stores the current fillet radius
TRIMMODE | Controls whether AutoCAD LT trims selected edges for chamfers and fillets


Exploding Objects

You can explode a compound object such as a polyline, dimension, hatch, or block reference to convert it into individual elements. For example, exploding a polyline breaks it down to simple lines and arcs. Exploding a block reference or an associative dimension replaces it with copies of the objects that compose the block or dimension.

Exploding Dimensions and Hatches

When you explode a dimension or a hatch, all associativity is lost and the dimension or hatch object is replaced by individual objects such as lines, text, points, and two-dimensional solids.

Exploding Polylines

When you explode a polyline, AutoCAD LT discards the associated width information. The resulting lines and arcs follow the polyline's centerline. If you explode a block that contains a polyline, you need to explode the polyline separately. If you explode a donut, its width becomes 0.

Exploding Block References

If you explode a block with attributes, the attributes are deleted, but the attribute definitions from which they were created remain. The attribute values and any modifications made by ATTEDIT or DDATTE are lost. The colors and linetypes of objects in exploded block references can change. For more information about the properties of block references, see Using Symbols (Blocks).

Exploding External References

An external Reference (xref) is a drawing file linked (or attached) to another drawing. You cannot explode xrefs and their dependent blocks. For more information about the properties of external references, see Referencing Other Drawings.


Procedures (Exploding Objects)

Exploding Objects

To explode an object

  1. From the Modify menu, choose Explode.
  2. Select the objects to be exploded.

For most objects, exploding has no visible effect.

Modify toolbar:
Command line equivalent: EXPLODE


Reference:Exploding Objects)

Exploding Objects

Commands

EXPLODE Breaks a compound object into its component objects

System Variables

No entries.


Using Grips to Edit Objects

Grips are small boxes that appear at strategic points on objects selected with a pointing device. You can drag these grips to perform stretch, move, rotate, scale, or mirror operations.


Using Grip Modes

With grips you can combine command and object selection and therefore edit more quickly. When grips are on, you select the objects you want before entering a command, and then you manipulate the objects with the pointing device.

To use grips, select a grip to act as the base point for the action. Then select one of the grip modes. You can cycle through these modes by pressing ENTER or SPACEBAR. You also can use keyboard shortcuts or right-click to see all of the modes and options.

The graphics cursor snaps to any grip over which it is moved. When grips are on, objects that are removed from a grip selection set are no longer highlighted, but their grips remain active. Active grips are useful as temporary snap locations for grip editing.

You can use multiple grips as the base grips to keep the shape of the object intact between the selected grips. Hold down SHIFT as you select the grips.

Stretching with Grips

You can stretch an object by moving selected grips to new locations. Grips on text, block references, midpoints of lines, centers of circles, and point objects move the object rather than stretching it. This is an excellent method for moving block references and adjusting dimensions.

Moving with Grips

You can move objects by the grip select. Selected objects are highlighted and are moved the direction and distance of the next point location you specify.

Rotating with Grips

You can rotate selected objects around a base point by dragging and specifying a point location. Alternatively, you can enter an angle value. This is an excellent method for rotating block references.

Scaling with Grips

You can scale selected objects relative to a base point. Increase the size of an object by dragging outward from the base grip and specifying a point location, or decrease the size by dragging inward. Alternatively, you can enter a value for relative scaling.

Mirroring with Grips

You can mirror selected objects across a temporary mirror line. Turning Ortho on helps you specify a vertical or horizontal mirror line.


Procedures (Using Grip Modes)

Using Grip Modes

To turn on grips
To cancel the display of grips
To stretch an object using grips
To stretch using more than one grip
To move objects using grips
To rotate objects using grips
To scale objects using grips
To mirror objects using grips


Procedures (Using Grip Modes-1)

Using Grip Modes

To turn on grips

  1. From the Tools menu, choose Grips
  2. In the Grips dialog box, select Enable Grips.
  3. Choose OK.

Command line equivalent: DDGRIPS


Using Grip Modes

To cancel the display of grips

  • Press ESC twice.

Pressing ESC once removes selection from objects but does not remove the grips.


Using Grip Modes

To stretch an object using grips

  1. Select the object to stretch.
  2. Select a base grip on the object by clicking on the grip.

    The selected grip is highlighted, and Stretch, the default grip mode, is active.

  3. Move the pointing device and click, or enter a distance or a coordinate value.

    The selected object is stretched as the grip moves.


Using Grip Modes

To stretch using more than one grip

  1. Select several objects to stretch.
  2. Hold down SHIFT and click several grips so that they are highlighted.
  3. Release SHIFT and select a grip as the base grip by clicking the grip.

    The default grip mode, Stretch, is active.

  4. Move the pointing device and click, or enter a distance or a coordinate value.

    The selected grips act in unison and the selected objects are stretched.


Using Grip Modes

To move objects using grips

  1. Select the objects to move.
  2. Select a base grip on an object by clicking the grip.

    The selected grip is highlighted, and Stretch, the default grip mode, is active.

  3. Cycle through the grip modes by pressing ENTER until the grip mode Move appears.

    Alternatively, you can right-click to see all of the modes and options.

  4. Move the pointing device and click, or enter a distance or coordinate values.

    The selected objects are moved along with the grip.


Using Grip Modes

To rotate objects using grips

  1. Select the objects to rotate.
  2. Select a base grip on an object by clicking the grip.

    The selected grip is highlighted, and Stretch, the default grip mode, is active.

  3. Cycle through the grip modes by pressing ENTER until the grip mode Rotate appears.

    Alternatively, you can right-click to see all of the modes and options.

  4. Move the pointing device and click, or enter an angle.

    The selected objects are rotated around the base grip.


Using Grip Modes

To scale objects using grips

  1. Select the objects to scale.
  2. Select a base grip on an object by clicking the grip.

    The selected grip is highlighted, and Stretch, the default grip mode, is active.

  3. Cycle through the grip modes by pressing ENTER until the grip mode Scale appears.

    Alternatively, you can right-click to see all of the modes and options.

  4. Move the pointing device and click, or enter a scale factor.


Using Grip Modes

To mirror objects using grips

  1. Select the objects to mirror.
  2. Select a base grip on an object by clicking the grip.

    The selected grip is highlighted, and the default grip mode, Stretch, is active.

  3. Cycle through the grip modes by pressing ENTER until the grip mode Mirror appears.

    Alternatively, you can right-click to see all of the modes and options.

  4. Specify the second point of the mirror line.

Turning on Ortho mode is often useful when mirroring objects.


Reference:Using Grip Modes)

Using Grip Modes

Commands

DDGRIPS Turns on grips and sets their color

System Variables

GRIPBLOCK | Controls the assignment of grips in blocks
GRIPCOLOR | Controls the color of nonselected grips (drawn as box outlines)
GRIPHOT | Controls the color of selected grips (drawn as filled boxes)
GRIPS | Controls use of selection set grips for the Stretch, Move, Rotate, Scale, and Mirror grip modes
GRIPSIZE | Sets the size of the box drawn to display the grip in pixels


Making Multiple Copies with Grips

You can create multiple copies of objects as you modify them with any of the grip modes. For example, by using the Copy option, you can rotate the selected objects, leaving copies at each location you specify with the pointing device.

You can also make multiple copies by pressing SHIFT as you select the first point. For example, with the Stretch grip mode, you can stretch the object, such as a line, and copy it to any point in the graphics area. AutoCAD LT continues to make multiple copies until you turn off grips.

Defining an Offset Snap or a Rotation Snap

You can place multiple copies at regularly spaced intervals with an offset snap. The offset snap is defined by the distance between an object and the next copy. In the lighting layout below, the first copy of the light fixture symbol is placed at an offset of two units. All subsequent copies are then placed two units apart.

If you hold down SHIFT while you select multiple copy points with the pointing device, the graphics cursor snaps to an offset point based on the last two points you selected. In the illustration below, the midpoint of line 1 is at coordinates 8,5. Based on that midpoint, line 2 was copied using the SHIFT key and Stretch grip mode; its midpoint is at 9,5. The third line snaps to an offset based on the coordinate values, 10,5.

Similarly, you can place multiple copies at angular intervals around a base grip with a rotation snap. The rotation snap is defined as the angle between an object and the next copy when you are using Rotate grip mode. Hold down SHIFT to use the rotation snap.


Procedures (Making Multiple Copies with Grips)

Making Multiple Copies with Grips

To create copies in any grip mode
To create an offset snap for multiple copies using grips
To create a rotation snap for multiple rotated copies using grips
To mirror objects and retain the originals using grips


Procedures (Making Multiple Copies with Grips-1)

Making Multiple Copies with Grips

To create copies in any grip mode

  1. Select the objects to copy.
  2. Select a base grip on an object by clicking the grip.

    The selected grip is highlighted, and the default grip mode, Stretch, is active.

  3. Cycle through the grip modes by pressing ENTER until the grip mode you want appears.

    Alternatively, you can right-click to see all of the modes and options.

  4. Enter c (Copy).

    AutoCAD LT makes copies until you turn off grips.

  5. Enter or specify the additional input required for the current grip mode.
  6. Turn off grips by pressing ENTER, SPACEBAR, or ESC.


Procedures (Making Multiple Copies with Grips-2)

Making Multiple Copies with Grips

To create an offset snap for multiple copies using grips

  1. Select the objects to copy.
  2. Select a base grip on an object by clicking the grip.

    The selected grip is highlighted, and the default grip mode, Stretch, is active.

  3. Cycle through the grip modes by pressing ENTER until the grip mode Move appears.

    Alternatively, you can right-click to see all of the modes and options.

  4. Enter c (Copy).
  5. Move the cursor and click, or enter a distance or coordinate values.

    The offset snap is the distance between the grip you selected and the location you specified for the copy.

  6. Hold down SHIFT and place additional copies by specifying additional locations.

    These copies are created at the same offset snap distance as the last copy.

  7. Turn off grips by pressing ENTER, SPACEBAR, or ESC.


Procedures (Making Multiple Copies with Grips

Making Multiple Copies with Grips

To create a rotation snap for multiple rotated copies using grips

  1. Select the objects to rotate.
  2. Select a base grip on an object by clicking the grip.

    The selected grip is highlighted, and the default grip mode, Stretch, is active.

  3. Cycle through the grip modes by pressing ENTER until the grip mode Rotate appears.

    Alternatively, you can right-click to see all of the modes and options.

  4. Enter c (Copy).
  5. Move the pointing device and click, or enter an angle.

    The rotation snap is the angle between the grip you selected and the location you specified for the copy.

  6. Hold down SHIFT and place additional copies by specifying additional locations.

    These copies are created at the same rotation snap angle as the last copy.

  7. Turn off grips by pressing ENTER, SPACEBAR, or ESC.


Procedures (Making Multiple Copies with Grips-4)

Making Multiple Copies with Grips

To mirror objects and retain the originals using grips

  1. Select the objects to mirror.
  2. Select a base grip on an object by clicking the grip.

    The selected grip is highlighted, and the default grip mode, Stretch, is active.

  3. Cycle through the grip modes by pressing ENTER until the grip mode Mirror appears.

    Alternatively, you can right-click to see all of the modes and options.

  4. Hold down SHIFT (or enter c for Copy) to retain the original image, and specify the second point of the mirror line.

    Turning on Ortho mode is often useful when mirroring objects.

  5. Turn off grips by pressing ENTER, SPACEBAR, or ESC.


Reference:Making Multiple Copies with Grips)

Making Multiple Copies with Grips

Commands

DDGRIPS Turns on grips and sets their color

System Variables

GRIPBLOCK | Controls the assignment of grips in blocks
GRIPCOLOR | Controls the color of nonselected grips (drawn as box outlines)
GRIPHOT | Controls the color of selected grips (drawn as filled boxes)
GRIPS | Controls use of selection set grips for the Stretch, Move, Rotate, Scale, and Mirror grip modes
GRIPSIZE | Sets the size of the box drawn to display the grip in pixels


Controlling Grips in Blocks

You can specify whether a selected block reference displays a single grip or displays multiple grips associated with the objects grouped within the block.


Procedures (Controlling Grips in Blocks)

Controlling Grips in Blocks

To turn grips within blocks on or off

  1. From the Tools menu, choose Grips.
  2. In the Grips dialog box under Select Settings, select or clear Enable Grips Within Blocks.
  3. Choose OK.

Command line equivalent: DDGRIPS


Reference:Controlling Grips in Blocks)

Controlling Grips in Blocks

Commands

DDGRIPS Turns on grips and sets their color

System Variables

GRIPBLOCK | Controls the assignment of grips in blocks
GRIPCOLOR | Controls the color of nonselected grips (drawn as box outlines)
GRIPHOT | Controls the color of selected grips (drawn as filled boxes)
GRIPS | Controls use of selection set grips for the Stretch, Move, Rotate, Scale, and Mirror grip modes
GRIPSIZE | Sets the size of the box drawn to display the grip in pixels


Using Grips to Edit Objects

To turn on grips
To cancel the display of grips
To stretch an object using grips
To stretch using more than one grip
To move objects using grips
To rotate objects using grips
To scale objects using grips
To mirror objects using grips
To create copies in any grip mode
To create an offset snap for multiple copies using grips
To create a rotation snap for multiple rotated copies using grips
To mirror objects and retain the originals using grips
To turn grips within blocks on or off


Using Grips to Edit Objects

Commands

DDGRIPS Turns on grips and sets their color

System Variables

GRIPBLOCK | Controls the assignment of grips in blocks
GRIPCOLOR | Controls the color of nonselected grips (drawn as box outlines)
GRIPHOT | Controls the color of selected grips (drawn as filled boxes)
GRIPS | Controls use of selection set grips for the Stretch, Move, Rotate, Scale, and Mirror grip modes
GRIPSIZE | Sets the size of the box drawn to display the grip in pixels


Modifying Objects

To erase an object
To restore the last erased object
To move an object using two points
To move an object using a displacement
To move by stretching
To rotate an object
To rotate an object using a reference angle
To copy an object
To copy an object multiple times
To create a rectangular array
To create a polar array
To offset an object by specifying a distance
To offset an object through a point
To mirror objects
To extend an object
To trim an object
To stretch an object
To scale an object by a scale factor
To scale an object by reference
To change the length of an object by dragging
To edit a polyline
To taper the width of individual polyline segments
To edit a spline
To set the fillet radius
To fillet two line segments
To fillet without trimming
To fillet an entire polyline
To set chamfer distances
To chamfer two nonparallel line segments
To chamfer by specifying chamfer length and angle
To chamfer without trimming
To chamfer an entire polyline
To break an object
To explode an object
To turn on grips
To cancel the display of grips
To stretch an object using grips
To stretch using more than one grip
To move objects using grips
To rotate objects using grips
To scale objects using grips
To mirror objects using grips
To create copies in any grip mode
To create an offset snap for multiple copies using grips
To create a rotation snap for multiple rotated copies using grips
To mirror objects and retain the originals using grips
To turn grips within blocks on or off


Modifying Objects

Commands

ARRAY | Creates multiple copies of objects in a pattern
BREAK | Erases parts of objects or splits an object in two
CHAMFER | Bevels the edges of objects
COPY | Duplicates objects
DDGRIPS | Turns on grips and sets their color
DDMODIFY | Controls properties of existing objects
DDRMODES | Sets drawing aids
ERASE | Removes objects from a drawing
EXPLODE | Breaks a compound object into its component objects
EXTEND | Extends an object to meet another object
FILLET | Rounds and fillets the edges of objects
GETENV | Shows values of specified registry variables
LENGTHEN | Lengthens an object
MIRROR | Creates a mirror image copy of objects
MOVE | Displaces objects a specified distance in a specified direction
OFFSET | Creates concentric circles, parallel lines, and parallel curves
OOPS | Restores erased objects
PEDIT | Edits polylines and three-dimensional polygon meshes
PURGE | Removes unused named objects, such as blocks or layers, from the database
ROTATE | Moves objects about a base point
SCALE | Enlarges or reduces selected objects equally in the X, Y, and Z directions
SETENV | Sets values of specified registry variables
SPLINEDIT | Edits a spline object
STRETCH | Moves or stretches objects
TRIM | Trims objects at a cutting edge defined by other objects
UCS | Manages user coordinate systems

System Variables

CHAMFERA | Sets the first chamfer distance
CHAMFERB | Sets the second chamfer distance
CHAMFERC | Sets the chamfer length
CHAMFERD | Sets the chamfer angle
CHAMMODE | Sets the input method by which AutoCAD creates chamfers
EDGEMODE | Controls how TRIM and EXTEND determine cutting and boundary edges
FILLETRAD | Stores the current fillet radius
GRIPBLOCK | Controls the assignment of grips in blocks
GRIPCOLOR | Controls the color of nonselected grips (drawn as box outlines)
GRIPHOT | Controls the color of selected grips (drawn as filled boxes)
GRIPS | Controls use of selection set grips for the Stretch, Move, Rotate, Scale, and Mirror grip modes
GRIPSIZE | Sets the size of the box drawn to display the grip in pixels
MIRRTEXT | Controls how MIRROR reflects text
OFFSETDIST | Sets the default offset distance
SNAPANG | Sets snap and grid rotation angle for the current viewport
SPLFRAME | Controls display of spline-fit polylines
SPLINESEGS | Sets the number of line segments to be generated for each spline-fit polyline
SPLINETYPE | Sets the type of spline curve to be generated by PEDIT Spline
TRIMMODE | Controls whether AutoCAD LT trims selected edges for chamfers and fillets


Linking and Embedding Data (OLE)

Object linking and embedding (OLE) is a Windows feature that combines data from different applications into one document. For example, you can create an Adobe PageMaker layout that contains an AutoCAD LT drawing; or you can create an AutoCAD LT drawing that contains all or part of a Microsoft Excel spreadsheet.

To use OLE, you need both server and container applications that support OLE. A source application is called the server and creates the OLE objects that you embed or link. A destination application is called the container and accepts those OLE objects. AutoCAD LT supports OLE 2.0 as both a server (source) and a container (destination) application.

Although an AutoCAD LT object (such as a circle or a block) can be used as an OLE object, the terms are not synonymous. For information about alternate OLE terminology, as well as general OLE concepts, see your Microsoft Windows documentation.


Linking Versus Embedding

Both linking and embedding insert information from one document into another document. Also, with both linked and embedded OLE objects, you can edit the object from within the container application. However, linking and embedding store information differently.

The relationship between embedding and linking is similar to that between inserting a block and creating an external reference in AutoCAD LT.

Embedding Objects

An embedded OLE object is a copy of information from another document. When you embed objects, there is no link to the original document and any changes made to the original document are not reflected in other documents. Embed objects if you want to be able to use the application that created them for editing but you do not want the OLE object to be updated when you edit information in the original document.

Embedded object

Linking Objects

A linked object is a reference to information in another document. Link objects when you want to use the same information in more than one document. Then, if you change the original information, you need to update only the links in order to update the document containing the OLE objects. You can also set links to be updated automatically.

When you link a drawing, you need to maintain access to the server application and the linked document. If you rename or move either of them, you may need to reestablish the link.

Updating linked documents


Reference (Linking Versus Embedding)

Linking Versus Embedding

No entries.


Reference (Linking Versus Embedding)

Linking Versus Embedding

Commands

COPYLINK | Copies the current view to the Windows Clipboard for linking to other OLE applications
INSERTOBJ | Inserts a linked or embedded object
OLELINKS | Updates, changes, and cancels existing links

System Variables

OLEHIDE Controls the display of OLE objects in AutoCAD LT


Importing OLE Objects into AutoCAD LT

There are two methods you can use to import information from other applications that support OLE into an AutoCAD LT drawing: embedding or linking. Embedded information is not updated when the original document changes. Linked information is updated when the original document changes.

You control the display of OLE objects in two ways:

  • OLE objects are inserted in an AutoCAD LT drawing on the current layer. Turn off or freeze a layer to suppress the display of OLE objects on that layer.
  • Set the system variable OLEHIDE to display or suppress the display of all OLE objects in paper space, model space or both.

OLE objects in AutoCAD LT are not displayed or plotted in external references or block references. Also, on Microsoft Windows system printers, OLE objects do not respond to changes in plot rotation. Use the system printer’s landscape mode instead.


Linking Objects in AutoCAD LT Drawings

You can link information from a document created by another application to an AutoCAD LT drawing. For example, you might want to insert a schedule into an drawing that will be automatically updated. You also can install multimedia icons that are activated when double-clicked.

Updating Links

You can set AutoCAD LT to update links either automatically or manually when information in the linked document changes. By default, AutoCAD LT updates links automatically. Use the OLELINKS command to specify automatic or manual updating.

Reconnecting Links

Because a link references the location of the linked document, you need to reconnect the link if the document changes location or is renamed. You also reconnect links when you need to substitute new information or objects containing links.

Breaking Links

Breaking a link does not remove the inserted information from the AutoCAD LT drawing. Instead, it removes the connection to the linked document. You can break a link when you no longer need to update the information.


Procedures (Linking Objects in AutoCAD LT Drawings)

Linking Objects in AutoCAD LT Drawings

To link objects to an AutoCAD LT drawing
To link an entire file to an AutoCAD LT drawing
To update a link manually
To change links
To break a link


Procedures (Linking Objects in AutoCAD LT Drawings-1)

Linking Objects in AutoCAD LT Drawings

To link objects to an AutoCAD LT drawing

  1. Start the server application and open a new or existing document.
  2. Select the information you want to link and copy it to the Clipboard.
  3. Open the AutoCAD LT drawing.
  4. From the AutoCAD LT Edit menu, choose Paste Special.
  5. In the Paste Special dialog box, choose Paste Link.

    Paste Link pastes the contents of the Clipboard into the current drawing and creates a link to the original file. If you choose Paste, the Clipboard contents will be embedded instead of linked.

  6. In the As list box, select the data format you want to use.

    The Picture type uses metafile format, which is primarily vector graphics.

  7. Choose OK.

The selected information is linked to the AutoCAD drawing.

Command line equivalent: PASTESPEC


Procedures (Linking Objects in AutoCAD LT Drawings-2)

Linking Objects in AutoCAD LT Drawings

To link an entire file to an AutoCAD LT drawing

  1. Open the AutoCAD LT drawing.
  2. From the AutoCAD LT Insert menu, choose OLE Object.
  3. In the Insert Object dialog box, select Create from File.

    The dialog box changes so that you can select an OLE server file.

  4. Check Link and then choose Browse.
  5. In the Browse dialog box, select the file you want to link and choose OK.
  6. In the Insert Object dialog box, choose OK.

The entire file is linked to the AutoCAD drawing.

Command line equivalent: INSERTOBJ


Procedures (Linking Objects in AutoCAD LT Drawings-3)

Linking Objects in AutoCAD LT Drawings

To update a link manually

  1. From the AutoCAD LT Edit Menu, choose OLE Links.
  2. In the Links dialog box, select the link you want to update.
  3. Select Update Now.
  4. Choose Close.

Alternative: If you want to select the links from the graphics area rather than from a list in the Links dialog box, select the OLE object before step 1.

Command line equivalent: OLELINKS


Procedures (Linking Objects in AutoCAD LT Drawings-4)

Linking Objects in AutoCAD LT Drawings

To change links

  1. In the AutoCAD LT drawing, select the linked object you want to update.
  2. From the Edit menu, choose OLE Links.
  3. In the Links dialog box, choose Change Source.
  4. In the Change Source dialog box, search the directories to find the file name or file location.
  5. Select the OLE server file and choose OK.

    If you select a file without a link, AutoCAD LT tries to find the file. If the file did not originate in the same application, or if the application cannot find the named object, the link will fail.

  6. Choose OK.

Command line equivalent: OLELINKS


Procedures (Linking Objects in AutoCAD LT Drawings-5)

Linking Objects in AutoCAD LT Drawings

To break a link

  1. Select the linked object whose link you want to break.
  2. From the Edit menu, choose OLE Links.
  3. In the OLE Links dialog box, choose Break Link.
  4. Choose OK.

Command line equivalent: OLELINKS


Reference (Linking Objects in AutoCAD LT Drawings)

Linking Objects in AutoCAD LT Drawings

Commands

INSERTOBJ | Inserts a linked or embedded object
OLELINKS | Updates, changes, and cancels existing links
PASTESPEC | Inserts data from the Clipboard and controls the format of the data

System Variables

OLEHIDE Controls the display of OLE objects in AutoCAD LT


Embedding Objects in AutoCAD LT Drawings

You can embed an object in an AutoCAD LT drawing by pasting the Clipboard contents. For example, you can embed a company logo created with another application into an AutoCAD drawing. Most non-AutoCAD LT OLE objects are pasted in as embedded OLE objects. ASCII text is pasted in as an MTEXT object.

You can also use the INSERTOBJ command to open the server application from within AutoCAD LT and create or select the information.

Dragging Objects into AutoCAD LT

You can drag selected data and graphics into AutoCAD from another active application window. Both AutoCAD LT and the other application must be running and visible on your screen. The other application must also support ActiveX to drag-and-drop information between applications. Objects dragged into AutoCAD LT are embedded, not linked.

Dragging data is the same as cutting and pasting. The information is removed from one document and pasted into the other document. Pressing CTRL while dragging is the same as copying and pasting in that it creates a copy of the information, leaving the original document intact.


Procedures (Embedding Objects in AutoCAD LT Drawings)

Embedding Objects in AutoCAD LT Drawings

To embed an OLE object in an AutoCAD LT drawing
To create and embed an object starting from AutoCAD LT


Procedures (Embedding Objects in AutoCAD LT Drawings-1)

Embedding Objects in AutoCAD LT Drawings

To embed an OLE object in an AutoCAD LT drawing

  1. Open the document in the server application.
  2. Copy the information you want to embed to the Clipboard.
  3. Open the AutoCAD LT drawing.
  4. From the AutoCAD LT Edit menu, choose Paste.

Command line equivalent: COPYPASTE


Procedures (Embedding Objects in AutoCAD LT Drawings-2)

Embedding Objects in AutoCAD LT Drawings

To create and embed an object starting from AutoCAD LT

  1. Open the AutoCAD LT drawing.
  2. From the AutoCAD LT Insert menu, choose OLE Object.
  3. In the Insert Object dialog box, under Object Type, select the server application you want to use.

    Object Type lists applications on your computer that support linking and embedding.

  4. Then choose OK.

    The server application opens.

  5. Using the server application, create the information you want to insert, and save the document.
  6. From the server application's File menu, choose Update.
  7. Close the server application.

The OLE object is inserted in the AutoCAD LT drawing.

Command line equivalent: INSERTOBJ


Reference (Embedding Objects in AutoCAD LT Drawings)

Embedding Objects in AutoCAD LT Drawings

Commands

INSERTOBJ | Inserts a linked or embedded object
PASTECLIP | Inserts data from the Windows Clipboard
PASTESPEC | Inserts data from the Windows Clipboard and controls the format of the data

System Variables

OLEHIDE Controls the display of OLE objects in AutoCAD LT


Importing OLE Objects into AutoCAD LT

To link objects to an AutoCAD LT drawing
To link an entire file to an AutoCAD LT drawing
To update a link manually
To change links
To break a link
To embed an OLE object in an AutoCAD LT drawing
To create and embed an object starting from AutoCAD LT


Importing OLE Objects into AutoCAD LT

Commands

INSERTOBJ | Inserts a linked or embedded object
OLELINKS | Updates, changes, and cancels existing links
PASTECLIP | Inserts data from the Windows Clipboard
PASTESPEC | Inserts data from the Clipboard and controls the format of the data

System Variables

OLEHIDE Controls the display of OLE objects in AutoCAD LT


Exporting OLE Objects from AutoCAD LT

You can attach a view of an AutoCAD LT drawing into another application that supports OLE.

Linking Views to Other Documents

An AutoCAD LT drawing can be a server document with links to one or more documents in other applications. The COPYLINK command copies the view in the current viewport or the paper space view to the Windows Clipboard. You can then paste the view into the container document.

If you paste an unnamed view into a document, AutoCAD LT assigns it a view name such as OLE1. If you then exit the drawing, AutoCAD LT prompts you to save your changes to the newly named view. To establish the link and to save the view name, OLE1, you must save the drawing.

Embedding AutoCAD LT Objects in Other Documents

You can select AutoCAD LT objects and embed them in other documents. Embedding places a copy of the AutoCAD LT object in the other document. However, editing the OLE object from within the container application does not update the object in the original AutoCAD LT drawing. Use embedding if you want to retain the original drawing for AutoCAD LT, but change it for the another document.


Procedures (Exporting OLE Objects from AutoCAD LT)

Exporting OLE Objects from AutoCAD LT

To embed AutoCAD LT objects in another document
To link an AutoCAD LT view to another document


Procedures (Exporting OLE Objects from AutoCAD LT-1)

Exporting OLE Objects from AutoCAD LT

To embed AutoCAD LT objects in another document

  1. From the AutoCAD LT Edit menu, choose Copy.
  2. In the graphics area, select the AutoCAD LT objects you want to embed and then press ENTER.

    The selected objects are copied to the Clipboard.

  3. Start the container application, and open a new or existing document.
  4. Paste the Clipboard contents into the document, following the container application's instructions for embedding the Clipboard contents.

Command line equivalent: COPYCLIP


Procedures (Exporting OLE Objects from AutoCAD LT-2)

Exporting OLE Objects from AutoCAD LT

To link an AutoCAD LT view to another document

  1. Save the AutoCAD LT drawing you want to link first, so that it has a drawing name.
  2. If multiple viewports are displayed, select a viewport.
  3. From the AutoCAD LT Edit menu, choose Copy Link.

    AutoCAD LT copies the view to the Clipboard.

  4. Open a new or existing document in the container application.
  5. Paste the Clipboard contents into the document, following that application's procedures for inserting linked data.

The inserted OLE object is displayed in the document and can be edited from AutoCAD LT through the container application.

Command line equivalent: COPYLINK


Reference (Exporting OLE Objects from AutoCAD LT)

Exporting OLE Objects from AutoCAD LT

Commands

COPYCLIP | Copies objects to the Windows Clipboard
COPYLINK | Copies the current view to the Windows Clipboard for linking to other OLE applications
CUTCLIP | Copies objects to the Windows Clipboard and erases the objects from the drawing
INSERTOBJ | Inserts a linked or embedded object
OLELINKS | Updates, changes, and cancels existing links

System Variables

No entries.


Editing OLE Objects

You can easily edit linked or embedded OLE objects by double-clicking the object. This opens the server application, where you can make your modifications. The editing operations available depends on whether AutoCAD LT is the server application or the container application.

Editing OLE Objects when AutoCAD LT is the Server Application

The document containing a linked AutoCAD LT drawing stores the AutoCAD LT drawing’s file location. You can edit a linked AutoCAD LT drawing either from the container application or in AutoCAD LT. AutoCAD LT must be loaded or accessible on the system along with the document you are editing.

An AutoCAD LT drawing embedded in a document can be edited only from the container application. Editing the original drawing in AutoCAD LT has no effect on documents in which that drawing is embedded.

Editing OLE objects when AutoCAD LT is the Container Application

Clicking inside an OLE object selects it, even when the OLE object is behind an AutoCAD LT object. To select the overlapping AutoCAD LT object, you must suppress the selection of the OLE object from the shortcut menu.

AutoCAD LT editing commands and snap modes do not operate on OLE objects. To resize and scale OLE objects, use OLE grips. You can also cut, copy, edit, or clear an OLE object using the shortcut menu that opens when you select an OLE object using a right-click on your pointing device. Use the shortcut menu also to control the drawing order, display, and selectability of OLE objects.


Procedures (Editing OLE Objects)

Editing OLE Objects

To edit a linked drawing from within the container application
To edit a linked drawing from within AutoCAD LT
To edit embedded AutoCAD LT objects
To edit an OLE object embedded in AutoCAD LT
To resize or scale an OLE object
To move an OLE object
To cut, copy, or clear an OLE object
To move an OLE object behind or in front of AutoCAD LT objects
To restore an OLE object to its original size and shape
To change the layer of an OLE object
To turn the selectability of an OLE object on or off


Procedures (Editing OLE Objects-1)

Editing OLE Objects

To edit a linked drawing from within the container application

  1. Open the document that contains the linked AutoCAD LT drawing (for example, a Microsoft Word file).
  2. Double-click the linked drawing.

    The drawing opens in AutoCAD LT.

  3. Modify the drawing as necessary.
  4. From the AutoCAD LT File menu, choose Save to save the changes to the drawing.
  5. From the AutoCAD LT File menu, choose Exit to return to the container application.

The drawing will be changed in all documents that have links to it.

How the link is updated depends on the container application. Some applications support automatic updating of links; others require manual updating of links. In many applications, you can choose between manual and automatic link updating.


Procedures (Editing OLE Objects-2)

Editing OLE Objects

To edit a linked drawing from within AutoCAD LT

  1. Start AutoCAD LT and open the linked drawing.
  2. Modify the drawing and the view as necessary.
  3. From the AutoCAD LT File menu, choose Save to save the changes to the drawing.

The drawing will be changed in all documents that have links to it.

How the link is updated depends on the container application. Some applications support automatic updating of links; others require manual updating of links. In many applications, you can choose between manual and automatic link updating.


Procedures (Editing OLE Objects-3)

Editing OLE Objects

To edit embedded AutoCAD LT objects

  1. Open the document that contains the embedded AutoCAD LT objects.
  2. Double-click the embedded objects to start AutoCAD LT and display the objects.
  3. Modify the objects as necessary.
  4. From the AutoCAD LT File menu, choose Update to save changes to the embedded objects.
  5. From the AutoCAD LT File menu, choose Exit to close AutoCAD LT and return to the container application.


Procedures (Editing OLE Objects-4)

Editing OLE Objects

To edit an OLE object embedded in AutoCAD LT

  1. From within AutoCAD LT, double-click the OLE object.

    The OLE object opens in its own application. Static OLE objects do not open in their application.

  2. Modify the object as needed.
  3. From the server application's File menu, choose Update to save changes to the OLE object embedded in the AutoCAD LT drawing.
  4. Exit the OLE server application to return to AutoCAD LT.


Procedures (Editing OLE Objects-5)

Editing OLE Objects

To resize or scale an OLE object

  1. Left-click the OLE object that you want to resize or scale.
  2. Drag a sizing handle to change the size of the object.
    • Dragging a middle handle stretches the object in one direction.
    • Dragging a corner handle scales the object proportionally, maintaining the width-to-height ratio.


Procedures (Editing OLE Objects-6)

Editing OLE Objects

To move an OLE object

  1. Left-click the OLE object that you want to move.
  2. Move the cursor over the object frame until the move cursor appears (four arrows).
  3. Drag the OLE object to the new location.


Procedures (Editing OLE Objects-7)

Editing OLE Objects

To cut, copy, or clear an OLE object

  1. Select an OLE object by right-clicking.
  2. From the menu that appears, choose the option you want to use.
    • Cut removes the object from the drawing and places it on the Clipboard.
    • Copy copies the object to the Clipboard.
    • Clear removes the object from the drawing without placing it on the Clipboard.
    • Undo cancels the last editing action.

For additional options, choose the Object option from the bottom of the menu.


Procedures (Editing OLE Objects-8)

Editing OLE Objects

To move an OLE object behind or in front of AutoCAD LT objects

  1. Select an OLE object by right-clicking.
  2. From the menu that appears, choose Bring to Front or Send to Back.


Procedures (Editing OLE Objects-9)

Editing OLE Objects

To restore an OLE object to its original size and shape

  1. Select an OLE object by right-clicking.
  2. From the shortcut menu, choose Cut.
  3. From the Edit menu, choose Paste.

The OLE object is pasted back into the drawing at its original size and shape.

Command line equivalent: CUTCLIP, PASTECLIP


Procedures (Editing OLE Objects-10)

Editing OLE Objects

To change the layer of an OLE object

  1. Select an OLE object by right-clicking.
  2. From the shortcut menu, choose Cut.
  3. Use the Object Properties toolbar or the LAYER command to change the current layer.
  4. From the Edit menu, choose Paste.

The OLE object is pasted into the new layer, also reverting to its original size and shape.


Procedures (Editing OLE Objects-11)

Editing OLE Objects

To turn the selectability of an OLE object on or off

  1. Select an OLE object by right-clicking.
  2. From the shortcut menu, choose Selectable.

When Selectable is checked, the OLE object is selectable.


Reference (Editing OLE Objects)

Editing OLE Objects

Commands

COPYCLIP | Copies objects to the Windows Clipboard
CUTCLIP | Copies objects to the Windows Clipboard and erases the objects from the drawing
ERASE | Removes objects from a drawing
PASTECLIP | Inserts data from the Windows Clipboard
U | Reverses the most recent action

System Variables

OLEHIDE Controls the display of OLE objects in AutoCAD LT


Using Cut, Copy, and Paste

When you want to use objects from an AutoCAD LT drawing file in another application, cut or copy these objects to the Clipboard and then paste them from the Clipboard into your application or a file.

Cutting Objects

Cutting deletes selected objects from the drawing and stores them on the Clipboard. The objects are now available to be pasted into other Windows documents.

Copying Objects

You can use the Clipboard to copy part or all of a drawing into a document created by another application. The AutoCAD LT objects are copied in vector format, which retains the high resolution in other applications. These objects are stored in WMF (Windows metafile) format in the Clipboard. The information stored in the Clipboard can then be embedded in the other document. Updating the original drawing does not update the copy embedded in the other application.

Pasting Objects

Applications use different internal formats to store Clipboard information. When you copy objects to the Clipboard, AutoCAD LT stores information in all available formats. When you paste the Clipboard contents into an AutoCAD LT drawing, AutoCAD LT uses the format that retains the most information. However, you can override this setting and convert pasted information to AutoCAD LT format.

Because it is the easiest format to edit, the AutoCAD LT format is the preferred format for copying objects to and from AutoCAD LT. It retains all relevant object information, including block references and 3D aspects.

The Windows metafile (picture) format contains screen vector information, and files can be scaled and printed without losing resolution. Use this format to paste objects into Windows applications that support WMF files. Metafiles pasted into AutoCAD LT are of higher resolution than bitmapped images (BMP files) but are not as easily manipulated as AutoCAD LT objects.

Bitmapped images are raster images consisting of a pattern of pixels and are commonly used by paint applications.

You can insert a linked or embedded object from the Clipboard into an AutoCAD LT drawing with PASTESPEC. If you convert pasted information to AutoCAD LT format, the object is inserted as a block reference. To edit the pasted information, explode the block reference into its component objects. When you convert a Windows metafile stored on the Clipboard to AutoCAD LT format, you may losing some scaling precision. To retain proper scaling, save objects in the original drawing as a block (WBLOCK), and then insert them into AutoCAD LT using DDINSERT.


Procedures (Using Cut, Copy, and Paste)

Using Cut, Copy, and Paste

To cut objects to the Clipboard
To copy objects to the Clipboard
To paste objects from the Clipboard
To convert pasted information to AutoCAD LT format


Procedures (Using Cut, Copy, and Paste-1)

Using Cut, Copy, and Paste

To cut objects to the Clipboard

  1. Select the objects you want to cut.
  2. From the Edit menu, choose Cut or press CTRL+X.

The objects are now available to be pasted into other Windows applications.

Command line equivalent: CUTCLIP


Procedures (Using Cut, Copy, and Paste-2)

Using Cut, Copy, and Paste

To copy objects to the Clipboard

  1. Select the objects you want to copy.
  2. From the Edit menu, choose Copy or press CTRL+C.

Command line equivalent: COPYCLIP


Procedures (Using Cut, Copy, and Paste-3)

Using Cut, Copy, and Paste

To paste objects from the Clipboard

  • From the Edit menu, choose Paste or press CTRL+V.

The objects currently on the Clipboard are pasted into the drawing.

Command line equivalent: PASTECLIP


Procedures (Using Cut, Copy, and Paste-4)

Using Cut, Copy, and Paste

To convert pasted information to AutoCAD LT format

  1. From the Edit menu, choose Paste Special.
  2. In the Paste Special dialog box, select Paste.
  3. From the list of formats, select Picture.
  4. Choose OK.

Command line equivalent: PASTESPEC


Reference (Using Cut, Copy, and Paste)

Using Cut, Copy, and Paste

Commands

COPYCLIP | Copies objects to the Windows Clipboard
CUTCLIP | Copies objects to the Windows Clipboard and erases the objects from the drawing
PASTECLIP | Inserts data from the Windows Clipboard
PASTESPEC | Inserts data from the Clipboard and controls the format of the data
WMFIN | Imports a file in Windows metafile format
WMFOUT | Saves objects to a file in Windows metafile format
WMFOPTS | Sets options for WMFIN

System Variables

No entries.


Linking and Embedding Data (OLE)

To link objects to an AutoCAD LT drawing
To link an entire file to an AutoCAD LT drawing
To update a link manually
To change links
To break a link
To embed an OLE object in an AutoCAD LT drawing
To create and embed an object starting from AutoCAD LT
To embed AutoCAD LT objects in another document
To link an AutoCAD LT view to another document
To edit a linked drawing from within the container application
To edit a linked drawing from within AutoCAD LT
To edit embedded AutoCAD LT objects
To edit an OLE object embedded in AutoCAD LT
To resize or scale an OLE object
To move an OLE object
To cut, copy, or clear an OLE object
To move an OLE object behind or in front of AutoCAD LT *objects*
To restore an OLE object to its original size and shape
To change the layer of an OLE object
To turn the selectability of an OLE object on or off
To cut objects to the Clipboard
To copy objects to the Clipboard
To paste objects from the Clipboard
To convert pasted information to AutoCAD LT format


Linking and Embedding Data (OLE)

Commands

COPYCLIP | Copies objects to the Windows Clipboard
COPYLINK | Copies the current view to the Windows Clipboard for linking to other OLE applications
CUTCLIP | Copies objects to the Windows Clipboard and erases the objects from the drawing
ERASE | Removes objects from a drawing
INSERTOBJ | Inserts a linked or embedded object
OLELINKS | Updates, changes, and cancels existing links
PASTECLIP | Inserts data from the Windows Clipboard
PASTESPEC | Inserts data from the Clipboard and controls the format of the data
U | Reverses the most recent action
WMFIN | Imports a file in Windows metafile format
WMFOUT | Saves objects to a file in Windows metafile format
WMFOPTS | Sets options for WMFIN

System Variables

OLEHIDE Controls the display of OLE objects in AutoCAD LT


Printing and Plotting

You can reproduce your drawing as hard copy on a variety of plotters and printers, including system printers. By default, AutoCAD LT is set to plot to the Windows system printer specified in the Windows Printers folders; however, you might want to specify a different output device. Before using any of these nonsystem devices, you must set up and configure them. You can plot to a file by configuring a file format driver.

The plot parameters that you set control the final output. Understanding how to use these settings, which affect pen assignments, plot area, scale, paper size, and rotation, helps ensures that your drawing is reproduced as expected. There are also settings you can use to optimize speed and performance when plotting.

The terms printing and plotting are often used interchangeably.

Configuring Plotters and Printers
Setting Up Plotter Hardware
Plotting a Drawing

See Also
Creating the Drawing Layout


Printing and Plotting

To load a new printer or plotter
To set the current printer or plotter
To reconfigure a printer or plotter
To remove a printer or plotter
To configure the system printer as the AutoCAD LT plotter
To send the plot to a different Windows system printer
To configure multiple Windows system printers
To redirect the plot to a Windows NT network printer
To plot to a Windows NT device file
To configure a plotter
To configure for output to raster files
To configure for output to TGA files
To set the dithering pattern
To turn dithering on or off
To set the time-out value for local devices that use nonsystem drivers
To set the time-out value for networked devices or the system printer
To configure a plotter
To disable two-way communication at plot time (on a network)
To perform a long-axis plot
To stop a long-axis plot
To perform a long-axis plot
To set the paper size
To set pen assignments
To set the plot area and adjust the plotted display
To set the plot scale
To set the plot rotation and origin
To create a complete plot configuration file
To use a complete plot configuration file
To create a partial plot configuration
To use a partial plot configuration
To plot a drawing to a file
To optimize pen motion in a pen plotter


Printing and Plotting

Commands

CCONFIG | Customizes the AutoCAD LT printer settings for CalComp plotters
DDLMODES | Same as LAYER
HPCONFIG | Customizes the AutoCAD LT printer settings for HP plotters
LAYER | Manages layers
PLOT | Plots a drawing to a plotter, printer, or file
PREFERENCES | Customizes the AutoCAD LT settings
PREVIEW | Shows how the drawing will look when it is printed or plotted

System Variables

CMDDIA | Controls whether dialog boxes are turned on for PLOT
TEXTFILL | Controls the filling of TrueType text fonts
TEXTQLTY | Sets the resolution of TrueType text fonts


Configuring Plotters and Printers

AutoCAD LT supports many plotters and printers for producing output of your drawings as hard copy. In addition, you can output to files in a variety of formats. This topic provides basic printer and plotter configuration information.

Before you can use a plotter or a printer, you must add it to the list of configured printers. Each plotter or printer has several configuration settings, which you can easily modify. You can also change configurations to use a different plotter or printer, and you can configure a plotter for use over a network.

AutoCAD LT uses ADI (Autodesk Device Interface) drivers to communicate with printing and plotting devices. These drivers fall into three categories: file format drivers, nonsystem drivers, and the system printer driver.

Adding and Configuring Plotters
Configuring Raster File Output
Configuring Dithered Output
Setting the Time-Out Values for Devices
Testing Color and Pen Configuration

See Also
Setting Up Plotter Hardware


Setting Printer and Plotter Preferences

Adding and Configuring Plotters

When you install AutoCAD LT, the current system printer is automatically configured as your output device. If you intend to use the system printer for printing or plotting, you usually don't need to perform any additional configuration. However, using the Printer tab in the Preferences dialog box, you can load a new printer driver, and change, reconfigure, or delete a printer or plotter.

The Preferences dialog box performs only basic configuration of printers and plotters. For device-specific configuration information, see Configuring CalComp, HP, and Oc� Drivers.

Loading a New Printer or Plotter

You can add a new printer or plotter to the list of loaded printers and plotters at any time. You load them by first selecting a driver and then responding to a series of prompts displayed in the AutoCAD LT text window. You can also reload a printer or plotter at any time.

Setting the Current Printer or Plotter

A printer or plotter must first be loaded before you can select it as the current output device. The Printer tab lists the loaded printers and plotters and displays the name of the current one. You can make one of the previously loaded printers or plotters in the list current at any time.

Changing Plotter Setup

You can reconfigure a loaded printer or plotter at any time. You can also remove a printer or plotter from the list of loaded devices.

Configuring the Windows System Printer
Configuring Drivers
Configuring CalComp, HP, and Oc� Drivers

See Also
Reusing a Plot Configuration


Using the Windows System Printer

Configuring the Windows System Printer

With the Windows system printer driver, you can use whatever plotter or printer you have configured with Windows. Any printing device supported by Windows can be used with the Windows system printer configured as the AutoCAD LT plotter.

For pen plotters, it is recommended that you use the nonsystem driver appropriate to your device rather than the Windows system printer drivers. For raster output devices, it is recommended that you use the Windows system printer driver.

The system printer driver supports raster output. However, the ability of the device connected as the system printer to output raster and vector data sent by AutoCAD LT is limited by the amount of memory in the printing device.

If you have multiple Windows system printers, you can select the device from which to plot from within AutoCAD LT. This feature is useful, for instance, for using a LaserJet printer for word processing documents and a BubbleJet for AutoCAD LT drawings.

Setting up the Windows system printer for AutoCAD LT consists of two parts:

  • Configuring the system printer in Windows (see your Microsoft documentation)
  • Configuring the Windows system printer as the AutoCAD LT plotter

If you use the Windows system printer, all handshaking operations and the I/O port handling are managed by Windows. You cannot change the I/O port used by AutoCAD LT by using the AutoCAD LT configuration process. You must do this through Windows Control Panel. When you are using a Windows system printer, the printer configuration is specified by settings in the Windows Print Setup dialog box. AutoCAD LT does not control these settings.

It is possible to reconfigure AutoCAD LT at plot time to send your plot to a different Windows system printer. You can print to any networked Windows system printer.

If you reuse a saved AutoCAD LT plot configuration for a Windows system printer, the current Windows settings for that printer apply. AutoCAD LT restores only the settings saved in AutoCAD LT.

Resolving Windows Print Manager Conflicts

If you configure a nonsystem driver for a locally connected plotter and you also configure a Windows system printer driver for the same locally connected plotter, the driver is not able to connect directly to the local port, because the Windows system has control over it. The driver output is rerouted to the Windows spooler.

To plot when your nonsystem driver output is rerouted, be sure that Windows Control Panel settings for that serial port are correct. They should match the settings of the plotter and should be appropriate for the cabling you have used. You can verify that these settings are correct by printing to the conflicting Windows system printer.

Plotting from a nonsystem driver through the spooler is similar to plotting to a file because there is only one-way communication with the plotter. Performance varies depending on the device.


Procedures (Using the Windows System Printer)

Configuring the Windows System Printer

To configure the system printer as the AutoCAD LT plotter
To send the plot to a different Windows system printer
To configure multiple Windows system printers
To redirect the plot to a Windows NT network printer
To plot to a Windows NT device file


Reference (Using the Windows System Printer)

Configuring the Windows System Printer

Commands

CONFIG | Customizes the AutoCAD LT printer settings
PLOT | Plots a drawing to a plotter, printer, or file
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Configuring Plotters and Printers

Configuring Drivers

File format drivers send data to files and do not print on paper.

Table: File Format Drivers

The system printer driver, plsys.dll, acts as a gateway to any previously installed Windows system printers. The printers or plotters can be locally connected or networked. The plsys.dll file sends raster information to a raster-capable Windows system printer.

Nonsystem drivers plot directly to many types of printers and plotters. The printers or plotters can be locally connected or networked.

During the configuration of nonsystem drivers, you are prompted to specify the kind of port to which the device is connected: serial (local), parallel (local), or network.

If the device has only one type of port, you are offered only two choices, the relevant local port (serial or parallel) or a network connection.

If the device is connected to a local port, you are prompted for the port to which it is connected. For parallel ports, the default is LPT1. For serial ports, the default is COM1. Change the port name if your device is connected to a different port. You can specify the port by name or by hexadecimal address.

If you specify that the device is connected to a network port, AutoCAD LT displays the Browse for Printer dialog box, in which you can specify a network printer. This usually involves browsing for the computer to which the device is connected and then browsing for the particular remote plotter.

If you choose a network printer connected to a computer that is running a different version of Windows, you might see a one-time prompt to install the Windows system driver for the remote device on your system. To use a remote plotter on the network, you must install a Windows system printer driver for the plotter on the remote computer and set permissions so that the plotter is shared. If the device is connected to the remote system using a serial port, you use Windows Control Panel to set the serial port parameters correctly to match the devices communication parameters and cabling. This involves setting the serial ports baud rate, data bits, parity, stop bits, and handshaking. All of these must be properly configured before the device can be used. Verify that you can plot or print with the device by using the Windows system printer.

You can then use a nonsystem driver to plot to the device across the network. The Windows system printer driver is not involved in this, except to make the device browsable. The ADI nonsystem driver must be configured for the specific make and model of the device in use.

Table: Nonsystem Printers and Plotters Supported by AutoCAD LT


Configuring Plotters and Printers

Configuring Drivers

To configure a plotter

  1. From the Tools menu, choose Preferences.
  2. In the Preferences dialog box, choose the Printer tab.
  3. On the Printer tab, choose New.
  4. In the Add a Printer dialog box, select the correct driver.

    All supported nonsystem drivers are shown in the table Nonsystem Printers and Plotters Supported by AutoCAD LT.

  5. Enter a description in the Add a Description box. Then choose OK.
  6. AutoCAD LT displays prompts in the text window.
  7. Choose one of the supported models, and respond to the prompts as required by your hardware setup.

The list varies with the driver you selected in step 4.


Configuring Plotters and Printers

Configuring Drivers

Commands

CONFIG | Customizes the AutoCAD LT printer settings
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Using Specific Plotter Drivers

Configuring CalComp, HP, and Oc� Drivers

Several specific plotter drivers are available with AutoCAD LT.

  • CalComp Plotter Drivers
  • HP Plotter Drivers
  • Oc� Plotter Drivers

For help configuring these plotter drivers, enter CCONFIG, HPCONFIG, or OCECONFIG on the Command line.

See Also
Configuring Drivers


Procedures (Using Specific Plotter Drivers)

Configuring CalComp, HP, and OCÉ Drivers

To configure a plotter

  1. From the Tools menu, choose Preferences.
  2. In the Preferences dialog box, choose the Printer tab.
  3. On the Printer tab, choose New.
  4. In the Add a Printer dialog box, select the correct driver.

    All supported nonsystem drivers are shown in the table Nonsystem Printers and Plotters Supported by AutoCAD LT.

  5. Enter a description in the Add a Description box. Then choose OK.
  6. AutoCAD LT displays prompts in the text window.
  7. Choose one of the supported models, and respond to the prompts as required by your hardware setup.

The list varies with the driver you selected in step 4.


Reference (Using Specific Plotter Drivers)

Configuring CalComp, HP, and OCÉ Drivers

Commands

CONFIG | Customizes the AutoCAD LT printer settings
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Procedures (Setting Printer and Plotter Preferences)

Adding and Configuring Plotters

To configure a plotter
To load a new printer or plotter
To set the current printer or plotter
To reconfigure a printer or plotter
To remove a printer or plotter
To configure the system printer as the AutoCAD LT plotter
To send the plot to a different Windows system printer
To configure multiple Windows system printers
To redirect the plot to a Windows NT network printer
To plot to a Windows NT device file


Procedures (Setting Printer and Plotter Preferences-1)

Adding and Configuring Plotters

To load a new printer or plotter

  1. From the File menu, choose Printer Setup.
  2. On the Printer tab in the Preferences dialog box, choose New.
  3. In the Add a Printer dialog box, select the printer driver you want to load.

    If the Add a Printer dialog box is empty, be sure the path for the drv subdirectory (in the directory or folder you specified at installation time) is specified correctly.

  4. In the Add a Description box, you have the option of entering a description for the printer or plotter you are loading.

    If you do not enter a description, the default name of the printer or plotter you select will be used. Because it is possible to configure the same printer or plotter several times and several different ways, the same device name may appear multiple times in the list of loaded printers and plotters. If you do not enter a description for each, you can distinguish between them later when you are selecting the device you want to use.

  5. Choose OK.
  6. The AutoCAD LT text window is displayed so you can configure the new printer. Respond to the prompts.

    When you have responded to all the prompts, the Preferences dialog box is displayed again. The name of the printer you just configured is displayed in the list.

  7. To make the new printer current, select the printer name from the list and choose Set Current.
  8. Choose OK.

Command line equivalent: CONFIG


Procedures (Setting Printer and Plotter Preferences-2)

Adding and Configuring Plotters

To set the current printer or plotter

  1. From the File menu, choose Printer Setup.
  2. On the Printer tab in the Preferences dialog box, select a device from the list of loaded printers and plotters.
  3. Choose Set Current.
  4. Choose OK.

Command line equivalent: CONFIG


Procedures (Setting Printer and Plotter Preferences-3)

Adding and Configuring Plotters

To reconfigure a printer or plotter

  1. From the File menu, choose Printer Setup.
  2. On the Printer tab in the Preferences dialog box, select a device from the list of loaded printers and plotters.
  3. Choose Modify.
  4. In the Reconfigure a Printer dialog box under Description, you have the option of entering a new description.
  5. Choose Reconfigure.
  6. The AutoCAD LT text window is displayed so that you can reconfigure the printer. Respond to the prompts.

    When you have responded to all the prompts, the Reconfigure a Printer dialog box is displayed again.

  7. Choose OK to exit each dialog box.

Command line equivalent: CONFIG


Procedures (Setting Printer and Plotter Preferences-4)

Adding and Configuring Plotters

To remove a printer or plotter

  1. From the File menu, choose Printer Setup.
  2. On the Printer tab in the Preferences dialog box, select a device from the list of loaded printers and plotters.
  3. Choose Remove.
  4. Choose Yes.
  5. Choose OK.

Command line equivalent: CONFIG


Reference

Adding and Configuring Plotters

Commands

CONFIG | Customizes the AutoCAD LT printer settings
PLOT | Plots a drawing to a plotter, printer, or file
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Configuring Raster File Output

With the raster file format driver, AutoCAD LT can export raster files in formats listed in the following table, with options and variants allowed within those standards.

The driver behaves as a plotter, which represents the width and height of the image in pixels. The screen sizes are correct for pixel aspect ratio. If you choose one of these screens, you should not have to calibrate to correct the results.

File format | Options
Device-independent bitmap for Microsoft Windows (BMP) | Monochrome, 16-color, and 256-color
TrueVision (TGA) Targa | TGA 8, 16, 24, and 32 formats Bottom-up or top-down order of scan lines Noninterleaved, 2-to-1, and 4-to-1 line interleaving Image compression
PCX format | Monochrome, 16-color, and 256-color
Tagged image file format (TIFF) | Monochrome, 16-color, and 256-color

After you select the output file format and supply the unique data for each configuration for that format, you are prompted to select the color resolution of the file.

You cannot modify the raster file export ADI 4.3 (plexport.dll) configuration at plot time by using a plot configuration parameters file (PCP). Nor can you do this by choosing Change in the Device and Default Selection dialog box in the Print / Plot Configuration dialog box. Instead, you must reconfigure the driver using Preferences. Also, the background color that the driver uses for generating images can be set only when the driver is configured to color images.

BMP

The BMP files on Microsoft Windows are device-independent bitmap files. They can be read and written by Windows Paint, and virtually all Windows applications import them. There is a configuration option for background color.

TGA

AutoCAD LT writes all of the commonly used TGA formats.

PCX

The PCX file format has as its ancestor the files written by the original PC Paintbrush program, Z-Soft, which currently markets various paint products for the PC.

TIFF

TIFF (tagged image file format) is a raster file format jointly defined by Aldus and Microsoft. AutoCAD LT writes Little-endian (Intel byte order) TIFF files containing bitmaps, 4-bit pixels, or 8-bit pixels, depending on the color resolution you select.


Procedures (Configuring Raster File Output)

Configuring Raster File Output

To configure for output to raster files
To configure for output to TGA files


Procedures (Configuring Raster File Output-1)

Configuring Raster File Output

To configure for output to raster files

  1. From the File menu, choose Printer Setup.
  2. On the Printer tab in the Preferences dialog box, choose New.
  3. In the Add a Printer dialog box, select Raster file export ADI 4.3 - by Autodesk, Inc.
  4. Enter a description in the Add a Description box. Then choose OK.
  5. The AutoCAD LT text window is displayed so you can configure the new printer. Respond to the prompts.

    When you have responded to all the prompts, the Preferences dialog box is displayed again. The name of the printer you just configured is displayed in the list.

  6. To make the new printer current, select the printer name from the list and choose Set Current.
  7. Choose OK.

Command line equivalent: CONFIG


Procedures (Configuring Raster File Output-2)

Configuring Raster File Output

To configure for output to TGA files

  1. From the Tools menu, choose Preferences.
  2. On the Printer tab in the Preferences dialog box, choose New.
  3. In the Add a Printer dialog box, select Raster file export ADI 4.3 - by Autodesk, Inc.
  4. Enter a description in the Add a Description box. Then choose OK.

    AutoCAD LT displays options in the text window.

  5. Choose a resolution. Enter 2 (TrueVision TGA format).
  6. At the prompts that follow, respond as necessary to meet your output requirements.
    • Choose the Targa display board that you have.
    • Choose whether to use compression, change scan-line order, and interleave lines.
    • Specify a background color.
  7. AutoCAD LT displays the current plot settings. If you want to change any settings, enter y.
  8. In the Preferences dialog box, choose OK.

Command line equivalent: CONFIG


Reference (Configuring Raster File Output)

Configuring Raster File Output

Commands

CONFIG | Customizes the AutoCAD LT printer settings
PLOT | Plots a drawing to a plotter, printer, or file
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Printing Dithered Output

Configuring Dithered Output

If you are printing to a system printer, you can choose either dithered or nondithered output. With dithered output, the printer attempts to simulate more colors than it actually supports by mixing colors and white space to create the effect of a new color.

By default, AutoCAD LT uses dithered output for raster printers that support them. You can turn off dithered output on the Printer tab of the Preferences dialog box.

The Windows printer driver has its own control over dithering. Depending on the printer driver, you can set the resolution or pattern of the dithering.

Consult the documentation provided by the printer driver vendor for details about the printer drivers capabilities.


Procedures (Printing Dithered Output)

Configuring Dithered Output

To set the dithering pattern
To turn dithering on or off


Procedures (Printing Dithered Output-1)

Configuring Dithered Output

To set the dithering pattern

  1. From Control Panel, choose Printers.
  2. In the printer dialog box, double-click the default printer.
  3. In the printer window, from the Printer menu, choose Properties.
  4. In the printer properties dialog box, choose the Graphics tab.
  5. Under Dithering, Intensity, and Graphics mode, choose the settings you want to use and choose OK.


Procedures (Printing Dithered Output-2)

Configuring Dithered Output

To turn dithering on or off

  1. From the File menu, choose Printer Setup.
  2. On the Printer tab in the Preferences dialog box, select the printer, and then choose Modify.
  3. In the Reconfigure a Printer dialog box, choose Reconfigure.
  4. Select or clear Allow Dithered Output, and then choose OK to exit each dialog box.

Command line equivalent: CONFIG


Reference (Printing Dithered Output)

Configuring Dithered Output

Commands

CONFIG | Customizes the AutoCAD LT printer settings
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

No entries.


Setting the Time-Out Value for Devices

The time-out value determines how long the plotter can instruct AutoCAD LT to stop sending data while it empties its buffer. After the plotter empties its buffer, it accepts more data from AutoCAD LT. If the plotter pause is longer than the time-out setting, the following message is displayed.

An error has occurred while writing to the hardcopy device. Please check that it is turned on, online, and has paper. Abort? <N>

When you configure your plotter and are prompted for a time-out value, specify how much time you want to elapse before AutoCAD LT displays an error message for you to cancel the plot.

If your drawings are complex or your pen speed is very slow, set the time-out value higher than the default (30 seconds).

If you begin to receive numerous time-out prompts, your time-out setting is probably too low.

You can set the time-out value during initial configuration or during configuration at plot time.


Procedures (Setting the Time-Out Value for Devices)

Setting the Time-Out Value for Devices

To set the time-out value for local devices that use nonsystem drivers
To set the time-out value for networked devices or the system printer


Procedures (Setting the Time-Out Value for Devices-1)

Setting the Time-Out Value for Devices

To set the time-out value for local devices that use nonsystem drivers

  1. From the File menu, choose Printer Setup.
  2. On the Printer tab in the Preferences dialog box, choose Modify. In the Reconfigure a Printer dialog box, choose Reconfigure.

    The AutoCAD LT text window is displayed.

  3. Press ENTER until the time-out value prompt is displayed. Enter the number of seconds AutoCAD LT should wait for the plotter port to time out.
  4. Press ENTER at the other prompts.
  5. Choose OK to exit each dialog box.

Command line equivalent: CONFIG


Procedures (Setting the Time-Out Value for Devices-2)

Setting the Time-Out Value for Devices

To set the time-out value for networked devices or the system printer

This procedure applies to network plotting, plotting to files, or plotting to Windows system printers.

  1. From the Start menu, choose Settings. Then choose Printers.
  2. Right-click the printer you want, and then choose Properties.
  3. In the Printer Properties dialog box, choose the Details tab.
  4. On the Details tab, select the LPT port that the printer uses.
  5. In Transmission Retry, enter the number of seconds.
  6. Choose OK.


Reference (Setting the Time-Out Value for Devices)

Setting the Time-Out Value for Devices

Commands

CONFIG | Customizes the AutoCAD LT printer settings
PLOT | Plots a drawing to a plotter, printer, or file
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Testing Color and Pen Configuration

Many plotters provide multiple pens, programmable linetypes, and programmable pen speeds. For such plotters, you may choose a pen number, linetype, and pen speed to use for all 255 AutoCAD LT drawing colors. You may establish permanent settings or change them when you begin a plot.

For some plotters, you can change the pen width. If your plotter supports configurable pen widths, you can set them in the Pen Width column of the Pen Assignments dialog box. For most plotters, the default is 0.010 inch or 0.254 millimeter.

You can change the pen widths individually for each AutoCAD LT color, or you can change a group of them at once. If your plots are too dark or too low in resolution, or if the dimension arrowheads look odd, the pen width setting may be too wide.

The drawing chroma.dwg in the sample directory contains a grid of color swatches representing 255 colors. It is recommended that you plot chroma.dwg to see the colors your plotter assigned to the AutoCAD LT colors.


Procedures (Testing Color and Pen Configuration)

Testing Color and Pen Configuration

No entries.


Reference (Testing Color and Pen Configuration)

Testing Color and Pen Configuration

Commands

CONFIG | Customizes the AutoCAD LT printer settings
PLOT | Plots a drawing to a plotter, printer, or file
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Configuring Plotters and Printers

To load a new printer or plotter
To set the current printer or plotter
To reconfigure a printer or plotter
To remove a printer or plotter
To configure the system printer as the AutoCAD LT plotter
To send the plot to a different Windows system printer
To configure multiple Windows system printers
To redirect the plot to a Windows NT network printer
To plot to a Windows NT device file
To configure a plotter
To configure for output to raster files
To configure for output to TGA files
To set the dithering pattern
To turn dithering on or off
To set the time-out value for local devices that use nonsystem drivers
To set the time-out value for networked devices or the system printer


Configuring Plotters and Printers

Commands

CONFIG | Customizes the AutoCAD LT printer settings
PLOT | Plots a drawing to a plotter, printer, or file
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Setting Up Specific Plotters

Setting Up Plotter Hardware

Several specific plotter drivers are available with AutoCAD LT. The following topics provide specific hardware and software information for each Autodesk-supported plotter.


CalComp Plotters

AutoCAD LT supports CalComp plotters through an RS-232C interface to the computer's serial I/O port. AutoCAD LT also supports most CalComp plotters on a parallel port. The plotter menu presents plotters grouped as shown in the table Nonsystem Printers and Plotters Supported by AutoCAD LT.

Connections

CalComp plotters can be connected using an RS-232 serial interface; however, some hardware permits higher data transfer rates. You can transfer data faster by using the Centronics parallel interface. Refer to your plotter's manual for the specific hardware connection requirements.

ColorMaster Cabling

To connect a ColorMaster plotter to the serial port of your computer, use the following three-wire cable diagram:

Configuration

When you configure a CalComp plotter driver, you're prompted to use CCONFIG for detailed configuration.

See Also
DrawingMaster and Electrostatic Plotters
Pacesetter Plotters
Other CalComp Plotters


CalComp Plotters

DrawingMaster and Electrostatic Configuration

To configure the DrawingMaster and Electrostatic plotters, you need an RS-232 terminal. Configure the terminal to 19,200 baud, 8 data bits, 1 stop bit, and no parity. The DrawingMaster and Electrostatic plotters each communicate with AutoCAD LT at 9600 baud, 7 data bits, 1 stop bit, and even parity.

The following table shows the parallel port configuration for DrawingMaster and Electrostatic plotters.

Parameter | Setting
Input monitor dump | NO
I/F type | CET
Print | N
Dead job time-out (SEC) | 90
Time-out action | FORCE
Plot command language | 907
Steps per inch | 400
Beginning of record sync character | $16
Number of sync characters | 2
End of record character | $0D
Checksum | Y

The following table shows the serial port configuration for DrawingMaster and Electrostatic plotters.

Parameter | Setting
Input monitor dump | NO
Baud rate | 9600
Character framing (bits, parity, stop bits) | 7,E,1
Host to plotter CDCL protocol | XONXOFF
Plotter to host CDCL protocol | XONXOFF
Dead job time-out (SEC) | 90
Time-out action | FORCE
Plot command language | 907
Steps per inch | 400
Plot data protocol | XONXOFF
Beginning of record sync character | $16
Number of sync characters | 2
End of record character | $0D
Checksum | Y

DrawingMaster Cabling

To connect a CalComp DrawingMaster plotter, use a straight-through RS-232 cable:


Procedures (CalComp Plotters)

CalComp Plotters

To configure a plotter

  1. From the Tools menu, choose Preferences.
  2. In the Preferences dialog box, choose the Printer tab.
  3. On the Printer tab, choose New.
  4. In the Add a Printer dialog box, select the correct driver.
    All supported nonsystem drivers are shown in the table Nonsystem Printers and Plotters Supported by AutoCAD LT.
  5. Enter a description in the Add a Description box. Then choose OK.
  6. AutoCAD LT displays prompts in the text window.
  7. Choose one of the supported models, and respond to the prompts as required by your hardware setup.

The list varies with the driver you selected in step 4.


Reference (CalComp Plotters)

CalComp Plotters

Commands

CCONFIG | Customizes the AutoCAD LT printer settings for CalComp plotters
PLOT | Plots a drawing to a plotter, printer, or file
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


CalComp Plotters

Pacesetter Plotters

To connect the Pacesetter plotter, use either a Centronics parallel port or a straight-through RS-232 cable, and then use the following configuration. See the Pacesetter plotter manual for instructions on how to change or inspect the plotter's configuration. When using the following configuration settings, be sure your configuration matches the plotter settings.

Parameter | Setting
Plot mode | Final plot
Velocity | 350 mmps 13 ips
Acceleration | 0.7 g
Orientation | Auto
Scale | [ 1 ] / 1
Scale | 1/ [ 1 ]
Pen grouping | Off
Plot limits | Normal
Plot manager | No
Port type | RS-232C
Protocol | PCI
Baud rate | 9600
# of bits, parity | 7, even
Handshake | XON/XOFF
Sync # EOM CHK | A : 22 2 13 ON
EOP timer | 30 seconds
Language | English
Internal plot | Off
Clear plot data | No
Save as user | Yes


CalComp Plotters

Other CalComp Plotters

For all other CalComp pen plotters, set the plotter controller for 9600 baud, even parity, 7 data bits, 1 stop bit, no hardware handshake, and checksum enabled. Set the end-of-message character to 13 decimal, double sync on, and set the sync character to 22 decimal.


Hewlett-Packard HP-GL Plotters

AutoCAD LT supports Hewlett-Packard HP-GL plotters through an RS-232C serial I/O port. Set the Hewlett-Packard plotters at 9600 baud, with 7 data bits, 1 stop bit, and even parity.

On the 7550 and DraftMaster plotters, follow the Hewlett-Packard instructions to set monitor mode off, remote mode, stand-alone mode, XON/XOFF handshake, direct mode, full duplex, 7-bit data, parity 0 (zero), and 9600 baud. Automatic sheet feed is enabled on the 7550 when an asterisk (*) appears below the Sheet Feed key.

On the 7580, 7585, 7586, and DraftPro DXL/EXL models, set the RS-232C speed selector to 9600 and set parity to on and to even parity, and set eavesdrop to off. Set the Emulate and Expand switches to normal. If roll media is loaded in the 7586, AutoCAD LT advances the paper and draws a cutting line between plots.

Cabling

Connect the plotter and computer as shown in the following diagram:

If the plotter starts a plot correctly but drops data, draws random vectors, and turns on the error light, there is probably an error in wiring pin 2, 5, or 6 at the plotter end of the cable.

Switch Settings

On the 7475 plotter, the effective plotting area is 10.15 by 7.80 inches for A-size paper. Establish the communication modes by setting the switches as indicated in the following table.

Switch | 1 | 0
B1 |  | 0
B2 | 1 |
B3 |  | 0
B4 |  | 1
S1 | 1 |
S2 |  | 0
D-Y |  | D (7470/7475 only)

Hard Clip Limits

The 7580, 7585, 7586, DraftPro DXL/EXL, DraftMaster I, 7586B, and 7596A plotters return hard clip limits to AutoCAD LT. This requires two-way communication between AutoCAD LT and the plotter. The plotter sends AutoCAD LT the installed paper's exact plot area, allowing AutoCAD LT to position the plot on the paper based on the actual sheet size. If you turn off the AutoCAD LT request for hard clip limits, AutoCAD LT positions the plot based on the configured paper size. In most cases, if you turn off hard clip limits, you must adjust the configured paper size to reflect the actual printable area of the device. Otherwise, your plot might be clipped. You can adjust the location of the plot on the paper by changing the plot origin.

If your plot is sent through the Windows spooler, AutoCAD LT's request for hard clip limits is turned off because of a conflict with a Windows system printer or because you are plotting to a network port. If you see a warning message, you might have to adjust your configured paper size and plot origin.

AutoCAD LT sends the plot to the currently configured port in the same manner that it sends the plot to a file, and then you can plot directly to plotter buffers or over networks.

Long-Axis Plots

In general, a plot is considered a long-axis plot if it requires more than 65,000 plotter steps in the long direction - typically any plot more than 65 inches long, depending on the plotter's resolution. To plot on long paper, AutoCAD LT reduces the resolution to increase the plot size by rescaling the plot data (retaining the number of pixels, but decreasing the pixels per inch) to keep it within AutoCAD LT's 65,000-step limit.

The ADI plotter driver creates long plots by rescaling the plot data sent to the driver, magnifying the data sent to the plotter at a proportional decrease in plot resolution.

The driver sends all vectors to the plotter buffer or hard disk. The pen plotters automatically advance the page to plot each frame.

Follow the instructions in the Hewlett-Packard user's guide. For long-axis, multiframe plotting, you need a black 0.3 mm fiber-tip pen (for plotter paper) or a 0.35 mm drafting pen (for vellum or polyester film) in pen stall 8. Only these pens enable the plotter to detect the registration marks used for frame-to-frame alignment.

Note: When you create a long-axis plot with the 7586B roll-fed plotter, the Out of Limit light comes on occasionally. Generally this is a result of the way AutoCAD LT and the plotter interact when plotting very large drawings.


Procedures (Hewlett-Packard HP-GL Plotters)

Hewlett-Packard HP-GL Plotters

To configure a plotter
To disable two-way communication at plot time (on a network)
To perform a long-axis plot
To stop a long-axis plot


Procedures (Hewlett-Packard HP-GL Plotters-1)

Hewlett-Packard HP-GL Plotters

To configure a plotter

  1. From the Tools menu, choose Preferences.
  2. In the Preferences dialog box, choose the Printer tab.
  3. On the Printer tab, choose New.
  4. In the Add a Printer dialog box, select the correct driver.

    All supported nonsystem drivers are shown in the table Nonsystem Printers and Plotters Supported by AutoCAD LT.

  5. Enter a description in the Add a Description box. Then choose OK.
  6. AutoCAD LT displays prompts in the text window.
  7. Choose one of the supported models, and respond to the prompts as required by your hardware setup.

The list varies with the driver you selected in step 4.


Procedures (Hewlett-Packard HP-GL Plotters-2)

Hewlett-Packard HP-GL Plotters

To disable two-way communication at plot time (on a network)

  1. Verify that the CMDDIA system variable is set to On.
  2. In the Print/Plot Configuration dialog box, choose Device and Default Selection.
  3. In the Device and Default Selection dialog box under Device Specific Configuration, choose Change.
  4. If your device normally returns hard clip limits, the following prompt is displayed:

    Request hard clip limits?

If you enter n, you turn off two-way communication. AutoCAD LT does not ask for hard clip limits from the plotter when you plot a drawing.

If you enter y, the plot proceeds normally when you plot a drawing, starting with a two-way communication between AutoCAD LT and the plotter to establish the hard clip limits.

If you plot from the command line, the Request Hard Clip Limits prompt is displayed in the sequence of prompts.


Procedures (Hewlett-Packard HP-GL Plotters-3)

Hewlett-Packard HP-GL Plotters

To perform a long-axis plot

  1. From the File menu, choose Print.
  2. In the Print/Plot Configuration dialog box, make sure the current plotter support long-axis plots.
  3. In the Size dialog box, if you select a plotting size that requires long-axis plotting, AutoCAD LT displays the following message:

    Long axis plot is selected. Plotter steps/inch = nnn
    where nnn is the number of plotter steps per inch used to create a plot for the specified plot size. If prompted, supply the roll width.

  4. Under Additional Parameters, select Extents.
  5. Under Scale, Rotation, and Origin, specify an explicit scale.

    Do not select Scale to Fit. Do not rotate the plot.

  6. Plot in the normal manner. If you stop long-axis plot, clear the plotter memory.


Procedures (Hewlett-Packard HP-GL Plotters-4)

Hewlett-Packard HP-GL Plotters

To stop a long-axis plot

  1. Press ESC.
  2. Use the plotter control panel to reset your plotter.

    If you do not reset your plotter after canceling a plot, a portion of the plot may overlay the next plot.

  3. To stop a long-axis plot while AutoCAD LT is sending vectors to the plotters, press ESC.

    To stop your plotter after AutoCAD LT has finished sending all the vectors, clear the plotter memory using the plotter control panel.

    • DraftMaster X series - press the Cancel button.
    • HP 7600 240D/E - press the Reset button.
    • HP 7600 250/255/355 - press the Plot Management key. Select Queuing Operation, and then select the plot and delete it from the queue.
    • HP DesignJet Series - press the Cancel button.
    • HP DraftPro Plus - press the Cancel button.


Reference (Hewlett-Packard HP-GL Plotters)

Hewlett-Packard HP-GL Plotters

Commands

HPCONFIG | Customizes the AutoCAD LT printer settings for HP plotters.
PLOT | Plots a drawing to a plotter, printer, or file
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Hewlett-Packard HP-GL/2 Devices

AutoCAD LT supports the LaserJet III and IV printers and the DesignJet and 7600 Series plotters through either a parallel or a serial connection. AutoCAD LT supports the DraftMaster and DraftMaster Plus series plotters through a serial I/O port only. The 7600 Series plotter, DesignJets, DraftPro Plus, and the DraftMaster with roll feed can do long-axis plots.

Note: As a Windows system printer, the LaserJet 4 is capable of 600 dpi; as an HPGL-2 device, the printer is dependent on the program's software.

Cabling

For a serial connection, use the following cable diagram:

Switch Settings

The following table displays the DIP switch settings for the 7600 240D plotter.

Switch bank | 1 | 0
Parallel Left | 2 | 1, 310
Parallel Right | 3 | 1, 2, 410
Serial Left | 1 | 210
Serial Right | 3, 6, 7, 9 | 1, 2, 4, 5, 8, 10

The following table displays the DIP switch settings for the 7600 240E plotter.

Switch bank | 1 | 0
Parallel Left | 2 | 1, 310
Parallel Right |  | 110
Serial Left | 1 | 210
Serial Right | 6, 7, 9 | 15, 8, 10

For the DraftMaster and 7600 series plotters, follow the Hewlett-Packard instructions for turning off the monitor mode or turning on the remote mode, stand-alone mode, XON/XOFF handshake, direct mode, full duplex, 7-bit data, and parity setting. Choose settings for zero parity and 9600 baud. Be sure the plotter is in HP-GL/2 emulation mode.

DesignJet Plotters

AutoCAD LT supports the Hewlett-Packard DesignJet plotter models 200/220, 250C, 330, 600, 650C, 700, 750C, 750C Plus, 755, and 755CM plotters through a serial or a parallel port. It is recommended that you use the parallel port. If you use a serial port, set the DesignJet at 9600 baud, with 8 data bits, 1 stop bit, no parity, and hardware handshaking XON/XOFF.

Use HPCONFIG on the command line to review or reconfigure the DesignJet for the Rotate, Mirror, Merge, or Pen Settings option.

All DesignJet roll-feed models can produce long-axis plots. Both the 600 and 650C have an optional expanded mode for page formats and margins. Expanded mode is set on the plotter's front panel. By choosing Advanced Media Options from the Plotter Configuration menu, you can select options that match your plotter's settings.

In the HP Configuration dialog box, a status line displays the current model number and the description that you entered during configuration. If you are using more than one HP-GL/2 device, you can identify each model by providing a unique description during configuration.

Custom Configuration

To customize your configuration, enter hpconfig at the Command prompt. In the Plotter Configuration dialog box, you can customize your plotter by using the options that are provided.

The following table displays each plotter configuartion option and its function, along with further configuration selections you can make in related dialog boxes.

Option | Description
Number of Copies | Specifies number of copies from each AutoCAD LT PLOT command
Print Quality | Selects quality level
Print Colors | Determines the way the plotter interprets the colors in the drawing and prints them as colors, shades of gray, or black
Pens... | Provides the Pens dialog box to define Plot Merge Control, Line End, Line Join, Fill, and Raster Patterns; pen assignments are determined by the pen numbers
Annotations... | Provides the Annotations dialog box to define Drawing File Name, Plot Date/Time, Driver Name, and Crop Marks; use Crop Marks to determine cutoffs when defining roll feed
Media Options... | Provides the Media Options dialog box to define image and media direction and placement (landscape or portrait)
Advanced Media Options... | Provides the Advanced Media Options dialog box to define plot margins and avoid clipped plots; the driver has the Plotted Margins Expanded set off by default

Advanced Media Options

When you choose Advanced Media Options, a dialog box is displayed that provides scaled-to-fit and clip-limit adjustments. Clip limits define the available plotting area for AutoCAD LT. You can choose whether to display the clip-limit warnings when plotting. If the warning is on, you have the option of adjusting to fit in a real area, as opposed to AutoCAD LT's designated area. If you select the option to adjust to fit, be sure the Plotter Margin settings match the settings on your plotter.

Long-Axis Plots

The 7600 series plotter, DesignJets, DraftPro Plus, and the DraftMaster with roll feed can do long-axis plots.


Procedures (Hewlett-Packard HP-GL/2 Devices)

Hewlett-Packard HP-GL/2 Devices

To configure a plotter
To perform a long-axis plot


Procedures (Hewlett-Packard HP-GL/2 Devices-1)

Hewlett-Packard HP-GL/2 Devices

To configure a plotter

  1. From the Tools menu, choose Preferences.
  2. In the Preferences dialog box, choose the Printer tab.
  3. On the Printer tab, choose New.
  4. In the Add a Printer dialog box, select the correct driver.

    All supported nonsystem drivers are shown in the table Nonsystem Printers and Plotters Supported by AutoCAD LT.

  5. Enter a description in the Add a Description box. Then choose OK.
  6. AutoCAD LT displays prompts in the text window.
  7. Choose one of the supported models, and respond to the prompts as required by your hardware setup.

The list varies with the driver you selected in step 4.


Procedures (Hewlett-Packard HP-GL/2 Devices-2)

Hewlett-Packard HP-GL/2 Devices

To perform a long-axis plot

The 7600 series plotter, DesignJet, DraftPro Plus, and the DraftMaster with roll feed can do long-axis plots.

  1. If your plotter supports long-axis plots, select any size greater than 64 inches along the X axis. The following prompt is displayed:

    Long axis plot is selected. Plotter steps/inch = nnn

  2. Plot in the normal manner. For best results, plot to extents, do not rotate the plot, and use an explicit one-to-one scale (not Scale to Fit).
  3. To stop a long-axis plot while AutoCAD LT is sending vectors to the plotter, press ESC.
  4. To stop your plotter after AutoCAD LT has finished sending all the vectors, clear the plotter memory using the plotter control panel as indicated for the following devices:
    • DraftMaster X series - press the Cancel button.
    • HP 7600 240D/E - press the Reset button.
    • HP 7600 250/255/355 - press the Plot Management key. Select Queuing Operations, and then select the plot and delete it from the queue.
    • HP DesignJet Series - press the Cancel button.
    • HP DraftPro Plus - press the Cancel button.


Reference (Hewlett-Packard HP-GL/2 Devices)

Hewlett-Packard HP-GL/2 Devices

Commands

HPCONFIG | Customizes the AutoCAD LT printer settings for HP plotters
PLOT | Plots a drawing to a plotter, printer, or file
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Houston Instrument DMP Series

AutoCAD LT supports Houston Instrument plotter models DMP-52, DMP-61, DMP-62, DMP-62MP, DMP-161, and DMP-162 with an RS-232C serial I/O port.

Use a three-wire cable to connect the plotter and the computer as shown in the following diagram:

Set the plotter to communicate at 9600 baud with 8 data bits, no parity, 1 stop bit, and XON/XOFF protocol. The way to do this depends on the plotter model.

DMP-50 and DMP-60 series - before plotting the first time, press ENTER and then Scale UR on the plotter to activate Menu mode. Then follow the instructions in the plotter manual to set the communication parameters. You perform this setup only once. On some plotters, you must press the paper size button between consecutive plots.

DMP-61MP and DMP-62MP - AutoCAD LT supports eight pens on plotters.


Procedures (Houston Instrument DMP Series)

Houston Instrument DMP Series

To configure a plotter

  1. From the Tools menu, choose Preferences.
  2. In the Preferences dialog box, choose the Printer tab.
  3. On the Printer tab, choose New.
  4. In the Add a Printer dialog box, select the correct driver.

    All supported nonsystem drivers are shown in the table Nonsystem Printers and Plotters Supported by AutoCAD LT.

  5. Enter a description in the Add a Description box. Then choose OK.
  6. AutoCAD LT displays prompts in the text window.
  7. Choose one of the supported models, and respond to the prompts as required by your hardware setup.

The list varies with the driver you selected in step 4.


Reference (Houston Instrument DMP Series)

Houston Instrument DMP Series

Commands

CONFIG | Customizes the AutoCAD LT Printer Settings
PLOT | Plots a drawing to a plotter, printer, or file
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


OC Plotter Configuration

Oc� Plotters

AutoCAD LT supports Oc� plotters through an RS-232C serial I/O port. Set the Oc� plotters at 9600 or 19,200 baud, with 8 data bits, 1 stop bit, and no parity. You are prompted to input this information at configuration time if you choose to connect to a serial port. Serial port cabling instructions are available from your dealer or manufacturer.

Custom Configuration

To customize your configuration, enter oceconfig at the Command prompt. In the Plotter Configuration dialog box, you can customize your plotter by using the options that are provided.


Procedures (OC Plotter Configuration)

OCÉ Plotters

To configure a plotter

  1. From the Tools menu, choose Preferences.
  2. In the Preferences dialog box, choose the Printer tab.
  3. On the Printer tab, choose New.
  4. In the Add a Printer dialog box, select the correct driver.

    All supported nonsystem drivers are shown in the table Nonsystem Printers and Plotters Supported by AutoCAD LT.

  5. Enter a description in the Add a Description box. Then choose OK.
  6. AutoCAD LT displays prompts in the text window.
  7. Choose one of the supported models, and respond to the prompts as required by your hardware setup.

The list varies with the driver you selected in step 4.


Reference (OC Plotter Configuration)

OCÉ Plotters

Commands

PLOT | Plots a drawing to a plotter, printer, or file
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


PostScript Printers

AutoCAD LT supports PostScript printers and plotters using either a Centronics-type parallel I/O port or an RS-232C serial I/O port. If you use a serial port, it is recommended that you set the printer for 9600 baud, even parity, 7 data bits, 1 stop bit, and XON/XOFF protocol (some have a choice of XON/ XOFF or DTR). If your printer requires a different configuration, enter yes at the Do You Wish to Change the Serial Port prompt, and enter the correct values for your device.

AutoCAD LT produces output at 300, 600, 1270, or 2540 dpi. Select the AutoCAD LT output resolution that is closest to the resolution of your laser printer. Although output produced by AutoCAD LT at any resolution prints correctly on any printer, plotting takes longer if you choose a higher resolution than your device supports.

To ensure that the plot appears on an area of the paper that can accept an image, AutoCAD LT offsets the X and Y values by 5/18 inch. If necessary, you can change this origin at the time of plotting to any negative or positive origin offset. On a standard plotter, choose Rotate so that the longer dimension of your image is oriented with the longer edge of the paper (landscape format).

The PostScript printer driver supports plots containing up to 255 colors. It is suggested that you plot chroma.dwg to see the colors assigned to the AutoCAD LT colors. Chroma.dwg contains a grid of color swatches representing the 255 AutoCAD LT colors. Use the output to customize your color needs. Assign the pen number that most closely fits your desired color to the AutoCAD LT color and layer.

During configuration, the following end-of-file prompts are displayed. To configure your PostScript printer, respond to each prompt.

Some PostScript devices require a special ^Z character at the end of the file. Do you wish to append ^Z?

Adobe recommends that a special ^D be added at the end of the file if the Adobe Standard Protocol is used. Do you wish to append ^D?

If you are sending a PostScript file over a communication channel that uses Adobe Standard Protocol, append a ^D to the end of file. If you are porting to another platform, you might want to remove this character; otherwise, you receive an error message when printing the file.

If you are plotting to a network PostScript printer, or if you are plotting to a locally connected PostScript printer through the Windows system spooler because of a conflict with a Windows system printer driver, you will probably need to append a ^D to your file to avoid a time-out error.

If you have a roll-fed plotter with level 2 PostScript, you may want to limit the paper used to the selected AutoCAD LT paper size. Do you wish to limit the paper size?

If you have a roll-fed PostScript device, such as a Hewlett-Packard DesignJet 650C and are not setting the paper size at the control panel, select this option. If you do not limit the paper size, the paper size will not match the size that is required for the plot.


Procedures (PostScript Printers)

PostScript Printers

To configure a plotter

  1. From the Tools menu, choose Preferences.
  2. In the Preferences dialog box, choose the Printer tab.
  3. On the Printer tab, choose New.
  4. In the Add a Printer dialog box, select the correct driver.

    All supported nonsystem drivers are shown in the table Nonsystem Printers and Plotters Supported by AutoCAD LT.

  5. Enter a description in the Add a Description box. Then choose OK.
  6. AutoCAD LT displays prompts in the text window.
  7. Choose one of the supported models, and respond to the prompts as required by your hardware setup.

The list varies with the driver you selected in step 4.


Reference (PostScript Printers)

PostScript Printers

Commands

CONFIG | Customizes the AutoCAD LT printer settings
PLOT | Plots a drawing to a plotter, printer, or file
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Setting Up Specific Plotters

Setting Up Plotter Hardware

To configure a plotter
To disable two-way communication at plot time (on a network)
To perform a long-axis plot (HP-GL plotters)
To perform a long-axis plot (HP-GL/2 devices)
To stop a long-axis plot


Setting Up Specific Plotters

Setting Up Plotter Hardware

Commands

CCONFIG | Customizes the AutoCAD LT printer settings for CalComp plotters
HPCONFIG | Customizes the AutoCAD LT printer settings for HP plotters
PLOT | Plots a drawing to a plotter, printer, or file
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Printing a Drawing

Plotting a Drawing

Before you plot, check to see the placement of your drawing on the paper. There are several other items to check before plotting, including whether the plotter is ready, whether the proper size paper is loaded, and whether the dithered output option is selected.

If you are using a pen plotter, check the pens: are they seated properly in the pen holder? For each pen, be sure the pen width and color correspond to the pen number. Run a self-test to see whether any of the pens are clogged or skipping.

Plotting to a file is a way to save the drawing to an AutoCAD vector format (PLT) file that can be sent to a printer or plotter later or used in other applications.

There are several methods you can use to increase the speed of processing a plot.

Defining Plot Parameters
Reusing a Plot Configuration
Previewing a Plot
Plotting to a File
Plotting More Quickly

See Also
Creating the Drawing Layout


Setting Specific Plot Parameters

Defining Plot Parameters

After you configure your printer or plotter, you use PLOT to set printing parameters that define how the plotted drawing looks. The defaults defined in a specific plot configuration parameters file are used whenever you plot a drawing

Setting Paper Size
Setting Pen Parameters for Line Width and Color
Specifying the Printing Area and Output Options
Setting the Plot Scale
Positioning the Drawing on the Paper


Setting Paper Size

Before you print your drawing, you specify the size of the paper and whether the plot orientation is landscape or portrait. You can choose a paper size from a standard list or create a custom size. You can base this size on millimeters or inches, depending on which option you choose. You also can specify the unit type used for plotting (millimeters or inches).

The Paper Size and Orientation area of the Print / Plot Configuration dialog box also reports the area on the paper available for plotting, that is, the paper size minus the margins.

If you use a system printer driver, the paper size is determined in Windows Control Panel; therefore, the Size option is not available. To ensure that the plotted image fills the entire sheet of paper, the paper size and orientation settings should match Control Panel settings.


Procedures (Setting Paper Size)

Setting Paper Size

To set the paper size

  1. On the Standard toolbar, choose Print.
  2. In the Print / Plot Configuration dialog box under Paper Size and Orientation, select either inches or millimeters as a basis for the measurement.
  3. Choose Size to display a list of the paper sizes that your plotter supports.
  4. In the Paper Size dialog box, select an existing size or enter a custom size in a User box.
  5. Choose OK.

File menu: Print
Standard toolbar:
Command line equivalent: PLOT


Reference (Setting Paper Size)

Setting Paper Size

Commands

PLOT Plots a drawing to a plotter, printer, or file

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Setting Pen Parameters for Line Width and Color

Each object you create has an AutoCAD LT color that is assigned either by layer or specifically to the object. Although these colors can correspond to plotted colors, they more frequently are used to distinguish different layers on the screen. When you plot, you can use colors to assign line widths or weights, for example, as specified by your company's standards. How you assign pens depends on whether you use a pen plotter or a raster printer.

Setting Line Width

Even if you use a black-and-white plotter, you can use layer colors to control line width. When you plot, you assign each color to a certain pen. Your plotter then uses the pen (or pen width) associated with the layer color.

For most pen plotters, the physical width of the pen determines the plotted line weight; however, some plotters can simulate a specified pen width by using multiple pen strokes. If you plot filled solids or wide polylines, be sure to configure the pen width to match the physical width of the pen.

Many plotter pens mark pen width in millimeters. Be sure that the unit type of your pen width entries (inches or millimeters) matches the unit type specified by the pen manufacturer. If you are working in inches but your pen tip measurements are in millimeters, you can select Millimeters in the Plot Configuration dialog box, make your pen assignments, and then switch back to inches.

For raster printers, such as laser, inkjet, or electrostatic printers, which do not have physical pens, you can plot various line widths by assigning a pen width to a color. You may want to configure these widths to match the most common pen sizes: 0.18 mm, 0.25 mm, 0.35 mm, 0.50 mm, and 0.70 mm. If you can specify pen widths on the hardware, be sure to change the hardware settings to read the software pen width values.

For both pen plotters and raster printers, you can associate the same line width with several layers by assigning more than one color to a single pen. For example, suppose you have set up a blue and a red layer. If pen 1 has a width of 0.25 mm (whether the width is physical or assigned), you can plot 0.25 mm lines for all objects on the blue and red layers by assigning both the blue and red colors to pen 1. If you are using a color plotter, this assignment also causes those colors to be plotted in the same color.

Setting Plotter Linetypes

Some plotters support hardware linetypes, which are supplied by your plotter rather than by AutoCAD LT. You can display these linetypes by choosing Feature Legend in the Pen Assignments dialog box. Although they are usually faster than software linetypes, these plotter-based linetypes are used less frequently than the AutoCAD LT linetype styles. They may be useful if you want to plot a different linetype without changing the linetype style in the drawing. If you change linetypes in the Plot Configuration dialog box, avoid unexpected results by making sure that the affected objects use a CONTINUOUS linetype.

Setting Pen Speed

For some pen plotters, you can adjust pen speed on a pen-by-pen basis. This feature is useful, for example, for slowing down pens that are skipping. Each pen manufacturer recommends a pen speed. For best results, use those values.


Procedures (Setting Pen Parameters for Line Width and Color)

Setting Pen Parameters for Line Width and Color

To set pen assignments

  1. From the File menu, choose Print.
  2. In the Print / Plot Configuration dialog box under Pen Parameters, choose Pen Assignments.

    The Pen Assignments dialog box that is displayed is different for different plotter configurations. Options not supported by your plotter are not available.

  3. Select a color number in the first column, Color. Under Modify Values, enter a pen number (pen plotters only). You can assign more than one color number to each pen.
  4. Use one of the following methods:
    • If your plotter supports multiple pen widths, you can select a pen number and enter a pen tip width in the Width box. The same width then is used for all colors assigned to the same pen.
    • If you use a plotter that does not support multiple widths, you can enter a single line width in the Width box. AutoCAD LT uses this value to correct area fills when you plot with the Adjust Area Fill option turned on. (You can select Adjust Area Fill under Additional Parameters in the Print / Plot Configuration dialog box.)
    • If your plotter supports hardware linetypes, you can choose Feature Legend to see examples. These examples vary depending on the plotter. Choose OK to close the Feature Legend dialog box. In the Pen Assignments dialog box under Modify Values, enter the appropriate number in the Ltype box.
  5. Choose OK to exit each dialog box.

AutoCAD LT plots the drawing using the specified settings.

Standard toolbar:
Command line equivalent: PLOT


Reference (Setting Pen Parameters for Line Width and Color)

Setting Pen Parameters for Line Width and Color

Commands

PLOT Plots a drawing to a plotter, printer, or file

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Specifying the Printing Area and Output Options

The settings under Additional Parameters in the Print/Plot Configuration dialog box control how you specify the area of the drawing that will be printed. Other settings control processing and printing options for several types of AutoCAD LT objects.

In model space, the options apply to the current viewport. If you are in paper space, the options apply to the paper space view.

Drawing Area to Be Printed

For any drawing, you can specify what portion will be printed by choosing one of the following:

  • The current display
  • The extents of the objects
  • The current grid (drawing) limits
  • A view previously saved by name in the drawing
  • A rectangular area you define with two points
  • Text Resolution and Text Fill

You can increase plotting speed by adjusting the appearance of Truetype and Type 1 fonts. You can control whether these text fonts are filled in or printed in outline form. You also can control the text font resolution, jagged to smooth, with the TEXTQLTY system variable. Decreasing the resolution makes the text appear more jagged.

Hide Lines

If you are viewing a three-dimensional model created with AutoCAD surfaces or solids, or working with thickened objects, you also can specify whether to plot hidden lines.

The Hide Lines option affects all views in the current space. If you are plotting from paper space and want to hide lines within specific viewports, use the Hide/Plot option of MVIEW.

Adjust Area Fill

When you plot two-dimensional solids and wide polylines, AutoCAD LT uses the pen width value specified in the Pen Assignments dialog box. The pen normally aligns with the center of the object boundaries. To ensure greater accuracy, you can use the Adjust Area Fill option to move the pen inward by half a pen width. Use this option for drawings, such as circuit diagrams, in which the plot must be accurate to half the pen width.

Plot to File

See Plotting to a File


Procedures (Specifying the Printing Area and Output Options)

Specifying the Printing Area and Output Options

To set the plot area and adjust the plotted display

  1. From the File menu, choose Print.
  2. In the Print/Plot Configuration dialog box under Additional Parameters, to define the portion of the drawing to plot, select one of the following options:
    • Display plots the view in the graphics area.
    • Extents plots all objects in the drawing.
    • Limits plots the current drawing limits.
    • View plots a saved view. Choose the rectangular View button at the bottom of the Additional Parameters area to display a list of named views. Select a view and then choose OK. Then select View in the first column under Additional Parameters.
    • Window plots an area you define. Select Window in the first column, and then choose the rectangular Window button at the bottom of the Additional Parameters area to define the plot area.
  3. To remove any hidden lines from the plotted output, select Hide Lines. Selecting this option does not change the appearance of the drawing on the screen.
  4. To adjust the pen width inward for solids and wide polylines, select Adjust Area Fill.
  5. Choose OK.

Standard toolbar:
Command line equivalent: PLOT


Reference (Specifying the Printing Area and Output Options)

Specifying the Printing Area and Output Options

Commands

PLOT Plots a drawing to a plotter, printer, or file

System Variables

CMDDIA | Controls whether dialog boxes are turned on for PLOT
TEXTFILL | Controls the filling of TrueType text fonts
TEXTQLTY | Sets the resolution of TrueType text fonts


Setting the Plot Scale, Rotation, and Origin

Setting the Plot Scale

You can control the size of the plot on the paper, the orientation of the plot, and its placement.

Usually, you draw objects at their actual size. That is, you decide how to interpret the size of a unit (an inch, a millimeter, a meter) and draw on a 1:1 scale. For example, if your unit of measurement is millimeters, then every unit in your drawing represents a millimeter. When you plot the drawing, you either specify a precise scale or fit the image to the paper.

Most final drawings are plotted at a precise scale. The method used to set the plot scale depends on whether you plot from model space or from paper space:

In model space, you can establish the scale in the Print / Plot Configuration dialog box. This scale represents a ratio of plotted units to the world-size units you used to draw the model. For more information, see Calculating the Scale Factor.

In paper space, you work with two scales: The first affects the overall layout of the drawing, which usually is scaled 1:1, based on the paper size. The second is the scale of the model itself, which is displayed in floating viewports. The scale in each of these viewports represents a ratio of the paper size to the size of the model in the viewport. (You scale each viewport using the XP option of ZOOM.) For more information, see Scaling Views and Linetypes (PSPACE).

When you plot, you can choose the unit type, inches or millimeters, under Paper Size and Orientation. For example, if MM is selected, entering 1 under Plotted MM and 10 under Drawing Units produces a plotted drawing in which each plotted millimeter represents 10 actual millimeters.

The illustrations show a light bulb plotted at three different scales.

When you review drafts, a precise scale is not always important. You can use the Scaled to Fit option to plot the view at the largest possible size that fits the paper. AutoCAD LT fits the height or width of the drawing to the corresponding height or width of the paper.

When you plot a perspective view from model space, the view is scaled to fit the paper, even when you enter a scale.

When you choose the Scaled to Fit option, the text boxes change to reflect the ratio of plotted units to drawing units. AutoCAD LT updates this scale whenever you change the unit type, paper size, plotter, plot origin, orientation, or size of the plotted area in the Print / Plot Configuration dialog box.

Positioning the Drawing on the Paper (Plot Rotation and Origin)

You can rotate the image to adjust its orientation, and you can change the plot origin to reposition the image.

The home position, or lower-left corner of the plotted area, is determined by your plotter. If necessary, you can change the drawing's plot origin (normally set to 0,0) to adjust the position of the plotted drawing relative to the plotter's home position. For example, the home position for pen plotters is usually well within the edges of the paper. You can access the plot origin settings by choosing Rotation and Origin in the Print / Plot Configuration dialog box.

Positive offset values shift the rotated image up or to the right; negative values shift the rotated image down or to the left. For example, to plot the lower-left corner of the drawing nearer to the lower-left corner of the paper, you might set X Origin to 1.0 and Y Origin to 0.5.

For raster printers, the home position often is as close as 0.25 units from each edge of the paper; however, many printers do not print that close to the edge. To avoid cropping off part of the drawing when you print, you can specify a new plot origin. For example, if the lower-left part of the drawing is being cropped off when it's plotted, try setting X Origin and Y Origin to 0.5 to establish a plot margin 0.50 units in and up from the plotter's home position.

If you change the plot rotation, the home position remains in the lower-left corner of the rotated plot area.

The effect of the rotation and origin settings varies with the plotter you use. For information about the home position or clipping regions for your output device, see the documentation for your printer or plotter.

To use the plot rotation method available in AutoCAD LT Release 2 or earlier, set the PLOTROTMODE system variable to 0. This method rotates the home position (from which the origin offsets are calculated) as you rotate the plot. When the variable is set to 1 (default), the home position stays in the lower-left corner when the plot is rotated.


Procedures (Setting the Plot Scale, Rotation, and Origin)

Setting the Plot Scale

To set the plot scale

  1. From the File menu, choose Print.
  2. In the Print / Plot Configuration dialog box under Scale, Rotation, and Origin, enter a precise scale or select Scaled to Fit.
  3. Choose OK.

Standard toolbar:
Command line equivalent: PLOT


Reference (Setting the Plot Scale, Rotation, and Origin)

Setting the Plot Scale

Commands

PLOT Plots a drawing to a plotter, printer, or file

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Setting the Plot Scale, Rotation, and Origin

Positioning the Drawing on the Paper

You can rotate the image to adjust its orientation, and you can change the plot origin to reposition the image.

The home position, or lower-left corner of the plotted area, is determined by your plotter. If necessary, you can change the drawing's plot origin (normally set to 0,0) to adjust the position of the plotted drawing relative to the plotter's home position. For example, the home position for pen plotters is usually well within the edges of the paper. You can access the plot origin settings by choosing Rotation and Origin in the Print / Plot Configuration dialog box.

Positive offset values shift the rotated image up or to the right; negative values shift the rotated image down or to the left. For example, to plot the lower-left corner of the drawing nearer to the lower-left corner of the paper, you might set X Origin to 1.0 and Y Origin to 0.5.

For raster printers, the home position often is as close as 0.25 units from each edge of the paper; however, many printers do not print that close to the edge. To avoid cropping off part of the drawing when you print, you can specify a new plot origin. For example, if the lower-left part of the drawing is being cropped off when it's plotted, try setting X Origin and Y Origin to 0.5 to establish a plot margin 0.50 units in and up from the plotter's home position.

If you change the plot rotation, the home position remains in the lower-left corner of the rotated plot area.

The effect of the rotation and origin settings varies with the plotter you use. For information about the home position or clipping regions for your output device, see the documentation for your printer or plotter.

To use the plot rotation method available in AutoCAD LT Release 2 or earlier, set the PLOTROTMODE system variable to 0. This method rotates the home position (from which the origin offsets are calculated) as you rotate the plot. When the variable is set to 1 (default), the home position stays in the lower-left corner when the plot is rotated.


Procedures (Setting the Plot Scale, Rotation, and Origin-2)

Positioning the Drawing on the Paper

To set the plot rotation and origin

  1. From the File menu, choose Print.
  2. In the Print / Plot Configuration dialog box under Scale, Rotation, and Origin, choose Rotation and Origin.
  3. In the Plot Rotation and Origin dialog box under Plot Rotation, select a rotation.

    For system printers, the rotation also is affected by the Portrait/Landscape settings in Windows Control Panel.

  4. Under Plot Origin, enter X and Y values to specify where on the paper the plot should begin. (These values use the unit type selected under Paper Size and Orientation.) Then choose OK.
  5. In the Plot Configuration dialog box under Plot Preview, select Full or Partial. Then choose Preview to see the position of the image in the plotted drawing. Choose OK to close the window.
  6. Repeat steps 2 to 5 if you need to make adjustments. Then choose OK.

Standard toolbar:
Command line equivalent: PLOT


Reference (Setting the Plot Scale, Rotation, and Origin)

Positioning the Drawing on the Paper

Commands

PLOT Plots a drawing to a plotter, printer, or file

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Procedures (Using File Format Drivers)

Defining Plot Parameters

To set the paper size
To set pen assignments
To set the plot area and adjust the plotted display
To set the plot scale
To set the plot rotation and origin


Reference (Using File Format Drivers)

Defining Plot Parameters

Commands

CONFIG | Customizes the AutoCAD LT printer settings
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

CMDDIA | Controls whether dialog boxes are turned on for PLOT
TEXTFILL | Controls the filling of TrueType text fonts
TEXTQLTY | Sets the resolution of TrueType text fonts


Reusing a Plot Configuration

For complex configurations with numerous pen assignments, using an existing complete plot configuration file can save time. You can create plot configurations for different drawings, for each available plotter, or for plotting the same drawing on the same plotter in different ways. By including complete plot configuration (PC2) files with drawing files that you send to another site, you can save other users the time it would take to set up a detailed plot configuration. You can also save PC2 files for batch plotting with AutoCAD.

You can save up to 29 plotter configurations in the aclt4.cfg file. This file can contain configurations for 29 different plotters, 29 configurations for a single plotter, or any combination of the two.

If you need more than 29 configurations, you can save an unlimited number of complete plot configuration (PC2) files. PC2 files contain device-independent and device-dependent parts of a single plot configuration.

When you use a PC2 file, it replaces the current default plot configuration. If you plan to load a PC2 file from the Device and Default Selection dialog box, and you want to preserve the current default configuration, save it in another PC2 file before loading the new PC2 file. When you plot, you can choose the PC2 file you need.

Partial plot configuration (PCP) files can be used for exchanging device-independent plot configuration information with users of AutoCAD LT for Windows 95 (and AutoCAD Release 13). PCP files can be used to merge pen parameters and device-independent settings from one device to another, similar devices configuration.


Reusing a Plot Configuration

Creating and Using a Complete Plot Configuration (PC2) File

You can create and save the current plot configuration directly to a complete plot configuration file. Complete plot configurations are saved with the .pc2 file extension. When you save the PC2 file, it copies the plotter configuration information in one section of aclt4.cfg to a separate PC2 file.

You can also create PC2 files by choosing the Printer tab in the Preferences dialog box. Choose Save to save the current configuration to a PC2 file. The PC2 file configuration information is added to the aclt4.cfg file.

You can use the configuration stored in a specific complete plot configuration (PC2) file whenever you plot a drawing. If you open a PC2 file by using the Print / Plot Setup and Default Selection dialog box, AutoCAD LT replaces your entire current plot configuration. If you open a PC2 file by choosing the Printer tab in the Preferences dialog box, AutoCAD LT adds the configuration stored in the PC2 file to the list of configurations in aclt4.cfg. Loading the PC2 file from the Printer tab does not replace the current configuration.


Procedures (Reusing a Plot Configuration)

Creating and Using a Complete Plot Configuration (PC2) File

To create a complete plot configuration file
To use a complete plot configuration file


Reference (Reusing a Plot Configuration)

Creating and Using a Complete Plot Configuration (PC2) File

Commands

CONFIG | Customizes the AutoCAD LT printer settings
PLOT | Plots a drawing to a plotter, printer, or file
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Reusing a Plot Configuration

Creating and Using a Partial Plot Configuration (PCP) File

You can create and save the device-independent part of the plot configuration directly to a partial plot configuration (PCP) file. Partial configurations are saved with the .pcp file extension. You can use any ASCII text editor to edit the PCP file.

You can use the settings defined in a specific partial plot configuration file whenever you plot a drawing. The information in the PCP file is merged into your current plotter configuration, replacing existing settings for pen parameters, paper size and orientation, and plot scale and units.


Procedures (Reusing a Plot Configuration)

Creating and Using a Partial Plot Configuration (PCP) File

To create a partial plot configuration
To use a partial plot configuration


Reference (Reusing a Plot Configuration)

Creating and Using a Partial Plot Configuration (PCP) File

Commands

CONFIG | Customizes the AutoCAD LT printer settings
PLOT | Plots a drawing to a plotter, printer, or file
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Procedures (Reusing a Plot Configuration)

Reusing a Plot Configuration

To create a complete plot configuration file
To use a complete plot configuration file
To create a partial plot configuration
To use a partial plot configuration


Reference (Reusing a Plot Configuration)

Reusing a Plot Configuration

Commands

CONFIG | Customizes the AutoCAD LT printer settings
PLOT | Plots a drawing to a plotter, printer, or file
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Previewing a Plot

To make sure your drawing will fit on the paper correctly, you can preview the plot by choosing either a partial preview or a full preview. The partial preview represents the plot area as a blue rectangle superimposed on a red rectangle that represents the drawing sheet. The full preview adds the drawing geometry to the preview display.

With the full preview option, you can also pan and zoom the drawing preview.


Procedures (Previewing a Plot)

Previewing a Plot

To preview a plot

  1. From the File menu, choose Print.
  2. In the Print / Plot Configuration dialog box under Plot Preview, select Partial or Full.
    • Partial shows how much of the paper will be used for the image but does not display the drawing. Use this option to check the position of the drawing on the paper.
    • Full shows the portion of the drawing that will plot. You can zoom by pressing the pick button and dragging your pointing device. Right-click to display a pop-up menu for additional zooming and panning options.
  3. Choose Preview.
  4. When you are ready to plot, press ESC.

Standard toolbar:
Command line equivalent: PLOT, PREVIEW


Reference (Previewing a Plot)

Previewing a Plot

Commands

PLOT | Plots a drawing to a plotter, printer, or file
PREVIEW | Shows how the drawing will look when it is printed or plotted

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Plotting to a File

You can plot a drawing to a file rather than to a plotter or printer. Because you can plot this file later without opening AutoCAD LT, you can send the file to a plotting service or use a spooler to plot the file.

The plotted file uses the current drawing name with a different file extension. Your plotter may specify a file extension automatically, or you can specify one when you plot. Otherwise, AutoCAD LT adds a .plt file extension.

If you have trouble plotting to a file, you may need to change some settings in Windows Control Panel.


Procedures (Plotting to a File)

Plotting to a File

To plot a drawing to a file


Procedures (Plotting to a File-1)

Plotting to a File

To plot a drawing to a file

  1. From the File menu, choose Print.
  2. In the Print / Plot Configuration dialog box under Additional Parameters, select Plot to File.
  3. To use a different name, choose File Name and enter a new file name. Change directories if necessary. Then choose OK.
  4. Choose OK to close the Print / Plot Configuration dialog box and begin plotting to the file.

Standard toolbar:
Command line equivalent: PLOT


Reference (Plotting to a File)

Plotting to a File

Commands

PLOT Plots a drawing to a plotter, printer, or file

System Variables

CMDDIA Controls whether dialog boxes are turned on for PLOT


Printing More Quickly

Plotting More Quickly

When plotting to a printer, AutoCAD LT scans your drawing from top to bottom, processing horizontal strips of the drawing. For many printers, AutoCAD LT can save time by truncating trailing blank space from the right end of each horizontal strip. A drawing without border lines often can be processed more quickly than the same drawing with border lines. If a drawing has borders, you can speed up plotting by placing borders on a separate layer and turning them off before plotting.

Optimizing the System Printer

If you use the system printer, you may be able to speed up plotting performance by

  • Configuring the swap file for up to four times the RAM in your machine. Changing swap file size should be done only by experienced Windows 95 users or system administrators.
  • Turning off the Windows 95 print spooler (print directly to the printer).

For more information about these procedures, see your Windows documentation.

Optimizing Pen Motion

You often can minimize wasted pen motion and reduce plot time by optimizing, or increasing the efficiency of, your pens. For example, you can prevent the pens from retracing duplicate lines. Also, if your drawing uses many colors or widths, you can reduce the time needed to change pens by turning on pen sorting. This option causes AutoCAD to plot every object that uses a particular pen before switching to another pen.

AutoCAD LT offers an appropriate optimization level based on the current plotter. In the Optimizing Pen Motion dialog box, each successive option you check under No Optimization adds cumulatively to the optimization level. The last two options, which eliminate overlapping vectors, can save time if your drawing includes many overlapping lines.

In some cases, optimizing can be counterproductive, depending on the speed of the computer, the plotter, and the plotter's pen change mechanism. The pen sorting option generally has no effect on raster printers. It is not available for the Windows system printer.

Adjusting the Appearance of Truetype Fonts

You can increase plotting speed by reducing the resolution and fill of Truetype and Type 1 fonts.


Procedures (Printing More Quickly)

Plotting More Quickly

To optimize pen motion in a pen plotter


Procedures (Printing More Quickly-1)

Plotting More Quickly

To optimize pen motion in a pen plotter

  1. On the Standard toolbar, choose Print.
  2. In the Print / Plot Configuration dialog box, choose Optimization.
  3. In the Optimizing Pen Motion dialog box, select the options you want to change. Then choose OK.

File menu: Print
Standard toolbar:
Command line equivalent: PLOT


Reference (Printing More Quickly)

Plotting More Quickly

Commands

DDLMODES | Same as LAYER
LAYER | Manages layers
PLOT | Plots a drawing to a plotter, printer, or file

System Variables

CMDDIA | Controls whether dialog boxes are turned on for PLOT
TEXTFILL | Controls the filling of TrueType text fonts
TEXTQLTY | Sets the resolution of TrueType text fonts


Printing a Drawing

Plotting a Drawing

To set the paper size
To set pen assignments
To set the plot area and adjust the plotted display
To set the plot scale
To set the plot rotation and origin
To create a complete plot configuration file
To use a complete plot configuration file
To create a partial plot configuration
To use a partial plot configuration
To preview a plot
To plot a drawing to a file
To optimize pen motion in a pen plotter


Printing a Drawing

Plotting a Drawing

Commands

DDLMODES | Same as LAYER
LAYER | Manages layers
PLOT | Plots a drawing to a plotter, printer, or file
PREFERENCES | Customizes the AutoCAD LT settings
PREVIEW | Shows how the drawing will look when it is printed or plotted

System Variables

CMDDIA | Controls whether dialog boxes are turned on for PLOT
TEXTFILL | Controls the filling of TrueType text fonts
TEXTQLTY | Sets the resolution of TrueType text fonts


Procedures (Using the Windows System Printer-1)

Configuring the Windows System Printer

To configure the system printer as the AutoCAD LT plotter

  1. From the File menu, choose Printer Setup.
  2. On the Printer tab in the Preferences dialog box, choose New.
  3. In the Add a Printer dialog box, select System Printer ADI 4.3 - by Autodesk, Inc.
  4. Enter a description in the Add a Description box. Then choose OK.
  5. In the AutoCAD LT System Printer Configuration dialog box, check or clear the following options as required. Then choose OK.
    • Default to Control Panel Settings specifies the Control Panel settings when you plot. Clear this option to use the printer settings you selected the last time you plotted with the system printer.
    • Allow Dithered Output specifies printing in gray scale on devices that print only black. For color devices, the pure-color option limits the number of colors plotted to the number of colors the device supports. The dithering option instructs the Windows printer driver to simulate more colors, using pixel patterns from the palette of pure colors the device supports.
    • Update Pen Table On Device Change specifies whether you want to update your pen assignments when you choose a new printer using the control panel.
    • Respond to the remaining prompts until you are returned to the Preferences dialog box. Then choose OK to close the Preferences dialog box.

Command line equivalent: CONFIG


Procedures (Using the Windows System Printer-2)

Configuring the Windows System Printer

To send the plot to a different Windows system printer

  1. From the File menu, choose Print.
  2. In the Print / Plot Configuration dialog box, choose Device and Default Selection.
  3. In the Device and Default Selection dialog box under Device Specific Configuration, choose Change.
  4. In the Print Setup dialog box under Printer, select any Windows system printer, either local or networked.

    In Windows 95, this list contains the printers you have configured using Print Manager. In Windows NT, you can also browse for any shared printer on the network.

  5. Choose OK to exit each dialog box.

Standard toolbar:
Command line equivalent: PLOT


Procedures (Using the Windows System Printer-3)

Configuring the Windows System Printer

To configure multiple Windows system printers

  1. From the File menu, choose Print.
  2. In the Print / Plot Configuration dialog box, choose Device and Default Selection.
  3. In the Device and Default Selection dialog box, select the printer you just configured. Then choose Change.
  4. In the Print Setup dialog box, select a different printer from the Printer list.
  5. Adjust any other settings in the Print Setup dialog box. Then choose OK.
  6. Choose OK to close the Device and Default Selection dialog box.
  7. Adjust any other settings in the Print / Plot Configuration dialog box and choose OK.

You must actually complete a plot for your changes to be saved.

Standard toolbar:
Command line equivalent: PLOT


Procedures (Using the Windows System Printer-4)

Configuring the Windows System Printer

To plot using a Windows system network printer

  1. From the File menu, choose Print.
  2. In the Print / Plot Configuration dialog box, choose Device and Default Selection.
  3. In the Device and Default Selection dialog box under Device Specific Configuration, choose Change.
  4. In the Print Setup dialog box under Printer, select any configured Windows system printer, either local or networked. Choose OK.
  5. Choose OK to exit each dialog box.

Standard toolbar:
Command line equivalent: PLOT


Procedures (Using the Windows System Printer-6)

Configuring the Windows System Printer

To plot to a Windows NT device file

  1. Set up a redirected port.
  2. Plot to a file named lptx, where x is the port number that has been redirected.


Using File Format Drivers

Table: File Format Drivers

File format drivers send data to files and do not print on paper.

Driver file | File format | Supports raster?
plpfile.dll ADI 4.3 | AutoCAD DXB | No
plexport.dll ADI 4.3 | BMP PCX TGA TIFF | Yes Yes Yes Yes


Table: Nonsystem Drivers (Using Nonsystem Drivers)

Table: Nonsystem Printers and Plotters Supported by AutoCAD LT (Configuring Nonsystem Drivers)

Models marked "obsolete" might not be supported in future releases.

Driver file | Plotter or printer | Model | Supports Raster?
plpcc.dll ADI 4.3 | CalComp DrawingMaster plotter | 800 53436 600 53336 Plus 52436 Plus 52236 Plus 52424 Plus 52224 | No No No No No No
plpcc.dll ADI 4.3 | CalComp Electrostatic plotter | 68444 Color EPP 68436 Color EPP 58444 Color EPP (obsolete) 58436 Color EPP (obsolete) 58424 Color EPP (obsolete) 67436 Monochrome 57444 Monochrome (obsolete) 57436 Monochrome (obsolete) 57424 Monochrome (obsolete) | No No No No No No No No No
plpcc.dll ADI 4.3 | CalComp pen plotter | 1043 (obsolete) 1044 (obsolete) 1077 (obsolete) Artisan 1023 (obsolete) Artisan 1026 (obsolete) Artisan 1025 (obsolete) DesignMate 3024 DesignMate 3036 Pacesetter 2024 Pacesetter 2036 Pacesetter Classic 4036 | No No No No No No No No No No No
plpcc.dll ADI 4.3 | CalComp Solus plotter | Solus 4 LED 54436 Solus 4 LED 54424 | No No
plpcc.dll ADI 4.3 | CalComp TechJET Ink Jet plotter | TechJET 5536 TechJET 5524 TechJET 175i 5336i TechJET 5336GT TechJET 5336GT-PS TechJET Color 5336 TechJET Color 5324 TechJET 720c 5636 TechJET 720c 5624 TechJET 720 5436 TechJET 720 5424 | No No No No No No Yes No No No No
plphplp.dll ADI 4.2 | Hewlett-Packard plotter (HP-GL) | 7475 7550 7580 7585 7586 7586B &7596A Roll Feed DraftPro DXL DraftMaster I DraftProEXL | No No No No No No No No No
plhpgl2.dll ADI 4.3 | Hewlett-Packard ink-jet plotter (HPGL/2) | DesignJet 755CM DesignJet 750C DesignJet 750C PLUS DesignJet 700 DesignJet 650C DesignJet 350C DesignJet 250C DesignJet 330 DesignJet 230 DesignJet 220 DesignJet 200 DesignJet 600 | Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No
plhpgl2.dll ADI 4.3 | Hewlett-Packard printer (HP-GL/2) | LaserJet III LaserJet 4 PaintJet XL300 | No No No
plhpgl2.dll ADI 4.3 | Hewlett-Packard pen plotter (HP-GL/2) | DraftMaster Roll Feed DraftMaster Plus Sheet Feed DraftMaster Sheet Feed DraftPro Plus HP 7600 Color (obsolete) HP 7600 Monochrome (obsolete) | No No No No No No
plphip.dll ADI 4.2 | Houston Instrument DMP plotter | DMP-51 (obsolete) DMP-51MP (obsolete) DMP-52 DMP-52MP (obsolete) DMP-56 (obsolete) DMP-56MP (obsolete) DMP-61 DMP-61MP (obsolete) DMP-62 DMP-62MP DMP-161 DMP-162 DMP-162R | No No No No No No No No No No No No No
plppost.dll ADI 4.3 | PostScript Laser printer | 300 dpi 600 dpi 1270 dpi 2540 dpi | Yes Yes Yes Yes
plpoce.dll ADI 4.3 | Oc� plotter device | G9034-S FR/FP1.X G9035-S FR/FP1.X G9054-S FR/FP1.X 9055-S/95xx-S FR/FP1.x 5104 EM_1.x 5105 EM_1.x 5100C A1 EC_2.x 5100C A0 EC_2.x 5120 A1 LZ_1.x 5120 A0 LZ_1.x 9400 LV_3.x 9700 R1.0 9800 R3.x | Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes


Procedures (Reusing a Plot Configuration-1)

Creating and Using a Complete Plot Configuration (PC2) File

To create a complete plot configuration (PC2) file

  1. From the File menu, choose Print.
  2. In the Print / Plot Configuration dialog box, review the settings and make any necessary changes.
  3. Choose Device and Default Selection.
  4. In the Device and Default Selection dialog under Complete (PC2), choose Save.
  5. In the Save PC2 File dialog box under File Name, enter a new file name. Specify a new directory if necessary.
  6. Choose OK to exit each dialog box.

Standard toolbar:
Command line equivalent: PLOT


Procedures (Reusing a Plot Configuration-2)

Creating and Using a Complete Plot Configuration (PC2) File

To use a complete plot configuration (PC2) file

  1. From the File menu, choose Print.
  2. In the Print / Plot Configuration dialog box, choose Device and Default Selection.
  3. In the Device and Default Selection dialog box under Complete (PC2), choose Replace.
  4. In the Replace from PC2 File dialog box, select the PC2 file you want to use.

    The PC2 file you select replaces the current default plotter configuration.

  5. Choose Open.
  6. In the Describe Device dialog box, enter a unique description for the device configuration.
  7. Choose OK to exit each dialog box.

Standard toolbar:
Command line equivalent: PLOT


Procedures (Reusing a Plot Configuration-3)

Creating and Using a Partial Plot Configuration (PCP) File

To create a partial plot configuration file

  1. From the File menu, choose Print.
  2. In the Print / Plot Configuration dialog box, review the settings and make any necessary changes.
  3. Choose Device and Default Selection.
  4. In the Device and Default Selection dialog box under Partial, choose Save.
  5. In the Save PCP File dialog box under File Name, enter a new file name. Change directories if necessary.
  6. Choose OK to exit each dialog box.

Plot configuration files are saved with the .pcp file extension.

Standard toolbar:
Command line equivalent: PLOT


Procedures (Reusing a Plot Configuration-4)

Creating and Using a Partial Plot Configuration (PCP) File

To use a partial plot configuration file

  1. From the File menu, choose Print.
  2. In the Print / Plot Configuration dialog box, choose Device and Default Selection.
  3. In the Device and Default Selection dialog box under Partial, choose Merge.
  4. In the Merge from PCP File dialog box, select the PCP file you want to use.
  5. Choose OK to exit each dialog box.

Standard toolbar:
Command line equivalent: PLOT


PROJECTNAME

PROJECTNAME System Variable

Type: | String
Saved in: | Drawing
Initial value: | " "

Assigns a project name to the current drawing. The project name points to a section in the registry that can contain one or more search paths for each project name defined. Used when an xref or image is not found in its original hard-coded path. Project names and their search directories are created through the Files tab of the Preferences dialog box.

Project names make it easier for users to manage xrefs and images when drawings are exchanged between customers, or if users have different drive mappings to the same location on a server.

If the xref or image is not found at the hard-coded path, the project paths associated with the project name are searched. The search order is hard-coded path, then project name search path, then AutoCAD LT search path.


PROXYGRAPHICS System Variable

PROXYGRAPHICS

Type: | Integer
Saved in: | Drawing
Initial value: | 1

Specifies whether images of proxy objects are saved in the drawing.

0 | Image is not saved with the drawing; a bounding box is displayed instead
1 | Image is saved with the drawing


PROXYNOTICE System Variable

Type: | Integer
Saved in: | Registry
Initial value: | 1

Displays a notice when you open a drawing containing custom objects created by an application that is not present.

0 | No proxy warning is displayed
1 | Proxy warning is displayed


PROXYSHOW System Variable

Type: | Integer
Saved in: | Registry
Initial value: | 2

Controls the display of proxy objects in a drawing.

0 | Proxy objects are not displayed
1 | Graphic images are displayed for all proxy objects
2 | Only the bounding box is displayed for all proxy objects


Referencing Other Drawings

You can attach an entire drawing to the current drawing as an external reference (xref). With xrefs, changes in the referenced drawing are reflected in the current drawing. Attached xrefs are linked to, but not actually inserted in, another drawing. Therefore, with xrefs you can build drawings without significantly increasing the drawing file size.

Attaching, Updating, and Binding External References
Detaching External References
Nesting and Overlaying External References
Reloading External References
Managing Xref Paths
Resolving Xref Errors

See Also
Using Symbols (Blocks)
Using Content Explorer


Attaching, Updating, and Binding External References

By attaching xrefs, you can

  • Coordinate your work with the work of others by referencing other drawings in your drawing to keep up with the changes being made by other users. You can also assemble a master drawing from component drawings that may undergo changes as a project develops.
  • Ensure that the most recent version of the referenced drawing is displayed. When you open or plot your drawing, AutoCAD LT automatically reloads each xref, so it reflects the latest state of the referenced drawing file.
  • Keep the names of layers, dimensioning styles, text styles, and other named elements in your drawing separate from those in referenced drawings.
  • Merge attached xrefs permanently with your drawing when the project is complete and ready to be archived.


Attaching Xrefs

AutoCAD LT treats an xref as a type of block definition with some important differences. When you insert a drawing as a block reference, it is stored in the drawing database and is not updated if the original drawing changes. When you attach a drawing as an xref, you link that referenced drawing to the current drawing; any changes to the referenced drawing are displayed in the referencing drawing when it is opened. A drawing can be attached as an xref to multiple drawings at the same time. Conversely, multiple drawings can be attached as external references to a single drawing.

You can use Content Explorer to attach xrefs as well as insert blocks into a drawing. Use Content Explorer for simple attachments, previewing external references and their descriptions, and quick placement by dragging-and-dropping. For more information, see Using Content Explorer.

Controlling Visibility, Color, and Linetypes

You can control the visibility, color, and linetype of an xref's layers and make these changes temporary or permanent. If the VISRETAIN system variable is set to 0, these changes apply only to the current drawing session. They are discarded when you end the drawing session or when you reload or detach the xref.

Increasing Performance with Large Xrefs

AutoCAD LT uses demand loading to increase performance with large external references that have been clipped using AutoCAD, or that have many objects on frozen layers. With demand loading, AutoCAD LT loads into memory only the data from the reference drawing that is necessary to regenerate the current drawing. In other words, referenced material is read in "on demand." Demand loading works in conjunction with the system variables INDEXCTL, XLOADCTL, and XLOADPATH.


Procedures (Attaching Xrefs)

Attaching Xrefs

To attach an xref

  1. From the Insert menu, choose External Reference.
  2. In the External Reference dialog box, choose Attach.
  3. In the Select File to Attach dialog box, select the file you want to attach and choose Open.
  4. In the Attach Xref dialog box under Reference Type, select Attachment. Attachment includes all nested xrefs.
  5. Under Parameters, select whether you want to specify the insertion parameters in the dialog box or use the pointing device.
  6. Choose OK.
  7. If necessary, enter the parameters not specified.

Insert toolbar:
Command line equivalent: XREF


Reference (Attaching Xrefs)

Attaching Xrefs

Commands

CONTENT | Finds drawing files, inserts blocks, and attaches xrefs
XREF | Controls external references to drawing files

System Variables

INDEXCTL | Controls whether layer and spatial indexes are created and saved in drawing files
VISRETAIN | Controls visibility of layers in xref files
XCLIPFRAME | Controls visibility of xref clipping boundaries
XLOADCTL | Turns demand loading on and off and controls whether it loads the original drawing or a copy
XLOADPATH | Creates a path for storing temporary copies of demand-loaded xref files


Updating Attached Xrefs

You can use the XREF Reload option to update the xref whenever you want to ensure that the most current version is being used. Updating also occurs when you open or plot your drawing: AutoCAD LT reloads each xref so that it reflects the latest version of the referenced drawing.

Whenever you change and save an externally referenced drawing in a network environment, other people can access your changes immediately by reloading the xref. If you change the location or directory of an xref drawing, however, be sure to use the XREF Path option to tell AutoCAD LT where to find the file.

Like a block reference, an xref appears in the current drawing as a single object. However, you cannot explode an xref without binding it first. Also, if the xref contains any variable block attributes, AutoCAD LT ignores them.


Procedures (Updating Attached Xrefs)

Updating Attached Xrefs

To update an attached xref

  1. From the Insert menu, choose External Reference.
  2. In the External Reference dialog box, select the xref that you want to reload.
  3. Select Reload and then OK.

If the drawing you selected has been changed since you opened your drawing, the xref is reloaded.

Insert toolbar:
Command line equivalent: XREF


Reference (Updating Attached Xrefs)

Updating Attached Xrefs

Commands

XREF Controls external references to drawing files

System Variables

INDEXCTL | Controls whether layer and spatial indexes are created and saved in drawing files
XCLIPFRAME | Controls visibility of xref clipping boundaries
XLOADCTL | Turns demand loading on and off and controls whether it loads the original drawing or a copy
XLOADPATH | Creates a path for storing temporary copies of demand-loaded xref files


Resolving Name Conflicts in Referenced Drawings

A typical xref definition includes objects, such as lines or arcs. It also includes dependent symbols-definitions of blocks, dimensioning styles, layers, linetypes, and text styles. When you attach an xref, AutoCAD LT differentiates the names of these dependent symbols from those in the current drawing by preceding their names with the name of the externally referenced drawing. For example, the dependent symbol that is a layer named STEEL-HIDDEN in an externally referenced drawing called stair.dwg is listed as STAIR|STEEL-HIDDEN.

When you attach an xref, the definitions of its dependent symbols are not added to your drawing permanently. Instead, these definitions are loaded from the referenced file each time you reload it.

A dependent symbol's definition can change. It can even disappear if it is purged from the referenced drawing. Therefore, you cannot reference a dependent symbol directly. For example, you cannot insert a dependent block or make a dependent layer the current layer and begin creating new objects on it.

To avoid the restrictions on dependent symbols, you can use XBIND to bind dependent symbols to your current drawing. Binding makes dependent symbols you select a permanent part of your current drawing.

When dependent symbols are merged into a drawing, you can use them the same way you use the drawing’s own symbol table definitions. After a dependent symbol has been added, AutoCAD LT removes the vertical bar symbol (|) from each dependent symbol name and replaces it with two dollar signs ($$) separated by a number (usually zero): for example, STAIR$0$STEEL. You can change any of these names by using DDRENAME.


Procedures (Resolving Name Conflicts in Referenced Drawings)

Resolving Name Conflicts in Referenced Drawings

To bind dependent symbols to the current drawing
To change the names of layers, dimension styles, and other named objects


Resolving Name Conflicts in Referenced Drawings

To bind dependent symbols to the current drawing

  1. From the Modify menu, choose Object. Then choose External Reference Bind.
  2. In the Xbind dialog box, click the + sign of an external reference.

    The five types of symbol table definitions (Block, Dimstyle, Layer, Linetype, and Textstyle) are listed.

  3. Click the + sign of one of the symbol table definition types.

    The names of the symbol table entries are listed.

  4. Select a symbol table entry name and then choose Add.

    The symbol table entry is listed under Definitions to Bind.

  5. If necessary, repeat steps 3 and 4.
  6. Choose OK.

Command line equivalent: XBIND


Resolving Name Conflicts in Referenced Drawings

To change the names of layers, dimension styles, and other named objects

  1. From the Format menu, choose Rename.
  2. In the Rename dialog box, select the named object type and then the item you want to rename.
  3. Enter the new name in the box below the old name.
  4. Choose Rename To and then OK.

Command line equivalent: DDRENAME


Reference (Resolving Name Conflicts in Referenced Drawings)

Resolving Name Conflicts in Referenced Drawings

Commands

XBIND Binds dependent symbols of an xref to a drawing

System Variables

VISRETAIN Controls visibility of layers in xref files


Binding Xrefs to Drawings

When you archive final drawings that contain xrefs, you have two choices:

  • Store the xref drawings along with the final drawing
  • Bind the xref drawings to the final drawing

Storing an xref drawing along with the final drawing requires that the drawings always remain together. Any change to the referenced drawing will continue to be reflected in the final drawing.

To prevent unintentional updating of archived drawings by later changes to referenced drawings, bind the xrefs to the final drawing.

Binding an xref to a drawing makes the xref a permanent part of the drawing and no longer an externally referenced file. You can bind the entire database of the xref drawing, including all its dependent symbols (blocks, dimension styles, layers, linetypes, and text styles), by using the XREF Bind option. For more information, see Resolving Name Conflicts in Referenced Drawings.

Binding xrefs to a drawing is also an easy way to send a drawing to reviewers. Rather than sending a master drawing plus each of the drawings it references, you can use the Bind option to merge the xrefs into the master drawing.


Procedures (Binding Xrefs to Drawings)

Binding Xrefs to Drawings

To bind an xref to the current drawing

  1. From the Insert menu, choose External Reference.
  2. In the External Reference dialog box, select an external reference and then choose Bind.
  3. In the Bind Xrefs dialog box, select one of the following:
    • Bind converts the objects in the xref into a block reference. Symbol table definitions are added to the current drawing with a prefix of blockname$n$.
    • Insert also converts the objects in the xref into a block reference. Symbol table definitions are merged into the current drawing without adding prefixes.
  4. Choose OK twice.

Insert toolbar:
Command line equivalent: XREF


Reference (Binding Xrefs to Drawings)

Binding Xrefs to Drawings

Commands

XREF Controls external references to drawing files

System Variables

No entries.


Attaching, Updating, and Binding External References

To attach an xref
To update an attached xref
To bind dependent symbols to the current drawing
To change the names of layers, dimension styles, and other named objects
To bind an xref to the current drawing


Attaching, Updating, and Binding External References

Commands

XBIND | Binds dependent symbols of an xref to a drawing
XREF | Controls external references to drawing files

System Variables

INDEXCTL | Controls whether layer and spatial indexes are created and saved in drawing files
VISRETAIN | Controls visibility of layers in xref files
XLOADCTL | Turns demand loading on and off and controls whether it loads the original drawing or a copy
XLOADPATH | Creates a path for storing temporary copies of demand-loaded xref files


Detaching External References

To completely remove xrefs from your drawing, you need to detach them. Erasing xrefs does not remove, for example, layer definitions associated with those xrefs. Using the Detach option removes the xrefs and all associated information.


Procedures (Detaching External References)

Detaching External References

To detach an xref

  1. From the Insert menu, choose External Reference.
  2. In the External Reference dialog box, select an external reference and then select Detach.
  3. Choose OK.

Insert toolbar:
Command line equivalent: XREF


Reference (Detaching External References)

Detaching External References

Commands

XREF Controls external references to drawing files

System Variables

No entries.


Nesting and Overlaying External References

Attached xrefs can be nested: that is, you can attach an xref that contains another xref. You can attach as many copies of an xref as you want, and each copy can have a different position, scale, and rotation.

You can also overlay an xref on your drawing. Unlike an attached xref, an overlaid xref is not included when the drawing is itself attached or overlaid as an xref to another drawing. Overlaid xrefs are designed for data sharing in a network environment. By overlaying an xref, you can see how your drawing relates to the drawings of other groups without changing your drawing by attaching an xref.

Example: Attaching and Overlaying External References


Example (Nesting and Overlaying External References)

Example: Attaching and Overlaying External References

The following illustrations show the difference between attaching and overlaying. The upper sets of illustrations show the type of xref used. The lower sets show what you see on your screen when you open each file.

In the “Attached xrefs” illustration, trees.dwg is attached to topo.dwg. Topo.dwg is either attached to or overlaid on house.dwg. Notice that when you open house.dwg, you also see both trees.dwg and topo.dwg. You see trees.dwg because it is attached. You see topo.dwg because it is overlaid and is no more than one level of xref from house.dwg.

Attached xrefs

In the “Overlaid xrefs” illustration, trees.dwg is overlaid on topo.dwg. Topo.dwg is either attached to or overlaid on house.dwg. Notice that when you open house.dwg, you see only topo.dwg and house.dwg. You do not see trees.dwg, because it is overlaid, not attached, and is more than one level of xref away from house.dwg.

Overlaid xrefs


Procedures (Nesting and Overlaying External References)

Nesting and Overlaying External References

To overlay an xref

  1. From the Insert menu, choose External Reference.
  2. In the External Reference dialog box, choose Attach.
  3. In the Select File to Attach dialog box, select the file you want to overlay and choose Open.
  4. In the Attach Xref dialog box under Reference Type, select Overlay. Overlay does not include any nested xrefs.
  5. Under Parameters, select whether you want to specify the insertion parameters in the dialog box or use the pointing device.
  6. Choose OK.
  7. If necessary, enter the parameters not specified.

Insert toolbar:
Command line equivalent: XREF


Reference (Nesting and Overlaying External References)

Nesting and Overlaying External References

Commands

XREF Controls external references to drawing files

System Variables

VISRETAIN Controls visibility of layers in xref files


Reloading External References

AutoCAD LT automatically updates all xrefs when you open or plot a drawing. In a network environment, if someone modifies a drawing used as an xref in a drawing you currently have open, use the Reload option to update your drawing.


Procedures (Reloading External References)

Reloading External References

To reload an xref

  1. From the Insert menu, choose External Reference.
  2. In the External Reference dialog box, select an external reference and then select Reload.
  3. Choose OK.

Insert toolbar:
Command line equivalent: XREF


Reference (Reloading External References)

Reloading External References

Commands

XREF Controls external references to drawing files

System Variables

No entries.


Managing Xref Path Names

Managing Xref Paths

You can view and edit the file name and path that AutoCAD LT uses when loading a particular xref. Use this option if the xref drawing file has been moved to a different directory or renamed since it was first attached.

If the drawing you are working on contains an xref that has been moved to a different directory, AutoCAD LT displays a message at the site of the xref when you load the drawing. The message indicates that the xref cannot be loaded using the old path. When you specify the new path, AutoCAD LT reloads the xref into your drawing.

Changing Nested Xref Paths

If the path of a nested xref is changed in the current drawing, the change is only saved if VISRETAIN is set to 1. If AutoCAD LT cannot save a changed nested xref path with the current drawing, the following message is displayed.

Warning: VISRETAIN must be On to save Nested xref path

When the drawing is reopened and the nested xref is loaded, AutoCAD LT attempts to find the xref in the original xref path first. If the xref is not found, AutoCAD LT searches the path saved in the current drawing and then searches the project path and Support File search path. This ensures that revisions made to the xref are reflected in the current drawing and also makes it possible for the xref to be found if its path has changed.

For example, the xref tree of the current drawing A is A>B>C, and the owner of drawing B changes the path of xref C to point to C1.dwg. When drawing A is reopened, it reflects the path change in drawing B and displays C1.dwg. However, if C1.dwg is not found, AutoCAD LT looks for xref C at the last location it was saved in drawing A.


Procedures (Managing Xref Path Names)

Managing Xref Paths

To change an xref path

  1. From the Insert menu, choose External Reference.
  2. In the External Reference dialog box, select an external reference.
  3. Under Xref Found At, do one of the following:
    • Edit the xref path directly.
    • Choose Browse and then select the xref in its new path.
  4. Choose OK.

AutoCAD LT reloads the xref and then regenerates the drawing with the xref in place.

Insert toolbar:
Command line equivalent: XREF


Reference (Managing Xref Path Names)

Managing Xref Paths

Commands

CONTENT | Finds drawing files, inserts blocks, and attaches xrefs
XREF | Controls external references to drawing files

System Variables

VISRETAIN | Controls visibility of layers in xref files
XLOADCTL | Turns demand loading on and off and controls whether it loads the original drawing or a copy
XLOADPATH | Creates a path for storing temporary copies of demand-loaded xref files


Resolving Xref Errors

You may encounter two types of messages when you use an external reference option: messages indicating missing reference files or messages about circular references.


Missing Reference Files

AutoCAD LT stores the path of the drawing that is used to create the external reference. Each time you load or plot the drawing or use the XREF Reload option to update the external reference, AutoCAD LT checks this path to determine the name and location of the referenced drawing file. If the name or location of the drawing file has changed, AutoCAD LT cannot reload the external reference.

If AutoCAD LT cannot load an external reference when it is loading your drawing, it displays an error message. In this example, AutoCAD LT can't find the xref HOUSE:

"\ACLT\DWGS\HOUSE.dwg": Can't open file

** Error resolving Xref HOUSE.

For each insertion of the external reference, AutoCAD LT displays text (at the location, scale, and rotation angle of the original reference) that contains the path of the missing xref. You can use the XREF Path option to update or correct the path.

One way to avoid these errors is to be sure that when you give other people files that have xrefs attached, you also give them all the referenced files.

Changing Nested Xref Paths

If the path of a nested xref is changed in the current drawing, the change is only saved if VISRETAIN is set to 1. If AutoCAD LT cannot save a changed nested xref path with the current drawing, the following message is displayed.

Warning: VISRETAIN must be On to save Nested xref path

When the drawing is reopened and the nested xref is loaded, AutoCAD LTattempts to find the xref in the original xref path first. If the xref is not found, AutoCAD LTsearches the path saved in the current drawing and then searches the project path and Support File search path. This ensures that revisions made to the xref are reflected in the current drawing and also makes it possible for the xref to be found if its path has changed.

For example, the xref tree of the current drawing A is A>B>C, and the owner of drawing B changes the path of xref C to point to C1.dwg. When drawing A is reopened, it reflects the path change in drawing B and displays C1.dwg. However, if C1.dwg is not found, AutoCAD LT looks for xref C at the last location it was saved in drawing A.


Procedures (Missing Reference Files)

Missing Reference Files

No entries.


Reference (Missing Reference Files)

Missing Reference Files

Commands

XREF Controls external references to drawing files

System Variables

VISRETAIN Controls visibility of layers in xref files


Circular References

AutoCAD LT does not allow circular references between external references. A circular reference occurs when you use as an xref a drawing that contains an xref to the current drawing. If AutoCAD LT detects this problem when you are attaching an xref, it terminates the command and undoes its effects up to that point.

If AutoCAD LT encounters a circular reference while loading a drawing, it displays an error message and displays a single piece of text for each instance of the xref.

If AutoCAD LT detects a circular reference when reloading an xref, it displays a warning, ends the command, and undoes the effects of the reloading up to that point.


Procedures (Circular References)

Circular References

No entries.


Reference (Circular References)

Circular References

Commands

XREF Controls external references to drawing files

System Variables

No entries.


Using the Xref Log File

AutoCAD LT can maintain a log of its actions while attaching, detaching, and reloading xrefs and while loading a drawing containing xrefs. This log is maintained only if the XREFCTL system variable is set to 1. The default setting is 0.

The log file is an ordinary ASCII text file with the same name as the current drawing and a file extension is .xlg. If you load a drawing with the file name sample.dwg, for example, AutoCAD LT searches for a log file named sample.xlg in the current directory. If the file does not exist, AutoCAD LT creates a new file with that name.

Once a log file has been created for a drawing, AutoCAD LT continues to append information to it. AutoCAD LT writes a title block to the log file each time the file is opened. If the log file becomes too large, you can delete it.

Example: A sample title block from an xref log file

During a detaching or reloading operation, AutoCAD LT prints the nesting level of all affected xrefs immediately following the title block. To see a reference tree for a set of xrefs in your current drawing, use Detach or Reload and check the resulting entries in the log file.

Example: A sample log file entry showing nested xrefs

AutoCAD LT writes an entry in the log file for each dependent symbol temporarily added to the current drawing and for any errors that occur. Most error messages are written both to the screen and to the log file.

Example: A sample log file showing the results of attaching an xref


Example (Using the Xref Log File-1)

Example: Using the Xref Log File

This title block contains the name of the current drawing, the date and time, and the operation being performed.
=============================
Drawing: detail
Date/Time: 04/28/95 10:45:20
Operation: Attach Xref
=============================


Example (Using the Xref Log File-1)

Example: A sample title block from an xref log file

This title block contains the name of the current drawing, the date and time, and the operation being performed.
=============================
Drawing: detail
Date/Time: 04/28/97 10:45:20
Operation: Attach Xref
=============================


Example (Using the Xref Log File-2)

Example: A sample log file entry showing nested xrefs

In the following example, the xref ENTRY_DR contains two nested xrefs: HARDWARE and PANELS. The xrefs HARDWARE and PANELS also each contain two xrefs.
==============================
Drawing: detail
Date/Time: 05/05/95 15:47:39
Operation: Reload Xref
==============================
Scan ENTRY_DR for nested references:
ENTRY_DRXref
-HARDWAREXref
––LOCKSETXref
––HINGESXref
–PANELSXref
––UPPERXref
––LOWERXref


Example (Using the Xref Log File-3)

Example: A sample log file showing the results of attaching an xref

The following example shows a partial listing of the log file entries generated when the external reference STAIR is attached to the working drawing test.dwg. The log file lists the symbol table affected and the name of the symbol added, along with a status message.
==============================
Drawing: test
Date/Time: 12/18/94 14:06:34
Operation: Attach Xref
==============================

Attach Xref STAIR: \ACLT\DWGS\STAIR.dwg

    Update block symbol table:
     Appending symbol: STAIR|BOLT
     Appending symbol: STAIR|BOLT-HALF
     ...
    block update complete.

    Update Ltype symbol table:
     Appending symbol: STAIR|DASHED
     Appending symbol: STAIR|CENTER
     Appending symbol: STAIR|PHANTOM
    Ltype update complete.

    Update Layer symbol table:
     Appending symbol: STAIR|STEEL-HIDDEN
     Appending symbol: STAIR|OAK
     ...
    Layer update complete.

STAIR loaded.


Procedures (Using the Xref Log File)

Using the Xref Log File

No entries.


Reference (Using the Xref Log File)

Using the Xref Log File

Commands

XREF Controls external references to drawing files

System Variables

XREFCTL Controls whether AutoCAD writes external reference log (XLG) files


Procedures Controlling the Display of Certain Objects

Resolving Xref Errors

No entries.


Procedures Controlling the Display of Certain Objects

Resolving Xref Errors

Commands

XREF Controls external references to drawing files

System Variables

XREFCTL Controls whether AutoCAD writes external reference log (XLG) files


Referencing Other Drawings

To attach an xref
To update an attached xref
To bind dependent symbols to the current drawing
To change the names of layers, dimension styles, and other named objects
To bind an xref to the current drawing
To detach an xref
To overlay an xref
To reload an xref
To change an xref path


Referencing Other Drawings

Commands

CONTENT | Finds drawing files, inserts blocks, and attaches xrefs
XBIND | Binds dependent symbols of an xref to a drawing
XREF | Controls external references to drawing files

System Variables

INDEXCTL | Controls whether layer and spatial indexes are created and saved in drawing files
VISRETAIN | Controls visibility of layers in xref files
XCLIPFRAME | Controls visibility of xref clipping boundaries
XLOADCTL | Turns demand loading on and off and controls whether it loads the original drawing or a copy
XLOADPATH | Creates a path for storing temporary copies of demand-loaded xref files
XREFCTL | Controls whether AutoCAD writes external reference log (XLG) files


Selecting Objects

To work with existing objects, you need to select them. Selected objects become a temporary group called the selection set. AutoCAD LT commands operate on each object in the selection set.

With AutoCAD LT, you can either enter a command and then select the objects or select the objects first and then enter a command.

The most common selection options are covered in the following sections. For information about other methods of selecting objects, see SELECT.


Selecting Objects Individually

In response to the Select Objects prompt, you can select one or more objects individually. The objects you select will be highlighted. You can also remove selection from objects.

Using the Pickbox Cursor

You select an object by clicking it. The square pickbox cursor must touch some part of the object. For example, you select a circle by clicking its circumference rather than somewhere in its interior.

You can control the size of the pickbox in the Object Selection Settings dialog box.

Selecting Objects Close Together

It is difficult to select objects that are close together or lie directly on top of one another. The following example shows two lines and a circle that all lie within the selection pickbox.

You can use CTRL with the pick button on your pointing device to cycle through these objects, one after the other, until you reach the one you want.

Removing Selection from Objects

You can remove objects from the current selection set by pressing SHIFT while selecting them again. You can add and remove objects from the selection set without limit.


Procedures (Selecting Objects Individually-1)

Selecting Objects Individually

To select a single object

  1. At the Select Objects prompt of any command, move the rectangular pickbox cursor so that it touches the object that you want to select.

    If Noun/Verb Selection (PICKFIRST) is on, you can select objects before entering a command.

  2. Click the object.

    The object you selected is highlighted.

  3. Press ENTER to end object selection.


Procedures (Selecting Objects Individually-2)

Selecting Objects Individually

To change the size of the pickbox cursor

  1. From the Tools menu, choose Selection.
  2. In the Object Selection Settings dialog box, move the pickbox size slider until the pickbox is the size you want to use.
  3. Choose OK.

Command line equivalent: DDRMODES


Procedures (Selecting Objects Individually-3)

Selecting Objects Individually

To cycle through objects for selection

  1. At the Select Objects prompt, hold down CTRL and click as near as possible to the object you want.
  2. Keep pressing the pick button on your pointing device until the object you want is highlighted.
  3. Press ENTER to select the object.


Procedures (Selecting Objects Individually-4)

Selecting Objects Individually

To remove selection from objects

  • Hold down SHIFT while clicking the objects that you want removed from the selection set.


Procedures (Selecting Objects Individually)

Selecting Objects Individually

To select a single object
To change the size of the pickbox cursor
To cycle through objects for selection
To remove selection from objects


Reference (Selecting Objects Individually)

Selecting Objects Individually

Commands

DDSELECT | Sets object selection modes
SELECT | Places selected objects in the Previous selection set

System Variables

HIGHLIGHT | Controls object highlighting; does not affect objects selected with grips
PICKADD | Controls addition of objects to a selection set
PICKAUTO | Controls automatic windowing at the Select Objects prompt
PICKBOX | Sets object selection target height, in pixels
PICKDRAG | Controls the method of drawing a selection window
PICKFIRST | Controls whether you select objects first and then use a command or vice versa
SORTENTS | Controls the display of object sort operations


Selecting Multiple Objects

In response to the Select Objects prompt, you can select many objects at the same time. For example, you can specify a rectangular area in which all objects are then selected or you can specify a selection fence that selects all objects through which the fence passes.

Specifying a Rectangular Selection Area

You can select objects by specifying opposite corners to define a rectangular area. After specifying the first corner point, you can

  • Drag your cursor from left to right to create an enclosing window selection. Only objects that the rectangular window entirely encloses are selected.
  • Drag your cursor from right to left to create a crossing selection. Objects that the rectangular window encloses or crosses are selected.

Specifying an Irregularly Shaped Selection Area

You can select objects by specifying points to define an irregularly shaped area. Use window polygon selection to select objects entirely enclosed by the selection area. Use crossing polygon selection to select objects enclosed or crossed by the selection area.

The following illustration shows the result of specifying the same selection area as a crossing polygon.

Specifying a Selection Fence

You can select objects in a complex drawing easily by using a selection fence. A selection fence has a similar appearance to a polyline and selects only the objects it passes through; it does not select objects by enclosing them. The following circuit board illustration shows a fence selecting several components.

Using Other Selection Options

You can see all selection options by entering ? at the Select Objects prompt. For a description of each of the selection options, see SELECT.

Removing Selection from Multiple Objects

You can enter r (Remove) at the Select Objects prompt and use selection options such as Crossing Polygon and Fence to remove objects from the selection set. If you are using the Remove option and want to return to adding objects to the selection set, enter a (Add).


Procedures (Selecting Multiple Objects-1)

Selecting Multiple Objects

To see a list of options at the Select Objects prompt

  • Enter ? at the Select Objects prompt.


Procedures (Selecting Multiple Objects-2)

Selecting Multiple Objects

To select objects within an irregularly shaped area

  1. At the Select Objects prompt, enter wp (Window Polygon).
  2. Specify points that define an area entirely enclosing the objects you want to select.
  3. Press ENTER to close the polygon selection area and complete the selection.


Procedures (Selecting Multiple Objects-3)

Selecting Multiple Objects

To select objects crossing an irregularly shaped area

  1. At the Select Objects prompt, enter cp (Crossing Polygon).
  2. Specify points that define an area that encloses or crosses the objects you want to select.
  3. Press ENTER to close the polygon selection area and complete the selection.


Procedures (Selecting Multiple Objects-4)

Selecting Multiple Objects

To select objects with a fence

  1. At the Select Objects prompt, enter f (Fence).
  2. Specify points to create a fence that passes through the objects you want to select.
  3. Press ENTER to complete the selection.


Procedures (Selecting Multiple Objects-5)

Selecting Multiple Objects

To remove several objects from the selection set

  1. At the Select Objects prompt, enter r (Remove).
  2. Enter any selection option such as cp (Crossing Polygon) or f (Fence), and select the objects to be removed from the selection set.

To return to adding objects to the selection set, enter a (Add).


Procedures (Selecting Multiple Objects)

Selecting Multiple Objects

To see a list of options at the Select Objects prompt
To select objects within an irregularly shaped area
To select objects crossing an irregularly shaped area
To select objects with a fence
To remove several objects from a selection set


Reference (Selecting Multiple Objects)

Selecting Multiple Objects

Commands

DDSELECT | Sets object selection methods
SELECT | Places selected objects in the Previous selection set

System Variables

HIGHLIGHT | Controls object highlighting; does not affect objects selected with grips
PICKADD | Controls addition of objects to a selection set
PICKAUTO | Controls automatic windowing at the Select Objects prompt
PICKBOX | Sets object selection target height, in pixels
PICKDRAG | Controls the method of drawing a selection window
PICKFIRST | Controls whether you select objects first and then use a command or vice versa
SORTENTS | Controls the display of object sort operations


Preventing Objects from Being Selected

You can prevent objects on specified layers from being selected and modified by locking those layers. Typically, you lock layers to prevent accidental editing of particular objects. Other operations are still possible when a layer is locked. For example, you can make a locked layer current, and you can add objects to it. You can also use inquiry commands (such as LIST), use object snaps to specify points on objects on locked layers, and change the display order of objects on locked layers.


Procedures (Preventing Objects from Being Selected)

Preventing Objects from Being Selected

To lock or unlock a layer

  1. From the Object Properties toolbar, click the Layer Control.
  2. Click the Lock/Unlock icon for the layers that you want to lock.

If the padlock is closed, the layer is locked and objects on that layer cannot be selected.

Object Properties toolbar:
Command line equivalent: LAYER


Reference (Preventing Objects from Being Selected)

Preventing Objects from Being Selected

Commands

DDLMODES | Same as LAYER
LAYER | Manages layers from the command line

System Variables

No entries.


Customizing Object Selection

For commands that use the Select Objects prompt, you can choose

  • To enter a command first followed by selecting objects
  • To select the objects first followed by a command to operate on them
You can also choose
  • Whether selected objects are highlighted
  • How you define selection areas and how you create selection sets
Choosing the Command First

When you choose an editing command, AutoCAD LT prompts you to select objects and replaces the crosshairs with a pickbox. You can respond to the Select Objects prompt in various ways:

  • Select objects one at a time.
  • Click an empty area and drag the cursor to define a rectangular selection area.
  • Enter a selection option. Enter ? to display all selection options.
  • Combine selection methods. For example, to select most of the objects in the graphics area, select all objects and then remove the objects that you do not want selected.
Selecting Objects First

You can use one of two methods to select objects before choosing a command to operate on them:

  • Use SELECT, which provides all the options you can use at the Select Objects prompt. All objects selected are put into the Previous selection set. To use the Previous selection set, enter p at the Select Objects prompt of any subsequent command. Enter ? to display all selection options.
  • When Noun/Verb Selection is turned on, you can select objects at the Command prompt before entering a command such as Move, Copy, or Erase. After you select objects at the Command prompt, the next command you enter will use that selection set instead of prompting you to select objects. With this method, you can only select objects by clicking them individually or by using automatic selection.
Controlling Selection Highlighting

By default, AutoCAD LT highlights the objects you select. Highlighting visually confirms which object you selected. You can increase program speed by turning off selection highlighting in the Drawing Aids dialog box, but you would rarely do this except in very large drawings. Turning off selection highlighting does not affect objects selected with grips.

Controlling Additional Selection Methods

You can control how objects are selected by choosing alternate selection methods, changing the pickbox size, and using the object sorting methods. The options in the Object Selection Settings dialog box control whether

  • You can select objects before entering a command that modifies objects.
  • You overwrite the selection set when you select objects. If this option is turned on, you must press SHIFT to append objects to the selection set. (PICKADD)
  • You click and drag when creating a selection window. Otherwise you must click twice to define the corners of a selection window. (PICKDRAG)
  • You enter Window or Crossing selection automatically when you click an empty space. Otherwise, you must enter c or w to specify window crossing selection. (PICKAUTO)
  • You change the size of the pickbox. (PICKBOX)
  • You change how overlapping objects are processed. You can specify that overlapping objects be processed in the order in which they were created in the drawing. You use these options if your drawing or application depends on the order in which objects were created. (SORTENTS)


Procedures (Customizing Object Selection-1)

Customizing Object Selection

To change the size of the pickbox cursor

  1. From the Tools menu, choose Selection.
  2. In the Object Selection Settings dialog box, move the pickbox size slider until the pickbox is the size you want to use.
  3. Choose OK.

Command line equivalent: DDRMODES


Procedures (Customizing Object Selection-2)

Customizing Object Selection

To change object selection settings

  1. From the Tools menu, choose Selection.
  2. In the Object Selection Settings dialog box, make changes to selection methods and pickbox size.

    To ensure that overlapping objects are selected according to the order in which they were created, choose Object Sort Method and then set Object Selection.

  3. Choose OK.

Command line equivalent: DDRMODES


Procedures (Customizing Object Selection)

Customizing Object Selection

To change the size of the pickbox cursor
To change object selection settings


Reference (Customizing Object Selection)

Customizing Object Selection

Commands

DDSELECT Sets object selection methods

System Variables

HIGHLIGHT | Controls object highlighting; does not affect objects selected with grips
PICKADD | Controls addition of objects to a selection set
PICKAUTO | Controls automatic windowing at the Select Objects prompt
PICKBOX | Sets object selection target height, in pixels
PICKDRAG | Controls the method of drawing a selection window
PICKFIRST | Controls whether you select objects first and then use a command or vice versa
SORTENTS | Controls the display of object sort operations


TOPIC

Selecting Objects

To select a single object
To cycle through objects for selection
To remove selection from objects
To see a list of options at the Select Objects prompt
To select objects within an irregularly shaped area
To select objects crossing an irregularly shaped area
To select objects with a fence
To remove objects from a selection set
To lock or unlock a layer
To change the size of the pickbox cursor
To change object selection settings


TOPIC

Selecting Objects

Commands

DDLMODES | Same as LAYER
DDSELECT | Sets object selection methods
LAYER | Manages layers from the command line
SELECT | Places selected objects in the Previous selection set

System Variables

BLIPMODE | Controls whether marker blips are visible
HIGHLIGHT | Controls object highlighting; does not affect objects selected with grips
PICKADD | Controls addition of objects to a selection set
PICKAUTO | Controls automatic windowing at the Select Objects prompt
PICKBOX | Sets object selection target height, in pixels
PICKDRAG | Controls the method of drawing a selection window
PICKFIRST | Controls whether you select objects first and then use a command or vice versa
SORTENTS | Controls the display of object sort operations


SPLFRAME System Variable

SORTENTS System Variable

Type: | Integer
Saved in: | Drawing
Initial value: | 96

Controls DDSELECT object sort order operations. SORTENTS uses the the following bit-codes:

0 | Disables SORTENTS
1 | Sorts for object selection
2 | Sorts for object snap
4 | Sorts for redraws
8 | Sorts for MSLIDE slide creation
16 | Sorts for REGENs
32 | Sorts for plotting
64 | Sorts for PostScript output

To select more than one, enter the sum of their codes. For example, enter 3 to specify sorting for both object selection and object snap.

The initial value of 96 enables sorting for plotting and PostScript output only. Setting additional sorting options can result in slower regeneration and redrawing times.


Starting and Saving a Drawing

You can start a new drawing several ways. You can use a wizard to step you through the process, you can start from scratch using default settings, or you can start from a template file with a preset environment. In each case, you can choose the conventions and defaults you want to use for your drawing.

After working on your drawing, you also have several options for saving your work.

Specifying Units, Angles, and Drawing Scale
Starting with a Wizard
Starting with a Template File
Starting from Scratch
Opening an Existing Drawing
Saving a Drawing

See Also
Managing Files and Formats
Starting AutoCAD LT Using Command Line Switches


Specifying Units, Angles, and Drawing Scale

Every object you draw is measured in units. You can choose from several common conventions to represent distances and angles. Drawing scale is determined using a different method than used in manual drafting.


Specifying Units of Measurement

You have several choices of how you want measurements to be displayed. This includes both the measurement format (decimal, fractional, etc.) and the precision displayed.

Setting the Units Format

AutoCAD LT does not use a predefined system of unit measure such as meters or inches. For example, a distance of one unit may represent one centimeter, one foot, or one mile in real-world units. Before you begin drawing, decide what distance one unit will represent, and then create your drawing with that convention.

However, you can specify the display format of the unit. Depending on what you specify, you can enter coordinates in decimal form, fractional form, degrees, or in other notation. To enter architectural feet and inches format, indicate feet using the prime symbol ('): for example, 72'3,34'4. You don't need to enter the double prime symbol or quotation marks (") to specify inches.

You can set the unit type and precision in the Quick Setup wizard, the Advanced Setup wizard, or the Units Control dialog box. These settings control how AutoCAD LT interprets your coordinate, offset, and distance entries, and how it displays coordinates, distances, and dimensions.

You can enter three-dimensional coordinates in the same input formats as two-dimensional coordinates: scientific, decimal, engineering, architectural, or fractional notation.

Changing the System of Measurement

If you start a drawing in one system of measurement and then want to switch to the other, you need to scale the drawing by a conversion factor in order to obtain accurate dimensions. For example, to convert inches to centimeters, you scale the drawing by a factor of 2.54. To convert from centimeters to inches, the scale factor is 1/2.54 or about 0.3937.

Setting Units of Measurement for Dimensions

The units format for creating and listing objects, measuring distances, and displaying coordinate locations is separate from the dimension units setting used in creating dimension values.


Procedures (Specifying Units of Measurement)

Specifying Units of Measurement

To set the units format and precision
To convert a drawing from inches to centimeters
To convert a drawing from centimeters to inches
To set the angle format and precision


Procedures (Specifying Units of Measurement-1)

Specifying Units of Measurement

To set the units format and precision

  1. From the Format menu, choose Units.
  2. In the Units Control dialog box under Units, select a unit format and precision.

    The Precision box shows an example of the unit format at the current precision.

  3. Choose OK.

Command line equivalent: DDUNITS


Procedures (Specifying Units of Measurement-2)

Specifying Units of Measurement

To convert a drawing from inches to centimeters

  1. From the Modify menu, choose Scale.
  2. At the Select Objects prompt, enter all.

    All objects in the drawing are selected for scaling.

  3. Enter a base point of *0,0.

    Scaling will be performed relative to the World Coordinate System origin and the location of the drawing origin will remain at the WCS origin.

  4. Enter a scale factor of 2.54 (there are 2.54 centimeters per inch).

All objects in the drawing are now 2.54 times larger, corresponding to the equivalent distance in centimeters.

Modify toolbar:
Command line equivalent: SCALE


Procedures (Specifying Units of Measurement-3)

Specifying Units of Measurement

To convert a drawing from centimeters to inches

  1. From the Modify menu, choose Scale.
  2. At the Select Objects prompt, enter all.

    All objects in the drawing are selected for scaling.

  3. Enter a base point of *0,0.

    Scaling will be performed relative to the World Coordinate System origin and the location of the drawing origin will remain at the WCS origin.

  4. Enter a scale factor of 0.3937 (there are 2.54 centimeters per inch).

All objects in the drawing are now 2.54 times smaller, corresponding to the equivalent distance in inches.

Modify toolbar:
Command line equivalent: SCALE


Reference (Specifying Units of Measurement)

Specifying Units of Measurement

Commands

'DDUNITS | Controls coordinate and angle display formats and determines precision
UNITS | Selects coordinate and angle display formats and precision

System Variables

LUNITS | Sets Linear Units mode
LUPREC | Sets the number of digits displayed to the right of the decimal point for nondimensioning commands, variables, and output
MEASUREINIT | Sets drawing units as English or metric for new drawings
MEASUREMENT | Sets drawing units as English or metric for the current drawing
UNITMODE | Controls the units display format


Specifying Angle Conventions

You can specify the measurement conventions for angles so that positive values of angles are measured either clockwise or counterclockwise, and angle 0 can be set to any position. You can enter angles using grads, radians, or surveyor's units or using degrees, minutes, and seconds.

If you use surveyor's angles when specifying polar coordinates, indicate whether the surveyor's angles are in the north, south, east, or west direction. For example, to enter a coordinate relative to the current coordinate for a property line that is 72 feet, 8 inches long with a bearing of 45 degrees north, 20 minutes, 6 seconds east, enter

@72'8"<n45d20'6"e


Procedures (Specifying Angle Conventions)

Specifying Angle Conventions

To set the angle format and precision

  1. From the Format menu, choose Units.
  2. In the Units Control dialog box under Angles, select an angle format and precision.

    The Precision box under Angles shows an example of the angle format at the current precision.

  3. Select Direction to specify an angle direction.

    The angle direction controls the point from which AutoCAD LT measures angles and the direction in which they're measured. The default starting angle, 0 degrees, is toward 3 o'clock (or east), and positive angle measurement is counterclockwise.

  4. Select the options you want to use, and choose OK to exit each dialog box.

Command line equivalent: DDUNITS


Reference (Specifying Angle Conventions)

Specifying Angle Conventions

Commands

'DDUNITS | Controls coordinate and angle display formats and determines precision
UNITS | Selects coordinate and angle display formats and precision

System Variables

ANGBASE | Sets the base angle 0 with respect to the current UCS
ANGDIR | Sets the positive direction from angle 0 with respect to the current UCS
AUNITS | Sets Angular Units mode
AUPREC | Sets number of decimal places for angular units displayed on the status line or when listing an object
UNITMODE | Controls the units display format


Drawing to Scale

Calculating the Scale Factor

With AutoCAD LT, you draw at true size using a convenient unit convention (as described in Specifying Units of Measurement) and then set a scale when you are ready to plot.

Although you do not specify the scale of your drawing until you plot, you can enter in advance the scaled size for

  • Text
  • Dimensions
  • Noncontinuous linetypes
  • Hatch patterns
  • Views (in floating viewports only)

Scaling these elements ensures that they are at the correct size in the final drawing.

Within model space, if you use the Quick Setup or Advanced Setup wizard when you open a new drawing, AutoCAD LT adjusts many of the scale factors to be appropriate for the world size, or limits, you specify. However, you should calculate the exact scale factor by converting the drawing scale to a ratio of 1:n. This ratio compares plotted units to drawing units.

For example, if you draw at a scale of 1/4 inch = 1 foot, you would calculate the scale factor 48 as follows:

1/4" = 12"
1 = 12 x 4
1 = 48

Using the same calculation, the scale factor for 1/8 inch = 1 foot is 96, and the scale factor for 1 inch = 20 feet is 240.

If you are working in metric units, you might have a sheet size of 210 x 297 mm (A4 size) and a scale factor of 20. You calculate drawing limits as follows:

210 x 20 = 4200 mm
297 x 20 = 5900 mm

EXAMPLE: Sample Architectural Scale Factors for Text Sizes in Model Space

Once you establish the scale factor, you can use it to set text height, dimension sizes, linetype scale, hatch patterns scale, and viewport scale. When the drawing is complete, you can plot it at any scale, or you can plot different views of your drawing at different scales.

Applying Scale Factors

  • Text. Set the text height when creating text or by setting a fixed text height in the text style (STYLE). The text height for text created in model space should be multiplied by the scale factor. Text created in paper space should be set to true size (1:1).
  • Dimensions. Set the dimension scale in a dimension style (DDIM) or with the system variable DIMSCALE.
  • Linetypes. Set the scale for noncontinuous linetypes with the system variables CELTSCALE and LTSCALE. For objects created in floating viewports, use the system variable PSLTSCALE.
  • Hatch patterns. Set the scale for hatch patterns in the Boundary Hatch dialog box (BHATCH), or with the system variable HPSCALE.
  • Views. For floating viewports, use ZOOM xp, where xp is the scale (the inverse of the scale factor) of the view.

For more information on setting values for these elements depending on whether plotting will be done from model space or paper space, see Creating the Drawing Layout.


Reference (Drawing to Scale)

Example: Sample Architectural Scale Ratios for Text Sizes in Model Space

The following table shows some standard architectural scale ratios and equivalent text sizes in model space.

Scale | Scale factor | To plot text size at | Set drawing text size to
1/8" | = 1'-0" | 96 1/8" | 12"
3/16" | = 1'-0" | 64 1/8" | 8"
1/4" | = 1'-0" | 48 1/8" | 6"
3/8" | = 1'-0" | 32 1/8" | 4"
1/2" | = 1'-0" | 24 1/8" | 3"
3/4" | = 1'-0" | 16 1/8" | 2"
1" | = 1'-0" 12 | 1/8" | 1.5"
1 1/2" | = 1'-0" | 8 1/8" | 1.0"


Procedures (Calculating the Scale Factor

Calculating the Scale Factor

No entries.


Reference (Drawing to Scale)

Calculating the Scale Factor

Commands

DDIM | Creates and modifies dimension styles
'DDUNITS | Controls coordinate and angle display formats and determines precision
UNITS | Selects coordinate and angle display formats and precision
STYLE | Creates named text styles
ZOOM | Zooms with a specified scale factor

System Variables

CELTSCALE | Sets the current global linetype scale for objects
DIMSCALE | Sets the overall scale factor applied to dimensioning variables
HPSCALE | Specifies the hatch pattern scale factor
HPSPACE | Specifies the hatch pattern line spacing for user-defined simple patterns
LTSCALE | Sets the global linetype scale factor
LUNITS | Sets Linear Units mode
PSLTSCALE | Controls paper space linetype scaling
TEXTSIZE | Sets the default height for new text objects drawn with the current text style


Specifying Units, Angles, and Drawing Scale

To set the units format and precision
To convert a drawing from inches to centimeters
To convert a drawing from centimeters to inches
To set the angle format and precision


Reference Specifying Units, Angles, and Drawing Scale

Specifying Units, Angles, and Drawing Scale

Commands

UNITS Selects coordinate and angle display formats and precision

System Variables

ANGBASE | Sets the base angle 0 with respect to the current UCS
ANGDIR | Sets the positive direction from angle 0 with respect to the current UCS
AUNITS | Sets Angular Units mode
AUPREC | Sets number of decimal places for angular units displayed on the status line or when listing an object
UNITMODE | Controls the units display format


Starting with a Wizard

You have two wizard options to help you set up a drawing. These wizards use the current drawing template file, but they modify certain scale settings based on information you provide, including text size and dimension scale.


Using the Quick Setup Wizard

With the Quick Setup wizard, you establish basic settings that help define your drawing area and scale. These settings include the basic unit type (such as architectural, decimal, or scientific units) to be used for display and plotting. You also specify the full size of the object you are drawing and thereby establish the imaginary drawing boundaries, called limits. The area within these limits defines the real-world size.

Whenever you change the real-world Area (grid limits) setting in the Quick Setup wizard, AutoCAD LT automatically adjusts the system variables.

EXAMPLE: System Variables Changed by Setup Wizards.

The values for the system variables not adjusted come from the current drawing template file: aclt.dwt (English setting) or acltiso.dwt (metric setting). You can control whether the English or the metric drawing template file is used with the MEASUREINIT system variable.

If the DIMSCALE system variable is set to 1, the dimensioning variables are not adjusted.


Procedures (Using the Quick Setup Wizard)

Using the Quick Setup Wizard

To begin a new drawing using the Quick Setup wizard
To recover the default template file for the wizards


Procedures (Using the Quick Setup Wizard-1)

Using the Quick Setup Wizard

To begin a new drawing using the Quick Setup wizard

  1. From the File menu, choose New.
  2. In the Create New Drawing dialog box, choose Use a Wizard. Under Select a Wizard, select Quick Setup. Then choose OK.
  3. In the Quick Setup wizard on the Step 1:Units tab, select the unit type you want to use.
  4. On the Step 2:Area tab, enter the full-size width and height of the object you are drawing. For example, to draw an object that is 10 by 20 feet in size, you might enter a width of 12 and a height of 22 to account for the size of the object and a margin around it.

    The height you enter is used to change the settings of system variables that control dimensions, text height, and so on in your drawing.

  5. Choose Done.

AutoCAD LT displays the drawing limits established by the world size you have specified. These limits also control the display of the grid dots.

Standard toolbar:
Command line equivalent: NEW


Procedures (Using the Quick Setup Wizard-2)

Using the Quick Setup Wizard

To recover the default template file for the wizards

  1. From the File menu, choose New.
  2. In the Create New Drawing dialog box, select Start from Scratch.
  3. Select English or metric settings, and then choose OK.

    The drawing opens with the default AutoCAD LT settings.

  4. From the File menu, choose Save As and choose the Drawing Template file type. Save the drawing with its original name. Use aclt.dwt for English and acltiso.dwt for metric.

Standard toolbar:
Command line equivalent: NEW


Reference (Using the Quick Setup Wizard)

Using the Quick Setup Wizard

Commands

NEW Creates a new drawing file

System Variables

MEASUREINIT | Sets drawing units as English or metric for new drawings
MEASUREMENT | Sets drawing units as English or metric for the current drawing


Using the Advanced Setup Wizard

The Advanced Setup wizard offers the same options as the Quick Setup wizard but with additions. The Quick Setup wizard affects only model space, where you create your basic drawing, or model. The Advanced Setup wizard also affects paper space, where you arrange the final layout of your drawing. Using this setup method, you can conveniently insert an existing title block and border.

Whenever you change the real-world Area (grid limits) setting in the Advanced Setup wizard, AutoCAD LT automatically adjusts the system variables shown.

EXAMPLE: System Variables Changed by Setup Wizards.

The values for the system variables not adjusted comes from the current drawing template file aclt.dwt (English setting) or acltiso.dwt (metric setting). You can control whether the English or the metric drawing template file is used with the MEASUREINIT system variable.

If the DIMSCALE system variable is set to 1, the dimensioning variables are not adjusted.

Adding Borders and Title Blocks

As you open a new drawing, you can use the Advanced Setup wizard to insert a title block and border on its own layer in paper space. The title block and border reside in a separate drawing that is inserted as a block reference.

AutoCAD LT provides several standard title blocks to choose from. You can open and customize them with any standard information, or you can add the information after inserting them in your drawing. You also can create and use your own title blocks.

Customizing Title Blocks for the Advanced Setup Wizard

You can create your own title block drawings and add them to the title block list on the Step 6:Title Block tab. They then can be used by the Advanced Setup wizard. You can also remove title block drawings from the list.

If you want the Advanced Setup wizard to automatically insert a viewport of a specific size, you must add four attribute definitions with the following tag names to the title block drawing. The attribute definitions should be invisible and constant.

  • MINX value equals the X value of the coordinate of the lower-left corner of the viewport.
  • MINY value equals the Y value of the coordinate of the lower-left corner of the viewport.
  • MAXX value equals the X value of the coordinate of the upper-right corner of the viewport.
  • MAXY value equals the Y value of the coordinate of the upper-right corner of the viewport.

When you use the Advanced Setup wizard to set up a drawing with these attributes, AutoCAD LT automatically creates a viewport of the size specified by the Value box in the Attribute Definition dialog box. Only one viewport per title block can be specified with this method.


Using the Advanced Setup Wizard

Table: System Variables Changed by Setup Wizards

Setting changed | System variable
Sets units for angles | AUNITS *
Sets number of decimal places for angular units | AUPREC *
First chamfer distance | CHAMFERA
Second chamfer distance | CHAMFERB
Controls the number of places of precision displayed for angular dimension text | DIMADEC *
Sets the angle format for angular dimensions | DIMAUNIT *
Sets the number of decimal places displayed for the primary units of a dimension | DIMDEC *
Sets the overall scale factor applied to dimensioning variables that specify sizes, distances, or offsets | DIMSCALE
Sets the number of decimal places to display in tolerance values for a dimension | DIMTDEC *
Sets the units format for all dimension style family members except angular | DIMUNIT *
Default for the inside diameter of a donut | DONUTID
Default for the outside diameter of a donut | DONUTOD
Stores the current fillet radius | FILLETRAD
Hatch pattern scale factor | HPSCALE
Grid spacing (X and Y) for the current viewport | GRIDUNIT
Hatch pattern spacing for "U," user-defined, simple patterns | HPSPACE
Global linetype scale factor | LTSCALE
Sets linear units | LUNITS
Sets the number of decimal places displayed for linear units | LUPREC *
Snap spacing (X and Y) for the current viewport | SNAPUNIT
Default height of new text drawn with the current text style | TEXTSIZE
Paper space access and viewport behavior | TILEMODE *
* Advanced Setup wizard only


Procedures (Using the Advanced Setup Wizard)

Using the Advanced Setup Wizard

To begin a new drawing using the Advanced Setup wizard
To insert a title block and border with the Advanced Setup wizard
To modify the list of title block drawings in the Advanced Setup wizard
To recover the default template files for the wizards


Procedures (Using the Advanced Setup Wizard-1)

Using the Advanced Setup Wizard

To begin a new drawing using the Advanced Setup wizard

  1. From the File menu, choose New.
  2. In the Create New Drawing dialog box, choose Use a Wizard and select Advanced Setup. Then choose OK.
  3. In the Advanced Setup wizard, choose tabs and change settings as needed. To move on to the next tab, press the Next button or choose the tab directly.
    • To specify units, choose the Step 1:Units tab.
    • To specify the angle settings, choose Step 2:Angle, Step 3:Angle Measure, or Step 4:Angle Direction and change the settings.
    • To change the drawing boundary, choose Step 5:Area and enter the full-scale width and height of the object you are drawing. For example, to draw an object that is 10 by 20 feet in size, you might enter a width of 12 and a height of 22 to account for the size of the object and a margin around it. The drawing boundary controls the area the grid dots are displayed in.
    • To add a title block and border, choose Step 6:Title Block. Change the settings if needed, and choose OK.
    • To select drawing layout options, choose Step 7:Layout.
    • When you are finished, choose Done.

By default, AutoCAD LT opens the new drawing with a single floating viewport displayed in paper space on the VIEWPORT layer. If you inserted a title block, AutoCAD LT creates a TITLE_BLOCK layer.

Standard toolbar:
Command line equivalent: NEW


Procedures (Using the Advanced Setup Wizard-2)

Using the Advanced Setup Wizard

To insert a title block and border with the Advanced Setup wizard

  1. From the File menu, choose New.
  2. In the Create New Drawing dialog box, choose Use a Wizard, and select Advanced Setup.
  3. In the Advanced Setup wizard, choose Step 6:Title Block.
  4. On the Step 6:Title Block tab under Title Block Description, select the file name of the title block and border you want to use. The file names generally correspond to paper sizes.
  5. Choose Done.

Standard toolbar:
Command line equivalent: NEW


Procedures (Using the Advanced Setup Wizard-3)

Using the Advanced Setup Wizard

To modify the list of title block drawings in the Advanced Setup wizard

  1. From the File menu, choose New.
  2. In the Create New Drawing dialog box, choose Use a Wizard, and select Advanced Setup.
  3. In the Advanced Setup wizard, choose Step 6:Title Block.
  4. Modify the title block list using one of the following methods:
    • To add a new title block drawing, choose Add. In the Select Title Block File dialog box, enter a name for the new title block in the Description box. Then specify a drawing file by choosing File and selecting a file name from the list. Choose OK to exit each dialog box.
    • To remove a title block drawing, select the title block description you want to remove and choose Remove.
  5. Choose Done.

Standard toolbar:
Command line equivalent: NEW


Procedures (Using the Advanced Setup Wizard-4)

Using the Advanced Setup Wizard

To recover the default template files for the wizards

  1. From the File menu, choose New.
  2. In the Create New Drawing dialog box, select Start from Scratch.
  3. Select English or metric settings and then choose OK.

    The drawing opens with the default AutoCAD LT settings.

  4. From the File menu, choose Save As and choose the Drawing Template file type. Save the drawing with its original name. Use aclt.dwt for English and acltiso.dwt for metric.

Standard toolbar:
Command line equivalent: NEW


Reference (Using the Advanced Setup Wizard)

Using the Advanced Setup Wizard

Commands

NEW Creates a new drawing file

System Variables

MEASUREINIT | Sets drawing units as English or metric for new drawings
MEASUREMENT | Sets drawing units as English or metric for the current drawing


Reference Starting with a Wizard

Starting with a Wizard

To begin a new drawing using the Quick Setup wizard
To recover the default template file for the wizards
To begin a new drawing using the Advanced Setup wizard
To insert a title block and border with the Advanced Setup wizard
To modify the list of title block drawings in the Advanced Setup wizard
To recover the default template files for the wizards


Reference Starting with a Wizard

Starting with a Wizard

Commands

NEW Creates a new drawing file

System Variables

MEASUREINIT | Sets drawing units as English or metric for new drawings
MEASUREMENT | Sets drawing units as English or metric for the current drawing


Starting with a Template File

When you create a new drawing, you can use a drawing template file that contains standard settings. You can select from the template files supplied with AutoCAD LT or create your own drawing template files.

When you create a new drawing based on an existing template file and make changes, the changes in the new drawing do not affect the template file.

Creating a Drawing Template File

When you need to create several drawings that use the same conventions and default settings, you can save time by creating or customizing a template file instead of specifying the conventions and default settings each time you start. Conventions and settings commonly stored in drawing template files include

  • Unit type and precision
  • Title blocks, borders, and logos
  • Layer names
  • Snap, Grid, and Ortho settings
  • Drawing (grid) limits
  • Dimension styles
  • Text styles
  • Linetypes

You can create a drawing template from the current drawing by choosing Save or Save As from the File menu and selecting Drawing Template File *.dwt from the Save as Type list. You can also include a description to help identify the template file. By default, drawing template files are stored in the Template folder, where they are easily accessible.

Recovering the Default Drawing Template File

If the settings in the AutoCAD LT drawing template files aclt.dwt or acltiso.dwt have been changed from the original defaults, you can reset them by using Start from Scratch and then saving the drawings as drawing template files, replacing aclt.dwt or acltiso.dwt.


Procedures (Starting with a Template File)

Starting with a Template File

To use a drawing template file
To create a drawing template file
To recover the default drawing template files


Procedures (Starting with a Template File-1)

Starting with a Template File

To use a drawing template file

  1. From the File menu, choose New.
  2. In the Create New Drawing dialog box, choose Use a Template.
  3. Select a drawing template file from the Select a Template list, and choose OK.

AutoCAD LT opens the drawing as drawing.dwg.

Standard toolbar:
Command line equivalent: NEW


Procedures (Starting with a Template File-2)

Starting with a Template File

To create a drawing template file

  1. Open a drawing or an existing drawing template file.
  2. Change settings to match what you plan to use as defaults in your template file.
  3. Add a border and title block if needed. Erase all other objects.
  4. From the File menu, choose Save As.
  5. In the Save Drawing As dialog box, choose the Drawing Template file type.
  6. Under File Name, enter a name for the template file. Choose OK.
  7. In the displayed dialog box, enter a brief description of the template file.

    This description is displayed whenever you select this template file from the Start Up or Create New Drawing dialog boxes.

  8. Specify the measurement settings (metric or English) to use for the template file, and choose OK.

The new drawing template file is saved in the template folder within the main AutoCAD LT folder and given the file extension .dwt.

Command line equivalent: SAVEAS


Procedures (Starting with a Template File-3)

Starting with a Template File

To recover the default drawing template files

  1. From the File menu, choose New.
  2. In the Create New Drawing dialog box, select Start from Scratch.
  3. Select English or metric settings and then choose OK.

    The drawing opens with the default AutoCAD LT settings.

  4. From the File menu, choose Save As and choose the Drawing Template file type. Save the drawing with its original name. Use aclt.dwt for English and acltiso.dwt for metric.

Standard toolbar:
Command line equivalent: NEW


Reference (Starting with a Template File)

Starting with a Template File

Commands

NEW Creates a new drawing file

System Variables

MEASUREMENT Sets drawing units as English or metric for the current drawing


Starting from Scratch

When you need to begin drawing quickly, select Start from Scratch and then select either English (including feet and inches) or metric settings. Whether you select English settings or metric settings determines default values for many system variables, and the default linetype and hatch pattern file used.

File type | English | Metric
Hatch pattern | aclt.pat | acltiso.pat
Linetype | aclt.lin | acltiso.lin

With Starting from Scratch, the system variables are set directly by AutoCAD LT rather than through drawing template files.


Procedures (Starting from Scratch)

Starting from Scratch

To begin a new drawing using the Start from Scratch option

  1. From the File menu, choose New.
  2. In the Create New Drawing dialog box, choose Start from Scratch. Under Select Default Setting, select either English or Metric.

AutoCAD LT opens the drawing as drawing.dwg without using a drawing template file.

Standard toolbar:
Command line equivalent: NEW


Reference (Starting from Scratch)

Starting from Scratch

Commands

NEW Creates a new drawing file

System Variables

MEASUREINIT | Sets drawing units as English or metric for new drawings
MEASUREMENT | Sets drawing units as English or metric for the current drawing


Opening an Existing Drawing

You open drawings to work on them just as you do with other Windows applications. AutoCAD LT also provides a browser to help you locate drawing files.

To open an existing drawing, you choose its name from a list. You can open only one drawing at a time in AutoCAD LT. If you already have a drawing open, AutoCAD LT prompts you to save that drawing when you open another one.

Use Find File in the Select File dialog box, to view preview images of drawings, to open drawings, and to search for files. The Browse/Search dialog box displays small images of drawings in the directory you specify. Click an image to select it. You can change the size of the images by selecting from the Size list on the Browse tab in the Browse/Search dialog box.

You can use the Browse/Search dialog box to search for files across multiple directories on a single drive or on multiple drives. You can also search for files by specifying file type or by referencing their date of creation. For example, you could search for drawing files that were created after 3:00 p.m. on a certain day.

When the system variable RASTERPREVIEW is on, AutoCAD LT automatically generates a raster preview image that is stored with the drawing when you save it. For drawings saved without preview images, use the LT DWG Update utility for batch updating.


Procedures (Opening an Existing Drawing)

Opening an Existing Drawing

To open an existing drawing
To open drawings using the drawing browser
To search for files


Procedures (Opening an Existing Drawing-1)

Opening an Existing Drawing

To open an existing drawing

  1. From the File menu, choose Open.
  2. In the Select File dialog box under File Name, double-click the file name in the list of files. You can also open the drawing by entering the drawing name and choosing OK.

Standard toolbar:
Command line equivalent: OPEN


Procedures (Opening an Existing Drawing-2)

Opening an Existing Drawing

To open drawings using the drawing browser

  1. From the File menu, choose Open.
  2. Choose Find File.
  3. In the Browse/Search dialog box on the Browse tab, select the drive and directory containing the files you want to view.
  4. Under List Files of Type, select a file type to list.
  5. To open a file, either double-click its image or select its image and choose Open.

Standard toolbar:
Command line equivalent: OPEN


Procedures (Opening an Existing Drawing-3)

Opening an Existing Drawing

To search for files

  1. From the File menu, choose Open.
  2. Choose Find File.
  3. In the Browse/Search dialog box, choose Search.
  4. Enter a search pattern or select a file type to search for. You can use wild-card characters in search patterns.
  5. Under Date Filter, select a reference, for example, Before This Date or After This Date, and enter the time and date to refer to.
  6. Under Search Location, specify a drive and directory path.
    • Choose Search.
    • This option changes to Stop Search, which you can choose to stop the search at any time.
  7. When the search is complete, double-click the file you want to open in the Files list.
  8. Choose Exit when finished.

Standard toolbar:
Command line equivalent: OPEN


Reference (Opening an Existing Drawing)

Opening an Existing Drawing

Commands

OPEN Opens an existing drawing file

System Variables

RASTERPREVIEW Controls whether drawing preview images are saved with the drawing and sets the format type


Saving a Drawing

You save drawing files for later use just as you do with other Windows applications. AutoCAD LT also provides automatic saving, backup files, and other options for saving.

When you are working on a drawing, you should save it frequently. Saving protects you from losing work in the event of a power failure or other unexpected event. If you want to create a new version of a drawing without affecting the original drawing, you can save it under another name.

The file extension for AutoCAD LT drawing files is .dwg.

Saving Your Drawing Automatically

If you turn on the automatic saving option, AutoCAD LT saves your drawing at specified time intervals. To use this option, in the Preferences dialog box, select Automatic Save Every and enter the interval in minutes.

By default, files saved automatically are temporarily assigned the filename aclt.sv$. If you want to use a different name, enter it in the Save File Name box.

Using Backup Files

If you turn on automatic backups, AutoCAD LT saves the previous version of your drawing files to a file with the same name and a .bak file extension. To use this option, in the Preferences dialog box, select Always Create Backups (BAK).

To recover the previous version of your drawing, rename the file using a .dwg extension.

Saving Part of a Drawing File

If you want to create a new drawing file from part of an existing drawing, you can use BMAKE or WBLOCK. With either command, you can select objects or specify a block definition in your current drawing and save them in a new drawing file. With BMAKE, you can also save a textual description along with the new drawing.

Saving to a Different Type of Drawing File

You can save a drawing to an earlier version of the DWG format or save a drawing as a template file. Choose the format from Save As Type in the Save Drawing As dialog box.

Saving to Other Formats

For information on saving a drawing to a different format, see Exporting Drawings to Other File Formats.


Procedures (Saving a Drawing)

Saving a Drawing

To save a drawing
To save selected objects or a block into a new drawing file


Procedures (Saving a Drawing-1)

Saving a Drawing

To save a drawing

  1. From the File menu, choose Save.

    If you previously saved and named the drawing, AutoCAD LT saves any subsequent changes and redisplays the Command prompt. If you have never saved the drawing, the Save Drawing As dialog box is displayed.

  2. In the Save Drawing As dialog box under File Name, enter the new drawing name; the file extension is not required. Then choose OK.

Standard toolbar:
Command line equivalent: SAVE


Procedures (Saving a Drawing-2)

Saving a Drawing

To save selected objects or a block into a new drawing file

  1. At the Command prompt, enter wblock.
  2. In the Create Drawing File dialog box, enter the name you want to use for the drawing file. Make sure you are in the directory you want. Then choose OK.
  3. When prompted for the block name, use one of the following methods:
    • To save selected objects to a new drawing file, press ENTER at the Block Name prompt. Select the insertion base point and the objects. The insertion base point will be the origin point (0,0,0) in the new drawing.
    • To save the objects in an existing block definition to a new drawing file, enter the name of the block at the Block Name prompt. If the block name is the same as the file name you entered, enter an equal sign (=).

The objects you selected in the drawing or specified from a block definition are saved in a new drawing file.

Standard toolbar:
Command line equivalent: WBLOCK


Reference (Saving a Drawing)

Saving a Drawing

Commands

BMAKE | Defines a block or drawing file from selected objects
BMOD | Modifies existing block and drawing descriptions
PREFERENCES | Customizes the AutoCAD LT settings
SAVE | Saves the drawing under the current file name or a specified name
SAVEAS | Saves a copy of the current drawing under a new file name
WBLOCK | Writes objects to a new drawing file

System Variables

RASTERPREVIEW | Controls whether drawing preview images are saved with the drawing and sets the format type
SAVETIME | Sets automatic save interval, in minutes


Starting and Saving a Drawing

To set the units format and precision
To convert a drawing from inches to centimeters
To convert a drawing from centimeters to inches
To begin a new drawing using the Quick Setup wizard
To recover the default template file for the wizards
To begin a new drawing using the Advanced Setup wizard
To insert a title block and border with the Advanced Setup wizard
To modify the list of title block drawings in the Advanced Setup wizard
To recover the default template files for the wizards
To use a drawing template file
To create a drawing template file
To recover the default drawing template files
To begin a new drawing using the Start from Scratch option
To open an existing drawing
To open drawings using the drawing browser
To search for files
To save a drawing
To save selected objects or a block into a new drawing file


Starting and Saving a Drawing

Commands

BMAKE | Defines a block or drawing file from selected objects
BMOD | Modifies existing block and drawing descriptions
'DDUNITS | Controls coordinate and angle display formats and determines precision
NEW | Creates a new drawing file
OPEN | Opens an existing drawing file
PREFERENCES | Customizes the AutoCAD LT settings
SAVE | Saves the drawing under the current file name or a specified name
SAVEAS | Saves a copy of the current drawing under a new file name
UNITS | Selects coordinate and angle display formats and precision
WBLOCK | Writes objects to a new drawing file

System Variables

ANGBASE | Sets the base angle 0 with respect to the current UCS
ANGDIR | Sets the positive direction from angle 0 with respect to the current UCS
AUNITS | Sets Angular Units mode
AUPREC | Sets number of decimal places for angular units displayed on the status line or when listing an object
HPSCALE | Specifies the hatch pattern scale factor
HPSPACE | Specifies the hatch pattern line spacing for user-defined simple patterns
LUNITS | Sets linear units
LUPREC | Sets the number of decimal places displayed for linear units
MEASUREINIT | Sets drawing units as English or metric for new drawings
MEASUREMENT | Sets drawing units as English or metric for the current drawing
RASTERPREVIEW | Controls whether drawing preview images are saved with the drawing and sets the format type
SAVETIME | Sets automatic save interval, in minutes
UNITMODE | Controls the units display format


Using Symbols (Blocks)

Symbols that you use repeatedly can be defined as blocks (groupings of objects) and saved and inserted as often as needed. By assigning attributes to blocks you create, you can establish a database of information that you can later convert to parts lists or bills of materials.

Blocks are easier to work with than separate objects because you do not have to select each object included in the block for moving, copying, rotating, and erasing. Blocks also provide an efficient way to reduce the size of drawing files because a single block definition can be used in a drawing multiple times without increasing the size of the drawing significantly.

Understanding How Blocks are Stored and Referenced
Creating Blocks
Inserting Blocks
Modifying Blocks
Attaching Data to Blocks
Removing Block Definitions
Using Content Explorer

See Also
Referencing Other Drawings


Understanding How Blocks Are Stored and Referenced

To understand the operations, commands, and options that are available with blocks, it is important to understand how blocks are stored and referenced in a drawing. Central to working with blocks is understanding block tables.

Every drawing file has an invisible data area called the block table. The block table stores all block definitions. Block definitions include all information associated with the block. It is these block definitions that are referenced when you insert blocks in your drawing.

The following illustrations are schematic representations of three drawing files. Each rectangle represents a separate drawing file and is divided into two parts: the smaller part represents the block table, and the larger part represents the objects in a drawing.

When you insert a block reference, AutoCAD LT does not simply copy the information from the block definition to the drawing area. Instead, a link is established between the block reference and the block definition. Therefore, if the block definition is changed, all references are updated automatically.


Procedures (Understanding How Blocks are Stored and Referenced)

Understanding How Blocks Are Stored and Referenced

No entries.


Reference (Understanding How Blocks are Stored and Referenced)

Understanding How Blocks Are Stored and Referenced

Commands

ATTDEF | Creates an attribute definition
ATTDISP | Globally controls attribute visibility
ATTEDIT | Changes attribute information independent of its block definition
BASE | Sets the insertion base point for the current drawing
BLOCK | Creates a block definition from selected objects
BMAKE | Defines a block or drawing file from selected objects
BMOD | Modifies existing block and drawing descriptions
CONTENT | Finds drawing files, inserts blocks, and attaches xrefs
DDATTDEF | Creates an attribute definition
DDATTE | Edits the variable attributes of a block
DDATTEXT | Extracts attribute data
DDEDIT | Edits line text, paragraph text, dimension text, and attribute definitions
DDINSERT | Inserts a block or another drawing
DIVIDE | Places evenly spaced point objects or blocks along the length or perimeter of an object
EXPLODE | Breaks a compound object into its component objects
INSERT | Places a named block or drawing into the current drawing
MEASURE | Places point objects or blocks at measured intervals on an object
PURGE | Removes unused named objects, such as blocks or layers, from the drawing database

System Variables

AFLAGS Sets attribute flags for ATTDEF bit-code


Creating Blocks

You can use several methods to create blocks. You can

  • Combine objects to create a block definition in your current drawing.
  • Create a drawing file and later insert it as a block in other drawings.
  • Create drawings with several related block definitions to serve as block libraries.

A block can be composed of objects drawn on several layers with various colors and linetypes. Although a block is always inserted on the current layer, the block reference preserves information about the original layer, color, and linetype properties of the objects that are contained in the block. You can control whether objects in a block retain their original properties or inherit their properties from the current layer, color, or linetype settings.


Creating Blocks within a Drawing

You can easily create a new block definition by combining objects in your current drawing. Use this method to create blocks quickly for your current drawing.

Each block definition includes a block name, one or more objects, the coordinate values of the base point to be used for inserting the block, and any associated attribute data.

The base point is used as a reference for positioning the block when you insert it. Suppose you specify that the base point is at the lower-left corner of an object in the block. Later, when you insert the block, you are prompted to specify an insertion point. AutoCAD LT then aligns the block base point at the insertion point you specified.

The block definition in the illustration comprises a name, PLUG_VALVE, four lines, and a base point at the intersection of the two diagonal lines. For an explanation of the schematic representation shown, see Understanding How Blocks are Stored and Referenced.

The illustration shows a typical sequence for creating a block definition.

Creating Nested Blocks

Block references that contain other blocks are known as nested blocks. Using blocks within blocks can simplify the organization of a complex block definition.

With nested blocks you can build a single block out of several components. For example, you can insert as a block a drawing of a mechanical assembly that contains a housing, a bracket, and fasteners in which each fastener is a block composed of a bolt, washer, and nut. The only restriction on nested blocks is that you cannot insert blocks that reference themselves.


Procedures (Creating Blocks within a Drawing)

Creating Blocks within a Drawing

To define a block for the current drawing

  1. Create the objects that will be used in the block definition.
  2. From the Draw menu, choose Block. Then choose Make.
  3. In the Create Block dialog box under Save As, make sure Internal Block is selected.

    If you want the original objects used to create the block definition to remain in your drawing, make sure the Delete box is not selected. If this box is selected, the original objects are erased from the drawing. If necessary, you can use OOPS to restore them.

  4. Also under Save As, enter a name for the block.
  5. Choose Select Objects.
  6. Use your pointing device to select the objects to be included in the block definition. Press ENTER to complete object selection.
  7. In the Create Block dialog box, under Base Point, specify the block insertion point using one of these methods:
    • Choose Specify Point to specify a point using the pointing device.
    • Enter the X,Y,Z coordinate of the point.
  8. Under Description, enter a description for the block definition. This description can be viewed with Content Explorer (CONTENT).
  9. Choose Apply and then Close.

The block is defined in the current drawing and can be inserted at any time.

Command line equivalent: BMAKE


Reference (Creating Blocks within a Drawing)

Creating Blocks within a Drawing

Commands

BLOCK | Creates a block definition from selected objects
BMAKE | Defines a block or drawing file from selected objects

System Variables

No entries.


Creating Block Libraries

You can organize a set of related block definitions by creating the blocks in the same drawing file. Drawing files used this way are called library drawings, and the block definitions can be inserted individually into any drawing that you are working on. Block library drawings are not different from other AutoCAD LT drawing files except in how they are used.

When you define each block definition in the block library drawing, use BMAKE to include a short description of the block that can be viewed in Content Explorer. You can also use BMAKE to save the library drawing itself along with a description.

Optionally, you can also document each block definition by inserting it in the drawing area of the library drawing. In addition to the block geometry, you can include text that documents the block name, the date of creation, the date of the last modification, and any special instructions or conventions. This creates a visual index of the blocks in the block library drawing. For an explanation of the schematic representation shown, see Understanding How Blocks are Stored and Referenced.

Use Content Explorer to view and copy block definitions individually from block library drawings (or from any existing drawing) to your current drawing. Content Explorer will not overwrite an existing block definition in a drawing with one that comes from another drawing.


Procedures (Creating Block Libraries)

Creating Block Libraries

To create a block library drawing

  1. Begin a new drawing.
  2. Define a block.
  3. Repeat step 2 for as many related block definitions as you want to make.
  4. Save the drawing using a name appropriate for a library drawing.

These blocks can be inserted into any drawing using Content Explorer (CONTENT).

Command line equivalent: BMAKE


Reference (Creating Block Libraries)

Creating Block Libraries

Commands

BLOCK | Creates a block definition from selected objects
BMAKE | Defines a block or drawing file from selected objects

System Variables

No entries.


Creating Drawing Files for Use as Blocks

You can create drawing files for the purpose of inserting them into other drawings as blocks. Individual drawing files are easy to create and manage as the source of block definitions. Collections of AutoCAD LT symbols can be stored as individual drawing files and grouped in folders. For an explanation of the schematic representation shown, see Understanding How Blocks are Stored and Referenced.

Creating a New Drawing File

You have three methods for creating drawing files. You can

  • Create and save a complete drawing file using SAVE or SAVEAS.
  • Create and save only selected objects from your current drawing to a new drawing using EXPORT or WBLOCK
  • Create and save selected objects along with a description to a new drawing using BMAKE.
With any of these methods, you create an ordinary drawing file that can be inserted as a block into any other drawing file. Using BMAKE is recommended when you need to create several versions of a symbol as separate drawing files or when you want to create a drawing file without leaving the current drawing.

Changing the Base Point of Drawings to Be Used as Blocks

By default, AutoCAD LT uses the WCS origin (0,0,0) as the base point for drawing files inserted as blocks. You can change the base point by opening the original drawing and using BASE to specify a different base point for insertion. The next time you insert the block, AutoCAD LT uses the new base point.

Updating Changes from the Original Drawing

If you change the original drawing after inserting it, the changes have no effect on the current drawing unless you redefine the block by reinserting the changed original drawing. If you expect the original drawing to change and you want the changes to be reflected in the current drawing, you may want to attach it as an external reference instead of inserting it as a block. For more information on external references, see Referencing Other Drawings.

Using Paper Space Objects in Blocks

Objects in paper space are not included when you insert a drawing as a block. To transfer paper space objects to another drawing, make the objects into a block or save them in a separate drawing file, and then insert the block or drawing file into the other drawing.


Procedures (Creating Drawing Files for Use as Blocks)

Creating Drawing Files for Use as Blocks

To create a new drawing file from selected objects
To create a new drawing file from an existing block definition


Creating Drawing Files for Use as Blocks-1

Creating Drawing Files for Use as Blocks

To create a new drawing file from selected objects

  1. Open an existing drawing or create a new drawing.
  2. From the Draw menu, choose Block. Then choose Make.
  3. In the Create Block dialog box under Save As, make sure DWG File is selected.

    If you want the original objects used to create the new drawing to remain in your drawing, make sure the Delete box is not selected. If this box is selected, the original objects are erased from the drawing. If necessary, you can use OOPS to restore them.

  4. Also under Save As, enter a name for the new drawing.
  5. Choose Select Objects.
  6. Use your pointing device to select the objects to be included in the new drawing. Press ENTER to complete object selection.
  7. In the Create Block dialog box, under Base Point, specify the point to be the origin point (0,0,0) for the new drawing using one of these methods:
    • Choose Specify Point to specify a point using the pointing device.
    • Enter the X,Y,Z coordinate of the point.
  8. Under Description, enter a description for the new drawing. This description can be viewed with Content Explorer (CONTENT).
  9. Choose Apply and then Close.

A new drawing is created with the selected objects in the current drawing.

Command line equivalent: BMAKE


Creating Drawing Files for Use as Blocks-2

Creating Drawing Files for Use as Blocks

To create a new drawing file from an existing block definition

  1. From the Modify menu, choose Object. Then choose Block Description.
  2. To reduce the number of block names listed in the Internal Blocks area, under Filter, enter a wild-card description. For example, enter a* to view only blocks beginning with the letter a.
  3. Under Internal Blocks, click the block name that you want to save as a new drawing file.
  4. Under Description, enter or modify the description for the new drawing file.
  5. Click Save Description and then Export.
  6. From the Save As Drawing dialog box, select a folder, enter a new name for the new drawing file, and choose Save.
  7. Click Close.

Command line equivalent: BMOD


Reference (Creating Drawing Files for Use as Blocks)

Creating Drawing Files for Use as Blocks

Commands
BASE | Sets the insertion base point for the current drawing
BMAKE | Defines a block or drawing file from selected objects
BMOD | Modifies existing block and drawing descriptions
CONTENT | Finds drawing files, inserts blocks, and attaches xrefs
DDINSERT | Inserts a block or another drawing
EXPORT | Saves objects to other file formats
INSERT | Places a named block or drawing into the current drawing
OOPS | Restores erased objects
WBLOCK | Writes objects to a new drawing file
System Variables
No entries.


Controlling Color and Linetype Properties in Blocks

Generally when you insert a block, the color and linetype of objects in the block retain their original settings regardless of the current color and linetype settings in the drawing. However, you can create blocks with objects that inherit the current color and linetype settings. These objects have floating color or linetype properties.

You have three choices for how the color and linetype properties of objects are treated when a block reference is inserted.

  • Objects in the block do not inherit color and linetype properties from the current settings. The color and linetype properties of objects in the block do not change regardless of the current settings.

    For this choice, it is recommended that you set the layer, color, and linetype properties individually for each object in the block definition: do not use BYBLOCK or BYLAYER color and linetype settings when creating these objects.

  • Objects in the block inherit color and linetype properties from the color and linetype assigned to the current layer only.
    For this choice, before you create objects to be included in the block definition, set the current layer to 0, and set the current color and linetype to BYLAYER.
  • Objects inherit color and linetype properties from the current color and linetype that you have set explicitly, that is, that you have set to override the color or linetype assigned to the current layer. If you have not explicitly set the color or linetype, then the color and linetype properties are inherited from the color and linetype assigned to the current layer.

    For this choice, before you create objects to be included in the block definition. set the current color or linetype to BYBLOCK.

Example: Controlling Color and Linetype Properties in Blocks

Floating properties also apply to nested blocks when the nested block references and the objects they contain use the settings required for floating properties.


Procedures (Controlling Color and Linetype Properties in Blocks)

Controlling Color and Linetype Properties in Blocks

No entries.


Reference (Controlling Color and Linetype Properties in Blocks)

Controlling Color and Linetype Properties in Blocks

Commands

BLOCK | Creates a block definition from selected objects
COLOR | Sets the color for new objects
DDCOLOR | Sets the color for new objects
DDLMODES | Same as LAYER
DDLTYPE | Same as LINETYPE
LAYER | Manages layers
LINETYPE | Creates, loads, and sets linetypes

System Variables

No entries.


Example (Controlling Color and Linetype Properties in Blocks)

Example: Controlling Color and Linetype Properties in Blocks

A block is defined using the following linetype property settings for each object:

Rectangle linetype | CONTINUOUS
Circle linetype | BYLAYER on layer 0
Triangle linetype | BYBLOCK

The block is then inserted twice on a layer whose linetype assigned is ISO DASH.

The first time the block is inserted, the current linetype property is set to BYLAYER. Both the circle and the triangle inherit their linetype from the linetype setting for the current layer (ISO DASH).

The second time the block is inserted, the current linetype property is set explicitly to ISO DASH DOT, overriding the layer default linetype. The circle still inherits its linetype (ISO DASH) from the current layer, but the triangle inherits its linetype from the current explicit linetype setting (ISO DASH DOT).

The rectangle's linetype remains fixed in each case.


Creating Blocks

To define a block for the current drawing
To create a block library drawing
To create a new drawing file from selected objects
To create a new drawing file from an existing block definition


Creating Blocks

Commands

BASE | Sets the insertion base point for the current drawing
BMAKE | Defines a block or drawing file from selected objects
BMOD | Modifies existing block and drawing descriptions
COLOR | Sets the color for new objects
CONTENT | Finds drawing files, inserts blocks, and attaches xrefs
DDCOLOR | Sets the color for new objects
DDINSERT | Inserts a block or another drawing
DDLMODES | Same as LAYER
DDLTYPE | Same as LINETYPE
EXPORT | Saves objects to other file formats
INSERT | Places a named block or drawing into the current drawing
LAYER | Manages layers
LINETYPE | Creates, loads, and sets linetypes
OOPS | Restores erased objects
WBLOCK | Writes objects to a new drawing file

System Variables

No entries.


Inserting Blocks

When you insert a block, you determine its location, scale factor, and rotation angle. You can specify the scale of a block reference using different X, Y, and Z values. Inserting a block creates an object called a block reference because it references a block definition stored in your current drawing.

Inserting a Drawing File as a Block

When you insert an entire drawing file into another drawing, AutoCAD LT copies the drawing information into the block table of the current drawing as a block definition. Subsequent insertions reference the block definition with different position, scale, and rotation settings, as shown in the following illustration.

For more information, see Creating Drawing Files for Use as Blocks.

Inserting Blocks from Block Libraries

You can insert one or more block definitions from an existing drawing file into your current drawing file. Choose this method when retrieving blocks from block library drawings. A block library drawing contains block definitions of symbols with similar functions. These block definitions are stored together in a single drawing file for easy accessibility and management. For an explanation of the schematic representation shown, see Understanding How Blocks are Stored and Referenced.

For more information, see Creating Block Libraries.

Inserting Blocks at Intervals

You can insert blocks at intervals along a selected geometric object.

  • Use MEASURE to insert a block at measured intervals.
  • Use DIVIDE to insert a block at proportional (evenly spaced) intervals.
Inserting Blocks with Content Explorer

Use Content Explorer to insert blocks from the current drawing or from another drawing. Drag and drop the block names for quick placement. Double-click the block names to specify the precise location, rotation, and scale of the blocks.

For more information, see Using Content Explorer.


Procedures (Inserting Blocks)

Inserting Blocks

To insert a block defined in the current drawing
To insert a drawing file as a block or update an existing block reference
To insert a drawing file as a block using Windows drag and drop
To insert a block using Content Explorer


Procedures (Inserting Blocks-1)

Inserting Blocks

To insert a block defined in the current drawing

  1. From the Insert menu, choose Block.
  2. In the Insert dialog box, enter the block name, or choose Block to choose from a list of block definitions.
  3. If you want to use the pointing device to specify the insertion point, scale, and rotation, select Specify Parameters on Screen. Otherwise, enter values in the Insertion Point, Scale, and Rotation boxes.
  4. If you want the objects in the block to be inserted as individual objects instead of as a single block, select Explode.
  5. Choose OK.

For additional options, use Content Explorer.

Insert toolbar:
Command line equivalent: DDINSERT


Procedures (Inserting Blocks-2)

Inserting Blocks

To insert a drawing file as a block or update an existing block reference

  1. From the Insert menu, choose Block.
  2. In the Insert dialog box, enter the block name, or choose File to search for a drawing file.
  3. If you want to use the pointing device to specify the insertion point, scale, and rotation, select Specify Parameters on Screen. Otherwise, enter values in the Insertion Point, Scale, and Rotation boxes.
  4. If you want the objects in the block to be inserted as individual objects instead of as a single block, select Explode.
  5. Choose OK.
  6. If you are redefining or updating an existing block, choose Redefine when AutoCAD LT displays the message box that warns you that the block name already exists.

For additional options, use Content Explorer.

Insert toolbar:
Command line equivalent: DDINSERT


Procedures (Inserting Blocks-3)

Inserting Blocks

To insert a drawing file as a block using Windows drag and drop

  1. From Windows Explorer or any folder, drag the drawing file icon onto the AutoCAD LT drawing area.
  2. Release the icon.
  3. When you release the pick button, AutoCAD LT prompts you for an insertion point.
  4. Specify the insertion point, scale, and rotation values.


Procedures (Inserting Blocks-4)

Inserting Blocks

To insert a block using Content Explorer

  1. From the Insert menu, choose Content Explorer.

    The Content Explorer window is displayed.

  2. Make sure that Content Explorer is in Block Insert mode. From the Content Explorer File menu, choose Block Insert if necessary.
  3. Do one of the following to list the content you want to insert:
    • Choose a tab. The Current Dwg tab lists all block definitions in the current drawing. Other tabs display drawing files in folders on your computer or on a network drive.
    • From the Content Explorer View menu, choose Tree View. Click the folder that contains the drawing you want to insert.
    • Click the icon of a drawing file displayed either in the Tree View or in a tab that contains the block definition you want to insert.
  4. Do one of the following to insert the content:
    • Drag and drop the drawing file or block into your current drawing. Use this option when you want to insert blocks quickly and move or rotate the blocks to their precise locations later.
    • Double-click the drawing file or block that you want to insert into your current drawing. Use this option when you want to specify the exact placement, rotation, and scale of the block as you insert it. Use this option also when you want to update a block reference in your drawing from the original source drawing file.

Standard toolbar:
Command line equivalent: CONTENT


Reference (Inserting Blocks)

Inserting Blocks

Commands

BUPDATE | Adds or removes thumbnail images from block definitions
CONTENT | Finds drawing files, inserts blocks, and attaches xrefs
DDINSERT | Inserts a block or another drawing
DIVIDE | Places evenly spaced point objects or blocks along the length or perimeter of an object
INSERT | Places a named block or drawing into the current drawing
MEASURE | Places point objects or blocks at measured intervals on an object

System Variables

No entries.


Modifying Blocks

After creating and inserting a block, you may need to modify the individual components of the block definition or the color and linetype properties of a block reference.

If you need to modify one or more objects within a block separately, you can disassemble, or explode, the block into its component objects.


Modifying a Block Definition

You can redefine block definitions in your current drawing. Redefining a block definition affects both previous and future insertions of the block and any associated attributes.

There are two methods for redefining a block definition in the current drawing:

  • Modify the block definition in the current drawing.
  • Modify the block definition in the source drawing and reinsert it into the current drawing.

The method you choose depends on whether you want to make changes in the current drawing only or in a source drawing also.

Modifying a Block Definition in the Current Drawing

To modify a block definition, follow the procedure to create a new block definition, but enter the name of the existing block definition. This replaces the existing block definition, and all the references to that block in the drawing are immediately updated to reflect the new definition.

To save time, you can insert and explode an instance of the original block and then use the resulting objects in creating the new block definition.

Updating a Block Definition That Originated from a Drawing File

Block definitions created in your current drawing by inserting a drawing file are not updated automatically when that other drawing is modified. You can use DDINSERT to update a block definition from the drawing file.

Updating a Block Definition that Originated from a Library Drawing (Advanced)

Content Explorer will not overwrite an existing block definition in a drawing with one that comes from another drawing. To update a block definition that came from a library drawing, use WBLOCK to create a separate drawing file from the library drawing block. Then, use DDINSERT to overwrite the block definition in the drawing that uses the block.

Note: Block descriptions are stripped off when using DDINSERT. Use the Windows clipboard to copy and paste a block description displayed in the BMOD dialog box from one block definition to another.

Modifying the Description of a Block

To modify the Content Explorer description of a block definition, use BMOD. You can also add descriptions to any number of existing blocks by choosing Apply in the Modify Block Description dialog box after entering each description.

Redefining Block Attributes

You can attach attributes to a block when you define or redefine that block. When AutoCAD LT prompts you to select the objects to include in the block definition, include the desired attributes in the selection set. Redefining the attributes in the block definition has the following effects on block references that were previously inserted:

  • Constant attributes, which have a fixed value, are lost and replaced by any new constant attributes.
  • Variable attributes remain unchanged, even if the new block definition has no attributes.
  • New attributes do not appear in the existing block references.

For more information, see Attaching Data to Blocks.


Procedures (Modifying a Block Definition)

Modifying a Block Definition

To modify an existing block definition
To update a block definition that originated from a drawing file
To modify a block description


Procedures (Modifying a Block Definition-1)

Modifying a Block Definition

To modify an existing block definition

  1. Insert and explode the block you want to modify.
  2. Make any changes to the resulting objects.
  3. Create a new block. Use the modified objects, the same insertion point, and the same block name. Choose OK to overwrite the existing block definition.

The block is redefined in the current drawing and all insertions of the block reference are updated automatically.

Command line equivalent: DDINSERT, BMAKE


Procedures (Modifying a Block Definition-2)

Modifying a Block Definition

To update a block definition that originated from a drawing file

  1. From the Insert menu, choose Block.
  2. In the Insert dialog box, choose File.
  3. Select the drawing file that was inserted and choose OK.
  4. In the Warning box, choose OK to redefine the block.
  5. Press ESC to cancel the command.

The block definition is revised and all insertions of the block reference are updated automatically.

Insert toolbar:
Command line equivalent: DDINSERT


Procedures (Modifying a Block Definition-3)

Modifying a Block Definition

To modify a block description

  1. From the Modify menu, choose Object. Then choose Block Description.
  2. To reduce the number of block names listed in the Internal Blocks area, under Filter, enter a wild-card description. For example, enter a* to view only blocks beginning with the letter a.
  3. Under Internal Blocks, choose the block name for which you want to modify the block description.
  4. Under Description, enter or modify the description of the block.
  5. Choose Save Description and then click Close.

Command line equivalent: BMOD


Reference (Modifying a Block Definition)

Modifying a Block Definition

Commands

BLOCK | Creates a block definition from selected objects
BMAKE | Defines a block or drawing file from selected objects
BMOD | Modifies existing block and drawing descriptions
BUPDATE | Adds or removes thumbnail images from block definitions
DDMODIFY | Controls properties of existing objects
EXPLODE | Breaks a compound object into its component objects

System Variables

No entries.


Modifying the Data in Block Attributes

You can edit the values of all attributes that are already attached to a block and inserted in a drawing with DDATTE. To edit the attribute tag or prompt rather than the attribute data, see Modifying a Block Definition.


Procedures (Modifying the Data in Block Attributes)

Modifying the Data in Block Attributes

To edit attribute data

  1. From the Modify menu, choose Objects>Attribute>Single.
  2. Select the block to edit.
  3. In the Edit Attributes dialog box, retype the attribute information as necessary. Then choose OK.

Modify II toolbar:
Command line equivalent: DDATTE


Reference (Modifying the Data in Block Attributes)

Modifying the Data in Block Attributes

Commands

ATTEDIT | Changes attribute information independent of its block definition
DDATTE | Edits the variable attributes of a block

System Variables

No entries.


Changing Block Color and Linetype

You can change the color and linetype of the objects within a block only if the objects in that block were created with floating properties. Blocks containing objects with floating properties inherit their color and linetype from the layer on which they are inserted. Depending on how the objects in the block were created, blocks can also inherit floating color and linetype properties from the current explicit color and linetype that you set to override the layer settings.

If a block was not created using objects with floating color and linetype properties, the only way to change these properties is to redefine the block.

For more information, see Controlling Color and Linetype Properties in Blocks.


Procedures (Changing Block Color and Linetype)

Changing Block Color and Linetype

No entries.


Reference (Changing Block Color and Linetype)

Changing Block Color and Linetype

Commands
< a href="color.htm">COLOR | Sets the color for new objects
DDCOLOR | Sets the color for new objects
DDLMODES | Same as LAYER
DDLTYPE | Same as LINETYPE
LAYER | Manages layers
LINETYPE | Creates, loads, and sets linetypes
System Variables
No entries.


Disassembling a Block Reference (Explode)

If you need to modify one or more objects within a block separately, you can disassemble, or explode, the block reference into its component objects. After making the changes, you can

  • Create a new block definition
  • Redefine the existing block definition
  • Leave the component objects uncombined for other uses

You can automatically explode block references as you insert them by selecting the Explode option in the Insert dialog box.


Procedures (Disassembling a Block Reference (Explode))

Disassembling a Block Reference (Explode)

To explode a block reference

  1. From the Modify menu, choose Explode.
  2. Select the block to explode.

The block reference is disassembled into its component objects; however, the block definition still exists in the drawing for insertion later.

Modify toolbar:
Command line equivalent: EXPLODE


Reference (Disassembling a Block Reference (Explode))

Disassembling a Block Reference (Explode)

Commands

EXPLODE Breaks a compound object into its component objects

System Variables

No entries.


Modifying Blocks

To modify an existing block definition
To update a block definition that originated from a drawing file
To modify a block description
To edit attribute data
To explode a block reference


Modifying Blocks

Commands

ATTEDIT | Changes attribute information independent of its block definition
BLOCK | Creates a block definition from selected objects
BMAKE | Defines a block or drawing file from selected objects
BMOD | Modifies existing block and drawing descriptions
BUPDATE | Adds or removes thumbnail images from block definitions
COLOR | Sets the color for new objects
DDATTE | Edits the variable attributes of a block
DDCOLOR | Sets the color for new objects
DDLMODES | Same as LAYER
DDLTYPE | Same as LINETYPE
DDMODIFY | Controls properties of existing objects
EXPLODE | Breaks a compound object into its component objects
LAYER | Manages layers
LINETYPE | Creates, loads, and sets linetypes

System Variables

No entries.


Attaching Data to Blocks

Blocks can include data such as part numbers, prices, and performance specifications. This data is stored in block attributes. You can extract attribute data from a drawing file to create parts lists, bills of materials, or other reports.

Understanding Block Attributes
Defining Block Attributes
Extracting Block Attribute Data (Advanced)

See Also
Modifying the Data in Block Attributes


Understanding Block Attributes

An attribute is a label or tag that attaches data to a block. Examples of data that might be contained in an attribute are part numbers, prices, comments, and owners' names. The tag is equivalent to a column name in a database table. The following illustration shows tags for type, manufacturer, model, and cost.

Attribute information extracted from a drawing can be used in a spreadsheet or database to produce a parts list or a bill of materials. You can associate more than one attribute with a block, provided that each attribute has a different tag.

Whenever you insert a block that has a variable attribute, AutoCAD LT prompts you to enter data to be stored with the block. If the block has only constant attributes, attributes whose values do not change, AutoCAD LT does not prompt you for a value when you insert the block.

Attributes also can be "invisible." An invisible attribute is not displayed or plotted; however, the attribute information is stored in the drawing file and can be written to an extraction file for use in a database program.


Procedures (Understanding Block Attributes)

Understanding Block Attributes

No entries.


Reference (Understanding Block Attributes)

Understanding Block Attributes

Commands

ATTDEF | Creates an attribute definition
ATTDISP | Globally controls attribute visibility
ATTEDIT | Changes attribute information independent of its block definition
DDATTDEF | Creates an attribute definition
DDATTE | Edits the variable attributes of a block
DDATTEXT | Extracts attribute data
DDEDIT | Edits line text, paragraph text, dimension text, and attribute definitions
DDMODIFY | Controls properties of existing objects

System Variables

AFLAGS Sets attribute flags for ATTDEF bit-code


Defining Block Attributes

To create an attribute, you first create an attribute definition, which describes the characteristics of the attribute. The characteristics include the tag, the prompt displayed when you insert the block, value information, text formatting, location, and any optional modes (Invisible, Constant, Verify, and Preset).

After creating the attribute definition, you select it as one of the objects when you define the block. Then, whenever you insert the block, AutoCAD LT prompts you with the text you specified for the attribute. For each new block insertion, you can specify a different value for the attribute.

To use several attributes together, define them and then include them in the same block. For example, you can define attributes tagged "Parts," "Materials," and "Thickness" and then include them in a block called PARTS_DATA.

If you plan to extract the attribute information for use in a parts list, you may want to keep a list of the attribute tags you have created. You will need this tag information later when you create the attribute template file.

Correcting Mistakes in Block Attribute Definitions

If you make a mistake, you can use DDMODIFY or DDEDIT to edit an attribute definition before it is associated with a block. You can change the tag, prompt, and default value.

Attaching Attributes to Blocks

You can attach attributes to a block when you define or redefine that block. When AutoCAD LT prompts you to select the objects to include in the block definition, include in the selection set any desired attributes you want to attach to the block.

To attach several attributes to the same block, first define the attributes, and then include them in the block definition. The order in which you select the attributes determines the order in which you are prompted for attribute information when you insert the block. Usually, the order of the attribute prompts is the same as the order in which you selected the attributes when you created the block. However, if you used crossing or window selection to select the attributes, the order of the prompts is the reverse of the order in which you created attributes. The selection order also depends on object sort method settings. Make sure the object sort method in the Object Selection Settings dialog box (DDSELECT) is set for object selection if you plan to use crossing or window selection.

Using Attibutes Without Attaching Them to Blocks

Attributes can also be created in a stand-alone drawing. Once attributes have been defined, and the drawing is saved, this drawing file can be inserted into another drawing. When the drawing is inserted, AutoCAD LT prompts you for the attribute values.


Procedures (Defining Block Attributes)

Defining Block Attributes

To create an attribute definition
To edit an attribute definition before it is associated with a block


Procedures (Defining Block Attributes-1)

Defining Block Attributes

To create an attribute definition

  1. From the Draw menu, choose Block>Define Attributes.
  2. In the Attribute Definition dialog box, set the attribute modes and enter tag information, location, and text options.
  3. Choose OK.

Modify II toolbar:
Command line equivalent: DDATTDEF


Procedures (Defining Block Attributes-2)

Defining Block Attributes

To edit an attribute definition before it is associated with a block

  1. From the Modify menu, choose Properties.
  2. Use the pointing device to select the attribute object you want to edit.
  3. In the Modify Attribute Definition dialog box, enter the attribute tag, prompt, and default value. Then choose OK.

Object Properties toolbar:
Command line equivalent: DDMODIFY


Reference (Defining Block Attributes)

Defining Block Attributes

Commands

ATTDEF | Creates an attribute definition
ATTDISP | Globally controls attribute visibility
DDATTDEF | Creates an attribute definition
DDEDIT | Edits line text, paragraph text, dimension text, and attribute definitions
DDMODIFY | Controls properties of existing objects
DDSELECT | Sets object selection modes

System Variables

AFLAGS Sets attribute flags for ATTDEF bit-code


Extracting Block Attribute Data (Advanced)

You can extract attribute information from a drawing and create a separate text file for use with database software. This feature is useful for creating parts lists with information already entered in the drawing database. Extracting attribute information does not affect the drawing.

To create a parts list

  • Create and edit an attribute definition
  • Enter values for the attributes as you insert the blocks
  • Create a template file and then extract attribute information to a text file

To extract attribute information, you first create an attribute extraction template file using any text processor, then generate the attribute extraction file using AutoCAD LT, and, finally, open the attribute extraction file in a database application.

Note: If you plan to extract the attribute information to a DXF (drawing interchange format) file, it is not necessary to first create an attribute extraction template file.

Creating an Attribute Extraction Template File

Before you extract attribute information, you must create an ASCII template file to instruct AutoCAD LT how to structure the file that will contain the extracted attribute information. The template file contains information about the tag name, data type, field length, and number of decimal places associated with the information you want to extract. The illustration and table show an example of the type of information you're likely to extract, including block name, manufacturer, model number, and cost.

Example of template file information

Field | (C)haracter or (N)umeric data | Maximum field length | Decimal places
Block name | C | 040 | 000
Manufacturer | C | 006 | 000
Model | C | 015 | 000
Cost | N | 006 | 002

You can create any number of template files, depending on how you'll use the data. Each line of a template file specifies one field to be written in the attribute extraction file. The following table describes what you can specify. You may use some or all of these fields.

Follow these additional guidelines:

  • Be sure to place a space between the attribute tag and the character or numeric data. Use SPACEBAR, not TAB, to enter the space.
  • Press ENTER at the end of each line, including the last line.
  • Each attribute extraction template file must include at least one attribute tag field, but the same field can appear only once in the file.
Creating an Attribute Extraction File

After creating a template file, you can extract the attribute information using one of the following formats:

  • Comma-delimited file (CDF)
  • Space-delimited file (SDF)
  • Drawing interchange file (DXF)

The CDF format produces a file containing one record for each block reference in a drawing. A comma separates the fields of each record, and single quotation marks enclose the character fields. Some database applications can read this format directly.

The SDF format also produces a file containing one record for each block reference in a drawing. The fields of each record have a fixed width and employ neither field separators nor character-string delimiters. The dBASE III Copy . . . SDF operation also produces SDI-format files. The Append From . . . SDF operation can read a file in dBASE IV format, which user programs written in FORTRAN can easily process.

The DXF format option produces a subset of the drawing interchange file format containing only block reference, attribute, and end-of-sequence objects. This option requires no attribute extraction template. The file extension .dxx distinguishes an extraction file in DXF format from normal DXF files.

Using the Attribute Extraction File

The attribute extraction file lists values and other information for the attribute tags you specified in the template file.

If you specified a CDF format using the same template file shown under Creating an Attribute Extraction File the output might appear as follows.

'DESK', 120.0, 49.5, 'ACME INDUST.', '51-793W', 379.95
'CHAIR', 122.0, 47.0, 'ACME INDUST.', '34-902A', 199.95
'DESK', -77.2, 40.0, 'TOP DRAWER INC.', 'X-52-44',249.95

If you specified an SDF format using the sample template, the file might be similar to the following example.

(NAME) | (X) | (Y) | (SUPPLIER) | (MODEL) | (PRICE)
DESK | 120.0 | 49.5 | ACME INDUST. | 51-793W | 379.95
CHAIR | 122.0 | 47.0 | ACME INDUST. | 34-902A | 199.95
DESK | -77.2 | 40.0 | TOP DRAWER INC. | X-52-44 | 249.95

The order of the fields corresponds to the order of the fields in the template files. You can use these files in other applications, such as spreadsheets, and you can sort and manipulate the data as needed. For example, you can open an attribute extraction file in Microsoft Excel in which you can specify a separate column for each field. See your spreadsheet program's documentation for information about how to use data from other applications. If you open the file in Notepad or another Windows text processor, you can paste the information back into AutoCAD LT as text.


Procedures (Extracting Block Attribute Data (Advanced))

Extracting Block Attribute Data (Advanced)

To create an attribute extraction template file
To extract attribute information


Procedures (Extracting Block Attribute Data (Advanced)-1)

Extracting Block Attribute Data (Advanced)

To create an attribute extraction template file

  1. From the Windows 95 Accessories menu, choose Notepad or use another ASCII text editor.
  2. Enter the template information following the guidelines described in the Reference table, Fields in the attribute extraction template file.
  3. Save the file with a .txt file extension.


Procedures (Extracting Block Attribute Data (Advanced)-2)

Extracting Block Attribute Data (Advanced)

To extract attribute information

  1. At the Command prompt, enter ddattext.
  2. In the Attribute Extraction dialog box, select the appropriate file format.
  3. Choose Select Objects. Use the pointing device to select the objects to extract attributes from. Enter all to select all objects in the drawing.
  4. In the Attribute Extraction dialog box, enter the template file to use. To select from a list of files, choose Attribute Template File.
  5. In the Output File box, enter a name for the attribute extraction file.

    This name should differ from the attribute extraction template file name, or you will overwrite the template file. To select from a list of existing attribute extraction files, choose Output File.

  6. Choose OK.

Command line equivalent: DDATTEXT


Reference (Extracting Block Attribute Data (Advanced))

Extracting Block Attribute Data (Advanced)

Commands

DDATTEXT Extracts attribute data

System Variables

No entries.


Attaching Data to Blocks

To create an attribute definition
To edit an attribute definition before it is associated with a block
To create an attribute extraction template file
To extract attribute information


Attaching Data to Blocks

Commands

ATTDEF | Creates an attribute definition
ATTDISP | Globally controls attribute visibility
ATTEDIT | Changes attribute information independent of its block definition
DDATTDEF | Creates an attribute definition
DDATTE | Edits the variable attributes of a block
DDATTEXT | Extracts attribute data
DDEDIT | Edits line text, paragraph text, dimension text, and attribute definitions
DDMODIFY | Controls properties of existing objects

System Variables

AFLAGS Sets attribute flags for ATTDEF bit-code


Removing Block Definitions

To reduce the size of a drawing, you can remove unused block definitions. You can remove a block reference from your drawing by erasing it; however, the block definition remains in the database. To remove unused block definitions and decrease the drawing size, use PURGE at any time in your drawing session.

All references to a block must be erased before you can purge the block definition.


Procedures (Removing Block Definitions)

Removing Block Definitions

To remove a block definition

  1. From the File menu, choose Drawing Utilities. Then choose Purge and then Blocks.
  2. On the command line, press ENTER to list all block names and then enter y to verify each block name before removing it.
  3. On the command line, enter y for the block definitions that you want to remove.

Command line equivalent: PURGE


Reference (Removing Block Definitions)

Removing Block Definitions

Commands

PURGE Removes unused named objects, such as blocks or layers, from the drawing database

System Variables

No entries.


Using the Content Explorer

Using Content Explorer

Content Explorer provides an easy, powerful method for inserting blocks and attaching xrefs. You can use it to locate drawing files and blocks, view block icon images and descriptions, and create tabs associated with drawings and folders on your computer or network drive.

Content Explorer consists of three primary components:

  • The Content View area displays names and icons of drawing files and blocks.
  • The Tree View area, when expanded, displays a method for easy navigation of drives and folders. Tabs can be created and assigned to drawings and folders as a navigation shortcut.
  • The Find dialog box accepts criteria for finding files and blocks.


Finding Content

To locate drawing files and blocks, you can specify criteria with the Find dialog box, or you can browse through drives and folders using Tree View. The Current Dwg tab lists all block definitions in the current drawing.

Locating Content Using the Find Dialog Box

The Find dialog box accepts criteria for locating drawing files and blocks. The criteria you specify can include

  • Name, drive, and folder
  • Date created or modified (previous months/days)
  • Block name, block attribute tag name, and related criteria

AutoCAD LT searches the specified drives and folders for drawing files and blocks that match the criteria you entered. The search results are displayed in a list at the bottom of the AutoCAD LT Find dialog box. Double-clicking on a name in the list displays the drawing name or icon in the Content View area along with other drawings in the folder.

Browsing for Content Using Tree View

You can expand and use the Tree View to browse for drawing files and blocks:

  • Click a drive or folder to display a list of drawing files in the Content View area.
  • Click a drawing file to display a list of blocks in the Content View area.
Examining Content with Content View

Drawings and blocks are displayed in the Content View area as icons or a list of names. You can display a preview or a description of a selected drawing or block in the Content View. You can also perform the following operations:

  • Save the drawing in AutoCAD LT 97 or in AutoCAD Release 14 to create an icon image of the drawing automatically.
  • Use BMAKE to include a short description with a drawing or block.
  • Use BMOD to change the existing description of the current drawing or a block.
  • Use BUPDATE to add or remove block icons from the current drawing.
  • Use the LT DWG Update utility to add or remove block icons from a list of drawings that you specify.


Procedures (Finding Content)

Finding Content

To display a preview or a description of a drawing or a block
To display a list of block definitions in the current drawing
To find a drawing file or a block


Finding Content-1

Finding Content

To display a preview or a description of a drawing or a block

  1. From the View menu, choose Content Explorer.
  2. From the Content Explorer View menu, choose one of the following:
    • Preview displays a graphical preview of a selected drawing or block.
    • Description displays a short textual description of a selected drawing or block.

Standard toolbar:
Command line equivalent: CONTENT


Finding Content-2

Finding Content

To display a list of block definitions in the current drawing

  1. From the View menu, choose Content Explorer.
  2. From the right side of the Content View area, choose the Current DWG tab.
In the Content Explorer View menu, you can choose to display both names and icons of blocks, or names only.

Standard toolbar:
Command line equivalent: CONTENT


Finding Content-3

Finding Content

To find a drawing file or a block

  1. From the View menu, choose Content Explorer.
  2. From the Content Explorer View menu, choose Find.
  3. Enter the criteria for your search on any tab in the AutoCAD LT Find dialog box.
  4. Choose Find Now.
  5. Double-click a name to display the drawing or block in the Content View area.

Standard toolbar:
Command line equivalent: CONTENT


Reference (Finding Content)

Finding Content

Commands

BMAKE | Defines a block or drawing file from selected objects
BMOD | Modifies existing block and drawing descriptions
CONTENT | Finds drawing files, inserts blocks, and attaches xrefs

System Variables

No entries.


Working with Tabs and Tab Sets

Tabs on the right side of the Content Explorer help you choose folders and blocks quickly. Two tabs are always available:

  • The Current Dwg tab lists the blocks in the current drawing.
  • The Tree View tab, when the Tree View area is expanded, lists drawings in the currently selected folder or blocks in the currently selected drawing.

You can create additional tabs as shortcuts to file folders. Once you create additional tabs, save them for future use in a tab set. You can also

  • Change the order in which the tabs are displayed by dragging them.
  • Rename or delete an existing tab.
  • Delete all currently loaded tabs except Current Dwg and Tree View.
  • Retrieve a saved set of tabs appropriate for a particular task.
  • Merge saved tab sets together.
  • Suppress loading the default tab set when creating a new drawing or opening an existing drawing that lacks a tab set.

Tabs are also convenient for moving drawing files between folders. You can drag and drop any drawing file from the current tab to another tab.

Controlling the Default Tab Set

A default tab set is displayed in Content Explorer under two conditions:

  • When you create a new drawing.
  • When you open an existing drawing that was saved without an associated tab set.
The default tab set that you selected when installing AutoCAD LT is stored as aclt.set for drawings with English (imperial) settings and acltiso.set for drawings with metric settings.

You can change the default tab set by opening the desired tab set and saving it as aclt.set or acltiso.set.


Procedures (Working with Tabs and Tab Sets)

Working with Tabs and Tab Sets

To create a new tab
To move a tab to a different position in the row of tabs
To save a tab set
To move a drawing from one tab to another


Procedures (Working with Tabs and Tab Sets-1)

Working with Tabs and Tab Sets

To create a new tab

  1. From the View menu, choose Content Explorer.
  2. From the Content Explorer View menu, choose Tree View to display the Tree View area.
  3. Use the Tree View to select a folder for which you want to create a tab.
  4. From the Content Explorer Tab menu, choose Create.
  5. In the Create Tab dialog box, enter a tab name and choose OK.

Standard toolbar:
Command line equivalent: CONTENT


Procedures (Working with Tabs and Tab Sets-2)

Working with Tabs and Tab Sets

To move a tab to a different position in the row of tabs

  1. Drag and drop the tab you want to reposition between two other tabs.
  2. If you want to make the change permanent, follow the steps in To save a tab set.

Standard toolbar:
Command line equivalent: CONTENT


Procedures (Working with Tabs and Tab Sets-3)

Working with Tabs and Tab Sets

To save a tab set

  1. From the View menu, choose Content Explorer.
  2. From the Content Explorer View menu, choose Save As Tab Set.
  3. In the Save As dialog box, enter a name for the tab set and choose Save.

Standard toolbar:
Command line equivalent: CONTENT


Procedures (Working with Tabs and Tab Sets-4)

Working with Tabs and Tab Sets

To move a drawing from one tab to another

  1. From the View menu, choose Content Explorer.
  2. From the Content Explorer Tab menu, choose Open Tab Set.
  3. In the Open dialog box, select a tab set and choose Open.
  4. Choose the tab where the drawing file you want to move is located.
  5. Drag and drop the drawing file to a different tab.

The drawing file is moved to a different folder.

Standard toolbar:
Command line equivalent: CONTENT


Reference (Working with Tabs and Tab Sets)

Working with Tabs and Tab Sets

Commands

CONTENT Finds drawing files, inserts blocks, and attaches xrefs

System Variables

No entries.


Adding Content to Drawings

Content Explorer provides convenient access to three types of sources for adding content to your drawing:

  • Existing block definitions in the current drawing
  • External drawing files for either insertion as blocks or attachment as xrefs
  • Block definitions in other drawing files (library drawings)

When you want to use Content Explorer as a palette for adding content quickly, use drag and drop. When you need to specify the precise location, rotation, and scale of the content, use double-clicking.

For additional options when attaching external references, use XREF.


Procedures (Adding Content to Drawings)

Adding Content to Drawings

To add content by dragging and dropping
To add content by specifying the exact location, rotation, and scale


Procedures (Adding Content to Drawings-1)

Adding Content to Drawings

To add content by dragging and dropping

  1. For precise placement, turn on Snap by double-clicking the Snap button in the status bar or by pressing F9.
  2. From the Standard toolbar, choose Content Explorer.
  3. From the Content Explorer File menu, choose one of the following:
    • Block Insert
    • Xref Attach
  4. Select a tab or a folder.

    If you want to drag and drop a block from another drawing, select the drawing from the Tree View to display the block definitions in that drawing.

  5. Drag and drop a drawing file or a block from the Content View area to the drawing.

The content is added with no rotation and at a 1:1 scale.

Standard toolbar:
Command line equivalent: CONTENT


Procedures (Adding Content to Drawings-2)

Adding Content to Drawings

To add content by specifying the exact location, rotation, and scale

  1. From the Standard toolbar, choose Content Explorer.
  2. From the Content Explorer File menu, choose one of the following:
    • Block Insert
    • Xref Attach
  3. Select a tab from the content view area or a folder from the Tree View.

    If you want to insert a block from another drawing, select the drawing from the Tree View to display the block definitions in the drawing.

  4. Double-click a drawing file or block in the Content View area.
  5. Specify the insertion point on the command line. If you are inserting a block, enter also the scale and rotation.

Standard toolbar:
Command line equivalent: CONTENT


Reference (Adding Content to Drawings)

Adding Content to Drawings

Commands

CONTENT Finds drawing files, inserts blocks, and attaches xrefs

System Variables

No entries.


Using the Content Explorer

Using Content Explorer

To display a preview or a description of a drawing or a block
To display a list of block definitions in the current drawing
To find a drawing file or a block
To create a new tab
To move a tab to a different position in the row of tabs
To save a tab set
To move a drawing fom one tab to another
To add content by dragging and dropping
To add content by specifying the exact location, rotation, and scale


Using the Content Explorer

Using Content Explorer

Commands

BMAKE | Defines a block or drawing file from selected objects
BMOD | Modifies existing block and drawing descriptions
CONTENT | Finds drawing files, inserts blocks, and attaches xrefs

System Variables

No entries.


Using Symbols (Blocks)

To define a block for the current drawing
To create a block library drawing
To create a new drawing file from selected objects
To create a new drawing file from an existing block definition
To insert a block defined in the current drawing
To insert a drawing file as a block or update an existing block reference
To insert a drawing file as a block using Windows drag and drop
To insert a block using Content Explorer
To modify an existing block definition
To update a block definition that originated from a drawing file
To modify a block description
To edit attribute data
To explode a block reference
To create an attribute definition
To edit an attribute definition before it is associated with a block
To create an attribute extraction template file
To extract attribute information
To remove a block definition
To display a preview or a description of a drawing or a block
To display a list of block definitions in the current drawing
To find a drawing file or a block
To create a new tab
To move a tab to a different position in the row of tabs
To save a tab set
To move a drawing from one tab to another
To add content by dragging and dropping
To add content by specifying the exact location, rotation, and scale


Using Symbols (Blocks)

Commands

ATTDEF | Creates an attribute definition
ATTDISP | Globally controls attribute visibility
ATTEDIT | Changes attribute information independent of its block definition
BLOCK | Creates a block definition from selected objects
BMAKE | Defines a block or drawing file from selected objects
BMOD | Modifies existing block and drawing descriptions
BUPDATE | Adds or removes thumbnail images from block definitions
COLOR | Sets the color for new objects
CONTENT | Finds drawing files, inserts blocks, and attaches xrefs
DDATTDEF | Creates an attribute definition
DDATTE | Edits the variable attributes of a block
DDATTEXT | Extracts attribute data
DDCOLOR | Sets the color for new objects
DDEDIT | Edits line text, paragraph text, dimension text, and attribute definitions
DDINSERT | Inserts a block or another drawing
DDLMODES | Same as LAYER
DDLTYPE | Same as LINETYPE
DDMODIFY | Controls properties of existing objects
DIVIDE | Places evenly spaced point objects or blocks along the length or perimeter of an object
EXPLODE | Breaks a compound object into its component objects
INSERT | Places a named block or drawing into the current drawing
LAYER | Manages layers
LINETYPE | Creates, loads, and sets linetypes
MEASURE | Places point objects or blocks at measured intervals on an object
OOPS | Restores erased objects
PURGE | Removes unused named objects, such as blocks or layers, from the drawing database
WBLOCK | Writes objects to a new drawing file

System Variables

AFLAGS Sets attribute flags for ATTDEF bit-code


SYSWINDOWS

SYSWINDOWS Command

Arranges windows

Command line: syswindows

Cascade / tileHorz / tileVert / Arrangeicons: Enter an option

The SYSWINDOWS command is equivalent to the standard Window menu options in Windows applications.

Cascade

Overlaps windows with visible title bars.

Tilehorz

Arranges windows in horizontal, nonoverlapping tiles.

Tilevert

Arranges windows in vertical, nonoverlapping tiles.

Arrangeicons

Arranges the window icons.


Creating and Modifying Text

Text conveys important information in your drawing. You use text for title blocks, to label parts of the drawing, to give specifications, or to make annotations. Text that is included in a dimension or tolerance is created using the dimensioning commands.

AutoCAD LT provides various ways to create text. For short, simple entries, use single-line text. For longer entries with internal formatting, use multiline text, also called paragraph text. Although all entered text uses the current text style, which establishes the default font and format settings, you can use several methods to customize the text appearance.


Working with Text Styles

All text in an AutoCAD LT drawing has a text style associated with it. When you enter text, AutoCAD LT uses the current text style, which sets the font, size, angle, orientation, and other text characteristics. If you want to create text using a different text style, you can make another text style current. The example shows the settings for the STANDARD text style.

Example: Default Text Style Settings

The settings for the current text style are displayed at the prompts on the command line. You can use or modify the current text style or create and load a new text style. Once you've created a text style, you can modify its characteristics, change its name, or delete it when you no longer need it.

Creating and Modifying Text Styles

Except for the default STANDARD text style, you must create any text style that you want to use.

Text style names can be up to 31 characters long. They can contain letters, numbers, and the special characters dollar sign ($), underscore (_), and hyphen (-). AutoCAD LT converts the characters to uppercase. If you don't enter a text style name, AutoCAD LT automatically names the text style Stylen, where n is a number that starts at 1.

You can modify an existing text style in the Text Style dialog box by changing the settings. You can also update existing text of that text style to reflect the changes.

If you change an existing style's font or orientation, all text using that is affected as follows:

  • Font, font style (bold, italic), and orientation (upside down, backwards, vertical) change
  • Text height, width factor (compression), and obliquing angle do not change

If you rename an existing text style, any text using the old name assumes the new text style name.

You can remove any text styles not referenced in your drawing except the STANDARD text style. You can purge a text style at any time during your drawing session.

Using Text Styles with Previous Releases

In previous releases of AutoCAD LT, you could display PostScript fonts in your drawing. Because AutoCAD LT 97 cannot display PostScript fonts, Autodesk has supplied TrueType font equivalents in place of the PostScript fonts supplied with previous releases. The PostScript fonts supported in previous releases are mapped to the equivalent TrueType file in a font mapping file supplied by AutoCAD LT.


Assigning Text Fonts

Fonts define the shapes of the text characters that make up each character set. In AutoCAD LT, you can use TrueType fonts in addition to AutoCAD LT's own compiled (SHX) fonts.

A single font can be used by more than one text style. If your company has a standard font, you can modify other text style settings to create a set of text styles that use this standard font in different ways. The following illustration shows the same font used by different text styles that use different obliquing settings to define the slant of the text.

You can assign a font to a text style by selecting a font file from the list in the Select Font File dialog box.


Using TrueType Fonts

TrueType fonts always appear filled in your drawing; however, when you plot, the TEXTFILL system variable controls whether the fonts are filled. By default TEXTFILL is set to 1 to plot the filled-in fonts.

To increase the speed and performance of TrueType fonts in this release of AutoCAD LT, the Windows operating system draws most TrueType text directly. Due to limitations in Windows, however, AutoCAD LT itself must draw TrueType text that is transformed in certain ways: for instance, mirrored, upside-down, backwards, oblique, with a width factor not equal to 1, or in an orientation that is not co-planar with the screen. A general rule is that TrueType text that looks the same in AutoCAD LT as it would in a word processor is drawn by the Windows system; otherwise, the TrueType text is drawn by AutoCAD LT. Text drawn by AutoCAD LT might appear slightly more bold in some circumstances, especially at low resolution. This difference affects only the display of the font, not the plotted output.

See Also
Setting Text Height


Procedure: Using TrueType Fonts

Using TrueType Fonts

To assign a font to a text style

  1. From the Format menu, choose Text Style.
  2. In the Text Style dialog box under Style Name, select a style.
  3. Under Font Name, enter the name of a font file or check Big Font to select an Asian-language big font.

    When you check Use Big Font, the Font Style box changes to a Big Font Name box. Only SHX fonts are available for selection, and only Big Font names are shown in the Big Font box.

  4. To see the effects on different characters, enter a new text string in the sample text box, and then view the text under Preview.
  5. To update text of the current style in the drawing, choose Apply.
  6. Choose Close.

Command line equivalent: STYLE


Using TrueType Fonts

Commands

QTEXT | Controls the display and plotting of text and attribute objects
STYLE | Creates named text styles

System Variables

QTEXTMODE | Controls how text is displayed
TEXTFILL | Controls the filling of TrueType fonts while plotting, exporting with PSOUT, and rendering
TEXTQLTY | Sets the resolution of TrueType fonts while plotting and exporting with PSOUT


Using Unicode and Big Fonts

AutoCAD LT supports the Unicode character-encoding standard. A Unicode font can contain 65,535 characters, with shapes for many languages. Unicode fonts contain many more characters than are defined in your system; therefore, to use a character not directly available from the keyboard, you can enter the escape sequence \U+nnnn, where nnnn represents the Unicode hexadecimal value for the character. All AutoCAD LT SHX shape fonts are now Unicode fonts.

The SHX fonts used in releases prior to AutoCAD LT for Windows 95 do not support the \U+nnnn sequence. However, you can continue to generate accented characters by using characters in the 128–256 range.

The text files for some alphabets, such as kanji, contain thousands of non-ASCII characters. To accommodate such text, AutoCAD LT supports a special type of shape definition known as a Big Font file. You can set a style to use both regular and Big Font files.

When you specify fonts, AutoCAD LT assumes that the first name is the normal font and the second (separated by a comma) is the Big Font. If you enter only one name, AutoCAD LT assumes it's the normal font and removes any associated Big Font. By using leading or trailing commas when specifying the font file names, you can change one font without affecting the other, as shown in the following table.
Enter this... | To specify this...
font,big font | Both normal font and Big Font
font, | Only a normal font (Big Font unchanged)
,big font | Only a Big Font (normal font unchanged)
font | Only a normal font (Big Font, if any, removed)
ENTER (null response) | No change

Note: AutoCAD LT does not accept long file names that contain commas as font file names. The comma is interpreted as a separator for an SHX font–Big Font pair.

See Also
Substituting Fonts


Procedure: Using Unicode and Big Fonts

Using Unicode and Big Fonts

To assign a font to a text style

  1. From the Format menu, choose Text Style.
  2. In the Text Style dialog box under Style Name, select a style.
  3. Under Font Name, enter the name of a font file or check Big Font to select an Asian-language big font.

    When you check Use Big Font, the Font Style box changes to a Big Font Name box. Only SHX fonts are available for selection, and only Big Font names are shown in the Big Font box.

  4. To see the effects on different characters, enter a new text string in the sample text box, and then view the text under Preview.
  5. To update text of the current style in the drawing, choose Apply.
  6. Choose Close.

Command line equivalent: STYLE


Using Unicode and Big Fonts

Commands

STYLE Creates named text styles

System Variables

SYSCODEPAGE Indicates the system code page specified in the aclt.xmx file


Proxy Fonts

Substituting Fonts

AutoCAD LT accommodates a font that is not currently on your system by substituting another font.

Specifiying an Alternative Font

If your drawing specifies a font that is not currently on your system, AutoCAD LT automatically substitutes the font designated as your alternative font. By default, AutoCAD LT uses the simplex.shx file. If you want to specify a different font, enter the alternative font file name by changing the FONTALT system variable. If you use a text style that uses a Big Font, you can map it to another font using the FONTALT system variable. This system variable uses a default font file pair of txt.shx, bigfont.shx. For more information, see Using Unicode and Big Fonts.

In previous releases of AutoCAD LT, you could display PostScript fonts in the drawing. AutoCAD LT 97 cannot display PostScript fonts, Autodesk has supplied TrueType font equivalents in place of the PostScript fonts supplied with previous releases. These PostScript fonts are mapped to the equivalent TrueType fonts in a font mapping file supplied by AutoCAD LT.

Displaying Proxy Fonts

For third-party or custom SHX fonts that have no TrueType equivalent, AutoCAD LT substitutes one of several different TrueType fonts called proxy fonts. In the Multiline Text Editor dialog box, proxy fonts have a different appearance from the fonts they represent to indicate that they are substitutions for the fonts used in the drawing.

Custom SHX fonts do not appear on the Character tab in the Multiline Text Editor dialog box. If you want to format characters by assigning one of these fonts, first create a text style that uses the font and then apply that text style to the characters.

Using Font Mapping files

Sometimes you might want to ensure that your drawing uses only certain fonts, or perhaps you might want to convert the fonts you used to other fonts. You can use any text editor to create font mapping tables for both of these purposes.

You can use these font mapping files to enforce corporate font standards, or to facilitate off-line printing. For example, if you share drawings with consultants, you may want to use a font mapping table to specify what font AutoCAD LT substitutes when it encounters a text object created with another font. Similarly, you can edit the drawing using quicker-drawing SHX fonts and then switch to more complex fonts for the final plot by setting up a font mapping file that converts each SHX font to an equivalent.

The font mapping file is a plain ASCII text (FMP) file containing one font mapping per line. Each line contains the name of a font file (with no directory name or path) followed by a semicolon (;) and the name of the substitute font file. The substitute file name includes a file extension such as .ttf.

For example, you could use the following entry in a font map table to specify that the times.ttf TrueType font file be substituted for the romanc.shx font file:

romanc.shx; times.ttf

AutoCAD LT comes with a default font mapping file. You can edit this file using any ASCII text editor. You also can specify a different font mapping file in the Preferences dialog box, by using the FONTMAP system variable.

Example: Font Substitution Rules


Example: Font Substitution Rules

The following table shows the font substitution rules AutoCAD LT uses if it cannot locate a font file when a drawing is opened.

File Extension | Mapping Order |  |  |
.ttf | Users FONTMAP value | Uses font defined in text style | Windows substitutes similar font |
.shx | Users FONTMAP value | Uses font defined in text style | Uses FONTALT | Prompts for new font
.pfd | Users FONTMAP value | Uses FONTALT value | Prompts for new font |


Procedure: Proxy Fonts

Substituting Fonts

To specify a font mapping file
To specify a default alternative font


To specify a font mapping table

Substituting Fonts

To specify a font mapping file

  1. From the Tools menu, choose Preferences.
  2. In the list on the Files tab, double-click Dictionary and Font File Names.
  3. Double-click Font Mapping File.

    The aclt.fmp file is specified by default.

  4. To change the font mapping file, double-click the arrow line to specify a new file in the Select a File dialog box.
  5. At the Command line, enter regen to convert existing text using the new font mappings.

Command line equivalent: PREFERENCES


To specify a default alternative font

Substituting Fonts

To specify a default alternative font

  1. At the Command prompt, enter fontalt.
  2. Enter the name of the font file you want to use as the alternative.


Proxy Fonts

Substituting Fonts

Commands

MTEXT | Creates paragraph text
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

FONTALT | Specifies the alternate font to be used when the specified font file cannot be located
FONTMAP | Specifies the font mapping file to be used


Assigning Text Fonts

To assign a font to a text style
To specify a font mapping file
To specify a default alternative font


Assigning Text Fonts

To assign a font to a text style

  1. From the Format menu, choose Text Style.
  2. In the Text Style dialog box under Style Name, select a style.
  3. Under Font Name, enter the name of a font file or check Use Big Font to select an Asian-language big font.

    When you check Use Big Font, the Font Style box changes to a Big Font Name box. Only SHX fonts are available for selection, and only Big Font names are shown in the Big Font box.

  4. To see the effects on different characters, enter a new text string in the sample text box, press Preview and then view the text under Preview.
  5. To update text of the current style in the drawing, choose Apply.
  6. Choose Close.

Command line equivalent: STYLE


Assigning Text Fonts

Commands

STYLE Creates named text styles

System Variables

FONTALT | Specifies the alternate font to be used when the specified font file cannot be located
FONTMAP | Specifies the font mapping file to be used
SYSCODEPAGE | Indicates the system code page specified in the aclt.xmx file


Setting Text Height

Text height determines the size in drawing units of the letters in the font you are using. Except in TrueType fonts, the value usually represents the size of the uppercase letters.

If you specify a fixed height as part of a text style, AutoCAD LT bypasses the Height prompt when you create single-line text. When the height is set to 0 in the text style, AutoCAD LT prompts for the height each time you create single-line text. Set the value to 0 if you want to specify the height as you create text.

TrueType Fonts

For TrueType fonts, the value specified for text height represents the height of a capital letter plus an ascent area reserved for accent marks and other marks used in non-English languages. The relative portion of text height that is assigned to capital letters and ascent characters is determined by the font designer at the time the font is designed; consequently, it varies from font to font.

In addition to the height of a capital letter and the ascent area that make up the text height specified by the user, TrueType fonts have a descent area for portions of characters that extend below the text insertion line, for example, y, j, p, g, and q.


Setting Text Height

To set text height in a text style

  1. From the Format menu, choose Text Style.
  2. In the Text Style dialog box, select a style from the Style Name list.
  3. Under Font, enter the text height (in drawing units) in the Height box.
  4. To update text of the current style in the drawing, choose Apply.
  5. Choose Close.

Note: The height of text in the multiline text editor may be adjusted by AutoCAD LT to fit within the width of the dialog box.

Command line equivalent: STYLE


Setting Text Height

Commands

PSUPDATE | Adjusts the size of all PostScript text in a drawing
STYLE | Creates named text styles

System Variables

TEXTSIZE | Sets the default height for new text objects drawn with the current text style
TEXTSTYLE | Sets the name of the current text style


Setting Obliquing Angle

The obliquing angle determines the forward or backward slant of the text. The angle represents the offset from 90 degrees.

Entering a value between -85 and 85 makes the text oblique. A positive obliquing angle slants text to the right. A negative obliquing angle slants text to the left.


Setting Obliquing Angle

To set the obliquing angle in a text style

  1. From the Format menu, choose Text Style.
  2. In the Text Style dialog box, select a style from the Style Name list.
  3. Under Effects, enter an angle in the Oblique Angle box.
  4. To update text of the current style in the drawing, choose Apply.
  5. Choose Close.

Command line equivalent: STYLE


Setting Obliquing Angle

Commands

STYLE Creates named text styles

System Variables

No entries.


Setting Horizontal or Vertical Orientation

AutoCAD LT orients lines of text to be vertical or horizontal. Text can have a vertical orientation only if the associated font supports dual orientation. You can create more than one line of vertical text. Each successive text line is drawn to the right of the preceding line. The normal rotation angle for vertical text is 270 degrees.

Note: Vertical orientation is not supported for TrueType fonts.


Setting Horizontal or Vertical Orientation

To set vertical orientation in a text style

  1. From the Format menu, choose Text Style.
  2. In the Text Style dialog box, select a style from the Style Name list.
  3. Choose Vertical.
  4. To update text of the current style in the drawing, choose Apply.
  5. Choose Close.

Command line equivalent: STYLE


Setting Horizontal or Vertical Orientation

Commands

STYLE Creates named text styles

System Variables

No entries.


Working with Text Styles

Example: Default Text Style Settings

Setting | Default | Description
Style name | STANDARD | Name with up to 31 characters
Font file | txt.shx | File associated with a font (character style)
Big Font file | none | Special shape definition file used for a non-ASCII character set, such as kanji
Height | 0 | Character height
Width factor | 1 | Expansion or compression of the characters
Obliquing angle | 0 | Slant of the characters
Backwards | No | Backwards text
Upside-down | No | Upside-down text
Vertical | No | Vertical or horizontal text


Procedure: Working with Text Styles

Working with Text Styles

To create a text style
To modify a text style
To make another text style current
To remove unreferenced text styles
To assign a font to a text style
To specify a font mapping file
To specify a default alternative font
To set text height in a text style
To set the obliquing angle in a text style
To set vertical orientation in a text style


To create a text style

Working with Text Styles

To create a text style

  1. From the Format menu, choose Text Style.
  2. In the Text Style dialog box, choose New.
  3. In the New Text Style dialog box, enter a name for the text style.
  4. Choose OK to close the New Text Style dialog box.

    The new text style you've created has all the characteristics shown in the Text Style dialog box. You can continue to change characteristics, such as the font, or you can do it later.

  5. If you have made any changes to the text style characteristics, choose Apply to save them.
  6. After you have made and applied all changes to the text style, choose Close. (Cancel becomes Close after you choose Apply.)

Command line equivalent: STYLE


To modify a text style

Working with Text Styles

To modify a text style

  1. From the Format menu, choose Text Style.
  2. In the Text Style dialog box, select a text style name to make it current.
  3. Under either Font or Effects, change any of the options. The sample text in the Preview area is updated to show any changes you make to the text style.
  4. To update text in the drawing that uses the current text style, choose Apply.
  5. Select another text style to change or choose Close.

When you choose Close, changes to the text style are applied to existing text.

Command line equivalent: STYLE


To make another text style current

Working with Text Styles

To make another text style current

  1. From the Format menu, choose Text Style.
  2. In the Text Style dialog box, select a text style from the Style Name list.
  3. Choose OK.

Command line equivalent: STYLE


To remove unreferenced text styles

Working with Text Styles

To remove unreferenced text styles

  1. From the File menu, choose Drawing Utilities. Then choose Purge, and then choose Text Styles.
  2. On the Command line, press ENTER to list all text style names and then enter y to verify each text style name before removing it.
  3. Enter y to delete the text style or n to keep it.

Command line equivalent: PURGE


Working with Text Styles

Commands

PSUPDATE | Adjusts the size of all PostScript text in a drawing
STYLE | Creates named text styles

System Variables

FONTALT | Specifies the alternate font to be used when the specified font file cannot be located.
FONTMAP | Specifies the font mapping file to be used
SYSCODEPAGE | Indicates the system code page specified in the aclt.xmx file
TEXTSIZE | Sets the default height for new text objects drawn with the current text style
TEXTSTYLE | Sets the name of the current text style


Creating Text

The text you add to your drawings conveys a variety of information. It may be a complex specification, title block information, a label, or even part of the drawing.

For short entries that do not require multiple fonts or lines, create single-line text. Single-line text is most convenient for labels.

For long, complex entries, create multiline, or paragraph text. Multiline text consists of any number of text lines or paragraphs that fit within a width you specify; it can extend vertically to an indefinite length.

Regardless of the number of lines, each set of paragraphs created in a single editing session forms a single object, which you can move, rotate, erase, copy, mirror, stretch, or scale.

There are more editing options for multiline text than there are for single-line text. For example, you can apply underlining, fonts, color, and text height changes to individual characters, words, or phrases within a paragraph.


Creating Single-Line Text

Use TEXT to create a single line of text. Use DTEXT to create one or more lines of text, ending each line when you press ENTER. Each text line is an object that you can relocate, reformat, or otherwise modify.

When you create single-line text, you assign a text style and set alignment on the command line. The alignment determines what part of the text character aligns with the insertion point. The text style sets the default characteristics of the text object. You cannot apply formatting to individual words and characters.

The text styles used for single-line text are the same as those used for multiline text. When you create text, you assign an existing style by entering its name at the Style prompt.

You can compress single-line text to fit between points that you specify. This option stretches or squeezes the text to fill the designated space.

Aligning Line Text

As you create text, you can align it horizontally. That is, you can justify it with one of the alignment options shown in the following illustrations. Left alignment is the default. To left-align text, do not enter an option at the Justify prompt.


Procedure: Creating Single-Line Text

Creating Single-Line Text

To create single-line text
To specify a text style when you create single-line text
To align single-line text as you create it


To create line text

Creating Single-Line Text

To create single-line text

  1. From the Draw menu, choose Single Line Text.
  2. Specify the insertion point for the first character. If you press ENTER, AutoCAD LT locates the new text immediately below the last text object you created, if any.
  3. Specify the height of the text. This prompt appears only if text height is set to 0 in the current text style.

    A "rubber band" is attached from the text insertion point to the cursor. Click to set the height of the text to the distance specified by the length of the rubber band.

  4. Specify a text rotation angle.

    You can specify the rotation angle on the command line or by moving your pointing device.

  5. Enter the text. At the end of each line, press ENTER. Enter more text as needed.

    If you select another point during this command, the cursor moves to that point, and you can continue typing. Every time you press ENTER or specify a point, a new text object is created.

  6. Press ENTER on a blank line to end the command.

Command line equivalent: DTEXT


To specify a style when you create single-line text

Creating Single-Line Text

To specify a text style when you create single-line text

  1. From the Draw menu, choose Single Line Text.
  2. Enter s (Style).
  3. At the Style Name (or ?) prompt, enter an existing text style name. If you first want to see a list of text styles, enter ? and press ENTER twice.
  4. Continue creating text as described in To create single-line text.

Command line equivalent: DTEXT


To align line text as you create it

Creating Single-Line Text

To align single-line text as you create it

  1. From the Draw menu, choose Single Line Text.
  2. Enter j (Justify).
  3. Enter an alignment option.
  4. Continue creating text as described in To create single-line text.

Command line equivalent: DTEXT


Creating Single-Line Text

Commands

DTEXT | Displays text on screen as it is entered
MTEXT | Creates paragraph text
STYLE | Creates named text styles

System Variables

No entries.


Creating Multiline Text

You can create text in the Multiline Text Editor dialog box, on the command line, or an alternate text editor, or you can insert text from a file saved in ASCII format. The Multiline Text Editor dialog box provides a quick way to set both properties that affect the entire text object and formats that affect only selected text.

Before creating multiline text, you must define the width of the paragraph. When text entry is complete, AutoCAD LT inserts the text entered in the dialog box within this width limit. The length of the multiline text object depends on the amount of text, not the length of the boundary box you use to specify the width.

As you create multiline text, you also set the text style and justification.

  • Text style sets the default font and effects. You can choose an existing text style or create a new one. The STANDARD text style is the default.
  • Justification determines where the text is inserted with respect to the text boundaries.

You can override the current text style by applying formatting such as underlining, boldface, and different fonts to individual characters. You can also create stacked text.

Justifying Multiline Text
Formatting Individual Words or Characters
Creating Stacked Text

See Also
Modifying Objects


Justifying Multiline Text

Justification controls both text alignment and text flow relative to the text insertion point. Text is left-justified and right-justified with respect to the boundary rectangle that defines the text width. Text flows from the insertion point, which can be at the middle, the top, or the bottom of the resulting text object.

AutoCAD LT offers nine justification settings.

If a single word is longer than the width of the paragraph, the word will extend beyond the paragraph boundary.


Justifying Multiline Text

No entries.


Justifying Multiline Text

Commands

MTEXT Creates paragraph text

System Variables

No entries.


Formatting Individual Words or Characters

As you create multiline text, you can override the text style and apply different formatting to individual words and characters. The format changes affect only the text you select; the current text style is not changed.

You can specify a different font and text height and apply boldface, italics, underlining, and color. You can also insert special characters, including Unicode characters for TrueType fonts.

The text height setting specifies the height of capitalized text. The change of text height that is displayed in the Multiline Text Editor dialog box is proportional to the change in height of the actual characters displayed in the drawing. For more information about how height is calculated, see MTEXT.


To format characters using the dialog box

Formatting Individual Words or Characters

To format characters in multiline text

  1. From the Draw menu, choose Paragraph Text.
  2. Specify the text boundary location and other properties as needed.
  3. In the Multiline Text Editor dialog box, create text.
  4. Choose the Character tab.
  5. Select text as follows:
    • To select one or more letters, click and drag the pointing device over the characters.
    • To select a word, double-click the word.
    • To select a paragraph, triple-click the paragraph.
  6. Using the Character tab, change formatting as follows:
    • To change the font of the selected text, select a font from the list. Then choose OK.
    • To change the height of the selected text, enter a new value in the Height box.
    • To format text in a TrueType font with boldface or italics, or to create underlined text for any font, click the corresponding tool on the toolbar. SHX fonts do not support boldface or italics.
    • To apply color to selected text, choose a color from the Color list, or choose Other to display the Color dialog box. Select a color and then choose OK. The most recently used colors are displayed in the color list.

    Note: If you are working with a white background color, your Windows system palette is set to greater than 256 colors, and you have selected Smooth Edges of Screen Fonts from the Plus! tab in Windows Control Panel, characters with angular lines (such as X) that are entered in the Multiline Text Editor dialog box may appear grayed out. To correct this problem, set your Windows system palette to 256 colors or clear Smooth Edges of Screen Fonts.

    • To insert special characters, choose Symbol. Then choose an option from the Symbol menu.
    • To insert Unicode characters for TrueType fonts, from the Symbol menu, choose Other. To access the Unicode Character Map dialog box, you must have charmap.exe installed on your system. See Windows Help for adding programs to your system.

  7. Choose OK.

Draw toolbar:
Command line equivalent: MTEXT


Formatting Individual Words or Characters

Commands

DDEDIT | Edits text and attribute definitions
DDMODIFY | Controls properties of existing objects
MTEXT | Creates paragraph text

System Variables

TEXTFILL | Controls the filling of TrueType fonts while plotting, exporting with PSOUT, and rendering
TEXTQLTY | Sets the resolution of TrueType fonts while plotting and exporting with PSOUT


Creating Stacked Text

Stacked text is text or fractions aligned vertically.

AutoCAD LT uses the special characters slash (/) and caret (^) to indicate where selected text should be stacked. By default, stacked characters are vertically aligned at the midpoint of the text that precedes them. Enter 054^057 to stack text as shown in the first example. Enter 1/2 to stack fractions as shown in the second example.

Text stacked in the text editor is always aligned with the text baseline.

See Also
Formatting Multiline Text in a Text Editor


To create stacked text

Creating Stacked Text

To create stacked text

  1. From the Draw menu, choose Paragraph Text.
  2. Specify the text boundary location and other properties as needed.
  3. In the Multiline Text Editor dialog box, create text.
  4. Insert a caret (^) symbol to indicate where to begin the lower line. For fractions, use a slash (/) between numerator and denominator. Highlight the text that you want to align vertically and click the Stack icon on the Character tab.

    When you are entering fractional numbers, the slash is converted to a horizontal bar the length of the longer number.

  5. Choose OK.

Draw toolbar:
Command line equivalent: MTEXT


Creating Stacked Text

Commands

MTEXT Creates paragraph text

System Variables

No entries.


Procedure: Using Multiline Text

Creating Multiline Text

To create multiline text
To format characters in multiline text
To create stacked text


To create multiline text

Changing Multiline Text

To create multiline text

  1. From the Draw menu, choose Paragraph Text.
  2. Specify the corners of the text boundary, or enter a width value on the command line.
  3. In the Multiline Text Editor dialog box, enter the text, allowing it to wrap to the next line.

    Words that extend beyond the boundary rectangle you specified wrap to the next line in the Multiline Text Editor dialog box. If one word is longer than the width you specified for the text object, it will extend beyond the text boundary.

    You can use the standard Windows control keys to enter text.

    • CTRL+C copies selected text to the Clipboard
    • CTRL+V pastes Clipboard contents over selected text
    • CTRL+X cuts selected text to the Clipboard
    • CTRL+SPACEBAR inserts a nonbreaking space
    • ENTER ends the current paragraph and starts a new line
  4. Choose OK.

Note: If your monitor is set to display 256 colors or less, text objects that have colors assigned to them might not be displayed correctly in the Multiline Text Editor dialog box.

Draw toolbar:
Command line equivalent: MTEXT


Creating Multiline Text

Commands

DTEXT | Displays text on screen as it is entered
MTEXT | Creates paragraph text
STYLE | Creates named text styles

System Variables

TEXTFILL | Controls the filling of TrueType fonts while plotting, exporting with PSOUT, and rendering
TEXTQLTY | Sets the resolution of TrueType fonts while plotting and exporting with PSOUT


Creating Text with Leaders

A leader object is a line or a spline with an arrowhead at one end and an mtext object at the other. The leader object is not to be confused with the leader line AutoCAD LT automatically generates as part of a dimension line.

The leader object is associated with the mtext object, so when the text object is moved, rotated, or scaled, the leader object is updated accordingly.

You can copy text used elsewhere in a drawing and append a leader to it.

Creating a Leader Line
Adding Text to a Leader

See Also
Fitting Text within Extension Lines
Changing Text with Leaders


Creating a Leader Line

You can create a leader line from any point or feature in a drawing and control its appearance as you draw it. Leaders can be straight line segments or smooth spline curves. Leader color is controlled by the current dimension line color. Leader scale is controlled by the overall dimension scale set in the current dimension style. The type and size of arrowhead, if one is present, is controlled by the first arrowhead defined in the current dimension style.

Most of the time a small line known as a hook line, dogleg, or landing connects the annotation to the leader. Hook lines appear with paragraph text and feature control frames—framing lines or boxes that surround numbers, symbols, or text—or if the last leader line segment is at an angle greater than 15 degrees from horizontal. The hook line is the length of a single arrowhead.

You can use the object snap modes to specify the start point of a leader accurately. You can also connect both straight and spline leaders to each other using the Endpoint, Midpoint, Near, Perpendicular, and Apparent Intersection object snaps. The connecting leader snaps to the specified snap point on the nearest leader line segment.


Procedure: Creating a Leader Line

Creating a Leader Line

To create a leader by entering text on the command line
To create a spline leader with text
To create a leader using the Multiline Text Editor


Creating a Leader Line

Commands

LEADER Creates a line that connects annotation to a feature

System Variables

No entries.


Adding Text to a Leader

There are two ways to create leader text with AutoCAD LT. You can enter text on the command line, or you can create paragraphs of text using the Multiline Text Editor dialog box. With paragraph text, you can apply formatting to individual words or letters. You can also append copies of existing annotation to a leader.

Text is placed automatically at the endpoint of the leader, at the specified offset. You specify this offset in the DDIM Annotation dialog box under Text Gap. Feature control frames also are placed automatically at the endpoint of the leader. Blocks are inserted at the location, scale, and rotation you specify.

Use the Vertical Justification options in the DDIM Format dialog box to align the annotation vertically with the leader. In the following illustration, the vertical justification option used is Above.

To create a box around the text, set the DIMGAP system variable to a negative value. The offset between the box and the text is the absolute value of DIMGAP.

See Also
Inserting Blocks


Procedure: Adding Text to a Leader

Adding Text to a Leader

To create a leader by entering text on the command line
To create a spline leader with text
To create a leader using the Multiline Text Editor


! # $ K + To create a leader by entering text at the command line

Adding Text to a Leader

To create a leader by entering text on the command line

  1. From the Dimension menu, choose Leader.
  2. Specify the From and To points of the leader.
  3. Press ENTER to finish selecting leader points.
  4. Enter the line of text. Press ENTER to enter new lines of text as needed.
  5. Press ENTER again to end the command.

After the LEADER command is completed, the text annotation becomes a multiline text object.

Command line equivalent: LEADER


To create a spline leader with text

Adding Text to a Leader

To create a spline leader with text

  1. From the Dimension menu, choose Leader.
  2. Specify the start point of the leader.
  3. Specify the second point of the leader.
  4. Enter f (Format).
  5. Enter s (Spline).
  6. Continue to specify points, or press ENTER to end the leader.

    The spline control points are determined by the leader vertices, each of which is given equal unit weight. You do not have to specify end tangent points as you do for ordinary splines.

  7. Enter the line of text. Press ENTER to enter new lines of text as needed.
  8. Press ENTER again to end the command.

Dimension toolbar:
Command line equivalent: LEADER


To create a leader using the multiline text editor

Adding Text to a Leader

To create a leader using the Multiline Text Editor

  1. From the Dimension menu, choose Leader.
  2. Specify the From and To points of the leader.
  3. Press ENTER to end the leader.
  4. To add a paragraph of text, at the Annotation prompt, press ENTER to display the options.
  5. Enter m (Mtext).
  6. In the Multiline Text Editor dialog box, format and enter the text.

    If you want the text lines to wrap, specify a width on the Properties tab.

  7. Then choose OK.

When you exit the editor, the text is appended to the leader endpoint with a specified gap. Specify this gap in the Dimension Style dialog box (DDIM) under Text.

Dimension toolbar:
Command line equivalent: LEADER


Adding Text to a Leader

Commands

DDEDIT | Edits text and attribute definitions
DDIM | Creates and modifies dimension styles
DDMODIFY | Controls properties of existing objects
DTEXT | Displays text on screen as it is entered
LEADER | Creates a line that connects annotation to a feature
MTEXT | Creates paragraph text
PREFERENCES | Customizes the AutoCAD LT settings
PURGE | Removes all unused named objects from the database
QTEXT | Controls the display and plotting of text and attribute objects
SPELL | Checks spelling in a drawing
STYLE | Creates named text styles

System Variables

DIMGAP | Sets the distance around the dimension text when the dimension line breaks to accommodate dimension text
FONTALT | Specifies the alternate font to be used when the specified font file cannot be located
FONTMAP | Specifies the font mapping file to be used
MTEXTED | Sets the name of the program to use for editing multiline text objects
QTEXTMODE | Controls how text is displayed
TEXTFILL | Controls the filling of TrueType fonts while plotting, exporting with PSOUT, and rendering
TEXTQLTY | Sets the resolution of TrueType fonts while plotting and exporting with PSOUT


Creating Text with Leaders

To create single-line text
To specify a text style when you create single-line text
To align single-line text as you create it
To create multiline text
To format characters in multiline text
To create stacked text
To create a leader by entering text on the command line
To create a spline leader with text
To create a leader using the Multiline Text Editor


Creating Text with Leaders

Commands

DDIM | Creates and modifies dimension styles
DTEXT | Displays text on screen as it is entered
LEADER | Creates a line that connects annotation to a feature
MTEXT | Creates paragraph text

System Variables

DIMGAP | Sets the distance around the dimension text when the dimension line breaks to accommodate dimension text
FONTALT | Specifies the alternate font to be used when the specified font file cannot be located
FONTMAP | Specifies the font mapping file to be used
MTEXTED | Sets the name of the program to use for editing multiline text objects
QTEXTMODE | Controls how text is displayed
TEXTFILL | Controls the filling of TrueType fonts while plotting, exporting with PSOUT, and rendering
TEXTQLTY | Sets the resolution of TrueType fonts while plotting and exporting with PSOUT


Using External Text Files

Importing Text from External Files

You can insert ASCII text files created in other word processors into your AutoCAD LT drawing. You can either import the text or drag a file icon from Windows Explorer.

Importing TXT (ASCII) or RTF files from other sources can save you time. For example, you can create a text file of standard notes that you include in drawings. Instead of entering this information each time you use it, you can import the text. The imported text becomes an AutoCAD LT mtext object, which you can edit as if you created it in AutoCAD LT. Text imported from a TXT file inherits the current text style. Text imported from an RTF file inherits the current text style name, but it retains its original font and format.

You can use the drag-and-drop method to insert a text file into a drawing. Its width is determined by line breaks and carriage returns in the original document. Imported text files are limited to 16 KB. You can drag only files with a file extension of .txt or .rtf into an AutoCAD LT drawing.

If you use the Clipboard to paste text from another application, it becomes an OLE object, not a text object. If you use the Clipboard to paste text from another AutoCAD LT file, it is inserted as a block reference, and it retains its original text style.

See Also
Linking and Embedding Data (OLE)


Procedure: Using External Text Files

Importing Text from External Files

To import text files
To insert a text file using the drag-and-drop method


To import text files

Importing Text from External Files

To import text files

  1. From the Draw menu, choose Paragraph Text.
  2. Specify the text boundary location and other properties as needed.
  3. In the Multiline Text Editor dialog box, choose Import Text.
  4. In the Open dialog box, double-click the file you want to import, or select the file and choose Open.
  5. Change the text as needed. Then choose OK.

Draw toolbar:
Command line equivalent: MTEXT


To insert a text file using the drag-and-drop feature

Importing Text from External Files

To insert a text file using the drag-and-drop method

  1. Open the Windows Explorer, but make sure it does not fill the screen.

    Then display the folder that contains the TXT or RTF file you want.

  2. Drag the TXT or RTF file icon onto the AutoCAD LT drawing.

    AutoCAD LT inserts the text as a multiline text object using the current text style.

  3. Using grips, you can move, rotate, or scale the text object as needed.


Using External Text Files

Importing Text from External Files

Commands

MTEXT Creates paragraph text

System Variables

No entries.


Creating Text

To create single-line text
To specify a text style when you create single-line text
To align single-line text as you create it
To create multiline text
To format characters in multiline text
To create stacked text
To create a leader by entering text on the command line
To create a spline leader with text
To create a leader using the Multiline Text Editor
To import text files
To insert a text file using the drag-and-drop method


Creating Text

Commands

DDIM | Creates and modifies dimension styles
DTEXT | Displays text on screen as it is entered
LEADER | Creates a line that connects annotation to a feature
MTEXT | Creates paragraph text

System Variables

DIMGAP Sets the distance around the dimension text when the dimension line breaks to accommodate dimension text


Changing Text

Like any other object, text objects can be moved, rotated, erased, and copied. You also can mirror, or make a reverse copy of, text. If you do not want the text to be reversed when you mirror it, you can set the MIRRTEXT system variable to 0.

Text objects also have grips for stretching, scaling, and rotating. A text object has grips at the lower-left corner of the baseline and at the alignment point.

The effect of a command depends on which grip you choose.


Changing Single-Line Text

You can change single-line text with DDEDIT and DDMODIFY.

Use DDEDIT when you need to change only the content of the text, not the formatting or properties of the text object. Use DDMODIFY when you want to change content, text style, location, orientation, size, or justification.


Procedure: Changing Single-Line Text

Changing Single-Line Text

To edit single-line text
To modify single-line text objects


To edit single-line text

Changing Single-Line Text

To edit single-line text

  1. From the Modify menu, choose Object. Then choose Text.
  2. Select the single-line text object you want to edit.
  3. In the Edit Text dialog box, enter the new text. Then choose OK.
  4. Select another text object to edit, or press ENTER to end the command.

Command line equivalent: DDEDIT


To modify single-line text objects

Changing Single-Line Text

To modify single-line text objects

  1. From the Modify menu, choose Properties.
  2. Select a single-line text object and press ENTER.
  3. In the Modify Text dialog box, enter any new text and change formatting and other settings as needed.
  4. Choose OK.

Object Properties Toolbar:
Command line equivalent: DDMODIFY


Changing Single-Line Text

Commands

DDEDIT | Edits text and attribute definitions
DDMODIFY | Controls properties of existing objects
DTEXT | Displays text on screen as it is entered

System Variables

TEXTFILL | Controls the filling of TrueType fonts while plotting, exporting with PSOUT, and rendering
TEXTQLTY | Sets the resolution of TrueType fonts while plotting and exporting with PSOUT


Changing Multiline Text

Multiline text objects can be moved, rotated, erased, and copied. You also can mirror, or make a reverse copy of, text objects. If you do not want the text to be reversed when you mirror it, you can set the MIRRTEXT system variable to 0.

After you create multiline text, you can change

  • Text style
  • Justification
  • Width
  • Rotation

You can also override font, orientation, and other effects set by the text style assigned to the existing text object.

Changing Text Style

When you change the text style of a multiline text object, the text style is applied to the entire object, and some formatting of individual characters might not be retained. The following table describes the effects of text style change on character formatting.

Formatting | Retained?
Bold | No
Color | Yes
Font | No
Height | No
Italic | No
Stacking | Yes
Underlining | Yes

Changing Text Location

To move multiline text, you can use the Modify MText dialog box, where you can also edit content and change properties, or you can use grips. A multiline text object has grips at the four corners of the text boundary and, in some cases, at the justification point. Several commands create multiline text automatically without requiring that a bounding box be specified; these objects have only a single grip at the justification point.

Finding and Replacing Text

To quickly search for and replace text word by word, use the find and replace feature in the Multiline Text Editor dialog box. Replacement is based on text content only; character formatting and text properties are not changed.


Procedure: Changing Multiline Text

Changing Multiline Text

To change multiline text
To find text
To replace text


To edit multiline text in the Multiline Text Editor

Changing Multiline Text

To change multiline text

  1. From the Modify menu, choose Properties.
  2. Select the multiline text object you want to edit.
  3. In the Modify MText dialog box, change settings as needed.
  4. To edit text content or format individual characters, choose Full Editor. In the Multiline Text Editor dialog box, edit text by selecting it and make any changes needed.
  5. Choose OK.

Object Properties toolbar:

Command line equivalent: DDMODIFY


To find text

Changing Multiline Text

To find text

  1. From the Modify menu, choose Object. Then choose Text.
  2. Select a multiline text object.
  3. In the Multiline Text Editor dialog box, choose the Find/Replace tab.
  4. Enter the word that you want to find in the Find box.
    • To match the case of letters in a word, check Match Case.
    • To find text that is not part of another word, check Whole Word.
  5. To locate the word in the selected text, click the Find tool.

When the text object has been completely searched, AutoCAD LT displays a message at the bottom of the dialog box to indicate that the search is resuming at the beginning of the text object.

Object Properties toolbar:
Command line equivalent: DDEDIT


To replace text

Changing Multiline Text

To replace text

  1. From the Modify menu, choose Object. Then choose Text.
  2. Select a multiline text object.
  3. In the Multiline Text Editor dialog box, choose the Find/Replace tab.
  4. In the Replace box, enter the word you want to replace the word in the Find box.
  5. To locate the word in the Find box, click Find.
  6. When you find the word you want to replace, click Replace.
  7. Repeat steps 2 and 3 for each occurrence of the word you want to change.
  8. Choose OK.

Command line equivalent: DDEDIT


Changing Multiline Text

Commands

DDEDIT | Edits text and attribute definitions
DDMODIFY | Controls properties of existing objects
MIRROR | Creates a mirror image of objects
MTEXT | Creates paragraph text
STYLE | Creates named text styles

System Variables

MIRRTEXT | Controls how MIRROR reflects text
MTEXTED | Sets the name of the program to use for editing multiline text objects
TEXTFILL | Controls the filling of TrueType fonts while plotting, exporting with PSOUT, and rendering
TEXTQLTY | Sets the resolution of TrueType fonts while plotting and exporting with PSOUT


Editing Leaders

Changing Text with a Leader

Leaders can function as edges for trimming and extending, but they cannot be trimmed or extended themselves. To resize a leader, stretch or scale it. Stretching modifies the offset between the leader endpoint and its annotation. Scaling updates the scale of the selected object only. For example, if you scale the leader, the annotation stays in the same position relative to the leader endpoint but is not scaled itself.


Procedure: Editing Leaders

Changing Text with a Leader

No entries.


Changing Text with Leaders

Changing Text with a Leader

Commands

LEADER Creates a line that connects annotation to a feature

System Variables

No entries.


Changing Text

To edit single-line text
To modify single-line text objects
To change multiline text
To find text
To replace text


Changing Text

Commands

DDEDIT | Edits text and attribute definitions
DDMODIFY | Controls properties of existing objects
DTEXT | Displays text on screen as it is entered
MIRROR | Creates a mirror image of objects
MTEXT | Creates paragraph text

System Variables

MIRRTEXT | Controls how MIRROR reflects text
TEXTFILL | Controls the filling of TrueType fonts while plotting, exporting with PSOUT, and rendering
TEXTQLTY | Sets the resolution of TrueType fonts while plotting and exporting with PSOUT


Checking Spelling

SPELL checks the spelling of all text in your drawing, including dimension text. You use one of several main dictionaries, available in different languages. The main dictionaries use a standard word list, which you can customize.

Switching Dictionaries

During a spelling check, AutoCAD LT matches the words in the drawing to the words in the current main dictionary. Any words you add are stored in the custom dictionary that is current at the time of the spelling check. For example, you can add proper names so AutoCAD LT no longer identifies them as misspelled words.

To check spelling in another language, you can change to a different main dictionary. You also can create any number of custom dictionaries and switch to them as needed.

You can change dictionaries from a dialog box or by specifying the dictionary name in the DCTMAIN or DCTCUST system variable. For a list of the dictionary file names, see DCTMAIN.

Creating and Editing Custom Dictionaries

A custom dictionary is a list of spelling exceptions that you have identified. The files that contain them can be identified by the .cus file extension. You can use any ASCII text editor to add and delete words or to combine dictionaries. If a word is preceded by a tilde (~), AutoCAD LT always flags the word as incorrect.

You also can create and edit dictionaries from inside AutoCAD LT.


Procedure: Checking Spelling

Checking Spelling

To check spelling
To switch main or custom dictionaries while checking spelling
To create or edit custom dictionaries during a spelling check


To check spelling

Checking Spelling

To check spelling

  1. From the Tools menu, choose Spelling.
  2. Select the text objects you want to check, or enter all on the command line to select all text objects.
  3. If AutoCAD LT does not find any misspelled words, it displays a message. If AutoCAD LT finds a misspelling, the Check Spelling dialog box identifies the misspelled word.

    The misspelled word and the text that surrounds it are displayed under Context.

  4. Do one of the following:
    • To correct a word, select an alternate word from the Suggestions list or type a word in the Suggestions box. Then choose Change or Change All.
    • To leave a word unchanged, choose Ignore or Ignore All.
    • To leave a word unchanged and add it to the custom dictionary, choose Add. (This option is not available unless a custom dictionary is specified.)
  5. Repeat step 4 for each misspelled word. Press OK when you are done.

Command line equivalent: SPELL


To switch main or custom dictionaries while checking spelling

Checking Spelling

To switch main or custom dictionaries while checking spelling

  1. From the Tools menu, choose Spelling.
  2. In the Check Spelling dialog box, choose Change Dictionaries.
  3. To change the main dictionary, select a dictionary from the Main Dictionary list.
  4. To change the custom dictionary, select or enter a name under Custom Dictionary.

    To select from a list of dictionaries, choose Browse.

  5. Choose OK.

Command line equivalent: SPELL


To create or edit custom dictionaries during a spelling check

Checking Spelling

To create or edit custom dictionaries during a spelling check

  1. From the Tools menu, choose Spelling.
  2. In the Check Spelling dialog box, choose Change Dictionaries.
  3. In the Change Dictionaries dialog box under Custom Dictionary, specify the dictionary you want to edit using one of these methods:
    • To specify a dictionary, enter its name, using the .cus file extension.
    • To select from a list of directories, choose Browse.
    • To create a new custom dictionary, enter a new name. Use the .cus file extension.
  4. To add a word, enter it under Custom Dictionary Words. Then choose Add.
  5. To remove a word, select it from the list. Then choose Delete.
  6. Choose OK.

Command line equivalent: SPELL


Checking Spelling

Commands

SPELL Checks spelling in a drawing

System Variables

DCTCUST | Displays the path and file name of the current custom spelling dictionary
DCTMAIN | Displays the file name of the current main spelling dictionary


Using an Alternate Text Editor

The default text editor is the Multiline Text Editor dialog box, but you can elect to use an alternate editor by specifying the editor with or the MTEXTED system variable. You can use any text editor that saves files in ASCII format.

If you use an alternate text editor for multiline text, you specify the properties of the multiline text object on the command line first. AutoCAD LT then opens the text editor for entering text. When you close the text editor, AutoCAD LT inserts the text within the width limit you specified.

To edit text using an alternate text editor, use the same format codes you used to create the original text. To avoid losing format information when you make changes to the text, use the same text editor you used to create the text.

Formatting Multiline Text in a Text Editor


Formatting Multiline Text in a Text Editor

If you use an alternate text editor, you apply formatting by entering format codes. You can underline text, add a line over text, and create stacked text. You also can change color, font, and text height. You can change the spaces between text characters or increase the width of the characters themselves. To apply formatting, use the format codes shown in the Table: Format Codes for Paragraphs.

Braces can be nested up to eight levels deep.

You also can use control codes to add special characters, such as tolerance or dimensioning symbols. See MTEXT.

Example: Formatting Text in a Alternate Text Editor


To create special characters in an alternate text editor

Formatting Multiline Text in a Text Editor

No entries.


Formatting Multiline Text in a Text Editor

Commands

MTEXT | Creates paragraph text
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

MTEXTED Sets the name of the program to use for editing multiline text objects


Example: Format Codes for Paragraphs

Table: Format Codes for Paragraphs

Format codes for paragraphs |  |  |
Format code | Purpose | Enter this... | To produce this
\0...\o | Turns overline on and off | You have \Omany\o choices | You have many choices
\L...\l | Turns underline on and off | You have \Lmany\l choices | You have many choices
\~ | Inserts a nonbreaking space | Keep these\~words together | Keep these words together
\\ | Inserts a backslash | slash\\backslash | slash\backslash
\{...\} | Inserts an opening and closing brace | The \{bracketed\} word | The{bracketed}word
\Cvalue; | Changes to the specified color | Change \C2;these colors | Change these colors
\File name; | Changes to the specified font file | Change \Ftimes;these fonts | Change these fonts
\Hvalue; | Changes to the specified text height | Change \H2;these sizes | Change these sizes
\Hvaluex; | Changes to multiple of mtext object's property | Change these\H3; sizes | Change these sizes
\S...^...; | Stacks the subsequent text at the \ or ^ symbol | 1.000\S+0.010^-0.000; | +0.010 1.000-0.000
\Tvalue; | Adjusts the space between characters, from .75 to 4 times | \T2;TRACKING | T R A C K I N G
\Qangle; | Changes obliquing angle | \Q30;OBLIQUE | OBLIQUE
\Wvalue; | Changes width factor to produce wide text | \W2;Wide | W I D E
\A | Sets the alignment value; valid values: 0, 1, 2 (bottom, center, top) | \A1;Center\S1/2 | Center
\P | Ends paragraph | First paragraph\P Second paragraph | First paragraph Second paragraph


To create special characters in an alternate text editor

Example: Formatting Text in an Alternate Text Editor

This example describes how the text in the following illustration was created.

    You can change any or all of these options:

    Each line below was entered in an alternate text editor:

{{\H1.5x; Big text} \A2; over text\A1;/\A0; under text}\P
{\A0;Baseline: 1 \S1/2;}\P
{\A1;Center: 1 \S1/2;}\P
{\A2;Topline: 1 \S1/2;}\P
{Tolerances: \A1;1.000\H.75x;\S+0.010^-0.000;}\P
{Architectural: 9-{\H.666x;\A2;11\A1;/\A0;16}\A2;"}\P


Using Text Editors for Multiline Text

Using an Alternate Text Editor

To specify an alternate text editor
To create multiline text in an alternate text editor


To create multiline text in a text editor

Using an Alternate Text Editor

To specify an alternate text editor

  1. From the Command prompt, enter mtexted.
  2. At the prompt do one of the following:
    • Enter the path and name of the executable file for the ASCII text editor that you want to use to create or edit multiline text.
    • Enter internal to restore the AutoCAD LT text editor.

Command line equivalent: MTEXTED


To create multiline text in a text editor

Using an Alternate Text Editor

To create multiline text in an alternate text editor

  1. From the Draw menu, choose Paragraph Text.
  2. Specify the first corner of the multiline text boundary rectangle.
  3. Specify the opposite corner of the multiline text boundary rectangle.
  4. In the text editor, enter the text. Enter \P to end a paragraph and start a new paragraph on the next line. (Be sure to capitalize the P.)
  5. When your text entry is complete, save the changes and exit the text editor.

Draw toolbar:

Command line equivalent: MTEXT


Using Text Editors for Multiline Text

Using an Alternate Text Editor

Commands

MTEXT | Creates paragraph text
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

MTEXTED Sets the name of the program to use for editing multiline text objects


Working in Three Dimensions

Although AutoCAD LT is used primarily for two-dimensional (2D) drawings, it does have some three-dimensional (3D) capabilities. You can specify points in 3D space to create and place objects as a wireframe model. You can create simple surfaces for shading and removing hidden lines. In addition, you can view your drawing from a variety of viewpoints.

Many of these features are useful not only for creating drawings in AutoCAD LT but also for viewing 3D AutoCAD drawings in AutoCAD LT.

Entering 3D Coordinates
Setting Drawing Planes in 3D (UCS)
Changing 3D Viewpoints
Modeling in 3D

See Also
Controlling the User Coordinate System (UCS)


Entering 3D Coordinates

Specifying 3D coordinates is the same as specifying 2D coordinates with the addition of a third dimension. Three conventions, Cartesian, cylindrical, and spherical, are available for entering 3D coordinates, and you can use them interchangeably. As with 2D coordinates, coordinate entry can be either absolute (measured from 0,0,0) or it can be relative to the last point specified.

Working with Cartesian Coordinates in 3D
Specifying Cylindrical Coordinates
Specifying Spherical Coordinates

See Also
Entering 2D Coordinates
Using Coordinate Filters


Working with Cartesian Coordinates in 3D

Entering a 3D Cartesian coordinate (X,Y,Z) is similar to entering a 2D coordinate (X,Y). In addition to specifying X and Y values, you specify a Z value using the following format:

X,Y,Z

In the illustration below, the coordinate 3,2,5 indicates a point 3 units along the positive X axis, 2 units along the positive Y axis, and 5 units along the positive Z axis.

Using Default Z Values

When you enter coordinates in the format X,Y, the Z value is copied from the last point you entered. As a result, you can enter one coordinate in the X,Y,Z format and then enter subsequent coordinates using the X,Y format with the Z value remaining constant. For example, if you enter the following coordinates for a line

From point: 0,0,5
To point: 3,4

both endpoints of the line will have a Z value of 5. When you begin or open any drawing, the initial default value of Z is 0.

Using Absolute and Relative Coordinates

As with 2D coordinates, you can enter absolute coordinate values, which are based on the origin, or you can enter relative coordinate values, which are based on the last point entered. To enter relative coordinates, use @ as a prefix. For example, use @1,0,0 to enter a point one unit in the positive X direction from the previous point. To enter absolute coordinates, no prefix is necessary.

Using Coordinate Filters

Coordinate filters are useful for creating a new coordinate location using the x-value from one location, the y-value of a different location, and the z-value of a third location. Coordinate filters operate the same way in 3D as they do in 2D. To specify a filter on the command line, enter a period and one or more of the letters X, Y, and Z. AutoCAD LT accepts the following filter selections:

  • .X
  • .Y
  • .Z
  • .XY
  • .XZ
  • .YZ

After you specify the initial coordinate value, AutoCAD LT prompts you for the remaining coordinate values. If you enter .x at a prompt to enter a point, you are prompted for the Y and Z values; if you enter .xz at a prompt to enter a point, you are prompted for the Y value.

Coordinate filters are commonly used to locate the center of a rectangle and to locate the projection of a 3D point on the UCS XY plane.

Example: Using Coordinate Filters

Digitizing Coordinates

When you enter coordinates by digitizing, the UCS Z value for all coordinates is 0. You can use ELEVATION to set a default height above or below the Z = 0 plane for digitizing without moving the UCS.


Example (Using coordinate filters)

Example: Using Coordinate Filters

This example shows how to use coordinate filters to create a point object at the center (centroid) of an object. Hidden lines have been removed for clarity. The x-value of the new point is extracted from the first location specified, the y-value from the second location, and the z-value from the third. The three values are combined to form the coordinate values of the new point.

Command: point
Point: .x
of mid
of select object 1
(need YZ): .y
of mid
of select object 2
(need Z): mid
of select object 3

Command:


Procedures (Working with Cartesian Coordinates in 3D)

Working with Cartesian Coordinates in 3D

No entries.


Reference (Working with Cartesian Coordinates in 3D)

Working with Cartesian Coordinates in 3D

Commands

GRID | Displays a dot grid
SNAP | Restricts cursor movement to regular intervals
TABLET | Calibrates and configures the tablet; turns Tablet mode on and off
UCS | Manages the user coordinate system
UCSICON | Controls the visibility and placement of the UCS icon

System Variables

ELEVATION | Stores the current 3D elevation relative to the current UCS for the current space
TABMODE | Controls the use of Tablet mode


Specifying Cylindrical Coordinates

Cylindrical coordinate entry is the 3D equivalent of 2D polar coordinate entry. It specifies an additional coordinate on an axis that is perpendicular to the XY plane. A cylindrical coordinate describes a point by its distance in the XY plane from the UCS origin, its angle from the X axis in the XY plane, and its Z value. You specify a point using the following syntax:

X<[angle from X axis],Z

In the illustration below, the coordinate 5<60,6 indicates a point 5 units from the origin of the current UCS, 60 degrees from the X axis in the XY plane, and 6 units along the Z axis. The coordinate 8<30,1 indicates a point 8 units from the origin of the current UCS in the XY plane, 30 degrees from the X axis in the XY plane, and 1 unit along the Z axis.

When you need to define a point based on a previous point, you can enter relative cylindrical coordinates with the @ symbol. In the illustration below, the relative cylindrical coordinate @4<45,5 indicates a point 4 units in the XY plane from the last point entered, at an angle of 45 degrees from the positive X direction, and extending 5 units in the Z direction.


Procedures (Specifying Cylindrical Coordinates)

Specifying Cylindrical Coordinates

No entries.


Reference (Specifying Cylindrical Coordinates)

Specifying Cylindrical Coordinates

Commands

No entries.

System Variables

No entries.


Specifying Spherical Coordinates

Spherical coordinate entry in 3D is similar to polar coordinate entry in 2D. You locate a point by specifying its distance from the origin of the current UCS, its angle from the X axis (in the XY plane), and its angle from the XY plane, each angle preceded by an open angle bracket (<):

X[angle from X axis][angle from XY plane]

In the following illustration, the coordinate 8<60<30 indicates a point 8 units from the origin of the current UCS in the XY plane, 60 degrees from the X axis in the XY plane, and 30 degrees up the Z axis from the XY plane. The coordinate 5<45<15 indicates a point 5 units from the origin, 45 degrees from the X axis in the XY plane, and 15 degrees up from the XY plane.

When you need to define a point based on a previous point, you can enter relative spherical coordinates by preceding them with the @ symbol.


Procedures (Specifying Spherical Coordinates)

Specifying Spherical Coordinates

No entries.


Reference (Specifying Spherical Coordinates)

Specifying Spherical Coordinates

Commands

No entries.

System Variables

No entries.


Entering 3D Coordinates

No entries.


Entering 3D Coordinates

Commands

GRID | Displays a dot grid
SNAP | Restricts cursor movement to regular intervals
TABLET | Calibrates and configures the tablet; turns Tablet mode on and off
UCS | Manages the user coordinate system
UCSICON | Controls the visibility and placement of the UCS icon

System Variables

ELEVATION | Stores the current 3D elevation relative to the current UCS for the current space
TABMODE | Controls the use of Tablet mode


Setting Drawing Planes in 3D (UCS)

AutoCAD LT provides two coordinate systems: a fixed coordinate system called the World Coordinate System (WCS) and a moveable coordinate system called the user coordinate system (UCS). The UCS is useful for entering coordinates, defining drawing planes, and setting views. Changing the UCS does not change your viewpoint. It changes only the orientation and tilt of the coordinate system.

If you are creating 3D objects, you can relocate the UCS to simplify your work. For example, if you have created a 3D box, you can edit each of its six sides easily by aligning the UCS with each side as you edit it.

You relocate a UCS by choosing the location of the origin point and the orientation of the XY plane and the Z axis. You can locate and orient a UCS anywhere in 3D space. Only one UCS is current at any given time, and all coordinate input and display is relative to it. If multiple viewports are active, they share the same UCS.

If you plan to work extensively in 3D, you can save by name UCS locations, each having a different origin and orientation, for various construction requirements. You can relocate, save, and recall as many UCS orientations as you require.

Working with the World and User Coordinate Systems in 3D
Controlling the User Coordinate System (UCS) in 3D
Controlling the UCS Icon in 3D

See Also
Controlling the User Coordinate System (UCS)


Working with the World and User Coordinate Systems in 3D

When drawing in 3D, you specify X, Y, and Z coordinate values in either the World Coordinate System (WCS) or the current user coordinate system (UCS). The illustration below shows the X, Y, and Z axes of the WCS.

To enter coordinates relative to the WCS, precede coordinate values with an asterisk (*). For example, entering @*2,0,0 specifies a point two units to the right (the X direction) of the last point entered relative to the WCS; entering @2,0,0 specifies a point two units in the X direction of the last point entered relative to the UCS. In practice, most coordinates are entered relative to the UCS rather than the WCS.

The WCS and the UCS are often coincident – their axes and origin points overlap exactly. No matter how you reorient the UCS, you can always make it coincident with the WCS by using the World option of the UCS command.

Applying the Right-Hand Rule

Use the right-hand rule to determine the positive axis direction of the Z axis when you know the direction of the X and Y axes in a 3D coordinate system. You can also use the right-hand rule for determining the positive direction of rotation about an axis in 3D space.

To determine the positive axis direction of the X, Y, and Z axes in the UCS, place the back of your right hand near the screen. Point your thumb in the direction of the positive X axis. Extend your index and middle fingers as illustrated, and point your index finger in the direction of the positive Y axis. Your middle finger indicates the direction of the positive Z axis. By rotating your hand, you get a general idea of how the X, Y, and Z axes rotate as you change the UCS.

To determine the positive rotation direction about an axis, point your right thumb in the positive direction of the axis and curl your fingers as illustrated. Your fingers indicate the positive rotation direction about the axis.


Procedures (Working with the World and User Coordinate Systems in 3D)

Working with the World and User Coordinate Systems in 3D

No entries.


Reference (Working with the World and User Coordinate Systems in 3D)

Working with the World and User Coordinate Systems in 3D

Commands

DDUCS | Manages defined user coordinate systems
DDUCSP | Selects a preset user coordinate system
UCS | Manages the user coordinate system
UCSICON | Controls the visibility and placement of the UCS icon

System Variables

No entries.


Controlling the User Coordinate System (UCS) in 3D

When you work in 2D space, you can shift the UCS to locate the origin point (0,0) closer to the area of the drawing in which you're working. You also can establish a new coordinate orientation when working with angled sections. In 3D, the UCS provides an additional benefit. You can use it to establish a new 3D plane in which to work.

A basic method for relocating a UCS is shown in Controlling the User Coordinate System (UCS). The following UCS command options are useful for relocating a UCS when you work in 3D space:

  • Z AXIS. Defines a new UCS based on a new Z axis.
  • 3 POINT. Specifies the new UCS origin and the direction of its positive X and Y axes.
  • OBJECT. Realigns the coordinate system based on a plane established by an object you select. For objects with non-zero thickness, the Z axis matches the thickness direction, or extrusion.
  • VIEW. Aligns the UCS XY plane perpendicular with the current view.
  • X/Y/Z. Rotates the coordinate system around the axis you choose.

You may find that defining a different UCS to help you align the coordinate system with existing objects is easier than figuring out the exact placement of a 3D point.

AutoCAD LT keeps track of the last 10 UCS orientations specified in both model space and in paper space. You can save and restore UCS orientations by name, and you can also rename them.

Using UCS Presets

If you do not want to define your own UCS, you can choose from several preset coordinate systems. The image tiles in the UCS Orientation dialog box show the available choices. A colored line extends into one edge of the box on each image tile. This line represents the Z axis of the UCS represented by that tile.

If you have already specified a UCS, you can control whether the preset option shifts the UCS relative to the current UCS orientation or relative to the default World Coordinate System (WCS). The Relative to Current UCS and Absolute to WCS options have no effect if you restore the WCS, restore the previous UCS, or set the UCS to the current view.

Changing the UCS in Paper Space

You can define a new UCS in paper space as you can in model space; however, the UCS orientations in paper space are restricted to 2D manipulation. Although you can input 3D coordinate values in paper space, 3D viewing operations such as DVIEW, VPOINT, and PLAN are not available.

Changing the Default Elevation

The current elevation established by the ELEVATION system variable remains in effect as you change from one UCS to another, and it defines the drawing plane of the current UCS. AutoCAD LT maintains separate "current" elevation settings for paper space and model space. To avoid confusion, you can leave the elevation set to zero and control the XY plane of the current UCS with the UCS command.


Procedures (Controlling the User Coordinate System (UCS) in 3D)

Controlling the User Coordinate System (UCS) in 3D

To select a UCS preset
To restore the location and orientation of the previous UCS


Procedures (Controlling the User Coordinate System (UCS) in 3D-1)

Controlling the User Coordinate System (UCS) in 3D

To select a UCS preset

  1. From the Tools menu, choose UCS>Preset UCS.
  2. In the UCS Orientation dialog box, select a UCS.
  3. Choose OK.

The UCS changes to the selected option.

Standard toolbar:
Command line equivalent: DDUCSP


Procedures (Controlling the User Coordinate System (UCS) in 3D-2)

Controlling the User Coordinate System (UCS) in 3D

To restore the location and orientation of the previous UCS

  • From the Tools menu, choose UCS > Previous.

The previous UCS is restored.

Standard toolbar:
Command line equivalent: UCS


Reference (Controlling the User Coordinate System (UCS) in 3D)

Controlling the User Coordinate System (UCS) in 3D

Commands

DDRENAME | Changes the names of named objects
DDUCS | Manages defined user coordinate systems
DDUCSP | Selects a preset user coordinate system
UCS | Manages the user coordinate system
UCSICON | Controls the visibility and placement of the UCS icon

System Variables

ELEVATION Stores the current 3D elevation relative to the current UCS for the current space


Controlling the UCS Icon in 3D

To indicate the orientation of the UCS, you should display the UCS icon whenever your work requires you to switch between coordinate systems. (In AutoCAD LT, this icon is off by default.)

The UCS icon serves as a reference for the current status of the user coordinate system. By looking at the amount of icon distortion and the position of the icon, you can establish the current planar orientation of your drawing.

The UCS icon provides additional graphics to indicate your orientation.

  • A plus sign (+) indicates that the icon is displayed at the origin (0,0,0).
  • A W on the Y axis indicates that the UCS is coincident with the World Coordinate System.
  • A box at the corner of the icon indicates that you are viewing the UCS icon from the positive Z direction looking toward the negative Z direction (that is, from above).
  • A broken pencil icon appears when the edge of the XY plane of the current UCS is almost parallel to your viewing direction or display screen. This icon warns you not to specify coordinates with the pointing device in this viewport.


Procedures (Controlling the UCS Icon in 3D)

Controlling the UCS Icon in 3D

To turn the display of the UCS icon on or off
To display the UCS icon at the UCS origin


Procedures (Controlling the UCS Icon in 3D-1)

Controlling the UCS Icon in 3D

To turn the display of the UCS icon on or off

  1. From the View menu, choose Display, then UCS Icon.
  2. Choose On or Off to turn the display of the UCS icon on or off.
Command line equivalent: UCSICON


Procedures (Controlling the UCS Icon in 3D-2)

Controlling the UCS Icon in 3D

To display the UCS icon at the UCS origin

  1. From the View menu, choose Display>UCS Icon.
  2. Choose Origin to display the UCS icon at the UCS origin point, if possible.

If the UCS origin is not located within the display area of the viewport, the UCS icon will be displayed in the lower-left corner of the viewport.

Command line equivalent: UCSICON


Reference (Controlling the UCS Icon in 3D)

Controlling the UCS Icon in 3D

Commands

UCSICON Controls the visibility and placement of the UCS icon

System Variables

No entries.


Setting Drawing Planes in 3D (UCS)

To select a UCS preset
To restore the location and orientation of the previous UCS
To turn the display of the UCS icon on or off
To display the UCS icon at the UCS origin


Setting Drawing Planes in 3D (UCS)

Commands

DDRENAME | Changes the names of named objects
DDUCS | Manages defined user coordinate systems
DDUCSP | Selects a preset user coordinate system
UCS | Manages the user coordinate system
UCSICON | Controls the visibility and placement of the UCS icon

System Variables

ELEVATION Stores the current 3D elevation relative to the current UCS for the current space


Changing 3D Viewpoints

When working in 3D, you'll often want to display several different views so that you can easily verify the 3D effects of your editing. One of these viewpoints is often an isometric view to reduce the number of visually overlapping objects. From a selected viewpoint, you can create new objects, edit existing objects, or generate a hidden-line or shaded view.

Several commands are available for viewing in 3D. You can

  • View parallel projections of your model by choosing standard 3D preset views, by entering the coordinates of your viewing location, or by specifying a 3D view dynamically
  • View a parallel projection of your model based on the XY plane of the current UCS
  • View in perspective from any angle and distance

Viewing Parallel Projections in 3D
Displaying a Perspective View

See Also
Controlling the Drawing Display
Removing Hidden Lines in 3D


Viewing Parallel Projections in 3D

You can view the parallel projection of a 3D model from any point in model space. To determine the point or angle in model space, you can

  • Choose a preset 3D view from a toolbar
  • Enter coordinates or angles that represent your viewing location in 3D
  • Change to a view of the XY plane of the current UCS, a saved UCS, or the WCS
  • Change the 3D view dynamically with your pointing device
  • Set front and back clipping planes to limit the objects being displayed

Viewing in 3D is available only in model space. If you are working in paper space, you cannot use VPOINT, DVIEW, or PLAN to define paper space views. The view in paper space is always a plan view.

Choosing Preset Views

A quick way to set a view is to choose one of AutoCAD LT's predefined 3D views. You can select predefined standard orthographic and isometric views by name or description by choosing 3D Viewpoint from the View menu. These views represent commonly used options: Top, Front, Left, Right, and Back. In addition, you can set views from isometric options: SW (southwest) Isometric View, SE (southeast) Isometric View, NE (northeast) Isometric View, and NW (northwest) Isometric View.

To understand how the isometric views work, imagine you are looking down at the top of a box. If you move toward the lower-left corner of the box, you are viewing the box from the SW Isometric View. If you move toward the upper-right corner of the box, you are viewing it from NE Isometric View.

Defining a View with Coordinates or Angles

You can define a viewing direction by entering the coordinate values of a point. This point represents your position in 3D space as you view the model while looking toward the origin (0,0,0). Viewpoint coordinates are relative to the World Coordinate System unless you change the WORLDVIEW system variable. The conventions for defining standard views differ between AEC and mechanical design. In AEC the perpendicular view of the XY plane is the top or plan view; in mechanical design, the perpendicular view of the XY plane is the front view. Procedures for defining views with either convention are provided in the list of procedures for this topic.

You can also rotate a view using the Rotate option of 3D Viewpoint. The illustration shows a view defined by two angles relative to the X axis and the XY plane of the WCS. This is the same convention as used for entering spherical coordinates.

Changing to a View of the XY Plane

In AutoCAD LT, a plan view is a view aimed toward the origin (0,0,0) from a point on the positive Z axis. This results in a view of the XY plane. You can change the current viewpoint to a plan view of the current UCS, a previously saved UCS, or the WCS.

You can restore the view and coordinate system that is the default for most AutoCAD LT drawings by setting the UCS orientation to World and then setting the viewpoint to plan view.

Changing a 3D View Dynamically

With dynamic viewing, you can display the effects of changing your viewpoint as you make the changes. Using this method, you can also simplify your view temporarily by choosing only the objects that you need to determine the view. Alternatively, if you press ENTER without selecting any objects, 3D Dynamic View displays a model of a small house instead of your actual drawing. You can use this house to define the viewing angle and distance. When your adjustments are complete and you exit the command, AutoCAD LT applies the changes to the entire 3D model in the current view.

Setting Clipping Planes

You can create cutaway, or section, views of your drawing by positioning front and back clipping planes that control the visibility of objects based on their distance from a theoretical camera. You can move the clipping planes perpendicular to the line of sight between the camera and target (where the camera is pointing). Clipping removes the display of objects from the front and back of clipping planes. The following figure shows how clipping planes work:


Procedures (Viewing Parallel Projections in 3D)

Viewing Parallel Projections in 3D

To use a preset view
To set a view with a viewpoint coordinate
To set a view with two angles of rotation
To set standard views with VPOINT (AEC convention)
To set standard views with VPOINT (mechanical design convention)
To change the current view to the XY plane
To create a parallel projection dynamically
To set clipping planes


Procedures (Viewing Parallel Projections in 3D-1)

Viewing Parallel Projections in 3D

To use a preset view

  • From the View menu, choose 3D Viewpoint and then a preset view (Top, Bottom, Left, etc.)

Standard toolbar:
Command line equivalent: VPOINT


Procedures (Viewing Parallel Projections in 3D-2)

Viewing Parallel Projections in 3D

To set a view with a viewpoint coordinate

  1. From the View menu, choose 3D Viewpoint>Vector.
  2. Enter a coordinate that represents your position while viewing the drawing in the direction of 0,0,0.

Command line equivalent: VPOINT


Procedures (Viewing Parallel Projections in 3D-3)

Viewing Parallel Projections in 3D

To set a view with two angles of rotation

  1. From the View menu, choose 3D Viewpoint>Rotate.
  2. Enter an angle in the XY plane measured from the positive X axis.
  3. Enter an angle from the XY plane that represents your position while viewing the model in the direction of 0,0,0.

Command line equivalent: VPOINT


Procedures (Viewing Parallel Projections in 3D-4)

Viewing Parallel Projections in 3D

To set standard views with VPOINT (AEC convention)

  1. From the View menu, choose 3D Viewpoint>Vector.
  2. Enter a coordinate according to the viewpoint you want:
    • Enter 0,0,1 for a top (plan) view.
    • Enter 0,-1,0 for a front view.
    • Enter 1,0,0 for a right side view.
    • Enter 1,-1,1 for an isometric view.

Command line equivalent: VPOINT


Procedures (Viewing Parallel Projections in 3D-5)

Viewing Parallel Projections in 3D

To set standard views with VPOINT (mechanical design convention)

  1. From the View menu, choose 3D Viewpoint>Vector.
  2. Enter a coordinate according to the viewpoint you want:
    • Enter 0,1,0 for a top view.
    • Enter 0,0,1 for a front view.
    • Enter 1,0,0 for a right side view.
    • Enter 1,1,1 for an isometric view. This view is identical to one with a right-out of 45 degrees and a top-out of 35.267 degrees.

Command line equivalent: VPOINT


Procedures (Viewing Parallel Projections in 3D-6)

Viewing Parallel Projections in 3D

To change the current view to the XY plane

  1. From the View menu, choose 3D Viewpoints, Plan View.
  2. Choose one of the following options:
    • Current (for the current UCS)
    • Named (for a saved UCS)
    • World (for the WCS)

Command line equivalent: PLAN


Procedures (Viewing Parallel Projections in 3D-7)

Viewing Parallel Projections in 3D

To create a parallel projection dynamically

  1. From the View menu, choose 3D Dynamic View.
  2. Select the objects to display.
  3. On the command line, enter ca (Camera).

    By default, AutoCAD LT sets the camera point at the center of the drawing. You can set your view dynamically by moving the crosshairs and clicking the pointing device. You also can adjust the view with one of two angle-input methods.

  4. Adjust the view as if you're aiming a camera.
  5. To switch between the angle-input methods, enter t (Toggle Angle).

    • For the Enter Angle from the XY Plane option, enter the angle of the camera up or down relative to the XY plane of the current UCS. The default setting, 90 degrees, points the camera straight down from above. After you enter the angle, the camera is locked at that height, and you can rotate the camera about the target with the rotation angle measured relative to the X axis of the current UCS.
    • For the Enter Angle in the XY Plane from the X Axis option, rotate the camera about the target with the rotation angle measured relative to the X axis of the current UCS.
  6. When you finish specifying the parallel projection, press ENTER.

Command line equivalent: DVIEW


Procedures (Viewing Parallel Projections in 3D-8)

Viewing Parallel Projections in 3D

To set clipping planes

  1. From the View menu, choose 3D Dynamic View.
  2. Select the objects on which to base the view.
  3. On the command line, enter cL (Clip).
  4. Enter f to set a front clipping plane or b to set a back clipping plane, or press ENTER.
  5. Position the clipping plane by dragging the slider or entering a distance from the target.
  6. Press ENTER to exit the command.

Command line equivalent: DVIEW


Reference (Viewing Parallel Projections in 3D)

Viewing Parallel Projections in 3D

Commands

DVIEW | Defines parallel projection or perspective views
PLAN | Displays the plan (XY plane) view of the user coordinate system
VPOINT | Sets the viewing direction in 3D

System Variables

WORLDVIEW Controls whether UCS changes to WCS during DVIEW or VPOINT


Displaying a Perspective View

You can define perspective views of a model to create realistic effects. The difference between defining perspective views and defining parallel projections is that for perspective views, you must specify a distance between a theoretical camera and target point. Small distances produce severe perspective effects; large distances produce mild effects.

The following figure shows the same wireframe model in a parallel projection and in a perspective view. Both are based on the same viewing direction.

Many operations are not available in perspective view, including panning and zooming, and operations that require using object snap or input from the pointing device.

A perspective view remains in effect until the perspective effect is turned off or until a new view is defined in its place.


Procedures (Displaying a Perspective View)

Displaying a Perspective View

To define a perspective view of a 3D model
To turn off a perspective view


Procedures (Displaying a Perspective View-1)

Displaying a Perspective View

To define a perspective view of a 3D model

  1. From the View menu, choose 3D Dynamic View.
  2. Select the objects to display.
  3. On the command line, enter ca (Camera).

    By default, AutoCAD LT sets a camera point at the center of the drawing. You can set your view dynamically by moving the crosshairs and clicking the pointing device. You can also adjust the view with one of two angle-input methods.

  4. Adjust the view as if you're aiming a camera.
  5. To switch between angle-input methods, enter t (Toggle Angle).
    • For the Enter Angle from the XY Plane option, enter the angle of the camera up or down relative to the XY plane of the current UCS. The default setting, 90 degrees, points the camera straight down from above.

      After you enter the angle, the camera is locked at that height, and you can rotate the camera about the target with the rotation angle measured relative to the X axis of the current UCS.

    • For the Enter angle in the XY Plane from the X Axis option, rotate the camera about the target with the rotation angle measured relative to the X axis of the current UCS.
  6. To turn on the perspective view, enter d (Distance).
  7. Specify distance, or press ENTER to set the perspective view.
    You can use the slider bar to set the distance between the selected objects and the camera or you can enter a real number. If the target and camera points are very close (or if the Zoom option is set high), you might see only a small part of your drawing.

Command line equivalent: DVIEW


Procedures (Displaying a Perspective View-2)

Displaying a Perspective View

To turn off a perspective view

  1. From the View menu, choose 3D Dynamic View.
  2. Select the objects to display.
  3. On the command line, enter o (Off).

Command line equivalent: DVIEW


Reference (Displaying a Perspective View)

Displaying a Perspective View

Commands

DVIEW Defines parallel projection or perspective views

System Variables

No entries.


Changing 3D Viewpoints

To use a preset view
To set a view with a viewpoint coordinate
To set a view with two angles of rotation
To set standard views with VPOINT (AEC convention)
To set standard views with VPOINT (mechanical design convention)
To change the current view to the XY plane
To create a parallel projection dynamically
To set clipping planes
To define a perspective view of a 3D model
To turn off a perspective view


Changing 3D Viewpoints

Commands

DVIEW | Defines parallel projection or perspective views
PLAN | Displays the plan (XY plane) view of the user coordinate system
VPOINT | Sets the viewing direction in 3D

System Variables

WORLDVIEW Controls whether UCS changes to WCS during DVIEW or VPOINT


Modeling in 3D

AutoCAD LT provides two methods for creating models in 3D. You can simulate simple 3D surfaces for visualization by specifying a thickness value for objects drawn in 2D, extruding or extending them in the Z direction. For example, you can use thickness to generate realistic 3D images from 2D floor plans.

Use wireframe modeling to create an accurate representation of a real-world object by drawing its edges in 3D. Wireframe modeling is often used for drafting and analyzing parts.


Adding Thickness to Objects

Thickness is a property of objects that simulates surfaces in AutoCAD LT.

The thickness of an object is the distance that object is extruded, or extended, above or below its location in space. Positive thickness extrudes upward in the positive Z direction; negative thickness extrudes downward (negative Z). Zero (0) thickness means no extrusion. The Z direction is determined by the orientation of the UCS at the time the object was created. Objects with thickness can be shaded and can hide other objects behind them.

Thickness changes the appearance of circles, lines, polylines (including spline-fit polylines, rectangles, polygons, boundaries, and donuts), arcs, 2D solids, and points. Modifying the thickness of other types of objects does not affect their appearance.

You can set the thickness for new objects you create in AutoCAD LT with the THICKNESS system variable. Change the thickness of an existing object with Properties (DDMODIFY). AutoCAD LT applies the extrusion uniformly on an object: a single object cannot have different thicknesses for its various points.

You may need to change the 3D viewpoint to see the effect of thickness on an object.


Procedures (Adding Thickness to Objects)

Adding Thickness to Objects

To set the thickness of new objects
To change the thickness of existing objects


Procedures (Adding Thickness to Objects-1)

Adding Thickness to Objects

To set the thickness of new objects

  1. From the Format menu, choose Thickness.
  2. On the command line, enter the value for the thickness.

    New objects are created at the current thickness.

Command line equivalent: THICKNESS


Procedures (Adding Thickness to Objects-2)

Adding Thickness to Objects

To change the thickness of existing objects

  1. From the Edit menu, choose Properties.
  2. Select the objects to change, and press ENTER.
  3. In the Modify (or Change Properties) dialog box, enter a new value for Thickness.
  4. Choose OK.

Object Properties toolbar:
Command line equivalent: DDMODIFY


Reference (Adding Thickness to Objects)

Adding Thickness to Objects

Commands

DDMODIFY Controls object properties

System Variables

THICKNESS Sets the current 3D thickness


Creating 3D Wireframe Models

A wireframe model is an edge or skeletal representation of a real-world 3D object using lines and curves, and its benefits include

  • Viewing the model from any vantage point
  • Generating standard orthographic and auxiliary views automatically
  • Generating exploded and perspective views easily
  • Analyzing spatial relationships, including the shortest distance between corners and edges, and checking for interferences
  • Reducing the number of prototypes required
Tips for Working with Wireframe Models

Creating 3D wireframe models can be more difficult and time-consuming than creating their 2D views. Here are some tips that will help you work more effectively:

  • Plan and organize your model so that you can turn off layers to reduce the visual complexity of the model. Color can help you differentiate between objects in various views.
  • Create construction geometry to define the basic envelope of the model.
  • Use multiple views, especially isometric views, to make visualizing the model and selecting objects easier.
  • Become adept at manipulating the UCS in 3D. The XY plane of the current UCS operates as a construction plane to orient planar objects such as circles and arcs. The UCS also determines the plane of operation for trimming and extending, offsetting, and rotating objects.
  • Use object snaps and grid snap carefully to ensure the precision of your model.
  • Use coordinate filters to drop perpendiculars and easily locate points in 3D based on the location of points on other objects.
Methods for Creating Wireframe Models

With AutoCAD LT you can create wireframe models by positioning any 2D planar object anywhere in 3D space, using several methods:

  • Creating the object by entering 3D coordinates. You enter coordinates that define the X, Y, and Z location of the object.
  • Setting the default construction plane (XY plane of the UCS) on which you draw the object by digitizing with grid snap turned on. Setting a non-zero elevation with the ELEVATION system variable can facilitate changing the default Z value when digitizing locations.
  • Moving or copying the object to its proper 3D location after you create it.

Wireframe modeling is a skill that requires practice and experience. The best approach to learning how to create wireframe models is to begin with simple models before attempting models that are more complex.


Procedures (Creating 3D Wireframe Models)

Creating 3D Wireframe Models

To drop a perpendicular line from a 3D point down to the XY plane

  1. From the Draw menu, choose Line.
  2. Use an object snap to specify a point on an object that is not on the XY plane of the UCS.

    This defines the first point of the line.

  3. Enter .xy and then enter @ at the OF prompt.

    This operation extracts the X and Y coordinate values from the first point.

  4. Enter 0 to specify the Z value.

    Using coordinate filters, the X and Y values extracted from the first point are combined with a new Z value (0) to finish the definition of the second point.

  5. Press ENTER to end the command.


Reference (Creating 3D Wireframe Models)

Creating 3D Wireframe Models

Commands

No entries.

System Variables

ELEVATION Stores the current 3D elevation relative to the current UCS


Modeling in 3D

To set the thickness of new objects
To change the thickness of existing objects
To drop a perpendicular line from a 3D point down to the XY plane


Modeling in 3D

Commands

DDMODIFY Controls object properties

System Variables

ELEVATION | Stores the current 3D elevation relative to the current UCS
THICKNESS | Sets the current 3D thickness


Working in Three Dimensions

To select a UCS preset
To restore the location and orientation of the previous UCS
To turn the display of the UCS icon on or off
To display the UCS icon at the UCS origin
To set a view with a viewpoint coordinate
To set a view with two angles of rotation
To set standard views with VPOINT (AEC convention)
To set standard views with VPOINT (mechanical design convention)
To change the current view to the XY plane
To create a parallel projection dynamically
To set clipping planes
To define a perspective view of a 3D model
To turn off a perspective view
To set the thickness of new objects
To change the thickness of existing objects
To drop a perpendicular line from a 3D point down to the XY plane


Working in Three Dimensions

Commands

DDMODIFY | Controls object properties
DDRENAME | Changes the names of named objects
DDUCS | Manages defined user coordinate systems
DDUCSP | Selects a preset user coordinate system
DVIEW | Defines parallel projection or perspective views
GRID | Displays a dot grid
PLAN | Displays the plan (XY plane) view of the user coordinate system
SNAP | Restricts cursor movement to regular intervals
TABLET | Calibrates and configures the tablet; turns Tablet mode on and off
UCS | Manages the user coordinate system
UCSICON | Controls the visibility and placement of the UCS icon
VPOINT | Sets the viewing direction in 3D

System Variables

ELEVATION | Stores the current 3D elevation relative to the current UCS for the current space
TABMODE | Controls the use of Tablet mode
THICKNESS | Sets the current 3D thickness
WORLDVIEW | Controls whether UCS changes to WCS during DVIEW or VPOINT


Procedure: Creating and Modifying Text

Creating and Modifying Text

To create a text style
To modify a text style
To make another text style current
To remove unreferenced text styles
To assign a font to a text style
To specify a font mapping file
To specify a default alternative font
To set text height in a text style
To set the obliquing angle in a text style
To set vertical orientation in a text style
To create single-line text
To specify a text style when you create single-line text
To align single-line text as you create it
To create multiline text
To format characters in multiline text
To create stacked text
To create a leader by entering text on the command line
To create a spline leader with text
To create a leader using the multiline text editor
To import text files
To insert a text file using the drag-and-drop method
To edit single-line text
To modify single-line text objects
To change multiline text
To find text
To replace text
To check spelling
To switch main or custom dictionaries while checking spelling
To create or edit custom dictionaries during a spelling check
To specify an alternate text editor
To create multiline text in an alternate text editor


Creating and Modifying Text

Commands

DDEDIT | Edits text and attribute definitions
DDIM | Creates and modifies dimension styles
DDMODIFY | Controls properties of existing objects
DTEXT | Displays text on screen as it is entered
LEADER | Creates a line that connects annotation to a feature
MIRROR | Creates a mirror image of objects
MTEXT | Creates paragraph text
PREFERENCES | Customizes the AutoCAD LT settings
PSUPDATE | Adjusts the size of all PostScript text in a drawing
PURGE | Removes all unused named objects from the database
QTEXT | Controls the display and plotting of text and attribute objects
SPELL | Checks spelling in a drawing
STYLE | Creates named text styles

System Variables

DIMGAP | Sets the distance around the dimension text when the dimension line breaks to accommodate dimension text
DCTCUST | Displays the path and file name of the current custom spelling dictionary
DCTMAIN | Displays the file name of the current main spelling dictionary
FONTALT | Specifies the alternate font to be used when the specified font file cannot be located.
FONTMAP | Specifies the font mapping file to be used
MIRRTEXT | Controls how MIRROR reflects text
MTEXTED | Sets the name of the program to use for editing multiline text objects
QTEXTMODE | Controls how text is displayed
SYSCODEPAGE | Indicates the system code page specified in the aclt.xmx file
TEXTFILL | Controls the filling of TrueType fonts while plotting, exporting with PSOUT, and rendering
TEXTQLTY | Sets the resolution of TrueType fonts while plotting and exporting with PSOUT
TEXTSIZE | Sets the default height for new text objects drawn with the current text style
TEXTSTYLE | Sets the name of the current text style


Using Commands, Menus, and System Variables

You can access AutoCAD LT commands by selecting them from hardware devices, toolbars, pull-down menus or right-click menus or by entering commands in the command window. The following sections contain more detailed information on using these methods.


Using a Pointing Device

You can control AutoCAD LT with a pointing device such as a mouse, digitizing puck, or stylus. A pointing device may have a number of buttons. The first 10 buttons are automatically assigned by AutoCAD LT, but you can reassign all but button 1, the pick button, by modifying the AutoCAD LT menu file. You can change how your buttons function by clicking the Mouse icon in Windows 95 Control Panel.

Using Buttons on a Pointing Device
Using the Cursor Menu
Using Shortcut Menus

See Also
Creating Pull-Down and Right-Click Menus


Using Buttons on a Pointing Device

On a two-button mouse, the left button is the pick button, used to

  • Specify locations
  • Select objects for editing
  • Choose menu options and dialog box buttons and fields

The operation of the right button depends on context and can be used to

  • End a command in progress
  • Display a shortcut menu
  • Display the cursor menu
  • Display the Toolbars dialog box

The Microsoft IntelliMouse has a wheel between the left and right buttons. You can rotate this wheel to zoom in and out of a drawing or you can press and drag the wheel to pan in a drawing. The operation of additional buttons on a pointing device is defined in the AutoCAD LT menu file.

See Also
Creating Button and Auxiliary Menus


Procedures (Using Buttons on a Pointing Device)

Using Buttons on a Pointing Device

To practice using several features of the mouse

  1. Move your mouse and notice that the pointer on the screen changes from crosshairs while the pointer is in the drawing area to an arrow when it's not over the drawing area and to an I-beam when it's in the text window.
  2. As you continue to move the mouse, notice how the numbers in the coordinate display on the status bar change. These numbers indicate the exact location, or coordinate, of the crosshairs on the screen.
  3. Find the Snap button on the status bar and double-click it with the pick button on your mouse (usually the left button). Notice that the button darkens to indicate that Snap mode has been turned on.

  4. Move the pointer around the screen and observe that it seems to adhere, or "snap," to points at predetermined and equivalent intervals on the screen. You can change the measurement of these intervals.
  5. Double-click the Snap button again to turn Snap mode off.
  6. Move the pointer over the Standard toolbar at the top of the drawing area. As you leave the cursor over a tool icon for a few moments, notice a pop-up label, called a tooltip, that identifies the tool.
  7. Move the pointer over a blank area on any toolbar. Then, as you hold down the pick button, drag the toolbar around the screen to reposition it.
  8. Dock the toolbar by dragging it to a docking location at the top, bottom, or either side of the drawing area. When the outline of the toolbar appears in the docking area, release the pick button.


Reference (Using Buttons on a Pointing Device)

Using Buttons on a Pointing Device

Commands

PREFERENCES Customizes the AutoCAD LT settings

System Variables

ATTDIA | Controls whether INSERT uses a dialog box for attribute value entry
MBUTTONPAN | Controls the behavior of the third button or wheel on pointing devices
RTCLICKMENU | Controls the right-click action of the pointing device
ZOOMFACTOR | Controls the response rate of zooming with an IntelliMouse wheel


Using the Cursor Menu

The cursor menu is displayed at your cursor location when you hold down SHIFT and click the right mouse button or the equivalent button on another pointing device.

The default cursor menu lists object snaps and tracking. If you want to change the options, you can customize the cursor menu.

See Also
Creating Pull-Down and Right-Click Menus


Procedures (Using the Cursor Menu)

Using the Cursor Menu

To display the cursor menu

  1. Enter any command that prompts you to enter a point. For example, enter line.
  2. At the From Point prompt, simultaneously press SHIFT and right-click.

The cursor menu is displayed, and you can choose an option.


Reference (Using the Cursor Menu)

Using the Cursor Menu

Commands

No entries.

System Variables

No entries.


Using Shortcut Menus

You can display convenient shortcut menus when you right-click in different areas of the screen. Different shortcut menus are displayed when you right-click

  • Within the AutoCAD LT drawing area when no objects are selected
  • Within the AutoCAD LT drawing area when one or more objects are selected
  • Within the AutoCAD LT drawing area when a grip is selected
  • Within the text and command windows
  • During a PAN or ZOOM command
  • On a toolbar

Shortcut menus typically include several options to

  • Repeat the last command entered
  • Cut and copy to the Clipboard and paste from the Clipboard
  • Select a different PAN or ZOOM option
  • Display a dialog box such as Preferences, Object Properties, or Toolbars
  • Undo the last command entered

Except during PAN and ZOOM, no shortcut menu is displayed when you right-click during an AutoCAD LT command. Instead, right-clicking ends the command. Also, if text has been entered on the command line, a right-click will automatically execute the text as a command and will not display the right-click menu.

Shortcut menus can be customized.

See Also
Creating Shortcut Menus


Procedures (Using Shortcut Menus)

Using Shortcut Menus

To display a shortcut menu

  1. At the Command prompt, move the cursor of your pointing device over one of the following areas:
    • The AutoCAD LT drawing area
    • The text or command windows
    • An AutoCAD LT object
    • A toolbar
  2. Press the Enter button on your pointing device or right-click your mouse.

A shortcut menu pertaining to your cursor location is displayed. You can also display a shortcut menu during PAN or ZOOM.


Reference (Using Shortcut Menus)

Using Shortcut Menus

Commands

COPYCLIP | Copies objects to the Windows Clipboard
COPYHIST | Copies the text in the command line history window to the Clipboard
CUTCLIP | Copies objects to the Windows Clipboard and erases the objects from the drawing
DDMODIFY | Controls object properties
PAN | Moves the drawing display in the current viewport
PASTECLIP | Inserts data from the Windows Clipboard
PREFERENCES | Customizes the AutoCAD LT settings
U | Reverses the most recent action
ZOOM | Increases or decreases the apparent size of objects in the current viewport

System Variables

No entries.


Using a Pointing Device

To practice using several features of the mouse
To display the cursor menu
To display a shortcut menu


Using a Pointing Device

Commands

COPYCLIP | Copies objects to the Windows Clipboard
COPYHIST | Copies the text in the command line history window to the Clipboard
CUTCLIP | Copies objects to the Windows Clipboard and erases the objects from the drawing
DDMODIFY | Controls object properties
PAN | Moves the drawing display in the current viewport
PASTECLIP | Inserts data from the Windows Clipboard
PREFERENCES | Customizes the AutoCAD LT settings
U | Reverses the most recent action
ZOOM | Increases or decreases the apparent size of objects in the current viewport

System Variables

ATTDIA | Controls whether INSERT uses a dialog box for attribute value entry
MBUTTONPAN | Controls the behavior of the third button or wheel on pointing devices
RTCLICKMENU | Controls the right-click action of the pointing device
ZOOMFACTOR | Controls the response rate of zooming with an IntelliMouse wheel


Using Toolbars

Toolbars contain tools that start commands. When you move the pointing device over a tool, the tooltips balloon displays the name of the tool. Tools with a small black triangle in the lower-right corner have flyouts that contain related commands. With the cursor over the tool icon, hold the pick button down until the flyout appears.

The Standard toolbar at the top of the drawing area is visible by default. This toolbar is similar to those found in Microsoft Office programs. It contains frequently used AutoCAD LT tools such as Distance, Pan, and Zoom, as well as Microsoft Office standard tools such as New, Open, and Save.

Displaying, Docking, and Resizing Toolbars

AutoCAD LT initially displays four toolbars:

  • The Standard toolbar
  • The Object Properties toolbar
  • The Draw toolbar
  • The Modify toolbar

You can display or hide these four and additional toolbars, and you can create your own toolbars. A toolbar can be floating or docked. A floating toolbar is located anywhere in the drawing area of the AutoCAD LT window, and you can drag it to a new location, resize it, or dock it. A docked toolbar is attached to any edge of the drawing area. While a toolbar is docked, it cannot be resized. You can move a docked toolbar by undocking it and dragging it to a new docking location.

See Also
Creating Custom Toolbars


Procedures (Using Toolbars)

Using Toolbars

To display a toolbar
To dock a toolbar
To undock a toolbar
To resize a toolbar
To close a toolbar


Procedures (Using Toolbars-1)

Using Toolbars

To display a toolbar

  1. From the View menu, choose Toolbars.
  2. Select the name of the toolbar you want to show.
  3. Choose Close.

Command line equivalent: TOOLBAR


Procedures (Using Toolbars-2)

Using Toolbars

To dock a toolbar

  1. Position the cursor on the name of the toolbar or in any blank area, and hold down the pick button on your pointing device.
  2. Drag the toolbar to a docking location at the top, bottom, or either side of the drawing area.
  3. When the outline of the toolbar appears in the docking area, release the pick button.

To place a toolbar in a docking region without docking it, hold down CTRL as you drag.


Procedures (Using Toolbars-3)

Using Toolbars

To undock a toolbar

  1. Position the cursor on any blank area of the toolbar, and hold down the pick button on your pointing device.
  2. Drag the toolbar away from its docked location, and release the pick button.

To place a toolbar in a docking region without docking it, hold down CTRL as you drag.


Procedures (Using Toolbars-4)

Using Toolbars

To resize a toolbar

  1. Position the cursor on the edge of a floating toolbar until the cursor changes to a horizontal or vertical double arrow.
  2. Hold down the pick button until the toolbar is in the shape you want.


Procedures (Using Toolbars-5)

Using Toolbars

To close a toolbar

  1. If the toolbar is docked, undock it.
  2. Click the Close button in the upper-right corner of the toolbar.


Using Toolbars

Commands

TOOLBAR Displays, hides, and customizes toolbars

System Variables

TOOLTIPS Controls display of tooltips


Using Pull-Down Menus

The pull-down menus are available from the menu bar at the top of the AutoCAD LT drawing area. You can choose menu options in the following ways:

Click the menu name to display a list of options. Click the option to choose it, or use the DOWN ARROW to move down the list and then press ENTER.

Press ALT and then enter the underlined letter in the menu name. For example, to open a new drawing, hold down ALT and press F (ALT+F) to open the File menu. Then press ENTER to choose the highlighted option New.

The default menu file is aclt.mnu. You can specify a different menu (for example, a menu you have customized) in the Preferences dialog box.

See Also
Creating Pull-Down and Right-Click Menus
Creating Shortcut Keys


Procedures (Using Pull-Down Menus)

Using Pull-Down Menus

No entries.


Reference (Using Pull-Down Menus)

Using Pull-Down Menus

Commands

MENULOAD | Loads partial menu files
MENUUNLOAD | Unloads partial menu files
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

No entries.


Using the Command Window

AutoCAD LT commands, system variables, options, messages, and prompts are displayed in a dockable and resizable window called the command window. The bottom line of the command window is called the command line. The command line displays the current operation in progress and provides an inside view of exactly what AutoCAD LT is doing.

Entering Commands on the Command Line
Entering System Variables
Navigating and Editing in the Command Window
Switching from Dialog Boxes to the Command Line
Docking and Resizing the Command Window


Entering Commands on the Command Line

To enter a command by using the keyboard, type its full name at the command line and press ENTER, SPACEBAR, or the enter button on your pointing device. Some commands also have abbreviated names. For example, instead of entering circle to start the CIRCLE command, you can enter c. Abbreviated command names are called command aliases and are defined in the aclt.pgp file. To customize your own command aliases, see Customizing Command Aliases.

Specifying Command Options

When you enter commands on the command line, AutoCAD LT displays either a set of options or a dialog box. For example, when you enter circle at the Command prompt, the following prompt is displayed:

3P/TTR/<Center point>:

The brackets around Center Point indicate that it is the current option. You can choose the Center Point option either by entering an X,Y coordinate or by using the pointing device to select (click) a point on the screen.

To choose a different option, enter the capitalized letters in the option name. You can enter uppercase or lowercase letters. For example, to choose the three-point option (3P), enter 3p.

Executing Commands

To execute commands, press SPACEBAR, ENTER, or the enter button on your pointing device after entering command names or responses to prompts. The instructions in online Help assume this step and do not specifically instruct you to press ENTER after each entry.

Repeating and Canceling Commands

If you want to repeat a command that you have just used, press ENTER, SPACEBAR, or the enter button on your pointing device at the Command prompt.

You also can repeat a command by entering multiple on the command line before the command name, separated by a space, as shown in the following example:

Command: multiple circle

To cancel a command in progress, press ESC.

Interrupting a Command with Another Command or System Variable

Many commands can be used transparently: that is, they can be entered on the command line while you are using another command. Transparent commands frequently are commands that change drawing settings or that display commands such as SNAP, GRID, or ZOOM. To determine whether a command can be used transparently, refer to its entry in Commands.

To use a command transparently, choose its tool or enter an apostrophe (') before entering the command at any prompt. On the command line, double angle brackets (>>) precede prompts that AutoCAD LT displays for transparent commands. After you complete the transparent command, the original command resumes. In the following example, you turn on the grid and set it to one-unit intervals while you are drawing a line. At the second From Point prompt, you continue drawing the line.

Command: line
From point: 'grid
>>Grid spacing (X) or ON/OFF/Snap/Aspect <0.000>: 1
Resuming LINE command
From point:

Commands that do not select objects, create new objects, or end the drawing session usually can be used transparently. Changes made in dialog boxes that you have opened transparently cannot take effect until the interrupted command has been executed. Similarly, if you reset a system variable transparently, the new value cannot take effect until you start the next command.

Using the Clipboard to Enter a Command

You can copy text in the command line history to the Clipboard. You can also paste the contents of the Clipboard to the command line.

See Also
Creating Shortcut Keys


Procedures (Entering Commands at the Command Line)

Entering Commands on the Command Line

To copy a command from the command line to the Clipboard
To paste a command from the Clipboard to the command line


Procedures (Entering Commands at the Command Line-1)

Entering Commands on the Command Line

To copy a command from the command line to the Clipboard

  1. Highlight the text to be copied.
  2. Position the cursor over the command or text window and right-click.
  3. Choose Copy from the shortcut menu.

Command line equivalent: COPYCLIP


Procedures (Entering Commands at the Command Line-2)

Entering Commands on the Command Line

To paste a command from the Clipboard to the command line

  1. Position the cursor over the command or text window and right-click.
  2. Choose Paste from the pop-up menu.
  3. Press ENTER or SPACEBAR.

Command line equivalent: COPYPASTE


Reference (Entering Commands at the Command Line)

Entering Commands on the Command Line

Commands

COPYCLIP | Copies objects to the Windows Clipboard
COPYHIST | Copies the text in the command line history window to the Clipboard
PASTECLIP | Inserts data from the Windows Clipboard
PREFERENCES | Customizes the AutoCAD LT settings

System Variables

No entries.


Entering System Variables

System variables are settings that control how certain commands work. They can turn on or turn off modes such as Snap, Grid, or Ortho. They can set default scales for hatch patterns. They can store information about the current drawing and about AutoCAD LT configuration. Sometimes you use a system variable in order to change a setting. At other times you use a system variable to display the current status.

For example, the GRIDMODE system variable turns the dot grid display on and off when you change the value. In this case, the GRIDMODE system variable is functionally equivalent to the GRID command. DATE is a read-only system variable that stores the current date. You can display this value, but you cannot change it.

You can examine or change a variable's setting transparently, that is, while using another command; however, new values may not take effect until the interrupted command ends.


Procedures (Entering System Variables)

Entering System Variables

To change the setting of a system variable
To see a complete list of system variables


Procedures (Entering System Variables-1)

Entering System Variables

To change the setting of a system variable

  1. At the Command prompt, enter the variable name. For example, enter gridmode to change the grid setting.
  2. Enter a new value for the variable. For example, to change the status of GRIDMODE, enter 1 for on or 0 for off.

You can press ENTER to select the current value of the variable.


Procedures (Entering System Variables-2)

Entering System Variables

To see a complete list of system variables

  1. At the Command prompt, enter setvar.
  2. At the Variable Name prompt, enter ?.
  3. At the Variable(s) to List prompt, press ENTER.

Command line equivalent: SETVAR


Reference (Entering System Variables)

Entering System Variables

Commands

SETVAR Lists or changes the values of system variables

System Variables

No entries.


Navigating and Editing in the Command Window

You can navigate and edit text in the command window to correct or repeat commands. Use the standard keys:

  • UP, DOWN, LEFT, and RIGHT ARROW
  • INS, DEL
  • PAGE UP, PAGE DOWN
  • HOME, END
  • BACKSPACE

You can repeat any command used in the current session by moving in the command window with UP ARROW and DOWN ARROW and pressing ENTER. By default, pressing CTRL+C copies highlighted text to the Clipboard. Pressing CTRL+V pastes text from the Clipboard to the text or command window.

For most commands, a command line with two or three lines of previous prompts, called the command history, is sufficient for viewing and editing. When more than one line of command history is displayed, you can scroll through the history with scroll bars. For commands with text output, such as LIST, you might need a larger command window or you can use the text window. For more information, see Docking and Resizing the Command Window or Using the Text Window.


Procedures (Navigating and Editing in the Command Window)

Navigating and Editing in the Command Window

To repeat any command used in the current session

  1. Locate the line in the command window by using UP ARROW and DOWN ARROW.
  2. Press ENTER to run the command.


Reference (Navigating and Editing in the Command Window)

Navigating and Editing in the Command Window

Commands

No entries.

System Variables

No entries.


Switching from Dialog Boxes to the Command Line

Some functions are available both on the command line and in a dialog box. In many cases, you can enter a hyphen before the command to suppress the dialog box and display prompts on the command line instead. For example, entering layer at the command line displays the Layer & Linetype dialog box. Entering -layer at the command line displays the equivalent command line options. This is useful for compatibility with earlier versions of AutoCAD and for using script files. There may be slight differences between the options in the dialog box and those available on the command line.

Three system variables also affect the display of dialog boxes:

  • CMDDIA controls the display of dialog boxes used for plotting. If CMDDIA is set to 1, dialog boxes are displayed when you use PLOT. If CMDDIA is set to 0, you use the command line.
  • FILEDIA controls the display of dialog boxes used with commands that read and write files. For example, if FILEDIA is set to 1, SAVEAS displays the Save Drawing As dialog box. If FILEDIA is set to 0, SAVEAS displays prompts on the command line. The procedures in this guide assume that FILEDIA is set to 1. Even when FILEDIA is set to 0, you can display a file dialog box by entering a tilde (~) at the first prompt.
  • EXPERT controls whether certain warning dialog boxes are displayed.

CMDDIA, FILEDIA, and EXPERT are useful when you use scripts to run commands.


Procedures (Switching from Dialog Boxes to the Command Line)

Switching from Dialog Boxes to the Command Line

No entries.


Reference (Switching from Dialog Boxes to the Command Line)

Switching from Dialog Boxes to the Command Line

Commands

No entries.

System Variables

CMDDIA | Controls whether a dialog box is displayed for the PLOT command
EXPERT | Controls whether certain prompts are issued
FILEDIA | Suppresses the display of the file dialog boxes


Docking and Resizing the Command Window

By default, the command window is docked. The docked command window is the same width as the AutoCAD LT window. If text that is entered becomes longer than the width of the command line, the window pops up in front of the command line to show the full text of the line.

You can resize the window vertically by dragging the splitter bar, which is located on the top edge of the window when it is docked on the bottom and on the bottom edge of the window when it is docked on the top.

Undock the command window by dragging it away from the docking region. When you undock the window, the floating window is the size it was before you undocked it. You can move the floating command window anywhere on the screen and resize its width and height with the pointing device.

Dock the command window by dragging it until it is over the top or bottom docking regions of the AutoCAD LT window.


Procedures (Docking and Resizing the Command Window)

Docking and Resizing the Command Window

To float the command window
To dock the command window
To resize the command window when it is docked


Procedures (Docking and Resizing the Command Window-1)

Docking and Resizing the Command Window

To float the command window

  • Click any part of the border and drag the command window away from the docking region until it has a thick outline. Then drop it in the graphics area of the AutoCAD LT window.


Procedures (Docking and Resizing the Command Window-2)

Docking and Resizing the Command Window

To dock the command window

  • Click the title bar or an edge and drag the command window until it is over the top or bottom docking regions of the AutoCAD LT window.


Procedures (Docking and Resizing the Command Window-3)

Docking and Resizing the Command Window

To resize the command window when it is docked

  1. Position the cursor over the horizontal splitter bar so that the cursor appears as a double line and arrows.
  2. Drag the splitter bar vertically until the command window is the size you want it to be.


Reference (Docking and Resizing the Command Window)

Docking and Resizing the Command Window

Commands

No entries.

System Variables

No entries.


Using the Command Window

To copy a command from the command line to the Clipboard
To paste a command from the Clipboard to the command line
To change the setting of a system variable
To see a complete list of system variables
To repeat any command used in the current session
To float the command window
To dock the command window
To resize the command window when it is docked


Using the Command Window

Commands

COPYCLIP | Copies objects to the Windows Clipboard
COPYHIST | Copies the text in the command line history window to the Clipboard
PASTECLIP | Inserts data from the Windows Clipboard
PREFERENCES | Customizes the AutoCAD LT settings
SETVAR | Lists or changes the values of system variables

System Variables

CMDDIA | Controls whether a dialog box is displayed for the PLOT command
EXPERT | Controls whether certain prompts are issued
FILEDIA | Suppresses the display of the file dialog boxes


Using the Text Window

The text window is a window similar to the command window in which you can enter commands and view prompts and messages. Unlike the command line, the text window contains a complete command history for the current AutoCAD LT session. Use the text window to view lengthy output of commands such as LIST, which displays detailed information about objects you select. To move forward and backward in the command history, you can click the scroll arrows along the right edge of the window.

Use the standard keys in the text window:

  • UP, DOWN, LEFT, and RIGHT ARROW
  • INS, DEL
  • PAGE UP, PAGE DOWN
  • HOME, END
  • BACKSPACE

Press SHIFT with a key to highlight text. For example, press SHIFT+HOME in the text window to highlight all text from the cursor location to the beginning of the line.

CTRL+C copies highlighted text to the Clipboard. Pressing CTRL+V pastes text from the Clipboard to the text or command window.


Procedures (Using the Text Window)

Using the Text Window

To display the text window
To hide the text window


Procedures (Using the Text Window-1)

Using the Text Window

To display the text window

  • From within the graphics area, press F2.

The text window is displayed in front of the AutoCAD LT graphics area.

Command line equivalent: TEXTSCR


Procedures (Using the Text Window-2)

Using the Text Window

To hide the text window

  • From within the text window, press F2.

The text window is minimized. You can also minimize or close the text window using the standard Windows controls.

Command line equivalent: GRAPHSCR


Reference (Using the Text Window)

Using the Text Window

Commands

'GRAPHSCR | Switches from the text window to the graphics area
TEXTSCR | Switches from the graphics to the text screen

System Variables

No entries.


Using Commands, Menus, and System Variables

To practice using several features of the mouse
To display the cursor menu
To display a shortcut menu
To display a toolbar
To dock a toolbar
To undock a toolbar
To resize a toolbar
To close a toolbar
To copy a command from the command line to the Clipboard
To paste a command from the Clipboard to the command line
To change the setting of a system variable
To see a complete list of system variables
To repeat any command used in the current session
To float the command window
To dock the command window
To resize the command window when it is docked
To display the text window
To hide the text window


Using Commands, Menus, and System Variables

Commands

COPYCLIP | Copies objects to the Windows Clipboard
COPYHIST | Copies the text in the command line history window to the Clipboard
CUTCLIP | Copies objects to the Windows Clipboard and erases the objects from the drawing
DDMODIFY | Controls object properties
'GRAPHSCR | Switches from the text window to the graphics area
MENULOAD | Loads partial menu files
MENUUNLOAD | Unloads partial menu files
PAN | Moves the drawing display in the current viewport
PASTECLIP | Inserts data from the Windows Clipboard
PREFERENCES | Customizes the AutoCAD LT settings
TEXTSCR | Switches from the graphics to the text screen
TOOLBAR | Displays, hides, and customizes toolbars
U | Reverses the most recent action
ZOOM | Increases or decreases the apparent size of objects in the current viewport

System Variables

ATTDIA | Controls whether INSERT uses a dialog box for attribute value entry
CMDDIA | Controls whether a dialog box is displayed for the PLOT command
EXPERT | Controls whether certain prompts are issued
FILEDIA | Suppresses the display of the file dialog boxes
MBUTTONPAN | Controls the behavior of the third button or wheel on pointing devices
RTCLICKMENU | Controls the right-click action of the pointing device
TOOLTIPS | Controls display of tooltips
ZOOMFACTOR | Controls the response rate of zooming with an IntelliMouse wheel


Setting Up a Digitizing Tablet

A digitizing tablet, or digitizer, is a peripheral device that can be used to digitize, or trace, paper drawings into an AutoCAD LT drawing file, or to choose commands from the digitizing tablet overlay supplied with AutoCAD LT. With the Wintab driver, the tablet pointer can also be used instead of a mouse as a system pointer to choose menu items and drawing objects in AutoCAD LT or to interact with the operating system. The tablet pointer can be a puck or a stylus.

The digitizing tablet must first be configured and then can optionally be calibrated.

When the tablet is configured, portions of the tablet surface are designated as menu areas and a screen-pointing area.

When the tablet is calibrated, it can be used to trace geometry from an existing paper drawing or photograph into an AutoCAD LT drawing.

You can easily switch between using the tablet uncalibrated as a system pointer (Tablet mode off) or calibrated for digitizing a drawing (Tablet mode on).


Configuring the Wintab Driver

AutoCAD LT supports Wintab-compatible digitizing tablets. Wintab is a Windows specification that independent developers use so that the digitizing tablet can be used as both a system pointer and an AutoCAD LT pointing device.

You can use a digitizing tablet with AutoCAD LT only by configuring Windows for use with the Wintab driver. To configure Windows 95 or Windows NT 4.0 for the Wintab driver, follow the setup installation procedure supplied by the digitizing tablets manufacturer. Wintab drivers are not distributed with AutoCAD LT.

The digitizing tablet must work properly with Windows to work with AutoCAD LT. Make sure that the Wintab driver is configured for the correct digitizing tablet model and the correct number of tablet pointer (puck or stylus) buttons.


Procedure: Configuring the Wintab Driver

Configuring the Wintab Driver

No entries.


Configuring the Wintab Driver

Commands

PREFERENCES Customizes the AutoCAD LT settings

System Variables

No entries.


Configuring a Tablet for a Tablet Overlay

To configure your digitizing tablet for use with the plastic tablet overlay included with AutoCAD LT, it is recommended that you select the default tablet menus, columns, and rows that are provided. The following figure illustrates the default menu areas you specify to configure your digitizing tablet.

Specifying Fixed and Floating Screen-Pointing Areas

AutoCAD LT uses the concept of screen-pointing areas for digitizing tablets. A screen-pointing area is a rectangular region on the tablet surface within which the tablet pointer is used instead of a system mouse. The screen-pointing area corresponds to the computer display absolutely. For example, when the tablet pointer is in the center of the screen-pointing area, the graphics cursor is in the center of the graphics screen.

When the tablet pointer is within a screen-pointing area, it can access windows, menus, and other applications outside AutoCAD LT's drawing area as well as within AutoCAD LT. After you configure the tablet menus, you specify fixed and floating screen-pointing areas on your tablet, along with the option to use one of the tablet pointer buttons to switch between the fixed and floating screen-pointing areas. A maximum of two screen-pointing areas can be configured for a digitizing tablet: one fixed and one floating. The tablet configuration information is stored in aclt.cfg.

Note: Make sure the fixed, not the floating, screen-pointing area is active before you reconfigure the tablet.

Changing the Size of the Fixed Screen-Pointing Area

Before you configure your digitizing tablet, the entire surface of the tablet is actually the fixed screen-pointing area, and the tablet pointer operates in place of a mouse. You can change the size of the fixed screen-pointing area with the CFG option of TABLET. The best method is to specify a small screen area on your tablet similar to the one in the tablet overlay.

Using a Floating Screen-Pointing Area

You can use the floating screen-pointing area to expand the size of the pointing area on the tablet for creating and selecting objects and for choosing toolbars and menus. However, the floating screen-pointing area cannot be calibrated for tracing and does not support tablet menu access.

Switching Between the Fixed and Floating Screen-Pointing Areas

You can switch between the fixed and floating screen-pointing areas by using F12 or by using the tablet pointer button that you designate during tablet configuration. Some Wintab drivers allow access to tablet pointer button commands only if the cursor is outside the screen-pointing area. If you notice that the buttons on your tablet pointer are not responding appropriately, move the tablet pointer anywhere outside the fixed screen-pointing area before you press the tablet pointer button.


Procedure: Configuring the Tablet for a Tablet Overlay

Configuring a Tablet for a Tablet Overlay

The following steps configure your tablet menu areas using the plastic tablet overlay supplied with AutoCAD LT. After the tablet menus have been configured, the procedure prompts you for the fixed and floating screen-pointing areas, along with the option to use a tablet pointer button to switch between the fixed and floating screen areas.

To configure the tablet for use with the AutoCAD LT tablet overlay

  1. At the Command prompt, enter tablet and cfg.
  2. Enter 4 for the number of menus.
  3. When prompted, digitize the upper-left, lower-left, and lower-right corners of menu area 1. Specify 25 columns and 9 rows.
  4. When prompted, digitize the upper-left, lower-left, and lower-right corners of menu area 2. Specify 11 columns and 9 rows.
  5. When prompted, digitize the upper-left, lower-left, and lower-right corners of menu area 3. Specify 9 columns and 13 rows.
  6. When prompted, digitize the upper-left, lower-left, and lower-right corners of menu area 4. Specify 25 columns and 7 rows.
  7. Enter y to respecify the fixed screen-pointing area.

    When prompted, digitize the lower-left and upper-right corners of the fixed screen-pointing area.

  8. Continue to respond to prompts to designate a floating screen-pointing area.

    Digitize the lower-left and upper-right corners of the floating screen-pointing area.

  9. If you want to specify a tablet pointer button to switch between fixed and floating screen-pointing areas, press any button on your puck or stylus other than the pick button.

Command line equivalent: TABLET


Configuring the Tablet for a Tablet Overlay

Configuring a Tablet for a Tablet Overlay

Commands

PREFERENCES | Customizes the AutoCAD LT settings
TABLET | Calibrates and configures the tablet; turns Tablet mode on and off

System Variables

TABMODE Controls the use of Tablet mode


Calibrating a Tablet_for_Tracing

Calibrating the Tablet for Tracing

If you want to use a digitizing tablet for tracing, or digitizing, the tablet needs to be calibrated to the paper drawing, photograph, or other graphic material. The purpose of calibration is to align the paper drawing with the tablet and to establish a proportional relationship between point locations on the paper drawing and locations on the surface of the tablet. After the tablet is calibrated, you can enter commands such as Line, Polyline, Arc, and Circle to trace the existing drawing. If the paper drawing is too big to fit on the tablet, you can trace the drawing in portions, making sure to calibrate the tablet with each portion in turn.

In AutoCAD LT, using a digitizing tablet in this manner is called Tablet mode. You can turn Tablet mode on and off by using the Tablet option on the Tools menu or the TABLET command.

For more information about calibrating a tablet, see TABLET.

Using Editing Commands in Tablet Mode

Any command that requires you to select objects with the tablet pointer still works in Tablet mode. For example, to erase an object, start ERASE and move the tablet pointer until the pickbox is over the object.

Excluding Mouse Input when Digitizing

When you use both a mouse and a digitizing tablet, you can exclude mouse input from the calibrated pointing area on your tablet. When the Preferences dialog box is set to accept only tablet pointer input, the mouse will still operate normally in all other areas.

Using Tablet Menus in Tablet Mode

You can calibrate the tablet to digitize drawings and keep the tablet menu areas configured; however, make sure that the area you are tracing on the paper drawing does not overlap the tablet menu areas. Depending on the size of your tablet and the size of the paper drawing, you may need to reconfigure the tablet for zero menus with the fixed screen-pointing area on the tablet big enough for the paper drawing.

If you want to switch from a tablet calibrated for tracing drawings to a tablet configured for a tablet overlay, you must reconfigure the tablet, because usually the fixed screen-pointing area used for tracing drawings is larger.


Procedures (Setting Up a Digitizing Tablet)

Calibrating the Tablet for Tracing

To calibrate the tablet for tracing
To turn Tablet mode on and off
To exclude mouse input from the digitizing area


Procedure: Calibrating the Tablet for Tracing-1

Calibrating the Tablet for Tracing

To calibrate the tablet for tracing

  1. Tape the paper drawing on the tablet.
  2. At the Command prompt, enter tablet. Then enter cal.
  3. Using the pick button on the puck or stylus, pick a point on the tablet for which you know the X,Y coordinate values.

    Note: It is recommended that you hold the puck in both hands and, looking down from the top, align the puck crosshairs as accurately as possible with the specified location in the drawing. An error or inaccuracy when picking the calibration points represents a residual error throughout your work.

  4. Enter the X,Y coordinate values for the point you specified.
  5. Repeat steps 3 and 4.
  6. Press ENTER to end the command, or repeat steps 3 and 4 to calibrate more points.

After you have calibrated the tablet, the coordinates showing on your screen should be coincident with the coordinates in the paper drawing. For more detailed information on calibration, see TABLET.

Command line equivalent: TABLET


Procedure: Calibrating the Tablet for Tracing-2

Calibrating the Tablet for Tracing

To turn Tablet mode on and off, choose one of these methods:

  • From the Tools menu, choose Tablet. Then choose On or Off.
  • Press CTRL+T or F4.

Command line equivalent: TABLET


Procedure: Calibrating the Tablet for Tracing-3

Calibrating the Tablet for Tracing

To exclude mouse input from the digitizing area

  1. From the Tools menu, choose Preferences. On the System tab in the Preferences dialog box, under Pointing Device Input, select Digitizer Input from Calibrated Tablet Only.
  2. Choose OK.

Command line equivalent: PREFERENCES


Calibrating the Tablet for Tracing

Commands

PREFERENCES | Customizes the AutoCAD LT settings
TABLET | Calibrates and configures the tablet; turns Tablet mode on and off

System Variables

No entries.


Reinitializing the Digitizer

Reinitializing the Digitizing Tablet

For AutoCAD LT to run properly, all the input and output ports, the aclt.cfg file, and the peripheral devices attached to your computer - pointing device, video display, and plotter - must be properly initialized. If your digitizing tablets hardware settings change and need to be reinitialized for any reason (a power interruption, for instance), use REINIT to reinitialize the digitizing tablet parameters.

Some Wintab drivers require a computer shutdown-restart sequence in order to reinitialize properly. If reinitializing the digitizing tablet does not correct the problem, shut down your computer and restart it. Then verify that the Wintab driver is functional in Windows before running AutoCAD LT.


Procedure: Reinitializing the Digitizing Tablet

Reinitializing the Digitizing Tablet

To reinitialize the digitizing tablet

  1. From the Options menu, choose Reinitialize.
  2. In the Reinitialization dialog box, select Digitizer.
  3. Under Device and File Initialization, select Digitizer.

Command line equivalent: REINIT


Reinitializing the Digitizing Tablet

Commands

REINIT Reinitializes the input/output ports, digitizer, display, and program parameters file

System Variables

No entries.


Setting Up a Digitizing Tablet

To configure the tablet for use with the AutoCAD LT tablet overlay
To calibrate the tablet for tracing
To turn Tablet mode on and off
To exclude mouse input from the digitizing area
To reinitialize the digitizing tablet


Setting Up a Digitizing Tablet

Commands

PREFERENCES | Customizes the AutoCAD LT settings
REINIT | Reinitializes the input/output ports, digitizer, display, and program parameters file
TABLET | Calibrates and configures the tablet; turns Tablet mode on and off

System Variables

TABMODE Controls the use of Tablet mode


Welcome to the AutoCAD LT Help System

Using Help

The AutoCAD LT Help system contains complete information for using AutoCAD LT.

  • The left frame of the Help window displays the table of contents and the index
  • The right frame displays the topics you select
  • The buttons above the right frame provide a choice of the type of information to display. You can choose whether you want to see a conceptual description, a step-by-step procedure, or a reference to related commands and system variables


Finding Information

You can locate information in two ways:

  • Contents. Displays a list of topics and subtopics. Use the table of contents when you want to narrow your search quickly by selecting and expanding topics. With the table of contents, you can always see where you are in the Help system and quickly jump to other topics.
  • Index. Displays an alphabetical list of Help index entries. Use the index when you know the name of a feature, keyword, or operation about which you want information.

    Tip: After you choose an index entry, choose the Contents tab to display adjacent topics in the table of contents.


Procedures (Finding Information)

Finding Information

To find and display help information

  1. If necessary, click Contents to display the table of contents in the left frame of the Help window.
  2. To expand the contents list, use one of these methods:
    • Double-click a closed-book icon.
    • Right-click in the table of contents and choose Open All.
  3. To close up the contents list, use one of these methods:
    • Double-click an open-book icon.
    • Right-click in the table of contents and choose Close All.
  4. To view a topic, use one of these methods:
    • In the table of contents, click the topic.
    • Click any blue underlined text in the topic.
  5. To display equivalent procedures and reference information, click the Procedures and Reference buttons.


Finding Information)

Commands

HELP Displays online Help

System Variables

No entries.


Using the Information Tabs

For User's Guide topics, three buttons are provided above the right frame of the Help window so that you can choose what type of information you want to see:

  • Concept. Describes an AutoCAD LT feature or function.
  • Procedure. Provides step-by-step instructions for common procedures related to the current topic.
  • Reference. Lists commands and system variables related to the current topic with links to the Command Reference.

When you click a different button, the topic remains the same. Only the type of information displayed is different.


Procedures (Using the Information Tabs)

Using the Information Tabs

To change the type of information displayed

  • Click the Concepts, Procedures, or Reference button.


Using the Information Tabs)

Commands

HELP Displays online Help

System Variables

No entries.


Displaying Previous and Adjacent Topics

Displaying Previous Topics

Returns to the previous topic in the topic history list.


Procedures (Displaying Previous and Adjacent Topics-1)

Displaying Previous Topics

To view a previously displayed topic

  1. Click [image] on the Help toolbar.
  2. Repeat step 1 to view topics displayed earlier.


Displaying Previous and Adjacent Topics)

Displaying Previous Topics

Commands

HELP Displays online Help

System Variables

No entries.


Printing Topics

Prints a topic for off-line reading and reference. Choose Print to send the current topic to your printer.


Procedures (Printing Topics-1)

Printing Topics

To print a topic

  1. Display the topic you want to print and click inside the it.

  2. On the Help toolbar, click
  3. In the Print dialog box, click OK.


Printing Topics)

Commands

HELP Displays online Help

System Variables

No entries.


Changing the Size of the Help Window

Shrinks the Help window from its normal size to a compact size by hiding the table of contents and index. This window size is best for displaying procedures while you work.

Expands the Help window to display the table of contents and index. This window size is best for locating and displaying conceptual and reference information.


Procedures (Changing the Size of the Help Window)

Changing the Size of the Help Window

To reduce the size of the Help window
To restore the normal size of the Help window


Procedures (Changing the Size of the Help Window-1)

Changing the Size of the Help Window

To reduce the size of the Help window

  • On the Help toolbar, click

The Help window shrinks to its compact size.


Procedures (Changing the Size of the Help Window-2)

Changing the Size of the Help Window

To restore the normal size of the Help window

  • From the Help toolbar, click

The Help window expands to its normal size.


Changing the Size of the Help Window)

Commands

HELP Displays online Help

System Variables

No entries.


Getting Additional Help

AutoCAD LT provides several additional sources of online Help:

Pressing F1 from within a command, system variable, or dialog box. The Help system displays complete information from the AutoCAD LT Command Reference.

Viewing Readme.hlp. Additional, last minute, information about AutoCAD LT is available.

Other resources help you get information on Autodesk products and assistance with your AutoCAD LT questions.

  • Autodesk Web Site: http://www.autodesk.com
  • AutoCAD LT Web Site: http//www.autodesk.com/autocaclt
  • AutoCAD LT Forum on Compuserve: GO ARETAIL
  • Local support: your AutoCAD LT dealer or Autodesk country office


Procedures (Getting Additional Help)

Getting Additional Help

No entries.


Getting Additional Help)

Commands

BROWSER Launches the default Web browser defined in your system registry

System Variables

No entries.


Welcome to the AutoCAD LT Help System

To find and display help information
To change the type of information displayed
To view a previously displayed topic
To print a topic
To reduce the size of the Help window
To restore the normal size of the Help window


Welcome to the AutoCAD LT Help System

Commands

BROWSER | Launches the default Web browser defined in your system registry
HELP | Displays online Help

System Variables

No entries.


DIM

DIM or DIM1 Command

Accesses Dimensioning mode

Command line: dim or dim1

Dim: Enter a Dimensioning mode command